#include <cassert>
#include <cmath>
#include <ufc.h>

// Common sub-expression elimination pass took 4 minutes and 18.55 seconds (wall clock).

class ExcafeCellIntegral_0 : public ufc::cell_integral
{
public:
  void tabulate_tensor(double* const A, const double* const* w, const ufc::cell& c) const
  {
    const double * const * x = c.coordinates;

    const double var_0 = -x[0][1];
    const double var_1 = x[2][1] + var_0;
    const double var_2 = -x[0][0];
    const double var_3 = x[2][0] + var_2;
    const double var_4 = var_1*var_1 + var_3*var_3;
    const double var_5 = var_4*w[0][4];
    const double var_6 = x[1][0] + var_2;
    const double var_7 = x[1][1] + var_0;
    const double var_8 = var_6*var_6 + var_7*var_7;
    const double var_9 = var_8*w[0][3];
    const double var_10 = var_1*var_7 + var_3*var_6;
    const double var_11 = var_10*w[0][1];
    const double var_12 = var_10*w[0][7];
    const double var_13 = -var_12;
    const double var_14 = var_13 + var_9 + var_11;
    const double var_15 = var_1*var_6 + -var_3*var_7;
    const double var_16 = var_15;
    const double var_17 = std::abs(var_16);
    const double var_18 = var_15;
    const double var_19 = var_8*w[0][2];
    const double var_20 = var_4*w[0][1];
    const double var_21 = var_19 + var_20;
    const double var_22 = var_4*w[0][5];
    const double var_23 = var_8*w[0][7];
    const double var_24 = var_22 + var_23;
    const double var_25 = var_4 + var_8;
    const double var_26 = -0.5000000000000000000000000*var_25 + var_10;
    const double var_27 = var_4*w[0][6];
    const double var_28 = var_8*w[0][8];
    const double var_29 = var_27 + var_28;
    const double var_30 = var_4*w[0][7];
    const double var_31 = var_8*w[0][5];
    const double var_32 = var_30 + var_31;
    const double var_33 = var_4*w[0][3];
    const double var_34 = var_8*w[0][4];
    const double var_35 = var_34 + var_33;
    const double var_36 = -var_4*w[0][2];
    const double var_37 = -var_8*w[0][1];
    const double var_38 = var_36 + var_37;
    const double var_39 = var_9 + var_5;
    const double var_40 = var_4*w[0][8];
    const double var_41 = var_8*w[0][6];
    const double var_42 = var_41 + var_40;
    const double var_43 = w[0][4] + w[0][3];
    const double var_44 = w[0][8] + w[0][6];
    const double var_45 = w[0][2] + w[0][1];
    const double var_46 = w[0][5] + w[0][7];
    const double var_47 = -8.7000000000000010658141036*var_43 + -7.8000000000000007105427358*var_44 + 13.8000000000000007105427358*var_46 + 0.5000000000000000000000000*var_45;
    const double var_48 = -1.1625000000000000888178420*var_24 + 0.4875000000000000444089210*var_35 + 0.0750000000000000111022302*var_38 + 0.2250000000000000055511151*var_42 + -0.5625000000000000000000000*var_32 + 0.1250000000000000000000000*var_10*var_47 + 0.5500000000000000444089210*var_26*w[0][0] + 0.0125000000000000006938894*var_21 + 0.7500000000000000000000000*var_29 + 0.6000000000000000888178420*var_39;
    A[9] = 0.1607142857142856984253854*var_17*var_48/(var_18*var_18);
    const double var_49 = 9.0000000000000000000000000*var_4*w[0][9];
    const double var_50 = -var_49;
    const double var_51 = var_36 + var_50;
    const double var_52 = 0.0089285714285714280757933*var_51;
    const double var_53 = var_10*w[0][4];
    const double var_54 = -var_53;
    const double var_55 = var_8*w[0][0];
    const double var_56 = w[0][8] + w[0][7];
    const double var_57 = var_4*w[0][2];
    const double var_58 = var_10*w[0][8];
    const double var_59 = -var_58;
    const double var_60 = var_10*w[0][5];
    const double var_61 = 0.0857142857142857150787307*var_60;
    const double var_62 = 0.0053571428571428571924207*var_4*var_56 + var_61 + 0.0267857142857142842273799*var_12 + 0.1071428571428571369095195*var_57 + 0.0375000000000000055511151*var_59;
    const double var_63 = -var_10;
    const double var_64 = var_63*w[0][3];
    const double var_65 = var_10*w[0][6];
    const double var_66 = -var_65;
    const double var_67 = var_10*w[0][0];
    const double var_68 = -0.0160714285714285698425385*var_67 + -0.0964285714285714190552312*var_10*w[0][9];
    const double var_69 = -var_28;
    const double var_70 = 0.2500000000000000000000000*var_34 + var_9 + var_69;
    const double var_71 = 0.0214285714285714287696827*var_70;
    const double var_72 = var_63*w[0][1];
    const double var_73 = var_72 + var_20;
    const double var_74 = var_4*w[0][0];
    const double var_75 = -var_23;
    const double var_76 = var_75 + var_74;
    const double var_77 = 0.5000000000000000000000000*var_31 + var_22;
    const double var_78 = var_77 + var_4*var_43 + 3.0000000000000000000000000*var_10*w[0][2];
    const double var_79 = 0.0125000000000000006938894*var_73 + var_62 + 0.0428571428571428575393654*var_66 + 0.0053571428571428571924207*var_76 + var_71 + 0.0214285714285714287696827*var_64 + var_68 + 0.0089285714285714280757933*var_19 + 0.0071428571428571426341070*var_55 + 0.0107142857142857143848413*var_53 + 0.1607142857142856984253854*var_27 + -0.0321428571428571396850771*var_78;
    A[36] = 1.6875000000000000000000000*var_17*var_79/(var_18*var_18);
    A[63] = A[36];
    const double var_80 = -var_4;
    const double var_81 = var_80*w[0][3];
    const double var_82 = var_63*w[0][6];
    const double var_83 = var_82 + var_81;
    const double var_84 = w[0][0] + w[0][1];
    const double var_85 = w[0][2] + 3.4750000000000000888178420*var_84;
    const double var_86 = 0.5000000000000000000000000*var_25 + var_63;
    const double var_87 = var_25 + var_63;
    const double var_88 = w[0][0] + 9.0000000000000000000000000*var_43;
    const double var_89 = w[0][5] + w[0][6];
    const double var_90 = var_4*var_89 + var_56*var_8;
    const double var_91 = 0.5000000000000000000000000*var_21 + 4.5000000000000000000000000*var_90 + var_86*var_88 + 9.0000000000000000000000000*var_87*w[0][9];
    A[99] = 0.1446428571428571285828468*var_17*var_91/(var_18*var_18);
    const double var_92 = 3.8571428571428567622092487*w[0][9] + 4.7500000000000000000000000*w[0][0];
    const double var_93 = 5.9464285714285711748061658*w[0][7] + 1.8392857142857141905523122*w[0][2] + var_92;
    const double var_94 = var_10*w[0][3];
    const double var_95 = -var_10*w[0][1];
    const double var_96 = var_10*w[0][2];
    const double var_97 = -var_5;
    const double var_98 = var_27 + var_97;
    const double var_99 = -w[0][6];
    const double var_100 = w[0][5] + var_99;
    const double var_101 = -var_8*w[0][2];
    const double var_102 = 0.7500000000000000000000000*var_67;
    const double var_103 = -var_34;
    const double var_104 = var_63*w[0][5];
    const double var_105 = 0.2000000000000000111022302*var_58 + var_94;
    const double var_106 = var_105 + var_104;
    const double var_107 = w[0][8] + w[0][3];
    const double var_108 = -var_8;
    const double var_109 = var_10 + var_108;
    const double var_110 = 3.0000000000000000000000000*var_109*w[0][9];
    const double var_111 = -1.5000000000000000000000000*var_107*var_8 + var_110;
    const double var_112 = var_65 + var_111;
    const double var_113 = -var_74;
    const double var_114 = var_113 + var_20;
    const double var_115 = -0.5500000000000000444089210*var_8*w[0][0] + 1.3500000000000000888178420*var_100*var_8 + 2.2500000000000000000000000*var_106 + 0.0500000000000000027755576*var_101 + 2.7000000000000001776356839*var_98 + 9.0000000000000000000000000*var_53 + 0.3000000000000000444089210*var_95 + var_102 + 5.4000000000000003552713679*var_103 + 0.9000000000000000222044605*var_13 + 0.1000000000000000055511151*var_114 + 1.8000000000000000444089210*var_112 + 0.6000000000000000888178420*var_96;
    const double var_116 = -var_19;
    const double var_117 = -var_9;
    const double var_118 = var_28 + var_117;
    const double var_119 = var_41 + var_30 + var_53;
    const double var_120 = var_23 + var_103;
    const double var_121 = 5.5000000000000000000000000*var_4*w[0][5] + -var_10*var_56 + -0.7500000000000000000000000*var_119 + var_118 + 0.2500000000000000000000000*var_120;
    const double var_122 = var_8*w[0][1];
    const double var_123 = 0.0857142857142857150787307*var_12;
    const double var_124 = 0.0375000000000000055511151*var_66 + 0.0053571428571428571924207*var_8*var_89 + 0.1071428571428571369095195*var_122 + 0.0267857142857142842273799*var_60 + var_123;
    const double var_125 = var_10 + var_80;
    const double var_126 = 3.0000000000000000000000000*var_125*w[0][9];
    const double var_127 = 9.0000000000000000000000000*var_126 + var_80*w[0][2];
    const double var_128 = var_63*w[0][0];
    const double var_129 = 0.0125000000000000006938894*var_128;
    const double var_130 = 3.0000000000000000000000000*var_5;
    const double var_131 = var_55 + var_130;
    const double var_132 = var_33 + var_95;
    const double var_133 = var_25*w[0][7] + 0.5000000000000000000000000*var_4*w[0][8] + var_28 + var_34;
    const double var_134 = var_96 + var_19;
    const double var_135 = 3.0000000000000000000000000*var_9;
    const double var_136 = var_80*w[0][5] + var_58 + var_135 + -0.6000000000000000888178420*var_133 + 0.5000000000000000000000000*var_27 + 2.2000000000000001776356839*var_132 + 0.1000000000000000055511151*var_134;
    const double var_137 = var_129 + 0.0125000000000000006938894*var_131 + 0.0196428571428571424606346*var_4*w[0][1] + var_124 + -0.2785714285714285809447688*var_10*w[0][3] + 0.0035714285714285713170535*var_127 + 0.0214285714285714287696827*var_54 + 0.0535714285714285684547598*var_136;
    const double var_138 = -var_41;
    const double var_139 = -w[0][8];
    const double var_140 = w[0][7] + var_139;
    const double var_141 = var_53 + var_28 + var_66;
    const double var_142 = -var_94;
    const double var_143 = var_60 + var_142;
    const double var_144 = -46.5000000000000000000000000*w[0][4] + -11.0000000000000000000000000*w[0][2] + 19.5000000000000000000000000*w[0][7];
    const double var_145 = 0.0857142857142857150787307*var_141 + 0.0321428571428571396850771*var_31 + 0.0803571428571428492126927*var_138 + 0.0357142857142857123031732*var_135 + 0.0107142857142857143848413*var_37 + 0.0160714285714285698425385*var_10*var_140 + var_129 + 0.0035714285714285713170535*var_144*var_8 + 0.0125000000000000006938894*var_11 + 0.0017857142857142856585267*var_55 + 0.0750000000000000111022302*var_143;
    A[29] = 1.1250000000000000000000000*var_145*var_17/(var_18*var_18);
    A[92] = A[29];
    const double var_146 = 0.5000000000000000000000000*w[0][8] + w[0][3];
    const double var_147 = -var_10*w[0][9];
    const double var_148 = 0.4500000000000000111022302*var_147;
    const double var_149 = 0.0035714285714285713170535*var_67 + 0.4285714285714285476380780*var_148;
    const double var_150 = -var_22;
    const double var_151 = var_53 + var_13 + var_150;
    const double var_152 = var_108*w[0][2];
    const double var_153 = var_57 + var_55 + var_152;
    const double var_154 = var_30 + var_60;
    const double var_155 = w[0][3] + var_139;
    const double var_156 = var_97 + -0.5000000000000000000000000*var_154 + var_125*w[0][6] + var_40 + 3.0000000000000000000000000*var_155*var_8;
    const double var_157 = var_80*w[0][0];
    const double var_158 = 0.0071428571428571426341070*var_157;
    const double var_159 = -var_10*w[0][2];
    const double var_160 = var_159 + var_20;
    const double var_161 = 0.0035714285714285713170535*var_153 + 0.0196428571428571424606346*var_160 + var_149 + 0.0214285714285714287696827*var_95 + 0.2571428571428571174806166*var_146*var_63 + var_158 + 0.0803571428571428492126927*var_151 + 0.1125000000000000027755576*var_33 + 0.0321428571428571396850771*var_156;
    A[89] = 3.3750000000000000000000000*var_161*var_17/(var_18*var_18);
    A[98] = A[89];
    const double var_162 = var_108*w[0][0];
    const double var_163 = -var_67;
    const double var_164 = var_56 + 0.3750000000000000000000000*var_43 + var_89;
    const double var_165 = -var_21;
    const double var_166 = var_25*w[0][0];
    const double var_167 = var_118 + var_98;
    const double var_168 = var_24 + -var_35;
    const double var_169 = 0.0089285714285714280757933*var_165 + 0.0053571428571428571924207*var_168 + 0.0125000000000000006938894*var_10*var_45 + 0.0428571428571428575393654*var_10*var_164 + 0.0214285714285714287696827*var_167 + 0.0160714285714285698425385*var_32 + 0.0285714285714285705364279*var_163 + -0.0071428571428571426341070*var_166;
    const double var_170 = var_63*w[0][7];
    const double var_171 = var_170 + var_81;
    const double var_172 = 0.1285714285714285587403083*var_80*w[0][6];
    const double var_173 = 0.7071428571428570730716956*var_10*w[0][3] + var_172;
    const double var_174 = var_80*w[0][1];
    const double var_175 = 0.0714285714285714246063463*var_128;
    const double var_176 = 0.0071428571428571426341070*var_162;
    const double var_177 = -var_40;
    const double var_178 = var_82 + var_177;
    const double var_179 = var_101 + var_74;
    const double var_180 = var_58 + var_22;
    const double var_181 = var_111 + var_12;
    const double var_182 = -w[0][7];
    const double var_183 = -w[0][5];
    const double var_184 = w[0][6] + var_183;
    const double var_185 = 0.2500000000000000000000000*var_184 + var_182;
    const double var_186 = var_125*w[0][4] + var_154;
    const double var_187 = 0.7714285714285713524418497*var_185*var_8 + 0.0142857142857142852682140*var_57 + 0.0500000000000000027755576*var_96 + 0.0642857142857142793701541*var_178 + 0.3214285714285713968507707*var_81 + var_175 + 0.0428571428571428575393654*var_11 + 0.4500000000000000111022302*var_180 + 0.0785714285714285698425385*var_179 + var_173 + 0.0285714285714285705364279*var_174 + var_176 + 0.2571428571428571174806166*var_181 + 0.1285714285714285587403083*var_186;
    const double var_188 = 0.1464285714285714357085766*var_10*w[0][0];
    const double var_189 = var_188 + 0.9000000000000000222044605*var_10*w[0][9];
    const double var_190 = -0.1928571428571428381104624*var_43 + -0.7142857142857143015746146*w[0][0] + -0.1214285714285714273819039*var_45 + 0.3000000000000000444089210*var_44;
    const double var_191 = -var_60;
    const double var_192 = var_191 + var_13;
    const double var_193 = 2.2500000000000000000000000*var_63*w[0][9];
    const double var_194 = 0.5625000000000000000000000*var_25*w[0][9] + 0.2812500000000000000000000*var_42 + -var_24 + 0.2500000000000000000000000*var_35 + 0.0312500000000000000000000*var_165 + var_193 + -0.1875000000000000000000000*var_32;
    const double var_195 = 0.0187500000000000027755576*var_29 + 0.1071428571428571369095195*var_192 + -0.0196428571428571424606346*var_25*w[0][0] + 0.0017857142857142856585267*var_38 + 0.0133928571428571421136899*var_39 + 0.1250000000000000000000000*var_10*var_190 + 0.0857142857142857150787307*var_194;
    A[57] = 3.3750000000000000000000000*var_17*var_195/(var_18*var_18);
    const double var_196 = var_54 + var_12;
    const double var_197 = w[0][4] + w[0][6];
    const double var_198 = var_49 + 3.0000000000000000000000000*var_197*var_4 + var_57;
    const double var_199 = var_198 + var_117;
    const double var_200 = -1.5000000000000000000000000*var_197*var_4 + var_126;
    const double var_201 = var_170 + var_53;
    const double var_202 = -var_4*w[0][1];
    const double var_203 = -var_55;
    const double var_204 = 0.4500000000000000111022302*var_65;
    const double var_205 = -var_33;
    const double var_206 = 0.1000000000000000055511151*var_19;
    const double var_207 = var_204 + 2.7000000000000001776356839*var_118 + 0.1000000000000000055511151*var_203 + 2.2500000000000000000000000*var_201 + 0.9000000000000000222044605*var_191 + -0.5500000000000000444089210*var_4*w[0][0] + 0.3000000000000000444089210*var_159 + 1.8000000000000000444089210*var_200 + 1.3500000000000000888178420*var_140*var_4 + var_102 + 0.0500000000000000027755576*var_202 + 9.0000000000000000000000000*var_105 + 5.4000000000000003552713679*var_205 + 0.6000000000000000888178420*var_11 + var_206;
    const double var_208 = 76.5000000000000000000000000*w[0][9];
    const double var_209 = 156.7500000000000000000000000*var_46 + var_208 + 8.2500000000000000000000000*var_43 + 20.1666666666666642981908808*var_45 + 147.6666666666666571927635232*w[0][0];
    const double var_210 = 59.2500000000000000000000000*var_26*var_44 + var_209*var_86;
    const double var_211 = 0.0785714285714285698425385*var_67 + var_148;
    const double var_212 = 9.0000000000000000000000000*var_8*w[0][9];
    const double var_213 = 0.3285714285714285698425385*var_4*w[0][2] + 0.0714285714285714246063463*var_49;
    const double var_214 = 0.1000000000000000055511151*var_86*w[0][0] + var_148;
    const double var_215 = 0.2571428571428571174806166*var_53;
    const double var_216 = var_34 + var_59;
    const double var_217 = var_108*w[0][6];
    const double var_218 = var_30 + var_217;
    const double var_219 = var_23 + -var_4*w[0][6];
    const double var_220 = w[0][6] + var_182;
    const double var_221 = 41.0000000000000000000000000*w[0][1] + -17.0000000000000000000000000*w[0][2] + 39.0000000000000000000000000*var_220;
    const double var_222 = 0.5000000000000000000000000*var_213 + 0.0142857142857142852682140*var_212 + 0.3214285714285713968507707*var_77 + -0.3535714285714285365358478*var_4*w[0][4] + 1.4142857142857141461433912*var_94 + 0.0178571428571428561515866*var_19 + 0.4821428571428570952761561*var_191 + var_214 + 0.0964285714285714190552312*var_216 + 0.2892857142857142571656937*var_219 + 0.3714285714285714412596917*var_37 + -0.0678571428571428519882502*var_4*w[0][1] + 0.0642857142857142793701541*var_28 + 0.0321428571428571396850771*var_40 + -0.7071428571428570730716956*var_25*w[0][3] + var_215 + 0.1285714285714285587403083*var_218 + 0.0107142857142857143848413*var_10*var_221;
    const double var_223 = -0.9000000000000000222044605*var_10 + var_25;
    const double var_224 = 0.0321428571428571396850771*var_10*w[0][6];
    const double var_225 = -var_10*w[0][8];
    const double var_226 = 0.0642857142857142793701541*var_60;
    const double var_227 = var_40 + var_201 + var_217;
    const double var_228 = 13.0000000000000000000000000*w[0][1] + 33.0000000000000000000000000*w[0][3] + 51.0000000000000000000000000*w[0][7] + 69.0000000000000000000000000*w[0][5];
    const double var_229 = 0.3214285714285713968507707*var_23;
    const double var_230 = 3.0000000000000000000000000*var_107*var_8 + var_212 + var_122;
    const double var_231 = var_230 + var_97;
    const double var_232 = -0.6000000000000000888178420*var_34 + -2.5000000000000000000000000*var_10*w[0][3] + var_80*w[0][6] + var_31;
    const double var_233 = 0.0500000000000000027755576*var_72 + 0.0428571428571428575393654*var_231 + var_226 + 0.3750000000000000000000000*var_225 + 0.0285714285714285705364279*var_49 + 0.0857142857142857150787307*var_227 + 0.0357142857142857123031732*var_223*w[0][2] + 0.1785714285714285753936537*var_74 + var_224 + var_211 + 0.0035714285714285713170535*var_228*var_4 + var_229 + 0.1071428571428571369095195*var_232;
    A[77] = 1.6875000000000000000000000*var_17*var_233/(var_18*var_18);
    const double var_234 = 13.0000000000000000000000000*var_8*w[0][1];
    const double var_235 = 24.7500000000000000000000000*var_8*w[0][8] + 4.5000000000000000000000000*var_31 + var_234;
    const double var_236 = var_188 + 0.1928571428571428381104624*var_10*w[0][9];
    const double var_237 = var_63*w[0][4];
    const double var_238 = -var_10*w[0][5];
    const double var_239 = var_238 + var_65 + var_237;
    const double var_240 = 0.2571428571428571174806166*w[0][9] + 0.0357142857142857123031732*w[0][0];
    const double var_241 = 0.5785714285714285143313873*w[0][4] + var_240 + 0.1285714285714285587403083*w[0][3] + 0.1000000000000000055511151*w[0][2] + 0.1928571428571428381104624*w[0][7] + 0.3214285714285713968507707*w[0][6];
    const double var_242 = var_241*var_8;
    const double var_243 = 0.1607142857142856984253854*var_239 + var_236 + -0.0285714285714285705364279*var_235 + 0.3035714285714285476380780*var_10*w[0][1] + 0.4500000000000000111022302*var_170 + -0.0321428571428571396850771*var_10*w[0][3] + 0.5000000000000000000000000*var_242;
    const double var_244 = 3.0000000000000000000000000*w[0][6] + var_182;
    const double var_245 = var_63*w[0][2];
    const double var_246 = 1.3000000000000000444089210*w[0][0];
    const double var_247 = 6.9000000000000003552713679*w[0][3] + 3.3000000000000002664535259*w[0][5] + var_246 + 5.0000000000000000000000000*w[0][1];
    const double var_248 = var_80*w[0][4];
    const double var_249 = var_53 + var_40;
    const double var_250 = -61.0000000000000000000000000*w[0][1] + 4.5000000000000000000000000*w[0][5] + 28.5000000000000000000000000*w[0][7];
    const double var_251 = 5.1000000000000005329070518*var_249 + 3.0000000000000000000000000*var_248 + 0.2000000000000000111022302*var_10*var_250 + 1.1000000000000000888178420*var_245 + var_57 + var_247*var_4;
    const double var_252 = -0.0107142857142857143848413*var_4*var_56 + 0.0642857142857142793701541*var_4*var_89;
    const double var_253 = -var_10*w[0][7];
    const double var_254 = var_253 + var_67 + var_244*var_8;
    const double var_255 = var_125*w[0][2];
    const double var_256 = var_191 + var_255;
    const double var_257 = var_71 + 0.0642857142857142793701541*var_4*var_43 + 0.0071428571428571426341070*var_116 + 0.0535714285714285684547598*var_237 + 0.0750000000000000111022302*var_82 + 0.0267857142857142842273799*var_58 + 0.0035714285714285713170535*var_4*var_84 + 0.0125000000000000006938894*var_95 + 0.0428571428571428575393654*var_256 + var_252 + 0.0857142857142857150787307*var_64 + 0.0089285714285714280757933*var_162 + 0.0053571428571428571924207*var_254;
    A[35] = 1.6875000000000000000000000*var_17*var_257/(var_18*var_18);
    A[53] = A[35];
    const double var_258 = 11.0000000000000000000000000*w[0][4] + w[0][6] + 13.0000000000000000000000000*w[0][7];
    const double var_259 = w[0][5] + w[0][3];
    const double var_260 = var_63*w[0][8];
    const double var_261 = 0.6000000000000000888178420*var_259 + 0.0714285714285714246063463*var_56;
    const double var_262 = 1.0678571428571428381104624*w[0][0] + 0.6750000000000000444089210*w[0][9];
    const double var_263 = -var_262;
    const double var_264 = 0.4660714285714285809447688*w[0][8] + var_263 + -1.1892857142857142793701541*w[0][7] + -0.1696428571428571230317317*w[0][2] + -0.7714285714285713524418497*w[0][5] + 0.1767857142857142682679239*w[0][6];
    const double var_265 = 0.4178571428571428714171532*var_10*w[0][9] + 0.4285714285714285476380780*var_67;
    const double var_266 = -13.5000000000000000000000000*w[0][4] + -19.9285714285714270488369948*w[0][6] + -8.3571428571428558740308290*w[0][8] + 16.7142857142857117480616580*w[0][7] + 0.9285714285714284921269268*w[0][1];
    const double var_267 = 0.1607142857142856984253854*var_65 + 0.0321428571428571396850771*var_104;
    const double var_268 = var_108*w[0][4];
    const double var_269 = var_260 + var_268;
    const double var_270 = 59.0000000000000000000000000*w[0][1] + 27.0000000000000000000000000*w[0][3] + 333.0000000000000000000000000*w[0][4];
    const double var_271 = 0.1285714285714285587403083*var_269 + 0.0008928571428571428292634*var_10*var_270 + 0.0321428571428571396850771*var_81 + var_52 + 0.0080357142857142849212693*var_9 + 0.1053571428571428575393654*var_74 + 0.0125000000000000006938894*var_266*var_4 + var_267 + 0.5000000000000000000000000*var_264*var_8 + 0.4178571428571428714171532*var_22 + 0.0937500000000000000000000*var_96 + 0.3857142857142856762209249*var_12 + 0.0642857142857142793701541*var_37 + var_265;
    A[5] = 0.3750000000000000000000000*var_17*var_271/(var_18*var_18);
    const double var_272 = 11.0000000000000000000000000*w[0][3] + w[0][8] + 13.0000000000000000000000000*w[0][5];
    const double var_273 = 117.0000000000000000000000000*var_197 + 11.0000000000000000000000000*var_84;
    const double var_274 = var_59 + var_27 + var_94;
    const double var_275 = 19.5000000000000000000000000*w[0][5] + -11.0000000000000000000000000*w[0][1] + -46.5000000000000000000000000*w[0][3];
    const double var_276 = 0.0035714285714285713170535*var_275*var_4 + 0.0357142857142857123031732*var_130 + 0.0857142857142857150787307*var_274 + 0.0803571428571428492126927*var_177 + var_129 + 0.0125000000000000006938894*var_96 + 0.0107142857142857143848413*var_36 + 0.0321428571428571396850771*var_30 + 0.0160714285714285698425385*var_10*var_100 + 0.0017857142857142856585267*var_74 + 0.0750000000000000111022302*var_196;
    const double var_277 = 0.5000000000000000000000000*w[0][6] + w[0][4];
    const double var_278 = 0.2000000000000000111022302*var_56 + 1.5000000000000000000000000*var_259;
    const double var_279 = 1.3500000000000000888178420*w[0][9];
    const double var_280 = 1.8000000000000000444089210*w[0][2] + 0.0250000000000000013877788*var_273 + -0.7500000000000000000000000*var_278 + var_279;
    const double var_281 = 3.9000000000000003552713679*var_277*var_63 + var_280*var_4;
    const double var_282 = 0.3000000000000000444089210*var_163 + 0.2000000000000000111022302*var_193;
    const double var_283 = var_41 + var_94;
    const double var_284 = 6.9000000000000003552713679*w[0][4] + var_246 + 5.0000000000000000000000000*w[0][2] + 3.3000000000000002664535259*w[0][7];
    const double var_285 = var_108*w[0][3];
    const double var_286 = -61.0000000000000000000000000*w[0][2] + 4.5000000000000000000000000*w[0][7] + 28.5000000000000000000000000*w[0][5];
    const double var_287 = var_122 + 3.0000000000000000000000000*var_285 + 5.1000000000000005329070518*var_283 + 0.2000000000000000111022302*var_10*var_286 + var_284*var_8 + 1.1000000000000000888178420*var_72;
    const double var_288 = 0.3000000000000000444089210*var_69 + var_281 + 0.6000000000000000888178420*var_31 + var_282 + 0.2000000000000000111022302*var_212 + 0.2500000000000000000000000*var_287;
    const double var_289 = 0.1571428571428571396850771*var_67;
    const double var_290 = var_81 + var_66;
    const double var_291 = 0.3214285714285713968507707*var_94;
    const double var_292 = var_61 + 0.0178571428571428561515866*var_131 + 0.5000000000000000000000000*var_291 + 0.0750000000000000111022302*var_27 + var_289 + 0.0642857142857142793701541*var_177 + 0.0071428571428571426341070*var_127 + 0.0035714285714285713170535*var_96 + 0.0392857142857142849212693*var_4*w[0][0] + 0.0250000000000000013877788*var_11 + 0.0142857142857142852682140*var_19 + 0.1071428571428571369095195*var_290 + 0.0428571428571428575393654*var_121;
    A[58] = 0.8437500000000000000000000*var_17*var_292/(var_18*var_18);
    A[85] = A[58];
    const double var_293 = var_19 + var_95;
    const double var_294 = 0.2250000000000000055511151*var_163 + 0.1607142857142856984253854*var_147;
    const double var_295 = var_159 + var_34;
    const double var_296 = 0.1285714285714285587403083*var_108*w[0][8];
    const double var_297 = -var_20;
    const double var_298 = var_122 + var_82 + var_40;
    const double var_299 = -0.4500000000000000111022302*var_4*w[0][5];
    const double var_300 = var_80*w[0][7];
    const double var_301 = 13.0000000000000000000000000*var_4*w[0][2];
    const double var_302 = 0.0125000000000000006938894*var_157 + var_294 + 0.0321428571428571396850771*var_298 + var_296 + 0.0482142857142857095276156*var_41 + 0.0071428571428571426341070*var_301 + 0.0044642857142857140378966*var_297 + 0.0964285714285714190552312*var_58 + var_226 + 0.0642857142857142793701541*var_285 + 0.1767857142857142682679239*var_5 + 0.1607142857142856984253854*var_299 + 0.1250000000000000000000000*var_173 + -0.0241071428571428547638078*var_4*w[0][3] + 0.1848214285714285531891932*var_295 + 0.0401785714285714246063463*var_300 + 0.0080357142857142849212693*var_31 + -0.0276785714285714273819039*var_10*w[0][1] + 0.2571428571428571174806166*var_170 + -0.3616071428571428492126927*var_53 + 0.0500000000000000027755576*var_8*var_93 + 0.0035714285714285713170535*var_50;
    A[6] = 0.3750000000000000000000000*var_17*var_302/(var_18*var_18);
    const double var_303 = 0.0205357142857142856151587*var_10*w[0][0];
    const double var_304 = 0.0857142857142857150787307*var_104;
    const double var_305 = var_59 + var_203;
    const double var_306 = var_37 + 3.0000000000000000000000000*var_212 + 1.5000000000000000000000000*var_305 + 13.5000000000000000000000000*var_8*w[0][5] + -var_273*var_4 + -11.0000000000000000000000000*var_19 + 9.0000000000000000000000000*var_138;
    const double var_307 = var_304 + 0.1392857142857142904723844*var_65 + 0.0133928571428571421136899*var_28 + 0.0214285714285714287696827*var_23 + 0.1285714285714285587403083*var_255 + 0.0857142857142857150787307*var_268 + 0.2785714285714285809447688*var_53 + var_303 + 0.0750000000000000111022302*var_64 + 0.0187500000000000027755576*var_14 + 0.0321428571428571396850771*var_126 + 0.0535714285714285684547598*var_278*var_4 + 0.0017857142857142856585267*var_306;
    A[46] = 3.3750000000000000000000000*var_17*var_307/(var_18*var_18);
    A[64] = A[46];
    const double var_308 = var_60 + var_12;
    const double var_309 = 0.0321428571428571396850771*var_10*w[0][8];
    const double var_310 = 0.2571428571428571174806166*var_94;
    const double var_311 = 0.3214285714285713968507707*var_53;
    const double var_312 = 5.4000000000000003552713679*w[0][6] + 0.6428571428571427937015414*var_182 + -0.0142857142857142852682140*w[0][1];
    const double var_313 = var_310 + 0.2500000000000000000000000*var_10*var_312 + 0.6428571428571427937015414*var_104 + var_189 + var_311 + 0.0285714285714285705364279*var_235 + var_96 + var_309 + -0.5000000000000000000000000*var_242;
    A[23] = 0.0937500000000000000000000*var_17*var_313/(var_18*var_18);
    A[32] = A[23];
    const double var_314 = 45.0000000000000000000000000*var_197 + 4.2500000000000000000000000*var_84 + 35.8000000000000042632564146*w[0][2];
    const double var_315 = var_108*w[0][1] + 9.0000000000000000000000000*var_110;
    const double var_316 = var_74 + var_135;
    const double var_317 = var_268 + var_59;
    const double var_318 = var_94 + var_31 + var_40;
    const double var_319 = var_22 + var_205;
    const double var_320 = 0.2500000000000000000000000*var_319 + -0.7500000000000000000000000*var_318 + 5.5000000000000000000000000*var_8*w[0][7] + var_98 + -1.5000000000000000000000000*var_41 + -var_10*var_89;
    const double var_321 = var_123 + 0.0035714285714285713170535*var_11 + 0.0392857142857142849212693*var_8*w[0][0] + 0.0178571428571428561515866*var_316 + var_289 + 0.0142857142857142852682140*var_20 + 0.5000000000000000000000000*var_311 + 0.0071428571428571426341070*var_315 + 0.0750000000000000111022302*var_28 + 0.0250000000000000013877788*var_96 + 0.1071428571428571369095195*var_317 + 0.0428571428571428575393654*var_320;
    A[67] = 0.8437500000000000000000000*var_17*var_321/(var_18*var_18);
    A[76] = A[67];
    const double var_322 = var_245 + var_19;
    const double var_323 = w[0][0] + w[0][2];
    const double var_324 = 35.8000000000000042632564146*w[0][1] + 4.2500000000000000000000000*var_323 + 45.0000000000000000000000000*var_107;
    const double var_325 = 0.4642857142857142460634634*w[0][0];
    const double var_326 = 16.7142857142857117480616580*var_146 + -4.1785714285714279370154145*w[0][7] + 4.2142857142857144125969171*w[0][1] + -6.7500000000000000000000000*w[0][6] + -9.9642857142857135244184974*w[0][4] + 1.2857142857142855874030829*var_183 + var_325;
    const double var_327 = w[0][4] + w[0][7];
    const double var_328 = 0.6000000000000000888178420*var_327 + 0.0714285714285714246063463*var_89;
    const double var_329 = 0.2571428571428571174806166*var_147;
    const double var_330 = 0.5625000000000000000000000*var_10*var_328 + 0.0250000000000000013877788*var_326*var_4 + var_52 + -0.0178571428571428561515866*var_10*var_324 + var_329;
    A[13] = 0.3750000000000000000000000*var_17*var_330/(var_18*var_18);
    A[37] = 1.6875000000000000000000000*var_137*var_17/(var_18*var_18);
    A[73] = A[37];
    const double var_331 = -5.8000000000000007105427358*var_327 + 2.6000000000000000888178420*var_107 + -3.0000000000000000000000000*var_323;
    const double var_332 = var_193 + 0.2750000000000000222044605*var_128;
    const double var_333 = var_94 + var_191 + var_75;
    const double var_334 = -var_27;
    const double var_335 = var_5 + var_334 + 0.2500000000000000000000000*var_33;
    const double var_336 = 0.0214285714285714287696827*var_335;
    const double var_337 = var_150 + var_55;
    const double var_338 = var_43*var_8 + 3.0000000000000000000000000*var_10*w[0][1] + var_23 + 0.5000000000000000000000000*var_30;
    const double var_339 = 0.0053571428571428571924207*var_337 + var_336 + 0.0428571428571428575393654*var_59 + 0.0125000000000000006938894*var_322 + 0.0089285714285714280757933*var_20 + 0.1607142857142856984253854*var_28 + 0.0107142857142857143848413*var_94 + 0.0071428571428571426341070*var_74 + var_124 + 0.0214285714285714287696827*var_237 + var_68 + -0.0321428571428571396850771*var_338;
    const double var_340 = 0.7071428571428570730716956*var_10*w[0][4] + var_296;
    const double var_341 = var_74 + var_122 + var_174;
    const double var_342 = var_31 + var_12;
    const double var_343 = w[0][4] + var_99;
    const double var_344 = 3.0000000000000000000000000*var_343*var_4 + -0.5000000000000000000000000*var_342 + var_117 + var_41 + var_109*w[0][8];
    const double var_345 = 0.0035714285714285713170535*var_341 + 0.1125000000000000027755576*var_34 + var_176 + 0.0803571428571428492126927*var_333 + 0.0214285714285714287696827*var_159 + var_149 + 0.2571428571428571174806166*var_277*var_63 + 0.0321428571428571396850771*var_344 + 0.0196428571428571424606346*var_293;
    A[69] = 3.3750000000000000000000000*var_17*var_345/(var_18*var_18);
    const double var_346 = var_63 + var_8;
    const double var_347 = 8.2000000000000010658141036*var_107 + var_89;
    const double var_348 = 3.4750000000000000888178420*var_323 + w[0][1];
    const double var_349 = 0.0133928571428571421136899*var_346*var_347 + 0.0476190476190476164042309*var_109*var_348 + 0.2276785714285714246063463*var_109*var_327 + 0.0375000000000000055511151*var_110;
    const double var_350 = 117.0000000000000000000000000*var_107 + 11.0000000000000000000000000*var_323;
    const double var_351 = 0.2000000000000000111022302*var_89 + 1.5000000000000000000000000*var_327;
    const double var_352 = 1.8000000000000000444089210*w[0][1] + -0.7500000000000000000000000*var_351 + 0.0250000000000000013877788*var_350 + var_279;
    const double var_353 = -0.3857142857142856762209249*var_10*w[0][9] + -0.6071428571428570952761561*var_10*w[0][0];
    const double var_354 = 0.0642857142857142793701541*var_12;
    const double var_355 = var_53 + var_58 + var_142;
    const double var_356 = 9.5000000000000000000000000*w[0][0];
    const double var_357 = 49.5000000000000000000000000*w[0][6] + 40.5000000000000000000000000*w[0][4] + 99.0000000000000000000000000*w[0][5] + var_356;
    const double var_358 = -0.2928571428571428714171532*var_10*w[0][2];
    const double var_359 = var_354 + 0.9000000000000000222044605*var_65 + var_353 + 0.6428571428571427937015414*var_33 + 0.0642857142857142793701541*var_30 + 0.3214285714285713968507707*var_355 + 0.2571428571428571174806166*var_40 + 0.1000000000000000055511151*var_20 + -0.0142857142857142852682140*var_357*var_4 + var_213 + var_358;
    A[15] = 0.0468750000000000000000000*var_17*var_359/(var_18*var_18);
    A[51] = A[15];
    const double var_360 = -var_10*w[0][6];
    const double var_361 = -0.4500000000000000111022302*var_8*w[0][7];
    const double var_362 = -var_212;
    const double var_363 = var_37 + var_362;
    const double var_364 = 1.9285714285714283811046243*w[0][9] + 0.9196428571428570952761561*w[0][0];
    A[79] = 0.8437500000000000000000000*var_17*var_187/(var_18*var_18);
    A[19] = 1.1250000000000000000000000*var_17*var_276/(var_18*var_18);
    const double var_365 = var_27 + 0.5000000000000000000000000*var_8*w[0][6] + var_33 + var_25*w[0][5];
    const double var_366 = var_20 + var_11;
    const double var_367 = -0.6000000000000000888178420*var_365 + 0.5000000000000000000000000*var_28 + var_65 + 0.1000000000000000055511151*var_366 + 2.2000000000000001776356839*var_295 + var_130 + var_108*w[0][7];
    const double var_368 = var_55 + var_202;
    const double var_369 = 0.0642857142857142793701541*var_56*var_8 + -0.0107142857142857143848413*var_8*var_89;
    const double var_370 = 0.0714285714285714246063463*var_212 + 0.3285714285714285698425385*var_8*w[0][1];
    const double var_371 = var_54 + var_65 + var_94;
    const double var_372 = 49.5000000000000000000000000*w[0][8] + 99.0000000000000000000000000*w[0][7] + 40.5000000000000000000000000*w[0][3] + var_356;
    const double var_373 = -0.2928571428571428714171532*var_10*w[0][1];
    const double var_374 = 0.3214285714285713968507707*var_371 + 0.6428571428571427937015414*var_34 + var_373 + var_370 + 0.0642857142857142793701541*var_31 + 0.9000000000000000222044605*var_58 + 0.2571428571428571174806166*var_41 + var_226 + -0.0142857142857142852682140*var_372*var_8 + var_353 + var_206;
    A[27] = 0.0468750000000000000000000*var_17*var_374/(var_18*var_18);
    A[72] = A[27];
    const double var_375 = var_260 + var_138;
    const double var_376 = var_60 + var_200;
    const double var_377 = w[0][8] + var_182;
    const double var_378 = var_183 + 0.2500000000000000000000000*var_377;
    const double var_379 = var_342 + var_109*w[0][3];
    const double var_380 = var_204 + 0.0142857142857142852682140*var_122 + 0.0785714285714285698425385*var_368 + 0.3214285714285713968507707*var_268 + 0.0642857142857142793701541*var_375 + var_158 + 0.4500000000000000111022302*var_23 + 0.2571428571428571174806166*var_376 + var_340 + 0.0428571428571428575393654*var_96 + 0.0285714285714285705364279*var_152 + 0.7714285714285713524418497*var_378*var_4 + var_175 + 0.0500000000000000027755576*var_11 + 0.1285714285714285587403083*var_379;
    const double var_381 = var_4 + var_63;
    const double var_382 = 8.2000000000000010658141036*var_197 + var_56;
    const double var_383 = 0.0133928571428571421136899*var_381*var_382 + 0.2276785714285714246063463*var_125*var_259 + 0.0476190476190476164042309*var_125*var_85 + 0.0375000000000000055511151*var_126;
    A[1] = 0.1250000000000000000000000*var_17*var_383/(var_18*var_18);
    A[10] = A[1];
    A[96] = A[69];
    A[49] = 0.1205357142857142738190390*var_115*var_17/(var_18*var_18);
    A[94] = A[49];
    const double var_384 = 0.6000000000000000888178420*var_80*w[0][8] + 0.7500000000000000000000000*var_30;
    const double var_385 = var_33 + var_66;
    const double var_386 = var_22 + -var_8*w[0][8];
    const double var_387 = w[0][8] + var_183;
    const double var_388 = -17.0000000000000000000000000*w[0][1] + 39.0000000000000000000000000*var_387 + 41.0000000000000000000000000*w[0][2];
    const double var_389 = var_214 + 0.2142857142857142738190390*var_384 + 0.0142857142857142852682140*var_49 + var_229 + 0.3714285714285714412596917*var_36 + 0.0321428571428571396850771*var_41 + 0.5000000000000000000000000*var_370 + -0.3535714285714285365358478*var_8*w[0][3] + 0.0642857142857142793701541*var_27 + 0.4821428571428570952761561*var_13 + 0.2892857142857142571656937*var_386 + -0.7071428571428570730716956*var_25*w[0][4] + 0.0107142857142857143848413*var_10*var_388 + -0.0678571428571428519882502*var_8*w[0][2] + 0.0964285714285714190552312*var_385 + 0.0178571428571428561515866*var_20 + 0.1285714285714285587403083*var_31 + 1.4142857142857141461433912*var_53 + var_310;
    A[4] = 0.0937500000000000000000000*var_17*var_389/(var_18*var_18);
    const double var_390 = 1.8392857142857141905523122*w[0][1] + 5.9464285714285711748061658*w[0][5] + var_92;
    const double var_391 = var_260 + var_41 + var_57;
    const double var_392 = var_108*w[0][5];
    const double var_393 = 0.0071428571428571426341070*var_234 + var_172 + 0.0044642857142857140378966*var_116 + 0.0642857142857142793701541*var_248 + var_294 + 0.1848214285714285531891932*var_132 + 0.0482142857142857095276156*var_40 + 0.1250000000000000000000000*var_340 + -0.0276785714285714273819039*var_10*w[0][2] + -0.3616071428571428492126927*var_94 + 0.0964285714285714190552312*var_65 + 0.0080357142857142849212693*var_30 + 0.0125000000000000006938894*var_162 + var_354 + 0.0321428571428571396850771*var_391 + 0.1767857142857142682679239*var_9 + 0.0401785714285714246063463*var_392 + -0.0241071428571428547638078*var_8*w[0][4] + 0.1607142857142856984253854*var_361 + 0.2571428571428571174806166*var_104 + 0.0500000000000000027755576*var_390*var_4 + 0.0035714285714285713170535*var_362;
    const double var_394 = -0.1696428571428571230317317*w[0][0] + -0.6750000000000000444089210*w[0][9];
    const double var_395 = 0.2571428571428571174806166*var_182 + 0.0160714285714285698425385*w[0][8] + -0.1285714285714285587403083*w[0][1] + -1.0678571428571428381104624*w[0][2] + 0.4660714285714285809447688*w[0][3] + -1.1892857142857142793701541*w[0][4] + -0.7714285714285713524418497*w[0][6] + 0.1767857142857142682679239*w[0][5] + var_394;
    const double var_396 = 0.2571428571428571174806166*var_10*w[0][9];
    const double var_397 = -0.5625000000000000000000000*var_10*var_261 + 0.5000000000000000000000000*var_395*var_8 + 0.0178571428571428561515866*var_10*var_314 + var_396;
    A[26] = 0.3750000000000000000000000*var_17*var_397/(var_18*var_18);
    A[62] = A[26];
    const double var_398 = 24.7500000000000000000000000*var_4*w[0][6] + 4.5000000000000000000000000*var_30 + var_301;
    const double var_399 = var_64 + var_58 + var_253;
    const double var_400 = 0.1928571428571428381104624*w[0][5] + 0.1285714285714285587403083*w[0][4] + var_240 + 0.5785714285714285143313873*w[0][3] + 0.1000000000000000055511151*w[0][1] + 0.3214285714285713968507707*w[0][8];
    const double var_401 = var_4*var_400;
    const double var_402 = 0.1607142857142856984253854*var_399 + -0.0321428571428571396850771*var_10*w[0][4] + 0.3035714285714285476380780*var_10*w[0][2] + -0.0285714285714285705364279*var_398 + 0.4500000000000000111022302*var_104 + var_236 + 0.5000000000000000000000000*var_401;
    A[16] = 0.0937500000000000000000000*var_17*var_402/(var_18*var_18);
    const double var_403 = 0.2571428571428571174806166*var_183 + var_394 + 0.0160714285714285698425385*w[0][6] + -0.1285714285714285587403083*w[0][2] + -1.0678571428571428381104624*w[0][1] + -1.1892857142857142793701541*w[0][3] + 0.1767857142857142682679239*w[0][7] + -0.7714285714285713524418497*w[0][8] + 0.4660714285714285809447688*w[0][4];
    const double var_404 = -0.5625000000000000000000000*var_10*var_328 + 0.5000000000000000000000000*var_4*var_403 + 0.0178571428571428561515866*var_10*var_324 + var_396;
    const double var_405 = var_109*w[0][1];
    const double var_406 = var_405 + var_13;
    const double var_407 = var_225 + var_33;
    const double var_408 = 0.3000000000000000444089210*var_407 + 0.2500000000000000000000000*var_331*var_8 + 1.5000000000000000000000000*var_97 + var_64 + 2.9000000000000003552713679*var_53 + var_36 + var_109*var_89 + 0.0500000000000000027755576*var_297;
    const double var_409 = var_8*var_89 + var_166 + var_4*var_56;
    A[2] = 0.1250000000000000000000000*var_17*var_349/(var_18*var_18);
    const double var_410 = var_72 + var_55;
    const double var_411 = 2.9732142857142855874030829*w[0][4] + 0.4821428571428570952761561*w[0][5] + -1.2857142857142855874030829*var_146 + 1.8482142857142855874030829*w[0][7] + 2.3750000000000000000000000*w[0][2] + var_364;
    const double var_412 = -9.9642857142857135244184974*w[0][3] + 4.2142857142857144125969171*w[0][2] + 1.2857142857142855874030829*var_182 + -6.7500000000000000000000000*w[0][8] + -4.1785714285714279370154145*w[0][5] + 16.7142857142857117480616580*var_277 + var_325;
    const double var_413 = 0.0089285714285714280757933*var_363;
    const double var_414 = 0.0250000000000000013877788*var_412*var_8 + -0.0178571428571428561515866*var_10*var_314 + var_413 + 0.5625000000000000000000000*var_10*var_261 + var_329;
    A[24] = 0.3750000000000000000000000*var_17*var_414/(var_18*var_18);
    A[39] = 0.1205357142857142738190390*var_17*var_207/(var_18*var_18);
    A[31] = A[13];
    const double var_415 = 1.8482142857142855874030829*w[0][5] + -1.2857142857142855874030829*var_277 + 2.3750000000000000000000000*w[0][1] + 2.9732142857142855874030829*w[0][3] + 0.4821428571428570952761561*w[0][7] + var_364;
    const double var_416 = 0.0017857142857142856585267*var_67 + var_148;
    const double var_417 = var_72 + var_267;
    const double var_418 = 0.5000000000000000000000000*var_417 + 0.1285714285714285587403083*var_170 + -0.6750000000000000444089210*var_10*w[0][3] + 0.0642857142857142793701541*var_57 + 0.2500000000000000000000000*var_358 + var_416 + 0.2000000000000000111022302*var_4*var_415 + 0.0160714285714285698425385*var_40 + 0.1607142857142856984253854*var_260 + var_311;
    A[17] = 0.1875000000000000000000000*var_17*var_418/(var_18*var_18);
    A[3] = 0.0937500000000000000000000*var_17*var_222/(var_18*var_18);
    A[30] = A[3];
    A[28] = 0.0937500000000000000000000*var_17*var_243/(var_18*var_18);
    const double var_419 = var_34 + var_360;
    const double var_420 = -3.0000000000000000000000000*var_84 + -5.8000000000000007105427358*var_259 + 2.6000000000000000888178420*var_197;
    const double var_421 = var_125*var_56 + 0.0500000000000000027755576*var_116 + var_37 + 0.2500000000000000000000000*var_4*var_420 + 1.5000000000000000000000000*var_117 + var_237 + 0.3000000000000000444089210*var_419 + 2.9000000000000003552713679*var_94;
    const double var_422 = 0.0142857142857142852682140*var_163;
    const double var_423 = 0.1071428571428571369095195*var_421 + 0.0125000000000000006938894*var_203 + 0.0750000000000000111022302*var_126 + 0.1750000000000000166533454*var_10*w[0][1] + 0.5000000000000000000000000*var_369 + 0.0285714285714285705364279*var_255 + var_422;
    const double var_424 = var_191 + var_5 + var_96;
    const double var_425 = var_113 + var_66;
    const double var_426 = 1.5000000000000000000000000*var_425 + var_36 + -11.0000000000000000000000000*var_20 + 9.0000000000000000000000000*var_177 + 13.5000000000000000000000000*var_4*w[0][7] + -var_350*var_8 + 3.0000000000000000000000000*var_49;
    const double var_427 = 0.0857142857142857150787307*var_171 + 0.0321428571428571396850771*var_110 + 0.1285714285714285587403083*var_405 + var_303 + 0.0750000000000000111022302*var_237 + 0.0187500000000000027755576*var_424 + 0.0133928571428571421136899*var_27 + 0.0017857142857142856585267*var_426 + 0.1392857142857142904723844*var_58 + 0.2785714285714285809447688*var_94 + 0.0214285714285714287696827*var_22 + 0.0535714285714285684547598*var_351*var_8;
    A[38] = 3.3750000000000000000000000*var_17*var_427/(var_18*var_18);
    const double var_428 = 0.1875000000000000000000000*var_25 + var_63;
    const double var_429 = 0.0214285714285714287696827*var_308 + -0.0062500000000000003469447*var_21 + 0.0160714285714285698425385*var_24 + 0.2500000000000000000000000*var_148 + 0.0857142857142857150787307*var_428*var_43 + -0.0803571428571428492126927*var_29 + 0.0053571428571428571924207*var_10*var_44 + 0.0196428571428571424606346*var_10*var_45 + 0.0089285714285714280757933*var_163 + 0.0535714285714285684547598*var_38 + -0.0026785714285714285962103*var_409;
    A[34] = 3.3750000000000000000000000*var_17*var_429/(var_18*var_18);
    const double var_430 = 13.0000000000000000000000000*w[0][2] + 69.0000000000000000000000000*w[0][7] + 51.0000000000000000000000000*w[0][5] + 33.0000000000000000000000000*w[0][4];
    const double var_431 = 0.0321428571428571396850771*var_170 + 0.1607142857142856984253854*var_58;
    const double var_432 = var_245 + var_431;
    const double var_433 = 0.5000000000000000000000000*var_432 + var_416 + 0.2000000000000000111022302*var_411*var_8 + 0.0160714285714285698425385*var_41 + 0.1607142857142856984253854*var_82 + -0.6750000000000000444089210*var_10*w[0][4] + 0.1285714285714285587403083*var_104 + 0.0642857142857142793701541*var_122 + var_291 + 0.2500000000000000000000000*var_373;
    A[25] = 0.1875000000000000000000000*var_17*var_433/(var_18*var_18);
    A[18] = 0.3750000000000000000000000*var_17*var_404/(var_18*var_18);
    A[81] = A[18];
    A[20] = A[2];
    const double var_434 = 147.6666666666666571927635232*w[0][1] + 8.2500000000000000000000000*var_89 + 20.1666666666666642981908808*var_323 + -59.2500000000000000000000000*var_327 + 156.7500000000000000000000000*var_107 + var_208;
    A[43] = A[34];
    A[68] = 1.6875000000000000000000000*var_169*var_17/(var_18*var_18);
    const double var_435 = 0.1071428571428571369095195*var_408 + 0.1750000000000000166533454*var_10*w[0][2] + 0.0750000000000000111022302*var_110 + var_422 + 0.0125000000000000006938894*var_113 + 0.5000000000000000000000000*var_252 + 0.0285714285714285705364279*var_405;
    A[56] = 1.6875000000000000000000000*var_17*var_435/(var_18*var_18);
    const double var_436 = 8.2500000000000000000000000*var_56 + -59.2500000000000000000000000*var_259 + var_208 + 156.7500000000000000000000000*var_197 + 20.1666666666666642981908808*var_84 + 147.6666666666666571927635232*w[0][2];
    A[22] = 0.0008928571428571428292634*var_17*var_436*var_8/(var_18*var_18);
    A[82] = A[28];
    A[8] = 0.3750000000000000000000000*var_17*var_393/(var_18*var_18);
    A[80] = A[8];
    A[93] = A[39];
    A[90] = A[9];
    const double var_437 = -0.0142857142857142852682140*w[0][2] + 5.4000000000000003552713679*w[0][8] + 0.6428571428571427937015414*var_183;
    const double var_438 = var_291 + 0.6428571428571427937015414*var_170 + var_224 + var_215 + var_189 + 0.0285714285714285705364279*var_398 + var_11 + -0.5000000000000000000000000*var_401 + 0.2500000000000000000000000*var_10*var_437;
    A[14] = 0.0937500000000000000000000*var_17*var_438/(var_18*var_18);
    const double var_439 = 0.0125000000000000006938894*var_316 + var_129 + 0.0214285714285714287696827*var_142 + var_62 + 0.0196428571428571424606346*var_8*w[0][2] + -0.2785714285714285809447688*var_10*w[0][4] + 0.0535714285714285684547598*var_367 + 0.0035714285714285713170535*var_315;
    A[45] = 1.6875000000000000000000000*var_17*var_439/(var_18*var_18);
    const double var_440 = -0.2276785714285714246063463*var_44 + 0.0133928571428571421136899*var_43 + -0.1125000000000000027755576*w[0][9] + -0.0476190476190476164042309*w[0][0] + -0.1654761904761904989236143*var_45 + 0.1098214285714285698425385*var_46;
    A[12] = 0.1250000000000000000000000*var_10*var_17*var_440/(var_18*var_18);
    A[21] = A[12];
    const double var_441 = 3.9000000000000003552713679*var_146*var_63 + var_352*var_8;
    const double var_442 = var_198 + var_60;
    const double var_443 = var_245 + var_74;
    const double var_444 = 0.5500000000000000444089210*var_95 + 0.0750000000000000111022302*var_10*var_258 + 2.2500000000000000000000000*var_33 + 0.7500000000000000000000000*var_40 + 0.3000000000000000444089210*var_442 + var_441 + var_332 + var_299 + 0.6000000000000000888178420*var_300 + 0.2500000000000000000000000*var_443;
    A[33] = 0.2410714285714285476380780*var_17*var_444/(var_18*var_18);
    const double var_445 = 3.0000000000000000000000000*w[0][8] + var_183;
    const double var_446 = var_238 + var_67 + var_4*var_445;
    const double var_447 = 0.0750000000000000111022302*var_260 + var_369 + 0.0267857142857142842273799*var_65 + 0.0642857142857142793701541*var_43*var_8 + 0.0857142857142857150787307*var_237 + 0.0035714285714285713170535*var_323*var_8 + var_336 + 0.0053571428571428571924207*var_446 + 0.0071428571428571426341070*var_297 + 0.0125000000000000006938894*var_159 + 0.0535714285714285684547598*var_64 + 0.0089285714285714280757933*var_157 + 0.0428571428571428575393654*var_406;
    A[47] = 1.6875000000000000000000000*var_17*var_447/(var_18*var_18);
    A[74] = A[47];
    A[86] = A[68];
    const double var_448 = var_230 + var_12;
    A[59] = 0.8437500000000000000000000*var_17*var_380/(var_18*var_18);
    const double var_449 = -0.7714285714285713524418497*w[0][7] + -0.1696428571428571230317317*w[0][1] + 0.1767857142857142682679239*w[0][8] + var_263 + -1.1892857142857142793701541*w[0][5] + 0.4660714285714285809447688*w[0][6];
    const double var_450 = -19.9285714285714270488369948*w[0][8] + -8.3571428571428558740308290*w[0][6] + 16.7142857142857117480616580*w[0][5] + -13.5000000000000000000000000*w[0][3] + 0.9285714285714284921269268*w[0][2];
    const double var_451 = 333.0000000000000000000000000*w[0][3] + 27.0000000000000000000000000*w[0][4] + 59.0000000000000000000000000*w[0][2];
    const double var_452 = 0.3857142857142856762209249*var_60 + 0.4178571428571428714171532*var_23 + var_265 + 0.0008928571428571428292634*var_10*var_451 + 0.5000000000000000000000000*var_4*var_449 + 0.0321428571428571396850771*var_268 + 0.0642857142857142793701541*var_36 + 0.1285714285714285587403083*var_83 + 0.1053571428571428575393654*var_55 + 0.0080357142857142849212693*var_5 + var_431 + 0.0937500000000000000000000*var_11 + var_413 + 0.0125000000000000006938894*var_450*var_8;
    A[95] = A[59];
    A[48] = 1.6875000000000000000000000*var_17*var_339/(var_18*var_18);
    A[84] = A[48];
    A[71] = A[17];
    const double var_453 = 0.3000000000000000444089210*var_334 + 0.2000000000000000111022302*var_49 + var_441 + 0.6000000000000000888178420*var_30 + var_282 + 0.2500000000000000000000000*var_251;
    A[88] = 0.2410714285714285476380780*var_17*var_453/(var_18*var_18);
    A[91] = A[19];
    A[97] = A[79];
    A[54] = A[45];
    A[61] = A[16];
    A[41] = A[14];
    A[75] = A[57];
    const double var_454 = var_361 + 2.2500000000000000000000000*var_34 + 0.5500000000000000444089210*var_159 + 0.0750000000000000111022302*var_10*var_272 + 0.3000000000000000444089210*var_448 + var_281 + 0.7500000000000000000000000*var_41 + var_332 + 0.6000000000000000888178420*var_392 + 0.2500000000000000000000000*var_410;
    A[44] = 0.2410714285714285476380780*var_17*var_454/(var_18*var_18);
    A[7] = 0.3750000000000000000000000*var_17*var_452/(var_18*var_18);
    A[70] = A[7];
    A[65] = A[56];
    A[78] = 1.6875000000000000000000000*var_17*var_423/(var_18*var_18);
    A[87] = A[78];
    const double var_455 = 0.0357142857142857123031732*var_223*w[0][1] + var_309 + 0.0500000000000000027755576*var_245 + -0.2678571428571428492126927*var_10*w[0][4] + var_354 + -0.0642857142857142793701541*var_33 + var_304 + 0.0285714285714285705364279*var_212 + 0.1071428571428571369095195*var_108*w[0][8] + 0.0428571428571428575393654*var_199 + 0.3214285714285713968507707*var_22 + 0.0035714285714285713170535*var_430*var_8 + 0.1428571428571428492126927*var_384 + 0.1785714285714285753936537*var_55 + 0.0857142857142857150787307*var_283 + var_211 + 0.3750000000000000000000000*var_360;
    A[55] = 1.6875000000000000000000000*var_17*var_455/(var_18*var_18);
    A[66] = 0.2410714285714285476380780*var_17*var_288/(var_18*var_18);
    A[42] = A[24];
    A[83] = A[38];
    A[60] = A[6];
    A[52] = A[25];
    A[50] = A[5];
    A[40] = A[4];
    A[0] = 0.0017857142857142856585267*var_17*var_210/(var_18*var_18);
    A[11] = 0.0008928571428571428292634*var_17*var_4*var_434/(var_18*var_18);
  }

  void tabulate_tensor(double* const A,
                       const double* const* w,
                       const ufc::cell& c,
                       unsigned int num_quadrature_points,
                       const double* const* quadrature_points,
                       const double* quadrature_weights) const
  {
    assert(0 && "This function is not implemented!");
  }
};

extern "C" ufc::cell_integral* newExcafeCellIntegral_0()
{
  return new ExcafeCellIntegral_0();
}
