#include <cassert>
#include <cmath>
#include <ufc.h>

// Common sub-expression elimination pass took 0 minutes and 55.75 seconds (wall clock).

class ExcafeCellIntegral_0 : public ufc::cell_integral
{
public:
  void tabulate_tensor(double* const A, const double* const* w, const ufc::cell& c) const
  {
    const double * const * x = c.coordinates;

    const double var_0 = -x[0][1];
    const double var_1 = x[2][1] + var_0;
    const double var_2 = -x[0][0];
    const double var_3 = x[1][0] + var_2;
    const double var_4 = x[1][1] + var_0;
    const double var_5 = x[2][0] + var_2;
    const double var_6 = -var_3*var_5*var_5*w[0][9] + var_1*var_1*var_4*w[0][3];
    const double var_7 = -var_4 + var_1;
    const double var_8 = -var_5 + var_3;
    const double var_9 = var_1*var_4*var_8*w[0][6] + var_3*var_5*var_7*w[0][0];
    const double var_10 = 0.2000000000000000111022302*var_9;
    A[7] = 0.0000000000000000000000000;
    const double var_11 = var_1*var_1 + var_5*var_5;
    const double var_12 = var_4*w[0][2] + -var_3*w[0][8];
    const double var_13 = var_3*var_5;
    const double var_14 = var_1*var_4;
    const double var_15 = var_13 + var_14;
    const double var_16 = var_3*w[0][8] + -var_4*w[0][2];
    const double var_17 = var_15*var_16;
    const double var_18 = var_11*var_12 + var_17;
    const double var_19 = var_5*w[0][10];
    const double var_20 = var_1*w[0][4];
    const double var_21 = var_1*w[0][3];
    const double var_22 = var_5*w[0][9] + -var_21 + var_20 + -var_19;
    const double var_23 = var_11*var_22;
    const double var_24 = var_18 + var_23;
    const double var_25 = -var_3*var_3*var_5*w[0][10] + var_1*var_4*var_4*w[0][4];
    const double var_26 = 2.0000000000000000000000000*var_6;
    const double var_27 = var_25 + var_26;
    const double var_28 = var_24 + var_3*var_5*var_8*w[0][11] + var_1*var_4*var_7*w[0][5] + 2.0000000000000000000000000*var_27;
    A[100] = 0.0000000000000000000000000;
    const double var_29 = var_1*var_3;
    const double var_30 = -var_4*var_5 + var_29;
    const double var_31 = var_30;
    const double var_32 = std::abs(var_31);
    const double var_33 = var_30;
    const double var_34 = var_3*w[0][3] + -var_4*w[0][9];
    const double var_35 = var_4*w[0][10] + -var_3*w[0][4];
    const double var_36 = var_1*var_35*var_5;
    const double var_37 = var_1*var_34*var_5 + var_36;
    const double var_38 = -var_1*var_1*var_4*w[0][5] + var_3*var_5*var_5*w[0][11];
    const double var_39 = var_4*var_5 + var_29;
    const double var_40 = var_4*var_5*var_5*w[0][3] + -var_1*var_1*var_3*w[0][9];
    const double var_41 = var_1*w[0][11] + -var_5*w[0][5];
    const double var_42 = var_40 + var_39*var_41;
    const double var_43 = -var_1*var_1*var_4*w[0][4] + var_3*var_5*var_5*w[0][10];
    const double var_44 = 4.0000000000000000000000000*var_22 + var_16;
    const double var_45 = 0.3333333333333333148296163*var_11*var_44;
    const double var_46 = var_5*w[0][7] + -var_1*w[0][1];
    const double var_47 = var_1*w[0][5] + -var_5*w[0][11];
    const double var_48 = var_47 + var_46;
    const double var_49 = var_4*w[0][5];
    const double var_50 = -var_3*w[0][11] + var_49;
    const double var_51 = var_3*w[0][9];
    const double var_52 = var_50 + -var_4*w[0][3] + var_51;
    const double var_53 = -var_5*w[0][7] + var_1*w[0][1];
    const double var_54 = var_7*w[0][0] + var_8*w[0][6];
    const double var_55 = var_54 + var_12;
    const double var_56 = 0.6666666666666666296592325*var_55 + 3.0000000000000000000000000*var_53 + 4.6666666666666660745477202*var_52;
    const double var_57 = -var_1*var_1*var_3*w[0][10] + var_4*var_5*var_5*w[0][4];
    const double var_58 = 0.3333333333333333148296163*var_57;
    const double var_59 = var_15*var_56 + var_45 + 3.6666666666666665186369300*var_42 + 4.6666666666666660745477202*var_6 + var_37 + 7.3333333333333330372738601*var_38 + 0.6666666666666666296592325*var_43 + 2.0000000000000000000000000*var_11*var_48 + var_58;
    A[17] = 0.4000000000000000222044605*var_32*var_59/(var_33*var_33*var_33);
    A[61] = A[17];
    A[97] = 0.0000000000000000000000000;
    const double var_60 = var_11*var_16;
    const double var_61 = var_5*w[0][6];
    const double var_62 = -var_1*w[0][0] + var_61;
    const double var_63 = var_11*var_62;
    const double var_64 = var_4*var_5*var_5*w[0][0] + -var_1*var_1*var_3*w[0][6] + var_63;
    const double var_65 = var_5 + -var_3;
    const double var_66 = -var_1 + var_4;
    const double var_67 = var_1*var_4*var_66*w[0][3] + var_3*var_5*var_65*w[0][9];
    const double var_68 = var_1*var_4*var_65*w[0][9] + var_3*var_5*var_66*w[0][3];
    const double var_69 = var_3*w[0][5];
    const double var_70 = var_1*w[0][10];
    const double var_71 = var_69 + var_70;
    const double var_72 = var_5*w[0][4];
    const double var_73 = var_4*w[0][11];
    const double var_74 = var_72 + var_73;
    const double var_75 = -var_4*var_4*var_5*w[0][9] + var_1*var_3*var_3*w[0][3];
    const double var_76 = var_1*var_1*var_3*w[0][9] + -var_4*var_5*var_5*w[0][3];
    const double var_77 = var_75 + var_76;
    const double var_78 = var_4*var_5*var_5*w[0][5] + -var_1*var_1*var_3*w[0][11];
    const double var_79 = -var_1*var_3*var_3*w[0][4] + var_4*var_4*var_5*w[0][10];
    const double var_80 = var_78 + var_77 + var_79;
    const double var_81 = var_11*var_53;
    const double var_82 = var_4*var_4 + var_3*var_3;
    const double var_83 = var_16*var_82;
    const double var_84 = var_83 + var_81 + var_80;
    const double var_85 = var_1*var_3*var_74 + var_68 + 0.3333333333333333148296163*var_84 + -var_4*var_5*var_71 + 1.3333333333333332593184650*var_67;
    const double var_86 = var_1*var_4*var_7*w[0][0] + var_3*var_5*var_8*w[0][6];
    const double var_87 = -var_1*w[0][10] + var_72;
    const double var_88 = var_3*var_4*var_87;
    const double var_89 = -var_3*w[0][5] + var_73;
    const double var_90 = var_1*var_5*var_89;
    const double var_91 = var_88 + var_90;
    const double var_92 = -var_1*var_3*var_3*w[0][5] + var_4*var_4*var_5*w[0][11];
    const double var_93 = var_92 + var_57;
    const double var_94 = var_1*var_1*var_4*w[0][4] + -var_3*var_5*var_5*w[0][10];
    const double var_95 = var_3*var_3*var_5*w[0][11] + -var_1*var_4*var_4*w[0][5];
    const double var_96 = var_94 + var_95;
    const double var_97 = -var_3*w[0][10] + var_4*w[0][4];
    const double var_98 = var_82*var_97;
    const double var_99 = -var_1*w[0][5] + var_5*w[0][11];
    const double var_100 = var_11*var_99;
    const double var_101 = var_98 + var_100 + 2.0000000000000000000000000*var_96;
    const double var_102 = 2.0000000000000000000000000*var_101;
    const double var_103 = var_3*w[0][6];
    const double var_104 = -var_4*w[0][0] + var_103;
    const double var_105 = var_104*var_82;
    const double var_106 = var_1*var_3*var_3*w[0][0] + -var_4*var_4*var_5*w[0][6] + var_105;
    const double var_107 = var_1*w[0][0];
    const double var_108 = -var_5*w[0][6] + var_107;
    const double var_109 = var_108*var_11;
    const double var_110 = -var_4*var_5*var_5*w[0][0] + var_1*var_1*var_3*w[0][6] + var_109;
    const double var_111 = var_110 + var_106;
    const double var_112 = var_102 + var_91 + var_93 + var_111;
    const double var_113 = var_46 + var_12;
    const double var_114 = var_113*var_15;
    const double var_115 = 2.0000000000000000000000000*var_112 + var_114 + var_86;
    const double var_116 = var_9 + 2.0000000000000000000000000*var_85 + 0.3333333333333333148296163*var_115;
    A[53] = 0.8000000000000000444089210*var_116*var_32/(var_33*var_33*var_33);
    A[142] = A[53];
    const double var_117 = var_53*var_82;
    const double var_118 = -var_5*w[0][3] + var_1*w[0][9];
    const double var_119 = var_5*w[0][5] + -var_1*w[0][11];
    const double var_120 = var_119*var_3*var_4;
    const double var_121 = var_118*var_3*var_4 + var_120;
    const double var_122 = var_3*var_3*var_5*w[0][6] + -var_1*var_4*var_4*w[0][0];
    const double var_123 = var_3*w[0][10] + -var_4*w[0][4];
    const double var_124 = var_123*var_82;
    const double var_125 = -var_1*var_4*var_4*w[0][3] + var_3*var_3*var_5*w[0][9];
    const double var_126 = 2.0000000000000000000000000*var_125;
    const double var_127 = var_124 + var_126;
    const double var_128 = 0.2666666666666666629659233*var_127;
    const double var_129 = var_4*w[0][0];
    const double var_130 = -var_3*w[0][6] + var_129;
    const double var_131 = var_130*var_82;
    const double var_132 = -var_1*var_3*var_3*w[0][0] + var_4*var_4*var_5*w[0][6] + var_131;
    const double var_133 = var_1*var_3*var_3*w[0][4] + -var_4*var_4*var_5*w[0][10];
    const double var_134 = var_4*var_4*var_5*w[0][9] + -var_1*var_3*var_3*w[0][3];
    const double var_135 = var_12*var_82;
    const double var_136 = var_134 + var_133 + var_135;
    const double var_137 = var_1*var_3*var_3*w[0][5] + -var_4*var_4*var_5*w[0][11];
    const double var_138 = var_136 + var_137 + var_132;
    const double var_139 = var_37 + var_23 + var_25;
    const double var_140 = var_1*var_1*var_3*w[0][10] + -var_4*var_5*var_5*w[0][4];
    const double var_141 = var_3*var_5*var_65*w[0][11] + var_140 + var_1*var_4*var_66*w[0][5] + var_26;
    const double var_142 = var_64 + var_81;
    const double var_143 = var_15*var_53;
    const double var_144 = var_142 + var_143;
    const double var_145 = -var_3*var_5*var_5*w[0][6] + var_1*var_1*var_4*w[0][0];
    const double var_146 = var_42 + var_145;
    const double var_147 = 0.0666666666666666657414808*var_144 + 0.2666666666666666629659233*var_146 + 0.1333333333333333314829616*var_138 + 0.5333333333333333259318465*var_141 + var_10 + 1.3333333333333332593184650*var_43 + 0.3333333333333333148296163*var_122 + 0.8000000000000000444089210*var_139 + var_128 + 0.6666666666666666296592325*var_88 + 0.4000000000000000222044605*var_121 + 0.4666666666666666740681535*var_18;
    A[40] = 4.0000000000000000000000000*var_147*var_32/(var_33*var_33*var_33);
    A[129] = A[40];
    const double var_148 = var_3*var_5*var_5*w[0][9] + -var_1*var_1*var_4*w[0][3];
    const double var_149 = -var_1*w[0][4] + var_19;
    const double var_150 = var_149 + -var_5*w[0][9] + var_21;
    const double var_151 = var_11*var_150;
    const double var_152 = var_72 + var_70;
    const double var_153 = 2.0000000000000000000000000*var_76 + var_151 + var_152*var_30;
    const double var_154 = var_148 + 0.3333333333333333148296163*var_153;
    const double var_155 = -var_1*w[0][6] + var_5*w[0][0];
    const double var_156 = var_15*var_46;
    const double var_157 = var_155*var_39 + var_156 + 0.3333333333333333148296163*var_18 + var_104*var_15 + var_81 + var_63;
    const double var_158 = var_4*w[0][9] + -var_3*w[0][3];
    const double var_159 = 0.6666666666666666296592325*var_1*var_158*var_5;
    const double var_160 = var_3*w[0][11];
    const double var_161 = var_160 + var_4*w[0][3] + -var_49 + -var_51;
    const double var_162 = 2.0000000000000000000000000*var_161 + var_97;
    const double var_163 = var_159 + 1.3333333333333332593184650*var_11*var_50 + var_145 + 2.0000000000000000000000000*var_154 + 0.5000000000000000000000000*var_157 + 0.6666666666666666296592325*var_15*var_162;
    A[1] = 0.2000000000000000111022302*var_163*var_32/(var_33*var_33*var_33);
    A[90] = A[1];
    A[96] = 0.0000000000000000000000000;
    const double var_164 = var_46*var_82 + var_143;
    const double var_165 = var_4*w[0][6] + -var_3*w[0][0];
    const double var_166 = var_12*var_15;
    const double var_167 = 0.3333333333333333148296163*var_164 + var_108*var_15 + var_83 + var_166 + var_165*var_39 + var_131;
    const double var_168 = var_3*var_5*var_66*w[0][0] + var_1*var_4*var_65*w[0][6];
    const double var_169 = -var_4*var_5*var_5*w[0][5] + var_1*var_1*var_3*w[0][11];
    const double var_170 = var_11*var_46;
    const double var_171 = var_40 + var_169 + var_170;
    const double var_172 = -var_4*w[0][11] + var_69;
    const double var_173 = var_172 + var_158 + var_165;
    const double var_174 = var_6 + var_38 + var_94 + var_151 + var_123*var_15 + var_60;
    const double var_175 = 4.0000000000000000000000000*var_11*var_47;
    const double var_176 = var_175 + var_39*var_87 + 2.0000000000000000000000000*var_174 + var_1*var_173*var_5 + var_64 + var_130*var_15 + var_166;
    const double var_177 = var_171 + 0.3333333333333333148296163*var_176;
    A[16] = 0.4000000000000000222044605*var_177*var_32/(var_33*var_33*var_33);
    A[127] = A[16];
    const double var_178 = -var_5*w[0][4] + var_70;
    const double var_179 = var_178*var_3*var_4;
    const double var_180 = var_45 + var_179 + var_168 + var_132;
    A[55] = 0.0000000000000000000000000;
    const double var_181 = var_1*var_1*var_4*w[0][5] + -var_3*var_5*var_5*w[0][11];
    const double var_182 = 1.3333333333333332593184650*var_119*var_39 + 2.6666666666666665186369300*var_181 + 4.0000000000000000000000000*var_151 + 2.3333333333333330372738601*var_11*var_16 + 0.3333333333333333148296163*var_170;
    const double var_183 = 0.6666666666666666296592325*var_3*var_5 + var_14;
    A[111] = 0.0000000000000000000000000;
    const double var_184 = var_3*var_3*var_5*w[0][10] + -var_1*var_4*var_4*w[0][4];
    const double var_185 = var_52*var_82;
    const double var_186 = 4.0000000000000000000000000*var_185 + 2.6666666666666665186369300*var_184 + 2.3333333333333330372738601*var_53*var_82 + 1.3333333333333332593184650*var_35*var_39 + 0.3333333333333333148296163*var_135;
    const double var_187 = var_3*var_5*var_65*w[0][6] + var_1*var_4*var_66*w[0][0];
    const double var_188 = var_89 + var_87;
    const double var_189 = var_7*w[0][6] + var_8*w[0][0] + 8.0000000000000000000000000*var_188;
    const double var_190 = var_105 + 16.0000000000000000000000000*var_96 + var_189*var_39 + 2.0000000000000000000000000*var_187 + 4.0000000000000000000000000*var_77 + var_109;
    const double var_191 = 0.6666666666666666296592325*var_1*var_4 + var_13;
    const double var_192 = var_183*var_66*w[0][3] + var_191*var_65*w[0][9];
    const double var_193 = var_182 + 0.3333333333333333148296163*var_190 + var_186 + var_114 + 4.0000000000000000000000000*var_192;
    A[110] = 0.0000000000000000000000000;
    const double var_194 = var_18 + var_106;
    const double var_195 = -var_3*var_3*var_5*w[0][11] + var_1*var_4*var_4*w[0][5];
    const double var_196 = var_137 + var_1*var_4*var_66*w[0][4] + var_6 + var_126 + var_3*var_5*var_65*w[0][10];
    const double var_197 = var_161*var_82;
    const double var_198 = var_38 + var_121 + var_197;
    const double var_199 = var_171 + var_64 + var_140;
    const double var_200 = var_175 + var_17;
    const double var_201 = var_132 + var_83;
    const double var_202 = var_201 + var_200;
    const double var_203 = -var_4*w[0][10] + var_3*w[0][4];
    const double var_204 = var_134 + var_203*var_39;
    const double var_205 = var_122 + var_204;
    const double var_206 = 0.4666666666666666740681535*var_164 + 0.4000000000000000222044605*var_37 + 1.3333333333333332593184650*var_195 + 0.6666666666666666296592325*var_90 + 0.0666666666666666657414808*var_202 + 0.3333333333333333148296163*var_145 + 0.8000000000000000444089210*var_198 + 0.1333333333333333314829616*var_199 + var_10 + 0.5333333333333333259318465*var_196 + 0.2666666666666666629659233*var_205;
    A[41] = 4.0000000000000000000000000*var_206*var_32/(var_33*var_33*var_33);
    A[119] = A[41];
    const double var_207 = 4.0000000000000000000000000*var_161 + var_53;
    const double var_208 = 0.3333333333333333148296163*var_207*var_82;
    A[75] = 0.0000000000000000000000000;
    const double var_209 = var_5*w[0][3] + -var_1*w[0][9];
    const double var_210 = var_209 + var_178 + var_155;
    const double var_211 = var_185 + var_95 + var_25 + var_15*var_47 + var_117 + var_125;
    const double var_212 = var_210*var_3*var_4 + 4.0000000000000000000000000*var_123*var_82 + var_39*var_89 + var_15*var_62 + 2.0000000000000000000000000*var_211 + var_132 + var_156;
    const double var_213 = var_136 + 0.3333333333333333148296163*var_212;
    A[29] = 0.4000000000000000222044605*var_213*var_32/(var_33*var_33*var_33);
    A[107] = A[29];
    A[51] = A[40];
    const double var_214 = var_74 + var_71;
    const double var_215 = var_124 + var_214*var_30 + 2.0000000000000000000000000*var_91 + var_68;
    const double var_216 = var_114 + var_85 + var_111;
    const double var_217 = var_1*var_172*var_5;
    const double var_218 = var_217 + var_179 + var_187;
    const double var_219 = var_185 + var_151;
    const double var_220 = var_60 + var_102 + var_219 + var_117;
    const double var_221 = var_181 + var_184;
    const double var_222 = 0.1333333333333333314829616*var_220 + 0.4000000000000000222044605*var_168 + 0.6666666666666666296592325*var_221 + 0.2000000000000000111022302*var_216 + 0.6000000000000000888178420*var_218 + 0.3333333333333333148296163*var_93;
    A[3] = 2.0000000000000000000000000*var_222*var_32/(var_33*var_33*var_33);
    A[133] = 0.0000000000000000000000000;
    const double var_223 = var_1*var_4*var_4*w[0][3] + -var_3*var_3*var_5*w[0][9];
    const double var_224 = var_73 + var_69;
    const double var_225 = var_185 + 2.0000000000000000000000000*var_75 + var_224*var_30;
    const double var_226 = var_223 + 0.3333333333333333148296163*var_225;
    const double var_227 = var_3*var_5*var_5*w[0][6] + -var_1*var_1*var_4*w[0][0];
    const double var_228 = var_1*var_4*var_4*w[0][0] + -var_3*var_3*var_5*w[0][6];
    const double var_229 = var_159 + var_191*var_8*w[0][10] + 0.3333333333333333148296163*var_79 + var_183*var_7*w[0][4] + var_58;
    const double var_230 = 0.3333333333333333148296163*var_168;
    const double var_231 = var_182 + var_201;
    const double var_232 = var_164 + var_110;
    const double var_233 = var_4*var_5*var_8*w[0][3] + var_1*var_3*var_7*w[0][9];
    const double var_234 = 0.0666666666666666657414808*var_232 + 0.2666666666666666629659233*var_233 + 0.4000000000000000222044605*var_227 + 1.3333333333333332593184650*var_148 + 0.7333333333333332815229255*var_12*var_15 + 1.6000000000000000888178420*var_229 + 0.8000000000000000444089210*var_226 + var_230 + 0.1333333333333333314829616*var_228 + 0.2000000000000000111022302*var_231;
    const double var_235 = var_217 + var_64 + var_168 + var_208;
    const double var_236 = var_171 + var_179 + var_175;
    const double var_237 = var_37 + var_92;
    const double var_238 = var_140 + var_158*var_39 + var_133 + 0.2000000000000000111022302*var_236 + var_120 + 1.4000000000000001332267630*var_237 + 0.4000000000000000222044605*var_28 + var_126;
    const double var_239 = var_98 + var_106;
    const double var_240 = 0.2000000000000000111022302*var_235 + 0.6000000000000000888178420*var_228 + 0.3333333333333333148296163*var_238 + 0.8000000000000000444089210*var_43 + 0.4000000000000000222044605*var_239;
    const double var_241 = var_164 + var_197;
    const double var_242 = var_3*var_5*var_8*w[0][10] + var_241 + var_1*var_4*var_7*w[0][4];
    const double var_243 = var_217 + var_136;
    const double var_244 = var_121 + var_57;
    const double var_245 = 0.4000000000000000222044605*var_242 + var_169 + 0.8000000000000000444089210*var_38 + var_137 + var_209*var_39 + 1.4000000000000001332267630*var_244 + var_36 + 0.2000000000000000111022302*var_243 + var_26;
    const double var_246 = var_100 + var_110;
    const double var_247 = 0.3333333333333333148296163*var_245 + var_128 + 0.8000000000000000444089210*var_195 + 0.2000000000000000111022302*var_180 + 0.6000000000000000888178420*var_227 + 0.4000000000000000222044605*var_246;
    A[5] = 2.0000000000000000000000000*var_247*var_32/(var_33*var_33*var_33);
    A[83] = A[5];
    A[4] = 2.0000000000000000000000000*var_240*var_32/(var_33*var_33*var_33);
    A[62] = A[29];
    A[30] = 0.0000000000000000000000000;
    A[74] = 0.0000000000000000000000000;
    A[11] = 0.0000000000000000000000000;
    A[99] = 0.0000000000000000000000000;
    A[71] = 0.0000000000000000000000000;
    const double var_248 = var_67 + var_38 + var_25;
    const double var_249 = 0.6666666666666666296592325*var_209*var_3*var_4;
    const double var_250 = 0.3333333333333333148296163*var_92;
    const double var_251 = var_183*var_7*w[0][5] + 0.3333333333333333148296163*var_78 + var_191*var_8*w[0][11] + var_249 + var_250;
    const double var_252 = var_186 + var_142;
    const double var_253 = var_4*var_5*var_7*w[0][9] + var_1*var_3*var_8*w[0][3];
    const double var_254 = 0.1333333333333333314829616*var_227 + 0.7333333333333332815229255*var_15*var_46 + 0.4000000000000000222044605*var_228 + 0.0666666666666666657414808*var_194 + var_230 + 1.3333333333333332593184650*var_223 + 0.8000000000000000444089210*var_154 + 1.6000000000000000888178420*var_251 + 0.2000000000000000111022302*var_252 + 0.2666666666666666629659233*var_253;
    A[132] = 0.0000000000000000000000000;
    A[67] = 0.0000000000000000000000000;
    A[34] = 0.0000000000000000000000000;
    const double var_255 = var_54 + var_46;
    A[49] = A[16];
    const double var_256 = var_129 + var_160;
    A[21] = 0.0000000000000000000000000;
    A[77] = 0.0000000000000000000000000;
    const double var_257 = 2.0000000000000000000000000*var_52 + 3.5000000000000000000000000*var_16 + 4.0000000000000000000000000*var_97 + 6.0000000000000000000000000*var_150 + 0.5000000000000000000000000*var_255;
    A[26] = 0.2000000000000000111022302*var_257*var_32*var_82/(var_33*var_33*var_33);
    A[104] = A[26];
    A[70] = 0.0000000000000000000000000;
    A[109] = 0.0000000000000000000000000;
    A[52] = 4.0000000000000000000000000*var_234*var_32/(var_33*var_33*var_33);
    A[130] = A[52];
    A[8] = 0.0000000000000000000000000;
    A[94] = A[16];
    A[35] = 0.0000000000000000000000000;
    const double var_258 = var_16 + var_53;
    const double var_259 = var_99 + var_97;
    const double var_260 = var_150 + var_52;
    const double var_261 = 0.6666666666666666296592325*var_259 + 0.5000000000000000000000000*var_258 + 0.1666666666666666574148081*var_54 + 1.3333333333333332593184650*var_260;
    A[14] = 0.2000000000000000111022302*var_15*var_261*var_32/(var_33*var_33*var_33);
    A[92] = A[14];
    const double var_262 = var_99 + 2.0000000000000000000000000*var_22;
    const double var_263 = var_249 + 2.0000000000000000000000000*var_226 + 0.6666666666666666296592325*var_15*var_262 + 1.3333333333333332593184650*var_149*var_82 + var_122 + 0.5000000000000000000000000*var_167;
    A[2] = 0.2000000000000000111022302*var_263*var_32/(var_33*var_33*var_33);
    A[114] = A[3];
    A[60] = A[5];
    A[108] = 0.0000000000000000000000000;
    A[139] = A[17];
    const double var_264 = var_82 + var_11;
    const double var_265 = var_64 + var_132;
    const double var_266 = var_219 + var_80;
    const double var_267 = 3.5000000000000000000000000*var_265 + 2.0000000000000000000000000*var_266 + 10.5000000000000000000000000*var_86 + var_143 + var_200 + 4.0000000000000000000000000*var_215 + 6.0000000000000000000000000*var_248 + 7.0000000000000000000000000*var_9 + 0.5000000000000000000000000*var_113*var_264;
    A[0] = 0.2000000000000000111022302*var_267*var_32/(var_33*var_33*var_33);
    A[22] = 0.0000000000000000000000000;
    const double var_268 = var_19 + var_107;
    const double var_269 = 0.6666666666666666296592325*var_130 + 3.0000000000000000000000000*var_46 + 4.6666666666666660745477202*var_161;
    const double var_270 = var_61 + var_20;
    const double var_271 = var_140 + var_110;
    const double var_272 = 0.6666666666666666296592325*var_24 + var_191*var_270 + -var_183*var_268 + var_118*var_39 + 4.6666666666666660745477202*var_181 + var_78 + var_15*var_269 + 2.0000000000000000000000000*var_148 + 1.3333333333333332593184650*var_11*var_99 + 3.6666666666666665186369300*var_1*var_172*var_5 + var_81 + 0.3333333333333333148296163*var_271;
    A[15] = 0.4000000000000000222044605*var_272*var_32/(var_33*var_33*var_33);
    A[37] = A[15];
    const double var_273 = var_123 + var_12;
    const double var_274 = 3.0000000000000000000000000*var_16 + 4.6666666666666660745477202*var_150 + 0.6666666666666666296592325*var_255;
    const double var_275 = var_15*var_274 + var_208 + var_250 + 2.0000000000000000000000000*var_273*var_82 + 3.6666666666666665186369300*var_204 + 7.3333333333333330372738601*var_25 + 4.6666666666666660745477202*var_125 + var_121 + 0.6666666666666666296592325*var_195;
    A[28] = 0.4000000000000000222044605*var_275*var_32/(var_33*var_33*var_33);
    A[65] = 4.0000000000000000000000000*var_254*var_32/(var_33*var_33*var_33);
    A[143] = A[65];
    A[36] = A[3];
    A[32] = 0.0000000000000000000000000;
    A[126] = A[4];
    A[112] = 0.0000000000000000000000000;
    A[23] = 0.0000000000000000000000000;
    A[24] = A[2];
    A[79] = A[1];
    A[18] = 0.0000000000000000000000000;
    const double var_276 = var_137 + var_106;
    A[66] = 0.0000000000000000000000000;
    A[54] = 0.0000000000000000000000000;
    A[124] = 0.0000000000000000000000000;
    A[20] = 0.0000000000000000000000000;
    A[80] = A[2];
    A[78] = A[0];
    A[134] = 0.0000000000000000000000000;
    const double var_277 = 4.0000000000000000000000000*var_99 + 2.0000000000000000000000000*var_150 + 3.5000000000000000000000000*var_53 + 0.5000000000000000000000000*var_55 + 6.0000000000000000000000000*var_52;
    A[13] = 0.2000000000000000111022302*var_11*var_277*var_32/(var_33*var_33*var_33);
    A[91] = A[13];
    A[135] = 0.0000000000000000000000000;
    A[88] = 0.0000000000000000000000000;
    A[103] = A[14];
    const double var_278 = var_49 + var_103;
    const double var_279 = 3.0000000000000000000000000*var_12 + 4.6666666666666660745477202*var_22 + 0.6666666666666666296592325*var_62;
    const double var_280 = var_183*var_256 + 1.3333333333333332593184650*var_82*var_97 + 2.0000000000000000000000000*var_223 + 3.6666666666666665186369300*var_178*var_3*var_4 + -var_191*var_278 + var_83 + 0.6666666666666666296592325*var_241 + 4.6666666666666660745477202*var_184 + var_15*var_279 + var_79 + var_34*var_39 + 0.3333333333333333148296163*var_276;
    A[27] = 0.4000000000000000222044605*var_280*var_32/(var_33*var_33*var_33);
    A[116] = A[27];
    A[12] = A[1];
    A[44] = 0.0000000000000000000000000;
    A[123] = 0.0000000000000000000000000;
    A[43] = 0.0000000000000000000000000;
    A[19] = 0.0000000000000000000000000;
    A[31] = 0.0000000000000000000000000;
    A[72] = 0.0000000000000000000000000;
    A[141] = A[41];
    A[84] = 0.0000000000000000000000000;
    A[57] = 0.0000000000000000000000000;
    A[115] = A[15];
    A[93] = A[15];
    A[118] = A[40];
    A[87] = 0.0000000000000000000000000;
    A[82] = A[4];
    A[69] = 0.0000000000000000000000000;
    A[86] = 0.0000000000000000000000000;
    A[25] = A[14];
    A[89] = 0.0000000000000000000000000;
    A[95] = A[17];
    A[45] = 0.0000000000000000000000000;
    A[59] = 0.0000000000000000000000000;
    A[39] = 0.8000000000000000444089210*var_193*var_32/(var_33*var_33*var_33);
    A[73] = 0.0000000000000000000000000;
    A[42] = 0.0000000000000000000000000;
    A[68] = 0.0000000000000000000000000;
    A[98] = 0.0000000000000000000000000;
    A[63] = A[41];
    A[85] = 0.0000000000000000000000000;
    A[140] = A[29];
    A[121] = 0.0000000000000000000000000;
    A[10] = 0.0000000000000000000000000;
    A[117] = A[39];
    A[33] = 0.0000000000000000000000000;
    A[113] = 0.0000000000000000000000000;
    A[64] = A[53];
    A[137] = 0.0000000000000000000000000;
    A[138] = A[5];
    A[102] = A[2];
    A[81] = A[3];
    A[58] = 0.0000000000000000000000000;
    A[6] = 0.0000000000000000000000000;
    A[50] = A[28];
    A[46] = 0.0000000000000000000000000;
    A[120] = 0.0000000000000000000000000;
    A[136] = 0.0000000000000000000000000;
    A[48] = A[4];
    A[47] = 0.0000000000000000000000000;
    A[76] = 0.0000000000000000000000000;
    A[122] = 0.0000000000000000000000000;
    A[101] = 0.0000000000000000000000000;
    A[106] = A[28];
    A[38] = A[27];
    A[105] = A[27];
    A[125] = 0.0000000000000000000000000;
    A[131] = A[53];
    A[128] = A[28];
    A[56] = 0.0000000000000000000000000;
    A[9] = 0.0000000000000000000000000;
  }

  void tabulate_tensor(double* const A,
                       const double* const* w,
                       const ufc::cell& c,
                       unsigned int num_quadrature_points,
                       const double* const* quadrature_points,
                       const double* quadrature_weights) const
  {
    assert(0 && "This function is not implemented!");
  }
};

extern "C" ufc::cell_integral* newExcafeCellIntegral_0()
{
  return new ExcafeCellIntegral_0();
}
