// This code conforms with the UFC specification version 2.0.5
// and was automatically generated by FFC version 1.0.0.
// 
// This code was generated with the following parameters:
// 
//   cache_dir:                      ''
//   convert_exceptions_to_warnings: False
//   cpp_optimize:                   False
//   cpp_optimize_flags:             '-O2'
//   epsilon:                        1e-14
//   error_control:                  False
//   form_postfix:                   True
//   format:                         'ufc'
//   log_level:                      20
//   log_prefix:                     ''
//   optimize:                       True
//   output_dir:                     '.'
//   precision:                      15
//   quadrature_degree:              'auto'
//   quadrature_rule:                'auto'
//   representation:                 'tensor'
//   split:                          False
//   swig_binary:                    'swig'
//   swig_path:                      ''

#ifndef __LAPLACIAN_F2_P3_Q4_TENSOR_H
#define __LAPLACIAN_F2_P3_Q4_TENSOR_H

#include <cmath>
#include <stdexcept>
#include <fstream>
#include <ufc.h>

/// This class defines the interface for a finite element.

class laplacian_f2_p3_q4_tensor_finite_element_0: public ufc::finite_element
{
public:

  /// Constructor
  laplacian_f2_p3_q4_tensor_finite_element_0() : ufc::finite_element()
  {
    // Do nothing
  }

  /// Destructor
  virtual ~laplacian_f2_p3_q4_tensor_finite_element_0()
  {
    // Do nothing
  }

  /// Return a string identifying the finite element
  virtual const char* signature() const
  {
    return "FiniteElement('Lagrange', Cell('triangle', Space(2)), 3, None)";
  }

  /// Return the cell shape
  virtual ufc::shape cell_shape() const
  {
    return ufc::triangle;
  }

  /// Return the topological dimension of the cell shape
  virtual unsigned int topological_dimension() const
  {
    return 2;
  }

  /// Return the geometric dimension of the cell shape
  virtual unsigned int geometric_dimension() const
  {
    return 2;
  }

  /// Return the dimension of the finite element function space
  virtual unsigned int space_dimension() const
  {
    return 10;
  }

  /// Return the rank of the value space
  virtual unsigned int value_rank() const
  {
    return 0;
  }

  /// Return the dimension of the value space for axis i
  virtual unsigned int value_dimension(unsigned int i) const
  {
    return 1;
  }

  /// Evaluate basis function i at given point in cell
  virtual void evaluate_basis(unsigned int i,
                              double* values,
                              const double* coordinates,
                              const ufc::cell& c) const
  {
    // Extract vertex coordinates
    const double * const * x = c.coordinates;
    
    // Compute Jacobian of affine map from reference cell
    const double J_00 = x[1][0] - x[0][0];
    const double J_01 = x[2][0] - x[0][0];
    const double J_10 = x[1][1] - x[0][1];
    const double J_11 = x[2][1] - x[0][1];
    
    // Compute determinant of Jacobian
    double detJ = J_00*J_11 - J_01*J_10;
    
    // Compute inverse of Jacobian
    
    // Compute constants
    const double C0 = x[1][0] + x[2][0];
    const double C1 = x[1][1] + x[2][1];
    
    // Get coordinates and map to the reference (FIAT) element
    double X = (J_01*(C1 - 2.0*coordinates[1]) + J_11*(2.0*coordinates[0] - C0)) / detJ;
    double Y = (J_00*(2.0*coordinates[1] - C1) + J_10*(C0 - 2.0*coordinates[0])) / detJ;
    
    // Reset values.
    *values = 0.0;
    switch (i)
    {
    case 0:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.0471404520791033, -0.0288675134594813, -0.0166666666666666, 0.0782460796435952, 0.0606091526731326, 0.0349927106111883, -0.0601337794302955, -0.0508223195384204, -0.0393667994375868, -0.0227284322524248};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 1:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.0471404520791032, 0.0288675134594813, -0.0166666666666666, 0.0782460796435952, -0.0606091526731327, 0.0349927106111883, 0.0601337794302955, -0.0508223195384204, 0.0393667994375868, -0.0227284322524248};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 2:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.0471404520791032, 0.0, 0.0333333333333334, 0.0, 0.0, 0.104978131833565, 0.0, 0.0, 0.0, 0.0909137290096989};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 3:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, 0.259807621135332, -0.15, 0.117369119465393, 0.0606091526731326, -0.0787335988751736, 0.0, 0.101644639076841, -0.131222664791956, 0.090913729009699};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 4:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, 0.0, 0.3, 0.0, 0.151522881682832, 0.0262445329583912, 0.0, 0.0, 0.131222664791956, -0.136370593514548};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 5:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, -0.259807621135332, -0.15, 0.117369119465393, -0.0606091526731326, -0.0787335988751736, 0.0, 0.101644639076841, 0.131222664791956, 0.090913729009699};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 6:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, 0.0, 0.3, 0.0, -0.151522881682832, 0.0262445329583912, 0.0, 0.0, -0.131222664791956, -0.136370593514548};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 7:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, -0.259807621135332, -0.15, -0.0782460796435952, 0.090913729009699, 0.0962299541807677, 0.180401338290886, 0.0508223195384204, -0.0131222664791956, -0.0227284322524247};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 8:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, 0.259807621135332, -0.15, -0.0782460796435952, -0.090913729009699, 0.0962299541807678, -0.180401338290886, 0.0508223195384204, 0.0131222664791956, -0.0227284322524248};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 9:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.636396103067893, 0.0, 0.0, -0.234738238930785, 0.0, -0.262445329583912, 0.0, -0.203289278153682, 0.0, 0.090913729009699};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 10; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    }
    
  }

  /// Evaluate all basis functions at given point in cell
  virtual void evaluate_basis_all(double* values,
                                  const double* coordinates,
                                  const ufc::cell& c) const
  {
    // Helper variable to hold values of a single dof.
    double dof_values = 0.0;
    
    // Loop dofs and call evaluate_basis.
    for (unsigned int r = 0; r < 10; r++)
    {
      evaluate_basis(r, &dof_values, coordinates, c);
      values[r] = dof_values;
    }// end loop over 'r'
  }

  /// Evaluate order n derivatives of basis function i at given point in cell
  virtual void evaluate_basis_derivatives(unsigned int i,
                                          unsigned int n,
                                          double* values,
                                          const double* coordinates,
                                          const ufc::cell& c) const
  {
    // Extract vertex coordinates
    const double * const * x = c.coordinates;
    
    // Compute Jacobian of affine map from reference cell
    const double J_00 = x[1][0] - x[0][0];
    const double J_01 = x[2][0] - x[0][0];
    const double J_10 = x[1][1] - x[0][1];
    const double J_11 = x[2][1] - x[0][1];
    
    // Compute determinant of Jacobian
    double detJ = J_00*J_11 - J_01*J_10;
    
    // Compute inverse of Jacobian
    const double K_00 =  J_11 / detJ;
    const double K_01 = -J_01 / detJ;
    const double K_10 = -J_10 / detJ;
    const double K_11 =  J_00 / detJ;
    
    // Compute constants
    const double C0 = x[1][0] + x[2][0];
    const double C1 = x[1][1] + x[2][1];
    
    // Get coordinates and map to the reference (FIAT) element
    double X = (J_01*(C1 - 2.0*coordinates[1]) + J_11*(2.0*coordinates[0] - C0)) / detJ;
    double Y = (J_00*(2.0*coordinates[1] - C1) + J_10*(C0 - 2.0*coordinates[0])) / detJ;
    
    // Compute number of derivatives.
    unsigned int num_derivatives = 1;
    for (unsigned int r = 0; r < n; r++)
    {
      num_derivatives *= 2;
    }// end loop over 'r'
    
    // Declare pointer to two dimensional array that holds combinations of derivatives and initialise
    unsigned int **combinations = new unsigned int *[num_derivatives];
    for (unsigned int row = 0; row < num_derivatives; row++)
    {
      combinations[row] = new unsigned int [n];
      for (unsigned int col = 0; col < n; col++)
        combinations[row][col] = 0;
    }
    
    // Generate combinations of derivatives
    for (unsigned int row = 1; row < num_derivatives; row++)
    {
      for (unsigned int num = 0; num < row; num++)
      {
        for (unsigned int col = n-1; col+1 > 0; col--)
        {
          if (combinations[row][col] + 1 > 1)
            combinations[row][col] = 0;
          else
          {
            combinations[row][col] += 1;
            break;
          }
        }
      }
    }
    
    // Compute inverse of Jacobian
    const double Jinv[2][2] = {{K_00, K_01}, {K_10, K_11}};
    
    // Declare transformation matrix
    // Declare pointer to two dimensional array and initialise
    double **transform = new double *[num_derivatives];
    
    for (unsigned int j = 0; j < num_derivatives; j++)
    {
      transform[j] = new double [num_derivatives];
      for (unsigned int k = 0; k < num_derivatives; k++)
        transform[j][k] = 1;
    }
    
    // Construct transformation matrix
    for (unsigned int row = 0; row < num_derivatives; row++)
    {
      for (unsigned int col = 0; col < num_derivatives; col++)
      {
        for (unsigned int k = 0; k < n; k++)
          transform[row][col] *= Jinv[combinations[col][k]][combinations[row][k]];
      }
    }
    
    // Reset values. Assuming that values is always an array.
    for (unsigned int r = 0; r < num_derivatives; r++)
    {
      values[r] = 0.0;
    }// end loop over 'r'
    
    switch (i)
    {
    case 0:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.0471404520791033, -0.0288675134594813, -0.0166666666666666, 0.0782460796435952, 0.0606091526731326, 0.0349927106111883, -0.0601337794302955, -0.0508223195384204, -0.0393667994375868, -0.0227284322524248};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 1:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.0471404520791032, 0.0288675134594813, -0.0166666666666666, 0.0782460796435952, -0.0606091526731327, 0.0349927106111883, 0.0601337794302955, -0.0508223195384204, 0.0393667994375868, -0.0227284322524248};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 2:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.0471404520791032, 0.0, 0.0333333333333334, 0.0, 0.0, 0.104978131833565, 0.0, 0.0, 0.0, 0.0909137290096989};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 3:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, 0.259807621135332, -0.15, 0.117369119465393, 0.0606091526731326, -0.0787335988751736, 0.0, 0.101644639076841, -0.131222664791956, 0.090913729009699};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 4:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, 0.0, 0.3, 0.0, 0.151522881682832, 0.0262445329583912, 0.0, 0.0, 0.131222664791956, -0.136370593514548};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 5:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, -0.259807621135332, -0.15, 0.117369119465393, -0.0606091526731326, -0.0787335988751736, 0.0, 0.101644639076841, 0.131222664791956, 0.090913729009699};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 6:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, 0.0, 0.3, 0.0, -0.151522881682832, 0.0262445329583912, 0.0, 0.0, -0.131222664791956, -0.136370593514548};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 7:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, -0.259807621135332, -0.15, -0.0782460796435952, 0.090913729009699, 0.0962299541807677, 0.180401338290886, 0.0508223195384204, -0.0131222664791956, -0.0227284322524247};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 8:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.106066017177982, 0.259807621135332, -0.15, -0.0782460796435952, -0.090913729009699, 0.0962299541807678, -0.180401338290886, 0.0508223195384204, 0.0131222664791956, -0.0227284322524248};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 9:
      {
        
      // Array of basisvalues.
      double basisvalues[10] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[6] *= std::sqrt(14.0);
      
      // Table(s) of coefficients.
      static const double coefficients0[10] = \
      {0.636396103067893, 0.0, 0.0, -0.234738238930785, 0.0, -0.262445329583912, 0.0, -0.203289278153682, 0.0, 0.090913729009699};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556636, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050514, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.611010092660779, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[10][10] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175276, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470957, 6.83130051063973, -1.05830052442584, 0.305505046330389, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865476, 6.26099033699941, -1.80739222823013, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238571, 4.2, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.82842712474619, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[10][10] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 10; t++)
        {
          for (unsigned int u = 0; u < 10; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 10; t++)
          {
            for (unsigned int u = 0; u < 10; u++)
            {
              for (unsigned int tu = 0; tu < 10; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 10; s++)
        {
          for (unsigned int t = 0; t < 10; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    }
    
  }

  /// Evaluate order n derivatives of all basis functions at given point in cell
  virtual void evaluate_basis_derivatives_all(unsigned int n,
                                              double* values,
                                              const double* coordinates,
                                              const ufc::cell& c) const
  {
    // Compute number of derivatives.
    unsigned int num_derivatives = 1;
    for (unsigned int r = 0; r < n; r++)
    {
      num_derivatives *= 2;
    }// end loop over 'r'
    
    // Helper variable to hold values of a single dof.
    double *dof_values = new double[num_derivatives];
    for (unsigned int r = 0; r < num_derivatives; r++)
    {
      dof_values[r] = 0.0;
    }// end loop over 'r'
    
    // Loop dofs and call evaluate_basis_derivatives.
    for (unsigned int r = 0; r < 10; r++)
    {
      evaluate_basis_derivatives(r, n, dof_values, coordinates, c);
      for (unsigned int s = 0; s < num_derivatives; s++)
      {
        values[r*num_derivatives + s] = dof_values[s];
      }// end loop over 's'
    }// end loop over 'r'
    
    // Delete pointer.
    delete [] dof_values;
  }

  /// Evaluate linear functional for dof i on the function f
  virtual double evaluate_dof(unsigned int i,
                              const ufc::function& f,
                              const ufc::cell& c) const
  {
    // Declare variables for result of evaluation.
    double vals[1];
    
    // Declare variable for physical coordinates.
    double y[2];
    const double * const * x = c.coordinates;
    switch (i)
    {
    case 0:
      {
        y[0] = x[0][0];
      y[1] = x[0][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 1:
      {
        y[0] = x[1][0];
      y[1] = x[1][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 2:
      {
        y[0] = x[2][0];
      y[1] = x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 3:
      {
        y[0] = 0.666666666666667*x[1][0] + 0.333333333333333*x[2][0];
      y[1] = 0.666666666666667*x[1][1] + 0.333333333333333*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 4:
      {
        y[0] = 0.333333333333333*x[1][0] + 0.666666666666667*x[2][0];
      y[1] = 0.333333333333333*x[1][1] + 0.666666666666667*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 5:
      {
        y[0] = 0.666666666666667*x[0][0] + 0.333333333333333*x[2][0];
      y[1] = 0.666666666666667*x[0][1] + 0.333333333333333*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 6:
      {
        y[0] = 0.333333333333333*x[0][0] + 0.666666666666667*x[2][0];
      y[1] = 0.333333333333333*x[0][1] + 0.666666666666667*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 7:
      {
        y[0] = 0.666666666666667*x[0][0] + 0.333333333333333*x[1][0];
      y[1] = 0.666666666666667*x[0][1] + 0.333333333333333*x[1][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 8:
      {
        y[0] = 0.333333333333333*x[0][0] + 0.666666666666667*x[1][0];
      y[1] = 0.333333333333333*x[0][1] + 0.666666666666667*x[1][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 9:
      {
        y[0] = 0.333333333333333*x[0][0] + 0.333333333333333*x[1][0] + 0.333333333333333*x[2][0];
      y[1] = 0.333333333333333*x[0][1] + 0.333333333333333*x[1][1] + 0.333333333333333*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    }
    
    return 0.0;
  }

  /// Evaluate linear functionals for all dofs on the function f
  virtual void evaluate_dofs(double* values,
                             const ufc::function& f,
                             const ufc::cell& c) const
  {
    // Declare variables for result of evaluation.
    double vals[1];
    
    // Declare variable for physical coordinates.
    double y[2];
    const double * const * x = c.coordinates;
    y[0] = x[0][0];
    y[1] = x[0][1];
    f.evaluate(vals, y, c);
    values[0] = vals[0];
    y[0] = x[1][0];
    y[1] = x[1][1];
    f.evaluate(vals, y, c);
    values[1] = vals[0];
    y[0] = x[2][0];
    y[1] = x[2][1];
    f.evaluate(vals, y, c);
    values[2] = vals[0];
    y[0] = 0.666666666666667*x[1][0] + 0.333333333333333*x[2][0];
    y[1] = 0.666666666666667*x[1][1] + 0.333333333333333*x[2][1];
    f.evaluate(vals, y, c);
    values[3] = vals[0];
    y[0] = 0.333333333333333*x[1][0] + 0.666666666666667*x[2][0];
    y[1] = 0.333333333333333*x[1][1] + 0.666666666666667*x[2][1];
    f.evaluate(vals, y, c);
    values[4] = vals[0];
    y[0] = 0.666666666666667*x[0][0] + 0.333333333333333*x[2][0];
    y[1] = 0.666666666666667*x[0][1] + 0.333333333333333*x[2][1];
    f.evaluate(vals, y, c);
    values[5] = vals[0];
    y[0] = 0.333333333333333*x[0][0] + 0.666666666666667*x[2][0];
    y[1] = 0.333333333333333*x[0][1] + 0.666666666666667*x[2][1];
    f.evaluate(vals, y, c);
    values[6] = vals[0];
    y[0] = 0.666666666666667*x[0][0] + 0.333333333333333*x[1][0];
    y[1] = 0.666666666666667*x[0][1] + 0.333333333333333*x[1][1];
    f.evaluate(vals, y, c);
    values[7] = vals[0];
    y[0] = 0.333333333333333*x[0][0] + 0.666666666666667*x[1][0];
    y[1] = 0.333333333333333*x[0][1] + 0.666666666666667*x[1][1];
    f.evaluate(vals, y, c);
    values[8] = vals[0];
    y[0] = 0.333333333333333*x[0][0] + 0.333333333333333*x[1][0] + 0.333333333333333*x[2][0];
    y[1] = 0.333333333333333*x[0][1] + 0.333333333333333*x[1][1] + 0.333333333333333*x[2][1];
    f.evaluate(vals, y, c);
    values[9] = vals[0];
  }

  /// Interpolate vertex values from dof values
  virtual void interpolate_vertex_values(double* vertex_values,
                                         const double* dof_values,
                                         const ufc::cell& c) const
  {
    // Evaluate function and change variables
    vertex_values[0] = dof_values[0];
    vertex_values[1] = dof_values[1];
    vertex_values[2] = dof_values[2];
  }

  /// Map coordinate xhat from reference cell to coordinate x in cell
  virtual void map_from_reference_cell(double* x,
                                       const double* xhat,
                                       const ufc::cell& c) const
  {
    throw std::runtime_error("map_from_reference_cell not yet implemented (introduced in UFC 2.0).");
  }

  /// Map from coordinate x in cell to coordinate xhat in reference cell
  virtual void map_to_reference_cell(double* xhat,
                                     const double* x,
                                     const ufc::cell& c) const
  {
    throw std::runtime_error("map_to_reference_cell not yet implemented (introduced in UFC 2.0).");
  }

  /// Return the number of sub elements (for a mixed element)
  virtual unsigned int num_sub_elements() const
  {
    return 0;
  }

  /// Create a new finite element for sub element i (for a mixed element)
  virtual ufc::finite_element* create_sub_element(unsigned int i) const
  {
    return 0;
  }

  /// Create a new class instance
  virtual ufc::finite_element* create() const
  {
    return new laplacian_f2_p3_q4_tensor_finite_element_0();
  }

};

/// This class defines the interface for a finite element.

class laplacian_f2_p3_q4_tensor_finite_element_1: public ufc::finite_element
{
public:

  /// Constructor
  laplacian_f2_p3_q4_tensor_finite_element_1() : ufc::finite_element()
  {
    // Do nothing
  }

  /// Destructor
  virtual ~laplacian_f2_p3_q4_tensor_finite_element_1()
  {
    // Do nothing
  }

  /// Return a string identifying the finite element
  virtual const char* signature() const
  {
    return "FiniteElement('Lagrange', Cell('triangle', Space(2)), 4, None)";
  }

  /// Return the cell shape
  virtual ufc::shape cell_shape() const
  {
    return ufc::triangle;
  }

  /// Return the topological dimension of the cell shape
  virtual unsigned int topological_dimension() const
  {
    return 2;
  }

  /// Return the geometric dimension of the cell shape
  virtual unsigned int geometric_dimension() const
  {
    return 2;
  }

  /// Return the dimension of the finite element function space
  virtual unsigned int space_dimension() const
  {
    return 15;
  }

  /// Return the rank of the value space
  virtual unsigned int value_rank() const
  {
    return 0;
  }

  /// Return the dimension of the value space for axis i
  virtual unsigned int value_dimension(unsigned int i) const
  {
    return 1;
  }

  /// Evaluate basis function i at given point in cell
  virtual void evaluate_basis(unsigned int i,
                              double* values,
                              const double* coordinates,
                              const ufc::cell& c) const
  {
    // Extract vertex coordinates
    const double * const * x = c.coordinates;
    
    // Compute Jacobian of affine map from reference cell
    const double J_00 = x[1][0] - x[0][0];
    const double J_01 = x[2][0] - x[0][0];
    const double J_10 = x[1][1] - x[0][1];
    const double J_11 = x[2][1] - x[0][1];
    
    // Compute determinant of Jacobian
    double detJ = J_00*J_11 - J_01*J_10;
    
    // Compute inverse of Jacobian
    
    // Compute constants
    const double C0 = x[1][0] + x[2][0];
    const double C1 = x[1][1] + x[2][1];
    
    // Get coordinates and map to the reference (FIAT) element
    double X = (J_01*(C1 - 2.0*coordinates[1]) + J_11*(2.0*coordinates[0] - C0)) / detJ;
    double Y = (J_00*(2.0*coordinates[1] - C1) + J_10*(C0 - 2.0*coordinates[0])) / detJ;
    
    // Reset values.
    *values = 0.0;
    switch (i)
    {
    case 0:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.0, -0.0412393049421161, -0.0238095238095238, 0.0289800294976278, 0.0224478343233825, 0.012960263189329, -0.0395942580610999, -0.0334632556631574, -0.025920526378658, -0.014965222882255, 0.0321247254366312, 0.0283313448138523, 0.023944356611608, 0.0185472188784818, 0.0107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 1:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.0, 0.0412393049421161, -0.0238095238095238, 0.0289800294976278, -0.0224478343233825, 0.012960263189329, 0.0395942580610999, -0.0334632556631574, 0.025920526378658, -0.014965222882255, 0.0321247254366312, -0.0283313448138523, 0.023944356611608, -0.0185472188784818, 0.0107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 2:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.0, 0.0, 0.0476190476190476, 0.0, 0.0, 0.038880789567987, 0.0, 0.0, 0.0, 0.0598608915290199, 0.0, 0.0, 0.0, 0.0, 0.0535412090610519};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 3:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210942, 0.131965775814772, -0.0253968253968253, 0.139104141588614, -0.0718330698348239, 0.0311046316543896, 0.0633508128977599, 0.0267706045305259, -0.0622092633087791, 0.0478887132232159, 0.0, 0.0566626896277046, -0.0838052481406279, 0.0834624849531682, -0.0535412090610519};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 4:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {-0.0314269680527355, 0.0109971479845642, 0.00634920634920636, 0.0, 0.188561808316413, -0.163299316185545, 0.0, 0.0936971158568408, 0.0, -0.0419026240703139, 0.0, 0.0, 0.0838052481406279, -0.139104141588614, 0.107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 5:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210942, 0.0439885919382572, 0.126984126984127, 0.0, 0.035916534917412, 0.155523158271948, 0.0, 0.0, 0.103682105514632, -0.011972178305804, 0.0, 0.0, 0.0, 0.0927360943924091, -0.107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 6:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210941, -0.131965775814772, -0.0253968253968254, 0.139104141588614, 0.0718330698348239, 0.0311046316543895, -0.0633508128977599, 0.0267706045305259, 0.0622092633087791, 0.0478887132232159, 0.0, -0.0566626896277046, -0.0838052481406278, -0.0834624849531681, -0.0535412090610519};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 7:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {-0.0314269680527353, -0.0109971479845644, 0.00634920634920625, 0.0, -0.188561808316413, -0.163299316185545, 0.0, 0.0936971158568409, 0.0, -0.0419026240703138, 0.0, 0.0, 0.0838052481406278, 0.139104141588614, 0.107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 8:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210942, -0.0439885919382572, 0.126984126984127, 0.0, -0.0359165349174119, 0.155523158271948, 0.0, 0.0, -0.103682105514632, -0.011972178305804, 0.0, 0.0, 0.0, -0.0927360943924091, -0.107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 9:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210942, -0.0879771838765144, -0.101587301587302, 0.0927360943924091, 0.107749604752236, 0.0725774738602423, 0.0791885161221998, -0.013385302265263, -0.0518410527573159, -0.0419026240703139, -0.128498901746525, -0.0566626896277046, -0.011972178305804, 0.00927360943924089, 0.0107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 10:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {-0.0314269680527354, 0.0, -0.0126984126984126, -0.243432247780074, 0.0, 0.0544331053951817, 0.0, 0.0936971158568408, 0.0, -0.0419026240703139, 0.192748352619787, 0.0, -0.023944356611608, 0.0, 0.0107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 11:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210941, 0.0879771838765144, -0.101587301587302, 0.0927360943924091, -0.107749604752236, 0.0725774738602423, -0.0791885161221998, -0.013385302265263, 0.051841052757316, -0.0419026240703139, -0.128498901746525, 0.0566626896277046, -0.011972178305804, -0.00927360943924091, 0.0107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 12:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.251415744421883, -0.351908735506058, -0.203174603174603, -0.139104141588614, -0.107749604752236, -0.0622092633087791, 0.19005243869328, -0.0267706045305259, 0.124418526617558, 0.155638317975452, 0.0, 0.169988068883114, 0.0838052481406278, -0.0278208283177227, -0.053541209061052};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 13:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.251415744421884, 0.351908735506058, -0.203174603174603, -0.139104141588614, 0.107749604752236, -0.0622092633087792, -0.19005243869328, -0.0267706045305259, -0.124418526617558, 0.155638317975452, 0.0, -0.169988068883114, 0.0838052481406278, 0.0278208283177227, -0.0535412090610519};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    case 14:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.251415744421883, 0.0, 0.406349206349206, 0.0, 0.0, -0.186627789926337, 0.0, -0.187394231713682, 0.0, -0.203527031198668, 0.0, 0.0, -0.167610496281256, 0.0, 0.107082418122104};
      
      // Compute value(s).
      for (unsigned int r = 0; r < 15; r++)
      {
        *values += coefficients0[r]*basisvalues[r];
      }// end loop over 'r'
        break;
      }
    }
    
  }

  /// Evaluate all basis functions at given point in cell
  virtual void evaluate_basis_all(double* values,
                                  const double* coordinates,
                                  const ufc::cell& c) const
  {
    // Helper variable to hold values of a single dof.
    double dof_values = 0.0;
    
    // Loop dofs and call evaluate_basis.
    for (unsigned int r = 0; r < 15; r++)
    {
      evaluate_basis(r, &dof_values, coordinates, c);
      values[r] = dof_values;
    }// end loop over 'r'
  }

  /// Evaluate order n derivatives of basis function i at given point in cell
  virtual void evaluate_basis_derivatives(unsigned int i,
                                          unsigned int n,
                                          double* values,
                                          const double* coordinates,
                                          const ufc::cell& c) const
  {
    // Extract vertex coordinates
    const double * const * x = c.coordinates;
    
    // Compute Jacobian of affine map from reference cell
    const double J_00 = x[1][0] - x[0][0];
    const double J_01 = x[2][0] - x[0][0];
    const double J_10 = x[1][1] - x[0][1];
    const double J_11 = x[2][1] - x[0][1];
    
    // Compute determinant of Jacobian
    double detJ = J_00*J_11 - J_01*J_10;
    
    // Compute inverse of Jacobian
    const double K_00 =  J_11 / detJ;
    const double K_01 = -J_01 / detJ;
    const double K_10 = -J_10 / detJ;
    const double K_11 =  J_00 / detJ;
    
    // Compute constants
    const double C0 = x[1][0] + x[2][0];
    const double C1 = x[1][1] + x[2][1];
    
    // Get coordinates and map to the reference (FIAT) element
    double X = (J_01*(C1 - 2.0*coordinates[1]) + J_11*(2.0*coordinates[0] - C0)) / detJ;
    double Y = (J_00*(2.0*coordinates[1] - C1) + J_10*(C0 - 2.0*coordinates[0])) / detJ;
    
    // Compute number of derivatives.
    unsigned int num_derivatives = 1;
    for (unsigned int r = 0; r < n; r++)
    {
      num_derivatives *= 2;
    }// end loop over 'r'
    
    // Declare pointer to two dimensional array that holds combinations of derivatives and initialise
    unsigned int **combinations = new unsigned int *[num_derivatives];
    for (unsigned int row = 0; row < num_derivatives; row++)
    {
      combinations[row] = new unsigned int [n];
      for (unsigned int col = 0; col < n; col++)
        combinations[row][col] = 0;
    }
    
    // Generate combinations of derivatives
    for (unsigned int row = 1; row < num_derivatives; row++)
    {
      for (unsigned int num = 0; num < row; num++)
      {
        for (unsigned int col = n-1; col+1 > 0; col--)
        {
          if (combinations[row][col] + 1 > 1)
            combinations[row][col] = 0;
          else
          {
            combinations[row][col] += 1;
            break;
          }
        }
      }
    }
    
    // Compute inverse of Jacobian
    const double Jinv[2][2] = {{K_00, K_01}, {K_10, K_11}};
    
    // Declare transformation matrix
    // Declare pointer to two dimensional array and initialise
    double **transform = new double *[num_derivatives];
    
    for (unsigned int j = 0; j < num_derivatives; j++)
    {
      transform[j] = new double [num_derivatives];
      for (unsigned int k = 0; k < num_derivatives; k++)
        transform[j][k] = 1;
    }
    
    // Construct transformation matrix
    for (unsigned int row = 0; row < num_derivatives; row++)
    {
      for (unsigned int col = 0; col < num_derivatives; col++)
      {
        for (unsigned int k = 0; k < n; k++)
          transform[row][col] *= Jinv[combinations[col][k]][combinations[row][k]];
      }
    }
    
    // Reset values. Assuming that values is always an array.
    for (unsigned int r = 0; r < num_derivatives; r++)
    {
      values[r] = 0.0;
    }// end loop over 'r'
    
    switch (i)
    {
    case 0:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.0, -0.0412393049421161, -0.0238095238095238, 0.0289800294976278, 0.0224478343233825, 0.012960263189329, -0.0395942580610999, -0.0334632556631574, -0.025920526378658, -0.014965222882255, 0.0321247254366312, 0.0283313448138523, 0.023944356611608, 0.0185472188784818, 0.0107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 1:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.0, 0.0412393049421161, -0.0238095238095238, 0.0289800294976278, -0.0224478343233825, 0.012960263189329, 0.0395942580610999, -0.0334632556631574, 0.025920526378658, -0.014965222882255, 0.0321247254366312, -0.0283313448138523, 0.023944356611608, -0.0185472188784818, 0.0107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 2:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.0, 0.0, 0.0476190476190476, 0.0, 0.0, 0.038880789567987, 0.0, 0.0, 0.0, 0.0598608915290199, 0.0, 0.0, 0.0, 0.0, 0.0535412090610519};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 3:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210942, 0.131965775814772, -0.0253968253968253, 0.139104141588614, -0.0718330698348239, 0.0311046316543896, 0.0633508128977599, 0.0267706045305259, -0.0622092633087791, 0.0478887132232159, 0.0, 0.0566626896277046, -0.0838052481406279, 0.0834624849531682, -0.0535412090610519};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 4:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {-0.0314269680527355, 0.0109971479845642, 0.00634920634920636, 0.0, 0.188561808316413, -0.163299316185545, 0.0, 0.0936971158568408, 0.0, -0.0419026240703139, 0.0, 0.0, 0.0838052481406279, -0.139104141588614, 0.107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 5:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210942, 0.0439885919382572, 0.126984126984127, 0.0, 0.035916534917412, 0.155523158271948, 0.0, 0.0, 0.103682105514632, -0.011972178305804, 0.0, 0.0, 0.0, 0.0927360943924091, -0.107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 6:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210941, -0.131965775814772, -0.0253968253968254, 0.139104141588614, 0.0718330698348239, 0.0311046316543895, -0.0633508128977599, 0.0267706045305259, 0.0622092633087791, 0.0478887132232159, 0.0, -0.0566626896277046, -0.0838052481406278, -0.0834624849531681, -0.0535412090610519};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 7:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {-0.0314269680527353, -0.0109971479845644, 0.00634920634920625, 0.0, -0.188561808316413, -0.163299316185545, 0.0, 0.0936971158568409, 0.0, -0.0419026240703138, 0.0, 0.0, 0.0838052481406278, 0.139104141588614, 0.107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 8:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210942, -0.0439885919382572, 0.126984126984127, 0.0, -0.0359165349174119, 0.155523158271948, 0.0, 0.0, -0.103682105514632, -0.011972178305804, 0.0, 0.0, 0.0, -0.0927360943924091, -0.107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 9:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210942, -0.0879771838765144, -0.101587301587302, 0.0927360943924091, 0.107749604752236, 0.0725774738602423, 0.0791885161221998, -0.013385302265263, -0.0518410527573159, -0.0419026240703139, -0.128498901746525, -0.0566626896277046, -0.011972178305804, 0.00927360943924089, 0.0107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 10:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {-0.0314269680527354, 0.0, -0.0126984126984126, -0.243432247780074, 0.0, 0.0544331053951817, 0.0, 0.0936971158568408, 0.0, -0.0419026240703139, 0.192748352619787, 0.0, -0.023944356611608, 0.0, 0.0107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 11:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.125707872210941, 0.0879771838765144, -0.101587301587302, 0.0927360943924091, -0.107749604752236, 0.0725774738602423, -0.0791885161221998, -0.013385302265263, 0.051841052757316, -0.0419026240703139, -0.128498901746525, 0.0566626896277046, -0.011972178305804, -0.00927360943924091, 0.0107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 12:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.251415744421883, -0.351908735506058, -0.203174603174603, -0.139104141588614, -0.107749604752236, -0.0622092633087791, 0.19005243869328, -0.0267706045305259, 0.124418526617558, 0.155638317975452, 0.0, 0.169988068883114, 0.0838052481406278, -0.0278208283177227, -0.053541209061052};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 13:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.251415744421884, 0.351908735506058, -0.203174603174603, -0.139104141588614, 0.107749604752236, -0.0622092633087792, -0.19005243869328, -0.0267706045305259, -0.124418526617558, 0.155638317975452, 0.0, -0.169988068883114, 0.0838052481406278, 0.0278208283177227, -0.0535412090610519};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    case 14:
      {
        
      // Array of basisvalues.
      double basisvalues[15] = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
      
      // Declare helper variables.
      double tmp0 = (1.0 + Y + 2.0*X)/2.0;
      double tmp1 = (1.0 - Y)/2.0;
      double tmp2 = tmp1*tmp1;
      
      // Compute basisvalues.
      basisvalues[0] = 1.0;
      basisvalues[1] = tmp0;
      basisvalues[3] = basisvalues[1]*1.5*tmp0 - basisvalues[0]*0.5*tmp2;
      basisvalues[6] = basisvalues[3]*1.66666666666667*tmp0 - basisvalues[1]*0.666666666666667*tmp2;
      basisvalues[10] = basisvalues[6]*1.75*tmp0 - basisvalues[3]*0.75*tmp2;
      basisvalues[2] = basisvalues[0]*(0.5 + 1.5*Y);
      basisvalues[4] = basisvalues[1]*(1.5 + 2.5*Y);
      basisvalues[7] = basisvalues[3]*(2.5 + 3.5*Y);
      basisvalues[11] = basisvalues[6]*(3.5 + 4.5*Y);
      basisvalues[5] = basisvalues[2]*(0.111111111111111 + Y*1.66666666666667) - basisvalues[0]*0.555555555555556;
      basisvalues[9] = basisvalues[5]*(0.05 + Y*1.75) - basisvalues[2]*0.7;
      basisvalues[14] = basisvalues[9]*(0.0285714285714286 + Y*1.8) - basisvalues[5]*0.771428571428571;
      basisvalues[8] = basisvalues[4]*(0.54 + Y*2.1) - basisvalues[1]*0.56;
      basisvalues[13] = basisvalues[8]*(0.285714285714286 + Y*2.0) - basisvalues[4]*0.714285714285714;
      basisvalues[12] = basisvalues[7]*(1.02040816326531 + Y*2.57142857142857) - basisvalues[3]*0.551020408163265;
      basisvalues[0] *= std::sqrt(0.5);
      basisvalues[2] *= std::sqrt(1.0);
      basisvalues[5] *= std::sqrt(1.5);
      basisvalues[9] *= std::sqrt(2.0);
      basisvalues[14] *= std::sqrt(2.5);
      basisvalues[1] *= std::sqrt(3.0);
      basisvalues[4] *= std::sqrt(4.5);
      basisvalues[8] *= std::sqrt(6.0);
      basisvalues[13] *= std::sqrt(7.5);
      basisvalues[3] *= std::sqrt(7.5);
      basisvalues[7] *= std::sqrt(10.0);
      basisvalues[12] *= std::sqrt(12.5);
      basisvalues[6] *= std::sqrt(14.0);
      basisvalues[11] *= std::sqrt(17.5);
      basisvalues[10] *= std::sqrt(22.5);
      
      // Table(s) of coefficients.
      static const double coefficients0[15] = \
      {0.251415744421883, 0.0, 0.406349206349206, 0.0, 0.0, -0.186627789926337, 0.0, -0.187394231713682, 0.0, -0.203527031198668, 0.0, 0.0, -0.167610496281256, 0.0, 0.107082418122104};
      
      // Tables of derivatives of the polynomial base (transpose).
      static const double dmats0[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.89897948556635, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 9.48683298050513, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.0, 0.0, 7.07106781186548, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5.29150262212918, 0.0, -2.99332590941915, 13.6626010212795, 0.0, 0.61101009266078, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 4.38178046004133, 0.0, 0.0, 12.5219806739988, 1.36319883402694e-14, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.46410161513776, 0.0, 7.83836717690617, 0.0, 0.0, 8.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 10.9544511501033, 0.0, 0.0, -3.83325938999965, 0.0, 17.7482393492989, 0.0, 0.553283335172492, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.73286382647969, 0.0, 3.3466401061363, 4.36435780471985, 0.0, -5.07468037933237, 0.0, 17.0084012854152, 0.0, 1.52127765851133, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 2.44948974278318, 0.0, 0.0, 9.14285714285714, 0.0, 0.0, 0.0, 14.8461497791618, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {3.09838667696593, 0.0, 7.66811580507233, 0.0, 0.0, 10.733126291999, 0.0, 0.0, 0.0, 9.2951600308978, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      static const double dmats1[15][15] = \
      {{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.44948974278318, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {4.24264068711928, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.58198889747161, 4.74341649025257, -0.912870929175278, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.0, 6.12372435695795, 3.53553390593274, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-2.3094010767585, 0.0, 8.16496580927726, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.64575131106459, 5.18459255872629, -1.49666295470958, 6.83130051063974, -1.05830052442584, 0.305505046330393, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.23606797749979, 2.19089023002067, 2.52982212813471, 8.08290376865477, 6.26099033699942, -1.80739222823013, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.73205080756888, -5.09116882454314, 3.91918358845309, 0.0, 9.69948452238572, 4.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {5, 0.0, -2.8284271247462, 0.0, 0.0, 12.1243556529821, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.68328157299975, 5.47722557505166, -1.89736659610103, 7.4230748895809, -1.91662969499982, 0.663940002206988, 8.87411967464942, -1.07142857142857, 0.276641667586246, -0.0958314847499898, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2.36643191323985, 2.89827534923789, 1.67332005306816, 2.18217890235992, 5.74704893215391, -2.53734018966618, 10.0623058987491, 8.50420064270762, -2.1957751641342, 0.760638829255666, 0.0, 0.0, 0.0, 0.0, 0.0},
      {2, 1.22474487139159, 3.53553390593274, -7.37711113563318, 4.57142857142858, 1.64957219768465, 0.0, 11.4997781699989, 7.42307488958091, -2.57142857142857, 0.0, 0.0, 0.0, 0.0, 0.0},
      {1.54919333848296, 6.64078308635359, 3.83405790253616, 0.0, -6.19677335393187, 5.36656314599949, 0.0, 0.0, 13.4164078649987, 4.6475800154489, 0.0, 0.0, 0.0, 0.0, 0.0},
      {-3.57770876399967, 0.0, 8.85437744847147, 0.0, 0.0, -3.09838667696593, 0.0, 0.0, 0.0, 16.0996894379985, 0.0, 0.0, 0.0, 0.0, 0.0}};
      
      // Compute reference derivatives.
      // Declare pointer to array of derivatives on FIAT element.
      double *derivatives = new double[num_derivatives];
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        derivatives[r] = 0.0;
      }// end loop over 'r'
      
      // Declare derivative matrix (of polynomial basis).
      double dmats[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Declare (auxiliary) derivative matrix (of polynomial basis).
      double dmats_old[15][15] = \
      {{1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0},
      {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0}};
      
      // Loop possible derivatives.
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        // Resetting dmats values to compute next derivative.
        for (unsigned int t = 0; t < 15; t++)
        {
          for (unsigned int u = 0; u < 15; u++)
          {
            dmats[t][u] = 0.0;
            if (t == u)
            {
            dmats[t][u] = 1.0;
            }
            
          }// end loop over 'u'
        }// end loop over 't'
        
        // Looping derivative order to generate dmats.
        for (unsigned int s = 0; s < n; s++)
        {
          // Updating dmats_old with new values and resetting dmats.
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              dmats_old[t][u] = dmats[t][u];
              dmats[t][u] = 0.0;
            }// end loop over 'u'
          }// end loop over 't'
          
          // Update dmats using an inner product.
          if (combinations[r][s] == 0)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats0[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
          if (combinations[r][s] == 1)
          {
          for (unsigned int t = 0; t < 15; t++)
          {
            for (unsigned int u = 0; u < 15; u++)
            {
              for (unsigned int tu = 0; tu < 15; tu++)
              {
                dmats[t][u] += dmats1[t][tu]*dmats_old[tu][u];
              }// end loop over 'tu'
            }// end loop over 'u'
          }// end loop over 't'
          }
          
        }// end loop over 's'
        for (unsigned int s = 0; s < 15; s++)
        {
          for (unsigned int t = 0; t < 15; t++)
          {
            derivatives[r] += coefficients0[s]*dmats[s][t]*basisvalues[t];
          }// end loop over 't'
        }// end loop over 's'
      }// end loop over 'r'
      
      // Transform derivatives back to physical element
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        for (unsigned int s = 0; s < num_derivatives; s++)
        {
          values[r] += transform[r][s]*derivatives[s];
        }// end loop over 's'
      }// end loop over 'r'
      
      // Delete pointer to array of derivatives on FIAT element
      delete [] derivatives;
      
      // Delete pointer to array of combinations of derivatives and transform
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] combinations[r];
      }// end loop over 'r'
      delete [] combinations;
      for (unsigned int r = 0; r < num_derivatives; r++)
      {
        delete [] transform[r];
      }// end loop over 'r'
      delete [] transform;
        break;
      }
    }
    
  }

  /// Evaluate order n derivatives of all basis functions at given point in cell
  virtual void evaluate_basis_derivatives_all(unsigned int n,
                                              double* values,
                                              const double* coordinates,
                                              const ufc::cell& c) const
  {
    // Compute number of derivatives.
    unsigned int num_derivatives = 1;
    for (unsigned int r = 0; r < n; r++)
    {
      num_derivatives *= 2;
    }// end loop over 'r'
    
    // Helper variable to hold values of a single dof.
    double *dof_values = new double[num_derivatives];
    for (unsigned int r = 0; r < num_derivatives; r++)
    {
      dof_values[r] = 0.0;
    }// end loop over 'r'
    
    // Loop dofs and call evaluate_basis_derivatives.
    for (unsigned int r = 0; r < 15; r++)
    {
      evaluate_basis_derivatives(r, n, dof_values, coordinates, c);
      for (unsigned int s = 0; s < num_derivatives; s++)
      {
        values[r*num_derivatives + s] = dof_values[s];
      }// end loop over 's'
    }// end loop over 'r'
    
    // Delete pointer.
    delete [] dof_values;
  }

  /// Evaluate linear functional for dof i on the function f
  virtual double evaluate_dof(unsigned int i,
                              const ufc::function& f,
                              const ufc::cell& c) const
  {
    // Declare variables for result of evaluation.
    double vals[1];
    
    // Declare variable for physical coordinates.
    double y[2];
    const double * const * x = c.coordinates;
    switch (i)
    {
    case 0:
      {
        y[0] = x[0][0];
      y[1] = x[0][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 1:
      {
        y[0] = x[1][0];
      y[1] = x[1][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 2:
      {
        y[0] = x[2][0];
      y[1] = x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 3:
      {
        y[0] = 0.75*x[1][0] + 0.25*x[2][0];
      y[1] = 0.75*x[1][1] + 0.25*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 4:
      {
        y[0] = 0.5*x[1][0] + 0.5*x[2][0];
      y[1] = 0.5*x[1][1] + 0.5*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 5:
      {
        y[0] = 0.25*x[1][0] + 0.75*x[2][0];
      y[1] = 0.25*x[1][1] + 0.75*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 6:
      {
        y[0] = 0.75*x[0][0] + 0.25*x[2][0];
      y[1] = 0.75*x[0][1] + 0.25*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 7:
      {
        y[0] = 0.5*x[0][0] + 0.5*x[2][0];
      y[1] = 0.5*x[0][1] + 0.5*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 8:
      {
        y[0] = 0.25*x[0][0] + 0.75*x[2][0];
      y[1] = 0.25*x[0][1] + 0.75*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 9:
      {
        y[0] = 0.75*x[0][0] + 0.25*x[1][0];
      y[1] = 0.75*x[0][1] + 0.25*x[1][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 10:
      {
        y[0] = 0.5*x[0][0] + 0.5*x[1][0];
      y[1] = 0.5*x[0][1] + 0.5*x[1][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 11:
      {
        y[0] = 0.25*x[0][0] + 0.75*x[1][0];
      y[1] = 0.25*x[0][1] + 0.75*x[1][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 12:
      {
        y[0] = 0.5*x[0][0] + 0.25*x[1][0] + 0.25*x[2][0];
      y[1] = 0.5*x[0][1] + 0.25*x[1][1] + 0.25*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 13:
      {
        y[0] = 0.25*x[0][0] + 0.5*x[1][0] + 0.25*x[2][0];
      y[1] = 0.25*x[0][1] + 0.5*x[1][1] + 0.25*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    case 14:
      {
        y[0] = 0.25*x[0][0] + 0.25*x[1][0] + 0.5*x[2][0];
      y[1] = 0.25*x[0][1] + 0.25*x[1][1] + 0.5*x[2][1];
      f.evaluate(vals, y, c);
      return vals[0];
        break;
      }
    }
    
    return 0.0;
  }

  /// Evaluate linear functionals for all dofs on the function f
  virtual void evaluate_dofs(double* values,
                             const ufc::function& f,
                             const ufc::cell& c) const
  {
    // Declare variables for result of evaluation.
    double vals[1];
    
    // Declare variable for physical coordinates.
    double y[2];
    const double * const * x = c.coordinates;
    y[0] = x[0][0];
    y[1] = x[0][1];
    f.evaluate(vals, y, c);
    values[0] = vals[0];
    y[0] = x[1][0];
    y[1] = x[1][1];
    f.evaluate(vals, y, c);
    values[1] = vals[0];
    y[0] = x[2][0];
    y[1] = x[2][1];
    f.evaluate(vals, y, c);
    values[2] = vals[0];
    y[0] = 0.75*x[1][0] + 0.25*x[2][0];
    y[1] = 0.75*x[1][1] + 0.25*x[2][1];
    f.evaluate(vals, y, c);
    values[3] = vals[0];
    y[0] = 0.5*x[1][0] + 0.5*x[2][0];
    y[1] = 0.5*x[1][1] + 0.5*x[2][1];
    f.evaluate(vals, y, c);
    values[4] = vals[0];
    y[0] = 0.25*x[1][0] + 0.75*x[2][0];
    y[1] = 0.25*x[1][1] + 0.75*x[2][1];
    f.evaluate(vals, y, c);
    values[5] = vals[0];
    y[0] = 0.75*x[0][0] + 0.25*x[2][0];
    y[1] = 0.75*x[0][1] + 0.25*x[2][1];
    f.evaluate(vals, y, c);
    values[6] = vals[0];
    y[0] = 0.5*x[0][0] + 0.5*x[2][0];
    y[1] = 0.5*x[0][1] + 0.5*x[2][1];
    f.evaluate(vals, y, c);
    values[7] = vals[0];
    y[0] = 0.25*x[0][0] + 0.75*x[2][0];
    y[1] = 0.25*x[0][1] + 0.75*x[2][1];
    f.evaluate(vals, y, c);
    values[8] = vals[0];
    y[0] = 0.75*x[0][0] + 0.25*x[1][0];
    y[1] = 0.75*x[0][1] + 0.25*x[1][1];
    f.evaluate(vals, y, c);
    values[9] = vals[0];
    y[0] = 0.5*x[0][0] + 0.5*x[1][0];
    y[1] = 0.5*x[0][1] + 0.5*x[1][1];
    f.evaluate(vals, y, c);
    values[10] = vals[0];
    y[0] = 0.25*x[0][0] + 0.75*x[1][0];
    y[1] = 0.25*x[0][1] + 0.75*x[1][1];
    f.evaluate(vals, y, c);
    values[11] = vals[0];
    y[0] = 0.5*x[0][0] + 0.25*x[1][0] + 0.25*x[2][0];
    y[1] = 0.5*x[0][1] + 0.25*x[1][1] + 0.25*x[2][1];
    f.evaluate(vals, y, c);
    values[12] = vals[0];
    y[0] = 0.25*x[0][0] + 0.5*x[1][0] + 0.25*x[2][0];
    y[1] = 0.25*x[0][1] + 0.5*x[1][1] + 0.25*x[2][1];
    f.evaluate(vals, y, c);
    values[13] = vals[0];
    y[0] = 0.25*x[0][0] + 0.25*x[1][0] + 0.5*x[2][0];
    y[1] = 0.25*x[0][1] + 0.25*x[1][1] + 0.5*x[2][1];
    f.evaluate(vals, y, c);
    values[14] = vals[0];
  }

  /// Interpolate vertex values from dof values
  virtual void interpolate_vertex_values(double* vertex_values,
                                         const double* dof_values,
                                         const ufc::cell& c) const
  {
    // Evaluate function and change variables
    vertex_values[0] = dof_values[0];
    vertex_values[1] = dof_values[1];
    vertex_values[2] = dof_values[2];
  }

  /// Map coordinate xhat from reference cell to coordinate x in cell
  virtual void map_from_reference_cell(double* x,
                                       const double* xhat,
                                       const ufc::cell& c) const
  {
    throw std::runtime_error("map_from_reference_cell not yet implemented (introduced in UFC 2.0).");
  }

  /// Map from coordinate x in cell to coordinate xhat in reference cell
  virtual void map_to_reference_cell(double* xhat,
                                     const double* x,
                                     const ufc::cell& c) const
  {
    throw std::runtime_error("map_to_reference_cell not yet implemented (introduced in UFC 2.0).");
  }

  /// Return the number of sub elements (for a mixed element)
  virtual unsigned int num_sub_elements() const
  {
    return 0;
  }

  /// Create a new finite element for sub element i (for a mixed element)
  virtual ufc::finite_element* create_sub_element(unsigned int i) const
  {
    return 0;
  }

  /// Create a new class instance
  virtual ufc::finite_element* create() const
  {
    return new laplacian_f2_p3_q4_tensor_finite_element_1();
  }

};

/// This class defines the interface for a local-to-global mapping of
/// degrees of freedom (dofs).

class laplacian_f2_p3_q4_tensor_dofmap_0: public ufc::dofmap
{
private:

  unsigned int _global_dimension;
public:

  /// Constructor
  laplacian_f2_p3_q4_tensor_dofmap_0() : ufc::dofmap()
  {
    _global_dimension = 0;
  }

  /// Destructor
  virtual ~laplacian_f2_p3_q4_tensor_dofmap_0()
  {
    // Do nothing
  }

  /// Return a string identifying the dofmap
  virtual const char* signature() const
  {
    return "FFC dofmap for FiniteElement('Lagrange', Cell('triangle', Space(2)), 3, None)";
  }

  /// Return true iff mesh entities of topological dimension d are needed
  virtual bool needs_mesh_entities(unsigned int d) const
  {
    switch (d)
    {
    case 0:
      {
        return true;
        break;
      }
    case 1:
      {
        return true;
        break;
      }
    case 2:
      {
        return true;
        break;
      }
    }
    
    return false;
  }

  /// Initialize dofmap for mesh (return true iff init_cell() is needed)
  virtual bool init_mesh(const ufc::mesh& m)
  {
    _global_dimension = m.num_entities[0] + 2*m.num_entities[1] + m.num_entities[2];
    return false;
  }

  /// Initialize dofmap for given cell
  virtual void init_cell(const ufc::mesh& m,
                         const ufc::cell& c)
  {
    // Do nothing
  }

  /// Finish initialization of dofmap for cells
  virtual void init_cell_finalize()
  {
    // Do nothing
  }

  /// Return the topological dimension of the associated cell shape
  virtual unsigned int topological_dimension() const
  {
    return 2;
  }

  /// Return the geometric dimension of the associated cell shape
  virtual unsigned int geometric_dimension() const
  {
    return 2;
  }

  /// Return the dimension of the global finite element function space
  virtual unsigned int global_dimension() const
  {
    return _global_dimension;
  }

  /// Return the dimension of the local finite element function space for a cell
  virtual unsigned int local_dimension(const ufc::cell& c) const
  {
    return 10;
  }

  /// Return the maximum dimension of the local finite element function space
  virtual unsigned int max_local_dimension() const
  {
    return 10;
  }

  /// Return the number of dofs on each cell facet
  virtual unsigned int num_facet_dofs() const
  {
    return 4;
  }

  /// Return the number of dofs associated with each cell entity of dimension d
  virtual unsigned int num_entity_dofs(unsigned int d) const
  {
    switch (d)
    {
    case 0:
      {
        return 1;
        break;
      }
    case 1:
      {
        return 2;
        break;
      }
    case 2:
      {
        return 1;
        break;
      }
    }
    
    return 0;
  }

  /// Tabulate the local-to-global mapping of dofs on a cell
  virtual void tabulate_dofs(unsigned int* dofs,
                             const ufc::mesh& m,
                             const ufc::cell& c) const
  {
    unsigned int offset = 0;
    dofs[0] = offset + c.entity_indices[0][0];
    dofs[1] = offset + c.entity_indices[0][1];
    dofs[2] = offset + c.entity_indices[0][2];
    offset += m.num_entities[0];
    dofs[3] = offset + 2*c.entity_indices[1][0];
    dofs[4] = offset + 2*c.entity_indices[1][0] + 1;
    dofs[5] = offset + 2*c.entity_indices[1][1];
    dofs[6] = offset + 2*c.entity_indices[1][1] + 1;
    dofs[7] = offset + 2*c.entity_indices[1][2];
    dofs[8] = offset + 2*c.entity_indices[1][2] + 1;
    offset += 2*m.num_entities[1];
    dofs[9] = offset + c.entity_indices[2][0];
    offset += m.num_entities[2];
  }

  /// Tabulate the local-to-local mapping from facet dofs to cell dofs
  virtual void tabulate_facet_dofs(unsigned int* dofs,
                                   unsigned int facet) const
  {
    switch (facet)
    {
    case 0:
      {
        dofs[0] = 1;
      dofs[1] = 2;
      dofs[2] = 3;
      dofs[3] = 4;
        break;
      }
    case 1:
      {
        dofs[0] = 0;
      dofs[1] = 2;
      dofs[2] = 5;
      dofs[3] = 6;
        break;
      }
    case 2:
      {
        dofs[0] = 0;
      dofs[1] = 1;
      dofs[2] = 7;
      dofs[3] = 8;
        break;
      }
    }
    
  }

  /// Tabulate the local-to-local mapping of dofs on entity (d, i)
  virtual void tabulate_entity_dofs(unsigned int* dofs,
                                    unsigned int d, unsigned int i) const
  {
    if (d > 2)
    {
    throw std::runtime_error("d is larger than dimension (2)");
    }
    
    switch (d)
    {
    case 0:
      {
        if (i > 2)
      {
      throw std::runtime_error("i is larger than number of entities (2)");
      }
      
      switch (i)
      {
      case 0:
        {
          dofs[0] = 0;
          break;
        }
      case 1:
        {
          dofs[0] = 1;
          break;
        }
      case 2:
        {
          dofs[0] = 2;
          break;
        }
      }
      
        break;
      }
    case 1:
      {
        if (i > 2)
      {
      throw std::runtime_error("i is larger than number of entities (2)");
      }
      
      switch (i)
      {
      case 0:
        {
          dofs[0] = 3;
        dofs[1] = 4;
          break;
        }
      case 1:
        {
          dofs[0] = 5;
        dofs[1] = 6;
          break;
        }
      case 2:
        {
          dofs[0] = 7;
        dofs[1] = 8;
          break;
        }
      }
      
        break;
      }
    case 2:
      {
        if (i > 0)
      {
      throw std::runtime_error("i is larger than number of entities (0)");
      }
      
      dofs[0] = 9;
        break;
      }
    }
    
  }

  /// Tabulate the coordinates of all dofs on a cell
  virtual void tabulate_coordinates(double** coordinates,
                                    const ufc::cell& c) const
  {
    const double * const * x = c.coordinates;
    
    coordinates[0][0] = x[0][0];
    coordinates[0][1] = x[0][1];
    coordinates[1][0] = x[1][0];
    coordinates[1][1] = x[1][1];
    coordinates[2][0] = x[2][0];
    coordinates[2][1] = x[2][1];
    coordinates[3][0] = 0.666666666666667*x[1][0] + 0.333333333333333*x[2][0];
    coordinates[3][1] = 0.666666666666667*x[1][1] + 0.333333333333333*x[2][1];
    coordinates[4][0] = 0.333333333333333*x[1][0] + 0.666666666666667*x[2][0];
    coordinates[4][1] = 0.333333333333333*x[1][1] + 0.666666666666667*x[2][1];
    coordinates[5][0] = 0.666666666666667*x[0][0] + 0.333333333333333*x[2][0];
    coordinates[5][1] = 0.666666666666667*x[0][1] + 0.333333333333333*x[2][1];
    coordinates[6][0] = 0.333333333333333*x[0][0] + 0.666666666666667*x[2][0];
    coordinates[6][1] = 0.333333333333333*x[0][1] + 0.666666666666667*x[2][1];
    coordinates[7][0] = 0.666666666666667*x[0][0] + 0.333333333333333*x[1][0];
    coordinates[7][1] = 0.666666666666667*x[0][1] + 0.333333333333333*x[1][1];
    coordinates[8][0] = 0.333333333333333*x[0][0] + 0.666666666666667*x[1][0];
    coordinates[8][1] = 0.333333333333333*x[0][1] + 0.666666666666667*x[1][1];
    coordinates[9][0] = 0.333333333333333*x[0][0] + 0.333333333333333*x[1][0] + 0.333333333333333*x[2][0];
    coordinates[9][1] = 0.333333333333333*x[0][1] + 0.333333333333333*x[1][1] + 0.333333333333333*x[2][1];
  }

  /// Return the number of sub dofmaps (for a mixed element)
  virtual unsigned int num_sub_dofmaps() const
  {
    return 0;
  }

  /// Create a new dofmap for sub dofmap i (for a mixed element)
  virtual ufc::dofmap* create_sub_dofmap(unsigned int i) const
  {
    return 0;
  }

  /// Create a new class instance
  virtual ufc::dofmap* create() const
  {
    return new laplacian_f2_p3_q4_tensor_dofmap_0();
  }

};

/// This class defines the interface for a local-to-global mapping of
/// degrees of freedom (dofs).

class laplacian_f2_p3_q4_tensor_dofmap_1: public ufc::dofmap
{
private:

  unsigned int _global_dimension;
public:

  /// Constructor
  laplacian_f2_p3_q4_tensor_dofmap_1() : ufc::dofmap()
  {
    _global_dimension = 0;
  }

  /// Destructor
  virtual ~laplacian_f2_p3_q4_tensor_dofmap_1()
  {
    // Do nothing
  }

  /// Return a string identifying the dofmap
  virtual const char* signature() const
  {
    return "FFC dofmap for FiniteElement('Lagrange', Cell('triangle', Space(2)), 4, None)";
  }

  /// Return true iff mesh entities of topological dimension d are needed
  virtual bool needs_mesh_entities(unsigned int d) const
  {
    switch (d)
    {
    case 0:
      {
        return true;
        break;
      }
    case 1:
      {
        return true;
        break;
      }
    case 2:
      {
        return true;
        break;
      }
    }
    
    return false;
  }

  /// Initialize dofmap for mesh (return true iff init_cell() is needed)
  virtual bool init_mesh(const ufc::mesh& m)
  {
    _global_dimension = m.num_entities[0] + 3*m.num_entities[1] + 3*m.num_entities[2];
    return false;
  }

  /// Initialize dofmap for given cell
  virtual void init_cell(const ufc::mesh& m,
                         const ufc::cell& c)
  {
    // Do nothing
  }

  /// Finish initialization of dofmap for cells
  virtual void init_cell_finalize()
  {
    // Do nothing
  }

  /// Return the topological dimension of the associated cell shape
  virtual unsigned int topological_dimension() const
  {
    return 2;
  }

  /// Return the geometric dimension of the associated cell shape
  virtual unsigned int geometric_dimension() const
  {
    return 2;
  }

  /// Return the dimension of the global finite element function space
  virtual unsigned int global_dimension() const
  {
    return _global_dimension;
  }

  /// Return the dimension of the local finite element function space for a cell
  virtual unsigned int local_dimension(const ufc::cell& c) const
  {
    return 15;
  }

  /// Return the maximum dimension of the local finite element function space
  virtual unsigned int max_local_dimension() const
  {
    return 15;
  }

  /// Return the number of dofs on each cell facet
  virtual unsigned int num_facet_dofs() const
  {
    return 5;
  }

  /// Return the number of dofs associated with each cell entity of dimension d
  virtual unsigned int num_entity_dofs(unsigned int d) const
  {
    switch (d)
    {
    case 0:
      {
        return 1;
        break;
      }
    case 1:
      {
        return 3;
        break;
      }
    case 2:
      {
        return 3;
        break;
      }
    }
    
    return 0;
  }

  /// Tabulate the local-to-global mapping of dofs on a cell
  virtual void tabulate_dofs(unsigned int* dofs,
                             const ufc::mesh& m,
                             const ufc::cell& c) const
  {
    unsigned int offset = 0;
    dofs[0] = offset + c.entity_indices[0][0];
    dofs[1] = offset + c.entity_indices[0][1];
    dofs[2] = offset + c.entity_indices[0][2];
    offset += m.num_entities[0];
    dofs[3] = offset + 3*c.entity_indices[1][0];
    dofs[4] = offset + 3*c.entity_indices[1][0] + 1;
    dofs[5] = offset + 3*c.entity_indices[1][0] + 2;
    dofs[6] = offset + 3*c.entity_indices[1][1];
    dofs[7] = offset + 3*c.entity_indices[1][1] + 1;
    dofs[8] = offset + 3*c.entity_indices[1][1] + 2;
    dofs[9] = offset + 3*c.entity_indices[1][2];
    dofs[10] = offset + 3*c.entity_indices[1][2] + 1;
    dofs[11] = offset + 3*c.entity_indices[1][2] + 2;
    offset += 3*m.num_entities[1];
    dofs[12] = offset + 3*c.entity_indices[2][0];
    dofs[13] = offset + 3*c.entity_indices[2][0] + 1;
    dofs[14] = offset + 3*c.entity_indices[2][0] + 2;
    offset += 3*m.num_entities[2];
  }

  /// Tabulate the local-to-local mapping from facet dofs to cell dofs
  virtual void tabulate_facet_dofs(unsigned int* dofs,
                                   unsigned int facet) const
  {
    switch (facet)
    {
    case 0:
      {
        dofs[0] = 1;
      dofs[1] = 2;
      dofs[2] = 3;
      dofs[3] = 4;
      dofs[4] = 5;
        break;
      }
    case 1:
      {
        dofs[0] = 0;
      dofs[1] = 2;
      dofs[2] = 6;
      dofs[3] = 7;
      dofs[4] = 8;
        break;
      }
    case 2:
      {
        dofs[0] = 0;
      dofs[1] = 1;
      dofs[2] = 9;
      dofs[3] = 10;
      dofs[4] = 11;
        break;
      }
    }
    
  }

  /// Tabulate the local-to-local mapping of dofs on entity (d, i)
  virtual void tabulate_entity_dofs(unsigned int* dofs,
                                    unsigned int d, unsigned int i) const
  {
    if (d > 2)
    {
    throw std::runtime_error("d is larger than dimension (2)");
    }
    
    switch (d)
    {
    case 0:
      {
        if (i > 2)
      {
      throw std::runtime_error("i is larger than number of entities (2)");
      }
      
      switch (i)
      {
      case 0:
        {
          dofs[0] = 0;
          break;
        }
      case 1:
        {
          dofs[0] = 1;
          break;
        }
      case 2:
        {
          dofs[0] = 2;
          break;
        }
      }
      
        break;
      }
    case 1:
      {
        if (i > 2)
      {
      throw std::runtime_error("i is larger than number of entities (2)");
      }
      
      switch (i)
      {
      case 0:
        {
          dofs[0] = 3;
        dofs[1] = 4;
        dofs[2] = 5;
          break;
        }
      case 1:
        {
          dofs[0] = 6;
        dofs[1] = 7;
        dofs[2] = 8;
          break;
        }
      case 2:
        {
          dofs[0] = 9;
        dofs[1] = 10;
        dofs[2] = 11;
          break;
        }
      }
      
        break;
      }
    case 2:
      {
        if (i > 0)
      {
      throw std::runtime_error("i is larger than number of entities (0)");
      }
      
      dofs[0] = 12;
      dofs[1] = 13;
      dofs[2] = 14;
        break;
      }
    }
    
  }

  /// Tabulate the coordinates of all dofs on a cell
  virtual void tabulate_coordinates(double** coordinates,
                                    const ufc::cell& c) const
  {
    const double * const * x = c.coordinates;
    
    coordinates[0][0] = x[0][0];
    coordinates[0][1] = x[0][1];
    coordinates[1][0] = x[1][0];
    coordinates[1][1] = x[1][1];
    coordinates[2][0] = x[2][0];
    coordinates[2][1] = x[2][1];
    coordinates[3][0] = 0.75*x[1][0] + 0.25*x[2][0];
    coordinates[3][1] = 0.75*x[1][1] + 0.25*x[2][1];
    coordinates[4][0] = 0.5*x[1][0] + 0.5*x[2][0];
    coordinates[4][1] = 0.5*x[1][1] + 0.5*x[2][1];
    coordinates[5][0] = 0.25*x[1][0] + 0.75*x[2][0];
    coordinates[5][1] = 0.25*x[1][1] + 0.75*x[2][1];
    coordinates[6][0] = 0.75*x[0][0] + 0.25*x[2][0];
    coordinates[6][1] = 0.75*x[0][1] + 0.25*x[2][1];
    coordinates[7][0] = 0.5*x[0][0] + 0.5*x[2][0];
    coordinates[7][1] = 0.5*x[0][1] + 0.5*x[2][1];
    coordinates[8][0] = 0.25*x[0][0] + 0.75*x[2][0];
    coordinates[8][1] = 0.25*x[0][1] + 0.75*x[2][1];
    coordinates[9][0] = 0.75*x[0][0] + 0.25*x[1][0];
    coordinates[9][1] = 0.75*x[0][1] + 0.25*x[1][1];
    coordinates[10][0] = 0.5*x[0][0] + 0.5*x[1][0];
    coordinates[10][1] = 0.5*x[0][1] + 0.5*x[1][1];
    coordinates[11][0] = 0.25*x[0][0] + 0.75*x[1][0];
    coordinates[11][1] = 0.25*x[0][1] + 0.75*x[1][1];
    coordinates[12][0] = 0.5*x[0][0] + 0.25*x[1][0] + 0.25*x[2][0];
    coordinates[12][1] = 0.5*x[0][1] + 0.25*x[1][1] + 0.25*x[2][1];
    coordinates[13][0] = 0.25*x[0][0] + 0.5*x[1][0] + 0.25*x[2][0];
    coordinates[13][1] = 0.25*x[0][1] + 0.5*x[1][1] + 0.25*x[2][1];
    coordinates[14][0] = 0.25*x[0][0] + 0.25*x[1][0] + 0.5*x[2][0];
    coordinates[14][1] = 0.25*x[0][1] + 0.25*x[1][1] + 0.5*x[2][1];
  }

  /// Return the number of sub dofmaps (for a mixed element)
  virtual unsigned int num_sub_dofmaps() const
  {
    return 0;
  }

  /// Create a new dofmap for sub dofmap i (for a mixed element)
  virtual ufc::dofmap* create_sub_dofmap(unsigned int i) const
  {
    return 0;
  }

  /// Create a new class instance
  virtual ufc::dofmap* create() const
  {
    return new laplacian_f2_p3_q4_tensor_dofmap_1();
  }

};

/// This class defines the interface for the tabulation of the cell
/// tensor corresponding to the local contribution to a form from
/// the integral over a cell.

class laplacian_f2_p3_q4_tensor_cell_integral_0_0: public ufc::cell_integral
{
public:

  /// Constructor
  laplacian_f2_p3_q4_tensor_cell_integral_0_0() : ufc::cell_integral()
  {
    // Do nothing
  }

  /// Destructor
  virtual ~laplacian_f2_p3_q4_tensor_cell_integral_0_0()
  {
    // Do nothing
  }

  /// Tabulate the tensor for the contribution from a local cell
  virtual void tabulate_tensor(double* A,
                               const double * const * w,
                               const ufc::cell& c) const
  {
    // Number of operations (multiply-add pairs) for Jacobian data:      11
    // Number of operations (multiply-add pairs) for geometry tensor:    1200
    // Number of operations (multiply-add pairs) for tensor contraction: 54301
    // Total number of operations (multiply-add pairs):                  55512
    
    // Extract vertex coordinates
    const double * const * x = c.coordinates;
    
    // Compute Jacobian of affine map from reference cell
    const double J_00 = x[1][0] - x[0][0];
    const double J_01 = x[2][0] - x[0][0];
    const double J_10 = x[1][1] - x[0][1];
    const double J_11 = x[2][1] - x[0][1];
    
    // Compute determinant of Jacobian
    double detJ = J_00*J_11 - J_01*J_10;
    
    // Compute inverse of Jacobian
    const double K_00 =  J_11 / detJ;
    const double K_01 = -J_01 / detJ;
    const double K_10 = -J_10 / detJ;
    const double K_11 =  J_00 / detJ;
    
    // Set scale factor
    const double det = std::abs(detJ);
    
    // Compute geometry tensor
    const double G0_0_0_0_0 = det*(w[0][0]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_0_1 = det*(w[0][0]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_0_2 = det*(w[0][0]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_0_3 = det*(w[0][0]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_0_4 = det*(w[0][0]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_0_5 = det*(w[0][0]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_0_6 = det*(w[0][0]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_0_7 = det*(w[0][0]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_0_8 = det*(w[0][0]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_0_9 = det*(w[0][0]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_0 = det*(w[0][1]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_1 = det*(w[0][1]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_2 = det*(w[0][1]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_3 = det*(w[0][1]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_4 = det*(w[0][1]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_5 = det*(w[0][1]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_6 = det*(w[0][1]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_7 = det*(w[0][1]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_8 = det*(w[0][1]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_1_9 = det*(w[0][1]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_0 = det*(w[0][2]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_1 = det*(w[0][2]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_2 = det*(w[0][2]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_3 = det*(w[0][2]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_4 = det*(w[0][2]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_5 = det*(w[0][2]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_6 = det*(w[0][2]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_7 = det*(w[0][2]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_8 = det*(w[0][2]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_2_9 = det*(w[0][2]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_0 = det*(w[0][3]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_1 = det*(w[0][3]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_2 = det*(w[0][3]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_3 = det*(w[0][3]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_4 = det*(w[0][3]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_5 = det*(w[0][3]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_6 = det*(w[0][3]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_7 = det*(w[0][3]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_8 = det*(w[0][3]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_3_9 = det*(w[0][3]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_0 = det*(w[0][4]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_1 = det*(w[0][4]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_2 = det*(w[0][4]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_3 = det*(w[0][4]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_4 = det*(w[0][4]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_5 = det*(w[0][4]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_6 = det*(w[0][4]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_7 = det*(w[0][4]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_8 = det*(w[0][4]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_4_9 = det*(w[0][4]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_0 = det*(w[0][5]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_1 = det*(w[0][5]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_2 = det*(w[0][5]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_3 = det*(w[0][5]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_4 = det*(w[0][5]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_5 = det*(w[0][5]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_6 = det*(w[0][5]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_7 = det*(w[0][5]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_8 = det*(w[0][5]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_5_9 = det*(w[0][5]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_0 = det*(w[0][6]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_1 = det*(w[0][6]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_2 = det*(w[0][6]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_3 = det*(w[0][6]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_4 = det*(w[0][6]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_5 = det*(w[0][6]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_6 = det*(w[0][6]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_7 = det*(w[0][6]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_8 = det*(w[0][6]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_6_9 = det*(w[0][6]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_0 = det*(w[0][7]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_1 = det*(w[0][7]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_2 = det*(w[0][7]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_3 = det*(w[0][7]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_4 = det*(w[0][7]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_5 = det*(w[0][7]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_6 = det*(w[0][7]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_7 = det*(w[0][7]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_8 = det*(w[0][7]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_7_9 = det*(w[0][7]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_0 = det*(w[0][8]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_1 = det*(w[0][8]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_2 = det*(w[0][8]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_3 = det*(w[0][8]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_4 = det*(w[0][8]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_5 = det*(w[0][8]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_6 = det*(w[0][8]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_7 = det*(w[0][8]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_8 = det*(w[0][8]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_8_9 = det*(w[0][8]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_0 = det*(w[0][9]*w[1][0]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_1 = det*(w[0][9]*w[1][1]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_2 = det*(w[0][9]*w[1][2]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_3 = det*(w[0][9]*w[1][3]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_4 = det*(w[0][9]*w[1][4]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_5 = det*(w[0][9]*w[1][5]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_6 = det*(w[0][9]*w[1][6]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_7 = det*(w[0][9]*w[1][7]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_8 = det*(w[0][9]*w[1][8]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_0_9_9 = det*(w[0][9]*w[1][9]*((K_00*K_00 + K_01*K_01)));
    const double G0_0_1_0_0 = det*(w[0][0]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_0_1 = det*(w[0][0]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_0_2 = det*(w[0][0]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_0_3 = det*(w[0][0]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_0_4 = det*(w[0][0]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_0_5 = det*(w[0][0]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_0_6 = det*(w[0][0]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_0_7 = det*(w[0][0]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_0_8 = det*(w[0][0]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_0_9 = det*(w[0][0]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_0 = det*(w[0][1]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_1 = det*(w[0][1]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_2 = det*(w[0][1]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_3 = det*(w[0][1]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_4 = det*(w[0][1]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_5 = det*(w[0][1]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_6 = det*(w[0][1]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_7 = det*(w[0][1]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_8 = det*(w[0][1]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_1_9 = det*(w[0][1]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_0 = det*(w[0][2]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_1 = det*(w[0][2]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_2 = det*(w[0][2]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_3 = det*(w[0][2]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_4 = det*(w[0][2]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_5 = det*(w[0][2]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_6 = det*(w[0][2]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_7 = det*(w[0][2]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_8 = det*(w[0][2]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_2_9 = det*(w[0][2]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_0 = det*(w[0][3]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_1 = det*(w[0][3]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_2 = det*(w[0][3]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_3 = det*(w[0][3]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_4 = det*(w[0][3]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_5 = det*(w[0][3]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_6 = det*(w[0][3]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_7 = det*(w[0][3]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_8 = det*(w[0][3]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_3_9 = det*(w[0][3]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_0 = det*(w[0][4]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_1 = det*(w[0][4]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_2 = det*(w[0][4]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_3 = det*(w[0][4]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_4 = det*(w[0][4]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_5 = det*(w[0][4]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_6 = det*(w[0][4]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_7 = det*(w[0][4]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_8 = det*(w[0][4]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_4_9 = det*(w[0][4]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_0 = det*(w[0][5]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_1 = det*(w[0][5]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_2 = det*(w[0][5]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_3 = det*(w[0][5]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_4 = det*(w[0][5]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_5 = det*(w[0][5]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_6 = det*(w[0][5]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_7 = det*(w[0][5]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_8 = det*(w[0][5]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_5_9 = det*(w[0][5]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_0 = det*(w[0][6]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_1 = det*(w[0][6]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_2 = det*(w[0][6]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_3 = det*(w[0][6]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_4 = det*(w[0][6]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_5 = det*(w[0][6]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_6 = det*(w[0][6]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_7 = det*(w[0][6]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_8 = det*(w[0][6]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_6_9 = det*(w[0][6]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_0 = det*(w[0][7]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_1 = det*(w[0][7]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_2 = det*(w[0][7]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_3 = det*(w[0][7]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_4 = det*(w[0][7]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_5 = det*(w[0][7]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_6 = det*(w[0][7]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_7 = det*(w[0][7]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_8 = det*(w[0][7]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_7_9 = det*(w[0][7]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_0 = det*(w[0][8]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_1 = det*(w[0][8]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_2 = det*(w[0][8]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_3 = det*(w[0][8]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_4 = det*(w[0][8]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_5 = det*(w[0][8]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_6 = det*(w[0][8]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_7 = det*(w[0][8]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_8 = det*(w[0][8]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_8_9 = det*(w[0][8]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_0 = det*(w[0][9]*w[1][0]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_1 = det*(w[0][9]*w[1][1]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_2 = det*(w[0][9]*w[1][2]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_3 = det*(w[0][9]*w[1][3]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_4 = det*(w[0][9]*w[1][4]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_5 = det*(w[0][9]*w[1][5]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_6 = det*(w[0][9]*w[1][6]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_7 = det*(w[0][9]*w[1][7]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_8 = det*(w[0][9]*w[1][8]*((K_00*K_10 + K_01*K_11)));
    const double G0_0_1_9_9 = det*(w[0][9]*w[1][9]*((K_00*K_10 + K_01*K_11)));
    const double G0_1_0_0_0 = det*(w[0][0]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_0_1 = det*(w[0][0]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_0_2 = det*(w[0][0]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_0_3 = det*(w[0][0]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_0_4 = det*(w[0][0]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_0_5 = det*(w[0][0]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_0_6 = det*(w[0][0]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_0_7 = det*(w[0][0]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_0_8 = det*(w[0][0]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_0_9 = det*(w[0][0]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_0 = det*(w[0][1]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_1 = det*(w[0][1]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_2 = det*(w[0][1]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_3 = det*(w[0][1]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_4 = det*(w[0][1]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_5 = det*(w[0][1]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_6 = det*(w[0][1]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_7 = det*(w[0][1]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_8 = det*(w[0][1]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_1_9 = det*(w[0][1]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_0 = det*(w[0][2]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_1 = det*(w[0][2]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_2 = det*(w[0][2]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_3 = det*(w[0][2]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_4 = det*(w[0][2]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_5 = det*(w[0][2]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_6 = det*(w[0][2]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_7 = det*(w[0][2]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_8 = det*(w[0][2]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_2_9 = det*(w[0][2]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_0 = det*(w[0][3]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_1 = det*(w[0][3]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_2 = det*(w[0][3]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_3 = det*(w[0][3]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_4 = det*(w[0][3]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_5 = det*(w[0][3]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_6 = det*(w[0][3]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_7 = det*(w[0][3]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_8 = det*(w[0][3]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_3_9 = det*(w[0][3]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_0 = det*(w[0][4]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_1 = det*(w[0][4]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_2 = det*(w[0][4]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_3 = det*(w[0][4]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_4 = det*(w[0][4]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_5 = det*(w[0][4]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_6 = det*(w[0][4]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_7 = det*(w[0][4]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_8 = det*(w[0][4]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_4_9 = det*(w[0][4]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_0 = det*(w[0][5]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_1 = det*(w[0][5]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_2 = det*(w[0][5]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_3 = det*(w[0][5]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_4 = det*(w[0][5]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_5 = det*(w[0][5]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_6 = det*(w[0][5]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_7 = det*(w[0][5]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_8 = det*(w[0][5]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_5_9 = det*(w[0][5]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_0 = det*(w[0][6]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_1 = det*(w[0][6]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_2 = det*(w[0][6]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_3 = det*(w[0][6]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_4 = det*(w[0][6]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_5 = det*(w[0][6]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_6 = det*(w[0][6]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_7 = det*(w[0][6]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_8 = det*(w[0][6]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_6_9 = det*(w[0][6]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_0 = det*(w[0][7]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_1 = det*(w[0][7]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_2 = det*(w[0][7]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_3 = det*(w[0][7]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_4 = det*(w[0][7]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_5 = det*(w[0][7]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_6 = det*(w[0][7]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_7 = det*(w[0][7]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_8 = det*(w[0][7]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_7_9 = det*(w[0][7]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_0 = det*(w[0][8]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_1 = det*(w[0][8]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_2 = det*(w[0][8]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_3 = det*(w[0][8]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_4 = det*(w[0][8]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_5 = det*(w[0][8]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_6 = det*(w[0][8]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_7 = det*(w[0][8]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_8 = det*(w[0][8]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_8_9 = det*(w[0][8]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_0 = det*(w[0][9]*w[1][0]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_1 = det*(w[0][9]*w[1][1]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_2 = det*(w[0][9]*w[1][2]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_3 = det*(w[0][9]*w[1][3]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_4 = det*(w[0][9]*w[1][4]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_5 = det*(w[0][9]*w[1][5]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_6 = det*(w[0][9]*w[1][6]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_7 = det*(w[0][9]*w[1][7]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_8 = det*(w[0][9]*w[1][8]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_0_9_9 = det*(w[0][9]*w[1][9]*((K_10*K_00 + K_11*K_01)));
    const double G0_1_1_0_0 = det*(w[0][0]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_0_1 = det*(w[0][0]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_0_2 = det*(w[0][0]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_0_3 = det*(w[0][0]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_0_4 = det*(w[0][0]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_0_5 = det*(w[0][0]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_0_6 = det*(w[0][0]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_0_7 = det*(w[0][0]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_0_8 = det*(w[0][0]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_0_9 = det*(w[0][0]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_0 = det*(w[0][1]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_1 = det*(w[0][1]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_2 = det*(w[0][1]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_3 = det*(w[0][1]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_4 = det*(w[0][1]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_5 = det*(w[0][1]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_6 = det*(w[0][1]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_7 = det*(w[0][1]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_8 = det*(w[0][1]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_1_9 = det*(w[0][1]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_0 = det*(w[0][2]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_1 = det*(w[0][2]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_2 = det*(w[0][2]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_3 = det*(w[0][2]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_4 = det*(w[0][2]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_5 = det*(w[0][2]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_6 = det*(w[0][2]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_7 = det*(w[0][2]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_8 = det*(w[0][2]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_2_9 = det*(w[0][2]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_0 = det*(w[0][3]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_1 = det*(w[0][3]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_2 = det*(w[0][3]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_3 = det*(w[0][3]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_4 = det*(w[0][3]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_5 = det*(w[0][3]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_6 = det*(w[0][3]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_7 = det*(w[0][3]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_8 = det*(w[0][3]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_3_9 = det*(w[0][3]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_0 = det*(w[0][4]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_1 = det*(w[0][4]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_2 = det*(w[0][4]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_3 = det*(w[0][4]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_4 = det*(w[0][4]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_5 = det*(w[0][4]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_6 = det*(w[0][4]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_7 = det*(w[0][4]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_8 = det*(w[0][4]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_4_9 = det*(w[0][4]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_0 = det*(w[0][5]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_1 = det*(w[0][5]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_2 = det*(w[0][5]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_3 = det*(w[0][5]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_4 = det*(w[0][5]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_5 = det*(w[0][5]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_6 = det*(w[0][5]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_7 = det*(w[0][5]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_8 = det*(w[0][5]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_5_9 = det*(w[0][5]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_0 = det*(w[0][6]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_1 = det*(w[0][6]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_2 = det*(w[0][6]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_3 = det*(w[0][6]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_4 = det*(w[0][6]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_5 = det*(w[0][6]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_6 = det*(w[0][6]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_7 = det*(w[0][6]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_8 = det*(w[0][6]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_6_9 = det*(w[0][6]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_0 = det*(w[0][7]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_1 = det*(w[0][7]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_2 = det*(w[0][7]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_3 = det*(w[0][7]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_4 = det*(w[0][7]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_5 = det*(w[0][7]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_6 = det*(w[0][7]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_7 = det*(w[0][7]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_8 = det*(w[0][7]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_7_9 = det*(w[0][7]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_0 = det*(w[0][8]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_1 = det*(w[0][8]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_2 = det*(w[0][8]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_3 = det*(w[0][8]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_4 = det*(w[0][8]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_5 = det*(w[0][8]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_6 = det*(w[0][8]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_7 = det*(w[0][8]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_8 = det*(w[0][8]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_8_9 = det*(w[0][8]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_0 = det*(w[0][9]*w[1][0]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_1 = det*(w[0][9]*w[1][1]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_2 = det*(w[0][9]*w[1][2]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_3 = det*(w[0][9]*w[1][3]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_4 = det*(w[0][9]*w[1][4]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_5 = det*(w[0][9]*w[1][5]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_6 = det*(w[0][9]*w[1][6]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_7 = det*(w[0][9]*w[1][7]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_8 = det*(w[0][9]*w[1][8]*((K_10*K_10 + K_11*K_11)));
    const double G0_1_1_9_9 = det*(w[0][9]*w[1][9]*((K_10*K_10 + K_11*K_11)));
    
    // Compute element tensor
    A[108] = 0.000455840455840541*G0_0_0_0_0 - 1.30028701457341e-05*G0_0_0_0_1 + 0.0011446754303899*G0_0_0_0_2 + 0.000453197596054839*G0_0_0_0_3 - 0.000889269460698194*G0_0_0_0_4 + 0.00500356786071156*G0_0_0_0_5 + 0.000143665857951544*G0_0_0_0_6 + 0.000244517387374569*G0_0_0_0_7 - 0.000278768850197467*G0_0_0_0_8 + 0.00189334475048793*G0_0_0_0_9 - 1.30028701457342e-05*G0_0_0_1_0 - 0.0013320013320016*G0_0_0_1_1 + 0.00100428671857259*G0_0_0_1_2 - 0.00342102342102398*G0_0_0_1_3 - 0.00229072514786841*G0_0_0_1_4 - 0.000882609454038169*G0_0_0_1_5 - 0.00342387770959257*G0_0_0_1_6 + 0.000275597418454619*G0_0_0_1_7 - 0.0010012210012212*G0_0_0_1_8 + 0.00100280671709262*G0_0_0_1_9 + 0.0011446754303899*G0_0_0_2_0 + 0.00100428671857259*G0_0_0_2_1 + 0.0645724645724752*G0_0_0_2_2 - 0.00602508602508696*G0_0_0_2_3 + 0.00539016539016618*G0_0_0_2_4 - 0.00311244311244357*G0_0_0_2_5 + 0.0140570540570562*G0_0_0_2_6 + 0.00023341737627456*G0_0_0_2_7 + 0.000370423227566156*G0_0_0_2_8 - 0.00298368298368352*G0_0_0_2_9 + 0.000453197596054839*G0_0_0_3_0 - 0.00342102342102398*G0_0_0_3_1 - 0.00602508602508696*G0_0_0_3_2 + 0.0134608248893991*G0_0_0_3_3 + 0.0226915941201693*G0_0_0_3_4 + 0.000622234907949253*G0_0_0_3_5 + 0.0103153988868291*G0_0_0_3_6 - 0.00131582703011301*G0_0_0_3_7 + 0.00238333095475999*G0_0_0_3_8 - 0.000376766091051827*G0_0_0_3_9 - 0.000889269460698194*G0_0_0_4_0 - 0.00229072514786841*G0_0_0_4_1 + 0.00539016539016618*G0_0_0_4_2 + 0.0226915941201693*G0_0_0_4_3 - 0.0685714285714402*G0_0_0_4_4 + 0.00271157414014604*G0_0_0_4_5 - 0.0130269730269752*G0_0_0_4_6 + 0.000961895247609695*G0_0_0_4_7 - 0.00106750392464698*G0_0_0_4_8 + 0.00352790067075849*G0_0_0_4_9 + 0.00500356786071156*G0_0_0_5_0 - 0.000882609454038169*G0_0_0_5_1 - 0.00311244311244357*G0_0_0_5_2 + 0.000622234907949254*G0_0_0_5_3 + 0.00271157414014605*G0_0_0_5_4 - 0.0375510204081695*G0_0_0_5_5 - 0.0131811046096782*G0_0_0_5_6 - 0.00203510774939379*G0_0_0_5_7 + 0.00269159412016599*G0_0_0_5_8 - 0.0110632224917958*G0_0_0_5_9 + 0.000143665857951544*G0_0_0_6_0 - 0.00342387770959257*G0_0_0_6_1 + 0.0140570540570562*G0_0_0_6_2 + 0.0103153988868291*G0_0_0_6_3 - 0.0130269730269752*G0_0_0_6_4 - 0.0131811046096782*G0_0_0_6_5 - 0.185894105894137*G0_0_0_6_6 - 0.000656486370772211*G0_0_0_6_7 + 0.00455829884401384*G0_0_0_6_8 - 0.0116797488226077*G0_0_0_6_9 + 0.000244517387374569*G0_0_0_7_0 + 0.000275597418454619*G0_0_0_7_1 + 0.00023341737627456*G0_0_0_7_2 - 0.00131582703011301*G0_0_0_7_3 + 0.000961895247609694*G0_0_0_7_4 - 0.00203510774939379*G0_0_0_7_5 - 0.000656486370772211*G0_0_0_7_6 - 0.00193520764949369*G0_0_0_7_7 + 0.000282574568288913*G0_0_0_7_8 - 0.00436706150991941*G0_0_0_7_9 - 0.000278768850197467*G0_0_0_8_0 - 0.0010012210012212*G0_0_0_8_1 + 0.000370423227566156*G0_0_0_8_2 + 0.00238333095475999*G0_0_0_8_3 - 0.00106750392464698*G0_0_0_8_4 + 0.00269159412016599*G0_0_0_8_5 + 0.00455829884401384*G0_0_0_8_6 + 0.000282574568288913*G0_0_0_8_7 + 0.00470957613814831*G0_0_0_8_8 - 0.000873412301983904*G0_0_0_8_9 + 0.00189334475048793*G0_0_0_9_0 + 0.00100280671709262*G0_0_0_9_1 - 0.00298368298368352*G0_0_0_9_2 - 0.000376766091051827*G0_0_0_9_3 + 0.00352790067075849*G0_0_0_9_4 - 0.0110632224917958*G0_0_0_9_5 - 0.0116797488226077*G0_0_0_9_6 - 0.00436706150991941*G0_0_0_9_7 - 0.000873412301983904*G0_0_0_9_8 + 0.063707720850589*G0_0_0_9_9 + 0.000462747129413886*G0_0_1_0_0 - 4.61619509238885e-05*G0_0_1_0_1 + 0.000221859269478351*G0_0_1_0_2 - 0.000257203114346015*G0_0_1_0_3 + 2.82257425114591e-05*G0_0_1_0_4 + 0.00140018711447308*G0_0_1_0_5 - 0.000437023294166234*G0_0_1_0_6 + 0.000917495203209666*G0_0_1_0_7 - 0.00030509173366325*G0_0_1_0_8 + 0.000875315161029594*G0_0_1_0_9 - 4.61619509238885e-05*G0_0_1_1_0 - 0.0038036038036049*G0_0_1_1_1 + 0.00014803538613063*G0_0_1_1_2 - 0.00380064380064453*G0_0_1_1_3 + 0.00187368187368223*G0_0_1_1_4 - 0.000104974390688688*G0_0_1_1_5 - 0.00126476697905291*G0_0_1_1_6 + 0.000861360861361124*G0_0_1_1_7 - 0.00108336108336153*G0_0_1_1_8 - 0.00175824175824207*G0_0_1_1_9 + 0.000221859269478351*G0_0_1_2_0 + 0.00014803538613063*G0_0_1_2_1 + 0.00382728382728434*G0_0_1_2_2 - 0.0025447568304715*G0_0_1_2_3 + 0.00475080475080547*G0_0_1_2_4 - 0.00020043448614878*G0_0_1_2_5 + 0.00208680208680239*G0_0_1_2_6 + 8.91172319743965e-05*G0_0_1_2_7 - 0.000242931671503153*G0_0_1_2_8 + 0.00148423005565886*G0_0_1_2_9 - 0.000257203114346015*G0_0_1_3_0 - 0.00380064380064453*G0_0_1_3_1 - 0.0025447568304715*G0_0_1_3_2 - 0.0037362637362642*G0_0_1_3_3 + 0.00063079777365503*G0_0_1_3_4 + 0.000693592122163651*G0_0_1_3_5 + 0.00349364920793552*G0_0_1_3_6 + 0.000470957613814849*G0_0_1_3_7 - 0.000899100899101112*G0_0_1_3_8 + 0.0043328100470965*G0_0_1_3_9 + 2.82257425114591e-05*G0_0_1_4_0 + 0.00187368187368223*G0_0_1_4_1 + 0.00475080475080547*G0_0_1_4_2 + 0.000630797773655031*G0_0_1_4_3 + 0.000990438133295299*G0_0_1_4_4 - 0.000385328956757573*G0_0_1_4_5 - 0.00310832025117795*G0_0_1_4_6 - 2.56885971171853e-05*G0_0_1_4_7 + 0.000428143285286264*G0_0_1_4_8 - 0.00368203225346144*G0_0_1_4_9 + 0.00140018711447308*G0_0_1_5_0 - 0.000104974390688688*G0_0_1_5_1 - 0.00020043448614878*G0_0_1_5_2 + 0.000693592122163651*G0_0_1_5_3 - 0.000385328956757573*G0_0_1_5_4 - 0.00306265163408073*G0_0_1_5_5 - 0.00156415013557898*G0_0_1_5_6 + 0.000553731982303515*G0_0_1_5_7 + 1.42714428428689e-05*G0_0_1_5_8 - 0.00265448836877452*G0_0_1_5_9 - 0.000437023294166234*G0_0_1_6_0 - 0.00126476697905291*G0_0_1_6_1 + 0.00208680208680239*G0_0_1_6_2 + 0.00349364920793552*G0_0_1_6_3 - 0.00310832025117795*G0_0_1_6_4 - 0.00156415013557898*G0_0_1_6_5 - 0.0174311402882861*G0_0_1_6_6 - 0.000568003425146386*G0_0_1_6_7 + 0.00241187384044569*G0_0_1_6_8 - 0.0114399885828476*G0_0_1_6_9 + 0.000917495203209666*G0_0_1_7_0 + 0.000861360861361124*G0_0_1_7_1 + 8.91172319743965e-05*G0_0_1_7_2 + 0.000470957613814849*G0_0_1_7_3 - 2.56885971171852e-05*G0_0_1_7_4 + 0.000553731982303515*G0_0_1_7_5 - 0.000568003425146386*G0_0_1_7_6 + 0.000796346510632308*G0_0_1_7_7 - 0.00148993863279588*G0_0_1_7_8 - 0.00148993863279602*G0_0_1_7_9 - 0.00030509173366325*G0_0_1_8_0 - 0.00108336108336153*G0_0_1_8_1 - 0.000242931671503153*G0_0_1_8_2 - 0.000899100899101112*G0_0_1_8_3 + 0.000428143285286264*G0_0_1_8_4 + 1.42714428428688e-05*G0_0_1_8_5 + 0.00241187384044569*G0_0_1_8_6 - 0.00148993863279588*G0_0_1_8_7 + 0.00413586413586437*G0_0_1_8_8 + 0.00441843870415368*G0_0_1_8_9 + 0.000875315161029594*G0_0_1_9_0 - 0.00175824175824207*G0_0_1_9_1 + 0.00148423005565886*G0_0_1_9_2 + 0.0043328100470965*G0_0_1_9_3 - 0.00368203225346144*G0_0_1_9_4 - 0.00265448836877452*G0_0_1_9_5 - 0.0114399885828476*G0_0_1_9_6 - 0.00148993863279602*G0_0_1_9_7 + 0.00441843870415368*G0_0_1_9_8 - 0.0101726844584003*G0_0_1_9_9 - 0.000967920967921173*G0_1_0_0_0 + 0.000150008721437312*G0_1_0_0_1 + 0.000618746333032142*G0_1_0_0_2 - 0.00102627531198977*G0_1_0_0_3 + 6.21600621600717e-05*G0_1_0_0_4 + 0.00377812663527013*G0_1_0_0_5 - 0.00440036154321945*G0_1_0_0_6 + 0.000848357991215264*G0_1_0_0_7 - 0.000649192077763621*G0_1_0_0_8 + 0.00320251177394089*G0_1_0_0_9 + 0.000150008721437312*G0_1_0_1_0 - 0.000932400932401155*G0_1_0_1_1 + 0.000536817679674903*G0_1_0_1_2 - 0.00260628260628306*G0_1_0_1_3 - 0.00109826681255271*G0_1_0_1_4 + 0.000821400821400947*G0_1_0_1_5 - 0.00209282780711388*G0_1_0_1_6 - 0.000450026164311944*G0_1_0_1_7 + 0.000900052328623914*G0_1_0_1_9 + 0.000618746333032142*G0_1_0_2_0 + 0.000536817679674903*G0_1_0_2_1 + 0.0554645354645446*G0_1_0_2_2 - 0.00453070738785096*G0_1_0_2_3 + 0.00317016317016361*G0_1_0_2_4 - 0.000783343640486573*G0_1_0_2_5 - 0.000541680541680755*G0_1_0_2_6 + 0.000199165913451664*G0_1_0_2_7 + 0.000649192077763612*G0_1_0_2_8 - 0.00529755958327478*G0_1_0_2_9 - 0.00102627531198977*G0_1_0_3_0 - 0.00260628260628307*G0_1_0_3_1 - 0.00453070738785096*G0_1_0_3_2 - 0.00394748109033879*G0_1_0_3_3 + 0.0180847723704897*G0_1_0_3_4 + 8.56286570576008e-06*G0_1_0_3_5 + 0.00687598116169655*G0_1_0_3_6 + 0.00367632367632432*G0_1_0_3_7 - 0.00232624518338848*G0_1_0_3_8 - 0.0100528043385204*G0_1_0_3_9 + 6.21600621600723e-05*G0_1_0_4_0 - 0.00109826681255271*G0_1_0_4_1 + 0.00317016317016361*G0_1_0_4_2 + 0.0180847723704897*G0_1_0_4_3 - 0.0506150991865363*G0_1_0_4_4 + 0.000411017553874756*G0_1_0_4_5 - 0.00728699871557133*G0_1_0_4_6 - 0.000690737833595111*G0_1_0_4_7 - 0.00135007849293584*G0_1_0_4_8 + 0.0150706436420749*G0_1_0_4_9 + 0.00377812663527013*G0_1_0_5_0 + 0.000821400821400947*G0_1_0_5_1 - 0.000783343640486573*G0_1_0_5_2 + 8.56286570575999e-06*G0_1_0_5_3 + 0.000411017553874756*G0_1_0_5_4 + 0.0570087055801435*G0_1_0_5_5 + 0.0132010846296583*G0_1_0_5_6 + 0.00186670472384784*G0_1_0_5_7 - 0.00186670472384784*G0_1_0_5_8 - 0.00587412587412697*G0_1_0_5_9 - 0.00440036154321945*G0_1_0_6_0 - 0.00209282780711388*G0_1_0_6_1 - 0.000541680541680751*G0_1_0_6_2 + 0.00687598116169655*G0_1_0_6_3 - 0.00728699871557134*G0_1_0_6_4 + 0.0132010846296583*G0_1_0_6_5 - 0.151753960325415*G0_1_0_6_6 + 0.00186670472384786*G0_1_0_6_8 + 0.00214071642643128*G0_1_0_6_9 + 0.000848357991215264*G0_1_0_7_0 - 0.000450026164311944*G0_1_0_7_1 + 0.000199165913451664*G0_1_0_7_2 + 0.00367632367632432*G0_1_0_7_3 - 0.000690737833595111*G0_1_0_7_4 + 0.00186670472384784*G0_1_0_7_5 - 0.00204081632653101*G0_1_0_7_7 + 0.00135007849293593*G0_1_0_7_8 - 0.00960753532182268*G0_1_0_7_9 - 0.000649192077763621*G0_1_0_8_0 + 0.000649192077763612*G0_1_0_8_2 - 0.00232624518338848*G0_1_0_8_3 - 0.00135007849293584*G0_1_0_8_4 - 0.00186670472384784*G0_1_0_8_5 + 0.00186670472384786*G0_1_0_8_6 + 0.00135007849293593*G0_1_0_8_7 + 0.00232624518338829*G0_1_0_8_8 + 0.0032025117739409*G0_1_0_9_0 + 0.000900052328623913*G0_1_0_9_1 - 0.00529755958327478*G0_1_0_9_2 - 0.0100528043385204*G0_1_0_9_3 + 0.0150706436420749*G0_1_0_9_4 - 0.00587412587412697*G0_1_0_9_5 + 0.00214071642643128*G0_1_0_9_6 - 0.00960753532182268*G0_1_0_9_7 + 0.0192150706436453*G0_1_0_9_9 - 0.0033645366978707*G0_1_1_0_0 - 0.000194197337054544*G0_1_1_0_1 - 1.42714428428837e-05*G0_1_1_0_3 - 6.08914894629235e-05*G0_1_1_0_4 - 0.000686614972329384*G0_1_1_0_5 - 0.000236588808017412*G0_1_1_0_6 - 0.00383330954759594*G0_1_1_0_7 + 0.00223966509680831*G0_1_1_0_8 - 0.000608914894629284*G0_1_1_0_9 - 0.000194197337054544*G0_1_1_1_0 + 0.000194197337054488*G0_1_1_1_2 - 0.00271728271728333*G0_1_1_1_3 + 0.00101232101232126*G0_1_1_1_4 + 0.00115979258836421*G0_1_1_1_5 - 0.00115979258836421*G0_1_1_1_6 - 0.00101232101232107*G0_1_1_1_7 + 0.0027172827172829*G0_1_1_1_8 + 0.000194197337054488*G0_1_1_2_1 + 0.00336453669787047*G0_1_1_2_2 - 0.00223966509680831*G0_1_1_2_3 + 0.00383330954759584*G0_1_1_2_4 + 0.000236588808017437*G0_1_1_2_5 + 0.000686614972329343*G0_1_1_2_6 + 6.08914894629363e-05*G0_1_1_2_7 + 1.42714428428561e-05*G0_1_1_2_8 + 0.000608914894629266*G0_1_1_2_9 - 1.42714428428838e-05*G0_1_1_3_0 - 0.00271728271728332*G0_1_1_3_1 - 0.00223966509680831*G0_1_1_3_2 - 0.00787212787212924*G0_1_1_3_3 + 0.00212073640645112*G0_1_1_3_4 - 0.001718281718282*G0_1_1_3_5 + 0.00347937776509264*G0_1_1_3_6 + 4.28143285286813e-05*G0_1_1_3_7 - 8.56286570572726e-05*G0_1_1_3_9 - 6.08914894629235e-05*G0_1_1_4_0 + 0.00101232101232125*G0_1_1_4_1 + 0.00383330954759584*G0_1_1_4_2 + 0.00212073640645111*G0_1_1_4_3 + 0.000194091622662949*G0_1_1_4_4 + 0.00018267446838879*G0_1_1_4_5 - 0.00366205223348143*G0_1_1_4_6 - 4.28143285285471e-05*G0_1_1_4_8 - 0.00219209362066538*G0_1_1_4_9 - 0.000686614972329383*G0_1_1_5_0 + 0.00115979258836421*G0_1_1_5_1 + 0.000236588808017437*G0_1_1_5_2 - 0.001718281718282*G0_1_1_5_3 + 0.00018267446838879*G0_1_1_5_4 + 0.0143684886542054*G0_1_1_5_5 + 0.0036620522334814*G0_1_1_5_7 - 0.00347937776509262*G0_1_1_5_8 + 0.00878550021407308*G0_1_1_5_9 - 0.000236588808017412*G0_1_1_6_0 - 0.00115979258836421*G0_1_1_6_1 + 0.000686614972329343*G0_1_1_6_2 + 0.00347937776509264*G0_1_1_6_3 - 0.00366205223348143*G0_1_1_6_4 - 0.0143684886542054*G0_1_1_6_6 - 0.000182674468388786*G0_1_1_6_7 + 0.00171828171828202*G0_1_1_6_8 - 0.00878550021407308*G0_1_1_6_9 - 0.00383330954759594*G0_1_1_7_0 - 0.00101232101232107*G0_1_1_7_1 + 6.08914894629363e-05*G0_1_1_7_2 + 4.28143285286812e-05*G0_1_1_7_3 + 0.0036620522334814*G0_1_1_7_5 - 0.000182674468388786*G0_1_1_7_6 - 0.000194091622663172*G0_1_1_7_7 - 0.00212073640645084*G0_1_1_7_8 + 0.00219209362066541*G0_1_1_7_9 + 0.00223966509680831*G0_1_1_8_0 + 0.0027172827172829*G0_1_1_8_1 + 1.42714428428561e-05*G0_1_1_8_2 - 4.2814328528547e-05*G0_1_1_8_4 - 0.00347937776509262*G0_1_1_8_5 + 0.00171828171828202*G0_1_1_8_6 - 0.00212073640645084*G0_1_1_8_7 + 0.0078721278721287*G0_1_1_8_8 + 8.56286570571817e-05*G0_1_1_8_9 - 0.000608914894629284*G0_1_1_9_0 + 0.000608914894629266*G0_1_1_9_2 - 8.56286570572722e-05*G0_1_1_9_3 - 0.00219209362066538*G0_1_1_9_4 + 0.00878550021407308*G0_1_1_9_5 - 0.00878550021407308*G0_1_1_9_6 + 0.00219209362066541*G0_1_1_9_7 + 8.56286570571818e-05*G0_1_1_9_8;
    A[181] = -0.00842910176243654*G0_0_0_0_0 + 0.00039586515777*G0_0_0_0_1 - 0.00075249265725469*G0_0_0_0_2 + 0.00157842157842186*G0_0_0_0_3 - 0.000864373721516731*G0_0_0_0_4 - 0.0118146932432667*G0_0_0_0_5 + 0.00621727478870442*G0_0_0_0_6 - 0.0022667808382098*G0_0_0_0_7 + 0.00154892726321325*G0_0_0_0_8 + 0.000123685837971563*G0_0_0_0_9 + 0.00039586515777*G0_0_0_1_0 + 0.016600683267353*G0_0_0_1_1 + 0.00175593366069587*G0_0_0_1_2 + 0.0206160506160542*G0_0_0_1_3 - 0.0073260073260086*G0_0_0_1_4 - 0.00237381665953134*G0_0_0_1_5 - 0.000593216307502127*G0_0_0_1_6 - 0.00293928293928348*G0_0_0_1_7 + 0.0043700743700752*G0_0_0_1_8 - 0.00254412254412295*G0_0_0_1_9 - 0.00075249265725469*G0_0_0_2_0 + 0.00175593366069587*G0_0_0_2_1 + 0.00152736152736178*G0_0_0_2_2 + 0.00362938648652997*G0_0_0_2_3 + 0.00114805829091562*G0_0_0_2_4 - 0.00327418613132954*G0_0_0_2_5 + 0.00538762824477201*G0_0_0_2_6 - 0.000916702345273929*G0_0_0_2_7 + 0.00142286285143453*G0_0_0_2_8 + 0.00415584415584486*G0_0_0_2_9 + 0.00157842157842186*G0_0_0_3_0 + 0.0206160506160542*G0_0_0_3_1 + 0.00362938648652997*G0_0_0_3_2 + 0.0461938061938142*G0_0_0_3_3 - 0.0234950763522232*G0_0_0_3_4 + 0.00162694448408759*G0_0_0_3_5 + 0.000911945197659629*G0_0_0_3_6 - 0.0056029684601123*G0_0_0_3_7 + 0.0107392607392626*G0_0_0_3_8 + 0.0188383045525935*G0_0_0_3_9 - 0.000864373721516731*G0_0_0_4_0 - 0.0073260073260086*G0_0_0_4_1 + 0.00114805829091562*G0_0_0_4_2 - 0.0234950763522232*G0_0_0_4_3 + 0.0104952190666494*G0_0_0_4_4 + 0.00172541743970345*G0_0_0_4_5 - 0.00263736263736308*G0_0_0_4_6 + 0.00310546596260936*G0_0_0_4_7 - 0.00513629227915033*G0_0_0_4_8 - 0.0159183673469415*G0_0_0_4_9 - 0.0118146932432667*G0_0_0_5_0 - 0.00237381665953134*G0_0_0_5_1 - 0.00327418613132954*G0_0_0_5_2 + 0.00162694448408759*G0_0_0_5_3 + 0.00172541743970345*G0_0_0_5_4 - 0.101121735407467*G0_0_0_5_5 + 0.00439417725132084*G0_0_0_5_6 - 0.00813614956472232*G0_0_0_5_7 + 0.00625374625374728*G0_0_0_5_8 - 0.0128785500214093*G0_0_0_5_9 + 0.00621727478870442*G0_0_0_6_0 - 0.000593216307502127*G0_0_0_6_1 + 0.005387628244772*G0_0_0_6_2 + 0.000911945197659629*G0_0_0_6_3 - 0.00263736263736308*G0_0_0_6_4 + 0.00439417725132084*G0_0_0_6_5 - 0.0190466676180994*G0_0_0_6_6 + 0.00188240331097505*G0_0_0_6_7 - 0.000810617953475236*G0_0_0_6_8 - 0.0142914228628538*G0_0_0_6_9 - 0.0022667808382098*G0_0_0_7_0 - 0.00293928293928348*G0_0_0_7_1 - 0.000916702345273929*G0_0_0_7_2 - 0.0056029684601123*G0_0_0_7_3 + 0.00310546596260936*G0_0_0_7_4 - 0.00813614956472232*G0_0_0_7_5 + 0.00188240331097505*G0_0_0_7_6 + 0.00218923933209689*G0_0_0_7_7 - 0.000610817753675044*G0_0_0_7_8 - 0.00413586413586482*G0_0_0_7_9 + 0.00154892726321325*G0_0_0_8_0 + 0.0043700743700752*G0_0_0_8_1 + 0.00142286285143453*G0_0_0_8_2 + 0.0107392607392626*G0_0_0_8_3 - 0.00513629227915033*G0_0_0_8_4 + 0.00625374625374728*G0_0_0_8_5 - 0.000810617953475237*G0_0_0_8_6 - 0.000610817753675044*G0_0_0_8_7 + 0.00645354645354764*G0_0_0_8_8 + 0.0179049521906695*G0_0_0_8_9 + 0.000123685837971563*G0_0_0_9_0 - 0.00254412254412295*G0_0_0_9_1 + 0.00415584415584486*G0_0_0_9_2 + 0.0188383045525935*G0_0_0_9_3 - 0.0159183673469415*G0_0_0_9_4 - 0.0128785500214093*G0_0_0_9_5 - 0.0142914228628539*G0_0_0_9_6 - 0.00413586413586482*G0_0_0_9_7 + 0.0179049521906695*G0_0_0_9_8 - 0.0203453689168008*G0_0_0_9_9 - 0.00237293570626946*G0_1_0_0_0 - 0.000801544134877601*G0_1_0_0_1 + 5.69448188495917e-05*G0_1_0_0_2 + 0.000133992991135881*G0_1_0_0_3 - 0.000287014572728913*G0_1_0_0_4 - 0.000945562374133963*G0_1_0_0_5 - 3.55200355200386e-05*G0_1_0_0_6 + 0.00435770578627793*G0_1_0_0_7 - 0.00223522509236831*G0_1_0_0_8 + 0.00133390419104727*G0_1_0_0_9 - 0.000801544134877601*G0_1_0_1_0 + 0.000797104130437605*G0_1_0_1_2 + 0.0109668109668129*G0_1_0_1_3 - 0.00275280275280324*G0_1_0_1_4 + 0.000498390498390584*G0_1_0_1_5 - 0.000493950493950584*G0_1_0_1_6 + 0.00674880674880786*G0_1_0_1_7 - 0.0109668109668128*G0_1_0_1_8 - 0.00399600399600465*G0_1_0_1_9 + 5.69448188495918e-05*G0_1_0_2_0 + 0.000797104130437605*G0_1_0_2_1 - 0.000273025034929846*G0_1_0_2_2 + 0.0022269793698369*G0_1_0_2_3 + 0.00142825428539738*G0_1_0_2_4 - 0.00021629164486311*G0_1_0_2_5 + 0.000408321836893339*G0_1_0_2_6 + 0.00139891854177591*G0_1_0_2_7 - 0.00124462838748573*G0_1_0_2_8 + 0.00371628371628435*G0_1_0_2_9 + 0.000133992991135881*G0_1_0_3_0 + 0.0109668109668129*G0_1_0_3_1 + 0.0022269793698369*G0_1_0_3_2 + 0.0317482517482573*G0_1_0_3_3 - 0.0173126873126903*G0_1_0_3_4 - 0.000685029256457942*G0_1_0_3_5 + 0.000954759526188252*G0_1_0_3_6 - 0.000929070929071128*G0_1_0_3_7 - 0.00227772227772259*G0_1_0_3_8 + 0.0138461538461562*G0_1_0_3_9 - 0.000287014572728913*G0_1_0_4_0 - 0.00275280275280324*G0_1_0_4_1 + 0.00142825428539738*G0_1_0_4_2 - 0.0173126873126903*G0_1_0_4_3 + 0.010383901812475*G0_1_0_4_4 + 0.00033395176252325*G0_1_0_4_5 - 0.0012887112887115*G0_1_0_4_6 - 0.00140430997573876*G0_1_0_4_7 + 0.00320679320679371*G0_1_0_4_8 - 0.0118167546738995*G0_1_0_4_9 - 0.000945562374133963*G0_1_0_5_0 + 0.000498390498390584*G0_1_0_5_1 - 0.00021629164486311*G0_1_0_5_2 - 0.000685029256457942*G0_1_0_5_3 + 0.00033395176252325*G0_1_0_5_4 + 0.000299700299700331*G0_1_0_5_5 + 0.0010275438846869*G0_1_0_5_6 + 0.00674611103182644*G0_1_0_5_7 - 0.00202226345083521*G0_1_0_5_8 + 4.28143285286209e-05*G0_1_0_5_9 - 3.55200355200387e-05*G0_1_0_6_0 - 0.000493950493950583*G0_1_0_6_1 + 0.000408321836893339*G0_1_0_6_2 + 0.000954759526188252*G0_1_0_6_3 - 0.0012887112887115*G0_1_0_6_4 + 0.0010275438846869*G0_1_0_6_5 + 0.00175538746967347*G0_1_0_6_6 - 0.00472384758099122*G0_1_0_6_7 + 0.0028714142999862*G0_1_0_6_8 - 0.0130583702012296*G0_1_0_6_9 + 0.00435770578627793*G0_1_0_7_0 + 0.00674880674880786*G0_1_0_7_1 + 0.00139891854177591*G0_1_0_7_2 - 0.000929070929071128*G0_1_0_7_3 - 0.00140430997573876*G0_1_0_7_4 + 0.00674611103182644*G0_1_0_7_5 - 0.00472384758099122*G0_1_0_7_6 + 0.0318824033109801*G0_1_0_7_7 - 0.00438561438561515*G0_1_0_7_8 + 0.00544598258884063*G0_1_0_7_9 - 0.00223522509236831*G0_1_0_8_0 - 0.0109668109668128*G0_1_0_8_1 - 0.00124462838748573*G0_1_0_8_2 - 0.00227772227772259*G0_1_0_8_3 + 0.00320679320679371*G0_1_0_8_4 - 0.00202226345083521*G0_1_0_8_5 + 0.0028714142999862*G0_1_0_8_6 - 0.00438561438561515*G0_1_0_8_7 - 0.0271928071928117*G0_1_0_8_8 + 0.00557442557442654*G0_1_0_8_9 + 0.00133390419104727*G0_1_0_9_0 - 0.00399600399600465*G0_1_0_9_1 + 0.00371628371628435*G0_1_0_9_2 + 0.0138461538461562*G0_1_0_9_3 - 0.0118167546738995*G0_1_0_9_4 + 4.28143285286217e-05*G0_1_0_9_5 - 0.0130583702012296*G0_1_0_9_6 + 0.00544598258884063*G0_1_0_9_7 + 0.00557442557442654*G0_1_0_9_8 - 0.0267161410018597*G0_1_0_9_9;
    A[176] = 0.0415815577720413*G0_0_0_0_0 + 0.0134561734561758*G0_0_0_0_1 + 0.00396118872309417*G0_0_0_0_2 + 0.0109909138480586*G0_0_0_0_3 - 0.00477110191395988*G0_0_0_0_4 + 0.0290558119129598*G0_0_0_0_5 - 0.0137813509242105*G0_0_0_0_6 + 0.00510431367574312*G0_0_0_0_7 + 0.00431526145811936*G0_0_0_0_8 + 0.00418375275518208*G0_0_0_0_9 + 0.0134561734561758*G0_0_0_1_0 + 0.338801938801997*G0_0_0_1_1 + 0.0167822301155663*G0_0_0_1_2 + 0.172020572020601*G0_0_0_1_3 - 0.0760158360158489*G0_0_0_1_4 + 0.00188256188256209*G0_0_0_1_5 - 0.0019092019092022*G0_0_0_1_6 - 0.0503822103822191*G0_0_0_1_7 + 0.0984644984645156*G0_0_0_1_8 + 0.0143323343323369*G0_0_0_1_9 + 0.00396118872309417*G0_0_0_2_0 + 0.0167822301155663*G0_0_0_2_1 + 0.00380346285108254*G0_0_0_2_2 + 0.0236352007780619*G0_0_0_2_3 - 0.011519485805202*G0_0_0_2_4 + 0.00529333100761764*G0_0_0_2_5 - 0.00530178815893191*G0_0_0_2_6 - 6.21600621600774e-05*G0_0_0_2_7 + 0.0159725988297444*G0_0_0_2_8 + 0.0120818863676027*G0_0_0_2_9 + 0.0109909138480586*G0_0_0_3_0 + 0.172020572020601*G0_0_0_3_1 + 0.0236352007780619*G0_0_0_3_2 + 0.277056277056324*G0_0_0_3_3 - 0.108238428238446*G0_0_0_3_4 - 0.0116607202321508*G0_0_0_3_5 - 0.00957138099995403*G0_0_0_3_6 - 0.0482717282717365*G0_0_0_3_7 + 0.11148851148853*G0_0_0_3_8 + 0.0535464535464627*G0_0_0_3_9 - 0.00477110191395988*G0_0_0_4_0 - 0.0760158360158489*G0_0_0_4_1 - 0.011519485805202*G0_0_0_4_2 - 0.108238428238446*G0_0_0_4_3 + 0.0509966224252024*G0_0_0_4_4 - 0.000985680985681161*G0_0_0_4_5 + 0.0105570619856352*G0_0_0_4_6 + 0.0148993863279603*G0_0_0_4_7 - 0.0632167832167939*G0_0_0_4_8 - 0.0342742971314458*G0_0_0_4_9 + 0.0290558119129598*G0_0_0_5_0 + 0.00188256188256209*G0_0_0_5_1 + 0.00529333100761764*G0_0_0_5_2 - 0.0116607202321508*G0_0_0_5_3 - 0.000985680985681161*G0_0_0_5_4 + 0.136549165120617*G0_0_0_5_5 - 0.0254260025688641*G0_0_0_5_6 + 0.0360591789163278*G0_0_0_5_7 - 0.0209466723752474*G0_0_0_5_8 + 0.0293420864849486*G0_0_0_5_9 - 0.0137813509242105*G0_0_0_6_0 - 0.0019092019092022*G0_0_0_6_1 - 0.00530178815893191*G0_0_0_6_2 - 0.00957138099995403*G0_0_0_6_3 + 0.0105570619856352*G0_0_0_6_4 - 0.0254260025688641*G0_0_0_6_5 + 0.0384529755958392*G0_0_0_6_6 - 0.0151125065410805*G0_0_0_6_7 - 0.0134456020170328*G0_0_0_6_8 - 0.0171028971029*G0_0_0_6_9 + 0.00510431367574312*G0_0_0_7_0 - 0.0503822103822191*G0_0_0_7_1 - 6.21600621600774e-05*G0_0_0_7_2 - 0.0482717282717365*G0_0_0_7_3 + 0.0148993863279603*G0_0_0_7_4 + 0.0360591789163278*G0_0_0_7_5 - 0.0151125065410805*G0_0_0_7_6 + 0.0954854669140544*G0_0_0_7_7 - 0.0563170163170259*G0_0_0_7_8 + 0.0176737548166149*G0_0_0_7_9 + 0.00431526145811936*G0_0_0_8_0 + 0.0984644984645156*G0_0_0_8_1 + 0.0159725988297444*G0_0_0_8_2 + 0.11148851148853*G0_0_0_8_3 - 0.0632167832167939*G0_0_0_8_4 - 0.0209466723752474*G0_0_0_8_5 - 0.0134456020170328*G0_0_0_8_6 - 0.0563170163170259*G0_0_0_8_7 + 0.292773892773943*G0_0_0_8_8 + 0.0834365634365776*G0_0_0_8_9 + 0.00418375275518208*G0_0_0_9_0 + 0.0143323343323369*G0_0_0_9_1 + 0.0120818863676027*G0_0_0_9_2 + 0.0535464535464627*G0_0_0_9_3 - 0.0342742971314458*G0_0_0_9_4 + 0.0293420864849486*G0_0_0_9_5 - 0.0171028971029*G0_0_0_9_6 + 0.0176737548166149*G0_0_0_9_7 + 0.0834365634365776*G0_0_0_9_8 + 0.15262451833883*G0_0_0_9_9 + 0.000165196355672512*G0_0_1_0_0 + 0.0162810029476725*G0_0_1_0_1 + 0.000959463816606838*G0_0_1_0_2 + 0.0116209716209737*G0_0_1_0_3 - 0.00473093044521698*G0_0_1_0_4 - 0.00109562395276704*G0_0_1_0_5 + 0.000342937485794701*G0_0_1_0_6 - 0.0048108505251371*G0_0_1_0_7 + 0.00829096829096977*G0_0_1_0_8 + 0.000682492111063674*G0_0_1_0_9 + 0.0162810029476725*G0_0_1_1_0 + 0.395851062517797*G0_0_1_1_1 + 0.0206549006549041*G0_0_1_1_2 + 0.208798608798644*G0_0_1_1_3 - 0.0935656935657094*G0_0_1_1_4 - 0.00377696377696454*G0_0_1_1_5 - 0.00334184334184386*G0_0_1_1_6 - 0.0714248714248838*G0_0_1_1_7 + 0.14498094498097*G0_0_1_1_8 + 0.0237984237984279*G0_0_1_1_9 + 0.000959463816606838*G0_0_1_2_0 + 0.0206549006549041*G0_0_1_2_1 + 0.00200660010183853*G0_0_1_2_2 + 0.0235941835941876*G0_0_1_2_3 - 0.00916924345495928*G0_0_1_2_4 - 0.000422434708149074*G0_0_1_2_5 - 0.00417275845847346*G0_0_1_2_7 + 0.00546712546712641*G0_0_1_2_8 + 0.00084486941629815*G0_0_1_2_9 + 0.0116209716209737*G0_0_1_3_0 + 0.208798608798644*G0_0_1_3_1 + 0.0235941835941876*G0_0_1_3_2 + 0.304095904095956*G0_0_1_3_3 - 0.112527472527492*G0_0_1_3_4 - 0.00543456543456637*G0_0_1_3_5 - 0.00263736263736309*G0_0_1_3_6 - 0.0475258075258157*G0_0_1_3_7 + 0.0765900765900898*G0_0_1_3_8 + 0.0236563436563479*G0_0_1_3_9 - 0.00473093044521698*G0_0_1_4_0 - 0.0935656935657094*G0_0_1_4_1 - 0.00916924345495928*G0_0_1_4_2 - 0.112527472527492*G0_0_1_4_3 + 0.045314685314693*G0_0_1_4_4 + 0.00152989867275609*G0_0_1_4_5 + 0.00110746396460701*G0_0_1_4_6 + 0.0196869796869831*G0_0_1_4_7 - 0.0290642690642741*G0_0_1_4_8 - 0.00559440559440663*G0_0_1_4_9 - 0.00109562395276704*G0_0_1_5_0 - 0.00377696377696453*G0_0_1_5_1 - 0.000422434708149074*G0_0_1_5_2 - 0.00543456543456637*G0_0_1_5_3 + 0.00152989867275609*G0_0_1_5_4 - 0.00300271157414069*G0_0_1_5_5 - 0.000102754388468665*G0_0_1_5_6 + 0.00147661861947602*G0_0_1_5_7 - 0.0013320013320016*G0_0_1_5_8 + 0.000616526330812119*G0_0_1_5_9 + 0.000342937485794701*G0_0_1_6_0 - 0.00334184334184386*G0_0_1_6_1 - 0.00263736263736309*G0_0_1_6_3 + 0.00110746396460701*G0_0_1_6_4 - 0.000102754388468665*G0_0_1_6_5 - 0.00110746396460699*G0_0_1_6_6 - 0.000144617287474449*G0_0_1_6_7 + 0.00314352314352367*G0_0_1_6_8 + 0.00274011702583177*G0_0_1_6_9 - 0.0048108505251371*G0_0_1_7_0 - 0.0714248714248838*G0_0_1_7_1 - 0.00417275845847346*G0_0_1_7_2 - 0.0475258075258157*G0_0_1_7_3 + 0.0196869796869831*G0_0_1_7_4 + 0.00147661861947602*G0_0_1_7_5 - 0.000144617287474449*G0_0_1_7_6 + 0.0217649017649055*G0_0_1_7_7 - 0.0354578754578817*G0_0_1_7_8 - 0.00175824175824214*G0_0_1_7_9 + 0.00829096829096977*G0_0_1_8_0 + 0.14498094498097*G0_0_1_8_1 + 0.00546712546712641*G0_0_1_8_2 + 0.0765900765900898*G0_0_1_8_3 - 0.0290642690642741*G0_0_1_8_4 - 0.0013320013320016*G0_0_1_8_5 + 0.00314352314352367*G0_0_1_8_6 - 0.0354578754578817*G0_0_1_8_7 + 0.00226440226440302*G0_0_1_8_8 - 0.0132667332667354*G0_0_1_8_9 + 0.000682492111063673*G0_0_1_9_0 + 0.0237984237984279*G0_0_1_9_1 + 0.000844869416298151*G0_0_1_9_2 + 0.0236563436563479*G0_0_1_9_3 - 0.00559440559440663*G0_0_1_9_4 + 0.000616526330812119*G0_0_1_9_5 + 0.00274011702583177*G0_0_1_9_6 - 0.00175824175824214*G0_0_1_9_7 - 0.0132667332667354*G0_0_1_9_8 - 0.00863136863137007*G0_0_1_9_9 + 0.000165196355672512*G0_1_0_0_0 + 0.0162810029476725*G0_1_0_0_1 + 0.000959463816606838*G0_1_0_0_2 + 0.0116209716209737*G0_1_0_0_3 - 0.00473093044521698*G0_1_0_0_4 - 0.00109562395276704*G0_1_0_0_5 + 0.000342937485794701*G0_1_0_0_6 - 0.0048108505251371*G0_1_0_0_7 + 0.00829096829096977*G0_1_0_0_8 + 0.000682492111063673*G0_1_0_0_9 + 0.0162810029476725*G0_1_0_1_0 + 0.395851062517797*G0_1_0_1_1 + 0.0206549006549041*G0_1_0_1_2 + 0.208798608798644*G0_1_0_1_3 - 0.0935656935657094*G0_1_0_1_4 - 0.00377696377696454*G0_1_0_1_5 - 0.00334184334184386*G0_1_0_1_6 - 0.0714248714248838*G0_1_0_1_7 + 0.14498094498097*G0_1_0_1_8 + 0.0237984237984279*G0_1_0_1_9 + 0.000959463816606838*G0_1_0_2_0 + 0.0206549006549041*G0_1_0_2_1 + 0.00200660010183853*G0_1_0_2_2 + 0.0235941835941876*G0_1_0_2_3 - 0.00916924345495928*G0_1_0_2_4 - 0.000422434708149074*G0_1_0_2_5 - 0.00417275845847346*G0_1_0_2_7 + 0.00546712546712641*G0_1_0_2_8 + 0.00084486941629815*G0_1_0_2_9 + 0.0116209716209737*G0_1_0_3_0 + 0.208798608798644*G0_1_0_3_1 + 0.0235941835941876*G0_1_0_3_2 + 0.304095904095956*G0_1_0_3_3 - 0.112527472527492*G0_1_0_3_4 - 0.00543456543456637*G0_1_0_3_5 - 0.00263736263736309*G0_1_0_3_6 - 0.0475258075258157*G0_1_0_3_7 + 0.0765900765900898*G0_1_0_3_8 + 0.0236563436563479*G0_1_0_3_9 - 0.00473093044521698*G0_1_0_4_0 - 0.0935656935657094*G0_1_0_4_1 - 0.00916924345495928*G0_1_0_4_2 - 0.112527472527492*G0_1_0_4_3 + 0.045314685314693*G0_1_0_4_4 + 0.00152989867275609*G0_1_0_4_5 + 0.00110746396460701*G0_1_0_4_6 + 0.0196869796869831*G0_1_0_4_7 - 0.0290642690642741*G0_1_0_4_8 - 0.00559440559440664*G0_1_0_4_9 - 0.00109562395276704*G0_1_0_5_0 - 0.00377696377696453*G0_1_0_5_1 - 0.000422434708149074*G0_1_0_5_2 - 0.00543456543456637*G0_1_0_5_3 + 0.00152989867275609*G0_1_0_5_4 - 0.00300271157414069*G0_1_0_5_5 - 0.000102754388468664*G0_1_0_5_6 + 0.00147661861947602*G0_1_0_5_7 - 0.0013320013320016*G0_1_0_5_8 + 0.000616526330812119*G0_1_0_5_9 + 0.000342937485794701*G0_1_0_6_0 - 0.00334184334184386*G0_1_0_6_1 - 0.00263736263736309*G0_1_0_6_3 + 0.00110746396460701*G0_1_0_6_4 - 0.000102754388468664*G0_1_0_6_5 - 0.00110746396460699*G0_1_0_6_6 - 0.000144617287474449*G0_1_0_6_7 + 0.00314352314352367*G0_1_0_6_8 + 0.00274011702583177*G0_1_0_6_9 - 0.0048108505251371*G0_1_0_7_0 - 0.0714248714248838*G0_1_0_7_1 - 0.00417275845847346*G0_1_0_7_2 - 0.0475258075258157*G0_1_0_7_3 + 0.0196869796869831*G0_1_0_7_4 + 0.00147661861947602*G0_1_0_7_5 - 0.000144617287474449*G0_1_0_7_6 + 0.0217649017649055*G0_1_0_7_7 - 0.0354578754578817*G0_1_0_7_8 - 0.00175824175824214*G0_1_0_7_9 + 0.00829096829096977*G0_1_0_8_0 + 0.14498094498097*G0_1_0_8_1 + 0.00546712546712641*G0_1_0_8_2 + 0.0765900765900898*G0_1_0_8_3 - 0.0290642690642741*G0_1_0_8_4 - 0.0013320013320016*G0_1_0_8_5 + 0.00314352314352367*G0_1_0_8_6 - 0.0354578754578817*G0_1_0_8_7 + 0.00226440226440302*G0_1_0_8_8 - 0.0132667332667354*G0_1_0_8_9 + 0.000682492111063673*G0_1_0_9_0 + 0.0237984237984279*G0_1_0_9_1 + 0.000844869416298151*G0_1_0_9_2 + 0.0236563436563479*G0_1_0_9_3 - 0.00559440559440663*G0_1_0_9_4 + 0.000616526330812119*G0_1_0_9_5 + 0.00274011702583177*G0_1_0_9_6 - 0.00175824175824214*G0_1_0_9_7 - 0.0132667332667354*G0_1_0_9_8 - 0.00863136863137007*G0_1_0_9_9 + 0.00401320020367709*G0_1_1_0_0 + 0.0281397614730997*G0_1_1_0_1 + 0.00299312680265112*G0_1_1_0_2 + 0.027291227291232*G0_1_1_0_3 - 0.0126066526066548*G0_1_1_0_4 - 0.00137470994613876*G0_1_1_0_5 - 0.00144321287178454*G0_1_1_0_6 - 0.0169637769637799*G0_1_1_0_7 + 0.039264439264446*G0_1_1_0_8 + 0.010212010212012*G0_1_1_0_9 + 0.0281397614730997*G0_1_1_1_0 + 0.497379164045916*G0_1_1_1_1 + 0.0281397614730995*G0_1_1_1_2 + 0.272616272616319*G0_1_1_1_3 - 0.125474525474547*G0_1_1_1_4 - 0.0064528064528077*G0_1_1_1_5 - 0.00645280645280747*G0_1_1_1_6 - 0.125474525474547*G0_1_1_1_7 + 0.272616272616319*G0_1_1_1_8 + 0.0433344433344508*G0_1_1_1_9 + 0.00299312680265112*G0_1_1_2_0 + 0.0281397614730995*G0_1_1_2_1 + 0.00401320020367706*G0_1_1_2_2 + 0.0392644392644459*G0_1_1_2_3 - 0.0169637769637798*G0_1_1_2_4 - 0.00144321287178454*G0_1_1_2_5 - 0.00137470994613874*G0_1_1_2_6 - 0.0126066526066547*G0_1_1_2_7 + 0.0272912272912319*G0_1_1_2_8 + 0.0102120102120119*G0_1_1_2_9 + 0.027291227291232*G0_1_1_3_0 + 0.272616272616319*G0_1_1_3_1 + 0.0392644392644459*G0_1_1_3_2 + 0.455011655011732*G0_1_1_3_3 - 0.178754578754609*G0_1_1_3_4 - 0.0153180153180179*G0_1_1_3_5 - 0.0125208125208146*G0_1_1_3_6 - 0.113752913752933*G0_1_1_3_7 + 0.227505827505866*G0_1_1_3_8 + 0.0975024975025141*G0_1_1_3_9 - 0.0126066526066548*G0_1_1_4_0 - 0.125474525474547*G0_1_1_4_1 - 0.0169637769637798*G0_1_1_4_2 - 0.178754578754609*G0_1_1_4_3 + 0.0774691974692104*G0_1_1_4_4 + 0.00594072594072695*G0_1_1_4_5 + 0.00658008658008767*G0_1_1_4_6 + 0.0537595737595828*G0_1_1_4_7 - 0.113752913752933*G0_1_1_4_8 - 0.0425174825174897*G0_1_1_4_9 - 0.00137470994613876*G0_1_1_5_0 - 0.0064528064528077*G0_1_1_5_1 - 0.00144321287178454*G0_1_1_5_2 - 0.0153180153180179*G0_1_1_5_3 + 0.00594072594072695*G0_1_1_5_4 + 0.00221492792921401*G0_1_1_5_5 + 0.000262594548308877*G0_1_1_5_6 + 0.00658008658008773*G0_1_1_5_7 - 0.0125208125208147*G0_1_1_5_8 - 0.00559440559440654*G0_1_1_5_9 - 0.00144321287178454*G0_1_1_6_0 - 0.00645280645280747*G0_1_1_6_1 - 0.00137470994613874*G0_1_1_6_2 - 0.0125208125208146*G0_1_1_6_3 + 0.00658008658008767*G0_1_1_6_4 + 0.000262594548308877*G0_1_1_6_5 + 0.002214927929214*G0_1_1_6_6 + 0.0059407259407269*G0_1_1_6_7 - 0.0153180153180178*G0_1_1_6_8 - 0.00559440559440654*G0_1_1_6_9 - 0.0169637769637799*G0_1_1_7_0 - 0.125474525474547*G0_1_1_7_1 - 0.0126066526066547*G0_1_1_7_2 - 0.113752913752933*G0_1_1_7_3 + 0.0537595737595828*G0_1_1_7_4 + 0.00658008658008773*G0_1_1_7_5 + 0.0059407259407269*G0_1_1_7_6 + 0.0774691974692106*G0_1_1_7_7 - 0.178754578754609*G0_1_1_7_8 - 0.0425174825174897*G0_1_1_7_9 + 0.039264439264446*G0_1_1_8_0 + 0.272616272616319*G0_1_1_8_1 + 0.0272912272912319*G0_1_1_8_2 + 0.227505827505866*G0_1_1_8_3 - 0.113752913752933*G0_1_1_8_4 - 0.0125208125208147*G0_1_1_8_5 - 0.0153180153180178*G0_1_1_8_6 - 0.178754578754609*G0_1_1_8_7 + 0.455011655011732*G0_1_1_8_8 + 0.097502497502514*G0_1_1_8_9 + 0.010212010212012*G0_1_1_9_0 + 0.0433344433344508*G0_1_1_9_1 + 0.0102120102120119*G0_1_1_9_2 + 0.0975024975025141*G0_1_1_9_3 - 0.0425174825174897*G0_1_1_9_4 - 0.00559440559440654*G0_1_1_9_5 - 0.00559440559440654*G0_1_1_9_6 - 0.0425174825174897*G0_1_1_9_7 + 0.097502497502514*G0_1_1_9_8 + 0.0498701298701383*G0_1_1_9_9;
    A[21] = 0.00590767257434026*G0_0_0_0_0 + 0.000158333729762331*G0_0_0_0_1 + 0.000809604857224042*G0_0_0_0_2 - 0.000425896854468357*G0_0_0_0_3 - 6.15786330072135e-06*G0_0_0_0_4 + 0.00915232915233071*G0_0_0_0_5 - 0.00428542357113859*G0_0_0_0_6 + 0.00165575165575194*G0_0_0_0_7 - 0.00112044040615488*G0_0_0_0_8 + 0.00137211994354875*G0_0_0_0_9 + 0.000158333729762331*G0_0_0_1_0 - 0.00286380286380332*G0_0_0_1_1 - 0.000317310555405849*G0_0_0_1_2 - 0.0036570836570843*G0_0_0_1_3 + 0.00112313612313632*G0_0_0_1_4 + 0.000763390049104458*G0_0_0_1_5 + 0.000146070860356599*G0_0_0_1_6 - 0.000240685240685297*G0_0_0_1_7 - 0.000510970510970555*G0_0_0_1_8 - 0.000405150405150477*G0_0_0_1_9 + 0.000809604857224042*G0_0_0_2_0 - 0.000317310555405849*G0_0_0_2_1 + 0.00448070448070521*G0_0_0_2_2 - 0.000792382220953787*G0_0_0_2_3 - 0.000245785960071719*G0_0_0_2_4 + 0.00113584827870562*G0_0_0_2_5 - 0.00107289535860984*G0_0_0_2_6 - 0.000354539640253985*G0_0_0_2_7 + 5.26721955293484e-05*G0_0_0_2_8 - 0.0016821273964134*G0_0_0_2_9 - 0.000425896854468357*G0_0_0_3_0 - 0.0036570836570843*G0_0_0_3_1 - 0.000792382220953787*G0_0_0_3_2 - 0.00836163836163987*G0_0_0_3_3 + 0.00586770372484761*G0_0_0_3_4 - 0.000685029256457926*G0_0_0_3_5 - 8.06336520622366e-05*G0_0_0_3_6 + 0.00163526949241263*G0_0_0_3_7 - 0.00183483183483215*G0_0_0_3_8 - 0.00205508776937384*G0_0_0_3_9 - 6.15786330072134e-06*G0_0_0_4_0 + 0.00112313612313632*G0_0_0_4_1 - 0.000245785960071719*G0_0_0_4_2 + 0.00586770372484761*G0_0_0_4_3 - 0.00711574140145686*G0_0_0_4_4 + 0.000376052518909719*G0_0_0_4_5 - 0.000295418866847488*G0_0_0_4_6 + 0.000362256790828278*G0_0_0_4_7 + 0.000199562342419516*G0_0_0_4_8 + 0.00429427715142075*G0_0_0_4_9 + 0.00915232915233072*G0_0_0_5_0 + 0.000763390049104458*G0_0_0_5_1 + 0.00113584827870563*G0_0_0_5_2 - 0.000685029256457926*G0_0_0_5_3 + 0.000376052518909719*G0_0_0_5_4 + 0.0569444840873507*G0_0_0_5_5 - 0.00367703724846643*G0_0_0_5_6 + 0.000511393368536292*G0_0_0_5_7 - 0.00193259121830581*G0_0_0_5_8 - 0.000251177394034597*G0_0_0_5_9 - 0.00428542357113859*G0_0_0_6_0 + 0.000146070860356599*G0_0_0_6_1 - 0.00107289535860984*G0_0_0_6_2 - 8.06336520622367e-05*G0_0_0_6_3 - 0.000295418866847488*G0_0_0_6_4 - 0.00367703724846643*G0_0_0_6_5 - 0.00410161267304196*G0_0_0_6_6 + 0.00142119784976952*G0_0_0_6_7 - 0.000476904048332704*G0_0_0_6_8 + 0.00520764949336466*G0_0_0_6_9 + 0.00165575165575194*G0_0_0_7_0 - 0.000240685240685297*G0_0_0_7_1 - 0.000354539640253985*G0_0_0_7_2 + 0.00163526949241263*G0_0_0_7_3 + 0.000362256790828278*G0_0_0_7_4 + 0.000511393368536292*G0_0_0_7_5 + 0.00142119784976952*G0_0_0_7_6 - 0.00859664145378573*G0_0_0_7_7 + 0.00317658531944296*G0_0_0_7_8 - 0.00695875553018528*G0_0_0_7_9 - 0.00112044040615488*G0_0_0_8_0 - 0.000510970510970555*G0_0_0_8_1 + 5.26721955293484e-05*G0_0_0_8_2 - 0.00183483183483215*G0_0_0_8_3 + 0.000199562342419516*G0_0_0_8_4 - 0.00193259121830581*G0_0_0_8_5 - 0.000476904048332704*G0_0_0_8_6 + 0.00317658531944296*G0_0_0_8_7 - 0.00125541125541137*G0_0_0_8_8 + 0.000816326530612394*G0_0_0_8_9 + 0.00137211994354875*G0_0_0_9_0 - 0.000405150405150477*G0_0_0_9_1 - 0.0016821273964134*G0_0_0_9_2 - 0.00205508776937384*G0_0_0_9_3 + 0.00429427715142075*G0_0_0_9_4 - 0.000251177394034597*G0_0_0_9_5 + 0.00520764949336466*G0_0_0_9_6 - 0.00695875553018528*G0_0_0_9_7 + 0.000816326530612393*G0_0_0_9_8 - 0.00645640074211614*G0_0_0_9_9 - 0.0170459170459201*G0_0_1_0_0 - 0.000135455373550635*G0_0_1_0_1 - 0.000591824401348315*G0_0_1_0_2 - 4.5880045880048e-05*G0_0_1_0_3 + 4.11757554614771e-05*G0_0_1_0_4 - 0.00662670662670778*G0_0_1_0_5 + 0.00222769294197905*G0_0_1_0_6 - 0.00212343212343252*G0_0_1_0_7 + 0.00158611230039831*G0_0_1_0_8 + 0.000466359037787679*G0_0_1_0_9 - 0.000135455373550635*G0_0_1_1_0 - 0.000140194902099685*G0_0_1_1_2 - 0.00182854182854211*G0_0_1_1_3 + 0.000292670292670329*G0_0_1_1_4 + 7.89157932015147e-05*G0_0_1_1_5 + 0.000196734482448802*G0_0_1_1_6 - 0.000627890627890758*G0_0_1_1_7 + 0.00182854182854218*G0_0_1_1_8 + 0.000335220335220394*G0_0_1_1_9 - 0.000591824401348315*G0_0_1_2_0 - 0.000140194902099685*G0_0_1_2_1 + 0.00407525455144571*G0_0_1_2_2 - 0.000426372569229783*G0_0_1_2_3 - 0.000477511906083415*G0_0_1_2_4 - 0.000730724302152997*G0_0_1_2_5 - 0.000827690827690969*G0_0_1_2_6 - 0.000111370111370133*G0_0_1_2_7 + 0.000364661793233286*G0_0_1_2_8 - 0.00128173413887721*G0_0_1_2_9 - 4.5880045880048e-05*G0_0_1_3_0 - 0.00182854182854211*G0_0_1_3_1 - 0.000426372569229783*G0_0_1_3_2 - 0.0055744255744265*G0_0_1_3_3 + 0.00410732125017908*G0_0_1_3_4 - 0.000169592312449472*G0_0_1_3_5 - 0.00035012606441184*G0_0_1_3_6 + 0.000377717520574721*G0_0_1_3_7 + 0.00047619047619057*G0_0_1_3_8 - 0.00176109604681063*G0_0_1_3_9 + 4.11757554614771e-05*G0_0_1_4_0 + 0.000292670292670329*G0_0_1_4_1 - 0.000477511906083415*G0_0_1_4_2 + 0.00410732125017908*G0_0_1_4_3 - 0.00549878692735923*G0_0_1_4_4 + 0.000116550116550132*G0_0_1_4_5 + 0.000233575947861705*G0_0_1_4_6 - 1.47471576043e-05*G0_0_1_4_7 - 0.000853907996765293*G0_0_1_4_8 + 0.00361210218353137*G0_0_1_4_9 - 0.00662670662670778*G0_0_1_5_0 + 7.89157932015147e-05*G0_0_1_5_1 - 0.000730724302152997*G0_0_1_5_2 - 0.000169592312449472*G0_0_1_5_3 + 0.000116550116550132*G0_0_1_5_4 + 0.0201679273107877*G0_0_1_5_5 + 0.00651729223157907*G0_0_1_5_6 - 0.000577517720374985*G0_0_1_5_7 + 3.33000333002002e-06*G0_0_1_5_8 - 0.0014057371200231*G0_0_1_5_9 + 0.00222769294197905*G0_0_1_6_0 + 0.000196734482448802*G0_0_1_6_1 - 0.000827690827690969*G0_0_1_6_2 - 0.00035012606441184*G0_0_1_6_3 + 0.000233575947861705*G0_0_1_6_4 + 0.00651729223157906*G0_0_1_6_5 - 0.00713334284762978*G0_0_1_6_6 + 0.000574187717044964*G0_0_1_6_7 - 0.000962133104990415*G0_0_1_6_8 + 0.00454545454545532*G0_0_1_6_9 - 0.00212343212343252*G0_0_1_7_0 - 0.000627890627890758*G0_0_1_7_1 - 0.000111370111370133*G0_0_1_7_2 + 0.000377717520574721*G0_0_1_7_3 - 1.47471576042999e-05*G0_0_1_7_4 - 0.000577517720374985*G0_0_1_7_5 + 0.000574187717044964*G0_0_1_7_6 + 0.00768041482327324*G0_0_1_7_7 - 0.0025721897150473*G0_0_1_7_8 - 0.00254745254745299*G0_0_1_7_9 + 0.00158611230039831*G0_0_1_8_0 + 0.00182854182854218*G0_0_1_8_1 + 0.000364661793233286*G0_0_1_8_2 + 0.00047619047619057*G0_0_1_8_3 - 0.000853907996765293*G0_0_1_8_4 + 3.33000333001999e-06*G0_0_1_8_5 - 0.000962133104990415*G0_0_1_8_6 - 0.0025721897150473*G0_0_1_8_7 + 0.00462204462204546*G0_0_1_8_8 + 0.000702154987869404*G0_0_1_8_9 + 0.000466359037787679*G0_0_1_9_0 + 0.000335220335220394*G0_0_1_9_1 - 0.00128173413887721*G0_0_1_9_2 - 0.00176109604681063*G0_0_1_9_3 + 0.00361210218353137*G0_0_1_9_4 - 0.00140573712002309*G0_0_1_9_5 + 0.00454545454545532*G0_0_1_9_6 - 0.00254745254745299*G0_0_1_9_7 + 0.000702154987869404*G0_0_1_9_8 - 0.00428143285286217*G0_0_1_9_9;
    A[52] = A[108] - 0.00143066809733506*G0_0_1_0_0 + 0.000196170672361201*G0_0_1_0_1 + 0.000396887063553791*G0_0_1_0_2 - 0.000769072197643758*G0_0_1_0_3 + 0.00237793952079706*G0_0_1_0_5 - 0.00396333824905322*G0_0_1_0_6 - 0.000344100344100371*G0_0_1_0_8 + 0.0023271966129113*G0_0_1_0_9 + 0.000196170672361201*G0_0_1_1_0 + 0.00287120287120375*G0_0_1_1_1 + 0.000388782293544272*G0_0_1_1_2 + 0.00119436119436146*G0_0_1_1_3 - 0.00297194868623494*G0_0_1_1_4 + 0.000926375212089635*G0_0_1_1_5 - 0.000828060828060968*G0_0_1_1_6 - 0.00131138702567307*G0_0_1_1_7 + 0.0010833610833615*G0_0_1_1_8 + 0.00265829408686599*G0_0_1_1_9 + 0.000396887063553791*G0_0_1_2_0 + 0.000388782293544272*G0_0_1_2_1 + 0.0516372516372603*G0_0_1_2_2 - 0.00198595055737946*G0_0_1_2_3 - 0.00158064158064187*G0_0_1_2_4 - 0.000582909154337792*G0_0_1_2_5 - 0.00262848262848315*G0_0_1_2_6 + 0.000110048681477268*G0_0_1_2_7 + 0.000892123749266765*G0_0_1_2_8 - 0.00678178963893365*G0_0_1_2_9 - 0.000769072197643758*G0_0_1_3_0 + 0.00119436119436146*G0_0_1_3_1 - 0.00198595055737946*G0_0_1_3_2 - 0.000211217354074582*G0_0_1_3_3 + 0.0174539745968347*G0_0_1_3_4 - 0.000685029256457893*G0_0_1_3_5 + 0.00338233195376104*G0_0_1_3_6 + 0.00320536606250947*G0_0_1_3_7 - 0.00142714428428737*G0_0_1_3_8 - 0.0143856143856169*G0_0_1_3_9 - 0.00297194868623494*G0_0_1_4_1 - 0.00158064158064186*G0_0_1_4_2 + 0.0174539745968347*G0_0_1_4_3 - 0.0516055373198316*G0_0_1_4_4 + 0.000796346510632328*G0_0_1_4_5 - 0.00417867846439339*G0_0_1_4_6 - 0.000665049236477926*G0_0_1_4_7 - 0.00177822177822211*G0_0_1_4_8 + 0.0187526758955363*G0_0_1_4_9 + 0.00237793952079706*G0_0_1_5_0 + 0.000926375212089635*G0_0_1_5_1 - 0.000582909154337793*G0_0_1_5_2 - 0.000685029256457893*G0_0_1_5_3 + 0.000796346510632329*G0_0_1_5_4 + 0.0600713572142242*G0_0_1_5_5 + 0.0147652347652373*G0_0_1_5_6 + 0.00131297274154433*G0_0_1_5_7 - 0.00188097616669071*G0_0_1_5_8 - 0.00321963750535245*G0_0_1_5_9 - 0.00396333824905322*G0_0_1_6_0 - 0.000828060828060968*G0_0_1_6_1 - 0.00262848262848315*G0_0_1_6_2 + 0.00338233195376104*G0_0_1_6_3 - 0.00417867846439339*G0_0_1_6_4 + 0.0147652347652373*G0_0_1_6_5 - 0.134322820037128*G0_0_1_6_6 + 0.000568003425146373*G0_0_1_6_7 - 0.000545169116597828*G0_0_1_6_8 + 0.0135807050092789*G0_0_1_6_9 - 0.00131138702567307*G0_0_1_7_1 + 0.000110048681477268*G0_0_1_7_2 + 0.00320536606250947*G0_0_1_7_3 - 0.000665049236477926*G0_0_1_7_4 + 0.00131297274154433*G0_0_1_7_5 + 0.000568003425146373*G0_0_1_7_6 - 0.00283716283716331*G0_0_1_7_7 + 0.00284001712573181*G0_0_1_7_8 - 0.00811759668902666*G0_0_1_7_9 - 0.000344100344100371*G0_0_1_8_0 + 0.0010833610833615*G0_0_1_8_1 + 0.000892123749266765*G0_0_1_8_2 - 0.00142714428428737*G0_0_1_8_3 - 0.00177822177822211*G0_0_1_8_4 - 0.00188097616669071*G0_0_1_8_5 - 0.000545169116597828*G0_0_1_8_6 + 0.00284001712573181*G0_0_1_8_7 - 0.00180961895247608*G0_0_1_8_8 - 0.00441843870415374*G0_0_1_8_9 + 0.0023271966129113*G0_0_1_9_0 + 0.00265829408686598*G0_0_1_9_1 - 0.00678178963893365*G0_0_1_9_2 - 0.0143856143856169*G0_0_1_9_3 + 0.0187526758955363*G0_0_1_9_4 - 0.00321963750535245*G0_0_1_9_5 + 0.0135807050092789*G0_0_1_9_6 - 0.00811759668902666*G0_0_1_9_7 - 0.00441843870415374*G0_0_1_9_8 + 0.0293877551020457*G0_0_1_9_9 + 0.00143066809733506*G0_1_0_0_0 - 0.000196170672361201*G0_1_0_0_1 - 0.000396887063553791*G0_1_0_0_2 + 0.000769072197643758*G0_1_0_0_3 - 0.00237793952079706*G0_1_0_0_5 + 0.00396333824905322*G0_1_0_0_6 + 0.000344100344100371*G0_1_0_0_8 - 0.0023271966129113*G0_1_0_0_9 - 0.000196170672361201*G0_1_0_1_0 - 0.00287120287120375*G0_1_0_1_1 - 0.000388782293544273*G0_1_0_1_2 - 0.00119436119436146*G0_1_0_1_3 + 0.00297194868623494*G0_1_0_1_4 - 0.000926375212089635*G0_1_0_1_5 + 0.000828060828060968*G0_1_0_1_6 + 0.00131138702567307*G0_1_0_1_7 - 0.0010833610833615*G0_1_0_1_8 - 0.00265829408686599*G0_1_0_1_9 - 0.000396887063553791*G0_1_0_2_0 - 0.000388782293544273*G0_1_0_2_1 - 0.0516372516372603*G0_1_0_2_2 + 0.00198595055737946*G0_1_0_2_3 + 0.00158064158064186*G0_1_0_2_4 + 0.000582909154337793*G0_1_0_2_5 + 0.00262848262848315*G0_1_0_2_6 - 0.000110048681477268*G0_1_0_2_7 - 0.000892123749266765*G0_1_0_2_8 + 0.00678178963893365*G0_1_0_2_9 + 0.000769072197643758*G0_1_0_3_0 - 0.00119436119436146*G0_1_0_3_1 + 0.00198595055737946*G0_1_0_3_2 + 0.000211217354074588*G0_1_0_3_3 - 0.0174539745968347*G0_1_0_3_4 + 0.000685029256457891*G0_1_0_3_5 - 0.00338233195376104*G0_1_0_3_6 - 0.00320536606250947*G0_1_0_3_7 + 0.00142714428428737*G0_1_0_3_8 + 0.0143856143856169*G0_1_0_3_9 + 0.00297194868623494*G0_1_0_4_1 + 0.00158064158064186*G0_1_0_4_2 - 0.0174539745968347*G0_1_0_4_3 + 0.0516055373198316*G0_1_0_4_4 - 0.000796346510632329*G0_1_0_4_5 + 0.00417867846439339*G0_1_0_4_6 + 0.000665049236477926*G0_1_0_4_7 + 0.00177822177822211*G0_1_0_4_8 - 0.0187526758955363*G0_1_0_4_9 - 0.00237793952079706*G0_1_0_5_0 - 0.000926375212089635*G0_1_0_5_1 + 0.000582909154337793*G0_1_0_5_2 + 0.000685029256457891*G0_1_0_5_3 - 0.000796346510632329*G0_1_0_5_4 - 0.0600713572142242*G0_1_0_5_5 - 0.0147652347652373*G0_1_0_5_6 - 0.00131297274154433*G0_1_0_5_7 + 0.00188097616669071*G0_1_0_5_8 + 0.00321963750535245*G0_1_0_5_9 + 0.00396333824905322*G0_1_0_6_0 + 0.000828060828060968*G0_1_0_6_1 + 0.00262848262848314*G0_1_0_6_2 - 0.00338233195376104*G0_1_0_6_3 + 0.00417867846439339*G0_1_0_6_4 - 0.0147652347652373*G0_1_0_6_5 + 0.134322820037128*G0_1_0_6_6 - 0.000568003425146374*G0_1_0_6_7 + 0.000545169116597827*G0_1_0_6_8 - 0.0135807050092789*G0_1_0_6_9 + 0.00131138702567307*G0_1_0_7_1 - 0.000110048681477268*G0_1_0_7_2 - 0.00320536606250947*G0_1_0_7_3 + 0.000665049236477925*G0_1_0_7_4 - 0.00131297274154433*G0_1_0_7_5 - 0.000568003425146373*G0_1_0_7_6 + 0.00283716283716331*G0_1_0_7_7 - 0.00284001712573181*G0_1_0_7_8 + 0.00811759668902666*G0_1_0_7_9 + 0.000344100344100371*G0_1_0_8_0 - 0.0010833610833615*G0_1_0_8_1 - 0.000892123749266765*G0_1_0_8_2 + 0.00142714428428737*G0_1_0_8_3 + 0.00177822177822211*G0_1_0_8_4 + 0.00188097616669071*G0_1_0_8_5 + 0.000545169116597828*G0_1_0_8_6 - 0.00284001712573181*G0_1_0_8_7 + 0.00180961895247608*G0_1_0_8_8 + 0.00441843870415374*G0_1_0_8_9 - 0.0023271966129113*G0_1_0_9_0 - 0.00265829408686598*G0_1_0_9_1 + 0.00678178963893365*G0_1_0_9_2 + 0.0143856143856169*G0_1_0_9_3 - 0.0187526758955363*G0_1_0_9_4 + 0.00321963750535245*G0_1_0_9_5 - 0.0135807050092789*G0_1_0_9_6 + 0.00811759668902666*G0_1_0_9_7 + 0.00441843870415374*G0_1_0_9_8 - 0.0293877551020457*G0_1_0_9_9;
    A[35] = 0.00113558399272705*G0_1_0_0_0 + 0.000944003086860395*G0_1_0_0_1 + 0.0117478200811554*G0_1_0_0_2 - 0.00417748917748989*G0_1_0_0_3 + 0.00868964368964519*G0_1_0_0_4 - 0.00592851592851695*G0_1_0_0_5 + 0.0135714285714309*G0_1_0_0_6 - 0.00052074909217775*G0_1_0_0_7 - 0.000326736755308238*G0_1_0_0_8 + 0.00253857253857297*G0_1_0_0_9 + 0.000944003086860395*G0_1_0_1_0 + 0.00113558399272705*G0_1_0_1_1 + 0.0117478200811554*G0_1_0_1_2 - 0.00592851592851693*G0_1_0_1_3 + 0.0135714285714309*G0_1_0_1_4 - 0.00417748917748989*G0_1_0_1_5 + 0.00868964368964518*G0_1_0_1_6 - 0.000326736755308242*G0_1_0_1_7 - 0.000520749092177744*G0_1_0_1_8 + 0.00253857253857297*G0_1_0_1_9 + 0.0117478200811554*G0_1_0_2_0 + 0.0117478200811554*G0_1_0_2_1 + 0.2284591951259*G0_1_0_2_2 - 0.0524753024753112*G0_1_0_2_3 + 0.113297813297832*G0_1_0_2_4 - 0.0524753024753113*G0_1_0_2_5 + 0.113297813297832*G0_1_0_2_6 - 0.00252247752247793*G0_1_0_2_7 - 0.00252247752247793*G0_1_0_2_8 + 0.0166944166944195*G0_1_0_2_9 - 0.00417748917748989*G0_1_0_3_0 - 0.00592851592851693*G0_1_0_3_1 - 0.0524753024753112*G0_1_0_3_2 + 0.0270496170496216*G0_1_0_3_3 - 0.0619963369963474*G0_1_0_3_4 + 0.017975357975361*G0_1_0_3_5 - 0.0369547119547181*G0_1_0_3_6 + 0.00164668664668692*G0_1_0_3_7 + 0.00167166167166195*G0_1_0_3_8 - 0.0109090909090927*G0_1_0_3_9 + 0.00868964368964519*G0_1_0_4_0 + 0.0135714285714309*G0_1_0_4_1 + 0.113297813297832*G0_1_0_4_2 - 0.0619963369963474*G0_1_0_4_3 + 0.147818847818873*G0_1_0_4_4 - 0.0369547119547182*G0_1_0_4_5 + 0.0739094239094364*G0_1_0_4_6 - 0.00380785880785944*G0_1_0_4_7 - 0.00331834831834887*G0_1_0_4_8 + 0.0238261738261778*G0_1_0_4_9 - 0.00592851592851695*G0_1_0_5_0 - 0.00417748917748989*G0_1_0_5_1 - 0.0524753024753113*G0_1_0_5_2 + 0.017975357975361*G0_1_0_5_3 - 0.0369547119547182*G0_1_0_5_4 + 0.0270496170496216*G0_1_0_5_5 - 0.0619963369963474*G0_1_0_5_6 + 0.00167166167166195*G0_1_0_5_7 + 0.00164668664668692*G0_1_0_5_8 - 0.0109090909090927*G0_1_0_5_9 + 0.0135714285714309*G0_1_0_6_0 + 0.00868964368964518*G0_1_0_6_1 + 0.113297813297832*G0_1_0_6_2 - 0.0369547119547181*G0_1_0_6_3 + 0.0739094239094364*G0_1_0_6_4 - 0.0619963369963474*G0_1_0_6_5 + 0.147818847818873*G0_1_0_6_6 - 0.00331834831834886*G0_1_0_6_7 - 0.00380785880785943*G0_1_0_6_8 + 0.0238261738261778*G0_1_0_6_9 - 0.00052074909217775*G0_1_0_7_0 - 0.000326736755308242*G0_1_0_7_1 - 0.00252247752247793*G0_1_0_7_2 + 0.00164668664668692*G0_1_0_7_3 - 0.00380785880785944*G0_1_0_7_4 + 0.00167166167166195*G0_1_0_7_5 - 0.00331834831834886*G0_1_0_7_6 - 0.000705484991199375*G0_1_0_7_7 + 0.000204319490033806*G0_1_0_7_8 - 0.000979020979021142*G0_1_0_7_9 - 0.000326736755308238*G0_1_0_8_0 - 0.000520749092177744*G0_1_0_8_1 - 0.00252247752247793*G0_1_0_8_2 + 0.00167166167166195*G0_1_0_8_3 - 0.00331834831834887*G0_1_0_8_4 + 0.00164668664668692*G0_1_0_8_5 - 0.00380785880785943*G0_1_0_8_6 + 0.000204319490033806*G0_1_0_8_7 - 0.00070548499119936*G0_1_0_8_8 - 0.000979020979021136*G0_1_0_8_9 + 0.00253857253857297*G0_1_0_9_0 + 0.00253857253857297*G0_1_0_9_1 + 0.0166944166944195*G0_1_0_9_2 - 0.0109090909090927*G0_1_0_9_3 + 0.0238261738261778*G0_1_0_9_4 - 0.0109090909090927*G0_1_0_9_5 + 0.0238261738261778*G0_1_0_9_6 - 0.000979020979021142*G0_1_0_9_7 - 0.000979020979021136*G0_1_0_9_8 + 0.00803196803196937*G0_1_0_9_9 - 0.00037669561479091*G0_1_1_0_0 - 0.000193677574629992*G0_1_1_0_1 + 0.00287397787397837*G0_1_1_0_2 - 0.00305205376634001*G0_1_1_0_3 + 0.00448532948533026*G0_1_1_0_4 - 0.00158185729614328*G0_1_1_0_5 + 0.00371276871276935*G0_1_1_0_6 + 0.000163751592323052*G0_1_1_0_7 - 0.00104575318861052*G0_1_1_0_8 + 0.000279561708133181*G0_1_1_0_9 - 0.000193677574629992*G0_1_1_1_0 - 0.00739334739334872*G0_1_1_1_1 + 0.00430587930588004*G0_1_1_1_2 - 0.00552621981193506*G0_1_1_1_3 + 0.0101975801975819*G0_1_1_1_4 - 0.00213091141662606*G0_1_1_1_5 + 0.00371276871276934*G0_1_1_1_6 + 0.00247958390815578*G0_1_1_1_7 - 0.00622647194075876*G0_1_1_1_8 + 0.00137766994909874*G0_1_1_1_9 + 0.00287397787397837*G0_1_1_2_0 + 0.00430587930588004*G0_1_1_2_1 + 0.04288304288305*G0_1_1_2_2 - 0.0214183964184*G0_1_1_2_3 + 0.0501683501683586*G0_1_1_2_4 - 0.0125420875420896*G0_1_1_2_5 + 0.0250841750841793*G0_1_1_2_6 - 0.00144207644207668*G0_1_1_2_7 - 0.00210252710252745*G0_1_1_2_8 + 0.00733155733155856*G0_1_1_2_9 - 0.00305205376634001*G0_1_1_3_0 - 0.00552621981193506*G0_1_1_3_1 - 0.0214183964184*G0_1_1_3_2 + 0.00337662337662391*G0_1_1_3_3 - 0.0399450549450617*G0_1_1_3_4 + 0.0100216450216467*G0_1_1_3_5 - 0.0156327006327033*G0_1_1_3_6 + 0.00466176680462474*G0_1_1_3_7 - 0.00647495361781186*G0_1_1_3_8 - 0.0134565434565457*G0_1_1_3_9 + 0.00448532948533026*G0_1_1_4_0 + 0.0101975801975819*G0_1_1_4_1 + 0.0501683501683586*G0_1_1_4_2 - 0.0399450549450617*G0_1_1_4_3 + 0.100749250749268*G0_1_1_4_4 - 0.017950382950386*G0_1_1_4_5 + 0.0335830835830893*G0_1_1_4_6 - 0.00231768231768271*G0_1_1_4_7 + 0.00181318681318713*G0_1_1_4_8 + 0.0139060939060962*G0_1_1_4_9 - 0.00158185729614328*G0_1_1_5_0 - 0.00213091141662606*G0_1_1_5_1 - 0.0125420875420896*G0_1_1_5_2 + 0.0100216450216467*G0_1_1_5_3 - 0.017950382950386*G0_1_1_5_4 + 0.00561105561105657*G0_1_1_5_5 - 0.0156327006327033*G0_1_1_5_6 - 0.00173017458731773*G0_1_1_5_7 + 0.00189833975548293*G0_1_1_5_8 - 0.0046353646353654*G0_1_1_5_9 + 0.00371276871276935*G0_1_1_6_0 + 0.00371276871276934*G0_1_1_6_1 + 0.0250841750841793*G0_1_1_6_2 - 0.0156327006327033*G0_1_1_6_3 + 0.0335830835830893*G0_1_1_6_4 - 0.0156327006327033*G0_1_1_6_5 + 0.0335830835830893*G0_1_1_6_6 - 0.000168165168165198*G0_1_1_6_7 - 0.000168165168165196*G0_1_1_6_8 + 0.0092707292707308*G0_1_1_6_9 + 0.000163751592323052*G0_1_1_7_0 + 0.00247958390815578*G0_1_1_7_1 - 0.00144207644207668*G0_1_1_7_2 + 0.00466176680462474*G0_1_1_7_3 - 0.00231768231768271*G0_1_1_7_4 - 0.00173017458731773*G0_1_1_7_5 - 0.000168165168165198*G0_1_1_7_6 - 0.0166875981161724*G0_1_1_7_7 + 0.00561509918652874*G0_1_1_7_8 - 0.00050235478806915*G0_1_1_7_9 - 0.00104575318861052*G0_1_1_8_0 - 0.00622647194075876*G0_1_1_8_1 - 0.00210252710252745*G0_1_1_8_2 - 0.00647495361781186*G0_1_1_8_3 + 0.00181318681318713*G0_1_1_8_4 + 0.00189833975548293*G0_1_1_8_5 - 0.000168165168165196*G0_1_1_8_6 + 0.00561509918652874*G0_1_1_8_7 - 0.0353617810760729*G0_1_1_8_8 - 0.00775938347367049*G0_1_1_8_9 + 0.000279561708133181*G0_1_1_9_0 + 0.00137766994909874*G0_1_1_9_1 + 0.00733155733155856*G0_1_1_9_2 - 0.0134565434565457*G0_1_1_9_3 + 0.0139060939060962*G0_1_1_9_4 - 0.0046353646353654*G0_1_1_9_5 + 0.0092707292707308*G0_1_1_9_6 - 0.00050235478806915*G0_1_1_9_7 - 0.00775938347367049*G0_1_1_9_8 - 0.0260139860139904*G0_1_1_9_9;
    A[26] = -0.00852893138607575*G0_0_0_0_0 - 0.00744194077527542*G0_0_0_0_1 - 0.00113768066149038*G0_0_0_0_2 - 0.00497687497687585*G0_0_0_0_3 + 0.00204657776086383*G0_0_0_0_4 - 0.00570572284858099*G0_0_0_0_5 + 0.002806320663464*G0_0_0_0_6 + 0.000402296116581907*G0_0_0_0_7 - 0.00337384837384897*G0_0_0_0_8 - 0.00116090258947423*G0_0_0_0_9 - 0.00744194077527542*G0_0_0_1_0 - 0.185576152242851*G0_0_0_1_1 - 0.00887384220717703*G0_0_0_1_2 - 0.0882136382136533*G0_0_0_1_3 + 0.0399332149332217*G0_0_0_1_4 + 0.000419950419950551*G0_0_0_1_5 + 0.00108040108040124*G0_0_0_1_6 + 0.0310569060569114*G0_0_0_1_7 - 0.0631294631294741*G0_0_0_1_8 - 0.009362859362861*G0_0_0_1_9 - 0.00113768066149038*G0_0_0_2_0 - 0.00887384220717703*G0_0_0_2_1 - 0.00151227960751796*G0_0_0_2_2 - 0.00985865985866152*G0_0_0_2_3 + 0.00434665863237365*G0_0_0_2_4 - 0.000719016433302273*G0_0_0_2_5 + 0.000684500684500802*G0_0_0_2_6 + 0.00112543541114989*G0_0_0_2_7 - 0.00420431420431492*G0_0_0_2_8 - 0.00225901083043979*G0_0_0_2_9 - 0.00497687497687585*G0_0_0_3_0 - 0.0882136382136533*G0_0_0_3_1 - 0.00985865985866152*G0_0_0_3_2 - 0.114235764235784*G0_0_0_3_3 + 0.0463636363636442*G0_0_0_3_4 + 0.00363969363969426*G0_0_0_3_5 + 0.00315018315018368*G0_0_0_3_6 + 0.021322011322015*G0_0_0_3_7 - 0.0403263403263473*G0_0_0_3_8 - 0.0145554445554471*G0_0_0_3_9 + 0.00204657776086383*G0_0_0_4_0 + 0.0399332149332217*G0_0_0_4_1 + 0.00434665863237365*G0_0_0_4_2 + 0.0463636363636442*G0_0_0_4_3 - 0.0214385614385651*G0_0_0_4_4 + 0.000251653108796005*G0_0_0_4_5 - 0.00340183625897969*G0_0_0_4_6 - 0.00795371295371432*G0_0_0_4_7 + 0.0190043290043323*G0_0_0_4_8 + 0.00627372627372737*G0_0_0_4_9 - 0.00570572284858099*G0_0_0_5_0 + 0.000419950419950551*G0_0_0_5_1 - 0.000719016433302273*G0_0_0_5_2 + 0.00363969363969426*G0_0_0_5_3 + 0.000251653108796006*G0_0_0_5_4 - 0.0346562960848733*G0_0_0_5_5 + 0.00541077969649491*G0_0_0_5_6 - 0.00814661528947381*G0_0_0_5_7 + 0.00513153513153602*G0_0_0_5_8 - 0.00678036249464934*G0_0_0_5_9 + 0.002806320663464*G0_0_0_6_0 + 0.00108040108040124*G0_0_0_6_1 + 0.000684500684500802*G0_0_0_6_2 + 0.00315018315018368*G0_0_0_6_3 - 0.00340183625897969*G0_0_0_6_4 + 0.00541077969649491*G0_0_0_6_5 - 0.0159821131249729*G0_0_0_6_6 + 0.00301508015793781*G0_0_0_6_7 + 0.00149017649017673*G0_0_0_6_8 + 0.000476666190952*G0_0_0_6_9 + 0.000402296116581907*G0_0_0_7_0 + 0.0310569060569114*G0_0_0_7_1 + 0.00112543541114989*G0_0_0_7_2 + 0.021322011322015*G0_0_0_7_3 - 0.00795371295371432*G0_0_0_7_4 - 0.00814661528947381*G0_0_0_7_5 + 0.00301508015793781*G0_0_0_7_6 - 0.0236729936729977*G0_0_0_7_7 + 0.0220512820512859*G0_0_0_7_8 - 0.00254745254745296*G0_0_0_7_9 - 0.00337384837384897*G0_0_0_8_0 - 0.0631294631294741*G0_0_0_8_1 - 0.00420431420431492*G0_0_0_8_2 - 0.0403263403263473*G0_0_0_8_3 + 0.0190043290043323*G0_0_0_8_4 + 0.00513153513153602*G0_0_0_8_5 + 0.00149017649017673*G0_0_0_8_6 + 0.0220512820512859*G0_0_0_8_7 - 0.0470695970696053*G0_0_0_8_8 - 0.00992007992008165*G0_0_0_8_9 - 0.00116090258947423*G0_0_0_9_0 - 0.009362859362861*G0_0_0_9_1 - 0.00225901083043979*G0_0_0_9_2 - 0.0145554445554471*G0_0_0_9_3 + 0.00627372627372737*G0_0_0_9_4 - 0.00678036249464934*G0_0_0_9_5 + 0.000476666190952*G0_0_0_9_6 - 0.00254745254745296*G0_0_0_9_7 - 0.00992007992008165*G0_0_0_9_8 - 0.0340459540459598*G0_0_0_9_9 - 0.00113558399272704*G0_0_1_0_0 - 0.0117478200811555*G0_0_1_0_1 - 0.00094400308686039*G0_0_1_0_2 - 0.00868964368964519*G0_0_1_0_3 + 0.00417748917748989*G0_0_1_0_4 + 0.000520749092177764*G0_0_1_0_5 + 0.000326736755308234*G0_0_1_0_6 + 0.00592851592851695*G0_0_1_0_7 - 0.0135714285714309*G0_0_1_0_8 - 0.00253857253857298*G0_0_1_0_9 - 0.0117478200811555*G0_0_1_1_0 - 0.228459195125901*G0_0_1_1_1 - 0.0117478200811554*G0_0_1_1_2 - 0.113297813297833*G0_0_1_1_3 + 0.0524753024753113*G0_0_1_1_4 + 0.00252247752247802*G0_0_1_1_5 + 0.00252247752247791*G0_0_1_1_6 + 0.0524753024753115*G0_0_1_1_7 - 0.113297813297833*G0_0_1_1_8 - 0.0166944166944196*G0_0_1_1_9 - 0.00094400308686039*G0_0_1_2_0 - 0.0117478200811554*G0_0_1_2_1 - 0.00113558399272704*G0_0_1_2_2 - 0.0135714285714309*G0_0_1_2_3 + 0.00592851592851692*G0_0_1_2_4 + 0.000326736755308242*G0_0_1_2_5 + 0.000520749092177748*G0_0_1_2_6 + 0.00417748917748988*G0_0_1_2_7 - 0.00868964368964515*G0_0_1_2_8 - 0.00253857253857297*G0_0_1_2_9 - 0.00868964368964519*G0_0_1_3_0 - 0.113297813297833*G0_0_1_3_1 - 0.0135714285714309*G0_0_1_3_2 - 0.147818847818873*G0_0_1_3_3 + 0.0619963369963475*G0_0_1_3_4 + 0.00380785880785946*G0_0_1_3_5 + 0.00331834831834887*G0_0_1_3_6 + 0.0369547119547182*G0_0_1_3_7 - 0.0739094239094365*G0_0_1_3_8 - 0.0238261738261779*G0_0_1_3_9 + 0.00417748917748989*G0_0_1_4_0 + 0.0524753024753113*G0_0_1_4_1 + 0.00592851592851692*G0_0_1_4_2 + 0.0619963369963475*G0_0_1_4_3 - 0.0270496170496216*G0_0_1_4_4 - 0.00164668664668693*G0_0_1_4_5 - 0.00167166167166195*G0_0_1_4_6 - 0.017975357975361*G0_0_1_4_7 + 0.0369547119547182*G0_0_1_4_8 + 0.0109090909090928*G0_0_1_4_9 + 0.000520749092177764*G0_0_1_5_0 + 0.00252247752247802*G0_0_1_5_1 + 0.000326736755308242*G0_0_1_5_2 + 0.00380785880785946*G0_0_1_5_3 - 0.00164668664668693*G0_0_1_5_4 + 0.000705484991199402*G0_0_1_5_5 - 0.000204319490033816*G0_0_1_5_6 - 0.00167166167166197*G0_0_1_5_7 + 0.00331834831834892*G0_0_1_5_8 + 0.000979020979021152*G0_0_1_5_9 + 0.000326736755308234*G0_0_1_6_0 + 0.00252247752247791*G0_0_1_6_1 + 0.000520749092177748*G0_0_1_6_2 + 0.00331834831834887*G0_0_1_6_3 - 0.00167166167166195*G0_0_1_6_4 - 0.000204319490033816*G0_0_1_6_5 + 0.000705484991199388*G0_0_1_6_6 - 0.00164668664668691*G0_0_1_6_7 + 0.00380785880785942*G0_0_1_6_8 + 0.000979020979021144*G0_0_1_6_9 + 0.00592851592851695*G0_0_1_7_0 + 0.0524753024753115*G0_0_1_7_1 + 0.00417748917748988*G0_0_1_7_2 + 0.0369547119547182*G0_0_1_7_3 - 0.017975357975361*G0_0_1_7_4 - 0.00167166167166197*G0_0_1_7_5 - 0.00164668664668691*G0_0_1_7_6 - 0.0270496170496217*G0_0_1_7_7 + 0.0619963369963475*G0_0_1_7_8 + 0.0109090909090928*G0_0_1_7_9 - 0.0135714285714309*G0_0_1_8_0 - 0.113297813297833*G0_0_1_8_1 - 0.00868964368964515*G0_0_1_8_2 - 0.0739094239094365*G0_0_1_8_3 + 0.0369547119547182*G0_0_1_8_4 + 0.00331834831834892*G0_0_1_8_5 + 0.00380785880785942*G0_0_1_8_6 + 0.0619963369963475*G0_0_1_8_7 - 0.147818847818873*G0_0_1_8_8 - 0.0238261738261779*G0_0_1_8_9 - 0.00253857253857298*G0_0_1_9_0 - 0.0166944166944196*G0_0_1_9_1 - 0.00253857253857297*G0_0_1_9_2 - 0.0238261738261779*G0_0_1_9_3 + 0.0109090909090928*G0_0_1_9_4 + 0.000979020979021152*G0_0_1_9_5 + 0.000979020979021144*G0_0_1_9_6 + 0.0109090909090928*G0_0_1_9_7 - 0.0238261738261779*G0_0_1_9_8 - 0.00803196803196939*G0_0_1_9_9;
    A[135] = A[35] - 0.185576152242851*G0_0_0_0_0 - 0.00744194077527539*G0_0_0_0_1 - 0.00887384220717706*G0_0_0_0_2 + 0.000419950419950539*G0_0_0_0_3 + 0.00108040108040126*G0_0_0_0_4 - 0.0882136382136534*G0_0_0_0_5 + 0.0399332149332218*G0_0_0_0_6 - 0.0631294631294739*G0_0_0_0_7 + 0.0310569060569114*G0_0_0_0_8 - 0.00936285936286106*G0_0_0_0_9 - 0.00744194077527539*G0_0_0_1_0 - 0.00852893138607569*G0_0_0_1_1 - 0.00113768066149037*G0_0_0_1_2 - 0.00570572284858096*G0_0_0_1_3 + 0.00280632066346399*G0_0_0_1_4 - 0.00497687497687581*G0_0_0_1_5 + 0.00204657776086382*G0_0_0_1_6 - 0.00337384837384895*G0_0_0_1_7 + 0.000402296116581898*G0_0_0_1_8 - 0.00116090258947422*G0_0_0_1_9 - 0.00887384220717706*G0_0_0_2_0 - 0.00113768066149037*G0_0_0_2_1 - 0.00151227960751792*G0_0_0_2_2 - 0.000719016433302274*G0_0_0_2_3 + 0.000684500684500816*G0_0_0_2_4 - 0.00985865985866156*G0_0_0_2_5 + 0.00434665863237368*G0_0_0_2_6 - 0.00420431420431491*G0_0_0_2_7 + 0.00112543541114989*G0_0_0_2_8 - 0.00225901083043978*G0_0_0_2_9 + 0.000419950419950539*G0_0_0_3_0 - 0.00570572284858096*G0_0_0_3_1 - 0.000719016433302274*G0_0_0_3_2 - 0.0346562960848733*G0_0_0_3_3 + 0.00541077969649489*G0_0_0_3_4 + 0.00363969363969426*G0_0_0_3_5 + 0.000251653108795998*G0_0_0_3_6 + 0.00513153513153602*G0_0_0_3_7 - 0.00814661528947381*G0_0_0_3_8 - 0.00678036249464936*G0_0_0_3_9 + 0.00108040108040126*G0_0_0_4_0 + 0.00280632066346399*G0_0_0_4_1 + 0.000684500684500816*G0_0_0_4_2 + 0.00541077969649489*G0_0_0_4_3 - 0.0159821131249729*G0_0_0_4_4 + 0.00315018315018369*G0_0_0_4_5 - 0.00340183625897969*G0_0_0_4_6 + 0.00149017649017674*G0_0_0_4_7 + 0.00301508015793781*G0_0_0_4_8 + 0.000476666190951987*G0_0_0_4_9 - 0.0882136382136533*G0_0_0_5_0 - 0.00497687497687581*G0_0_0_5_1 - 0.00985865985866156*G0_0_0_5_2 + 0.00363969363969426*G0_0_0_5_3 + 0.00315018315018369*G0_0_0_5_4 - 0.114235764235784*G0_0_0_5_5 + 0.0463636363636443*G0_0_0_5_6 - 0.0403263403263472*G0_0_0_5_7 + 0.0213220113220149*G0_0_0_5_8 - 0.0145554445554471*G0_0_0_5_9 + 0.0399332149332218*G0_0_0_6_0 + 0.00204657776086382*G0_0_0_6_1 + 0.00434665863237368*G0_0_0_6_2 + 0.000251653108795998*G0_0_0_6_3 - 0.00340183625897969*G0_0_0_6_4 + 0.0463636363636443*G0_0_0_6_5 - 0.0214385614385651*G0_0_0_6_6 + 0.0190043290043322*G0_0_0_6_7 - 0.0079537129537143*G0_0_0_6_8 + 0.00627372627372736*G0_0_0_6_9 - 0.0631294631294739*G0_0_0_7_0 - 0.00337384837384895*G0_0_0_7_1 - 0.00420431420431491*G0_0_0_7_2 + 0.00513153513153602*G0_0_0_7_3 + 0.00149017649017674*G0_0_0_7_4 - 0.0403263403263472*G0_0_0_7_5 + 0.0190043290043322*G0_0_0_7_6 - 0.0470695970696051*G0_0_0_7_7 + 0.0220512820512858*G0_0_0_7_8 - 0.00992007992008163*G0_0_0_7_9 + 0.0310569060569114*G0_0_0_8_0 + 0.000402296116581899*G0_0_0_8_1 + 0.00112543541114989*G0_0_0_8_2 - 0.00814661528947381*G0_0_0_8_3 + 0.00301508015793781*G0_0_0_8_4 + 0.0213220113220149*G0_0_0_8_5 - 0.0079537129537143*G0_0_0_8_6 + 0.0220512820512858*G0_0_0_8_7 - 0.0236729936729977*G0_0_0_8_8 - 0.00254745254745295*G0_0_0_8_9 - 0.00936285936286106*G0_0_0_9_0 - 0.00116090258947422*G0_0_0_9_1 - 0.00225901083043979*G0_0_0_9_2 - 0.00678036249464936*G0_0_0_9_3 + 0.000476666190951987*G0_0_0_9_4 - 0.0145554445554471*G0_0_0_9_5 + 0.00627372627372736*G0_0_0_9_6 - 0.00992007992008163*G0_0_0_9_7 - 0.00254745254745295*G0_0_0_9_8 - 0.0340459540459599*G0_0_0_9_9 - 0.185576152242851*G0_0_1_0_0 - 0.00744194077527539*G0_0_1_0_1 - 0.00887384220717705*G0_0_1_0_2 + 0.000419950419950539*G0_0_1_0_3 + 0.00108040108040126*G0_0_1_0_4 - 0.0882136382136533*G0_0_1_0_5 + 0.0399332149332218*G0_0_1_0_6 - 0.0631294631294738*G0_0_1_0_7 + 0.0310569060569114*G0_0_1_0_8 - 0.00936285936286106*G0_0_1_0_9 - 0.00744194077527539*G0_0_1_1_0 - 0.00852893138607569*G0_0_1_1_1 - 0.00113768066149038*G0_0_1_1_2 - 0.00570572284858095*G0_0_1_1_3 + 0.00280632066346399*G0_0_1_1_4 - 0.00497687497687581*G0_0_1_1_5 + 0.00204657776086382*G0_0_1_1_6 - 0.00337384837384895*G0_0_1_1_7 + 0.000402296116581903*G0_0_1_1_8 - 0.00116090258947422*G0_0_1_1_9 - 0.00887384220717705*G0_0_1_2_0 - 0.00113768066149038*G0_0_1_2_1 - 0.00151227960751794*G0_0_1_2_2 - 0.000719016433302268*G0_0_1_2_3 + 0.000684500684500806*G0_0_1_2_4 - 0.00985865985866155*G0_0_1_2_5 + 0.00434665863237367*G0_0_1_2_6 - 0.00420431420431491*G0_0_1_2_7 + 0.00112543541114989*G0_0_1_2_8 - 0.00225901083043979*G0_0_1_2_9 + 0.000419950419950539*G0_0_1_3_0 - 0.00570572284858095*G0_0_1_3_1 - 0.000719016433302268*G0_0_1_3_2 - 0.0346562960848733*G0_0_1_3_3 + 0.00541077969649489*G0_0_1_3_4 + 0.00363969363969426*G0_0_1_3_5 + 0.000251653108796002*G0_0_1_3_6 + 0.00513153513153602*G0_0_1_3_7 - 0.00814661528947381*G0_0_1_3_8 - 0.00678036249464936*G0_0_1_3_9 + 0.00108040108040126*G0_0_1_4_0 + 0.00280632066346399*G0_0_1_4_1 + 0.000684500684500806*G0_0_1_4_2 + 0.00541077969649489*G0_0_1_4_3 - 0.015982113124973*G0_0_1_4_4 + 0.00315018315018369*G0_0_1_4_5 - 0.0034018362589797*G0_0_1_4_6 + 0.00149017649017675*G0_0_1_4_7 + 0.0030150801579378*G0_0_1_4_8 + 0.000476666190951977*G0_0_1_4_9 - 0.0882136382136533*G0_0_1_5_0 - 0.00497687497687581*G0_0_1_5_1 - 0.00985865985866155*G0_0_1_5_2 + 0.00363969363969426*G0_0_1_5_3 + 0.0031501831501837*G0_0_1_5_4 - 0.114235764235784*G0_0_1_5_5 + 0.0463636363636443*G0_0_1_5_6 - 0.0403263403263472*G0_0_1_5_7 + 0.0213220113220149*G0_0_1_5_8 - 0.0145554445554471*G0_0_1_5_9 + 0.0399332149332218*G0_0_1_6_0 + 0.00204657776086382*G0_0_1_6_1 + 0.00434665863237367*G0_0_1_6_2 + 0.000251653108796002*G0_0_1_6_3 - 0.0034018362589797*G0_0_1_6_4 + 0.0463636363636443*G0_0_1_6_5 - 0.0214385614385651*G0_0_1_6_6 + 0.0190043290043322*G0_0_1_6_7 - 0.0079537129537143*G0_0_1_6_8 + 0.00627372627372735*G0_0_1_6_9 - 0.0631294631294738*G0_0_1_7_0 - 0.00337384837384895*G0_0_1_7_1 - 0.00420431420431491*G0_0_1_7_2 + 0.00513153513153602*G0_0_1_7_3 + 0.00149017649017675*G0_0_1_7_4 - 0.0403263403263471*G0_0_1_7_5 + 0.0190043290043322*G0_0_1_7_6 - 0.0470695970696051*G0_0_1_7_7 + 0.0220512820512858*G0_0_1_7_8 - 0.00992007992008164*G0_0_1_7_9 + 0.0310569060569114*G0_0_1_8_0 + 0.000402296116581903*G0_0_1_8_1 + 0.00112543541114989*G0_0_1_8_2 - 0.00814661528947381*G0_0_1_8_3 + 0.0030150801579378*G0_0_1_8_4 + 0.0213220113220149*G0_0_1_8_5 - 0.0079537129537143*G0_0_1_8_6 + 0.0220512820512858*G0_0_1_8_7 - 0.0236729936729977*G0_0_1_8_8 - 0.00254745254745294*G0_0_1_8_9 - 0.00936285936286105*G0_0_1_9_0 - 0.00116090258947422*G0_0_1_9_1 - 0.00225901083043979*G0_0_1_9_2 - 0.00678036249464936*G0_0_1_9_3 + 0.000476666190951978*G0_0_1_9_4 - 0.0145554445554471*G0_0_1_9_5 + 0.00627372627372735*G0_0_1_9_6 - 0.00992007992008164*G0_0_1_9_7 - 0.00254745254745294*G0_0_1_9_8 - 0.0340459540459599*G0_0_1_9_9 + 0.041747458890323*G0_1_0_0_0 + 0.00336187621901964*G0_1_0_0_1 - 0.00887384220717708*G0_1_0_0_2 + 0.00207496207496241*G0_1_0_0_3 - 0.0101317201317219*G0_1_0_0_4 + 0.0310126910126962*G0_1_0_0_5 - 0.0261135161135205*G0_1_0_0_6 + 0.0506890992605364*G0_1_0_0_7 - 0.0210916596630918*G0_1_0_0_8 + 0.00479298479298562*G0_1_0_0_9 + 0.00336187621901964*G0_1_0_1_0 - 0.0085289313860757*G0_1_0_1_1 - 0.0119414976557854*G0_1_0_1_2 - 0.000297956012241781*G0_1_0_1_3 - 0.0110918446632751*G0_1_0_1_4 + 0.00789025789025922*G0_1_0_1_5 - 0.0108205551062712*G0_1_0_1_6 + 0.0105243169528902*G0_1_0_1_7 - 0.00500547071975729*G0_1_0_1_8 - 0.00116090258947422*G0_1_0_1_9 - 0.00887384220717708*G0_1_0_2_0 - 0.0119414976557854*G0_1_0_2_1 - 0.228835890740691*G0_1_0_2_2 + 0.0514295492867007*G0_1_0_2_3 - 0.113134061705509*G0_1_0_2_4 + 0.0561880711880806*G0_1_0_2_5 - 0.114879670593976*G0_1_0_2_6 + 0.00700780700780817*G0_1_0_2_7 - 0.000529576243862064*G0_1_0_2_8 - 0.0164148549862863*G0_1_0_2_9 + 0.00207496207496241*G0_1_0_3_0 - 0.00029795601224178*G0_1_0_3_1 + 0.0514295492867007*G0_1_0_3_2 - 0.0624113981256944*G0_1_0_3_3 + 0.0676114361828761*G0_1_0_3_4 - 0.0181435231435262*G0_1_0_3_5 + 0.0388530517102011*G0_1_0_3_6 + 0.000166500166500181*G0_1_0_3_7 - 0.00814661528947379*G0_1_0_3_8 + 0.00314970743542221*G0_1_0_3_9 - 0.0101317201317219*G0_1_0_4_0 - 0.0110918446632751*G0_1_0_4_1 - 0.113134061705509*G0_1_0_4_2 + 0.0676114361828761*G0_1_0_4_3 - 0.164506445935045*G0_1_0_4_4 + 0.036786546786553*G0_1_0_4_5 - 0.0756395984967541*G0_1_0_4_6 + 0.00149017649017674*G0_1_0_4_7 + 0.0079801151229736*G0_1_0_4_8 - 0.024328528614247*G0_1_0_4_9 + 0.0310126910126962*G0_1_0_5_0 + 0.00789025789025922*G0_1_0_5_1 + 0.0561880711880806*G0_1_0_5_2 - 0.0181435231435262*G0_1_0_5_3 + 0.036786546786553*G0_1_0_5_4 + 0.00653346653346755*G0_1_0_5_5 + 0.0463636363636442*G0_1_0_5_6 + 0.0319114219114272*G0_1_0_5_7 - 0.0172793872793902*G0_1_0_5_8 + 0.0201798201798236*G0_1_0_5_9 - 0.0261135161135205*G0_1_0_6_0 - 0.0108205551062712*G0_1_0_6_1 - 0.114879670593976*G0_1_0_6_2 + 0.0388530517102011*G0_1_0_6_3 - 0.0756395984967541*G0_1_0_6_4 + 0.0463636363636442*G0_1_0_6_5 - 0.142207792207816*G0_1_0_6_6 - 0.0146320346320371*G0_1_0_6_7 + 0.0138295038295061*G0_1_0_6_8 - 0.0284615384615432*G0_1_0_6_9 + 0.0506890992605364*G0_1_0_7_0 + 0.0105243169528902*G0_1_0_7_1 + 0.00700780700780817*G0_1_0_7_2 + 0.000166500166500181*G0_1_0_7_3 + 0.00149017649017674*G0_1_0_7_4 + 0.0319114219114272*G0_1_0_7_5 - 0.0146320346320371*G0_1_0_7_6 + 0.101454735740467*G0_1_0_7_7 - 0.0401493744350955*G0_1_0_7_8 + 0.0148851148851174*G0_1_0_7_9 - 0.0210916596630918*G0_1_0_8_0 - 0.00500547071975729*G0_1_0_8_1 - 0.000529576243862064*G0_1_0_8_2 - 0.0081466152894738*G0_1_0_8_3 + 0.0079801151229736*G0_1_0_8_4 - 0.0172793872793902*G0_1_0_8_5 + 0.0138295038295061*G0_1_0_8_6 - 0.0401493744350955*G0_1_0_8_7 + 0.0040821083678233*G0_1_0_8_8 - 0.0124775224775246*G0_1_0_8_9 + 0.00479298479298561*G0_1_0_9_0 - 0.00116090258947422*G0_1_0_9_1 - 0.0164148549862863*G0_1_0_9_2 + 0.00314970743542221*G0_1_0_9_3 - 0.024328528614247*G0_1_0_9_4 + 0.0201798201798236*G0_1_0_9_5 - 0.0284615384615432*G0_1_0_9_6 + 0.0148851148851174*G0_1_0_9_7 - 0.0124775224775246*G0_1_0_9_8 - 0.0340459540459598*G0_1_0_9_9 + 0.043259738497841*G0_1_1_0_0 + 0.00449955688051003*G0_1_1_0_1 + 0.000949526663812528*G0_1_1_0_3 - 0.00592740592740695*G0_1_1_0_4 + 0.0266660323803226*G0_1_1_0_5 - 0.016254856254859*G0_1_1_0_6 + 0.0500045985760355*G0_1_1_0_7 - 0.0203726432297895*G0_1_1_0_8 + 0.00705199562342541*G0_1_1_0_9 + 0.00449955688051003*G0_1_1_1_0 - 0.00449955688051002*G0_1_1_1_2 - 0.000700252128823649*G0_1_1_1_3 - 0.00771799628942619*G0_1_1_1_4 + 0.00584368012939539*G0_1_1_1_5 - 0.0058436801293954*G0_1_1_1_6 + 0.00771799628942615*G0_1_1_1_7 + 0.000700252128823728*G0_1_1_1_8 - 0.00449955688051002*G0_1_1_2_1 - 0.0432597384978409*G0_1_1_2_2 + 0.0203726432297895*G0_1_1_2_3 - 0.0500045985760356*G0_1_1_2_4 + 0.016254856254859*G0_1_1_2_5 - 0.0266660323803226*G0_1_1_2_6 + 0.00592740592740691*G0_1_1_2_7 - 0.000949526663812536*G0_1_1_2_8 - 0.00705199562342538*G0_1_1_2_9 + 0.000949526663812528*G0_1_1_3_0 - 0.000700252128823649*G0_1_1_3_1 + 0.0203726432297895*G0_1_1_3_2 - 0.0387384044526967*G0_1_1_3_3 + 0.0455601541315904*G0_1_1_3_4 - 0.0101898101898119*G0_1_1_3_5 + 0.0175310403881862*G0_1_1_3_6 - 0.00284857999143764*G0_1_1_3_7 + 0.0056971599828752*G0_1_1_3_9 - 0.00592740592740695*G0_1_1_4_0 - 0.00771799628942619*G0_1_1_4_1 - 0.0500045985760356*G0_1_1_4_2 + 0.0455601541315904*G0_1_1_4_3 - 0.11743684886544*G0_1_1_4_4 + 0.0177822177822208*G0_1_1_4_5 - 0.035313258170407*G0_1_1_4_6 + 0.0028485799914376*G0_1_1_4_8 - 0.0144084486941654*G0_1_1_4_9 + 0.0266660323803226*G0_1_1_5_0 + 0.00584368012939539*G0_1_1_5_1 + 0.016254856254859*G0_1_1_5_2 - 0.0101898101898119*G0_1_1_5_3 + 0.0177822177822208*G0_1_1_5_4 + 0.0279720279720325*G0_1_1_5_5 + 0.0353132581704069*G0_1_1_5_7 - 0.0175310403881862*G0_1_1_5_8 + 0.0139060939060962*G0_1_1_5_9 - 0.016254856254859*G0_1_1_6_0 - 0.0058436801293954*G0_1_1_6_1 - 0.0266660323803226*G0_1_1_6_2 + 0.0175310403881862*G0_1_1_6_3 - 0.035313258170407*G0_1_1_6_4 - 0.0279720279720327*G0_1_1_6_6 - 0.0177822177822207*G0_1_1_6_7 + 0.0101898101898119*G0_1_1_6_8 - 0.0139060939060962*G0_1_1_6_9 + 0.0500045985760355*G0_1_1_7_0 + 0.00771799628942615*G0_1_1_7_1 + 0.00592740592740691*G0_1_1_7_2 - 0.00284857999143764*G0_1_1_7_3 + 0.0353132581704069*G0_1_1_7_5 - 0.0177822177822207*G0_1_1_7_6 + 0.11743684886544*G0_1_1_7_7 - 0.0455601541315904*G0_1_1_7_8 + 0.0144084486941654*G0_1_1_7_9 - 0.0203726432297895*G0_1_1_8_0 + 0.000700252128823729*G0_1_1_8_1 - 0.000949526663812536*G0_1_1_8_2 + 0.0028485799914376*G0_1_1_8_4 - 0.0175310403881862*G0_1_1_8_5 + 0.0101898101898119*G0_1_1_8_6 - 0.0455601541315904*G0_1_1_8_7 + 0.0387384044526968*G0_1_1_8_8 - 0.00569715998287523*G0_1_1_8_9 + 0.00705199562342541*G0_1_1_9_0 - 0.00705199562342538*G0_1_1_9_2 + 0.0056971599828752*G0_1_1_9_3 - 0.0144084486941654*G0_1_1_9_4 + 0.0139060939060962*G0_1_1_9_5 - 0.0139060939060962*G0_1_1_9_6 + 0.0144084486941654*G0_1_1_9_7 - 0.00569715998287523*G0_1_1_9_8;
    A[157] = -0.0185429385429419*G0_0_0_0_0 - 0.000773195058909485*G0_0_0_0_1 - 0.00185837971552291*G0_0_0_0_2 + 0.000400076114361905*G0_0_0_0_3 + 0.000412206840778337*G0_0_0_0_4 - 0.0225857475857515*G0_0_0_0_5 + 0.00657152371438202*G0_0_0_0_6 - 0.00452380952381033*G0_0_0_0_7 + 0.00193615907901658*G0_0_0_0_8 - 0.00192093620665082*G0_0_0_0_9 - 0.000773195058909485*G0_0_0_1_0 - 0.00266252266252333*G0_0_0_1_1 - 0.00016393659250806*G0_0_0_1_2 - 0.0027108605680039*G0_0_0_1_3 - 0.000933352361923944*G0_0_0_1_4 + 0.00108225108225126*G0_0_0_1_5 - 0.00137315065886519*G0_0_0_1_6 + 0.00292564578278915*G0_0_0_1_7 - 0.000695732838590118*G0_0_0_1_8 - 0.00133295276152442*G0_0_0_1_9 - 0.00185837971552291*G0_0_0_2_0 - 0.00016393659250806*G0_0_0_2_1 - 0.00124912124912165*G0_0_0_2_2 - 0.000643166357452137*G0_0_0_2_3 - 0.00330336330336394*G0_0_0_2_4 - 0.00261452832881446*G0_0_0_2_5 - 0.0017582417582421*G0_0_0_2_6 + 0.00386732315303809*G0_0_0_2_7 - 0.00193972693972726*G0_0_0_2_8 + 0.0023519337805056*G0_0_0_2_9 + 0.000400076114361905*G0_0_0_3_0 - 0.0027108605680039*G0_0_0_3_1 - 0.000643166357452137*G0_0_0_3_2 + 0.000916226630512692*G0_0_0_3_3 + 0.0129834451263045*G0_0_0_3_4 - 0.00244897959183714*G0_0_0_3_5 + 0.00457042957043038*G0_0_0_3_6 - 0.000749250749250897*G0_0_0_3_7 - 0.0055209076637657*G0_0_0_3_8 + 0.00549735978307504*G0_0_0_3_9 + 0.000412206840778337*G0_0_0_4_0 - 0.000933352361923943*G0_0_0_4_1 - 0.00330336330336394*G0_0_0_4_2 + 0.0129834451263045*G0_0_0_4_3 - 0.00253888968174736*G0_0_0_4_4 - 0.000785642928500189*G0_0_0_4_5 - 0.00378478664193019*G0_0_0_4_6 - 0.00664478378764205*G0_0_0_4_7 + 0.0062701584130166*G0_0_0_4_8 - 0.00548451548451641*G0_0_0_4_9 - 0.0225857475857515*G0_0_0_5_0 + 0.00108225108225126*G0_0_0_5_1 - 0.00261452832881446*G0_0_0_5_2 - 0.00244897959183714*G0_0_0_5_3 - 0.000785642928500189*G0_0_0_5_4 + 0.0141201655487392*G0_0_0_5_5 + 0.0255323248180434*G0_0_0_5_6 + 0.0139467675181984*G0_0_0_5_7 - 0.00279577565291896*G0_0_0_5_8 + 0.0113543599257904*G0_0_0_5_9 + 0.00657152371438202*G0_0_0_6_0 - 0.00137315065886519*G0_0_0_6_1 - 0.0017582417582421*G0_0_0_6_2 + 0.00457042957043038*G0_0_0_6_3 - 0.00378478664193019*G0_0_0_6_4 + 0.0255323248180434*G0_0_0_6_5 + 0.00843014128728536*G0_0_0_6_6 - 0.0111509918652794*G0_0_0_6_7 + 0.00474382760097126*G0_0_0_6_8 - 0.0161966604823775*G0_0_0_6_9 - 0.00452380952381033*G0_0_0_7_0 + 0.00292564578278915*G0_0_0_7_1 + 0.00386732315303809*G0_0_0_7_2 - 0.000749250749250897*G0_0_0_7_3 - 0.00664478378764205*G0_0_0_7_4 + 0.0139467675181984*G0_0_0_7_5 - 0.0111509918652794*G0_0_0_7_6 + 0.0567075781361591*G0_0_0_7_7 - 0.00919651776794794*G0_0_0_7_8 + 0.0280647923505113*G0_0_0_7_9 + 0.00193615907901658*G0_0_0_8_0 - 0.000695732838590118*G0_0_0_8_1 - 0.00193972693972726*G0_0_0_8_2 - 0.0055209076637657*G0_0_0_8_3 + 0.0062701584130166*G0_0_0_8_4 - 0.00279577565291896*G0_0_0_8_5 + 0.00474382760097126*G0_0_0_8_6 - 0.00919651776794794*G0_0_0_8_7 - 0.0128314542600276*G0_0_0_8_8 - 0.00854145854145995*G0_0_0_8_9 - 0.00192093620665082*G0_0_0_9_0 - 0.00133295276152442*G0_0_0_9_1 + 0.0023519337805056*G0_0_0_9_2 + 0.00549735978307504*G0_0_0_9_3 - 0.00548451548451642*G0_0_0_9_4 + 0.0113543599257904*G0_0_0_9_5 - 0.0161966604823775*G0_0_0_9_6 + 0.0280647923505113*G0_0_0_9_7 - 0.00854145854145994*G0_0_0_9_8 - 0.0117140002854308*G0_0_0_9_9 + 0.121480001480023*G0_0_1_0_0 + 0.00115664758521923*G0_0_1_0_1 + 0.0011566475852192*G0_0_1_0_2 + 0.000988059559488265*G0_0_1_0_3 + 0.0009880595594883*G0_0_1_0_4 + 0.00539294039294133*G0_0_1_0_5 - 0.00647875933590331*G0_0_1_0_6 + 0.00539294039294146*G0_0_1_0_7 - 0.00647875933590336*G0_0_1_0_8 - 0.00719566148137691*G0_0_1_0_9 + 0.00115664758521923*G0_0_1_1_0 - 0.00171606171606225*G0_0_1_1_1 - 0.000215340215340265*G0_0_1_1_2 - 0.0033404690547554*G0_0_1_1_3 - 0.000668141382427184*G0_0_1_1_4 - 0.00104704818990548*G0_0_1_1_5 - 0.00131321059892512*G0_0_1_1_6 - 0.00349293563579331*G0_0_1_1_7 - 0.000312544598258987*G0_0_1_1_8 + 0.00267589553303883*G0_0_1_1_9 + 0.0011566475852192*G0_0_1_2_0 - 0.000215340215340265*G0_0_1_2_1 - 0.00171606171606217*G0_0_1_2_2 - 0.000668141382427174*G0_0_1_2_3 - 0.00334046905475541*G0_0_1_2_4 - 0.00349293563579336*G0_0_1_2_5 - 0.000312544598258976*G0_0_1_2_6 - 0.00104704818990549*G0_0_1_2_7 - 0.0013132105989251*G0_0_1_2_8 + 0.00267589553303884*G0_0_1_2_9 + 0.000988059559488265*G0_0_1_3_0 - 0.0033404690547554*G0_0_1_3_1 - 0.000668141382427173*G0_0_1_3_2 + 2.35478806908133e-05*G0_0_1_3_3 + 0.011988011988014*G0_0_1_3_4 - 0.000372484658199072*G0_0_1_3_5 + 0.00486156700442499*G0_0_1_3_6 - 0.00204224347081523*G0_0_1_3_7 - 0.00281932353360966*G0_0_1_3_8 - 0.00394319965748597*G0_0_1_3_9 + 0.0009880595594883*G0_0_1_4_0 - 0.000668141382427184*G0_0_1_4_1 - 0.00334046905475541*G0_0_1_4_2 + 0.011988011988014*G0_0_1_4_3 + 2.35478806906484e-05*G0_0_1_4_4 - 0.00204224347081522*G0_0_1_4_5 - 0.00281932353360974*G0_0_1_4_6 - 0.000372484658199027*G0_0_1_4_7 + 0.00486156700442493*G0_0_1_4_8 - 0.00394319965748606*G0_0_1_4_9 + 0.00539294039294133*G0_0_1_5_0 - 0.00104704818990548*G0_0_1_5_1 - 0.00349293563579337*G0_0_1_5_2 - 0.000372484658199071*G0_0_1_5_3 - 0.00204224347081522*G0_0_1_5_4 - 0.192688026259487*G0_0_1_5_5 + 0.026756814613962*G0_0_1_5_6 - 0.00812615955473221*G0_0_1_5_7 + 0.00406307977736613*G0_0_1_5_8 + 0.0134608248893986*G0_0_1_5_9 - 0.00647875933590331*G0_0_1_6_0 - 0.00131321059892512*G0_0_1_6_1 - 0.000312544598258976*G0_0_1_6_2 + 0.00486156700442499*G0_0_1_6_3 - 0.00281932353360974*G0_0_1_6_4 + 0.026756814613962*G0_0_1_6_5 - 0.0106586270872004*G0_0_1_6_6 + 0.00406307977736611*G0_0_1_6_7 + 0.0034786641929505*G0_0_1_6_8 - 0.0177508206079665*G0_0_1_6_9 + 0.00539294039294146*G0_0_1_7_0 - 0.00349293563579332*G0_0_1_7_1 - 0.00104704818990549*G0_0_1_7_2 - 0.00204224347081523*G0_0_1_7_3 - 0.000372484658199027*G0_0_1_7_4 - 0.00812615955473222*G0_0_1_7_5 + 0.00406307977736611*G0_0_1_7_6 - 0.192688026259487*G0_0_1_7_7 + 0.0267568146139618*G0_0_1_7_8 + 0.0134608248893986*G0_0_1_7_9 - 0.00647875933590336*G0_0_1_8_0 - 0.000312544598258986*G0_0_1_8_1 - 0.0013132105989251*G0_0_1_8_2 - 0.00281932353360966*G0_0_1_8_3 + 0.00486156700442493*G0_0_1_8_4 + 0.00406307977736613*G0_0_1_8_5 + 0.0034786641929505*G0_0_1_8_6 + 0.0267568146139618*G0_0_1_8_7 - 0.0106586270871999*G0_0_1_8_8 - 0.0177508206079664*G0_0_1_8_9 - 0.00719566148137691*G0_0_1_9_0 + 0.00267589553303883*G0_0_1_9_1 + 0.00267589553303884*G0_0_1_9_2 - 0.00394319965748597*G0_0_1_9_3 - 0.00394319965748606*G0_0_1_9_4 + 0.0134608248893986*G0_0_1_9_5 - 0.0177508206079665*G0_0_1_9_6 + 0.0134608248893986*G0_0_1_9_7 - 0.0177508206079664*G0_0_1_9_8 + 0.079608962466119*G0_0_1_9_9 + 0.00246938246938288*G0_1_0_0_0 + 0.000236641665213126*G0_1_0_0_1 + 0.00023664166521313*G0_1_0_0_2 - 0.000149136577708023*G0_1_0_0_3 - 0.000149136577708032*G0_1_0_0_4 + 0.00555944055944149*G0_1_0_0_5 - 0.00172684458398773*G0_1_0_0_6 + 0.0055594405594415*G0_1_0_0_7 - 0.00172684458398773*G0_1_0_0_8 + 0.00431283002711647*G0_1_0_0_9 + 0.000236641665213126*G0_1_0_1_0 - 0.00312946312946391*G0_1_0_1_1 + 4.18364704079028e-05*G0_1_0_1_2 - 0.00273060273060322*G0_1_0_1_3 - 0.00112078397792701*G0_1_0_1_4 + 0.000240473811902417*G0_1_0_1_5 - 0.00307121449978647*G0_1_0_1_6 + 0.00234241948527705*G0_1_0_1_7 + 0.000732600732600805*G0_1_0_1_8 - 0.00114171542742993*G0_1_0_1_9 + 0.00023664166521313*G0_1_0_2_0 + 4.18364704079028e-05*G0_1_0_2_1 - 0.00312946312946367*G0_1_0_2_2 - 0.00112078397792702*G0_1_0_2_3 - 0.00273060273060318*G0_1_0_2_4 + 0.00234241948527703*G0_1_0_2_5 + 0.000732600732600865*G0_1_0_2_6 + 0.000240473811902422*G0_1_0_2_7 - 0.00307121449978644*G0_1_0_2_8 - 0.00114171542742989*G0_1_0_2_9 - 0.000149136577708023*G0_1_0_3_0 - 0.00273060273060322*G0_1_0_3_1 - 0.00112078397792702*G0_1_0_3_2 + 0.00151776794633988*G0_1_0_3_3 + 0.0143492222063674*G0_1_0_3_4 + 0.000370343941772574*G0_1_0_3_5 + 0.00819894391323106*G0_1_0_3_6 - 0.000567289853004249*G0_1_0_3_7 - 0.00763165406022675*G0_1_0_3_8 + 0.00455972598829827*G0_1_0_3_9 - 0.000149136577708032*G0_1_0_4_0 - 0.00112078397792701*G0_1_0_4_1 - 0.00273060273060318*G0_1_0_4_2 + 0.0143492222063674*G0_1_0_4_3 + 0.00151776794633967*G0_1_0_4_4 - 0.00056728985300423*G0_1_0_4_5 - 0.00763165406022683*G0_1_0_4_6 + 0.000370343941772577*G0_1_0_4_7 + 0.008198943913231*G0_1_0_4_8 + 0.00455972598829816*G0_1_0_4_9 + 0.00555944055944149*G0_1_0_5_0 + 0.000240473811902417*G0_1_0_5_1 + 0.00234241948527703*G0_1_0_5_2 + 0.000370343941772574*G0_1_0_5_3 - 0.00056728985300423*G0_1_0_5_4 - 0.00393677750820691*G0_1_0_5_5 - 0.00805337519623372*G0_1_0_5_6 + 0.00347224204367117*G0_1_0_5_7 - 0.00173612102183558*G0_1_0_5_8 - 0.00946624803767825*G0_1_0_5_9 - 0.00172684458398773*G0_1_0_6_0 - 0.00307121449978647*G0_1_0_6_1 + 0.000732600732600865*G0_1_0_6_2 + 0.00819894391323106*G0_1_0_6_3 - 0.00763165406022683*G0_1_0_6_4 - 0.00805337519623372*G0_1_0_6_5 - 0.0238069073783405*G0_1_0_6_6 - 0.0017361210218356*G0_1_0_6_7 + 0.00972099329242352*G0_1_0_6_8 - 0.0129727415441725*G0_1_0_6_9 + 0.0055594405594415*G0_1_0_7_0 + 0.00234241948527705*G0_1_0_7_1 + 0.000240473811902422*G0_1_0_7_2 - 0.000567289853004249*G0_1_0_7_3 + 0.000370343941772577*G0_1_0_7_4 + 0.00347224204367117*G0_1_0_7_5 - 0.0017361210218356*G0_1_0_7_6 - 0.00393677750820676*G0_1_0_7_7 - 0.00805337519623373*G0_1_0_7_8 - 0.00946624803767824*G0_1_0_7_9 - 0.00172684458398773*G0_1_0_8_0 + 0.000732600732600805*G0_1_0_8_1 - 0.00307121449978644*G0_1_0_8_2 - 0.00763165406022675*G0_1_0_8_3 + 0.008198943913231*G0_1_0_8_4 - 0.00173612102183558*G0_1_0_8_5 + 0.00972099329242352*G0_1_0_8_6 - 0.00805337519623373*G0_1_0_8_7 - 0.0238069073783397*G0_1_0_8_8 - 0.0129727415441722*G0_1_0_8_9 + 0.00431283002711647*G0_1_0_9_0 - 0.00114171542742993*G0_1_0_9_1 - 0.00114171542742989*G0_1_0_9_2 + 0.00455972598829827*G0_1_0_9_3 + 0.00455972598829816*G0_1_0_9_4 - 0.00946624803767825*G0_1_0_9_5 - 0.0129727415441725*G0_1_0_9_6 - 0.00946624803767824*G0_1_0_9_7 - 0.0129727415441722*G0_1_0_9_8 - 0.0410760667903596*G0_1_0_9_9 - 0.0185429385429415*G0_1_1_0_0 - 0.00185837971552289*G0_1_1_0_1 - 0.000773195058909467*G0_1_1_0_2 + 0.000412206840778354*G0_1_1_0_3 + 0.000400076114361889*G0_1_1_0_4 - 0.00452380952381021*G0_1_1_0_5 + 0.0019361590790165*G0_1_1_0_6 - 0.0225857475857513*G0_1_1_0_7 + 0.00657152371438192*G0_1_1_0_8 - 0.00192093620665082*G0_1_1_0_9 - 0.00185837971552289*G0_1_1_1_0 - 0.00124912124912174*G0_1_1_1_1 - 0.000163936592508057*G0_1_1_1_2 - 0.00330336330336394*G0_1_1_1_3 - 0.000643166357452142*G0_1_1_1_4 + 0.00386732315303811*G0_1_1_1_5 - 0.00193972693972728*G0_1_1_1_6 - 0.00261452832881443*G0_1_1_1_7 - 0.00175824175824213*G0_1_1_1_8 + 0.00235193378050558*G0_1_1_1_9 - 0.000773195058909467*G0_1_1_2_0 - 0.000163936592508057*G0_1_1_2_1 - 0.00266252266252312*G0_1_1_2_2 - 0.000933352361923945*G0_1_1_2_3 - 0.00271086056800388*G0_1_1_2_4 + 0.00292564578278915*G0_1_1_2_5 - 0.000695732838590117*G0_1_1_2_6 + 0.00108225108225128*G0_1_1_2_7 - 0.00137315065886517*G0_1_1_2_8 - 0.00133295276152439*G0_1_1_2_9 + 0.000412206840778354*G0_1_1_3_0 - 0.00330336330336394*G0_1_1_3_1 - 0.000933352361923945*G0_1_1_3_2 - 0.00253888968174718*G0_1_1_3_3 + 0.0129834451263044*G0_1_1_3_4 - 0.00664478378764206*G0_1_1_3_5 + 0.00627015841301665*G0_1_1_3_6 - 0.000785642928500213*G0_1_1_3_7 - 0.0037847866419301*G0_1_1_3_8 - 0.00548451548451632*G0_1_1_3_9 + 0.000400076114361889*G0_1_1_4_0 - 0.000643166357452142*G0_1_1_4_1 - 0.00271086056800388*G0_1_1_4_2 + 0.0129834451263044*G0_1_1_4_3 + 0.000916226630512507*G0_1_1_4_4 - 0.000749250749250871*G0_1_1_4_5 - 0.00552090766376579*G0_1_1_4_6 - 0.00244897959183716*G0_1_1_4_7 + 0.00457042957043031*G0_1_1_4_8 + 0.00549735978307492*G0_1_1_4_9 - 0.00452380952381021*G0_1_1_5_0 + 0.0038673231530381*G0_1_1_5_1 + 0.00292564578278915*G0_1_1_5_2 - 0.00664478378764206*G0_1_1_5_3 - 0.000749250749250872*G0_1_1_5_4 + 0.0567075781361593*G0_1_1_5_5 - 0.00919651776794787*G0_1_1_5_6 + 0.0139467675181985*G0_1_1_5_7 - 0.0111509918652795*G0_1_1_5_8 + 0.0280647923505115*G0_1_1_5_9 + 0.0019361590790165*G0_1_1_6_0 - 0.00193972693972728*G0_1_1_6_1 - 0.000695732838590117*G0_1_1_6_2 + 0.00627015841301665*G0_1_1_6_3 - 0.00552090766376579*G0_1_1_6_4 - 0.00919651776794787*G0_1_1_6_5 - 0.0128314542600282*G0_1_1_6_6 - 0.00279577565291901*G0_1_1_6_7 + 0.00474382760097128*G0_1_1_6_8 - 0.00854145854146012*G0_1_1_6_9 - 0.0225857475857513*G0_1_1_7_0 - 0.00261452832881443*G0_1_1_7_1 + 0.00108225108225128*G0_1_1_7_2 - 0.000785642928500212*G0_1_1_7_3 - 0.00244897959183716*G0_1_1_7_4 + 0.0139467675181985*G0_1_1_7_5 - 0.00279577565291901*G0_1_1_7_6 + 0.0141201655487397*G0_1_1_7_7 + 0.0255323248180433*G0_1_1_7_8 + 0.0113543599257905*G0_1_1_7_9 + 0.00657152371438192*G0_1_1_8_0 - 0.00175824175824213*G0_1_1_8_1 - 0.00137315065886517*G0_1_1_8_2 - 0.0037847866419301*G0_1_1_8_3 + 0.00457042957043031*G0_1_1_8_4 - 0.0111509918652795*G0_1_1_8_5 + 0.00474382760097128*G0_1_1_8_6 + 0.0255323248180433*G0_1_1_8_7 + 0.00843014128728594*G0_1_1_8_8 - 0.0161966604823774*G0_1_1_8_9 - 0.00192093620665082*G0_1_1_9_0 + 0.00235193378050558*G0_1_1_9_1 - 0.00133295276152439*G0_1_1_9_2 - 0.00548451548451632*G0_1_1_9_3 + 0.00549735978307492*G0_1_1_9_4 + 0.0280647923505115*G0_1_1_9_5 - 0.00854145854146012*G0_1_1_9_6 + 0.0113543599257905*G0_1_1_9_7 - 0.0161966604823774*G0_1_1_9_8 - 0.0117140002854306*G0_1_1_9_9;
    A[211] = -A[181] - 0.00662871520014488*G0_0_0_0_0 + 0.00135469468802827*G0_0_0_0_1 - 0.00156193013335897*G0_0_0_0_2 + 0.00424591281734213*G0_0_0_0_3 - 0.00317999460856658*G0_0_0_0_4 - 0.00683538683538802*G0_0_0_0_5 + 0.00315938030223796*G0_0_0_0_6 - 0.00254697683269156*G0_0_0_0_7 + 0.00295133437990632*G0_0_0_0_8 + 0.000563246277532078*G0_0_0_0_9 + 0.00135469468802827*G0_0_0_1_0 + 0.0332013665347058*G0_0_0_1_1 + 0.00295334295334346*G0_0_0_1_2 + 0.0359529359529421*G0_0_0_1_3 - 0.0170140970140999*G0_0_0_1_4 - 0.00247308247308289*G0_0_0_1_5 - 0.00346542346542406*G0_0_0_1_6 - 0.00751248751248885*G0_0_0_1_7 + 0.0140193140193165*G0_0_0_1_8 - 0.00109224109224124*G0_0_0_1_9 - 0.00156193013335897*G0_0_0_2_0 + 0.00295334295334346*G0_0_0_2_1 - 0.00452880452880526*G0_0_0_2_2 + 0.00741353884211152*G0_0_0_2_3 - 0.00547642833357211*G0_0_0_2_4 + 0.0029786086928949*G0_0_0_2_5 - 0.00548150262436069*G0_0_0_2_6 - 0.00149406149406175*G0_0_0_2_7 + 0.0028672914387205*G0_0_0_2_8 + 0.00294562580276916*G0_0_0_2_9 + 0.00424591281734213*G0_0_0_3_0 + 0.0359529359529421*G0_0_0_3_1 + 0.00741353884211152*G0_0_0_3_2 + 0.0798401598401735*G0_0_0_3_3 - 0.0197202797202831*G0_0_0_3_4 - 0.00205508776937386*G0_0_0_3_5 + 0.00918795490224212*G0_0_0_3_6 - 0.0139460539460563*G0_0_0_3_7 + 0.0237562437562479*G0_0_0_3_8 + 0.0311688311688365*G0_0_0_3_9 - 0.00317999460856658*G0_0_0_4_0 - 0.0170140970140999*G0_0_0_4_1 - 0.00547642833357211*G0_0_0_4_2 - 0.0197202797202831*G0_0_0_4_3 - 0.0191979449122337*G0_0_0_4_4 + 0.00833166833166973*G0_0_0_4_5 - 0.0175196232339119*G0_0_0_4_6 + 0.00761524190095748*G0_0_0_4_7 - 0.0098101898101915*G0_0_0_4_8 - 0.0255002140716469*G0_0_0_4_9 - 0.00683538683538802*G0_0_0_5_0 - 0.00247308247308289*G0_0_0_5_1 + 0.0029786086928949*G0_0_0_5_2 - 0.00205508776937386*G0_0_0_5_3 + 0.00833166833166973*G0_0_0_5_4 - 0.12192379049524*G0_0_0_5_5 + 0.00776081061795477*G0_0_0_5_6 - 0.0094848009133739*G0_0_0_5_7 + 0.00621093192521866*G0_0_0_5_8 - 0.0141116026830336*G0_0_0_5_9 + 0.00315938030223796*G0_0_0_6_0 - 0.00346542346542406*G0_0_0_6_1 - 0.00548150262436069*G0_0_0_6_2 + 0.00918795490224212*G0_0_0_6_3 - 0.0175196232339119*G0_0_0_6_4 + 0.00776081061795477*G0_0_0_6_5 - 0.120468103325266*G0_0_0_6_6 + 0.00327386898815523*G0_0_0_6_7 + 0.0015013557870703*G0_0_0_6_8 - 0.0272127872127917*G0_0_0_6_9 - 0.00254697683269156*G0_0_0_7_0 - 0.00751248751248885*G0_0_0_7_1 - 0.00149406149406175*G0_0_0_7_2 - 0.0139460539460563*G0_0_0_7_3 + 0.00761524190095748*G0_0_0_7_4 - 0.0094848009133739*G0_0_0_7_5 + 0.00327386898815524*G0_0_0_7_6 + 0.00230055658627129*G0_0_0_7_7 - 0.00679320679320798*G0_0_0_7_8 - 0.00823747680890676*G0_0_0_7_9 + 0.00295133437990632*G0_0_0_8_0 + 0.0140193140193165*G0_0_0_8_1 + 0.0028672914387205*G0_0_0_8_2 + 0.0237562437562478*G0_0_0_8_3 - 0.0098101898101915*G0_0_0_8_4 + 0.00621093192521866*G0_0_0_8_5 + 0.0015013557870703*G0_0_0_8_6 - 0.00679320679320798*G0_0_0_8_7 + 0.0208991008991046*G0_0_0_8_8 + 0.0228971028971068*G0_0_0_8_9 + 0.000563246277532077*G0_0_0_9_0 - 0.00109224109224124*G0_0_0_9_1 + 0.00294562580276916*G0_0_0_9_2 + 0.0311688311688365*G0_0_0_9_3 - 0.0255002140716469*G0_0_0_9_4 - 0.0141116026830336*G0_0_0_9_5 - 0.0272127872127917*G0_0_0_9_6 - 0.00823747680890676*G0_0_0_9_7 + 0.0228971028971068*G0_0_0_9_8 - 0.0139745968317419*G0_0_0_9_9 - 0.00209991067133959*G0_1_0_0_0 - 0.00159864826531521*G0_1_0_0_1 + 0.00137862137862162*G0_1_0_0_3 - 0.00168593311450483*G0_1_0_0_4 - 0.00135388421102729*G0_1_0_0_5 + 0.000180771609343063*G0_1_0_0_6 + 0.00292945150088056*G0_1_0_0_7 - 0.00446220446220522*G0_1_0_0_8 - 0.00238237952523707*G0_1_0_0_9 - 0.00159864826531521*G0_1_0_1_0 + 0.0015986482653152*G0_1_0_1_2 + 0.0219336219336257*G0_1_0_1_3 - 0.00950160950161111*G0_1_0_1_4 + 0.00099234099234117*G0_1_0_1_5 - 0.000992340992341169*G0_1_0_1_6 + 0.0095016095016111*G0_1_0_1_7 - 0.0219336219336256*G0_1_0_1_8 + 0.0015986482653152*G0_1_0_2_1 + 0.00209991067133959*G0_1_0_2_2 + 0.00446220446220522*G0_1_0_2_3 - 0.00292945150088056*G0_1_0_2_4 - 0.000180771609343067*G0_1_0_2_5 + 0.00135388421102729*G0_1_0_2_6 + 0.00168593311450482*G0_1_0_2_7 - 0.0013786213786216*G0_1_0_2_8 + 0.00238237952523707*G0_1_0_2_9 + 0.00137862137862162*G0_1_0_3_0 + 0.0219336219336257*G0_1_0_3_1 + 0.00446220446220522*G0_1_0_3_2 + 0.0589410589410691*G0_1_0_3_3 - 0.0129270729270752*G0_1_0_3_4 - 0.00355644355644415*G0_1_0_3_5 + 0.00297702297702347*G0_1_0_3_6 - 0.00413586413586487*G0_1_0_3_7 + 0.00827172827172971*G0_1_0_3_9 - 0.00168593311450483*G0_1_0_4_0 - 0.00950160950161111*G0_1_0_4_1 - 0.00292945150088056*G0_1_0_4_2 - 0.0129270729270752*G0_1_0_4_3 - 0.021498501498505*G0_1_0_4_4 + 0.00505779934351447*G0_1_0_4_5 - 0.00803482232053794*G0_1_0_4_6 + 0.0041358641358648*G0_1_0_4_8 - 0.0172627372627402*G0_1_0_4_9 - 0.00135388421102729*G0_1_0_5_0 + 0.000992340992341169*G0_1_0_5_1 - 0.000180771609343067*G0_1_0_5_2 - 0.00355644355644415*G0_1_0_5_3 + 0.00505779934351447*G0_1_0_5_4 - 0.00145568716997312*G0_1_0_5_5 + 0.00803482232053795*G0_1_0_5_7 - 0.00297702297702346*G0_1_0_5_8 + 0.0131011845297582*G0_1_0_5_9 + 0.000180771609343063*G0_1_0_6_0 - 0.000992340992341169*G0_1_0_6_1 + 0.00135388421102729*G0_1_0_6_2 + 0.00297702297702347*G0_1_0_6_3 - 0.00803482232053794*G0_1_0_6_4 + 0.00145568716997313*G0_1_0_6_6 - 0.00505779934351446*G0_1_0_6_7 + 0.00355644355644414*G0_1_0_6_8 - 0.0131011845297582*G0_1_0_6_9 + 0.00292945150088056*G0_1_0_7_0 + 0.0095016095016111*G0_1_0_7_1 + 0.00168593311450482*G0_1_0_7_2 - 0.00413586413586487*G0_1_0_7_3 + 0.00803482232053795*G0_1_0_7_5 - 0.00505779934351446*G0_1_0_7_6 + 0.0214985014985051*G0_1_0_7_7 + 0.0129270729270751*G0_1_0_7_8 + 0.0172627372627402*G0_1_0_7_9 - 0.00446220446220522*G0_1_0_8_0 - 0.0219336219336256*G0_1_0_8_1 - 0.0013786213786216*G0_1_0_8_2 + 0.0041358641358648*G0_1_0_8_4 - 0.00297702297702346*G0_1_0_8_5 + 0.00355644355644414*G0_1_0_8_6 + 0.0129270729270751*G0_1_0_8_7 - 0.0589410589410688*G0_1_0_8_8 - 0.00827172827172966*G0_1_0_8_9 - 0.00238237952523707*G0_1_0_9_0 + 0.00238237952523707*G0_1_0_9_2 + 0.00827172827172971*G0_1_0_9_3 - 0.0172627372627402*G0_1_0_9_4 + 0.0131011845297582*G0_1_0_9_5 - 0.0131011845297582*G0_1_0_9_6 + 0.0172627372627402*G0_1_0_9_7 - 0.00827172827172966*G0_1_0_9_8;
    A[16] = 0.00212020122734446*G0_0_0_0_0 + 0.00505480245063667*G0_0_0_0_1 + 0.000609996815354063*G0_0_0_0_2 + 0.00327664233914291*G0_0_0_0_3 - 0.00139091232841257*G0_0_0_0_4 + 0.000907706711278298*G0_0_0_0_5 - 0.000483709412280923*G0_0_0_0_6 - 0.00193059255559289*G0_0_0_0_7 + 0.0049455174455183*G0_0_0_0_8 + 0.00107184482184501*G0_0_0_0_9 + 0.00505480245063667*G0_0_0_1_0 + 0.106054978971664*G0_0_0_1_1 + 0.00505480245063664*G0_0_0_1_2 + 0.0477428821178903*G0_0_0_1_3 - 0.022224997225001*G0_0_0_1_4 - 0.00074988668738685*G0_0_0_1_5 - 0.000749886687386799*G0_0_0_1_6 - 0.0222249972250011*G0_0_0_1_7 + 0.0477428821178903*G0_0_0_1_8 + 0.00658577533577648*G0_0_0_1_9 + 0.000609996815354063*G0_0_0_2_0 + 0.00505480245063664*G0_0_0_2_1 + 0.00212020122734444*G0_0_0_2_2 + 0.00494551744551828*G0_0_0_2_3 - 0.00193059255559288*G0_0_0_2_4 - 0.000483709412280921*G0_0_0_2_5 + 0.000907706711278292*G0_0_0_2_6 - 0.00139091232841256*G0_0_0_2_7 + 0.00327664233914289*G0_0_0_2_8 + 0.00107184482184501*G0_0_0_2_9 + 0.00327664233914291*G0_0_0_3_0 + 0.0477428821178903*G0_0_0_3_1 + 0.00494551744551828*G0_0_0_3_2 + 0.0567786380286477*G0_0_0_3_3 - 0.0240733225108266*G0_0_0_3_4 - 0.00160776723276751*G0_0_0_3_5 - 0.00211507242757278*G0_0_0_3_6 - 0.0141946595071619*G0_0_0_3_7 + 0.0283893190143239*G0_0_0_3_8 + 0.0086319930069945*G0_0_0_3_9 - 0.00139091232841257*G0_0_0_4_0 - 0.022224997225001*G0_0_0_4_1 - 0.00193059255559288*G0_0_0_4_2 - 0.0240733225108266*G0_0_0_4_3 + 0.0128475690975713*G0_0_0_4_4 - 0.000191995504495532*G0_0_0_4_5 + 0.00230706793206832*G0_0_0_4_6 + 0.00635510323010431*G0_0_0_4_7 - 0.0141946595071619*G0_0_0_4_8 - 0.00283154345654395*G0_0_0_4_9 + 0.000907706711278298*G0_0_0_5_0 - 0.00074988668738685*G0_0_0_5_1 - 0.000483709412280921*G0_0_0_5_2 - 0.00160776723276751*G0_0_0_5_3 - 0.000191995504495532*G0_0_0_5_4 + 0.00947475143903874*G0_0_0_5_5 - 0.00193593608772213*G0_0_0_5_6 + 0.00230706793206833*G0_0_0_5_7 - 0.0021150724275728*G0_0_0_5_8 + 0.00101461038961056*G0_0_0_5_9 - 0.000483709412280923*G0_0_0_6_0 - 0.000749886687386799*G0_0_0_6_1 + 0.000907706711278292*G0_0_0_6_2 - 0.00211507242757278*G0_0_0_6_3 + 0.00230706793206832*G0_0_0_6_4 - 0.00193593608772213*G0_0_0_6_5 + 0.00947475143903874*G0_0_0_6_6 - 0.000191995504495541*G0_0_0_6_7 - 0.00160776723276749*G0_0_0_6_8 + 0.00101461038961055*G0_0_0_6_9 - 0.00193059255559289*G0_0_0_7_0 - 0.0222249972250011*G0_0_0_7_1 - 0.00139091232841256*G0_0_0_7_2 - 0.0141946595071619*G0_0_0_7_3 + 0.00635510323010431*G0_0_0_7_4 + 0.00230706793206833*G0_0_0_7_5 - 0.000191995504495541*G0_0_0_7_6 + 0.0128475690975713*G0_0_0_7_7 - 0.0240733225108266*G0_0_0_7_8 - 0.00283154345654395*G0_0_0_7_9 + 0.0049455174455183*G0_0_0_8_0 + 0.0477428821178903*G0_0_0_8_1 + 0.00327664233914289*G0_0_0_8_2 + 0.0283893190143239*G0_0_0_8_3 - 0.0141946595071619*G0_0_0_8_4 - 0.0021150724275728*G0_0_0_8_5 - 0.00160776723276749*G0_0_0_8_6 - 0.0240733225108266*G0_0_0_8_7 + 0.0567786380286477*G0_0_0_8_8 + 0.00863199300699449*G0_0_0_8_9 + 0.00107184482184501*G0_0_0_9_0 + 0.00658577533577648*G0_0_0_9_1 + 0.00107184482184501*G0_0_0_9_2 + 0.0086319930069945*G0_0_0_9_3 - 0.00283154345654395*G0_0_0_9_4 + 0.00101461038961056*G0_0_0_9_5 + 0.00101461038961055*G0_0_0_9_6 - 0.00283154345654395*G0_0_0_9_7 + 0.00863199300699449*G0_0_0_9_8 + 0.0118756243756264*G0_0_0_9_9;
    A[70] = A[157] + 0.0158804158804187*G0_0_0_0_0 + 0.00169444312301486*G0_0_0_0_2 + 0.00068217496788935*G0_0_0_0_3 - 0.00178535749964351*G0_0_0_0_4 + 0.0198748870177476*G0_0_0_0_5 - 0.00750487607630595*G0_0_0_0_6 + 0.00382807668522024*G0_0_0_0_7 + 0.00098948670377254*G0_0_0_0_8 + 0.000587983445126403*G0_0_0_0_9 - 0.0158804158804182*G0_0_0_1_1 - 0.00169444312301482*G0_0_0_1_2 - 0.0198748870177475*G0_0_0_1_3 + 0.00750487607630592*G0_0_0_1_4 - 0.000682174967889364*G0_0_0_1_5 + 0.00178535749964353*G0_0_0_1_6 - 0.000989486703772578*G0_0_0_1_7 - 0.0038280766852202*G0_0_0_1_8 - 0.000587983445126422*G0_0_0_1_9 + 0.00169444312301486*G0_0_0_2_0 - 0.00169444312301482*G0_0_0_2_1 - 0.00197136197136239*G0_0_0_2_3 + 0.00154512154512195*G0_0_0_2_4 + 0.00197136197136224*G0_0_0_2_5 - 0.00154512154512167*G0_0_0_2_6 - 0.00580705009276534*G0_0_0_2_7 + 0.00580705009276533*G0_0_0_2_8 + 0.00068217496788935*G0_0_0_3_0 - 0.0198748870177475*G0_0_0_3_1 - 0.00197136197136239*G0_0_0_3_2 + 0.0132039389182262*G0_0_0_3_3 + 0.012548879691739*G0_0_0_3_4 - 0.00535607249893059*G0_0_0_3_6 - 0.00204652490366804*G0_0_0_3_7 + 0.019467675181964*G0_0_0_3_8 + 0.00585700014271534*G0_0_0_3_9 - 0.00178535749964351*G0_0_0_4_0 + 0.00750487607630592*G0_0_0_4_1 + 0.00154512154512195*G0_0_0_4_2 + 0.012548879691739*G0_0_0_4_3 + 0.0109690309690328*G0_0_0_4_4 + 0.00535607249893053*G0_0_0_4_5 + 0.0113886113886133*G0_0_0_4_7 - 0.017421150278296*G0_0_0_4_8 - 0.0107121449978611*G0_0_0_4_9 + 0.0198748870177476*G0_0_0_5_0 - 0.000682174967889364*G0_0_0_5_1 + 0.00197136197136224*G0_0_0_5_2 + 0.00535607249893053*G0_0_0_5_4 - 0.0132039389182267*G0_0_0_5_5 - 0.012548879691739*G0_0_0_5_6 - 0.0194676751819641*G0_0_0_5_7 + 0.00204652490366808*G0_0_0_5_8 - 0.00585700014271535*G0_0_0_5_9 - 0.00750487607630595*G0_0_0_6_0 + 0.00178535749964353*G0_0_0_6_1 - 0.00154512154512167*G0_0_0_6_2 - 0.00535607249893059*G0_0_0_6_3 - 0.012548879691739*G0_0_0_6_5 - 0.0109690309690326*G0_0_0_6_6 + 0.017421150278296*G0_0_0_6_7 - 0.0113886113886133*G0_0_0_6_8 + 0.0107121449978611*G0_0_0_6_9 + 0.00382807668522024*G0_0_0_7_0 - 0.000989486703772578*G0_0_0_7_1 - 0.00580705009276534*G0_0_0_7_2 - 0.00204652490366804*G0_0_0_7_3 + 0.0113886113886133*G0_0_0_7_4 - 0.0194676751819641*G0_0_0_7_5 + 0.017421150278296*G0_0_0_7_6 - 0.0695390323961866*G0_0_0_7_7 - 0.0366062508919712*G0_0_0_7_9 + 0.000989486703772541*G0_0_0_8_0 - 0.0038280766852202*G0_0_0_8_1 + 0.00580705009276533*G0_0_0_8_2 + 0.019467675181964*G0_0_0_8_3 - 0.017421150278296*G0_0_0_8_4 + 0.00204652490366808*G0_0_0_8_5 - 0.0113886113886133*G0_0_0_8_6 + 0.0695390323961864*G0_0_0_8_8 + 0.0366062508919713*G0_0_0_8_9 + 0.000587983445126403*G0_0_0_9_0 - 0.000587983445126422*G0_0_0_9_1 + 0.00585700014271534*G0_0_0_9_3 - 0.0107121449978611*G0_0_0_9_4 - 0.00585700014271535*G0_0_0_9_5 + 0.0107121449978611*G0_0_0_9_6 - 0.0366062508919712*G0_0_0_9_7 + 0.0366062508919713*G0_0_0_9_8 - 0.121013061013082*G0_0_1_0_0 - 0.00216648430934184*G0_0_1_0_1 - 0.00136242064813516*G0_0_1_0_2 - 0.000146282289139432*G0_0_1_0_3 + 0.00071000428143298*G0_0_1_0_4 - 0.00537319823034201*G0_0_1_0_5 + 0.00666619095190638*G0_0_1_0_6 - 0.00682127396413238*G0_0_1_0_7 + 0.00706198563341546*G0_0_1_0_8 + 0.0070044241472824*G0_0_1_0_9 - 0.00216648430934184*G0_0_1_1_0 - 0.0192962592962622*G0_0_1_1_1 - 0.00187968116539575*G0_0_1_1_2 - 0.0248047190904375*G0_0_1_1_3 + 0.00896650968079688*G0_0_1_1_4 + 0.00159626088197542*G0_0_1_1_5 + 0.00187455401741148*G0_0_1_1_6 + 0.0071559392987976*G0_0_1_1_7 - 0.00977070548499278*G0_0_1_1_8 - 0.00890966176680614*G0_0_1_1_9 - 0.00136242064813516*G0_0_1_2_0 - 0.00187968116539575*G0_0_1_2_1 + 0.00359640359640436*G0_0_1_2_2 - 0.00428880643166434*G0_0_1_2_3 + 0.000849626563912495*G0_0_1_2_4 + 0.00397055325626822*G0_0_1_2_5 - 0.000260215974501726*G0_0_1_2_6 + 0.00217853574996467*G0_0_1_2_7 + 0.00494005994006075*G0_0_1_2_8 + 0.00081775367489666*G0_0_1_2_9 - 0.000146282289139432*G0_0_1_3_0 - 0.0248047190904375*G0_0_1_3_1 - 0.00428880643166434*G0_0_1_3_2 + 0.0180333951762548*G0_0_1_3_3 + 0.0215976880262631*G0_0_1_3_4 - 0.00244683887541063*G0_0_1_3_5 - 0.00507992007992093*G0_0_1_3_6 + 0.000982588839731899*G0_0_1_3_7 + 0.0132938490081368*G0_0_1_3_8 + 0.0247638076209545*G0_0_1_3_9 + 0.00071000428143298*G0_0_1_4_0 + 0.00896650968079688*G0_0_1_4_1 + 0.000849626563912495*G0_0_1_4_2 + 0.0215976880262631*G0_0_1_4_3 + 0.0322135007849349*G0_0_1_4_4 - 0.00158627087198544*G0_0_1_4_5 + 0.00666619095190636*G0_0_1_4_6 - 0.00460468103325323*G0_0_1_4_7 - 0.0142764378478687*G0_0_1_4_8 + 0.000719280719280897*G0_0_1_4_9 - 0.00537319823034201*G0_0_1_5_0 + 0.00159626088197542*G0_0_1_5_1 + 0.00397055325626822*G0_0_1_5_2 - 0.00244683887541063*G0_0_1_5_3 - 0.00158627087198544*G0_0_1_5_4 + 0.19208648494366*G0_0_1_5_5 - 0.028122591694025*G0_0_1_5_6 + 0.0102369059511932*G0_0_1_5_7 - 0.00424504067361277*G0_0_1_5_8 - 0.0125231910946218*G0_0_1_5_9 + 0.00666619095190638*G0_0_1_6_0 + 0.00187455401741148*G0_0_1_6_1 - 0.000260215974501726*G0_0_1_6_2 - 0.00507992007992093*G0_0_1_6_3 + 0.00666619095190636*G0_0_1_6_4 - 0.028122591694025*G0_0_1_6_5 + 0.00660196945911325*G0_0_1_6_6 - 0.0059918652775805*G0_0_1_6_7 - 0.0104937919223651*G0_0_1_6_8 + 0.00770657913515186*G0_0_1_6_9 - 0.00682127396413238*G0_0_1_7_0 + 0.0071559392987976*G0_0_1_7_1 + 0.00217853574996467*G0_0_1_7_2 + 0.0009825888397319*G0_0_1_7_3 - 0.00460468103325323*G0_0_1_7_4 + 0.0102369059511932*G0_0_1_7_5 - 0.0059918652775805*G0_0_1_7_6 + 0.203663479377799*G0_0_1_7_7 - 0.027899957185676*G0_0_1_7_8 - 0.00902954188668625*G0_0_1_7_9 + 0.00706198563341546*G0_0_1_8_0 - 0.00977070548499278*G0_0_1_8_1 + 0.00494005994006075*G0_0_1_8_2 + 0.0132938490081368*G0_0_1_8_3 - 0.0142764378478687*G0_0_1_8_4 - 0.00424504067361277*G0_0_1_8_5 - 0.0104937919223651*G0_0_1_8_6 - 0.027899957185676*G0_0_1_8_7 + 0.0713029827315654*G0_0_1_8_8 + 0.0552818609961559*G0_0_1_8_9 + 0.0070044241472824*G0_0_1_9_0 - 0.00890966176680614*G0_0_1_9_1 + 0.000817753674896661*G0_0_1_9_2 + 0.0247638076209545*G0_0_1_9_3 + 0.000719280719280895*G0_0_1_9_4 - 0.0125231910946218*G0_0_1_9_5 + 0.00770657913515185*G0_0_1_9_6 - 0.00902954188668625*G0_0_1_9_7 + 0.0552818609961559*G0_0_1_9_8 - 0.0502468959611903*G0_0_1_9_9 - 0.00341584341584407*G0_1_0_0_0 - 0.00216648430934186*G0_1_0_0_1 - 0.000185238042380928*G0_1_0_0_2 + 0.00227843584986482*G0_1_0_0_3 - 0.00492983207269004*G0_1_0_0_5 + 0.00146163360449099*G0_1_0_0_6 - 0.00594262879977266*G0_1_0_0_7 + 0.00814542600257024*G0_1_0_0_8 - 0.00832167832167972*G0_1_0_0_9 - 0.00216648430934186*G0_1_0_1_0 - 0.1368934768935*G0_1_0_1_1 - 0.00305686377115001*G0_1_0_1_2 - 0.0252480852480897*G0_1_0_1_3 + 0.0141710670282123*G0_1_0_1_4 - 0.000828457257028771*G0_1_0_1_5 + 0.0024953617810765*G0_1_0_1_6 + 0.00607249892964293*G0_1_0_1_7 - 0.0106493506493527*G0_1_0_1_8 + 0.00641644070215604*G0_1_0_1_9 - 0.000185238042380928*G0_1_0_2_0 - 0.00305686377115001*G0_1_0_2_1 + 0.00359640359640423*G0_1_0_2_2 + 0.0019991912849059*G0_1_0_2_3 + 0.00128490557062008*G0_1_0_2_4 - 0.002317444460302*G0_1_0_2_5 - 0.000695494981209386*G0_1_0_2_6 - 0.000866990152704573*G0_1_0_2_7 + 0.00798558584273002*G0_1_0_2_8 + 0.000817753674896664*G0_1_0_2_9 + 0.00227843584986482*G0_1_0_3_0 - 0.0252480852480897*G0_1_0_3_1 + 0.0019991912849059*G0_1_0_3_2 + 0.205290423861887*G0_1_0_3_3 - 0.015573712002286*G0_1_0_3_4 - 0.00244683887541067*G0_1_0_3_5 - 0.00694234337091602*G0_1_0_3_6 - 0.00629156557728089*G0_1_0_3_7 + 0.0297045811331574*G0_1_0_3_8 - 0.00666619095190632*G0_1_0_3_9 + 0.0141710670282123*G0_1_0_4_1 + 0.00128490557062008*G0_1_0_4_2 - 0.015573712002286*G0_1_0_4_3 + 0.0175710004281462*G0_1_0_4_4 + 0.000276152419009603*G0_1_0_4_5 + 0.00666619095190642*G0_1_0_4_6 + 0.000894819466248162*G0_1_0_4_7 - 0.0234130155558766*G0_1_0_4_8 - 0.00300556586270922*G0_1_0_4_9 - 0.00492983207269004*G0_1_0_5_0 - 0.000828457257028771*G0_1_0_5_1 - 0.002317444460302*G0_1_0_5_2 - 0.00244683887541068*G0_1_0_5_3 + 0.000276152419009603*G0_1_0_5_4 + 0.00482945625802884*G0_1_0_5_5 + 0.00904880833452416*G0_1_0_5_6 - 0.00617382617382718*G0_1_0_5_7 + 0.00302911374339993*G0_1_0_5_8 + 0.0189068074782393*G0_1_0_5_9 + 0.00146163360449099*G0_1_0_6_0 + 0.0024953617810765*G0_1_0_6_1 - 0.000695494981209386*G0_1_0_6_2 - 0.00694234337091602*G0_1_0_6_3 + 0.00666619095190642*G0_1_0_6_4 + 0.00904880833452416*G0_1_0_6_5 + 0.0212444698159025*G0_1_0_6_6 + 0.00314471243042722*G0_1_0_6_7 - 0.0159932924218665*G0_1_0_6_8 + 0.0114314257171421*G0_1_0_6_9 - 0.00594262879977266*G0_1_0_7_0 + 0.00607249892964294*G0_1_0_7_1 - 0.000866990152704573*G0_1_0_7_2 - 0.00629156557728089*G0_1_0_7_3 + 0.000894819466248161*G0_1_0_7_4 - 0.00617382617382718*G0_1_0_7_5 + 0.00314471243042722*G0_1_0_7_6 + 0.00176395033537945*G0_1_0_7_7 - 0.0278999571856761*G0_1_0_7_8 + 0.0186756101041847*G0_1_0_7_9 + 0.00814542600257024*G0_1_0_8_0 - 0.0106493506493527*G0_1_0_8_1 + 0.00798558584273002*G0_1_0_8_2 + 0.0297045811331574*G0_1_0_8_3 - 0.0234130155558766*G0_1_0_8_4 + 0.00302911374339993*G0_1_0_8_5 - 0.0159932924218665*G0_1_0_8_6 - 0.0278999571856761*G0_1_0_8_7 + 0.273202511773986*G0_1_0_8_8 + 0.0275767090052851*G0_1_0_8_9 - 0.00832167832167972*G0_1_0_9_0 + 0.00641644070215604*G0_1_0_9_1 + 0.000817753674896664*G0_1_0_9_2 - 0.00666619095190632*G0_1_0_9_3 - 0.00300556586270923*G0_1_0_9_4 + 0.0189068074782393*G0_1_0_9_5 + 0.0114314257171421*G0_1_0_9_6 + 0.0186756101041847*G0_1_0_9_7 + 0.0275767090052851*G0_1_0_9_8 - 0.0502468959611901*G0_1_0_9_9 + 0.0194768194768226*G0_1_1_0_0 - 0.00216648430934187*G0_1_1_0_1 + 0.000618825618825713*G0_1_1_0_2 + 0.00534394177251411*G0_1_1_0_3 + 0.00067147138575723*G0_1_1_0_4 + 0.004580657437801*G0_1_1_0_5 - 0.0017237524380384*G0_1_1_0_6 + 0.0197117168545772*G0_1_1_0_7 - 0.00510989010989093*G0_1_1_0_8 + 0.00140573712002308*G0_1_1_0_9 - 0.00216648430934187*G0_1_1_1_0 - 0.159786139786167*G0_1_1_1_1 - 0.00386092743235666*G0_1_1_1_2 - 0.0347585747585807*G0_1_1_1_3 + 0.0173564530707417*G0_1_1_1_4 - 0.00389396317967808*G0_1_1_1_5 + 0.00191308691308723*G0_1_1_1_6 + 0.0193278150421041*G0_1_1_1_7 - 0.0363036963037027*G0_1_1_1_8 - 0.00331097473954675*G0_1_1_1_9 + 0.000618825618825713*G0_1_1_2_0 - 0.00386092743235666*G0_1_1_2_1 + 0.00359640359640421*G0_1_1_2_2 + 0.00239498596641492*G0_1_1_2_3 - 0.000163170163170196*G0_1_1_2_4 - 0.00271323914181104*G0_1_1_2_5 + 0.000752580752580895*G0_1_1_2_6 + 0.00712929927215759*G0_1_1_2_8 + 0.000817753674896643*G0_1_1_2_9 + 0.00534394177251411*G0_1_1_3_0 - 0.0347585747585807*G0_1_1_3_1 + 0.00239498596641492*G0_1_1_3_2 + 0.26999143713434*G0_1_1_3_3 - 0.0153510774939371*G0_1_1_3_4 - 0.00244683887541064*G0_1_1_3_5 - 0.00519551876694823*G0_1_1_3_6 - 0.0154880833452288*G0_1_1_3_7 + 0.036332239189388*G0_1_1_3_8 + 0.0409090909090978*G0_1_1_3_9 + 0.000671471385757231*G0_1_1_4_0 + 0.0173564530707417*G0_1_1_4_1 - 0.000163170163170195*G0_1_1_4_2 - 0.0153510774939371*G0_1_1_4_3 + 0.0291479948622855*G0_1_1_4_4 - 0.00147067218495816*G0_1_1_4_5 + 0.00666619095190639*G0_1_1_4_6 - 0.00126302269159435*G0_1_1_4_7 - 0.0208441558441592*G0_1_1_4_8 + 0.000488083345226375*G0_1_1_4_9 + 0.004580657437801*G0_1_1_5_0 - 0.00389396317967808*G0_1_1_5_1 - 0.00271323914181104*G0_1_1_5_2 - 0.00244683887541064*G0_1_1_5_3 - 0.00147067218495816*G0_1_1_5_4 - 0.0598715570144245*G0_1_1_5_5 + 0.0088261738261753*G0_1_1_5_6 - 0.0128014842300579*G0_1_1_5_7 + 0.0122256315113479*G0_1_1_5_8 - 0.028668474382765*G0_1_1_5_9 - 0.0017237524380384*G0_1_1_6_0 + 0.00191308691308723*G0_1_1_6_1 + 0.000752580752580895*G0_1_1_6_2 - 0.00519551876694823*G0_1_1_6_3 + 0.00666619095190639*G0_1_1_6_4 + 0.0088261738261753*G0_1_1_6_5 + 0.009667475381763*G0_1_1_6_6 + 0.000575852718710002*G0_1_1_6_7 - 0.013835450264024*G0_1_1_6_8 + 0.00793777650920652*G0_1_1_6_9 + 0.0197117168545772*G0_1_1_7_0 + 0.0193278150421041*G0_1_1_7_1 - 0.0154880833452288*G0_1_1_7_3 - 0.00126302269159435*G0_1_1_7_4 - 0.0128014842300579*G0_1_1_7_5 + 0.000575852718710001*G0_1_1_7_6 + 0.0159440559440582*G0_1_1_7_7 - 0.027899957185676*G0_1_1_7_8 - 0.00536891679748918*G0_1_1_7_9 - 0.00510989010989093*G0_1_1_8_0 - 0.0363036963037027*G0_1_1_8_1 + 0.00712929927215759*G0_1_1_8_2 + 0.036332239189388*G0_1_1_8_3 - 0.0208441558441592*G0_1_1_8_4 + 0.0122256315113479*G0_1_1_8_5 - 0.013835450264024*G0_1_1_8_6 - 0.027899957185676*G0_1_1_8_7 + 0.259022406165307*G0_1_1_8_8 + 0.0516212359069588*G0_1_1_8_9 + 0.00140573712002308*G0_1_1_9_0 - 0.00331097473954675*G0_1_1_9_1 + 0.000817753674896644*G0_1_1_9_2 + 0.0409090909090978*G0_1_1_9_3 + 0.000488083345226374*G0_1_1_9_4 - 0.028668474382765*G0_1_1_9_5 + 0.00793777650920652*G0_1_1_9_6 - 0.00536891679748918*G0_1_1_9_7 + 0.0516212359069588*G0_1_1_9_8 - 0.0502468959611904*G0_1_1_9_9;
    A[122] = -0.00113558399272705*G0_0_1_0_0 - 0.000944003086860395*G0_0_1_0_1 - 0.0117478200811554*G0_0_1_0_2 + 0.00417748917748989*G0_0_1_0_3 - 0.00868964368964519*G0_0_1_0_4 + 0.00592851592851694*G0_0_1_0_5 - 0.0135714285714309*G0_0_1_0_6 + 0.000520749092177751*G0_0_1_0_7 + 0.000326736755308238*G0_0_1_0_8 - 0.00253857253857297*G0_0_1_0_9 - 0.000944003086860395*G0_0_1_1_0 - 0.00113558399272705*G0_0_1_1_1 - 0.0117478200811554*G0_0_1_1_2 + 0.00592851592851693*G0_0_1_1_3 - 0.0135714285714309*G0_0_1_1_4 + 0.00417748917748989*G0_0_1_1_5 - 0.00868964368964518*G0_0_1_1_6 + 0.000326736755308241*G0_0_1_1_7 + 0.000520749092177744*G0_0_1_1_8 - 0.00253857253857297*G0_0_1_1_9 - 0.0117478200811554*G0_0_1_2_0 - 0.0117478200811554*G0_0_1_2_1 - 0.2284591951259*G0_0_1_2_2 + 0.0524753024753112*G0_0_1_2_3 - 0.113297813297832*G0_0_1_2_4 + 0.0524753024753113*G0_0_1_2_5 - 0.113297813297832*G0_0_1_2_6 + 0.00252247752247793*G0_0_1_2_7 + 0.00252247752247792*G0_0_1_2_8 - 0.0166944166944195*G0_0_1_2_9 + 0.00417748917748989*G0_0_1_3_0 + 0.00592851592851693*G0_0_1_3_1 + 0.0524753024753112*G0_0_1_3_2 - 0.0270496170496216*G0_0_1_3_3 + 0.0619963369963474*G0_0_1_3_4 - 0.017975357975361*G0_0_1_3_5 + 0.0369547119547181*G0_0_1_3_6 - 0.00164668664668692*G0_0_1_3_7 - 0.00167166167166195*G0_0_1_3_8 + 0.0109090909090927*G0_0_1_3_9 - 0.00868964368964519*G0_0_1_4_0 - 0.0135714285714309*G0_0_1_4_1 - 0.113297813297832*G0_0_1_4_2 + 0.0619963369963474*G0_0_1_4_3 - 0.147818847818873*G0_0_1_4_4 + 0.0369547119547182*G0_0_1_4_5 - 0.0739094239094363*G0_0_1_4_6 + 0.00380785880785944*G0_0_1_4_7 + 0.00331834831834887*G0_0_1_4_8 - 0.0238261738261778*G0_0_1_4_9 + 0.00592851592851694*G0_0_1_5_0 + 0.00417748917748989*G0_0_1_5_1 + 0.0524753024753113*G0_0_1_5_2 - 0.017975357975361*G0_0_1_5_3 + 0.0369547119547182*G0_0_1_5_4 - 0.0270496170496216*G0_0_1_5_5 + 0.0619963369963474*G0_0_1_5_6 - 0.00167166167166195*G0_0_1_5_7 - 0.00164668664668691*G0_0_1_5_8 + 0.0109090909090927*G0_0_1_5_9 - 0.0135714285714309*G0_0_1_6_0 - 0.00868964368964517*G0_0_1_6_1 - 0.113297813297832*G0_0_1_6_2 + 0.0369547119547181*G0_0_1_6_3 - 0.0739094239094363*G0_0_1_6_4 + 0.0619963369963474*G0_0_1_6_5 - 0.147818847818873*G0_0_1_6_6 + 0.00331834831834886*G0_0_1_6_7 + 0.00380785880785943*G0_0_1_6_8 - 0.0238261738261778*G0_0_1_6_9 + 0.000520749092177751*G0_0_1_7_0 + 0.000326736755308241*G0_0_1_7_1 + 0.00252247752247793*G0_0_1_7_2 - 0.00164668664668692*G0_0_1_7_3 + 0.00380785880785944*G0_0_1_7_4 - 0.00167166167166195*G0_0_1_7_5 + 0.00331834831834886*G0_0_1_7_6 + 0.000705484991199376*G0_0_1_7_7 - 0.000204319490033806*G0_0_1_7_8 + 0.000979020979021139*G0_0_1_7_9 + 0.000326736755308238*G0_0_1_8_0 + 0.000520749092177744*G0_0_1_8_1 + 0.00252247752247792*G0_0_1_8_2 - 0.00167166167166195*G0_0_1_8_3 + 0.00331834831834887*G0_0_1_8_4 - 0.00164668664668691*G0_0_1_8_5 + 0.00380785880785943*G0_0_1_8_6 - 0.000204319490033806*G0_0_1_8_7 + 0.00070548499119936*G0_0_1_8_8 + 0.000979020979021137*G0_0_1_8_9 - 0.00253857253857297*G0_0_1_9_0 - 0.00253857253857297*G0_0_1_9_1 - 0.0166944166944195*G0_0_1_9_2 + 0.0109090909090927*G0_0_1_9_3 - 0.0238261738261778*G0_0_1_9_4 + 0.0109090909090927*G0_0_1_9_5 - 0.0238261738261778*G0_0_1_9_6 + 0.000979020979021139*G0_0_1_9_7 + 0.000979020979021137*G0_0_1_9_8 - 0.00803196803196937*G0_0_1_9_9 - 0.00852893138607569*G0_1_1_0_0 - 0.00113768066149038*G0_1_1_0_1 - 0.00744194077527538*G0_1_1_0_2 + 0.00204657776086383*G0_1_1_0_3 - 0.00497687497687584*G0_1_1_0_4 + 0.000402296116581904*G0_1_1_0_5 - 0.00337384837384895*G0_1_1_0_6 - 0.00570572284858095*G0_1_1_0_7 + 0.00280632066346399*G0_1_1_0_8 - 0.00116090258947422*G0_1_1_0_9 - 0.00113768066149038*G0_1_1_1_0 - 0.00151227960751799*G0_1_1_1_1 - 0.00887384220717705*G0_1_1_1_2 + 0.00434665863237365*G0_1_1_1_3 - 0.00985865985866154*G0_1_1_1_4 + 0.00112543541114989*G0_1_1_1_5 - 0.00420431420431492*G0_1_1_1_6 - 0.000719016433302262*G0_1_1_1_7 + 0.000684500684500779*G0_1_1_1_8 - 0.00225901083043979*G0_1_1_1_9 - 0.00744194077527538*G0_1_1_2_0 - 0.00887384220717705*G0_1_1_2_1 - 0.18557615224285*G0_1_1_2_2 + 0.0399332149332216*G0_1_1_2_3 - 0.088213638213653*G0_1_1_2_4 + 0.0310569060569112*G0_1_1_2_5 - 0.0631294631294737*G0_1_1_2_6 + 0.000419950419950483*G0_1_1_2_7 + 0.00108040108040125*G0_1_1_2_8 - 0.00936285936286091*G0_1_1_2_9 + 0.00204657776086383*G0_1_1_3_0 + 0.00434665863237365*G0_1_1_3_1 + 0.0399332149332216*G0_1_1_3_2 - 0.021438561438565*G0_1_1_3_3 + 0.0463636363636442*G0_1_1_3_4 - 0.00795371295371428*G0_1_1_3_5 + 0.0190043290043322*G0_1_1_3_6 + 0.00025165310879602*G0_1_1_3_7 - 0.00340183625897969*G0_1_1_3_8 + 0.00627372627372733*G0_1_1_3_9 - 0.00497687497687584*G0_1_1_4_0 - 0.00985865985866154*G0_1_1_4_1 - 0.088213638213653*G0_1_1_4_2 + 0.0463636363636442*G0_1_1_4_3 - 0.114235764235784*G0_1_1_4_4 + 0.0213220113220149*G0_1_1_4_5 - 0.0403263403263471*G0_1_1_4_6 + 0.00363969363969424*G0_1_1_4_7 + 0.00315018315018368*G0_1_1_4_8 - 0.014555444555447*G0_1_1_4_9 + 0.000402296116581904*G0_1_1_5_0 + 0.00112543541114989*G0_1_1_5_1 + 0.0310569060569112*G0_1_1_5_2 - 0.00795371295371428*G0_1_1_5_3 + 0.0213220113220149*G0_1_1_5_4 - 0.0236729936729976*G0_1_1_5_5 + 0.0220512820512857*G0_1_1_5_6 - 0.00814661528947378*G0_1_1_5_7 + 0.00301508015793781*G0_1_1_5_8 - 0.00254745254745297*G0_1_1_5_9 - 0.00337384837384895*G0_1_1_6_0 - 0.00420431420431492*G0_1_1_6_1 - 0.0631294631294737*G0_1_1_6_2 + 0.0190043290043322*G0_1_1_6_3 - 0.0403263403263471*G0_1_1_6_4 + 0.0220512820512857*G0_1_1_6_5 - 0.0470695970696049*G0_1_1_6_6 + 0.00513153513153598*G0_1_1_6_7 + 0.00149017649017674*G0_1_1_6_8 - 0.00992007992008161*G0_1_1_6_9 - 0.00570572284858095*G0_1_1_7_0 - 0.000719016433302262*G0_1_1_7_1 + 0.000419950419950483*G0_1_1_7_2 + 0.00025165310879602*G0_1_1_7_3 + 0.00363969363969424*G0_1_1_7_4 - 0.00814661528947378*G0_1_1_7_5 + 0.00513153513153598*G0_1_1_7_6 - 0.0346562960848734*G0_1_1_7_7 + 0.00541077969649491*G0_1_1_7_8 - 0.00678036249464935*G0_1_1_7_9 + 0.00280632066346399*G0_1_1_8_0 + 0.000684500684500779*G0_1_1_8_1 + 0.00108040108040125*G0_1_1_8_2 - 0.00340183625897969*G0_1_1_8_3 + 0.00315018315018368*G0_1_1_8_4 + 0.00301508015793781*G0_1_1_8_5 + 0.00149017649017674*G0_1_1_8_6 + 0.00541077969649491*G0_1_1_8_7 - 0.015982113124973*G0_1_1_8_8 + 0.000476666190951991*G0_1_1_8_9 - 0.00116090258947422*G0_1_1_9_0 - 0.00225901083043979*G0_1_1_9_1 - 0.00936285936286091*G0_1_1_9_2 + 0.00627372627372733*G0_1_1_9_3 - 0.014555444555447*G0_1_1_9_4 - 0.00254745254745297*G0_1_1_9_5 - 0.00992007992008161*G0_1_1_9_6 - 0.00678036249464935*G0_1_1_9_7 + 0.000476666190951992*G0_1_1_9_8 - 0.0340459540459598*G0_1_1_9_9;
    A[138] = A[181] + 0.0145464412131104*G0_0_0_0_0 - 0.00148458243696366*G0_0_0_0_1 + 0.00175480604052063*G0_0_0_0_2 - 0.00417561274704208*G0_0_0_0_3 + 0.000163698735127345*G0_0_0_0_4 + 0.0195610209895958*G0_0_0_0_5 - 0.00959506102363409*G0_0_0_0_6 + 0.00270782127925034*G0_0_0_0_7 + 0.00073281216138368*G0_0_0_0_8 + 0.00164724164724193*G0_0_0_0_9 - 0.00148458243696366*G0_0_0_1_0 - 0.0455692455692534*G0_0_0_1_1 - 0.00526128192794949*G0_0_0_1_2 - 0.0641073741073851*G0_0_0_1_3 + 0.0255824598681785*G0_0_0_1_4 + 0.00453377310520244*G0_0_0_1_5 + 0.000501456215742021*G0_0_0_1_6 + 0.00874004302575885*G0_0_0_1_7 - 0.0125959225959248*G0_0_0_1_8 - 0.00279403136546047*G0_0_0_1_9 + 0.00175480604052063*G0_0_0_2_0 - 0.00526128192794949*G0_0_0_2_1 - 0.000509120509120531*G0_0_0_2_2 - 0.0103680446537607*G0_0_0_2_3 + 0.00345432345432406*G0_0_0_2_4 + 0.00424844996273639*G0_0_0_2_5 - 0.00409368409368474*G0_0_0_2_6 + 0.00121566264423429*G0_0_0_2_7 + 0.000504944790659135*G0_0_0_2_8 + 0.00153751010893893*G0_0_0_2_9 - 0.00417561274704208*G0_0_0_3_0 - 0.0641073741073851*G0_0_0_3_1 - 0.0103680446537607*G0_0_0_3_2 - 0.26910232624523*G0_0_0_3_3 + 0.05115884115885*G0_0_0_3_4 - 0.000439560439560495*G0_0_0_3_5 - 0.00169972884258625*G0_0_0_3_6 + 0.012331478045766*G0_0_0_3_7 - 0.0106212834784284*G0_0_0_3_8 - 0.0162808619951507*G0_0_0_3_9 + 0.000163698735127345*G0_0_0_4_0 + 0.0255824598681785*G0_0_0_4_1 + 0.00345432345432406*G0_0_0_4_2 + 0.05115884115885*G0_0_0_4_3 - 0.0191494220065681*G0_0_0_4_4 - 0.000686456400742236*G0_0_0_4_5 + 0.00238618524332848*G0_0_0_4_6 - 0.00197136197136235*G0_0_0_4_7 - 0.00171019456733761*G0_0_0_4_8 - 0.00323961752533234*G0_0_0_4_9 + 0.0195610209895958*G0_0_0_5_0 + 0.00453377310520244*G0_0_0_5_1 + 0.00424844996273639*G0_0_0_5_2 - 0.000439560439560495*G0_0_0_5_3 - 0.000686456400742236*G0_0_0_5_4 + 0.139437705152014*G0_0_0_5_5 - 0.0149093763379503*G0_0_0_5_6 + 0.0176390276390306*G0_0_0_5_7 - 0.0137966795109675*G0_0_0_5_8 + 0.0226516340802093*G0_0_0_5_9 - 0.00959506102363409*G0_0_0_6_0 + 0.000501456215742022*G0_0_0_6_1 - 0.00409368409368474*G0_0_0_6_2 - 0.00169972884258625*G0_0_0_6_3 + 0.00238618524332848*G0_0_0_6_4 - 0.0149093763379503*G0_0_0_6_5 + 0.0224489795918406*G0_0_0_6_6 - 0.00384234812806306*G0_0_0_6_7 - 0.00141192141192163*G0_0_0_6_8 - 0.0012130726416443*G0_0_0_6_9 + 0.00270782127925034*G0_0_0_7_0 + 0.00874004302575885*G0_0_0_7_1 + 0.00121566264423429*G0_0_0_7_2 + 0.012331478045766*G0_0_0_7_3 - 0.00197136197136235*G0_0_0_7_4 + 0.0176390276390306*G0_0_0_7_5 - 0.00384234812806306*G0_0_0_7_6 + 0.0117777460634623*G0_0_0_7_7 - 0.0163626849341162*G0_0_0_7_8 + 0.00274297131440039*G0_0_0_7_9 + 0.00073281216138368*G0_0_0_8_0 - 0.0125959225959248*G0_0_0_8_1 + 0.000504944790659135*G0_0_0_8_2 - 0.0106212834784284*G0_0_0_8_3 - 0.00171019456733761*G0_0_0_8_4 - 0.0137966795109675*G0_0_0_8_5 - 0.00141192141192163*G0_0_0_8_6 - 0.0163626849341162*G0_0_0_8_7 + 0.0368783597355086*G0_0_0_8_8 + 0.0118024832310566*G0_0_0_8_9 + 0.00164724164724193*G0_0_0_9_0 - 0.00279403136546047*G0_0_0_9_1 + 0.00153751010893893*G0_0_0_9_2 - 0.0162808619951507*G0_0_0_9_3 - 0.00323961752533234*G0_0_0_9_4 + 0.0226516340802093*G0_0_0_9_5 - 0.0012130726416443*G0_0_0_9_6 + 0.00274297131440039*G0_0_0_9_7 + 0.0118024832310566*G0_0_0_9_8 + 0.0685714285714399*G0_0_0_9_9 + 0.00447947114613872*G0_0_1_0_0 - 0.00263003310622405*G0_0_1_0_1 + 0.000233276423752658*G0_0_1_0_2 - 0.00277986563700901*G0_0_1_0_3 + 0.00047021761307485*G0_0_1_0_4 + 0.00277944277944332*G0_0_1_0_5 - 0.00137132708561306*G0_0_1_0_6 + 0.00135864135864165*G0_0_1_0_7 + 0.00264243692815162*G0_0_1_0_8 + 0.00164153307010477*G0_0_1_0_9 - 0.00263003310622405*G0_0_1_1_0 - 0.11911051911054*G0_0_1_1_1 - 0.00690216309264045*G0_0_1_1_2 - 0.07687719687721*G0_0_1_1_3 + 0.0322936322936378*G0_0_1_1_4 + 0.00106137248994413*G0_0_1_1_5 + 0.000557749129177789*G0_0_1_1_6 + 0.0123550523550545*G0_0_1_1_7 - 0.0193820993821028*G0_0_1_1_8 - 0.00504384504384595*G0_0_1_1_9 + 0.000233276423752658*G0_0_1_2_0 - 0.00690216309264045*G0_0_1_2_1 - 0.000546331974903493*G0_0_1_2_2 - 0.00919250062107362*G0_0_1_2_3 + 0.00284498570212905*G0_0_1_2_4 + 0.00044696044696053*G0_0_1_2_5 - 0.000353508924937556*G0_0_1_2_6 + 0.000528571957143493*G0_0_1_2_7 + 0.00184408184408213*G0_0_1_2_8 + 0.00170749885035628*G0_0_1_2_9 - 0.00277986563700901*G0_0_1_3_0 - 0.07687719687721*G0_0_1_3_1 - 0.00919250062107362*G0_0_1_3_2 - 0.159920079920107*G0_0_1_3_3 + 0.0460568003425225*G0_0_1_3_4 + 0.00215403643975109*G0_0_1_3_5 - 0.000825840825840951*G0_0_1_3_6 + 0.00918700347271942*G0_0_1_3_7 - 0.00450216450216546*G0_0_1_3_8 - 0.00324247181390109*G0_0_1_3_9 + 0.00047021761307485*G0_0_1_4_0 + 0.0322936322936378*G0_0_1_4_1 + 0.00284498570212905*G0_0_1_4_2 + 0.0460568003425225*G0_0_1_4_3 - 0.0141686884544051*G0_0_1_4_4 - 0.000563246277532099*G0_0_1_4_5 + 0.00138908710337305*G0_0_1_4_6 - 0.00192188763617373*G0_0_1_4_7 - 0.00468483897055396*G0_0_1_4_8 - 0.00399600399600462*G0_0_1_4_9 + 0.00277944277944332*G0_0_1_5_0 + 0.00106137248994413*G0_0_1_5_1 + 0.00044696044696053*G0_0_1_5_2 + 0.00215403643975109*G0_0_1_5_3 - 0.000563246277532098*G0_0_1_5_4 + 0.00531658817373202*G0_0_1_5_5 - 0.00244707673279146*G0_0_1_5_6 + 0.00307502021787792*G0_0_1_5_7 - 0.00233671090813989*G0_0_1_5_8 - 0.000251177394034532*G0_0_1_5_9 - 0.00137132708561306*G0_0_1_6_0 + 0.000557749129177789*G0_0_1_6_1 - 0.000353508924937556*G0_0_1_6_2 - 0.000825840825840951*G0_0_1_6_3 + 0.00138908710337305*G0_0_1_6_4 - 0.00244707673279146*G0_0_1_6_5 + 0.00205128205128243*G0_0_1_6_6 - 0.00073830930973804*G0_0_1_6_7 - 0.0040264497407361*G0_0_1_6_8 - 0.00347081489938693*G0_0_1_6_9 + 0.00135864135864165*G0_0_1_7_0 + 0.0123550523550545*G0_0_1_7_1 + 0.000528571957143493*G0_0_1_7_2 + 0.00918700347271942*G0_0_1_7_3 - 0.00192188763617373*G0_0_1_7_4 + 0.00307502021787792*G0_0_1_7_5 - 0.00073830930973804*G0_0_1_7_6 + 0.0145873174444629*G0_0_1_7_7 - 0.0206688549545726*G0_0_1_7_8 - 0.00344798059083822*G0_0_1_7_9 + 0.00264243692815162*G0_0_1_8_0 - 0.0193820993821028*G0_0_1_8_1 + 0.00184408184408213*G0_0_1_8_2 - 0.00450216450216546*G0_0_1_8_3 - 0.00468483897055395*G0_0_1_8_4 - 0.00233671090813989*G0_0_1_8_5 - 0.0040264497407361*G0_0_1_8_6 - 0.0206688549545726*G0_0_1_8_7 + 0.0834099234099373*G0_0_1_8_8 + 0.0245012130726457*G0_0_1_8_9 + 0.00164153307010477*G0_0_1_9_0 - 0.00504384504384595*G0_0_1_9_1 + 0.00170749885035628*G0_0_1_9_2 - 0.00324247181390108*G0_0_1_9_3 - 0.00399600399600462*G0_0_1_9_4 - 0.000251177394034532*G0_0_1_9_5 - 0.00347081489938693*G0_0_1_9_6 - 0.00344798059083822*G0_0_1_9_7 + 0.0245012130726457*G0_0_1_9_8 + 0.0119195090623682*G0_0_1_9_9 + 0.00180066846733545*G0_1_0_0_0 - 0.000717078336126088*G0_1_0_0_1 - 0.000105714391428695*G0_1_0_0_2 - 0.00430379144664938*G0_1_0_0_3 + 0.000410066124351924*G0_1_0_0_4 - 0.00059067916210783*G0_1_0_0_5 + 0.000268937411794601*G0_1_0_0_6 - 0.00529010671867902*G0_1_0_0_7 + 0.00467088467088544*G0_1_0_0_8 - 0.0011968983397557*G0_1_0_0_9 - 0.000717078336126088*G0_1_0_1_0 - 0.0306064306064358*G0_1_0_1_1 - 0.00466272704368022*G0_1_0_1_2 - 0.0566455766455864*G0_1_0_1_3 + 0.0225019425019463*G0_1_0_1_4 + 0.000804433661576661*G0_1_0_1_5 + 0.000727367870225144*G0_1_0_1_6 + 0.000879120879120947*G0_1_0_1_8 - 0.00154512154512186*G0_1_0_1_9 - 0.000105714391428695*G0_1_0_2_0 - 0.00466272704368022*G0_1_0_2_1 - 0.000614975853071148*G0_1_0_2_2 - 0.00979782122639435*G0_1_0_2_3 + 0.00324009324009382*G0_1_0_2_4 + 0.000277183134326028*G0_1_0_2_5 - 0.000530104815819162*G0_1_0_2_6 - 0.000552780552780628*G0_1_0_2_7 + 0.00261976119119018*G0_1_0_2_8 + 0.00152038437752749*G0_1_0_2_9 - 0.00430379144664938*G0_1_0_3_0 - 0.0566455766455864*G0_1_0_3_1 - 0.00979782122639435*G0_1_0_3_2 - 0.277022977023025*G0_1_0_3_3 + 0.0484472670187039*G0_1_0_3_4 + 0.00494362780077149*G0_1_0_3_5 - 0.00157128585700039*G0_1_0_3_6 + 0.0135221920936231*G0_1_0_3_7 - 0.00627372627372758*G0_1_0_3_8 - 0.0224090195518807*G0_1_0_3_9 + 0.000410066124351923*G0_1_0_4_0 + 0.0225019425019463*G0_1_0_4_1 + 0.00324009324009382*G0_1_0_4_2 + 0.0484472670187039*G0_1_0_4_3 - 0.0164464107321278*G0_1_0_4_4 - 0.000619380619380734*G0_1_0_4_5 + 0.00219066647638113*G0_1_0_4_6 - 0.00724846581989551*G0_1_0_4_8 - 0.00332239189382099*G0_1_0_4_9 - 0.00059067916210783*G0_1_0_5_0 + 0.000804433661576661*G0_1_0_5_1 + 0.000277183134326028*G0_1_0_5_2 + 0.00494362780077149*G0_1_0_5_3 - 0.000619380619380733*G0_1_0_5_4 - 0.00394177251320167*G0_1_0_5_5 - 0.00164407021549909*G0_1_0_5_6 - 0.000466676180961932*G0_1_0_5_7 - 0.00180248323105498*G0_1_0_5_8 + 0.00719566148137704*G0_1_0_5_9 + 0.000268937411794601*G0_1_0_6_0 + 0.000727367870225143*G0_1_0_6_1 - 0.000530104815819162*G0_1_0_6_2 - 0.00157128585700039*G0_1_0_6_3 + 0.00219066647638113*G0_1_0_6_4 - 0.00164407021549909*G0_1_0_6_5 - 0.000853432282003791*G0_1_0_6_6 + 0.0022691594120169*G0_1_0_6_7 - 0.00532610246896048*G0_1_0_6_8 - 0.00141858141858168*G0_1_0_6_9 - 0.00529010671867902*G0_1_0_7_0 - 0.000552780552780628*G0_1_0_7_2 + 0.0135221920936231*G0_1_0_7_3 - 0.000466676180961932*G0_1_0_7_5 + 0.0022691594120169*G0_1_0_7_6 - 0.0150649350649376*G0_1_0_7_7 - 0.00988582845725862*G0_1_0_7_8 - 0.000947623804766719*G0_1_0_7_9 + 0.00467088467088544*G0_1_0_8_0 + 0.000879120879120947*G0_1_0_8_1 + 0.00261976119119018*G0_1_0_8_2 - 0.00627372627372758*G0_1_0_8_3 - 0.00724846581989551*G0_1_0_8_4 - 0.00180248323105498*G0_1_0_8_5 - 0.00532610246896048*G0_1_0_8_6 - 0.00988582845725862*G0_1_0_8_7 + 0.0649950049950157*G0_1_0_8_8 + 0.0191322962751565*G0_1_0_8_9 - 0.0011968983397557*G0_1_0_9_0 - 0.00154512154512186*G0_1_0_9_1 + 0.00152038437752749*G0_1_0_9_2 - 0.0224090195518807*G0_1_0_9_3 - 0.00332239189382099*G0_1_0_9_4 + 0.00719566148137704*G0_1_0_9_5 - 0.00141858141858168*G0_1_0_9_6 - 0.00094762380476672*G0_1_0_9_7 + 0.0191322962751565*G0_1_0_9_8 + 0.0674068788354615*G0_1_0_9_9 - 0.00221013554346926*G0_1_1_0_0 - 0.00396245729579133*G0_1_1_0_1 - 0.000418488037535731*G0_1_1_0_2 - 0.00368731797303292*G0_1_1_0_3 + 0.00113198970341848*G0_1_1_0_4 - 0.00186184186184218*G0_1_1_0_5 + 0.000913795199509645*G0_1_1_0_6 - 0.00465608465608544*G0_1_1_0_7 + 0.00426451855023355*G0_1_1_0_8 - 0.000134468705897319*G0_1_1_0_9 - 0.00396245729579133*G0_1_1_1_0 - 0.125800125800147*G0_1_1_1_1 - 0.00755392755392883*G0_1_1_1_2 - 0.0815184815184954*G0_1_1_1_3 + 0.0345787545787604*G0_1_1_1_4 + 0.000153920153920213*G0_1_1_1_5 + 0.00121952121952142*G0_1_1_1_6 + 0.0139771339771364*G0_1_1_1_7 - 0.0253968253968298*G0_1_1_1_8 - 0.00681984681984803*G0_1_1_1_9 - 0.000418488037535731*G0_1_1_2_0 - 0.00755392755392883*G0_1_1_2_1 - 0.000870522775284829*G0_1_1_2_2 - 0.0101921359064234*G0_1_1_2_3 + 0.00320399177542089*G0_1_1_2_4 - 0.000552674838389216*G0_1_1_2_5 + 0.000112057254914429*G0_1_1_2_7 + 0.00142756714185307*G0_1_1_2_8 + 0.000626674912389294*G0_1_1_2_9 - 0.00368731797303292*G0_1_1_3_0 - 0.0815184815184954*G0_1_1_3_1 - 0.0101921359064234*G0_1_1_3_2 - 0.173906093906124*G0_1_1_3_3 + 0.0513086913087001*G0_1_1_3_4 + 0.00371818657533006*G0_1_1_3_5 - 0.000494743351886274*G0_1_1_3_6 + 0.0142257742257767*G0_1_1_3_7 - 0.0131068931068955*G0_1_1_3_8 - 0.00799200799200951*G0_1_1_3_9 + 0.00113198970341848*G0_1_1_4_0 + 0.0345787545787604*G0_1_1_4_1 + 0.00320399177542089*G0_1_1_4_2 + 0.0513086913087001*G0_1_1_4_3 - 0.0163950335378934*G0_1_1_4_4 - 0.000232148803577423*G0_1_1_4_5 + 0.000726892155463701*G0_1_1_4_6 - 0.00344798059083836*G0_1_1_4_7 - 0.00111888111888121*G0_1_1_4_8 - 0.00141572713001303*G0_1_1_4_9 - 0.00186184186184218*G0_1_1_5_0 + 0.000153920153920213*G0_1_1_5_1 - 0.000552674838389216*G0_1_1_5_2 + 0.00371818657533006*G0_1_1_5_3 - 0.000232148803577423*G0_1_1_5_4 - 0.00866942581228442*G0_1_1_5_5 + 0.00280481423338613*G0_1_1_5_6 - 0.00552970838685217*G0_1_1_5_7 + 0.00270205984491745*G0_1_1_5_8 - 0.00500071357214296*G0_1_1_5_9 + 0.000913795199509645*G0_1_1_6_0 + 0.00121952121952142*G0_1_1_6_1 - 0.000494743351886275*G0_1_1_6_3 + 0.000726892155463701*G0_1_1_6_4 + 0.00280481423338613*G0_1_1_6_5 - 0.000175063032205929*G0_1_1_6_6 + 0.00282764854193472*G0_1_1_6_7 - 0.00555254269540075*G0_1_1_6_8 - 0.000890538033395338*G0_1_1_6_9 - 0.00465608465608544*G0_1_1_7_0 + 0.0139771339771364*G0_1_1_7_1 + 0.000112057254914429*G0_1_1_7_2 + 0.0142257742257767*G0_1_1_7_3 - 0.00344798059083836*G0_1_1_7_4 - 0.00552970838685217*G0_1_1_7_5 + 0.00282764854193472*G0_1_1_7_6 + 0.000228343085486029*G0_1_1_7_7 - 0.00879120879121021*G0_1_1_7_8 - 0.00525189096617749*G0_1_1_7_9 + 0.00426451855023355*G0_1_1_8_0 - 0.0253968253968298*G0_1_1_8_1 + 0.00142756714185307*G0_1_1_8_2 - 0.0131068931068955*G0_1_1_8_3 - 0.00111888111888122*G0_1_1_8_4 + 0.00270205984491745*G0_1_1_8_5 - 0.00555254269540075*G0_1_1_8_6 - 0.00879120879121021*G0_1_1_8_7 + 0.0690509490509605*G0_1_1_8_8 + 0.0226973026973064*G0_1_1_8_9 - 0.000134468705897319*G0_1_1_9_0 - 0.00681984681984803*G0_1_1_9_1 + 0.000626674912389294*G0_1_1_9_2 - 0.00799200799200951*G0_1_1_9_3 - 0.00141572713001303*G0_1_1_9_4 - 0.00500071357214296*G0_1_1_9_5 - 0.000890538033395338*G0_1_1_9_6 - 0.00525189096617749*G0_1_1_9_7 + 0.0226973026973064*G0_1_1_9_8 + 0.00602825745682986*G0_1_1_9_9;
    A[212] = 0.00151284341760561*G0_0_1_0_0 + 0.00231632564965936*G0_0_1_0_2 + 0.000520431949003478*G0_0_1_0_3 - 0.000449550449550561*G0_0_1_0_4 - 0.00243106100248998*G0_0_1_0_5 + 0.0088933288933304*G0_0_1_0_6 + 0.000586873444016426*G0_0_1_0_7 - 0.000544851973423506*G0_0_1_0_8 + 0.00207601921887671*G0_0_1_0_9 - 0.0015128434176056*G0_0_1_1_1 - 0.0023163256496594*G0_0_1_1_2 + 0.00243106100249*G0_0_1_1_3 - 0.00889332889333044*G0_0_1_1_4 - 0.000520431949003462*G0_0_1_1_5 + 0.000449550449550516*G0_0_1_1_6 + 0.000544851973423503*G0_0_1_1_7 - 0.000586873444016413*G0_0_1_1_8 - 0.00207601921887672*G0_0_1_1_9 + 0.00231632564965936*G0_0_1_2_0 - 0.0023163256496594*G0_0_1_2_1 + 0.011899211899214*G0_0_1_2_3 - 0.0381840381840449*G0_0_1_2_4 - 0.0118992118992138*G0_0_1_2_5 + 0.0381840381840445*G0_0_1_2_6 + 0.000502830502830597*G0_0_1_2_7 - 0.000502830502830581*G0_0_1_2_8 + 0.000520431949003478*G0_0_1_3_0 + 0.00243106100249*G0_0_1_3_1 + 0.011899211899214*G0_0_1_3_2 - 0.00755244755244895*G0_0_1_3_3 + 0.0445054945055022*G0_0_1_3_4 - 0.00134865134865148*G0_0_1_3_6 - 0.00156129584701039*G0_0_1_3_7 + 5.2804338518614e-05*G0_0_1_3_8 + 0.00935064935065095*G0_0_1_3_9 - 0.00044955044955056*G0_0_1_4_0 - 0.00889332889333044*G0_0_1_4_1 - 0.0381840381840449*G0_0_1_4_2 + 0.0445054945055022*G0_0_1_4_3 - 0.0998001998002173*G0_0_1_4_4 + 0.00134865134865167*G0_0_1_4_5 - 7.99200799200889e-05*G0_0_1_4_7 + 0.00150849150849177*G0_0_1_4_8 - 0.00269730269730321*G0_0_1_4_9 - 0.00243106100248998*G0_0_1_5_0 - 0.000520431949003462*G0_0_1_5_1 - 0.0118992118992138*G0_0_1_5_2 + 0.00134865134865167*G0_0_1_5_4 + 0.00755244755244878*G0_0_1_5_5 - 0.044505494505502*G0_0_1_5_6 - 5.28043385186278e-05*G0_0_1_5_7 + 0.00156129584701039*G0_0_1_5_8 - 0.00935064935065091*G0_0_1_5_9 + 0.0088933288933304*G0_0_1_6_0 + 0.000449550449550515*G0_0_1_6_1 + 0.0381840381840445*G0_0_1_6_2 - 0.00134865134865147*G0_0_1_6_3 - 0.044505494505502*G0_0_1_6_5 + 0.0998001998002165*G0_0_1_6_6 - 0.00150849150849176*G0_0_1_6_7 + 7.99200799201253e-05*G0_0_1_6_8 + 0.00269730269730304*G0_0_1_6_9 + 0.000586873444016426*G0_0_1_7_0 + 0.000544851973423503*G0_0_1_7_1 + 0.000502830502830597*G0_0_1_7_2 - 0.00156129584701039*G0_0_1_7_3 - 7.99200799200887e-05*G0_0_1_7_4 - 5.28043385186278e-05*G0_0_1_7_5 - 0.00150849150849176*G0_0_1_7_6 + 0.00235478806907428*G0_0_1_7_7 - 0.00321107463964659*G0_0_1_7_9 - 0.000544851973423506*G0_0_1_8_0 - 0.000586873444016413*G0_0_1_8_1 - 0.000502830502830581*G0_0_1_8_2 + 5.28043385186141e-05*G0_0_1_8_3 + 0.00150849150849177*G0_0_1_8_4 + 0.00156129584701039*G0_0_1_8_5 + 7.99200799201253e-05*G0_0_1_8_6 - 0.00235478806907419*G0_0_1_8_8 + 0.00321107463964661*G0_0_1_8_9 + 0.00207601921887671*G0_0_1_9_0 - 0.00207601921887672*G0_0_1_9_1 + 0.00935064935065095*G0_0_1_9_3 - 0.00269730269730322*G0_0_1_9_4 - 0.00935064935065091*G0_0_1_9_5 + 0.00269730269730304*G0_0_1_9_6 - 0.00321107463964659*G0_0_1_9_7 + 0.00321107463964661*G0_0_1_9_8 + 0.00289812480288722*G0_1_1_0_0 + 0.000136565374660638*G0_1_1_0_1 - 0.00342817676151069*G0_1_1_0_2 + 0.00392258535115745*G0_1_1_0_3 - 0.00563785420928377*G0_1_1_0_4 + 0.00219288647860115*G0_1_1_0_5 - 0.00414125556982771*G0_1_1_0_6 + 0.00249861249861295*G0_1_1_0_7 - 0.000886098028955323*G0_1_1_0_8 - 0.0017753674896535*G0_1_1_0_9 + 0.000136565374660638*G0_1_1_1_0 + 0.00138528138528163*G0_1_1_1_1 - 0.00574450241117006*G0_1_1_1_2 + 0.00462394748109114*G0_1_1_1_3 - 0.0130345844631581*G0_1_1_1_4 + 0.00340215340215398*G0_1_1_1_5 - 0.00518830375973322*G0_1_1_1_6 - 0.000341246055531836*G0_1_1_1_7 + 0.00191173905459654*G0_1_1_1_8 - 0.00385138670853022*G0_1_1_1_9 - 0.00342817676151069*G0_1_1_2_0 - 0.00574450241117006*G0_1_1_2_1 - 0.0566199232865995*G0_1_1_2_2 + 0.0276212676212723*G0_1_1_2_3 - 0.0671273171273285*G0_1_1_2_4 + 0.0157220557220584*G0_1_1_2_5 - 0.0289432789432838*G0_1_1_2_6 + 0.00305250305250356*G0_1_1_2_7 + 0.00254967254967297*G0_1_1_2_8 - 0.00438228438228512*G0_1_1_2_9 + 0.00392258535115745*G0_1_1_3_0 + 0.00462394748109114*G0_1_1_3_1 + 0.0276212676212723*G0_1_1_3_2 - 0.00675610104181653*G0_1_1_3_3 + 0.0575724275724374*G0_1_1_3_4 - 0.0134893677750843*G0_1_1_3_5 + 0.0205694305694341*G0_1_1_3_6 - 0.0067632367632379*G0_1_1_3_7 + 0.00940773512202241*G0_1_1_3_8 + 0.0250806336520664*G0_1_1_3_9 - 0.00563785420928377*G0_1_1_4_0 - 0.0130345844631581*G0_1_1_4_1 - 0.0671273171273285*G0_1_1_4_2 + 0.0575724275724374*G0_1_1_4_3 - 0.138581418581442*G0_1_1_4_4 + 0.0219180819180857*G0_1_1_4_5 - 0.0424875124875197*G0_1_1_4_6 + 0.00137576709005304*G0_1_1_4_7 - 0.00264449835878452*G0_1_1_4_8 - 0.0306893106893159*G0_1_1_4_9 + 0.00219288647860115*G0_1_1_5_0 + 0.00340215340215398*G0_1_1_5_1 + 0.0157220557220584*G0_1_1_5_2 - 0.0134893677750843*G0_1_1_5_3 + 0.0219180819180856*G0_1_1_5_4 + 0.000796346510632307*G0_1_1_5_5 + 0.0130669330669353*G0_1_1_5_6 + 0.00935493078350376*G0_1_1_5_7 - 0.0052019409162275*G0_1_1_5_8 + 0.0157299843014155*G0_1_1_5_9 - 0.00414125556982771*G0_1_1_6_0 - 0.00518830375973322*G0_1_1_6_1 - 0.0289432789432838*G0_1_1_6_2 + 0.0205694305694341*G0_1_1_6_3 - 0.0424875124875197*G0_1_1_6_4 + 0.0130669330669353*G0_1_1_6_5 - 0.0387812187812253*G0_1_1_6_6 - 0.00415298986727628*G0_1_1_6_7 + 0.00145568716997314*G0_1_1_6_8 - 0.0279920079920127*G0_1_1_6_9 + 0.00249861249861295*G0_1_1_7_0 - 0.000341246055531836*G0_1_1_7_1 + 0.00305250305250356*G0_1_1_7_2 - 0.0067632367632379*G0_1_1_7_3 + 0.00137576709005304*G0_1_1_7_4 + 0.00935493078350376*G0_1_1_7_5 - 0.00415298986727628*G0_1_1_7_6 + 0.0608648494362883*G0_1_1_7_7 - 0.00633223918938315*G0_1_1_7_8 + 0.0136320822035131*G0_1_1_7_9 - 0.000886098028955323*G0_1_1_8_0 + 0.00191173905459654*G0_1_1_8_1 + 0.00254967254967297*G0_1_1_8_2 + 0.00940773512202241*G0_1_1_8_3 - 0.00264449835878452*G0_1_1_8_4 - 0.0052019409162275*G0_1_1_8_5 + 0.00145568716997314*G0_1_1_8_6 - 0.00633223918938315*G0_1_1_8_7 + 0.0585100613672142*G0_1_1_8_8 + 0.0168431568431597*G0_1_1_8_9 - 0.0017753674896535*G0_1_1_9_0 - 0.00385138670853022*G0_1_1_9_1 - 0.00438228438228512*G0_1_1_9_2 + 0.0250806336520664*G0_1_1_9_3 - 0.0306893106893159*G0_1_1_9_4 + 0.0157299843014155*G0_1_1_9_5 - 0.0279920079920127*G0_1_1_9_6 + 0.0136320822035131*G0_1_1_9_7 + 0.0168431568431597*G0_1_1_9_8 + 0.0528157556729072*G0_1_1_9_9;
    A[1] = A[16] + 0.00869899500852035*G0_0_0_0_0 - 0.00453085384633083*G0_0_0_0_1 - 0.00304913010270206*G0_0_0_0_3 + 0.00121600951958116*G0_0_0_0_4 + 0.00568461300604257*G0_0_0_0_5 - 0.00220808952951849*G0_0_0_0_6 + 0.00382492507492575*G0_0_0_0_7 - 0.00610014985015091*G0_0_0_0_8 - 0.000780885780885911*G0_0_0_0_9 - 0.00453085384633083*G0_0_0_1_0 - 0.0952357827357991*G0_0_0_1_1 - 0.00443448636901093*G0_0_0_1_2 - 0.0411505624005694*G0_0_0_1_3 + 0.0195331982832016*G0_0_0_1_4 + 0.000977398923827694*G0_0_0_1_5 + 0.000574983878555389*G0_0_0_1_6 + 0.0210703648203685*G0_0_0_1_7 - 0.0458485495985575*G0_0_0_1_8 - 0.00629481629481739*G0_0_0_1_9 - 0.00443448636901093*G0_0_0_2_1 - 0.00274697524697571*G0_0_0_2_2 - 0.00407230335801833*G0_0_0_2_3 + 0.00179530125958728*G0_0_0_2_4 + 0.00135692349978087*G0_0_0_2_5 - 0.0010429980072839*G0_0_0_2_6 + 0.00139341148269743*G0_0_0_2_7 - 0.00327414318485802*G0_0_0_2_8 - 0.000634880992023958*G0_0_0_2_9 - 0.00304913010270206*G0_0_0_3_0 - 0.0411505624005694*G0_0_0_3_1 - 0.00407230335801833*G0_0_0_3_2 - 0.0460273060273139*G0_0_0_3_3 + 0.0192551793444683*G0_0_0_3_4 + 0.00117995100137978*G0_0_0_3_5 + 0.0021303398981974*G0_0_0_3_6 + 0.0130026818419698*G0_0_0_3_7 - 0.0266804029304075*G0_0_0_3_8 - 0.00712091479948746*G0_0_0_3_9 + 0.00121600951958116*G0_0_0_4_0 + 0.0195331982832016*G0_0_0_4_1 + 0.00179530125958728*G0_0_0_4_2 + 0.0192551793444683*G0_0_0_4_3 - 0.0102291755863202*G0_0_0_4_4 + 0.000207262975120149*G0_0_0_4_5 - 0.00233760287331755*G0_0_0_4_6 - 0.00584177727034969*G0_0_0_4_7 + 0.0136777210884377*G0_0_0_4_8 + 0.00149011702583158*G0_0_0_4_9 + 0.00568461300604257*G0_0_0_5_0 + 0.000977398923827694*G0_0_0_5_1 + 0.00135692349978087*G0_0_0_5_2 + 0.00117995100137978*G0_0_0_5_3 + 0.000207262975120149*G0_0_0_5_4 + 0.00127658056229511*G0_0_0_5_5 - 0.00288220707863615*G0_0_0_5_6 - 0.000598151848151951*G0_0_0_5_7 + 0.000923094762380647*G0_0_0_5_8 + 0.000496467817896482*G0_0_0_5_9 - 0.00220808952951849*G0_0_0_6_0 + 0.000574983878555389*G0_0_0_6_1 - 0.0010429980072839*G0_0_0_6_2 + 0.0021303398981974*G0_0_0_6_3 - 0.00233760287331755*G0_0_0_6_4 - 0.00288220707863614*G0_0_0_6_5 - 0.00685635792778765*G0_0_0_6_6 - 0.000324942914228681*G0_0_0_6_7 + 0.00212109319252211*G0_0_0_6_8 - 0.00235603682032293*G0_0_0_6_9 + 0.00382492507492575*G0_0_0_7_0 + 0.0210703648203685*G0_0_0_7_1 + 0.00139341148269743*G0_0_0_7_2 + 0.0130026818419698*G0_0_0_7_3 - 0.00584177727034969*G0_0_0_7_4 - 0.000598151848151951*G0_0_0_7_5 - 0.000324942914228681*G0_0_0_7_6 - 0.0153346653346679*G0_0_0_7_7 + 0.0248011809618995*G0_0_0_7_8 + 0.00299254317111511*G0_0_0_7_9 - 0.00610014985015091*G0_0_0_8_0 - 0.0458485495985575*G0_0_0_8_1 - 0.00327414318485802*G0_0_0_8_2 - 0.0266804029304075*G0_0_0_8_3 + 0.0136777210884377*G0_0_0_8_4 + 0.000923094762380647*G0_0_0_8_5 + 0.00212109319252211*G0_0_0_8_6 + 0.0248011809618995*G0_0_0_8_7 - 0.0592657342657443*G0_0_0_8_8 - 0.00847099329242332*G0_0_0_8_9 - 0.000780885780885911*G0_0_0_9_0 - 0.00629481629481739*G0_0_0_9_1 - 0.000634880992023958*G0_0_0_9_2 - 0.00712091479948746*G0_0_0_9_3 + 0.00149011702583158*G0_0_0_9_4 + 0.000496467817896482*G0_0_0_9_5 - 0.00235603682032293*G0_0_0_9_6 + 0.00299254317111511*G0_0_0_9_7 - 0.00847099329242332*G0_0_0_9_8 - 0.0100421007563882*G0_0_0_9_9 + 0.0108191962358648*G0_1_0_0_0 + 0.00052394860430584*G0_1_0_0_1 + 0.000620316081625713*G0_1_0_0_2 + 0.000227512236440845*G0_1_0_0_3 - 0.000174902808831411*G0_1_0_0_4 + 0.00659231971732086*G0_1_0_0_5 - 0.00269179894179941*G0_1_0_0_6 + 0.00189433251933286*G0_1_0_0_7 - 0.00115463240463261*G0_1_0_0_8 + 0.000290959040959097*G0_1_0_0_9 + 0.00052394860430584*G0_1_0_1_0 + 0.0108191962358647*G0_1_0_1_1 + 0.000620316081625708*G0_1_0_1_2 + 0.00659231971732082*G0_1_0_1_3 - 0.00269179894179939*G0_1_0_1_4 + 0.000227512236440844*G0_1_0_1_5 - 0.000174902808831409*G0_1_0_1_6 - 0.0011546324046326*G0_1_0_1_7 + 0.00189433251933285*G0_1_0_1_8 + 0.000290959040959093*G0_1_0_1_9 + 0.000620316081625713*G0_1_0_2_0 + 0.000620316081625708*G0_1_0_2_1 - 0.000626774019631271*G0_1_0_2_2 + 0.000873214087499947*G0_1_0_2_3 - 0.000135291296005604*G0_1_0_2_4 + 0.000873214087499953*G0_1_0_2_5 - 0.000135291296005607*G0_1_0_2_6 + 0.000436963829821047*G0_1_0_2_9 + 0.000227512236440845*G0_1_0_3_0 + 0.00659231971732082*G0_1_0_3_1 + 0.000873214087499947*G0_1_0_3_2 + 0.0107513320013338*G0_1_0_3_3 - 0.00481814316635825*G0_1_0_3_4 - 0.000427816231387732*G0_1_0_3_5 - 0.00119197766519215*G0_1_0_3_7 + 0.00170891608391637*G0_1_0_3_8 + 0.00151107820750704*G0_1_0_3_9 - 0.000174902808831411*G0_1_0_4_0 - 0.00269179894179939*G0_1_0_4_1 - 0.000135291296005604*G0_1_0_4_2 - 0.00481814316635825*G0_1_0_4_3 + 0.00261839351125108*G0_1_0_4_4 + 0.000513325959754617*G0_1_0_4_7 - 0.000516938418724219*G0_1_0_4_8 - 0.00134142643071238*G0_1_0_4_9 + 0.00659231971732086*G0_1_0_5_0 + 0.000227512236440844*G0_1_0_5_1 + 0.000873214087499953*G0_1_0_5_2 - 0.000427816231387732*G0_1_0_5_3 + 0.0107513320013338*G0_1_0_5_5 - 0.00481814316635827*G0_1_0_5_6 + 0.00170891608391638*G0_1_0_5_7 - 0.00119197766519216*G0_1_0_5_8 + 0.00151107820750704*G0_1_0_5_9 - 0.00269179894179941*G0_1_0_6_0 - 0.000174902808831409*G0_1_0_6_1 - 0.000135291296005607*G0_1_0_6_2 - 0.00481814316635827*G0_1_0_6_5 + 0.00261839351125109*G0_1_0_6_6 - 0.000516938418724223*G0_1_0_6_7 + 0.00051332595975462*G0_1_0_6_8 - 0.00134142643071238*G0_1_0_6_9 + 0.00189433251933286*G0_1_0_7_0 - 0.0011546324046326*G0_1_0_7_1 - 0.00119197766519215*G0_1_0_7_3 + 0.000513325959754617*G0_1_0_7_4 + 0.00170891608391638*G0_1_0_7_5 - 0.000516938418724223*G0_1_0_7_6 - 0.00248709623709664*G0_1_0_7_7 + 0.000727858451072852*G0_1_0_7_8 + 0.000160999714571173*G0_1_0_7_9 - 0.00115463240463261*G0_1_0_8_0 + 0.00189433251933285*G0_1_0_8_1 + 0.00170891608391637*G0_1_0_8_3 - 0.000516938418724219*G0_1_0_8_4 - 0.00119197766519216*G0_1_0_8_5 + 0.00051332595975462*G0_1_0_8_6 + 0.000727858451072852*G0_1_0_8_7 - 0.00248709623709665*G0_1_0_8_8 + 0.000160999714571168*G0_1_0_8_9 + 0.000290959040959097*G0_1_0_9_0 + 0.000290959040959092*G0_1_0_9_1 + 0.000436963829821047*G0_1_0_9_2 + 0.00151107820750704*G0_1_0_9_3 - 0.00134142643071238*G0_1_0_9_4 + 0.00151107820750704*G0_1_0_9_5 - 0.00134142643071238*G0_1_0_9_6 + 0.000160999714571173*G0_1_0_9_7 + 0.000160999714571168*G0_1_0_9_8 + 0.00183352361923822*G0_1_0_9_9;
    A[27] = A[181] - 0.00237293570626945*G0_0_1_0_0 - 0.0008015441348776*G0_0_1_0_1 + 0.000133992991135881*G0_0_1_0_3 - 0.000287014572728912*G0_0_1_0_4 - 0.000945562374133963*G0_0_1_0_5 + 0.00435770578627794*G0_0_1_0_7 - 0.00223522509236832*G0_0_1_0_8 + 0.00133390419104727*G0_0_1_0_9 - 0.0008015441348776*G0_0_1_1_0 + 0.000797104130437605*G0_0_1_1_2 + 0.0109668109668129*G0_0_1_1_3 - 0.00275280275280324*G0_0_1_1_4 + 0.000498390498390585*G0_0_1_1_5 - 0.000493950493950583*G0_0_1_1_6 + 0.00674880674880786*G0_0_1_1_7 - 0.0109668109668128*G0_0_1_1_8 - 0.00399600399600465*G0_0_1_1_9 + 0.000797104130437605*G0_0_1_2_1 - 0.000273025034929846*G0_0_1_2_2 + 0.0022269793698369*G0_0_1_2_3 + 0.00142825428539738*G0_0_1_2_4 - 0.000216291644863112*G0_0_1_2_5 + 0.00040832183689334*G0_0_1_2_6 + 0.00139891854177591*G0_0_1_2_7 - 0.00124462838748573*G0_0_1_2_8 + 0.00371628371628435*G0_0_1_2_9 + 0.000133992991135881*G0_0_1_3_0 + 0.0109668109668129*G0_0_1_3_1 + 0.0022269793698369*G0_0_1_3_2 + 0.0317482517482573*G0_0_1_3_3 - 0.0173126873126903*G0_0_1_3_4 - 0.000685029256457943*G0_0_1_3_5 + 0.000954759526188251*G0_0_1_3_6 - 0.000929070929071129*G0_0_1_3_7 - 0.00227772227772258*G0_0_1_3_8 + 0.0138461538461562*G0_0_1_3_9 - 0.000287014572728912*G0_0_1_4_0 - 0.00275280275280324*G0_0_1_4_1 + 0.00142825428539738*G0_0_1_4_2 - 0.0173126873126903*G0_0_1_4_3 + 0.010383901812475*G0_0_1_4_4 + 0.000333951762523247*G0_0_1_4_5 - 0.0012887112887115*G0_0_1_4_6 - 0.00140430997573876*G0_0_1_4_7 + 0.00320679320679371*G0_0_1_4_8 - 0.0118167546738995*G0_0_1_4_9 - 0.000945562374133963*G0_0_1_5_0 + 0.000498390498390585*G0_0_1_5_1 - 0.000216291644863112*G0_0_1_5_2 - 0.000685029256457943*G0_0_1_5_3 + 0.000333951762523247*G0_0_1_5_4 + 0.00029970029970032*G0_0_1_5_5 + 0.00102754388468691*G0_0_1_5_6 + 0.00674611103182645*G0_0_1_5_7 - 0.00202226345083522*G0_0_1_5_8 - 0.000493950493950583*G0_0_1_6_1 + 0.00040832183689334*G0_0_1_6_2 + 0.000954759526188251*G0_0_1_6_3 - 0.0012887112887115*G0_0_1_6_4 + 0.00102754388468691*G0_0_1_6_5 + 0.00175538746967349*G0_0_1_6_6 - 0.00472384758099122*G0_0_1_6_7 + 0.0028714142999862*G0_0_1_6_8 - 0.0130583702012296*G0_0_1_6_9 + 0.00435770578627794*G0_0_1_7_0 + 0.00674880674880786*G0_0_1_7_1 + 0.00139891854177591*G0_0_1_7_2 - 0.000929070929071129*G0_0_1_7_3 - 0.00140430997573876*G0_0_1_7_4 + 0.00674611103182645*G0_0_1_7_5 - 0.00472384758099122*G0_0_1_7_6 + 0.0318824033109801*G0_0_1_7_7 - 0.00438561438561516*G0_0_1_7_8 + 0.00544598258884064*G0_0_1_7_9 - 0.00223522509236832*G0_0_1_8_0 - 0.0109668109668128*G0_0_1_8_1 - 0.00124462838748573*G0_0_1_8_2 - 0.00227772227772258*G0_0_1_8_3 + 0.00320679320679371*G0_0_1_8_4 - 0.00202226345083522*G0_0_1_8_5 + 0.0028714142999862*G0_0_1_8_6 - 0.00438561438561516*G0_0_1_8_7 - 0.0271928071928117*G0_0_1_8_8 + 0.00557442557442654*G0_0_1_8_9 + 0.00133390419104727*G0_0_1_9_0 - 0.00399600399600465*G0_0_1_9_1 + 0.00371628371628435*G0_0_1_9_2 + 0.0138461538461562*G0_0_1_9_3 - 0.0118167546738995*G0_0_1_9_4 - 0.0130583702012296*G0_0_1_9_6 + 0.00544598258884064*G0_0_1_9_7 + 0.00557442557442654*G0_0_1_9_8 - 0.0267161410018597*G0_0_1_9_9 + 0.00237293570626945*G0_1_0_0_0 + 0.0008015441348776*G0_1_0_0_1 - 0.000133992991135881*G0_1_0_0_3 + 0.000287014572728912*G0_1_0_0_4 + 0.000945562374133963*G0_1_0_0_5 - 0.00435770578627794*G0_1_0_0_7 + 0.00223522509236832*G0_1_0_0_8 - 0.00133390419104727*G0_1_0_0_9 + 0.0008015441348776*G0_1_0_1_0 - 0.000797104130437604*G0_1_0_1_2 - 0.0109668109668129*G0_1_0_1_3 + 0.00275280275280324*G0_1_0_1_4 - 0.000498390498390585*G0_1_0_1_5 + 0.000493950493950583*G0_1_0_1_6 - 0.00674880674880786*G0_1_0_1_7 + 0.0109668109668128*G0_1_0_1_8 + 0.00399600399600465*G0_1_0_1_9 - 0.000797104130437604*G0_1_0_2_1 + 0.000273025034929846*G0_1_0_2_2 - 0.0022269793698369*G0_1_0_2_3 - 0.00142825428539738*G0_1_0_2_4 + 0.000216291644863113*G0_1_0_2_5 - 0.00040832183689334*G0_1_0_2_6 - 0.00139891854177591*G0_1_0_2_7 + 0.00124462838748573*G0_1_0_2_8 - 0.00371628371628435*G0_1_0_2_9 - 0.000133992991135881*G0_1_0_3_0 - 0.0109668109668129*G0_1_0_3_1 - 0.0022269793698369*G0_1_0_3_2 - 0.0317482517482573*G0_1_0_3_3 + 0.0173126873126903*G0_1_0_3_4 + 0.000685029256457943*G0_1_0_3_5 - 0.00095475952618825*G0_1_0_3_6 + 0.000929070929071129*G0_1_0_3_7 + 0.00227772227772258*G0_1_0_3_8 - 0.0138461538461562*G0_1_0_3_9 + 0.000287014572728912*G0_1_0_4_0 + 0.00275280275280324*G0_1_0_4_1 - 0.00142825428539738*G0_1_0_4_2 + 0.0173126873126903*G0_1_0_4_3 - 0.010383901812475*G0_1_0_4_4 - 0.000333951762523247*G0_1_0_4_5 + 0.0012887112887115*G0_1_0_4_6 + 0.00140430997573876*G0_1_0_4_7 - 0.00320679320679371*G0_1_0_4_8 + 0.0118167546738995*G0_1_0_4_9 + 0.000945562374133963*G0_1_0_5_0 - 0.000498390498390585*G0_1_0_5_1 + 0.000216291644863113*G0_1_0_5_2 + 0.000685029256457943*G0_1_0_5_3 - 0.000333951762523247*G0_1_0_5_4 - 0.00029970029970032*G0_1_0_5_5 - 0.00102754388468691*G0_1_0_5_6 - 0.00674611103182645*G0_1_0_5_7 + 0.00202226345083522*G0_1_0_5_8 + 0.000493950493950583*G0_1_0_6_1 - 0.00040832183689334*G0_1_0_6_2 - 0.000954759526188251*G0_1_0_6_3 + 0.0012887112887115*G0_1_0_6_4 - 0.00102754388468691*G0_1_0_6_5 - 0.00175538746967349*G0_1_0_6_6 + 0.00472384758099122*G0_1_0_6_7 - 0.0028714142999862*G0_1_0_6_8 + 0.0130583702012296*G0_1_0_6_9 - 0.00435770578627794*G0_1_0_7_0 - 0.00674880674880786*G0_1_0_7_1 - 0.00139891854177591*G0_1_0_7_2 + 0.000929070929071129*G0_1_0_7_3 + 0.00140430997573876*G0_1_0_7_4 - 0.00674611103182645*G0_1_0_7_5 + 0.00472384758099122*G0_1_0_7_6 - 0.0318824033109801*G0_1_0_7_7 + 0.00438561438561516*G0_1_0_7_8 - 0.00544598258884064*G0_1_0_7_9 + 0.00223522509236832*G0_1_0_8_0 + 0.0109668109668128*G0_1_0_8_1 + 0.00124462838748573*G0_1_0_8_2 + 0.00227772227772258*G0_1_0_8_3 - 0.00320679320679371*G0_1_0_8_4 + 0.00202226345083522*G0_1_0_8_5 - 0.0028714142999862*G0_1_0_8_6 + 0.00438561438561516*G0_1_0_8_7 + 0.0271928071928117*G0_1_0_8_8 - 0.00557442557442655*G0_1_0_8_9 - 0.00133390419104727*G0_1_0_9_0 + 0.00399600399600465*G0_1_0_9_1 - 0.00371628371628435*G0_1_0_9_2 - 0.0138461538461562*G0_1_0_9_3 + 0.0118167546738995*G0_1_0_9_4 + 0.0130583702012296*G0_1_0_9_6 - 0.00544598258884064*G0_1_0_9_7 - 0.00557442557442655*G0_1_0_9_8 + 0.0267161410018597*G0_1_0_9_9;
    A[46] = -0.000376695614790921*G0_0_0_0_0 + 0.00287397787397836*G0_0_0_0_1 - 0.000193677574629989*G0_0_0_0_2 + 0.00448532948533026*G0_0_0_0_3 - 0.00305205376634*G0_0_0_0_4 + 0.000163751592323045*G0_0_0_0_5 - 0.00104575318861051*G0_0_0_0_6 - 0.00158185729614328*G0_0_0_0_7 + 0.00371276871276934*G0_0_0_0_8 + 0.000279561708133184*G0_0_0_0_9 + 0.00287397787397836*G0_0_0_1_0 + 0.04288304288305*G0_0_0_1_1 + 0.00430587930588002*G0_0_0_1_2 + 0.0501683501683586*G0_0_0_1_3 - 0.0214183964184*G0_0_0_1_4 - 0.00144207644207669*G0_0_0_1_5 - 0.00210252710252746*G0_0_0_1_6 - 0.0125420875420896*G0_0_0_1_7 + 0.0250841750841793*G0_0_0_1_8 + 0.00733155733155859*G0_0_0_1_9 - 0.000193677574629989*G0_0_0_2_0 + 0.00430587930588002*G0_0_0_2_1 - 0.00739334739334863*G0_0_0_2_2 + 0.0101975801975819*G0_0_0_2_3 - 0.00552621981193502*G0_0_0_2_4 + 0.00247958390815575*G0_0_0_2_5 - 0.0062264719407587*G0_0_0_2_6 - 0.00213091141662606*G0_0_0_2_7 + 0.00371276871276933*G0_0_0_2_8 + 0.00137766994909876*G0_0_0_2_9 + 0.00448532948533026*G0_0_0_3_0 + 0.0501683501683586*G0_0_0_3_1 + 0.0101975801975819*G0_0_0_3_2 + 0.100749250749268*G0_0_0_3_3 - 0.0399450549450617*G0_0_0_3_4 - 0.00231768231768271*G0_0_0_3_5 + 0.0018131868131871*G0_0_0_3_6 - 0.017950382950386*G0_0_0_3_7 + 0.0335830835830892*G0_0_0_3_8 + 0.0139060939060963*G0_0_0_3_9 - 0.00305205376634*G0_0_0_4_0 - 0.0214183964184*G0_0_0_4_1 - 0.00552621981193502*G0_0_0_4_2 - 0.0399450549450617*G0_0_0_4_3 + 0.00337662337662395*G0_0_0_4_4 + 0.00466176680462473*G0_0_0_4_5 - 0.00647495361781184*G0_0_0_4_6 + 0.0100216450216467*G0_0_0_4_7 - 0.0156327006327033*G0_0_0_4_8 - 0.0134565434565457*G0_0_0_4_9 + 0.000163751592323045*G0_0_0_5_0 - 0.00144207644207669*G0_0_0_5_1 + 0.00247958390815575*G0_0_0_5_2 - 0.00231768231768271*G0_0_0_5_3 + 0.00466176680462473*G0_0_0_5_4 - 0.0166875981161723*G0_0_0_5_5 + 0.00561509918652871*G0_0_0_5_6 - 0.00173017458731773*G0_0_0_5_7 - 0.000168165168165199*G0_0_0_5_8 - 0.000502354788069157*G0_0_0_5_9 - 0.00104575318861051*G0_0_0_6_0 - 0.00210252710252746*G0_0_0_6_1 - 0.0062264719407587*G0_0_0_6_2 + 0.0018131868131871*G0_0_0_6_3 - 0.00647495361781184*G0_0_0_6_4 + 0.00561509918652871*G0_0_0_6_5 - 0.0353617810760727*G0_0_0_6_6 + 0.00189833975548293*G0_0_0_6_7 - 0.000168165168165197*G0_0_0_6_8 - 0.00775938347367048*G0_0_0_6_9 - 0.00158185729614328*G0_0_0_7_0 - 0.0125420875420896*G0_0_0_7_1 - 0.00213091141662606*G0_0_0_7_2 - 0.017950382950386*G0_0_0_7_3 + 0.0100216450216467*G0_0_0_7_4 - 0.00173017458731773*G0_0_0_7_5 + 0.00189833975548293*G0_0_0_7_6 + 0.00561105561105654*G0_0_0_7_7 - 0.0156327006327032*G0_0_0_7_8 - 0.00463536463536542*G0_0_0_7_9 + 0.00371276871276934*G0_0_0_8_0 + 0.0250841750841793*G0_0_0_8_1 + 0.00371276871276933*G0_0_0_8_2 + 0.0335830835830892*G0_0_0_8_3 - 0.0156327006327032*G0_0_0_8_4 - 0.000168165168165199*G0_0_0_8_5 - 0.000168165168165197*G0_0_0_8_6 - 0.0156327006327032*G0_0_0_8_7 + 0.0335830835830891*G0_0_0_8_8 + 0.00927072927073083*G0_0_0_8_9 + 0.000279561708133184*G0_0_0_9_0 + 0.00733155733155859*G0_0_0_9_1 + 0.00137766994909876*G0_0_0_9_2 + 0.0139060939060963*G0_0_0_9_3 - 0.0134565434565457*G0_0_0_9_4 - 0.000502354788069157*G0_0_0_9_5 - 0.00775938347367048*G0_0_0_9_6 - 0.00463536463536542*G0_0_0_9_7 + 0.00927072927073083*G0_0_0_9_8 - 0.0260139860139904*G0_0_0_9_9 + 0.00113558399272704*G0_1_0_0_0 + 0.0117478200811555*G0_1_0_0_1 + 0.000944003086860391*G0_1_0_0_2 + 0.00868964368964519*G0_1_0_0_3 - 0.00417748917748989*G0_1_0_0_4 - 0.000520749092177761*G0_1_0_0_5 - 0.000326736755308234*G0_1_0_0_6 - 0.00592851592851695*G0_1_0_0_7 + 0.0135714285714309*G0_1_0_0_8 + 0.00253857253857298*G0_1_0_0_9 + 0.0117478200811555*G0_1_0_1_0 + 0.228459195125901*G0_1_0_1_1 + 0.0117478200811554*G0_1_0_1_2 + 0.113297813297833*G0_1_0_1_3 - 0.0524753024753113*G0_1_0_1_4 - 0.00252247752247802*G0_1_0_1_5 - 0.00252247752247791*G0_1_0_1_6 - 0.0524753024753115*G0_1_0_1_7 + 0.113297813297833*G0_1_0_1_8 + 0.0166944166944196*G0_1_0_1_9 + 0.000944003086860391*G0_1_0_2_0 + 0.0117478200811554*G0_1_0_2_1 + 0.00113558399272705*G0_1_0_2_2 + 0.0135714285714309*G0_1_0_2_3 - 0.00592851592851692*G0_1_0_2_4 - 0.000326736755308243*G0_1_0_2_5 - 0.000520749092177745*G0_1_0_2_6 - 0.00417748917748988*G0_1_0_2_7 + 0.00868964368964515*G0_1_0_2_8 + 0.00253857253857297*G0_1_0_2_9 + 0.00868964368964519*G0_1_0_3_0 + 0.113297813297833*G0_1_0_3_1 + 0.0135714285714309*G0_1_0_3_2 + 0.147818847818873*G0_1_0_3_3 - 0.0619963369963475*G0_1_0_3_4 - 0.00380785880785946*G0_1_0_3_5 - 0.00331834831834887*G0_1_0_3_6 - 0.0369547119547183*G0_1_0_3_7 + 0.0739094239094365*G0_1_0_3_8 + 0.0238261738261779*G0_1_0_3_9 - 0.00417748917748989*G0_1_0_4_0 - 0.0524753024753113*G0_1_0_4_1 - 0.00592851592851692*G0_1_0_4_2 - 0.0619963369963475*G0_1_0_4_3 + 0.0270496170496216*G0_1_0_4_4 + 0.00164668664668693*G0_1_0_4_5 + 0.00167166167166195*G0_1_0_4_6 + 0.017975357975361*G0_1_0_4_7 - 0.0369547119547182*G0_1_0_4_8 - 0.0109090909090928*G0_1_0_4_9 - 0.000520749092177761*G0_1_0_5_0 - 0.00252247752247802*G0_1_0_5_1 - 0.000326736755308243*G0_1_0_5_2 - 0.00380785880785946*G0_1_0_5_3 + 0.00164668664668693*G0_1_0_5_4 - 0.00070548499119941*G0_1_0_5_5 + 0.00020431949003381*G0_1_0_5_6 + 0.00167166167166197*G0_1_0_5_7 - 0.00331834831834892*G0_1_0_5_8 - 0.000979020979021151*G0_1_0_5_9 - 0.000326736755308234*G0_1_0_6_0 - 0.00252247752247791*G0_1_0_6_1 - 0.000520749092177745*G0_1_0_6_2 - 0.00331834831834887*G0_1_0_6_3 + 0.00167166167166195*G0_1_0_6_4 + 0.00020431949003381*G0_1_0_6_5 - 0.000705484991199398*G0_1_0_6_6 + 0.00164668664668691*G0_1_0_6_7 - 0.00380785880785942*G0_1_0_6_8 - 0.000979020979021146*G0_1_0_6_9 - 0.00592851592851695*G0_1_0_7_0 - 0.0524753024753115*G0_1_0_7_1 - 0.00417748917748988*G0_1_0_7_2 - 0.0369547119547183*G0_1_0_7_3 + 0.017975357975361*G0_1_0_7_4 + 0.00167166167166197*G0_1_0_7_5 + 0.00164668664668691*G0_1_0_7_6 + 0.0270496170496217*G0_1_0_7_7 - 0.0619963369963475*G0_1_0_7_8 - 0.0109090909090928*G0_1_0_7_9 + 0.0135714285714309*G0_1_0_8_0 + 0.113297813297833*G0_1_0_8_1 + 0.00868964368964515*G0_1_0_8_2 + 0.0739094239094365*G0_1_0_8_3 - 0.0369547119547182*G0_1_0_8_4 - 0.00331834831834892*G0_1_0_8_5 - 0.00380785880785942*G0_1_0_8_6 - 0.0619963369963475*G0_1_0_8_7 + 0.147818847818873*G0_1_0_8_8 + 0.0238261738261779*G0_1_0_8_9 + 0.00253857253857298*G0_1_0_9_0 + 0.0166944166944196*G0_1_0_9_1 + 0.00253857253857297*G0_1_0_9_2 + 0.0238261738261779*G0_1_0_9_3 - 0.0109090909090928*G0_1_0_9_4 - 0.000979020979021151*G0_1_0_9_5 - 0.000979020979021146*G0_1_0_9_6 - 0.0109090909090928*G0_1_0_9_7 + 0.0238261738261779*G0_1_0_9_8 + 0.00803196803196939*G0_1_0_9_9;
    A[144] = A[176] + 0.297220381029956*G0_0_0_0_0 + 0.0128210413924722*G0_0_0_0_2 - 0.00910835196549648*G0_0_0_0_3 + 0.00286190000475765*G0_0_0_0_4 + 0.142964760107642*G0_0_0_0_5 - 0.0622344850916387*G0_0_0_0_6 + 0.0933601847887721*G0_0_0_0_7 - 0.0546974718403383*G0_0_0_0_8 + 0.0101485815771549*G0_0_0_0_9 - 0.297220381029956*G0_0_0_1_1 - 0.0128210413924721*G0_0_0_1_2 - 0.142964760107642*G0_0_0_1_3 + 0.0622344850916385*G0_0_0_1_4 + 0.00910835196549646*G0_0_0_1_5 - 0.00286190000475766*G0_0_0_1_6 + 0.0546974718403385*G0_0_0_1_7 - 0.0933601847887724*G0_0_0_1_8 - 0.0101485815771548*G0_0_0_1_9 + 0.0128210413924722*G0_0_0_2_0 - 0.0128210413924721*G0_0_0_2_1 - 0.0183418697704443*G0_0_0_2_3 + 0.00621769764627012*G0_0_0_2_4 + 0.0183418697704443*G0_0_0_2_5 - 0.00621769764627013*G0_0_0_2_6 + 0.0160347588919044*G0_0_0_2_7 - 0.0160347588919045*G0_0_0_2_8 - 0.00910835196549648*G0_0_0_3_0 - 0.142964760107642*G0_0_0_3_1 - 0.0183418697704443*G0_0_0_3_2 - 0.140507111935707*G0_0_0_3_3 + 0.0828124256695825*G0_0_0_3_4 + 0.00858570001427288*G0_0_0_3_6 + 0.0273250558964891*G0_0_0_3_7 - 0.0754293325722026*G0_0_0_3_8 - 0.0242043670615141*G0_0_0_3_9 + 0.00286190000475765*G0_0_0_4_0 + 0.0622344850916385*G0_0_0_4_1 + 0.00621769764627012*G0_0_0_4_2 + 0.0828124256695825*G0_0_0_4_3 - 0.0125436468293632*G0_0_0_4_4 - 0.00858570001427291*G0_0_0_4_5 - 0.0283449883449931*G0_0_0_4_7 + 0.0481042766757134*G0_0_0_4_8 + 0.0171714000285459*G0_0_0_4_9 + 0.142964760107642*G0_0_0_5_0 + 0.00910835196549646*G0_0_0_5_1 + 0.0183418697704443*G0_0_0_5_2 - 0.00858570001427291*G0_0_0_5_4 + 0.140507111935708*G0_0_0_5_5 - 0.0828124256695827*G0_0_0_5_6 + 0.0754293325722024*G0_0_0_5_7 - 0.0273250558964891*G0_0_0_5_8 + 0.0242043670615141*G0_0_0_5_9 - 0.0622344850916387*G0_0_0_6_0 - 0.00286190000475766*G0_0_0_6_1 - 0.00621769764627013*G0_0_0_6_2 + 0.00858570001427288*G0_0_0_6_3 - 0.0828124256695827*G0_0_0_6_5 + 0.0125436468293634*G0_0_0_6_6 - 0.0481042766757133*G0_0_0_6_7 + 0.0283449883449931*G0_0_0_6_8 - 0.0171714000285458*G0_0_0_6_9 + 0.0933601847887721*G0_0_0_7_0 + 0.0546974718403385*G0_0_0_7_1 + 0.0160347588919044*G0_0_0_7_2 + 0.0273250558964891*G0_0_0_7_3 - 0.0283449883449931*G0_0_0_7_4 + 0.0754293325722024*G0_0_0_7_5 - 0.0481042766757133*G0_0_0_7_6 + 0.197288425859888*G0_0_0_7_7 + 0.0657628086199625*G0_0_0_7_9 - 0.0546974718403384*G0_0_0_8_0 - 0.0933601847887725*G0_0_0_8_1 - 0.0160347588919045*G0_0_0_8_2 - 0.0754293325722026*G0_0_0_8_3 + 0.0481042766757134*G0_0_0_8_4 - 0.0273250558964891*G0_0_0_8_5 + 0.0283449883449931*G0_0_0_8_6 - 0.197288425859888*G0_0_0_8_8 - 0.0657628086199627*G0_0_0_8_9 + 0.0101485815771549*G0_0_0_9_0 - 0.0101485815771548*G0_0_0_9_1 - 0.0242043670615141*G0_0_0_9_3 + 0.0171714000285459*G0_0_0_9_4 + 0.0242043670615141*G0_0_0_9_5 - 0.0171714000285458*G0_0_0_9_6 + 0.0657628086199626*G0_0_0_9_7 - 0.0657628086199627*G0_0_0_9_8 - 0.0572143200714725*G0_0_1_0_0 - 0.0191058324391691*G0_0_1_0_1 - 0.00483213435594469*G0_0_1_0_2 - 0.005961445961447*G0_0_1_0_3 + 0.00616357187785866*G0_0_1_0_4 - 0.0356824128252759*G0_0_1_0_5 + 0.0172069200640658*G0_0_1_0_6 - 0.0417055959913172*G0_0_1_0_7 + 0.0127516927516948*G0_0_1_0_8 - 0.0101485815771547*G0_0_1_0_9 - 0.0191058324391691*G0_0_1_1_0 - 0.354434701101429*G0_0_1_1_1 - 0.0176531757484168*G0_0_1_1_2 - 0.178647172932918*G0_0_1_1_3 + 0.0794414051557043*G0_0_1_1_4 + 0.00314690600404951*G0_0_1_1_5 + 0.00330167187310096*G0_0_1_1_6 + 0.0674491645920334*G0_0_1_1_7 - 0.13506578078009*G0_0_1_1_8 - 0.0202971631543096*G0_0_1_1_9 - 0.00483213435594469*G0_0_1_2_0 - 0.0176531757484168*G0_0_1_2_1 - 0.00020973735259453*G0_0_1_2_2 - 0.0178784178784209*G0_0_1_2_3 + 0.00386745529602737*G0_0_1_2_4 + 0.000463451892023407*G0_0_1_2_5 - 0.00235024235024275*G0_0_1_2_6 + 0.0146782318210914*G0_0_1_2_7 - 0.00135652707081304*G0_0_1_2_8 + 0.0103921475350064*G0_0_1_2_9 - 0.005961445961447*G0_0_1_3_0 - 0.178647172932918*G0_0_1_3_1 - 0.0178784178784209*G0_0_1_3_2 - 0.164544027401198*G0_0_1_3_3 + 0.0872042243470962*G0_0_1_3_4 - 0.000791589363018046*G0_0_1_3_5 + 0.000121782978925874*G0_0_1_3_6 + 0.0279111364825698*G0_0_1_3_7 - 0.042007516293238*G0_0_1_3_8 + 0.00506921649778861*G0_0_1_3_9 + 0.00616357187785866*G0_0_1_4_0 + 0.0794414051557043*G0_0_1_4_1 + 0.00386745529602737*G0_0_1_4_2 + 0.0872042243470962*G0_0_1_4_3 - 0.00575424575424666*G0_0_1_4_4 - 0.00846391703534705*G0_0_1_4_5 + 0.00834213405642118*G0_0_1_4_6 - 0.0362761048475396*G0_0_1_4_7 + 0.014096379810668*G0_0_1_4_8 - 0.0142486085343251*G0_0_1_4_9 - 0.0356824128252759*G0_0_1_5_0 + 0.00314690600404951*G0_0_1_5_1 + 0.000463451892023407*G0_0_1_5_2 - 0.000791589363018047*G0_0_1_5_3 - 0.00846391703534704*G0_0_1_5_4 - 0.0240369154654909*G0_0_1_5_5 + 0.00439179867751366*G0_0_1_5_6 + 0.0334218162789647*G0_0_1_5_7 + 0.000586080586080726*G0_0_1_5_8 + 0.0292735835593027*G0_0_1_5_9 + 0.0172069200640658*G0_0_1_6_0 + 0.00330167187310096*G0_0_1_6_1 - 0.00235024235024275*G0_0_1_6_2 + 0.000121782978925874*G0_0_1_6_3 + 0.00834213405642118*G0_0_1_6_4 + 0.00439179867751366*G0_0_1_6_5 + 0.0067894010751165*G0_0_1_6_6 - 0.0340078968650454*G0_0_1_6_7 - 0.0079311165025464*G0_0_1_6_8 - 0.0314200085628709*G0_0_1_6_9 - 0.0417055959913173*G0_0_1_7_0 + 0.0674491645920334*G0_0_1_7_1 + 0.0146782318210914*G0_0_1_7_2 + 0.0279111364825698*G0_0_1_7_3 - 0.0362761048475396*G0_0_1_7_4 + 0.0334218162789647*G0_0_1_7_5 - 0.0340078968650454*G0_0_1_7_6 + 0.268744588744634*G0_0_1_7_7 + 0.0145987345987373*G0_0_1_7_8 + 0.098461538461555*G0_0_1_7_9 + 0.0127516927516948*G0_0_1_8_0 - 0.13506578078009*G0_0_1_8_1 - 0.00135652707081304*G0_0_1_8_2 - 0.042007516293238*G0_0_1_8_3 + 0.014096379810668*G0_0_1_8_4 + 0.000586080586080724*G0_0_1_8_5 - 0.0079311165025464*G0_0_1_8_6 + 0.0145987345987373*G0_0_1_8_7 + 0.071456162884746*G0_0_1_8_8 + 0.0326987298415924*G0_0_1_8_9 - 0.0101485815771547*G0_0_1_9_0 - 0.0202971631543096*G0_0_1_9_1 + 0.0103921475350064*G0_0_1_9_2 + 0.00506921649778861*G0_0_1_9_3 - 0.0142486085343251*G0_0_1_9_4 + 0.0292735835593027*G0_0_1_9_5 - 0.0314200085628709*G0_0_1_9_6 + 0.098461538461555*G0_0_1_9_7 + 0.0326987298415924*G0_0_1_9_8 + 0.16988725560157*G0_0_1_9_9 - 0.0572143200714725*G0_1_0_0_0 - 0.0191058324391691*G0_1_0_0_1 - 0.00483213435594469*G0_1_0_0_2 - 0.005961445961447*G0_1_0_0_3 + 0.00616357187785866*G0_1_0_0_4 - 0.0356824128252759*G0_1_0_0_5 + 0.0172069200640658*G0_1_0_0_6 - 0.0417055959913172*G0_1_0_0_7 + 0.0127516927516948*G0_1_0_0_8 - 0.0101485815771547*G0_1_0_0_9 - 0.0191058324391691*G0_1_0_1_0 - 0.354434701101429*G0_1_0_1_1 - 0.0176531757484168*G0_1_0_1_2 - 0.178647172932918*G0_1_0_1_3 + 0.0794414051557043*G0_1_0_1_4 + 0.00314690600404951*G0_1_0_1_5 + 0.00330167187310096*G0_1_0_1_6 + 0.0674491645920334*G0_1_0_1_7 - 0.13506578078009*G0_1_0_1_8 - 0.0202971631543096*G0_1_0_1_9 - 0.00483213435594469*G0_1_0_2_0 - 0.0176531757484168*G0_1_0_2_1 - 0.00020973735259453*G0_1_0_2_2 - 0.0178784178784209*G0_1_0_2_3 + 0.00386745529602737*G0_1_0_2_4 + 0.000463451892023406*G0_1_0_2_5 - 0.00235024235024274*G0_1_0_2_6 + 0.0146782318210914*G0_1_0_2_7 - 0.00135652707081304*G0_1_0_2_8 + 0.0103921475350064*G0_1_0_2_9 - 0.005961445961447*G0_1_0_3_0 - 0.178647172932918*G0_1_0_3_1 - 0.0178784178784209*G0_1_0_3_2 - 0.164544027401198*G0_1_0_3_3 + 0.0872042243470962*G0_1_0_3_4 - 0.000791589363018046*G0_1_0_3_5 + 0.000121782978925874*G0_1_0_3_6 + 0.0279111364825698*G0_1_0_3_7 - 0.042007516293238*G0_1_0_3_8 + 0.00506921649778861*G0_1_0_3_9 + 0.00616357187785866*G0_1_0_4_0 + 0.0794414051557043*G0_1_0_4_1 + 0.00386745529602738*G0_1_0_4_2 + 0.0872042243470962*G0_1_0_4_3 - 0.00575424575424666*G0_1_0_4_4 - 0.00846391703534704*G0_1_0_4_5 + 0.00834213405642118*G0_1_0_4_6 - 0.0362761048475395*G0_1_0_4_7 + 0.014096379810668*G0_1_0_4_8 - 0.0142486085343251*G0_1_0_4_9 - 0.0356824128252759*G0_1_0_5_0 + 0.00314690600404951*G0_1_0_5_1 + 0.000463451892023406*G0_1_0_5_2 - 0.000791589363018047*G0_1_0_5_3 - 0.00846391703534704*G0_1_0_5_4 - 0.0240369154654909*G0_1_0_5_5 + 0.00439179867751366*G0_1_0_5_6 + 0.0334218162789646*G0_1_0_5_7 + 0.000586080586080726*G0_1_0_5_8 + 0.0292735835593027*G0_1_0_5_9 + 0.0172069200640658*G0_1_0_6_0 + 0.00330167187310096*G0_1_0_6_1 - 0.00235024235024274*G0_1_0_6_2 + 0.000121782978925874*G0_1_0_6_3 + 0.00834213405642118*G0_1_0_6_4 + 0.00439179867751367*G0_1_0_6_5 + 0.00678940107511649*G0_1_0_6_6 - 0.0340078968650453*G0_1_0_6_7 - 0.0079311165025464*G0_1_0_6_8 - 0.0314200085628709*G0_1_0_6_9 - 0.0417055959913173*G0_1_0_7_0 + 0.0674491645920334*G0_1_0_7_1 + 0.0146782318210914*G0_1_0_7_2 + 0.0279111364825698*G0_1_0_7_3 - 0.0362761048475395*G0_1_0_7_4 + 0.0334218162789646*G0_1_0_7_5 - 0.0340078968650453*G0_1_0_7_6 + 0.268744588744634*G0_1_0_7_7 + 0.0145987345987374*G0_1_0_7_8 + 0.098461538461555*G0_1_0_7_9 + 0.0127516927516948*G0_1_0_8_0 - 0.13506578078009*G0_1_0_8_1 - 0.00135652707081304*G0_1_0_8_2 - 0.042007516293238*G0_1_0_8_3 + 0.014096379810668*G0_1_0_8_4 + 0.000586080586080727*G0_1_0_8_5 - 0.0079311165025464*G0_1_0_8_6 + 0.0145987345987374*G0_1_0_8_7 + 0.071456162884746*G0_1_0_8_8 + 0.0326987298415924*G0_1_0_8_9 - 0.0101485815771547*G0_1_0_9_0 - 0.0202971631543096*G0_1_0_9_1 + 0.0103921475350064*G0_1_0_9_2 + 0.00506921649778861*G0_1_0_9_3 - 0.0142486085343251*G0_1_0_9_4 + 0.0292735835593027*G0_1_0_9_5 - 0.0314200085628709*G0_1_0_9_6 + 0.098461538461555*G0_1_0_9_7 + 0.0326987298415924*G0_1_0_9_8 + 0.16988725560157*G0_1_0_9_9 + 0.0404657776086415*G0_1_1_0_0 - 0.0191058324391691*G0_1_1_0_1 + 0.000619063476206426*G0_1_1_0_2 - 0.0243075443075485*G0_1_1_0_3 + 0.0109283309283328*G0_1_1_0_4 + 0.0284143369857703*G0_1_1_0_5 - 0.0129157614871922*G0_1_1_0_6 + 0.0980826580826746*G0_1_1_0_7 - 0.0722714322714445*G0_1_1_0_8 - 0.000142080142080146*G0_1_1_0_9 - 0.0191058324391691*G0_1_1_1_0 - 0.452114798781543*G0_1_1_1_1 - 0.0231043735805679*G0_1_1_1_2 - 0.242743922743964*G0_1_1_1_3 + 0.109564086706962*G0_1_1_1_4 + 0.0214930043501509*G0_1_1_1_5 - 0.0014630871773732*G0_1_1_1_6 + 0.152472289615173*G0_1_1_1_7 - 0.274854034854082*G0_1_1_1_8 - 0.0303036645893841*G0_1_1_1_9 + 0.000619063476206426*G0_1_1_2_0 - 0.0231043735805679*G0_1_1_2_1 - 0.000209737352594521*G0_1_1_2_2 - 0.0345694517123147*G0_1_1_2_3 + 0.0102872788587091*G0_1_1_2_4 + 0.0171544857259172*G0_1_1_2_5 - 0.00877006591292452*G0_1_1_2_6 + 0.0449362277933781*G0_1_1_2_7 - 0.0316145230430998*G0_1_1_2_8 + 0.0103921475350064*G0_1_1_2_9 - 0.0243075443075485*G0_1_1_3_0 - 0.242743922743964*G0_1_1_3_1 - 0.0345694517123147*G0_1_1_3_2 - 0.31024213881362*G0_1_1_3_3 + 0.153796679510991*G0_1_1_3_4 - 0.000791589363018069*G0_1_1_3_5 + 0.0144160601303483*G0_1_1_3_6 + 0.082949431520874*G0_1_1_3_7 - 0.187819799248402*G0_1_1_3_8 - 0.0749878692735963*G0_1_1_3_9 + 0.0109283309283328*G0_1_1_4_0 + 0.109564086706962*G0_1_1_4_1 + 0.0102872788587091*G0_1_1_4_2 + 0.153796679510991*G0_1_1_4_3 - 0.034586366014943*G0_1_1_4_4 - 0.0227581941867695*G0_1_1_4_5 + 0.00834213405642121*G0_1_1_4_6 - 0.0888102373816809*G0_1_1_4_7 + 0.104870367727528*G0_1_1_4_8 + 0.0143399457685197*G0_1_1_4_9 + 0.0284143369857703*G0_1_1_5_0 + 0.0214930043501509*G0_1_1_5_1 + 0.0171544857259172*G0_1_1_5_2 - 0.000791589363018068*G0_1_1_5_3 - 0.0227581941867695*G0_1_1_5_4 + 0.12166119594693*G0_1_1_5_5 - 0.0622006564863811*G0_1_1_5_6 + 0.179234099234129*G0_1_1_5_7 - 0.0544522144522234*G0_1_1_5_8 + 0.109330669330688*G0_1_1_5_9 - 0.0129157614871922*G0_1_1_6_0 - 0.0014630871773732*G0_1_1_6_1 - 0.00877006591292452*G0_1_1_6_2 + 0.0144160601303483*G0_1_1_6_3 + 0.00834213405642121*G0_1_1_6_4 - 0.0622006564863811*G0_1_1_6_5 + 0.035621521335813*G0_1_1_6_6 - 0.124781884781906*G0_1_1_6_7 + 0.0446030160315948*G0_1_1_6_8 - 0.0600085628657158*G0_1_1_6_9 + 0.0980826580826746*G0_1_1_7_0 + 0.152472289615173*G0_1_1_7_1 + 0.0449362277933781*G0_1_1_7_2 + 0.082949431520874*G0_1_1_7_3 - 0.0888102373816809*G0_1_1_7_4 + 0.179234099234129*G0_1_1_7_5 - 0.124781884781906*G0_1_1_7_6 + 0.665787545787658*G0_1_1_7_7 + 0.0145987345987374*G0_1_1_7_8 + 0.249990009990052*G0_1_1_7_9 - 0.0722714322714445*G0_1_1_8_0 - 0.274854034854082*G0_1_1_8_1 - 0.0316145230430998*G0_1_1_8_2 - 0.187819799248402*G0_1_1_8_3 + 0.104870367727528*G0_1_1_8_4 - 0.0544522144522234*G0_1_1_8_5 + 0.0446030160315948*G0_1_1_8_6 + 0.0145987345987374*G0_1_1_8_7 - 0.325586794158278*G0_1_1_8_8 - 0.118829741686905*G0_1_1_8_9 - 0.000142080142080144*G0_1_1_9_0 - 0.0303036645893841*G0_1_1_9_1 + 0.0103921475350064*G0_1_1_9_2 - 0.0749878692735963*G0_1_1_9_3 + 0.0143399457685197*G0_1_1_9_4 + 0.109330669330688*G0_1_1_9_5 - 0.0600085628657158*G0_1_1_9_6 + 0.249990009990052*G0_1_1_9_7 - 0.118829741686905*G0_1_1_9_8 + 0.16988725560157*G0_1_1_9_9;
    A[89] = 0.000420602325364301*G0_0_0_0_0 + 0.00640149973483411*G0_0_0_0_2 + 0.00149945292802465*G0_0_0_0_3 - 0.0105494505494525*G0_0_0_0_4 - 0.0076647162361461*G0_0_0_0_5 + 0.024775224775229*G0_0_0_0_6 - 0.000339977482834675*G0_0_0_0_7 + 6.34286348572176e-05*G0_0_0_0_8 + 0.000837257980115245*G0_0_0_0_9 - 0.000420602325364321*G0_0_0_1_1 - 0.00640149973483421*G0_0_0_1_2 + 0.00766471623614616*G0_0_0_1_3 - 0.0247752247752291*G0_0_0_1_4 - 0.0014994529280246*G0_0_0_1_5 + 0.0105494505494523*G0_0_0_1_6 - 6.34286348572107e-05*G0_0_0_1_7 + 0.000339977482834681*G0_0_0_1_8 - 0.000837257980115282*G0_0_0_1_9 + 0.00640149973483411*G0_0_0_2_0 - 0.00640149973483421*G0_0_0_2_1 + 0.0333888333888393*G0_0_0_2_3 - 0.0966144966145137*G0_0_0_2_4 - 0.0333888333888388*G0_0_0_2_5 + 0.0966144966145126*G0_0_0_2_6 + 0.000213120213120266*G0_0_0_2_7 - 0.00021312021312023*G0_0_0_2_8 + 0.00149945292802465*G0_0_0_3_0 + 0.00766471623614616*G0_0_0_3_1 + 0.0333888333888393*G0_0_0_3_2 - 0.0274925074925124*G0_0_0_3_3 + 0.121158841158862*G0_0_0_3_4 - 0.0316483516483567*G0_0_0_3_6 - 0.00449835878407383*G0_0_0_3_7 + 0.00385899814471305*G0_0_0_3_8 + 0.0115084915084935*G0_0_0_3_9 - 0.0105494505494525*G0_0_0_4_0 - 0.0247752247752291*G0_0_0_4_1 - 0.0966144966145137*G0_0_0_4_2 + 0.121158841158862*G0_0_0_4_3 - 0.495504495504581*G0_0_0_4_4 + 0.0316483516483572*G0_0_0_4_5 + 0.0155044955044981*G0_0_0_4_7 + 0.000639360639360781*G0_0_0_4_8 - 0.0632967032967141*G0_0_0_4_9 - 0.0076647162361461*G0_0_0_5_0 - 0.0014994529280246*G0_0_0_5_1 - 0.0333888333888388*G0_0_0_5_2 + 0.0316483516483572*G0_0_0_5_4 + 0.027492507492512*G0_0_0_5_5 - 0.121158841158862*G0_0_0_5_6 - 0.0038589981447131*G0_0_0_5_7 + 0.00449835878407381*G0_0_0_5_8 - 0.0115084915084934*G0_0_0_5_9 + 0.024775224775229*G0_0_0_6_0 + 0.0105494505494523*G0_0_0_6_1 + 0.0966144966145126*G0_0_0_6_2 - 0.0316483516483567*G0_0_0_6_3 - 0.121158841158862*G0_0_0_6_5 + 0.495504495504579*G0_0_0_6_6 - 0.000639360639360687*G0_0_0_6_7 - 0.015504495504498*G0_0_0_6_8 + 0.0632967032967136*G0_0_0_6_9 - 0.000339977482834675*G0_0_0_7_0 - 6.34286348572107e-05*G0_0_0_7_1 + 0.000213120213120266*G0_0_0_7_2 - 0.00449835878407383*G0_0_0_7_3 + 0.0155044955044981*G0_0_0_7_4 - 0.0038589981447131*G0_0_0_7_5 - 0.000639360639360688*G0_0_0_7_6 - 0.0036991579848729*G0_0_0_7_7 - 0.00123305266162428*G0_0_0_7_9 + 6.34286348572176e-05*G0_0_0_8_0 + 0.000339977482834681*G0_0_0_8_1 - 0.00021312021312023*G0_0_0_8_2 + 0.00385899814471305*G0_0_0_8_3 + 0.000639360639360781*G0_0_0_8_4 + 0.00449835878407381*G0_0_0_8_5 - 0.015504495504498*G0_0_0_8_6 + 0.00369915798487285*G0_0_0_8_8 + 0.00123305266162431*G0_0_0_8_9 + 0.000837257980115245*G0_0_0_9_0 - 0.000837257980115282*G0_0_0_9_1 + 0.0115084915084935*G0_0_0_9_3 - 0.0632967032967141*G0_0_0_9_4 - 0.0115084915084934*G0_0_0_9_5 + 0.0632967032967136*G0_0_0_9_6 - 0.00123305266162428*G0_0_0_9_7 + 0.00123305266162431*G0_0_0_9_8 - 0.00249204058727912*G0_0_1_0_0 - 0.00204606680797193*G0_0_1_0_1 - 0.00900038233371722*G0_0_1_0_2 + 0.00926058068915372*G0_0_1_0_3 - 0.0255845741560072*G0_0_1_0_4 + 0.00812140240711809*G0_0_1_0_5 - 0.01460634603492*G0_0_1_0_6 + 0.000994560994561167*G0_0_1_0_7 + 0.00127618413332721*G0_0_1_0_8 - 0.00866181437610158*G0_0_1_0_9 - 0.00204606680797193*G0_0_1_1_0 - 0.00291264291264341*G0_0_1_1_1 - 0.0154018820685514*G0_0_1_1_2 + 0.0157861186432642*G0_0_1_1_3 - 0.039381570810149*G0_0_1_1_4 + 0.00776112776112909*G0_0_1_1_5 - 0.0150351236065548*G0_0_1_1_6 + 0.00121275549846998*G0_0_1_1_7 + 0.00133453847739586*G0_0_1_1_8 - 0.00949907235621683*G0_0_1_1_9 - 0.00900038233371722*G0_0_1_2_0 - 0.0154018820685514*G0_0_1_2_1 - 0.133358000024689*G0_0_1_2_2 + 0.0715373515373637*G0_0_1_2_3 - 0.1712065712066*G0_0_1_2_4 + 0.0381485181485246*G0_0_1_2_5 - 0.0745920745920872*G0_0_1_2_6 + 0.00360528360528421*G0_0_1_2_7 + 0.00339216339216396*G0_0_1_2_8 - 0.0230169830169869*G0_0_1_2_9 + 0.00926058068915372*G0_0_1_3_0 + 0.0157861186432642*G0_0_1_3_1 + 0.0715373515373637*G0_0_1_3_2 - 0.0626801769659019*G0_0_1_3_3 + 0.181738261738293*G0_0_1_3_4 - 0.0358270301127505*G0_0_1_3_5 + 0.0656943056943168*G0_0_1_3_6 - 0.0071928071928084*G0_0_1_3_7 - 0.00321963750535231*G0_0_1_3_8 + 0.0428828314542673*G0_0_1_3_9 - 0.0255845741560072*G0_0_1_4_0 - 0.039381570810149*G0_0_1_4_1 - 0.1712065712066*G0_0_1_4_2 + 0.181738261738293*G0_0_1_4_3 - 0.616183816183921*G0_0_1_4_4 + 0.0973426573426739*G0_0_1_4_5 - 0.163036963036991*G0_0_1_4_6 + 0.0226744683887579*G0_0_1_4_7 + 0.0104124446981607*G0_0_1_4_8 - 0.125634365634387*G0_0_1_4_9 + 0.00812140240711809*G0_0_1_5_0 + 0.00776112776112909*G0_0_1_5_1 + 0.0381485181485246*G0_0_1_5_2 - 0.0358270301127505*G0_0_1_5_3 + 0.0973426573426739*G0_0_1_5_4 - 0.0351876694733898*G0_0_1_5_5 + 0.0605794205794308*G0_0_1_5_6 - 0.00707863565006542*G0_0_1_5_7 - 0.00269444840873456*G0_0_1_5_8 + 0.0313743399457738*G0_0_1_5_9 - 0.01460634603492*G0_0_1_6_0 - 0.0150351236065548*G0_0_1_6_1 - 0.0745920745920872*G0_0_1_6_2 + 0.0656943056943168*G0_0_1_6_3 - 0.163036963036991*G0_0_1_6_4 + 0.0605794205794308*G0_0_1_6_5 - 0.120679320679341*G0_0_1_6_6 + 0.00977308405879999*G0_0_1_6_7 + 0.00716997288425979*G0_0_1_6_8 - 0.0623376623376729*G0_0_1_6_9 + 0.000994560994561166*G0_0_1_7_0 + 0.00121275549846998*G0_0_1_7_1 + 0.00360528360528421*G0_0_1_7_2 - 0.0071928071928084*G0_0_1_7_3 + 0.0226744683887579*G0_0_1_7_4 - 0.00707863565006542*G0_0_1_7_5 + 0.00977308405879999*G0_0_1_7_6 - 0.00970458113315405*G0_0_1_7_7 - 0.000867703724846723*G0_0_1_7_8 + 0.00643927501070466*G0_0_1_7_9 + 0.00127618413332721*G0_0_1_8_0 + 0.00133453847739586*G0_0_1_8_1 + 0.00339216339216396*G0_0_1_8_2 - 0.00321963750535231*G0_0_1_8_3 + 0.0104124446981607*G0_0_1_8_4 - 0.00269444840873456*G0_0_1_8_5 + 0.00716997288425979*G0_0_1_8_6 - 0.000867703724846723*G0_0_1_8_7 - 0.00600542314828106*G0_0_1_8_8 + 0.00767232767232902*G0_0_1_8_9 - 0.00866181437610158*G0_0_1_9_0 - 0.00949907235621683*G0_0_1_9_1 - 0.0230169830169869*G0_0_1_9_2 + 0.0428828314542673*G0_0_1_9_3 - 0.125634365634387*G0_0_1_9_4 + 0.0313743399457738*G0_0_1_9_5 - 0.0623376623376729*G0_0_1_9_6 + 0.00643927501070466*G0_0_1_9_7 + 0.00767232767232902*G0_0_1_9_8 - 0.0780933352362056*G0_0_1_9_9 - 0.00197220768649375*G0_1_0_0_0 - 0.000323908895337526*G0_1_0_0_1 - 0.000106560106560146*G0_1_0_0_2 + 0.00291264291264343*G0_1_0_0_3 - 0.0338810395953312*G0_1_0_0_4 + 0.0044856730571024*G0_1_0_0_5 - 0.00208299636871102*G0_1_0_0_6 + 0.00223015080157975*G0_1_0_0_7 + 0.000829646543932415*G0_1_0_0_8 - 0.0141116026830337*G0_1_0_0_9 - 0.000323908895337527*G0_1_0_1_0 + 0.00376512376512446*G0_1_0_1_1 - 0.00750064750064881*G0_1_0_1_2 + 0.0134417962989415*G0_1_0_1_3 - 0.0263964606821796*G0_1_0_1_4 + 0.0024026766883914*G0_1_0_1_5 + 0.00208299636871099*G0_1_0_1_6 - 0.00135990993133875*G0_1_0_1_7 + 0.00431822146107938*G0_1_0_1_8 + 0.000334903192046096*G0_1_0_1_9 - 0.000106560106560146*G0_1_0_2_0 - 0.00750064750064881*G0_1_0_2_1 - 0.0337440337440397*G0_1_0_2_2 + 0.038326118326125*G0_1_0_2_3 - 0.079209679209693*G0_1_0_2_4 + 0.000319680319680421*G0_1_0_2_5 - 0.00065712065712077*G0_1_0_2_7 + 0.00163392163392191*G0_1_0_2_8 - 0.00063936063936078*G0_1_0_2_9 + 0.00291264291264343*G0_1_0_3_0 + 0.0134417962989415*G0_1_0_3_1 + 0.038326118326125*G0_1_0_3_2 - 0.0758327386898944*G0_1_0_3_3 + 0.116523476523496*G0_1_0_3_4 - 0.0115769944341393*G0_1_0_3_5 + 0.000959040959041214*G0_1_0_3_6 - 0.00152989867275608*G0_1_0_3_7 - 0.000776366490652322*G0_1_0_3_8 + 0.00205508776937382*G0_1_0_3_9 - 0.0338810395953312*G0_1_0_4_0 - 0.0263964606821796*G0_1_0_4_1 - 0.079209679209693*G0_1_0_4_2 + 0.116523476523496*G0_1_0_4_3 - 0.988291708291877*G0_1_0_4_4 + 0.108851148851167*G0_1_0_4_5 - 0.109810189810209*G0_1_0_4_6 + 0.0482032253460907*G0_1_0_4_7 + 0.00230626516340843*G0_1_0_4_8 - 0.215784215784252*G0_1_0_4_9 + 0.0044856730571024*G0_1_0_5_0 + 0.0024026766883914*G0_1_0_5_1 + 0.000319680319680421*G0_1_0_5_2 - 0.0115769944341393*G0_1_0_5_3 + 0.108851148851167*G0_1_0_5_4 - 0.0106179534750981*G0_1_0_5_5 - 0.000959040959041005*G0_1_0_5_6 - 0.00917939203653646*G0_1_0_5_7 + 0.042334808049101*G0_1_0_5_9 - 0.00208299636871102*G0_1_0_6_0 + 0.002082996368711*G0_1_0_6_1 + 0.000959040959041202*G0_1_0_6_3 - 0.109810189810209*G0_1_0_6_4 - 0.000959040959041005*G0_1_0_6_5 + 0.109810189810209*G0_1_0_6_6 + 0.00917939203653649*G0_1_0_6_7 - 0.00917939203653644*G0_1_0_6_8 + 0.00223015080157975*G0_1_0_7_0 - 0.00135990993133875*G0_1_0_7_1 - 0.00065712065712077*G0_1_0_7_2 - 0.00152989867275608*G0_1_0_7_3 + 0.0482032253460907*G0_1_0_7_4 - 0.00917939203653646*G0_1_0_7_5 + 0.00917939203653649*G0_1_0_7_6 - 0.00742115027829452*G0_1_0_7_7 - 0.00248893963179723*G0_1_0_7_8 + 0.023976023976028*G0_1_0_7_9 + 0.000829646543932415*G0_1_0_8_0 + 0.00431822146107938*G0_1_0_8_1 + 0.00163392163392191*G0_1_0_8_2 - 0.000776366490652322*G0_1_0_8_3 + 0.00230626516340843*G0_1_0_8_4 - 0.00917939203653644*G0_1_0_8_6 - 0.00248893963179723*G0_1_0_8_7 + 0.0131297274154439*G0_1_0_8_8 - 0.00561723990295513*G0_1_0_8_9 - 0.0141116026830337*G0_1_0_9_0 + 0.000334903192046095*G0_1_0_9_1 - 0.00063936063936078*G0_1_0_9_2 + 0.00205508776937382*G0_1_0_9_3 - 0.215784215784252*G0_1_0_9_4 + 0.042334808049101*G0_1_0_9_5 + 0.023976023976028*G0_1_0_9_7 - 0.00561723990295513*G0_1_0_9_8 - 0.0846696160982018*G0_1_0_9_9 - 0.00571365142793813*G0_1_1_0_0 - 0.00365518079803858*G0_1_1_0_1 - 0.0045567131281425*G0_1_1_0_2 + 0.00293294007579774*G0_1_1_0_3 - 0.0386940044082968*G0_1_1_0_4 + 0.0107980907980926*G0_1_1_0_5 - 0.0144490430204741*G0_1_1_0_6 + 0.00714206428492262*G0_1_1_0_7 - 0.00246356817785434*G0_1_1_0_8 - 0.0170648399219857*G0_1_1_0_9 - 0.00365518079803858*G0_1_1_1_0 - 0.0133081733081757*G0_1_1_1_1 - 0.0111076225361959*G0_1_1_1_2 + 0.0167654567654596*G0_1_1_1_3 - 0.0365754880040657*G0_1_1_1_4 + 0.00605362891077282*G0_1_1_1_5 - 0.0123660466517631*G0_1_1_1_6 + 0.00874807731950739*G0_1_1_1_7 - 0.0112243312243332*G0_1_1_1_8 - 0.00243565957851717*G0_1_1_1_9 - 0.0045567131281425*G0_1_1_2_0 - 0.0111076225361959*G0_1_1_2_1 - 0.0595552595552697*G0_1_1_2_2 + 0.0485381285381368*G0_1_1_2_3 - 0.111834831834851*G0_1_1_2_4 + 0.0176356976357006*G0_1_1_2_5 - 0.0349517149517209*G0_1_1_2_6 + 4.82057624914855e-05*G0_1_1_2_7 - 0.0040086897229761*G0_1_1_2_8 - 0.02568098568099*G0_1_1_2_9 + 0.00293294007579774*G0_1_1_3_0 + 0.0167654567654596*G0_1_1_3_1 + 0.0485381285381368*G0_1_1_3_2 - 0.145317539603278*G0_1_1_3_3 + 0.182948480091368*G0_1_1_3_4 - 0.024775224775229*G0_1_1_3_5 + 0.0596888825460355*G0_1_1_3_6 + 0.0137919223633533*G0_1_1_3_7 - 0.0484087341230279*G0_1_1_3_8 - 0.0202768659911551*G0_1_1_3_9 - 0.0386940044082968*G0_1_1_4_0 - 0.0365754880040657*G0_1_1_4_1 - 0.111834831834851*G0_1_1_4_2 + 0.182948480091368*G0_1_1_4_3 - 1.0555844155846*G0_1_1_4_4 + 0.138672755815636*G0_1_1_4_5 - 0.198361638361672*G0_1_1_4_6 + 0.0466733266733345*G0_1_1_4_7 + 0.0346168117596747*G0_1_1_4_8 - 0.200302554588303*G0_1_1_4_9 + 0.0107980907980926*G0_1_1_5_0 + 0.00605362891077282*G0_1_1_5_1 + 0.0176356976357006*G0_1_1_5_2 - 0.024775224775229*G0_1_1_5_3 + 0.138672755815636*G0_1_1_5_4 - 0.0455316112459046*G0_1_1_5_5 + 0.0587298415869944*G0_1_1_5_6 - 0.0268759811616999*G0_1_1_5_7 + 0.00442985585842804*G0_1_1_5_8 + 0.042334808049101*G0_1_1_5_9 - 0.0144490430204741*G0_1_1_6_0 - 0.0123660466517631*G0_1_1_6_1 - 0.0349517149517209*G0_1_1_6_2 + 0.0596888825460355*G0_1_1_6_3 - 0.198361638361672*G0_1_1_6_4 + 0.0587298415869944*G0_1_1_6_5 - 0.0885514485514636*G0_1_1_6_6 + 0.0224461253032719*G0_1_1_6_7 + 0.0132667332667355*G0_1_1_6_8 - 0.042334808049101*G0_1_1_6_9 + 0.00714206428492262*G0_1_1_7_0 + 0.00874807731950739*G0_1_1_7_1 + 4.82057624914851e-05*G0_1_1_7_2 + 0.0137919223633533*G0_1_1_7_3 + 0.0466733266733345*G0_1_1_7_4 - 0.0268759811616999*G0_1_1_7_5 + 0.0224461253032719*G0_1_1_7_6 - 0.119012416155293*G0_1_1_7_7 + 0.01580134151563*G0_1_1_7_8 + 0.00630226915941309*G0_1_1_7_9 - 0.00246356817785434*G0_1_1_8_0 - 0.0112243312243332*G0_1_1_8_1 - 0.0040086897229761*G0_1_1_8_2 - 0.0484087341230279*G0_1_1_8_3 + 0.0346168117596747*G0_1_1_8_4 + 0.00442985585842804*G0_1_1_8_5 + 0.0132667332667355*G0_1_1_8_6 + 0.01580134151563*G0_1_1_8_7 - 0.214368488654239*G0_1_1_8_8 - 0.0619266447837981*G0_1_1_8_9 - 0.0170648399219857*G0_1_1_9_0 - 0.00243565957851717*G0_1_1_9_1 - 0.02568098568099*G0_1_1_9_2 - 0.0202768659911551*G0_1_1_9_3 - 0.200302554588303*G0_1_1_9_4 + 0.042334808049101*G0_1_1_9_5 - 0.042334808049101*G0_1_1_9_6 + 0.0063022691594131*G0_1_1_9_7 - 0.0619266447837981*G0_1_1_9_8 - 0.299220779220829*G0_1_1_9_9;
    A[195] = A[181] + 0.0250297850297893*G0_0_0_0_0 + 0.00250842631795056*G0_0_0_0_2 - 0.00395223823795321*G0_0_0_0_3 + 0.000271157414014602*G0_0_0_0_4 + 0.0324307438593209*G0_0_0_0_5 - 0.013543282114713*G0_0_0_0_6 + 0.00663685520828493*G0_0_0_0_7 - 0.0044882102024967*G0_0_0_0_8 - 0.00266780838209453*G0_0_0_0_9 - 0.0250297850297895*G0_0_0_1_1 - 0.00250842631795056*G0_0_0_1_2 - 0.0324307438593209*G0_0_0_1_3 + 0.013543282114713*G0_0_0_1_4 + 0.00395223823795318*G0_0_0_1_5 - 0.000271157414014599*G0_0_0_1_6 + 0.00448821020249673*G0_0_0_1_7 - 0.006636855208285*G0_0_0_1_8 + 0.00266780838209451*G0_0_0_1_9 + 0.00250842631795056*G0_0_0_2_0 - 0.00250842631795056*G0_0_0_2_1 - 0.0069035726178595*G0_0_0_2_3 + 0.00423956995385636*G0_0_0_2_4 + 0.00690357261785951*G0_0_0_2_5 - 0.00423956995385638*G0_0_0_2_6 + 0.00233956519670845*G0_0_0_2_7 - 0.00233956519670846*G0_0_0_2_8 - 0.00395223823795321*G0_0_0_3_0 - 0.0324307438593209*G0_0_0_3_1 - 0.0069035726178595*G0_0_0_3_2 - 0.147315541601281*G0_0_0_3_3 + 0.0278892536035441*G0_0_0_3_4 + 0.000813472242043821*G0_0_0_3_6 + 0.0118567147138596*G0_0_0_3_7 - 0.018875410303985*G0_0_0_3_8 - 0.0317168545740028*G0_0_0_3_9 + 0.000271157414014602*G0_0_0_4_0 + 0.013543282114713*G0_0_0_4_1 + 0.00423956995385636*G0_0_0_4_2 + 0.0278892536035441*G0_0_0_4_3 - 0.0295418866847488*G0_0_0_4_4 - 0.000813472242043812*G0_0_0_4_5 - 0.00391608391608459*G0_0_0_4_7 + 0.00701869559012539*G0_0_0_4_8 + 0.00162694448408762*G0_0_0_4_9 + 0.0324307438593209*G0_0_0_5_0 + 0.00395223823795318*G0_0_0_5_1 + 0.00690357261785951*G0_0_0_5_2 - 0.000813472242043812*G0_0_0_5_4 + 0.147315541601281*G0_0_0_5_5 - 0.027889253603544*G0_0_0_5_6 + 0.0188754103039849*G0_0_0_5_7 - 0.0118567147138595*G0_0_0_5_8 + 0.0317168545740028*G0_0_0_5_9 - 0.013543282114713*G0_0_0_6_0 - 0.000271157414014599*G0_0_0_6_1 - 0.00423956995385638*G0_0_0_6_2 + 0.000813472242043821*G0_0_0_6_3 - 0.027889253603544*G0_0_0_6_5 + 0.0295418866847488*G0_0_0_6_6 - 0.00701869559012533*G0_0_0_6_7 + 0.00391608391608459*G0_0_0_6_8 - 0.00162694448408764*G0_0_0_6_9 + 0.00663685520828493*G0_0_0_7_0 + 0.00448821020249673*G0_0_0_7_1 + 0.00233956519670845*G0_0_0_7_2 + 0.0118567147138596*G0_0_0_7_3 - 0.00391608391608459*G0_0_0_7_4 + 0.0188754103039849*G0_0_0_7_5 - 0.00701869559012533*G0_0_0_7_6 + 0.0042643071214507*G0_0_0_7_7 + 0.0220408163265343*G0_0_0_7_9 - 0.0044882102024967*G0_0_0_8_0 - 0.006636855208285*G0_0_0_8_1 - 0.00233956519670846*G0_0_0_8_2 - 0.018875410303985*G0_0_0_8_3 + 0.00701869559012539*G0_0_0_8_4 - 0.0118567147138595*G0_0_0_8_5 + 0.00391608391608459*G0_0_0_8_6 - 0.0042643071214508*G0_0_0_8_8 - 0.0220408163265344*G0_0_0_8_9 - 0.00266780838209453*G0_0_0_9_0 + 0.00266780838209451*G0_0_0_9_1 - 0.0317168545740028*G0_0_0_9_3 + 0.00162694448408762*G0_0_0_9_4 + 0.0317168545740028*G0_0_0_9_5 - 0.00162694448408764*G0_0_0_9_6 + 0.0220408163265343*G0_0_0_9_7 - 0.0220408163265344*G0_0_0_9_8 + 0.0166006832673528*G0_0_1_0_0 + 0.000395865157769986*G0_0_1_0_1 + 0.00175593366069587*G0_0_1_0_2 - 0.00237381665953135*G0_0_1_0_3 - 0.000593216307502128*G0_0_1_0_4 + 0.0206160506160541*G0_0_1_0_5 - 0.00732600732600858*G0_0_1_0_6 + 0.00437007437007513*G0_0_1_0_7 - 0.00293928293928344*G0_0_1_0_8 - 0.00254412254412297*G0_0_1_0_9 + 0.000395865157769986*G0_0_1_1_0 - 0.00842910176243652*G0_0_1_1_1 - 0.000752492657254687*G0_0_1_1_2 - 0.0118146932432667*G0_0_1_1_3 + 0.0062172747887044*G0_0_1_1_4 + 0.00157842157842184*G0_0_1_1_5 - 0.000864373721516725*G0_0_1_1_6 + 0.00154892726321325*G0_0_1_1_7 - 0.0022667808382098*G0_0_1_1_8 + 0.000123685837971563*G0_0_1_1_9 + 0.00175593366069587*G0_0_1_2_0 - 0.000752492657254687*G0_0_1_2_1 + 0.00152736152736176*G0_0_1_2_2 - 0.00327418613132953*G0_0_1_2_3 + 0.00538762824477199*G0_0_1_2_4 + 0.00362938648652996*G0_0_1_2_5 + 0.00114805829091562*G0_0_1_2_6 + 0.00142286285143452*G0_0_1_2_7 - 0.000916702345273927*G0_0_1_2_8 + 0.00415584415584486*G0_0_1_2_9 - 0.00237381665953135*G0_0_1_3_0 - 0.0118146932432667*G0_0_1_3_1 - 0.00327418613132953*G0_0_1_3_2 - 0.101121735407467*G0_0_1_3_3 + 0.00439417725132085*G0_0_1_3_4 + 0.00162694448408759*G0_0_1_3_5 + 0.00172541743970345*G0_0_1_3_6 + 0.0062537462537473*G0_0_1_3_7 - 0.00813614956472234*G0_0_1_3_8 - 0.0128785500214093*G0_0_1_3_9 - 0.000593216307502128*G0_0_1_4_0 + 0.0062172747887044*G0_0_1_4_1 + 0.00538762824477199*G0_0_1_4_2 + 0.00439417725132085*G0_0_1_4_3 - 0.0190466676180994*G0_0_1_4_4 + 0.00091194519765964*G0_0_1_4_5 - 0.00263736263736309*G0_0_1_4_6 - 0.000810617953475235*G0_0_1_4_7 + 0.00188240331097505*G0_0_1_4_8 - 0.0142914228628539*G0_0_1_4_9 + 0.0206160506160541*G0_0_1_5_0 + 0.00157842157842184*G0_0_1_5_1 + 0.00362938648652996*G0_0_1_5_2 + 0.00162694448408759*G0_0_1_5_3 + 0.00091194519765964*G0_0_1_5_4 + 0.0461938061938139*G0_0_1_5_5 - 0.0234950763522232*G0_0_1_5_6 + 0.0107392607392626*G0_0_1_5_7 - 0.00560296846011226*G0_0_1_5_8 + 0.0188383045525935*G0_0_1_5_9 - 0.00732600732600858*G0_0_1_6_0 - 0.000864373721516725*G0_0_1_6_1 + 0.00114805829091562*G0_0_1_6_2 + 0.00172541743970345*G0_0_1_6_3 - 0.00263736263736309*G0_0_1_6_4 - 0.0234950763522232*G0_0_1_6_5 + 0.0104952190666494*G0_0_1_6_6 - 0.00513629227915029*G0_0_1_6_7 + 0.00310546596260935*G0_0_1_6_8 - 0.0159183673469415*G0_0_1_6_9 + 0.00437007437007513*G0_0_1_7_0 + 0.00154892726321325*G0_0_1_7_1 + 0.00142286285143452*G0_0_1_7_2 + 0.0062537462537473*G0_0_1_7_3 - 0.000810617953475235*G0_0_1_7_4 + 0.0107392607392625*G0_0_1_7_5 - 0.00513629227915029*G0_0_1_7_6 + 0.00645354645354762*G0_0_1_7_7 - 0.000610817753675026*G0_0_1_7_8 + 0.0179049521906695*G0_0_1_7_9 - 0.00293928293928344*G0_0_1_8_0 - 0.0022667808382098*G0_0_1_8_1 - 0.000916702345273927*G0_0_1_8_2 - 0.00813614956472234*G0_0_1_8_3 + 0.00188240331097505*G0_0_1_8_4 - 0.00560296846011226*G0_0_1_8_5 + 0.00310546596260935*G0_0_1_8_6 - 0.000610817753675026*G0_0_1_8_7 + 0.00218923933209688*G0_0_1_8_8 - 0.00413586413586482*G0_0_1_8_9 - 0.00254412254412297*G0_0_1_9_0 + 0.000123685837971563*G0_0_1_9_1 + 0.00415584415584486*G0_0_1_9_2 - 0.0128785500214093*G0_0_1_9_3 - 0.0142914228628539*G0_0_1_9_4 + 0.0188383045525935*G0_0_1_9_5 - 0.0159183673469415*G0_0_1_9_6 + 0.0179049521906695*G0_0_1_9_7 - 0.00413586413586482*G0_0_1_9_8 - 0.0203453689168008*G0_0_1_9_9 + 0.0189736189736219*G0_1_0_0_0 + 0.00199895342752518*G0_1_0_0_1 + 0.000901884711408657*G0_1_0_0_2 - 0.00300620014905782*G0_1_0_0_3 + 0.000187748759177369*G0_1_0_0_4 + 0.0105948020233751*G0_1_0_0_5 - 0.00453768453768524*G0_1_0_0_6 + 0.0109791795506099*G0_1_0_0_7 - 0.00745286459572295*G0_1_0_0_8 + 0.000117977260834418*G0_1_0_0_9 + 0.00199895342752518*G0_1_0_1_0 - 0.00605616605616715*G0_1_0_1_1 - 0.00160654160654188*G0_1_0_1_2 - 0.0218359418359456*G0_1_0_1_3 + 0.00900559757702768*G0_1_0_1_4 + 0.000946038088895379*G0_1_0_1_5 - 0.0029646543932263*G0_1_0_1_7 + 0.00434232434232503*G0_1_0_1_8 + 0.00278578564292895*G0_1_0_1_9 + 0.000901884711408657*G0_1_0_2_0 - 0.00160654160654188*G0_1_0_2_1 + 0.00207341159722145*G0_1_0_2_2 - 0.00528487385630332*G0_1_0_2_3 + 0.00355105212248127*G0_1_0_2_4 + 0.00161869876155617*G0_1_0_2_5 - 0.000688517831375091*G0_1_0_2_6 + 0.00126857269714434*G0_1_0_2_7 - 0.00107099249956411*G0_1_0_2_8 - 0.00327672327672384*G0_1_0_2_9 - 0.00300620014905782*G0_1_0_3_0 - 0.0218359418359456*G0_1_0_3_1 - 0.00528487385630332*G0_1_0_3_2 - 0.133169687455424*G0_1_0_3_3 + 0.0206793206793242*G0_1_0_3_4 + 0.00299700299700348*G0_1_0_3_5 + 0.000436706150991938*G0_1_0_3_6 + 0.00920508063365364*G0_1_0_3_7 - 0.0126045383188262*G0_1_0_3_8 - 0.0267675181960942*G0_1_0_3_9 + 0.000187748759177369*G0_1_0_4_0 + 0.00900559757702768*G0_1_0_4_1 + 0.00355105212248127*G0_1_0_4_2 + 0.0206793206793242*G0_1_0_4_3 - 0.0311859569002479*G0_1_0_4_4 - 0.000376766091051871*G0_1_0_4_5 - 0.00227772227772268*G0_1_0_4_7 + 0.00339945768517257*G0_1_0_4_8 + 0.0105837020122753*G0_1_0_4_9 + 0.0105948020233751*G0_1_0_5_0 + 0.00094603808889538*G0_1_0_5_1 + 0.00161869876155617*G0_1_0_5_2 + 0.00299700299700348*G0_1_0_5_3 - 0.000376766091051871*G0_1_0_5_4 + 0.0141458541458564*G0_1_0_5_5 - 0.00720993292421979*G0_1_0_5_6 + 0.00627087198515869*G0_1_0_5_7 - 0.00265163408020592*G0_1_0_5_8 + 0.00494933637790861*G0_1_0_5_9 - 0.00453768453768524*G0_1_0_6_0 - 0.000688517831375091*G0_1_0_6_2 + 0.000436706150991938*G0_1_0_6_3 - 0.00720993292421979*G0_1_0_6_5 - 0.00164407021549905*G0_1_0_6_6 - 0.00361923790495277*G0_1_0_6_7 + 0.0016383616383619*G0_1_0_6_8 + 0.00895675752818764*G0_1_0_6_9 + 0.0109791795506099*G0_1_0_7_0 - 0.0029646543932263*G0_1_0_7_1 + 0.00126857269714434*G0_1_0_7_2 + 0.00920508063365364*G0_1_0_7_3 - 0.00227772227772268*G0_1_0_7_4 + 0.00627087198515869*G0_1_0_7_5 - 0.00361923790495277*G0_1_0_7_6 + 0.0017639503353791*G0_1_0_7_7 + 0.00816041101755533*G0_1_0_7_8 + 0.00688454402740234*G0_1_0_7_9 - 0.00745286459572295*G0_1_0_8_0 + 0.00434232434232503*G0_1_0_8_1 - 0.00107099249956411*G0_1_0_8_2 - 0.0126045383188262*G0_1_0_8_3 + 0.00339945768517257*G0_1_0_8_4 - 0.00265163408020592*G0_1_0_8_5 + 0.0016383616383619*G0_1_0_8_6 + 0.00816041101755533*G0_1_0_8_7 - 0.00250035678607162*G0_1_0_8_8 - 0.015156272299132*G0_1_0_8_9 + 0.000117977260834418*G0_1_0_9_0 + 0.00278578564292895*G0_1_0_9_1 - 0.00327672327672384*G0_1_0_9_2 - 0.0267675181960942*G0_1_0_9_3 + 0.0105837020122753*G0_1_0_9_4 + 0.00494933637790861*G0_1_0_9_5 + 0.00895675752818764*G0_1_0_9_6 + 0.00688454402740234*G0_1_0_9_7 - 0.015156272299132*G0_1_0_9_8 + 0.0330869130869186*G0_1_0_9_9 + 0.0166006832673525*G0_1_1_0_0 + 0.00119740929264758*G0_1_1_0_1 + 0.000958829530258251*G0_1_1_0_2 - 0.00287220715792193*G0_1_1_0_3 + 0.00964923964924114*G0_1_1_0_5 - 0.00457320457320528*G0_1_1_0_6 + 0.0153368853368878*G0_1_1_0_7 - 0.00968808968809127*G0_1_1_0_8 + 0.0014518814518817*G0_1_1_0_9 + 0.00119740929264758*G0_1_1_1_0 - 0.00605616605616706*G0_1_1_1_1 - 0.000809437476104277*G0_1_1_1_2 - 0.0108691308691327*G0_1_1_1_3 + 0.00625279482422443*G0_1_1_1_4 + 0.00144442858728597*G0_1_1_1_5 - 0.000577359148787815*G0_1_1_1_6 + 0.00378415235558155*G0_1_1_1_7 - 0.00662448662448772*G0_1_1_1_8 - 0.00121021835307571*G0_1_1_1_9 + 0.00095882953025825*G0_1_1_2_0 - 0.000809437476104277*G0_1_1_2_1 + 0.00180038656229161*G0_1_1_2_2 - 0.00305789448646642*G0_1_1_2_3 + 0.00497930640787866*G0_1_1_2_4 + 0.00140240711669306*G0_1_1_2_5 - 0.00028019599448175*G0_1_1_2_6 + 0.00266749123892025*G0_1_1_2_7 - 0.00231562088704983*G0_1_1_2_8 + 0.000439560439560517*G0_1_1_2_9 - 0.00287220715792193*G0_1_1_3_0 - 0.0108691308691327*G0_1_1_3_1 - 0.00305789448646642*G0_1_1_3_2 - 0.101421435707167*G0_1_1_3_3 + 0.00336663336663392*G0_1_1_3_4 + 0.00231197374054554*G0_1_1_3_5 + 0.00139146567718019*G0_1_1_3_6 + 0.00827600970458249*G0_1_1_3_7 - 0.0148822605965487*G0_1_1_3_8 - 0.0129213643499379*G0_1_1_3_9 + 0.00625279482422443*G0_1_1_4_1 + 0.00497930640787866*G0_1_1_4_2 + 0.00336663336663391*G0_1_1_4_3 - 0.0208020550877728*G0_1_1_4_4 - 0.00134865134865157*G0_1_1_4_6 - 0.00368203225346144*G0_1_1_4_7 + 0.00660625089196626*G0_1_1_4_8 - 0.0012330526616243*G0_1_1_4_9 + 0.00964923964924114*G0_1_1_5_0 + 0.00144442858728597*G0_1_1_5_1 + 0.00140240711669306*G0_1_1_5_2 + 0.00231197374054554*G0_1_1_5_3 + 0.0144455544455567*G0_1_1_5_5 - 0.00618238903953289*G0_1_1_5_6 + 0.0130169830169851*G0_1_1_5_7 - 0.00467389753104114*G0_1_1_5_8 + 0.00499215070643723*G0_1_1_5_9 - 0.00457320457320528*G0_1_1_6_0 - 0.000577359148787815*G0_1_1_6_1 - 0.000280195994481751*G0_1_1_6_2 + 0.00139146567718019*G0_1_1_6_3 - 0.00134865134865157*G0_1_1_6_4 - 0.00618238903953289*G0_1_1_6_5 + 0.000111317254174409*G0_1_1_6_6 - 0.008343085485944*G0_1_1_6_7 + 0.0045097759383481*G0_1_1_6_8 - 0.00410161267304194*G0_1_1_6_9 + 0.0153368853368878*G0_1_1_7_0 + 0.00378415235558155*G0_1_1_7_1 + 0.00266749123892025*G0_1_1_7_2 + 0.00827600970458249*G0_1_1_7_3 - 0.00368203225346144*G0_1_1_7_4 + 0.0130169830169851*G0_1_1_7_5 - 0.008343085485944*G0_1_1_7_6 + 0.0336463536463593*G0_1_1_7_7 + 0.0037747966319401*G0_1_1_7_8 + 0.012330526616243*G0_1_1_7_9 - 0.00968808968809127*G0_1_1_8_0 - 0.00662448662448772*G0_1_1_8_1 - 0.00231562088704983*G0_1_1_8_2 - 0.0148822605965487*G0_1_1_8_3 + 0.00660625089196626*G0_1_1_8_4 - 0.00467389753104114*G0_1_1_8_5 + 0.0045097759383481*G0_1_1_8_6 + 0.0037747966319401*G0_1_1_8_7 - 0.0296931639788831*G0_1_1_8_8 - 0.00958184672470544*G0_1_1_8_9 + 0.0014518814518817*G0_1_1_9_0 - 0.00121021835307571*G0_1_1_9_1 + 0.000439560439560517*G0_1_1_9_2 - 0.0129213643499379*G0_1_1_9_3 - 0.0012330526616243*G0_1_1_9_4 + 0.00499215070643723*G0_1_1_9_5 - 0.00410161267304194*G0_1_1_9_6 + 0.012330526616243*G0_1_1_9_7 - 0.00958184672470544*G0_1_1_9_8 + 0.00637077208505897*G0_1_1_9_9;
    A[14] = A[195] + 0.000562964372488289*G0_0_0_0_1 - 0.000558524368048272*G0_0_0_0_2 + 0.00227455084597981*G0_0_0_0_3 - 0.00227899085041982*G0_0_0_0_4 - 0.00527916527916617*G0_0_0_0_5 - 0.00236208236208278*G0_0_0_0_6 + 0.00527916527916626*G0_0_0_0_7 - 0.00163392163392195*G0_0_0_0_8 + 0.00399600399600469*G0_0_0_0_9 + 0.000562964372488289*G0_0_0_1_0 + 0.0102294883247282*G0_0_0_1_1 + 0.0167939996511453*G0_0_0_1_3 - 0.00927516927517084*G0_0_0_1_4 + 0.00108906966049842*G0_0_0_1_5 - 0.00145124716553312*G0_0_0_1_6 - 0.000146520146520166*G0_0_0_1_7 + 0.00198658484372804*G0_0_0_1_8 + 0.000315874601588955*G0_0_0_1_9 - 0.000558524368048272*G0_0_0_2_0 - 0.00758352758352889*G0_0_0_2_2 + 0.00952698095555399*G0_0_0_2_3 - 0.0162567591139047*G0_0_0_2_4 + 0.000154765869051604*G0_0_0_2_5 - 0.00777254491540338*G0_0_0_2_6 + 0.000339343196486109*G0_0_0_2_8 - 0.00536606250892056*G0_0_0_2_9 + 0.00227455084597981*G0_0_0_3_0 + 0.0167939996511453*G0_0_0_3_1 + 0.00952698095555399*G0_0_0_3_2 + 0.0803196803196938*G0_0_0_3_3 - 0.00102754388468689*G0_0_0_3_4 - 0.00530897673754905*G0_0_0_3_5 + 0.00488083345226282*G0_0_0_3_6 - 0.00629656058227593*G0_0_0_3_7 + 0.0067874982160708*G0_0_0_3_8 + 0.011645497359785*G0_0_0_3_9 - 0.00227899085041982*G0_0_0_4_0 - 0.00927516927517084*G0_0_0_4_1 - 0.0162567591139047*G0_0_0_4_2 - 0.00102754388468689*G0_0_0_4_3 - 0.0823747680890677*G0_0_0_4_4 + 0.00736406450692287*G0_0_0_4_5 - 0.0122448979591857*G0_0_0_4_6 + 0.00312259169402078*G0_0_0_4_7 - 0.000490937633794865*G0_0_0_4_8 + 0.00137005851291595*G0_0_0_4_9 - 0.00527916527916617*G0_0_0_5_0 + 0.00108906966049842*G0_0_0_5_1 + 0.000154765869051604*G0_0_0_5_2 - 0.00530897673754904*G0_0_0_5_3 + 0.00736406450692288*G0_0_0_5_4 - 0.0125474525474546*G0_0_0_5_5 + 0.0272698729841633*G0_0_0_5_6 + 0.00227772227772269*G0_0_0_5_7 - 0.00274011702583178*G0_0_0_5_8 - 0.00650777793635049*G0_0_0_5_9 - 0.00236208236208278*G0_0_0_6_0 - 0.00145124716553312*G0_0_0_6_1 - 0.00777254491540338*G0_0_0_6_2 + 0.00488083345226282*G0_0_0_6_3 - 0.0122448979591857*G0_0_0_6_4 + 0.0272698729841633*G0_0_0_6_5 - 0.0401883830455325*G0_0_0_6_6 + 0.000462394748109092*G0_0_0_6_7 + 0.00140430997573877*G0_0_0_6_8 + 0.00633652062223607*G0_0_0_6_9 + 0.00527916527916626*G0_0_0_7_0 - 0.000146520146520165*G0_0_0_7_1 - 0.00629656058227593*G0_0_0_7_3 + 0.00312259169402078*G0_0_0_7_4 + 0.00227772227772269*G0_0_0_7_5 + 0.000462394748109092*G0_0_0_7_6 + 0.00799200799200947*G0_0_0_7_7 - 0.00557157128585799*G0_0_0_7_8 - 0.0129128014842322*G0_0_0_7_9 - 0.00163392163392195*G0_0_0_8_0 + 0.00198658484372804*G0_0_0_8_1 + 0.000339343196486109*G0_0_0_8_2 + 0.0067874982160708*G0_0_0_8_3 - 0.000490937633794865*G0_0_0_8_4 - 0.00274011702583178*G0_0_0_8_5 + 0.00140430997573877*G0_0_0_8_6 - 0.00557157128585799*G0_0_0_8_7 - 0.0020779220779224*G0_0_0_8_8 + 0.00399600399600469*G0_0_0_9_0 + 0.000315874601588956*G0_0_0_9_1 - 0.00536606250892056*G0_0_0_9_2 + 0.011645497359785*G0_0_0_9_3 + 0.00137005851291595*G0_0_0_9_4 - 0.00650777793635049*G0_0_0_9_5 + 0.00633652062223607*G0_0_0_9_6 - 0.0129128014842322*G0_0_0_9_7 + 0.0267161410018598*G0_0_0_9_9 + 0.00136006850292589*G0_0_1_0_1 - 0.00136006850292587*G0_0_1_0_2 + 0.00178060035202922*G0_0_1_0_3 - 0.00178060035202923*G0_0_1_0_4 - 0.016245976245979*G0_0_1_0_5 + 0.00438672438672511*G0_0_1_0_6 + 0.0162459762459791*G0_0_1_0_7 - 0.00438672438672518*G0_0_1_0_8 + 0.00136006850292589*G0_0_1_1_0 + 0.00995646328979829*G0_0_1_1_1 + 0.0172023214880387*G0_0_1_1_3 - 0.00949146092003395*G0_0_1_1_4 - 0.000155558726987314*G0_0_1_1_5 + 0.00208045922331673*G0_0_1_1_7 + 0.00341483912912541*G0_0_1_1_8 + 0.0040321583178733*G0_0_1_1_9 - 0.00136006850292587*G0_0_1_2_0 - 0.00995646328979829*G0_0_1_2_2 + 0.00949146092003394*G0_0_1_2_3 - 0.0172023214880387*G0_0_1_2_4 - 0.00208045922331672*G0_0_1_2_5 - 0.00341483912912542*G0_0_1_2_6 + 0.000155558726987328*G0_0_1_2_7 - 0.00403215831787328*G0_0_1_2_9 + 0.00178060035202922*G0_0_1_3_0 + 0.0172023214880387*G0_0_1_3_1 + 0.00949146092003394*G0_0_1_3_2 + 0.0820750677893672*G0_0_1_3_3 - 0.00243756243756284*G0_0_1_3_5 + 0.000156985871271607*G0_0_1_3_6 - 0.00534180105608768*G0_0_1_3_7 + 0.00549878692735928*G0_0_1_3_8 - 0.00141287284144453*G0_0_1_3_9 - 0.00178060035202923*G0_0_1_4_0 - 0.00949146092003395*G0_0_1_4_1 - 0.0172023214880387*G0_0_1_4_2 - 0.0820750677893673*G0_0_1_4_4 + 0.00534180105608765*G0_0_1_4_5 - 0.00549878692735927*G0_0_1_4_6 + 0.00243756243756284*G0_0_1_4_7 - 0.000156985871271612*G0_0_1_4_8 + 0.00141287284144457*G0_0_1_4_9 - 0.016245976245979*G0_0_1_5_0 - 0.000155558726987314*G0_0_1_5_1 - 0.00208045922331672*G0_0_1_5_2 - 0.00243756243756283*G0_0_1_5_3 + 0.00534180105608765*G0_0_1_5_4 - 0.0397402597402664*G0_0_1_5_5 + 0.0228842585985482*G0_0_1_5_6 + 0.000466676180961945*G0_0_1_5_8 - 0.000933352361923948*G0_0_1_5_9 + 0.0043867243867251*G0_0_1_6_0 - 0.00341483912912542*G0_0_1_6_2 + 0.000156985871271607*G0_0_1_6_3 - 0.00549878692735927*G0_0_1_6_4 + 0.0228842585985482*G0_0_1_6_5 - 0.00830597973455251*G0_0_1_6_6 - 0.000466676180962003*G0_0_1_6_7 + 0.0117825032110767*G0_0_1_6_9 + 0.0162459762459791*G0_0_1_7_0 + 0.00208045922331673*G0_0_1_7_1 + 0.000155558726987328*G0_0_1_7_2 - 0.00534180105608768*G0_0_1_7_3 + 0.00243756243756284*G0_0_1_7_4 - 0.000466676180962002*G0_0_1_7_6 + 0.0397402597402666*G0_0_1_7_7 - 0.0228842585985482*G0_0_1_7_8 + 0.000933352361923975*G0_0_1_7_9 - 0.00438672438672518*G0_0_1_8_0 + 0.00341483912912541*G0_0_1_8_1 + 0.00549878692735928*G0_0_1_8_3 - 0.000156985871271613*G0_0_1_8_4 + 0.000466676180961945*G0_0_1_8_5 - 0.0228842585985482*G0_0_1_8_7 + 0.00830597973455262*G0_0_1_8_8 - 0.0117825032110767*G0_0_1_8_9 + 0.0040321583178733*G0_0_1_9_1 - 0.00403215831787328*G0_0_1_9_2 - 0.00141287284144453*G0_0_1_9_3 + 0.00141287284144457*G0_0_1_9_4 - 0.000933352361923951*G0_0_1_9_5 + 0.0117825032110767*G0_0_1_9_6 + 0.000933352361923979*G0_0_1_9_7 - 0.0117825032110767*G0_0_1_9_8 - 0.000238579762389303*G0_1_0_0_1 + 0.000238579762389345*G0_1_0_0_2 + 0.00277294134437039*G0_1_0_0_3 - 0.0027729413443704*G0_1_0_0_4 + 0.00568764568764685*G0_1_0_0_5 - 0.00511488511488609*G0_1_0_0_6 - 0.0056876456876464*G0_1_0_0_7 + 0.00511488511488587*G0_1_0_0_8 - 0.000238579762389303*G0_1_0_1_0 + 0.00785655261845871*G0_1_0_1_1 + 0.0158484372770114*G0_1_0_1_3 - 0.00931068931069089*G0_1_0_1_4 + 0.0012230626516343*G0_1_0_1_5 - 0.00173826173826204*G0_1_0_1_6 - 0.00238174523888847*G0_1_0_1_7 + 0.00634429063000598*G0_1_0_1_8 + 0.00164977879263623*G0_1_0_1_9 + 0.000238579762389345*G0_1_0_2_0 - 0.00785655261845873*G0_1_0_2_2 + 0.00931068931069089*G0_1_0_2_3 - 0.0158484372770114*G0_1_0_2_4 + 0.00238174523888851*G0_1_0_2_5 - 0.006344290630006*G0_1_0_2_6 - 0.00122306265163427*G0_1_0_2_7 + 0.00173826173826202*G0_1_0_2_8 - 0.00164977879263621*G0_1_0_2_9 + 0.00277294134437039*G0_1_0_3_0 + 0.0158484372770114*G0_1_0_3_1 + 0.00931068931069089*G0_1_0_3_2 + 0.0806193806193942*G0_1_0_3_3 - 0.00599400599400699*G0_1_0_3_5 + 0.00521478521478609*G0_1_0_3_6 - 0.00831882403311114*G0_1_0_3_7 + 0.0135336092478972*G0_1_0_3_8 + 0.0116883116883137*G0_1_0_3_9 - 0.0027729413443704*G0_1_0_4_0 - 0.00931068931069089*G0_1_0_4_1 - 0.0158484372770114*G0_1_0_4_2 - 0.0806193806193943*G0_1_0_4_4 + 0.00831882403311114*G0_1_0_4_5 - 0.0135336092478972*G0_1_0_4_6 + 0.00599400599400699*G0_1_0_4_7 - 0.00521478521478609*G0_1_0_4_8 - 0.0116883116883136*G0_1_0_4_9 + 0.00568764568764685*G0_1_0_5_0 + 0.0012230626516343*G0_1_0_5_1 + 0.00238174523888851*G0_1_0_5_2 - 0.00599400599400699*G0_1_0_5_3 + 0.00831882403311114*G0_1_0_5_4 + 0.0192007992008027*G0_1_0_5_5 + 0.00995718567147302*G0_1_0_5_6 - 0.00366918795490291*G0_1_0_5_8 + 0.00733837590980575*G0_1_0_5_9 - 0.00511488511488609*G0_1_0_6_0 - 0.00173826173826204*G0_1_0_6_1 - 0.006344290630006*G0_1_0_6_2 + 0.00521478521478609*G0_1_0_6_3 - 0.0135336092478972*G0_1_0_6_4 + 0.00995718567147302*G0_1_0_6_5 - 0.0298044812330576*G0_1_0_6_6 + 0.00366918795490279*G0_1_0_6_7 - 0.00548023405166353*G0_1_0_6_9 - 0.0056876456876464*G0_1_0_7_0 - 0.00238174523888847*G0_1_0_7_1 - 0.00122306265163427*G0_1_0_7_2 - 0.00831882403311114*G0_1_0_7_3 + 0.00599400599400699*G0_1_0_7_4 + 0.00366918795490279*G0_1_0_7_6 - 0.0192007992008021*G0_1_0_7_7 - 0.00995718567147319*G0_1_0_7_8 - 0.0073383759098057*G0_1_0_7_9 + 0.00511488511488587*G0_1_0_8_0 + 0.00634429063000598*G0_1_0_8_1 + 0.00173826173826202*G0_1_0_8_2 + 0.0135336092478972*G0_1_0_8_3 - 0.00521478521478609*G0_1_0_8_4 - 0.00366918795490291*G0_1_0_8_5 - 0.0099571856714732*G0_1_0_8_7 + 0.0298044812330578*G0_1_0_8_8 + 0.00548023405166354*G0_1_0_8_9 + 0.00164977879263622*G0_1_0_9_1 - 0.00164977879263621*G0_1_0_9_2 + 0.0116883116883137*G0_1_0_9_3 - 0.0116883116883136*G0_1_0_9_4 + 0.00733837590980575*G0_1_0_9_5 - 0.00548023405166352*G0_1_0_9_6 - 0.0073383759098057*G0_1_0_9_7 + 0.00548023405166354*G0_1_0_9_8 + 0.000558524368048299*G0_1_1_0_1 - 0.00056296437248826*G0_1_1_0_2 + 0.0022789908504198*G0_1_1_0_3 - 0.00227455084597982*G0_1_1_0_4 - 0.00527916527916596*G0_1_1_0_5 + 0.00163392163392181*G0_1_1_0_6 + 0.00527916527916645*G0_1_1_0_7 + 0.00236208236208264*G0_1_1_0_8 - 0.00399600399600464*G0_1_1_0_9 + 0.000558524368048299*G0_1_1_1_0 + 0.00758352758352883*G0_1_1_1_1 + 0.0162567591139047*G0_1_1_1_3 - 0.00952698095555399*G0_1_1_1_4 - 0.000339343196486119*G0_1_1_1_6 - 0.000154765869051561*G0_1_1_1_7 + 0.00777254491540333*G0_1_1_1_8 + 0.00536606250892057*G0_1_1_1_9 - 0.00056296437248826*G0_1_1_2_0 - 0.0102294883247282*G0_1_1_2_2 + 0.00927516927517084*G0_1_1_2_3 - 0.0167939996511454*G0_1_1_2_4 + 0.000146520146520202*G0_1_1_2_5 - 0.00198658484372806*G0_1_1_2_6 - 0.0010890696604984*G0_1_1_2_7 + 0.00145124716553311*G0_1_1_2_8 - 0.000315874601588941*G0_1_1_2_9 + 0.0022789908504198*G0_1_1_3_0 + 0.0162567591139047*G0_1_1_3_1 + 0.00927516927517084*G0_1_1_3_2 + 0.0823747680890676*G0_1_1_3_3 + 0.001027543884687*G0_1_1_3_4 - 0.00312259169402078*G0_1_1_3_5 + 0.000490937633794872*G0_1_1_3_6 - 0.00736406450692288*G0_1_1_3_7 + 0.0122448979591857*G0_1_1_3_8 - 0.00137005851291593*G0_1_1_3_9 - 0.00227455084597982*G0_1_1_4_0 - 0.00952698095555399*G0_1_1_4_1 - 0.0167939996511454*G0_1_1_4_2 + 0.001027543884687*G0_1_1_4_3 - 0.0803196803196939*G0_1_1_4_4 + 0.00629656058227592*G0_1_1_4_5 - 0.00678749821607081*G0_1_1_4_6 + 0.00530897673754904*G0_1_1_4_7 - 0.00488083345226281*G0_1_1_4_8 - 0.011645497359785*G0_1_1_4_9 - 0.00527916527916596*G0_1_1_5_0 + 0.000146520146520202*G0_1_1_5_2 - 0.00312259169402078*G0_1_1_5_3 + 0.00629656058227593*G0_1_1_5_4 - 0.00799200799200911*G0_1_1_5_5 + 0.00557157128585786*G0_1_1_5_6 - 0.00227772227772252*G0_1_1_5_7 - 0.000462394748109191*G0_1_1_5_8 + 0.0129128014842323*G0_1_1_5_9 + 0.00163392163392181*G0_1_1_6_0 - 0.000339343196486119*G0_1_1_6_1 - 0.00198658484372806*G0_1_1_6_2 + 0.000490937633794873*G0_1_1_6_3 - 0.00678749821607081*G0_1_1_6_4 + 0.00557157128585786*G0_1_1_6_5 + 0.00207792207792244*G0_1_1_6_6 + 0.0027401170258317*G0_1_1_6_7 - 0.00140430997573873*G0_1_1_6_8 + 0.00527916527916645*G0_1_1_7_0 - 0.000154765869051562*G0_1_1_7_1 - 0.0010890696604984*G0_1_1_7_2 - 0.00736406450692288*G0_1_1_7_3 + 0.00530897673754904*G0_1_1_7_4 - 0.00227772227772252*G0_1_1_7_5 + 0.0027401170258317*G0_1_1_7_6 + 0.012547452547455*G0_1_1_7_7 - 0.0272698729841634*G0_1_1_7_8 + 0.00650777793635053*G0_1_1_7_9 + 0.00236208236208264*G0_1_1_8_0 + 0.00777254491540333*G0_1_1_8_1 + 0.00145124716553311*G0_1_1_8_2 + 0.0122448979591857*G0_1_1_8_3 - 0.00488083345226281*G0_1_1_8_4 - 0.000462394748109191*G0_1_1_8_5 - 0.00140430997573873*G0_1_1_8_6 - 0.0272698729841634*G0_1_1_8_7 + 0.0401883830455325*G0_1_1_8_8 - 0.00633652062223606*G0_1_1_8_9 - 0.00399600399600464*G0_1_1_9_0 + 0.00536606250892057*G0_1_1_9_1 - 0.00031587460158894*G0_1_1_9_2 - 0.00137005851291593*G0_1_1_9_3 - 0.011645497359785*G0_1_1_9_4 + 0.0129128014842323*G0_1_1_9_5 + 0.00650777793635053*G0_1_1_9_7 - 0.00633652062223606*G0_1_1_9_8 - 0.0267161410018597*G0_1_1_9_9;
    A[56] = -A[176] + 0.0443464824417283*G0_0_0_0_0 + 0.00902406235739731*G0_0_0_0_1 + 0.00420489563346779*G0_0_0_0_2 + 0.00487808487808571*G0_0_0_0_3 - 0.00190370476084794*G0_0_0_0_4 + 0.0310191395905736*G0_0_0_0_5 - 0.0150947465233206*G0_0_0_0_6 + 0.00577454291740106*G0_0_0_0_7 + 0.00368520368520433*G0_0_0_0_8 + 0.0062642119784988*G0_0_0_0_9 + 0.00902406235739731*G0_0_0_1_0 + 0.259513326180038*G0_0_0_1_1 + 0.007976221309556*G0_0_0_1_2 + 0.0714248714248837*G0_0_0_1_3 - 0.0346468346468406*G0_0_0_1_4 + 0.00542864542864624*G0_0_0_1_5 + 0.00120176120176144*G0_0_0_1_6 - 0.0311540311540367*G0_0_0_1_7 + 0.0616864616864726*G0_0_0_1_8 + 0.00150960150960183*G0_0_0_1_9 + 0.00420489563346779*G0_0_0_2_0 + 0.007976221309556*G0_0_0_2_1 + 0.00472698377460362*G0_0_0_2_2 + 0.00770192770192898*G0_0_0_2_3 - 0.00649086363372187*G0_0_0_2_4 + 0.00474530760245129*G0_0_0_2_5 - 0.00443408443408519*G0_0_0_2_6 + 0.00224706510420834*G0_0_0_2_7 + 0.0160136160136187*G0_0_0_2_8 + 0.0139999682856849*G0_0_0_2_9 + 0.0048780848780857*G0_0_0_3_0 + 0.0714248714248838*G0_0_0_3_1 + 0.00770192770192898*G0_0_0_3_2 + 0.0101232101232116*G0_0_0_3_3 - 0.0319147519147572*G0_0_0_3_4 - 0.0100166500166517*G0_0_0_3_5 - 0.0144921744921769*G0_0_0_3_6 - 0.0255211455211499*G0_0_0_3_7 + 0.0844488844488987*G0_0_0_3_8 + 0.0465134865134943*G0_0_0_3_9 - 0.00190370476084794*G0_0_0_4_0 - 0.0346468346468406*G0_0_0_4_1 - 0.00649086363372187*G0_0_0_4_2 - 0.0319147519147572*G0_0_0_4_3 + 0.0329803529803585*G0_0_0_4_4 - 0.00517577660434893*G0_0_0_4_5 + 0.0196679510965258*G0_0_0_4_6 + 0.00492840492840576*G0_0_0_4_7 - 0.0589277389277488*G0_0_0_4_8 - 0.031648351648357*G0_0_0_4_9 + 0.0310191395905736*G0_0_0_5_0 + 0.00542864542864624*G0_0_0_5_1 + 0.00474530760245129*G0_0_0_5_2 - 0.0100166500166517*G0_0_0_5_3 - 0.00517577660434893*G0_0_0_5_4 + 0.188748394462712*G0_0_0_5_5 - 0.029661766804629*G0_0_0_5_6 + 0.0448009133723495*G0_0_0_5_7 - 0.0271728271728318*G0_0_0_5_8 + 0.0355530184101673*G0_0_0_5_9 - 0.0150947465233206*G0_0_0_6_0 + 0.00120176120176144*G0_0_0_6_1 - 0.00443408443408519*G0_0_0_6_2 - 0.0144921744921769*G0_0_0_6_3 + 0.0196679510965258*G0_0_0_6_4 - 0.029661766804629*G0_0_0_6_5 + 0.0887569573284007*G0_0_0_6_6 - 0.0176280861995177*G0_0_0_6_7 - 0.0203796203796238*G0_0_0_6_8 - 0.013015555872701*G0_0_0_6_9 + 0.00577454291740106*G0_0_0_7_0 - 0.0311540311540367*G0_0_0_7_1 + 0.00224706510420834*G0_0_0_7_2 - 0.0255211455211499*G0_0_0_7_3 + 0.00492840492840576*G0_0_0_7_4 + 0.0448009133723495*G0_0_0_7_5 - 0.0176280861995177*G0_0_0_7_6 + 0.101018981018998*G0_0_0_7_7 - 0.0570629370629467*G0_0_0_7_8 + 0.0164635364635393*G0_0_0_7_9 + 0.00368520368520433*G0_0_0_8_0 + 0.0616864616864726*G0_0_0_8_1 + 0.0160136160136187*G0_0_0_8_2 + 0.0844488844488987*G0_0_0_8_3 - 0.0589277389277488*G0_0_0_8_4 - 0.0271728271728318*G0_0_0_8_5 - 0.0203796203796238*G0_0_0_8_6 - 0.0570629370629467*G0_0_0_8_7 + 0.327672327672383*G0_0_0_8_8 + 0.113326673326692*G0_0_0_8_9 + 0.0062642119784988*G0_0_0_9_0 + 0.00150960150960183*G0_0_0_9_1 + 0.0139999682856849*G0_0_0_9_2 + 0.0465134865134943*G0_0_0_9_3 - 0.031648351648357*G0_0_0_9_4 + 0.0355530184101673*G0_0_0_9_5 - 0.013015555872701*G0_0_0_9_6 + 0.0164635364635393*G0_0_0_9_7 + 0.113326673326692*G0_0_0_9_8 + 0.258941058941103*G0_0_0_9_9 - 0.00184140374616603*G0_0_1_0_0 + 0.00879614212947705*G0_0_1_0_1 - 0.00107419916943744*G0_0_1_0_2 - 0.0102031302031319*G0_0_1_0_3 + 0.0037029637029643*G0_0_1_0_4 + 0.000279085993371709*G0_0_1_0_5 + 0.00136371564943018*G0_0_1_0_6 + 0.00298368298368343*G0_0_1_0_7 - 0.00737928737928854*G0_0_1_0_8 - 0.00868464868465014*G0_0_1_0_9 + 0.00879614212947705*G0_0_1_1_0 + 0.294322960989679*G0_0_1_1_1 + 0.00879614212947696*G0_0_1_1_2 + 0.0811632811632952*G0_0_1_1_3 - 0.0395160395160463*G0_0_1_1_4 - 0.000666000666000888*G0_0_1_1_5 - 0.000666000666000741*G0_0_1_1_6 - 0.0395160395160465*G0_0_1_1_7 + 0.0811632811632956*G0_0_1_1_8 + 0.00426240426240506*G0_0_1_1_9 - 0.00107419916943744*G0_0_1_2_0 + 0.00879614212947696*G0_0_1_2_1 - 0.00184140374616595*G0_0_1_2_2 - 0.00737928737928859*G0_0_1_2_3 + 0.00298368298368347*G0_0_1_2_4 + 0.00136371564943014*G0_0_1_2_5 + 0.000279085993371762*G0_0_1_2_6 + 0.0037029637029643*G0_0_1_2_7 - 0.0102031302031319*G0_0_1_2_8 - 0.00868464868465012*G0_0_1_2_9 - 0.0102031302031319*G0_0_1_3_0 + 0.0811632811632952*G0_0_1_3_1 - 0.0073792873792886*G0_0_1_3_2 - 0.148651348651374*G0_0_1_3_3 + 0.0307692307692358*G0_0_1_3_4 + 0.0130269730269751*G0_0_1_3_5 + 0.00855144855144997*G0_0_1_3_6 + 0.0371628371628432*G0_0_1_3_7 - 0.0743256743256864*G0_0_1_3_8 - 0.0871128871129016*G0_0_1_3_9 + 0.0037029637029643*G0_0_1_4_0 - 0.0395160395160463*G0_0_1_4_1 + 0.00298368298368347*G0_0_1_4_2 + 0.0307692307692358*G0_0_1_4_3 - 0.0103896103896121*G0_0_1_4_4 - 0.00455544455544528*G0_0_1_4_5 - 0.00399600399600465*G0_0_1_4_6 - 0.0143856143856167*G0_0_1_4_7 + 0.0371628371628432*G0_0_1_4_8 + 0.035164835164841*G0_0_1_4_9 + 0.000279085993371709*G0_0_1_5_0 - 0.000666000666000888*G0_0_1_5_1 + 0.00136371564943014*G0_0_1_5_2 + 0.0130269730269751*G0_0_1_5_3 - 0.00455544455544528*G0_0_1_5_4 - 0.0063251034679617*G0_0_1_5_5 - 0.000468103325246228*G0_0_1_5_6 - 0.00399600399600465*G0_0_1_5_7 + 0.00855144855144993*G0_0_1_5_8 + 0.0089510489510504*G0_0_1_5_9 + 0.00136371564943018*G0_0_1_6_0 - 0.000666000666000741*G0_0_1_6_1 + 0.000279085993371762*G0_0_1_6_2 + 0.00855144855144997*G0_0_1_6_3 - 0.00399600399600465*G0_0_1_6_4 - 0.000468103325246228*G0_0_1_6_5 - 0.00632510346796161*G0_0_1_6_6 - 0.0045554445554453*G0_0_1_6_7 + 0.0130269730269752*G0_0_1_6_8 + 0.00895104895105045*G0_0_1_6_9 + 0.00298368298368343*G0_0_1_7_0 - 0.0395160395160465*G0_0_1_7_1 + 0.0037029637029643*G0_0_1_7_2 + 0.0371628371628432*G0_0_1_7_3 - 0.0143856143856167*G0_0_1_7_4 - 0.00399600399600465*G0_0_1_7_5 - 0.0045554445554453*G0_0_1_7_6 - 0.010389610389612*G0_0_1_7_7 + 0.0307692307692356*G0_0_1_7_8 + 0.035164835164841*G0_0_1_7_9 - 0.00737928737928854*G0_0_1_8_0 + 0.0811632811632956*G0_0_1_8_1 - 0.0102031302031319*G0_0_1_8_2 - 0.0743256743256864*G0_0_1_8_3 + 0.0371628371628432*G0_0_1_8_4 + 0.00855144855144993*G0_0_1_8_5 + 0.0130269730269752*G0_0_1_8_6 + 0.0307692307692356*G0_0_1_8_7 - 0.148651348651373*G0_0_1_8_8 - 0.0871128871129016*G0_0_1_8_9 - 0.00868464868465014*G0_0_1_9_0 + 0.00426240426240506*G0_0_1_9_1 - 0.00868464868465012*G0_0_1_9_2 - 0.0871128871129016*G0_0_1_9_3 + 0.035164835164841*G0_0_1_9_4 + 0.0089510489510504*G0_0_1_9_5 + 0.00895104895105045*G0_0_1_9_6 + 0.035164835164841*G0_0_1_9_7 - 0.0871128871129015*G0_0_1_9_8 - 0.0671328671328785*G0_0_1_9_9;
    A[99] = A[56] - 0.0820535372916465*G0_0_0_0_0 - 0.00904971571638392*G0_0_0_0_2 + 0.00965891251605706*G0_0_0_0_3 + 0.000243565957851712*G0_0_0_0_4 - 0.102559028273331*G0_0_0_0_5 + 0.0426823969681185*G0_0_0_0_6 - 0.0374482660197009*G0_0_0_0_7 + 0.0198582370010975*G0_0_0_0_8 - 0.0149031920460517*G0_0_0_0_9 + 0.0820535372916462*G0_0_0_1_1 + 0.0090497157163839*G0_0_0_1_2 + 0.102559028273331*G0_0_0_1_3 - 0.0426823969681184*G0_0_0_1_4 - 0.00965891251605699*G0_0_0_1_5 - 0.000243565957851716*G0_0_0_1_6 - 0.0198582370010975*G0_0_0_1_7 + 0.0374482660197009*G0_0_0_1_8 + 0.0149031920460518*G0_0_0_1_9 - 0.00904971571638392*G0_0_0_2_0 + 0.0090497157163839*G0_0_0_2_1 + 0.0153852496709666*G0_0_0_2_3 - 0.00416091844663345*G0_0_0_2_4 - 0.0153852496709666*G0_0_0_2_5 + 0.00416091844663345*G0_0_0_2_6 - 0.00226820798249409*G0_0_0_2_7 + 0.0022682079824941*G0_0_0_2_8 + 0.00965891251605707*G0_0_0_3_0 + 0.102559028273331*G0_0_0_3_1 + 0.0153852496709666*G0_0_0_3_2 + 0.319132296275208*G0_0_0_3_3 - 0.0805594405594543*G0_0_0_3_4 + 0.000730697873555106*G0_0_0_3_6 - 0.0289767375481711*G0_0_0_3_7 + 0.0357813614956534*G0_0_0_3_8 + 0.0132438989581871*G0_0_0_3_9 + 0.000243565957851712*G0_0_0_4_0 - 0.0426823969681184*G0_0_0_4_1 - 0.00416091844663345*G0_0_0_4_2 - 0.0805594405594543*G0_0_0_4_3 + 0.0683202511774056*G0_0_0_4_4 - 0.000730697873555104*G0_0_0_4_5 + 0.0030369630369636*G0_0_0_4_7 - 0.00680462394748231*G0_0_0_4_8 + 0.00146139574711022*G0_0_0_4_9 - 0.102559028273331*G0_0_0_5_0 - 0.00965891251605699*G0_0_0_5_1 - 0.0153852496709666*G0_0_0_5_2 - 0.000730697873555106*G0_0_0_5_4 - 0.319132296275207*G0_0_0_5_5 + 0.0805594405594543*G0_0_0_5_6 - 0.0357813614956532*G0_0_0_5_7 + 0.028976737548171*G0_0_0_5_8 - 0.013243898958187*G0_0_0_5_9 + 0.0426823969681185*G0_0_0_6_0 - 0.000243565957851715*G0_0_0_6_1 + 0.00416091844663345*G0_0_0_6_2 + 0.000730697873555106*G0_0_0_6_3 + 0.0805594405594543*G0_0_0_6_5 - 0.0683202511774054*G0_0_0_6_6 + 0.00680462394748224*G0_0_0_6_7 - 0.00303696303696358*G0_0_0_6_8 - 0.0014613957471102*G0_0_0_6_9 - 0.0374482660197009*G0_0_0_7_0 - 0.0198582370010975*G0_0_0_7_1 - 0.00226820798249409*G0_0_0_7_2 - 0.0289767375481711*G0_0_0_7_3 + 0.0030369630369636*G0_0_0_7_4 - 0.0357813614956532*G0_0_0_7_5 + 0.00680462394748224*G0_0_0_7_6 + 0.029364920793497*G0_0_0_7_7 + 0.0311003282431905*G0_0_0_7_9 + 0.0198582370010975*G0_0_0_8_0 + 0.0374482660197009*G0_0_0_8_1 + 0.0022682079824941*G0_0_0_8_2 + 0.0357813614956534*G0_0_0_8_3 - 0.00680462394748231*G0_0_0_8_4 + 0.028976737548171*G0_0_0_8_5 - 0.00303696303696357*G0_0_0_8_6 - 0.0293649207934969*G0_0_0_8_8 - 0.0311003282431905*G0_0_0_8_9 - 0.0149031920460517*G0_0_0_9_0 + 0.0149031920460518*G0_0_0_9_1 + 0.0132438989581871*G0_0_0_9_3 + 0.00146139574711022*G0_0_0_9_4 - 0.013243898958187*G0_0_0_9_5 - 0.00146139574711019*G0_0_0_9_6 + 0.0311003282431905*G0_0_0_9_7 - 0.0311003282431905*G0_0_0_9_8 + 0.0242460890079978*G0_0_1_0_0 + 0.0105376105376123*G0_0_1_0_1 + 0.00508641270546117*G0_0_1_0_2 + 0.0222592222592261*G0_0_1_0_3 - 0.00799877371306077*G0_0_1_0_4 + 0.0256649170934927*G0_0_1_0_5 - 0.0137014308442902*G0_0_1_0_6 + 0.0192450935308109*G0_0_1_0_7 + 0.00298960298960356*G0_0_1_0_8 + 0.0160804275090017*G0_0_1_0_9 + 0.0105376105376123*G0_0_1_1_0 + 0.106299626299644*G0_0_1_1_1 + 0.0141361284218451*G0_0_1_1_2 + 0.128223945366824*G0_0_1_1_3 - 0.0563838278124087*G0_0_1_1_4 + 0.012600309743169*G0_0_1_1_5 - 0.00824233967091247*G0_0_1_1_6 - 0.016868634011494*G0_0_1_1_7 + 0.0566933595505119*G0_0_1_1_8 + 0.0309836195550534*G0_0_1_1_9 + 0.00508641270546117*G0_0_1_2_0 + 0.0141361284218451*G0_0_1_2_1 + 0.00861952861953004*G0_0_1_2_2 + 0.0286392972107306*G0_0_1_2_3 - 0.0115643087071678*G0_0_1_2_4 + 0.0132540475397641*G0_0_1_2_5 - 0.00740339026053436*G0_0_1_2_6 + 0.00783555069269485*G0_0_1_2_7 + 0.0101037586751889*G0_0_1_2_8 + 0.0209771181199788*G0_0_1_2_9 + 0.0222592222592261*G0_0_1_3_0 + 0.128223945366824*G0_0_1_3_1 + 0.0286392972107306*G0_0_1_3_2 + 0.508268873983246*G0_0_1_3_3 - 0.147167118595715*G0_0_1_3_4 - 0.035279006707584*G0_0_1_3_5 - 0.00929356357927943*G0_0_1_3_6 - 0.100798249369695*G0_0_1_3_7 + 0.165130107987279*G0_0_1_3_8 + 0.10864564007423*G0_0_1_3_9 - 0.00799877371306077*G0_0_1_4_0 - 0.0563838278124087*G0_0_1_4_1 - 0.0115643087071678*G0_0_1_4_2 - 0.147167118595715*G0_0_1_4_3 + 0.111225916940222*G0_0_1_4_4 - 0.0100242614528346*G0_0_1_4_5 + 0.019317825032114*G0_0_1_4_6 + 0.0172551258265573*G0_0_1_4_7 - 0.0643318586175836*G0_0_1_4_8 - 0.0428828314542672*G0_0_1_4_9 + 0.0256649170934927*G0_0_1_5_0 + 0.012600309743169*G0_0_1_5_1 + 0.0132540475397641*G0_0_1_5_2 - 0.035279006707584*G0_0_1_5_3 - 0.0100242614528346*G0_0_1_5_4 + 0.189136577708038*G0_0_1_5_5 - 0.0666076780362606*G0_0_1_5_6 + 0.129348746491625*G0_0_1_5_7 - 0.0718215118215238*G0_0_1_5_8 + 0.0954017411160429*G0_0_1_5_9 - 0.0137014308442902*G0_0_1_6_0 - 0.00824233967091247*G0_0_1_6_1 - 0.00740339026053436*G0_0_1_6_2 - 0.00929356357927943*G0_0_1_6_3 + 0.019317825032114*G0_0_1_6_4 - 0.0666076780362606*G0_0_1_6_5 + 0.0429056657628158*G0_0_1_6_6 - 0.0575272346701014*G0_0_1_6_7 + 0.0142181627895937*G0_0_1_6_8 - 0.0443442272013775*G0_0_1_6_9 + 0.0192450935308109*G0_0_1_7_0 - 0.016868634011494*G0_0_1_7_1 + 0.00783555069269485*G0_0_1_7_2 - 0.100798249369695*G0_0_1_7_3 + 0.0172551258265573*G0_0_1_7_4 + 0.129348746491625*G0_0_1_7_5 - 0.0575272346701014*G0_0_1_7_6 + 0.217968697968734*G0_0_1_7_7 - 0.133200133200155*G0_0_1_7_8 + 0.066813186813198*G0_0_1_7_9 + 0.00298960298960356*G0_0_1_8_0 + 0.0566933595505119*G0_0_1_8_1 + 0.0101037586751889*G0_0_1_8_2 + 0.165130107987279*G0_0_1_8_3 - 0.0643318586175836*G0_0_1_8_4 - 0.0718215118215238*G0_0_1_8_5 + 0.0142181627895937*G0_0_1_8_6 - 0.133200133200155*G0_0_1_8_7 + 0.188603777175237*G0_0_1_8_8 + 0.0357128585700074*G0_0_1_8_9 + 0.0160804275090017*G0_0_1_9_0 + 0.0309836195550534*G0_0_1_9_1 + 0.0209771181199788*G0_0_1_9_2 + 0.10864564007423*G0_0_1_9_3 - 0.0428828314542672*G0_0_1_9_4 + 0.0954017411160429*G0_0_1_9_5 - 0.0443442272013775*G0_0_1_9_6 + 0.066813186813198*G0_0_1_9_7 + 0.0357128585700073*G0_0_1_9_8 + 0.22331953760529*G0_0_1_9_9 + 0.31672764625151*G0_1_0_0_0 + 0.0281298947965664*G0_1_0_0_1 + 0.0128083556655007*G0_1_0_0_2 + 0.0113900913900933*G0_1_0_0_3 - 0.00496181067609723*G0_1_0_0_4 + 0.10710728425016*G0_1_0_0_5 - 0.0518537547109064*G0_1_0_0_6 + 0.10339205767779*G0_1_0_0_7 - 0.0439057239057313*G0_1_0_0_8 + 0.0116581830867567*G0_1_0_0_9 + 0.0281298947965664*G0_1_0_1_0 + 0.398781183543157*G0_1_0_1_1 + 0.0218580713818846*G0_1_0_1_2 + 0.209666312523491*G0_1_0_1_3 - 0.0945361516790248*G0_1_0_1_4 + 0.00173117887403619*G0_1_0_1_5 - 0.0052053766339489*G0_1_0_1_6 - 0.0637639609068291*G0_1_0_1_7 + 0.140840323697491*G0_1_0_1_8 + 0.0265613751328083*G0_1_0_1_9 + 0.0128083556655007*G0_1_0_2_0 + 0.0218580713818846*G0_1_0_2_1 + 0.0049367211271981*G0_1_0_2_2 + 0.0226237254808722*G0_1_0_2_3 - 0.00830153973011257*G0_1_0_2_4 + 0.00723847580990561*G0_1_0_2_5 - 0.00414062128347914*G0_1_0_2_6 + 0.00133538419252726*G0_1_0_2_7 + 0.00360359217502138*G0_1_0_2_8 + 0.00360782075067852*G0_1_0_2_9 + 0.0113900913900933*G0_1_0_3_0 + 0.209666312523491*G0_1_0_3_1 + 0.0226237254808722*G0_1_0_3_2 + 0.35329242186391*G0_1_0_3_3 - 0.116865991151725*G0_1_0_3_4 - 0.00922506065363368*G0_1_0_3_5 - 0.00529755958327476*G0_1_0_3_6 - 0.0550839636554017*G0_1_0_3_7 + 0.0868084296655875*G0_1_0_3_8 + 0.0304838019123788*G0_1_0_3_9 - 0.00496181067609723*G0_1_0_4_0 - 0.0945361516790248*G0_1_0_4_1 - 0.00830153973011257*G0_1_0_4_2 - 0.116865991151725*G0_1_0_4_3 + 0.0945112030826476*G0_1_0_4_4 - 0.00602825745682989*G0_1_0_4_5 + 0.0113258170401047*G0_1_0_4_6 + 0.0158964844679158*G0_1_0_4_7 - 0.0317244660101858*G0_1_0_4_8 + 0.00123305266162421*G0_1_0_4_9 + 0.10710728425016*G0_1_0_5_0 + 0.00173117887403619*G0_1_0_5_1 + 0.00723847580990561*G0_1_0_5_2 - 0.00922506065363369*G0_1_0_5_3 - 0.00602825745682989*G0_1_0_5_4 + 0.0341601255887029*G0_1_0_5_5 - 0.0363065505922711*G0_1_0_5_6 + 0.0510270681699339*G0_1_0_5_7 - 0.0261072261072306*G0_1_0_5_8 + 0.0172399029541916*G0_1_0_5_9 - 0.0518537547109064*G0_1_0_6_0 - 0.0052053766339489*G0_1_0_6_1 - 0.00414062128347914*G0_1_0_6_2 - 0.00529755958327476*G0_1_0_6_3 + 0.0113258170401047*G0_1_0_6_4 - 0.0363065505922711*G0_1_0_6_5 + 0.0261909519052421*G0_1_0_6_6 - 0.0249198420627034*G0_1_0_6_7 + 0.0128595214309522*G0_1_0_6_8 - 0.000228343085485991*G0_1_0_6_9 + 0.10339205767779*G0_1_0_7_0 - 0.0637639609068291*G0_1_0_7_1 + 0.00133538419252726*G0_1_0_7_2 - 0.0550839636554017*G0_1_0_7_3 + 0.0158964844679158*G0_1_0_7_4 + 0.0510270681699339*G0_1_0_7_5 - 0.0249198420627034*G0_1_0_7_6 + 0.0589277389277491*G0_1_0_7_7 - 0.071661671661684*G0_1_0_7_8 + 0.0148651348651373*G0_1_0_7_9 - 0.0439057239057313*G0_1_0_8_0 + 0.140840323697491*G0_1_0_8_1 + 0.00360359217502138*G0_1_0_8_2 + 0.0868084296655875*G0_1_0_8_3 - 0.0317244660101858*G0_1_0_8_4 - 0.0261072261072306*G0_1_0_8_5 + 0.0128595214309522*G0_1_0_8_6 - 0.071661671661684*G0_1_0_8_7 + 0.0295628181342524*G0_1_0_8_8 - 0.0162351933780531*G0_1_0_8_9 + 0.0116581830867567*G0_1_0_9_0 + 0.0265613751328083*G0_1_0_9_1 + 0.00360782075067852*G0_1_0_9_2 + 0.0304838019123788*G0_1_0_9_3 + 0.00123305266162421*G0_1_0_9_4 + 0.0172399029541916*G0_1_0_9_5 - 0.000228343085485991*G0_1_0_9_6 + 0.0148651348651373*G0_1_0_9_7 - 0.0162351933780531*G0_1_0_9_8 + 0.0890538033395328*G0_1_0_9_9 - 0.0752754124182822*G0_1_1_0_0 + 0.0193337526670894*G0_1_1_0_1 - 0.00143898429612738*G0_1_1_0_2 + 0.0304021904021957*G0_1_1_0_3 - 0.00906056906057061*G0_1_1_0_4 - 0.0381527467241816*G0_1_1_0_5 + 0.0177849663563979*G0_1_1_0_6 - 0.117559477559497*G0_1_1_0_7 + 0.0806334406334543*G0_1_1_0_8 - 0.00261072261072305*G0_1_1_0_9 + 0.0193337526670894*G0_1_1_1_0 + 0.498302684969437*G0_1_1_1_1 + 0.0283834683834731*G0_1_1_1_2 + 0.273483976341166*G0_1_1_1_3 - 0.126022548879713*G0_1_1_1_4 - 0.00641178926893335*G0_1_1_1_5 - 0.00414358128643906*G0_1_1_1_6 - 0.14140779855068*G0_1_1_1_7 + 0.277644894787799*G0_1_1_1_8 + 0.0452525252525331*G0_1_1_1_9 - 0.00143898429612738*G0_1_1_2_0 + 0.0283834683834731*G0_1_1_2_1 + 0.00677812487336409*G0_1_1_2_2 + 0.0379510436653357*G0_1_1_2_3 - 0.0150004492861661*G0_1_1_2_4 - 0.00207327064469955*G0_1_1_2_5 - 0.000704480704480828*G0_1_1_2_6 - 0.0187194815766276*G0_1_1_2_7 + 0.0301586244443438*G0_1_1_2_8 + 0.0122924694353287*G0_1_1_2_9 + 0.0304021904021957*G0_1_1_3_0 + 0.273483976341166*G0_1_1_3_1 + 0.0379510436653357*G0_1_1_3_2 + 0.505315636744294*G0_1_1_3_3 - 0.182990342990374*G0_1_1_3_4 - 0.0222520336806088*G0_1_1_3_5 - 0.0150363921792518*G0_1_1_3_6 - 0.118673707245156*G0_1_1_3_7 + 0.236616716616757*G0_1_1_3_8 + 0.101589838732713*G0_1_1_3_9 - 0.00906056906057061*G0_1_1_4_0 - 0.126022548879713*G0_1_1_4_1 - 0.0150004492861661*G0_1_1_4_2 - 0.182990342990374*G0_1_1_4_3 + 0.129668426811306*G0_1_1_4_4 - 0.000285428856857499*G0_1_1_4_5 + 0.0153218210361093*G0_1_1_4_6 + 0.0554036439750818*G0_1_1_4_7 - 0.117943009371601*G0_1_1_4_8 - 0.036306550592271*G0_1_1_4_9 - 0.0381527467241816*G0_1_1_5_0 - 0.00641178926893335*G0_1_1_5_1 - 0.00207327064469955*G0_1_1_5_2 - 0.0222520336806088*G0_1_1_5_3 - 0.000285428856857499*G0_1_1_5_4 + 0.0371133628276549*G0_1_1_5_5 - 0.00048332619761205*G0_1_1_5_6 - 0.0204595404595437*G0_1_1_5_7 - 0.00823176823176978*G0_1_1_5_8 + 0.0242957042957084*G0_1_1_5_9 + 0.0177849663563979*G0_1_1_6_0 - 0.00414358128643906*G0_1_1_6_1 - 0.000704480704480828*G0_1_1_6_2 - 0.0150363921792518*G0_1_1_6_3 + 0.0153218210361093*G0_1_1_6_4 - 0.00048332619761205*G0_1_1_6_5 + 0.00774844203415768*G0_1_1_6_6 + 0.0286913086913134*G0_1_1_6_7 - 0.0252889967175723*G0_1_1_6_8 - 0.00680462394748221*G0_1_1_6_9 - 0.117559477559497*G0_1_1_7_0 - 0.14140779855068*G0_1_1_7_1 - 0.0187194815766276*G0_1_1_7_2 - 0.118673707245156*G0_1_1_7_3 + 0.0554036439750818*G0_1_1_7_4 - 0.0204595404595437*G0_1_1_7_5 + 0.0286913086913134*G0_1_1_7_6 - 0.189463869463901*G0_1_1_7_7 - 0.10243090243092*G0_1_1_7_8 - 0.049550449550458*G0_1_1_7_9 + 0.0806334406334543*G0_1_1_8_0 + 0.277644894787799*G0_1_1_8_1 + 0.0301586244443438*G0_1_1_8_2 + 0.236616716616757*G0_1_1_8_3 - 0.117943009371601*G0_1_1_8_4 - 0.00823176823176978*G0_1_1_8_5 - 0.0252889967175723*G0_1_1_8_6 - 0.10243090243092*G0_1_1_8_7 + 0.436995385566888*G0_1_1_8_8 + 0.100128442985603*G0_1_1_8_9 - 0.00261072261072305*G0_1_1_9_0 + 0.0452525252525331*G0_1_1_9_1 + 0.0122924694353287*G0_1_1_9_2 + 0.101589838732713*G0_1_1_9_3 - 0.036306550592271*G0_1_1_9_4 + 0.0242957042957084*G0_1_1_9_5 - 0.00680462394748221*G0_1_1_9_6 - 0.049550449550458*G0_1_1_9_7 + 0.100128442985603*G0_1_1_9_8 + 0.156186670472411*G0_1_1_9_9;
    A[125] = A[56] - 0.00677812487336415*G0_0_0_0_0 + 0.00143898429612739*G0_0_0_0_1 - 0.0283834683834732*G0_0_0_0_2 + 0.0187194815766277*G0_0_0_0_3 - 0.0301586244443439*G0_0_0_0_4 + 0.0150004492861661*G0_0_0_0_5 - 0.0379510436653359*G0_0_0_0_6 + 0.000704480704480814*G0_0_0_0_7 + 0.00207327064469958*G0_0_0_0_8 - 0.0122924694353287*G0_0_0_0_9 + 0.00143898429612739*G0_0_0_1_0 + 0.0752754124182821*G0_0_0_1_1 - 0.0193337526670893*G0_0_0_1_2 + 0.117559477559497*G0_0_0_1_3 - 0.0806334406334543*G0_0_0_1_4 + 0.00906056906057061*G0_0_0_1_5 - 0.0304021904021956*G0_0_0_1_6 - 0.0177849663563979*G0_0_0_1_7 + 0.0381527467241817*G0_0_0_1_8 + 0.0026107226107231*G0_0_0_1_9 - 0.0283834683834732*G0_0_0_2_0 - 0.0193337526670893*G0_0_0_2_1 - 0.498302684969435*G0_0_0_2_2 + 0.141407798550679*G0_0_0_2_3 - 0.277644894787798*G0_0_0_2_4 + 0.126022548879713*G0_0_0_2_5 - 0.273483976341165*G0_0_0_2_6 + 0.00414358128643909*G0_0_0_2_7 + 0.00641178926893317*G0_0_0_2_8 - 0.0452525252525328*G0_0_0_2_9 + 0.0187194815766277*G0_0_0_3_0 + 0.117559477559497*G0_0_0_3_1 + 0.141407798550679*G0_0_0_3_2 + 0.189463869463902*G0_0_0_3_3 + 0.10243090243092*G0_0_0_3_4 - 0.0554036439750818*G0_0_0_3_5 + 0.118673707245156*G0_0_0_3_6 - 0.0286913086913136*G0_0_0_3_7 + 0.0204595404595441*G0_0_0_3_8 + 0.049550449550458*G0_0_0_3_9 - 0.0301586244443439*G0_0_0_4_0 - 0.0806334406334543*G0_0_0_4_1 - 0.277644894787798*G0_0_0_4_2 + 0.10243090243092*G0_0_0_4_3 - 0.436995385566888*G0_0_0_4_4 + 0.117943009371601*G0_0_0_4_5 - 0.236616716616756*G0_0_0_4_6 + 0.0252889967175724*G0_0_0_4_7 + 0.00823176823176952*G0_0_0_4_8 - 0.100128442985603*G0_0_0_4_9 + 0.0150004492861661*G0_0_0_5_0 + 0.00906056906057061*G0_0_0_5_1 + 0.126022548879713*G0_0_0_5_2 - 0.0554036439750818*G0_0_0_5_3 + 0.117943009371601*G0_0_0_5_4 - 0.129668426811306*G0_0_0_5_5 + 0.182990342990374*G0_0_0_5_6 - 0.0153218210361093*G0_0_0_5_7 + 0.000285428856857484*G0_0_0_5_8 + 0.0363065505922709*G0_0_0_5_9 - 0.0379510436653359*G0_0_0_6_0 - 0.0304021904021956*G0_0_0_6_1 - 0.273483976341165*G0_0_0_6_2 + 0.118673707245156*G0_0_0_6_3 - 0.236616716616756*G0_0_0_6_4 + 0.182990342990374*G0_0_0_6_5 - 0.505315636744293*G0_0_0_6_6 + 0.0150363921792518*G0_0_0_6_7 + 0.0222520336806088*G0_0_0_6_8 - 0.101589838732713*G0_0_0_6_9 + 0.000704480704480814*G0_0_0_7_0 - 0.0177849663563979*G0_0_0_7_1 + 0.00414358128643909*G0_0_0_7_2 - 0.0286913086913136*G0_0_0_7_3 + 0.0252889967175724*G0_0_0_7_4 - 0.0153218210361093*G0_0_0_7_5 + 0.0150363921792518*G0_0_0_7_6 - 0.0077484420341576*G0_0_0_7_7 + 0.000483326197611949*G0_0_0_7_8 + 0.00680462394748217*G0_0_0_7_9 + 0.00207327064469958*G0_0_0_8_0 + 0.0381527467241817*G0_0_0_8_1 + 0.00641178926893317*G0_0_0_8_2 + 0.0204595404595441*G0_0_0_8_3 + 0.00823176823176952*G0_0_0_8_4 + 0.000285428856857484*G0_0_0_8_5 + 0.0222520336806088*G0_0_0_8_6 + 0.000483326197611954*G0_0_0_8_7 - 0.0371133628276547*G0_0_0_8_8 - 0.0242957042957083*G0_0_0_8_9 - 0.0122924694353287*G0_0_0_9_0 + 0.0026107226107231*G0_0_0_9_1 - 0.0452525252525328*G0_0_0_9_2 + 0.049550449550458*G0_0_0_9_3 - 0.100128442985603*G0_0_0_9_4 + 0.0363065505922709*G0_0_0_9_5 - 0.101589838732713*G0_0_0_9_6 + 0.00680462394748217*G0_0_0_9_7 - 0.0242957042957083*G0_0_0_9_8 - 0.156186670472411*G0_0_0_9_9 + 0.00545119783215114*G0_0_1_0_1 - 0.00545119783215116*G0_0_1_0_2 + 0.0302579959722869*G0_0_1_0_3 - 0.0302579959722869*G0_0_1_0_4 + 0.00641982356268182*G0_0_1_0_5 - 0.0166910338338938*G0_0_1_0_6 - 0.00641982356268179*G0_0_1_0_7 + 0.0166910338338938*G0_0_1_0_8 + 0.00545119783215114*G0_0_1_1_0 + 0.0976800976801139*G0_0_1_1_1 + 0.139788254073992*G0_0_1_1_3 - 0.0850231250231394*G0_0_1_1_4 + 0.00476475905047414*G0_0_1_1_5 - 0.0183460983461015*G0_0_1_1_6 - 0.030122681551258*G0_0_1_1_7 + 0.0640967498110463*G0_0_1_1_8 + 0.0100065014350746*G0_0_1_1_9 - 0.00545119783215116*G0_0_1_2_0 - 0.097680097680114*G0_0_1_2_2 + 0.0850231250231393*G0_0_1_2_3 - 0.139788254073992*G0_0_1_2_4 + 0.030122681551258*G0_0_1_2_5 - 0.0640967498110463*G0_0_1_2_6 - 0.00476475905047413*G0_0_1_2_7 + 0.0183460983461014*G0_0_1_2_8 - 0.0100065014350745*G0_0_1_2_9 + 0.0302579959722869*G0_0_1_3_0 + 0.139788254073992*G0_0_1_3_1 + 0.0850231250231393*G0_0_1_3_2 + 0.397042957043025*G0_0_1_3_3 - 0.0525341325341413*G0_0_1_3_5 + 0.0550382950383043*G0_0_1_3_6 - 0.0907739879168603*G0_0_1_3_7 + 0.145812282955165*G0_0_1_3_8 + 0.151528471528497*G0_0_1_3_9 - 0.0302579959722869*G0_0_1_4_0 - 0.0850231250231394*G0_0_1_4_1 - 0.139788254073992*G0_0_1_4_2 - 0.397042957043024*G0_0_1_4_4 + 0.0907739879168604*G0_0_1_4_5 - 0.145812282955165*G0_0_1_4_6 + 0.0525341325341413*G0_0_1_4_7 - 0.0550382950383042*G0_0_1_4_8 - 0.151528471528497*G0_0_1_4_9 + 0.00641982356268182*G0_0_1_5_0 + 0.00476475905047414*G0_0_1_5_1 + 0.030122681551258*G0_0_1_5_2 - 0.0525341325341413*G0_0_1_5_3 + 0.0907739879168604*G0_0_1_5_4 - 0.0288321202606966*G0_0_1_5_5 + 0.066592455163895*G0_0_1_5_6 - 0.0142942771514224*G0_0_1_5_8 + 0.0285885543028448*G0_0_1_5_9 - 0.0166910338338938*G0_0_1_6_0 - 0.0183460983461015*G0_0_1_6_1 - 0.0640967498110463*G0_0_1_6_2 + 0.0550382950383043*G0_0_1_6_3 - 0.145812282955165*G0_0_1_6_4 + 0.066592455163895*G0_0_1_6_5 - 0.145698111412422*G0_0_1_6_6 + 0.0142942771514224*G0_0_1_6_7 - 0.0800570857713849*G0_0_1_6_9 - 0.00641982356268179*G0_0_1_7_0 - 0.030122681551258*G0_0_1_7_1 - 0.00476475905047413*G0_0_1_7_2 - 0.0907739879168603*G0_0_1_7_3 + 0.0525341325341413*G0_0_1_7_4 + 0.0142942771514224*G0_0_1_7_6 + 0.0288321202606965*G0_0_1_7_7 - 0.0665924551638948*G0_0_1_7_8 - 0.0285885543028448*G0_0_1_7_9 + 0.0166910338338938*G0_0_1_8_0 + 0.0640967498110463*G0_0_1_8_1 + 0.0183460983461014*G0_0_1_8_2 + 0.145812282955165*G0_0_1_8_3 - 0.0550382950383042*G0_0_1_8_4 - 0.0142942771514224*G0_0_1_8_5 - 0.0665924551638948*G0_0_1_8_7 + 0.145698111412422*G0_0_1_8_8 + 0.0800570857713849*G0_0_1_8_9 + 0.0100065014350746*G0_0_1_9_1 - 0.0100065014350745*G0_0_1_9_2 + 0.151528471528497*G0_0_1_9_3 - 0.151528471528497*G0_0_1_9_4 + 0.0285885543028448*G0_0_1_9_5 - 0.0800570857713849*G0_0_1_9_6 - 0.0285885543028448*G0_0_1_9_7 + 0.0800570857713849*G0_0_1_9_8 + 0.0153215391310656*G0_1_0_0_1 - 0.0153215391310656*G0_1_0_0_2 + 0.0163519020661906*G0_1_0_0_3 - 0.0163519020661906*G0_1_0_0_4 + 0.00371522657237003*G0_1_0_0_5 - 0.00794803080517498*G0_1_0_0_6 - 0.00371522657237011*G0_1_0_0_7 + 0.00794803080517508*G0_1_0_0_8 + 0.0153215391310656*G0_1_0_1_0 + 0.393844462415959*G0_1_0_1_1 + 0.217967852253604*G0_1_0_1_3 - 0.117159877159897*G0_1_0_1_4 + 0.000395794681508918*G0_1_0_1_5 - 0.00880896880897026*G0_1_0_1_6 - 0.0710024367167347*G0_1_0_1_7 + 0.14498094498097*G0_1_0_1_8 + 0.0229535543821298*G0_1_0_1_9 - 0.0153215391310656*G0_1_0_2_0 - 0.393844462415957*G0_1_0_2_2 + 0.117159877159897*G0_1_0_2_3 - 0.217967852253603*G0_1_0_2_4 + 0.0710024367167343*G0_1_0_2_5 - 0.144980944980969*G0_1_0_2_6 - 0.000395794681509068*G0_1_0_2_7 + 0.00880896880897029*G0_1_0_2_8 - 0.0229535543821296*G0_1_0_2_9 + 0.0163519020661906*G0_1_0_3_0 + 0.217967852253604*G0_1_0_3_1 + 0.117159877159897*G0_1_0_3_2 + 0.258781218781263*G0_1_0_3_3 - 0.0251215451215494*G0_1_0_3_5 + 0.0264269064269108*G0_1_0_3_6 - 0.0490557061985718*G0_1_0_3_7 + 0.0754826126254829*G0_1_0_3_8 + 0.0292507492507544*G0_1_0_3_9 - 0.0163519020661906*G0_1_0_4_0 - 0.117159877159897*G0_1_0_4_1 - 0.217967852253603*G0_1_0_4_2 - 0.258781218781263*G0_1_0_4_4 + 0.0490557061985716*G0_1_0_4_5 - 0.0754826126254825*G0_1_0_4_6 + 0.0251215451215494*G0_1_0_4_7 - 0.026426906426911*G0_1_0_4_8 - 0.0292507492507543*G0_1_0_4_9 + 0.00371522657237003*G0_1_0_5_0 + 0.000395794681508918*G0_1_0_5_1 + 0.0710024367167343*G0_1_0_5_2 - 0.0251215451215493*G0_1_0_5_3 + 0.0490557061985716*G0_1_0_5_4 - 0.0247676133390461*G0_1_0_5_5 + 0.0353551210694126*G0_1_0_5_6 - 0.00118738404452715*G0_1_0_5_8 + 0.00237476808905418*G0_1_0_5_9 - 0.00794803080517498*G0_1_0_6_0 - 0.00880896880897026*G0_1_0_6_1 - 0.144980944980969*G0_1_0_6_2 + 0.0264269064269108*G0_1_0_6_3 - 0.0754826126254825*G0_1_0_6_4 + 0.0353551210694126*G0_1_0_6_5 - 0.00337186622900926*G0_1_0_6_6 + 0.0011873840445271*G0_1_0_6_7 + 0.0160068502925673*G0_1_0_6_9 - 0.00371522657237011*G0_1_0_7_0 - 0.0710024367167347*G0_1_0_7_1 - 0.000395794681509068*G0_1_0_7_2 - 0.0490557061985718*G0_1_0_7_3 + 0.0251215451215494*G0_1_0_7_4 + 0.0011873840445271*G0_1_0_7_6 + 0.0247676133390461*G0_1_0_7_7 - 0.035355121069413*G0_1_0_7_8 - 0.00237476808905427*G0_1_0_7_9 + 0.00794803080517508*G0_1_0_8_0 + 0.14498094498097*G0_1_0_8_1 + 0.00880896880897029*G0_1_0_8_2 + 0.0754826126254829*G0_1_0_8_3 - 0.026426906426911*G0_1_0_8_4 - 0.00118738404452715*G0_1_0_8_5 - 0.035355121069413*G0_1_0_8_7 + 0.00337186622901023*G0_1_0_8_8 - 0.0160068502925671*G0_1_0_8_9 + 0.0229535543821298*G0_1_0_9_1 - 0.0229535543821296*G0_1_0_9_2 + 0.0292507492507544*G0_1_0_9_3 - 0.0292507492507543*G0_1_0_9_4 + 0.00237476808905418*G0_1_0_9_5 + 0.0160068502925673*G0_1_0_9_6 - 0.00237476808905427*G0_1_0_9_7 - 0.0160068502925671*G0_1_0_9_8 + 0.00677812487336411*G0_1_1_0_0 + 0.0283834683834733*G0_1_1_0_1 - 0.00143898429612741*G0_1_1_0_2 + 0.0301586244443439*G0_1_1_0_3 - 0.0187194815766277*G0_1_1_0_4 - 0.000704480704480836*G0_1_1_0_5 - 0.00207327064469955*G0_1_1_0_6 - 0.0150004492861662*G0_1_1_0_7 + 0.0379510436653359*G0_1_1_0_8 + 0.0122924694353287*G0_1_1_0_9 + 0.0283834683834733*G0_1_1_1_0 + 0.498302684969437*G0_1_1_1_1 + 0.0193337526670892*G0_1_1_1_2 + 0.277644894787799*G0_1_1_1_3 - 0.14140779855068*G0_1_1_1_4 - 0.00414358128643929*G0_1_1_1_5 - 0.00641178926893313*G0_1_1_1_6 - 0.126022548879713*G0_1_1_1_7 + 0.273483976341166*G0_1_1_1_8 + 0.0452525252525331*G0_1_1_1_9 - 0.00143898429612741*G0_1_1_2_0 + 0.0193337526670892*G0_1_1_2_1 - 0.0752754124182821*G0_1_1_2_2 + 0.0806334406334542*G0_1_1_2_3 - 0.117559477559497*G0_1_1_2_4 + 0.0177849663563979*G0_1_1_2_5 - 0.0381527467241817*G0_1_1_2_6 - 0.00906056906057058*G0_1_1_2_7 + 0.0304021904021955*G0_1_1_2_8 - 0.00261072261072304*G0_1_1_2_9 + 0.0301586244443439*G0_1_1_3_0 + 0.277644894787799*G0_1_1_3_1 + 0.0806334406334542*G0_1_1_3_2 + 0.436995385566888*G0_1_1_3_3 - 0.10243090243092*G0_1_1_3_4 - 0.0252889967175724*G0_1_1_3_5 - 0.0082317682317696*G0_1_1_3_6 - 0.117943009371601*G0_1_1_3_7 + 0.236616716616757*G0_1_1_3_8 + 0.100128442985603*G0_1_1_3_9 - 0.0187194815766277*G0_1_1_4_0 - 0.14140779855068*G0_1_1_4_1 - 0.117559477559497*G0_1_1_4_2 - 0.10243090243092*G0_1_1_4_3 - 0.189463869463902*G0_1_1_4_4 + 0.0286913086913136*G0_1_1_4_5 - 0.020459540459544*G0_1_1_4_6 + 0.0554036439750819*G0_1_1_4_7 - 0.118673707245156*G0_1_1_4_8 - 0.0495504495504579*G0_1_1_4_9 - 0.000704480704480836*G0_1_1_5_0 - 0.00414358128643929*G0_1_1_5_1 + 0.0177849663563979*G0_1_1_5_2 - 0.0252889967175724*G0_1_1_5_3 + 0.0286913086913136*G0_1_1_5_4 + 0.0077484420341576*G0_1_1_5_5 - 0.000483326197611992*G0_1_1_5_6 + 0.0153218210361094*G0_1_1_5_7 - 0.0150363921792519*G0_1_1_5_8 - 0.00680462394748227*G0_1_1_5_9 - 0.00207327064469956*G0_1_1_6_0 - 0.00641178926893313*G0_1_1_6_1 - 0.0381527467241817*G0_1_1_6_2 - 0.0082317682317696*G0_1_1_6_3 - 0.0204595404595439*G0_1_1_6_4 - 0.000483326197611991*G0_1_1_6_5 + 0.037113362827655*G0_1_1_6_6 - 0.000285428856857497*G0_1_1_6_7 - 0.0222520336806088*G0_1_1_6_8 + 0.0242957042957085*G0_1_1_6_9 - 0.0150004492861662*G0_1_1_7_0 - 0.126022548879713*G0_1_1_7_1 - 0.00906056906057058*G0_1_1_7_2 - 0.117943009371601*G0_1_1_7_3 + 0.0554036439750819*G0_1_1_7_4 + 0.0153218210361094*G0_1_1_7_5 - 0.000285428856857497*G0_1_1_7_6 + 0.129668426811306*G0_1_1_7_7 - 0.182990342990374*G0_1_1_7_8 - 0.036306550592271*G0_1_1_7_9 + 0.0379510436653359*G0_1_1_8_0 + 0.273483976341166*G0_1_1_8_1 + 0.0304021904021955*G0_1_1_8_2 + 0.236616716616757*G0_1_1_8_3 - 0.118673707245156*G0_1_1_8_4 - 0.0150363921792519*G0_1_1_8_5 - 0.0222520336806088*G0_1_1_8_6 - 0.182990342990374*G0_1_1_8_7 + 0.505315636744293*G0_1_1_8_8 + 0.101589838732713*G0_1_1_8_9 + 0.0122924694353287*G0_1_1_9_0 + 0.0452525252525331*G0_1_1_9_1 - 0.00261072261072304*G0_1_1_9_2 + 0.100128442985603*G0_1_1_9_3 - 0.0495504495504579*G0_1_1_9_4 - 0.00680462394748227*G0_1_1_9_5 + 0.0242957042957085*G0_1_1_9_6 - 0.036306550592271*G0_1_1_9_7 + 0.101589838732713*G0_1_1_9_8 + 0.156186670472411*G0_1_1_9_9;
    A[83] = A[125] + 0.00184140374616596*G0_0_1_0_0 + 0.00107419916943745*G0_0_1_0_1 - 0.00879614212947696*G0_0_1_0_2 - 0.00370296370296434*G0_0_1_0_3 + 0.0102031302031319*G0_0_1_0_4 - 0.00298368298368351*G0_0_1_0_5 + 0.00737928737928868*G0_0_1_0_6 - 0.000279085993371761*G0_0_1_0_7 - 0.00136371564943017*G0_0_1_0_8 + 0.00868464868465017*G0_0_1_0_9 + 0.00107419916943745*G0_0_1_1_0 + 0.00184140374616592*G0_0_1_1_1 - 0.00879614212947696*G0_0_1_1_2 - 0.0029836829836835*G0_0_1_1_3 + 0.00737928737928863*G0_0_1_1_4 - 0.00370296370296433*G0_0_1_1_5 + 0.0102031302031319*G0_0_1_1_6 - 0.00136371564943015*G0_0_1_1_7 - 0.000279085993371793*G0_0_1_1_8 + 0.00868464868465015*G0_0_1_1_9 - 0.00879614212947696*G0_0_1_2_0 - 0.00879614212947696*G0_0_1_2_1 - 0.294322960989677*G0_0_1_2_2 + 0.0395160395160461*G0_0_1_2_3 - 0.0811632811632948*G0_0_1_2_4 + 0.0395160395160461*G0_0_1_2_5 - 0.0811632811632946*G0_0_1_2_6 + 0.000666000666000764*G0_0_1_2_7 + 0.000666000666000751*G0_0_1_2_8 - 0.00426240426240495*G0_0_1_2_9 - 0.00370296370296434*G0_0_1_3_0 - 0.0029836829836835*G0_0_1_3_1 + 0.0395160395160461*G0_0_1_3_2 + 0.0103896103896121*G0_0_1_3_3 - 0.0307692307692359*G0_0_1_3_4 + 0.0143856143856168*G0_0_1_3_5 - 0.0371628371628434*G0_0_1_3_6 + 0.00455544455544532*G0_0_1_3_7 + 0.00399600399600464*G0_0_1_3_8 - 0.035164835164841*G0_0_1_3_9 + 0.0102031302031319*G0_0_1_4_0 + 0.00737928737928863*G0_0_1_4_1 - 0.0811632811632948*G0_0_1_4_2 - 0.0307692307692359*G0_0_1_4_3 + 0.148651348651374*G0_0_1_4_4 - 0.0371628371628435*G0_0_1_4_5 + 0.0743256743256869*G0_0_1_4_6 - 0.0130269730269752*G0_0_1_4_7 - 0.00855144855144997*G0_0_1_4_8 + 0.0871128871129017*G0_0_1_4_9 - 0.00298368298368351*G0_0_1_5_0 - 0.00370296370296433*G0_0_1_5_1 + 0.0395160395160461*G0_0_1_5_2 + 0.0143856143856168*G0_0_1_5_3 - 0.0371628371628435*G0_0_1_5_4 + 0.0103896103896122*G0_0_1_5_5 - 0.0307692307692362*G0_0_1_5_6 + 0.00399600399600468*G0_0_1_5_7 + 0.00455544455544532*G0_0_1_5_8 - 0.0351648351648411*G0_0_1_5_9 + 0.00737928737928868*G0_0_1_6_0 + 0.010203130203132*G0_0_1_6_1 - 0.0811632811632946*G0_0_1_6_2 - 0.0371628371628434*G0_0_1_6_3 + 0.0743256743256869*G0_0_1_6_4 - 0.0307692307692362*G0_0_1_6_5 + 0.148651348651374*G0_0_1_6_6 - 0.00855144855144998*G0_0_1_6_7 - 0.0130269730269752*G0_0_1_6_8 + 0.0871128871129018*G0_0_1_6_9 - 0.000279085993371761*G0_0_1_7_0 - 0.00136371564943015*G0_0_1_7_1 + 0.000666000666000764*G0_0_1_7_2 + 0.00455544455544532*G0_0_1_7_3 - 0.0130269730269752*G0_0_1_7_4 + 0.00399600399600468*G0_0_1_7_5 - 0.00855144855144998*G0_0_1_7_6 + 0.00632510346796155*G0_0_1_7_7 + 0.000468103325246279*G0_0_1_7_8 - 0.00895104895105044*G0_0_1_7_9 - 0.00136371564943017*G0_0_1_8_0 - 0.000279085993371793*G0_0_1_8_1 + 0.000666000666000752*G0_0_1_8_2 + 0.00399600399600464*G0_0_1_8_3 - 0.00855144855144997*G0_0_1_8_4 + 0.00455544455544532*G0_0_1_8_5 - 0.0130269730269752*G0_0_1_8_6 + 0.000468103325246279*G0_0_1_8_7 + 0.00632510346796145*G0_0_1_8_8 - 0.00895104895105047*G0_0_1_8_9 + 0.00868464868465017*G0_0_1_9_0 + 0.00868464868465015*G0_0_1_9_1 - 0.00426240426240495*G0_0_1_9_2 - 0.035164835164841*G0_0_1_9_3 + 0.0871128871129017*G0_0_1_9_4 - 0.0351648351648411*G0_0_1_9_5 + 0.0871128871129018*G0_0_1_9_6 - 0.00895104895105044*G0_0_1_9_7 - 0.00895104895105047*G0_0_1_9_8 + 0.0671328671328784*G0_0_1_9_9 - 0.00184140374616596*G0_1_0_0_0 - 0.00107419916943745*G0_1_0_0_1 + 0.00879614212947696*G0_1_0_0_2 + 0.00370296370296434*G0_1_0_0_3 - 0.0102031302031319*G0_1_0_0_4 + 0.00298368298368351*G0_1_0_0_5 - 0.00737928737928868*G0_1_0_0_6 + 0.000279085993371761*G0_1_0_0_7 + 0.00136371564943017*G0_1_0_0_8 - 0.00868464868465017*G0_1_0_0_9 - 0.00107419916943745*G0_1_0_1_0 - 0.00184140374616592*G0_1_0_1_1 + 0.00879614212947696*G0_1_0_1_2 + 0.0029836829836835*G0_1_0_1_3 - 0.00737928737928864*G0_1_0_1_4 + 0.00370296370296433*G0_1_0_1_5 - 0.0102031302031319*G0_1_0_1_6 + 0.00136371564943015*G0_1_0_1_7 + 0.000279085993371793*G0_1_0_1_8 - 0.00868464868465015*G0_1_0_1_9 + 0.00879614212947696*G0_1_0_2_0 + 0.00879614212947696*G0_1_0_2_1 + 0.294322960989677*G0_1_0_2_2 - 0.0395160395160461*G0_1_0_2_3 + 0.0811632811632948*G0_1_0_2_4 - 0.0395160395160461*G0_1_0_2_5 + 0.0811632811632946*G0_1_0_2_6 - 0.000666000666000764*G0_1_0_2_7 - 0.000666000666000751*G0_1_0_2_8 + 0.00426240426240496*G0_1_0_2_9 + 0.00370296370296434*G0_1_0_3_0 + 0.0029836829836835*G0_1_0_3_1 - 0.0395160395160461*G0_1_0_3_2 - 0.0103896103896121*G0_1_0_3_3 + 0.0307692307692359*G0_1_0_3_4 - 0.0143856143856168*G0_1_0_3_5 + 0.0371628371628434*G0_1_0_3_6 - 0.00455544455544532*G0_1_0_3_7 - 0.00399600399600464*G0_1_0_3_8 + 0.035164835164841*G0_1_0_3_9 - 0.0102031302031319*G0_1_0_4_0 - 0.00737928737928864*G0_1_0_4_1 + 0.0811632811632948*G0_1_0_4_2 + 0.0307692307692359*G0_1_0_4_3 - 0.148651348651374*G0_1_0_4_4 + 0.0371628371628435*G0_1_0_4_5 - 0.0743256743256869*G0_1_0_4_6 + 0.0130269730269752*G0_1_0_4_7 + 0.00855144855144997*G0_1_0_4_8 - 0.0871128871129017*G0_1_0_4_9 + 0.00298368298368351*G0_1_0_5_0 + 0.00370296370296433*G0_1_0_5_1 - 0.0395160395160461*G0_1_0_5_2 - 0.0143856143856168*G0_1_0_5_3 + 0.0371628371628435*G0_1_0_5_4 - 0.0103896103896122*G0_1_0_5_5 + 0.0307692307692362*G0_1_0_5_6 - 0.00399600399600468*G0_1_0_5_7 - 0.00455544455544532*G0_1_0_5_8 + 0.0351648351648411*G0_1_0_5_9 - 0.00737928737928868*G0_1_0_6_0 - 0.010203130203132*G0_1_0_6_1 + 0.0811632811632946*G0_1_0_6_2 + 0.0371628371628434*G0_1_0_6_3 - 0.0743256743256869*G0_1_0_6_4 + 0.0307692307692361*G0_1_0_6_5 - 0.148651348651374*G0_1_0_6_6 + 0.00855144855144998*G0_1_0_6_7 + 0.0130269730269752*G0_1_0_6_8 - 0.0871128871129018*G0_1_0_6_9 + 0.000279085993371761*G0_1_0_7_0 + 0.00136371564943015*G0_1_0_7_1 - 0.000666000666000764*G0_1_0_7_2 - 0.00455544455544532*G0_1_0_7_3 + 0.0130269730269752*G0_1_0_7_4 - 0.00399600399600468*G0_1_0_7_5 + 0.00855144855144998*G0_1_0_7_6 - 0.00632510346796155*G0_1_0_7_7 - 0.000468103325246279*G0_1_0_7_8 + 0.00895104895105044*G0_1_0_7_9 + 0.00136371564943017*G0_1_0_8_0 + 0.000279085993371793*G0_1_0_8_1 - 0.000666000666000752*G0_1_0_8_2 - 0.00399600399600464*G0_1_0_8_3 + 0.00855144855144997*G0_1_0_8_4 - 0.00455544455544532*G0_1_0_8_5 + 0.0130269730269752*G0_1_0_8_6 - 0.000468103325246279*G0_1_0_8_7 - 0.00632510346796145*G0_1_0_8_8 + 0.00895104895105047*G0_1_0_8_9 - 0.00868464868465017*G0_1_0_9_0 - 0.00868464868465015*G0_1_0_9_1 + 0.00426240426240495*G0_1_0_9_2 + 0.035164835164841*G0_1_0_9_3 - 0.0871128871129017*G0_1_0_9_4 + 0.0351648351648411*G0_1_0_9_5 - 0.0871128871129018*G0_1_0_9_6 + 0.00895104895105044*G0_1_0_9_7 + 0.00895104895105047*G0_1_0_9_8 - 0.0671328671328784*G0_1_0_9_9;
    A[80] = -A[125] + 0.00184140374616597*G0_1_0_0_0 + 0.00107419916943745*G0_1_0_0_1 - 0.00879614212947696*G0_1_0_0_2 - 0.00370296370296434*G0_1_0_0_3 + 0.010203130203132*G0_1_0_0_4 - 0.00298368298368351*G0_1_0_0_5 + 0.00737928737928869*G0_1_0_0_6 - 0.000279085993371762*G0_1_0_0_7 - 0.00136371564943017*G0_1_0_0_8 + 0.00868464868465017*G0_1_0_0_9 + 0.00107419916943745*G0_1_0_1_0 + 0.00184140374616593*G0_1_0_1_1 - 0.00879614212947696*G0_1_0_1_2 - 0.00298368298368351*G0_1_0_1_3 + 0.00737928737928865*G0_1_0_1_4 - 0.00370296370296434*G0_1_0_1_5 + 0.010203130203132*G0_1_0_1_6 - 0.00136371564943015*G0_1_0_1_7 - 0.000279085993371792*G0_1_0_1_8 + 0.00868464868465016*G0_1_0_1_9 - 0.00879614212947696*G0_1_0_2_0 - 0.00879614212947696*G0_1_0_2_1 - 0.294322960989677*G0_1_0_2_2 + 0.039516039516046*G0_1_0_2_3 - 0.0811632811632947*G0_1_0_2_4 + 0.0395160395160461*G0_1_0_2_5 - 0.0811632811632946*G0_1_0_2_6 + 0.000666000666000763*G0_1_0_2_7 + 0.00066600066600075*G0_1_0_2_8 - 0.00426240426240495*G0_1_0_2_9 - 0.00370296370296434*G0_1_0_3_0 - 0.00298368298368351*G0_1_0_3_1 + 0.039516039516046*G0_1_0_3_2 + 0.0103896103896121*G0_1_0_3_3 - 0.0307692307692359*G0_1_0_3_4 + 0.0143856143856168*G0_1_0_3_5 - 0.0371628371628435*G0_1_0_3_6 + 0.00455544455544532*G0_1_0_3_7 + 0.00399600399600464*G0_1_0_3_8 - 0.0351648351648411*G0_1_0_3_9 + 0.010203130203132*G0_1_0_4_0 + 0.00737928737928865*G0_1_0_4_1 - 0.0811632811632947*G0_1_0_4_2 - 0.0307692307692359*G0_1_0_4_3 + 0.148651348651374*G0_1_0_4_4 - 0.0371628371628435*G0_1_0_4_5 + 0.074325674325687*G0_1_0_4_6 - 0.0130269730269752*G0_1_0_4_7 - 0.00855144855144997*G0_1_0_4_8 + 0.0871128871129017*G0_1_0_4_9 - 0.00298368298368351*G0_1_0_5_0 - 0.00370296370296434*G0_1_0_5_1 + 0.0395160395160461*G0_1_0_5_2 + 0.0143856143856168*G0_1_0_5_3 - 0.0371628371628435*G0_1_0_5_4 + 0.0103896103896123*G0_1_0_5_5 - 0.0307692307692362*G0_1_0_5_6 + 0.00399600399600468*G0_1_0_5_7 + 0.00455544455544532*G0_1_0_5_8 - 0.0351648351648411*G0_1_0_5_9 + 0.00737928737928869*G0_1_0_6_0 + 0.010203130203132*G0_1_0_6_1 - 0.0811632811632946*G0_1_0_6_2 - 0.0371628371628435*G0_1_0_6_3 + 0.074325674325687*G0_1_0_6_4 - 0.0307692307692362*G0_1_0_6_5 + 0.148651348651374*G0_1_0_6_6 - 0.00855144855144999*G0_1_0_6_7 - 0.0130269730269752*G0_1_0_6_8 + 0.0871128871129018*G0_1_0_6_9 - 0.000279085993371762*G0_1_0_7_0 - 0.00136371564943015*G0_1_0_7_1 + 0.000666000666000763*G0_1_0_7_2 + 0.00455544455544532*G0_1_0_7_3 - 0.0130269730269752*G0_1_0_7_4 + 0.00399600399600468*G0_1_0_7_5 - 0.00855144855144999*G0_1_0_7_6 + 0.00632510346796155*G0_1_0_7_7 + 0.00046810332524628*G0_1_0_7_8 - 0.00895104895105044*G0_1_0_7_9 - 0.00136371564943017*G0_1_0_8_0 - 0.000279085993371792*G0_1_0_8_1 + 0.00066600066600075*G0_1_0_8_2 + 0.00399600399600464*G0_1_0_8_3 - 0.00855144855144997*G0_1_0_8_4 + 0.00455544455544532*G0_1_0_8_5 - 0.0130269730269752*G0_1_0_8_6 + 0.00046810332524628*G0_1_0_8_7 + 0.00632510346796145*G0_1_0_8_8 - 0.00895104895105049*G0_1_0_8_9 + 0.00868464868465017*G0_1_0_9_0 + 0.00868464868465016*G0_1_0_9_1 - 0.00426240426240494*G0_1_0_9_2 - 0.0351648351648411*G0_1_0_9_3 + 0.0871128871129017*G0_1_0_9_4 - 0.0351648351648411*G0_1_0_9_5 + 0.0871128871129018*G0_1_0_9_6 - 0.00895104895105044*G0_1_0_9_7 - 0.00895104895105049*G0_1_0_9_8 + 0.0671328671328784*G0_1_0_9_9 + 0.00656838752076957*G0_1_1_0_0 + 0.00527909480290526*G0_1_1_0_1 - 0.000819920819920959*G0_1_1_0_2 - 0.00145589859875598*G0_1_1_0_3 + 0.0262167462167507*G0_1_1_0_4 - 0.0094745466174054*G0_1_1_0_5 + 0.0150812150812177*G0_1_1_0_6 - 0.00471317042745696*G0_1_1_0_7 + 0.00338159195302115*G0_1_1_0_8 + 0.0226846169703351*G0_1_1_0_9 + 0.00527909480290526*G0_1_1_1_0 + 0.0461878861878944*G0_1_1_1_1 + 0.000227920227920274*G0_1_1_1_2 + 0.00279085993371768*G0_1_1_1_3 + 0.0110644910644929*G0_1_1_1_4 - 0.00560666846381231*G0_1_1_1_5 + 0.0150812150812177*G0_1_1_1_6 - 0.0164584621727508*G0_1_1_1_7 + 0.0307400535972019*G0_1_1_1_8 + 0.014948860663149*G0_1_1_1_9 - 0.000819920819920959*G0_1_1_2_0 + 0.000227920227920274*G0_1_1_2_1 - 0.0348096348096406*G0_1_1_2_2 + 0.00836200836200973*G0_1_1_2_3 - 0.0194768194768227*G0_1_1_2_4 + 0.00486920486920565*G0_1_1_2_5 - 0.00973840973841134*G0_1_1_2_6 + 0.00186776186776217*G0_1_1_2_7 + 0.00609464609464711*G0_1_1_2_8 - 0.00275280275280324*G0_1_1_2_9 - 0.00145589859875598*G0_1_1_3_0 + 0.00279085993371767*G0_1_1_3_1 + 0.00836200836200973*G0_1_1_3_2 + 0.11140859140861*G0_1_1_3_3 - 0.0878321678321825*G0_1_1_3_4 + 0.0193140193140226*G0_1_1_3_5 - 0.0626839826839932*G0_1_1_3_6 - 0.0130726416440725*G0_1_1_3_7 + 0.0487969173683542*G0_1_1_3_8 - 0.0187012987013018*G0_1_1_3_9 + 0.0262167462167507*G0_1_1_4_0 + 0.0110644910644929*G0_1_1_4_1 - 0.0194768194768227*G0_1_1_4_2 - 0.0878321678321825*G0_1_1_4_3 + 0.476323676323756*G0_1_1_4_4 - 0.0960905760905923*G0_1_1_4_5 + 0.158774558774586*G0_1_1_4_6 - 0.033406593406599*G0_1_1_4_7 - 0.0357242757242817*G0_1_1_4_8 + 0.200439560439594*G0_1_1_4_9 - 0.0094745466174054*G0_1_1_5_0 - 0.00560666846381231*G0_1_1_5_1 + 0.00486920486920565*G0_1_1_5_2 + 0.0193140193140226*G0_1_1_5_3 - 0.0960905760905923*G0_1_1_5_4 + 0.0433699633699707*G0_1_1_5_5 - 0.0626839826839933*G0_1_1_5_6 + 0.0236639550925305*G0_1_1_5_7 - 0.0006203320489036*G0_1_1_5_8 - 0.0668131868131981*G0_1_1_5_9 + 0.0150812150812177*G0_1_1_6_0 + 0.0150812150812177*G0_1_1_6_1 - 0.00973840973841134*G0_1_1_6_2 - 0.0626839826839932*G0_1_1_6_3 + 0.158774558774586*G0_1_1_6_4 - 0.0626839826839933*G0_1_1_6_5 + 0.158774558774586*G0_1_1_6_6 - 0.0230436230436269*G0_1_1_6_7 - 0.0230436230436269*G0_1_1_6_8 + 0.133626373626396*G0_1_1_6_9 - 0.00471317042745696*G0_1_1_7_0 - 0.0164584621727508*G0_1_1_7_1 + 0.00186776186776217*G0_1_1_7_2 - 0.0130726416440725*G0_1_1_7_3 - 0.033406593406599*G0_1_1_7_4 + 0.0236639550925305*G0_1_1_7_5 - 0.0230436230436269*G0_1_1_7_6 + 0.0950820607963624*G0_1_1_7_7 - 0.0291936634793829*G0_1_1_7_8 - 0.0219666048237514*G0_1_1_7_9 + 0.00338159195302115*G0_1_1_8_0 + 0.0307400535972019*G0_1_1_8_1 + 0.00609464609464711*G0_1_1_8_2 + 0.0487969173683542*G0_1_1_8_3 - 0.0357242757242817*G0_1_1_8_4 - 0.0006203320489036*G0_1_1_8_5 - 0.0230436230436269*G0_1_1_8_6 - 0.0291936634793829*G0_1_1_8_7 + 0.195073497930674*G0_1_1_8_8 + 0.0266019694591168*G0_1_1_8_9 + 0.0226846169703352*G0_1_1_9_0 + 0.014948860663149*G0_1_1_9_1 - 0.00275280275280324*G0_1_1_9_2 - 0.0187012987013018*G0_1_1_9_3 + 0.200439560439594*G0_1_1_9_4 - 0.0668131868131981*G0_1_1_9_5 + 0.133626373626396*G0_1_1_9_6 - 0.0219666048237514*G0_1_1_9_7 + 0.0266019694591168*G0_1_1_9_8 + 0.326073926073981*G0_1_1_9_9;
    A[31] = 0.000626774019631273*G0_1_0_0_0 - 0.000620316081625717*G0_1_0_0_1 - 0.000620316081625712*G0_1_0_0_2 - 2.49915428487123e-06*G0_1_0_0_3 - 2.49915428486798e-06*G0_1_0_0_4 + 0.000135291296005608*G0_1_0_0_5 - 0.000873214087499952*G0_1_0_0_6 + 0.000135291296005611*G0_1_0_0_7 - 0.000873214087499958*G0_1_0_0_8 - 0.000436963829821046*G0_1_0_0_9 - 0.000620316081625717*G0_1_0_1_0 - 0.0108191962358648*G0_1_0_1_1 - 0.000523948604305839*G0_1_0_1_2 - 0.00189433251933287*G0_1_0_1_3 + 0.00115463240463261*G0_1_0_1_4 + 0.000174902808831416*G0_1_0_1_5 - 0.000227512236440849*G0_1_0_1_6 + 0.00269179894179942*G0_1_0_1_7 - 0.00659231971732089*G0_1_0_1_8 - 0.000290959040959097*G0_1_0_1_9 - 0.000620316081625712*G0_1_0_2_0 - 0.000523948604305839*G0_1_0_2_1 - 0.0108191962358647*G0_1_0_2_2 + 0.00115463240463259*G0_1_0_2_3 - 0.00189433251933284*G0_1_0_2_4 + 0.00269179894179939*G0_1_0_2_5 - 0.00659231971732082*G0_1_0_2_6 + 0.00017490280883141*G0_1_0_2_7 - 0.000227512236440849*G0_1_0_2_8 - 0.000290959040959089*G0_1_0_2_9 - 2.49915428487122e-06*G0_1_0_3_0 - 0.00189433251933287*G0_1_0_3_1 + 0.00115463240463259*G0_1_0_3_2 + 0.00248709623709665*G0_1_0_3_3 - 0.000727858451072852*G0_1_0_3_4 - 0.000513325959754615*G0_1_0_3_5 + 0.00119197766519215*G0_1_0_3_6 + 0.000516938418724228*G0_1_0_3_7 - 0.00170891608391639*G0_1_0_3_8 - 0.000160999714571169*G0_1_0_3_9 - 2.49915428486797e-06*G0_1_0_4_0 + 0.00115463240463261*G0_1_0_4_1 - 0.00189433251933284*G0_1_0_4_2 - 0.000727858451072852*G0_1_0_4_3 + 0.00248709623709665*G0_1_0_4_4 + 0.000516938418724219*G0_1_0_4_5 - 0.00170891608391637*G0_1_0_4_6 - 0.000513325959754622*G0_1_0_4_7 + 0.00119197766519216*G0_1_0_4_8 - 0.000160999714571171*G0_1_0_4_9 + 0.000135291296005608*G0_1_0_5_0 + 0.000174902808831416*G0_1_0_5_1 + 0.00269179894179939*G0_1_0_5_2 - 0.000513325959754615*G0_1_0_5_3 + 0.000516938418724219*G0_1_0_5_4 - 0.00261839351125108*G0_1_0_5_5 + 0.00481814316635826*G0_1_0_5_6 + 3.0534941249232e-05*G0_1_0_5_7 - 1.52674706246116e-05*G0_1_0_5_8 + 0.00134142643071237*G0_1_0_5_9 - 0.000873214087499952*G0_1_0_6_0 - 0.000227512236440849*G0_1_0_6_1 - 0.00659231971732082*G0_1_0_6_2 + 0.00119197766519215*G0_1_0_6_3 - 0.00170891608391637*G0_1_0_6_4 + 0.00481814316635826*G0_1_0_6_5 - 0.0107513320013338*G0_1_0_6_6 - 1.52674706246164e-05*G0_1_0_6_7 + 0.000427816231387729*G0_1_0_6_8 - 0.00151107820750703*G0_1_0_6_9 + 0.000135291296005611*G0_1_0_7_0 + 0.00269179894179942*G0_1_0_7_1 + 0.00017490280883141*G0_1_0_7_2 + 0.000516938418724228*G0_1_0_7_3 - 0.000513325959754622*G0_1_0_7_4 + 3.0534941249232e-05*G0_1_0_7_5 - 1.52674706246164e-05*G0_1_0_7_6 - 0.0026183935112511*G0_1_0_7_7 + 0.00481814316635829*G0_1_0_7_8 + 0.00134142643071237*G0_1_0_7_9 - 0.000873214087499958*G0_1_0_8_0 - 0.00659231971732089*G0_1_0_8_1 - 0.000227512236440849*G0_1_0_8_2 - 0.00170891608391639*G0_1_0_8_3 + 0.00119197766519216*G0_1_0_8_4 - 1.52674706246116e-05*G0_1_0_8_5 + 0.000427816231387729*G0_1_0_8_6 + 0.00481814316635829*G0_1_0_8_7 - 0.0107513320013339*G0_1_0_8_8 - 0.00151107820750704*G0_1_0_8_9 - 0.000436963829821046*G0_1_0_9_0 - 0.000290959040959097*G0_1_0_9_1 - 0.000290959040959088*G0_1_0_9_2 - 0.000160999714571169*G0_1_0_9_3 - 0.000160999714571171*G0_1_0_9_4 + 0.00134142643071237*G0_1_0_9_5 - 0.00151107820750703*G0_1_0_9_6 + 0.00134142643071237*G0_1_0_9_7 - 0.00151107820750704*G0_1_0_9_8 - 0.00183352361923822*G0_1_0_9_9;
    A[110] = A[31] + 0.00119386786053473*G0_0_0_0_0 + 0.000674493055445552*G0_0_0_0_1 + 0.0106520639853991*G0_0_0_0_2 - 0.00329162900591528*G0_0_0_0_3 + 0.010238650238652*G0_0_0_0_4 - 0.00064538635967217*G0_0_0_0_5 - 0.00200022200022241*G0_0_0_0_6 + 0.000241345955631709*G0_0_0_0_7 - 0.000724989296418001*G0_0_0_0_9 + 0.000674493055445552*G0_0_0_1_0 + 0.00161447018589903*G0_0_0_1_1 + 0.0170535637202333*G0_0_0_1_2 - 0.00831010259581829*G0_0_0_1_3 + 0.0227750027750067*G0_0_0_1_4 - 0.00179217607789066*G0_0_0_1_5 - 0.000310800310800391*G0_0_0_1_6 + 0.00011226868369727*G0_0_0_1_9 + 0.0106520639853991*G0_0_0_2_0 + 0.0170535637202333*G0_0_0_2_1 + 0.298264698264748*G0_0_0_2_2 - 0.0782994782994914*G0_0_0_2_3 + 0.180308580308611*G0_0_0_2_4 - 0.0449106449106523*G0_0_0_2_5 + 0.0836940836940974*G0_0_0_2_6 - 0.00254856254856296*G0_0_0_2_7 - 0.0023354423354427*G0_0_0_2_8 + 0.0175824175824205*G0_0_0_2_9 - 0.00329162900591528*G0_0_0_3_0 - 0.00831010259581829*G0_0_0_3_1 - 0.0782994782994914*G0_0_0_3_2 + 0.039400599400606*G0_0_0_3_3 - 0.110329670329689*G0_0_0_3_4 + 0.0118681318681338*G0_0_0_3_5 - 0.00755244755244876*G0_0_0_3_6 + 0.0013900385328959*G0_0_0_3_7 - 0.00311688311688362*G0_0_0_3_9 + 0.010238650238652*G0_0_0_4_0 + 0.0227750027750067*G0_0_0_4_1 + 0.180308580308611*G0_0_0_4_2 - 0.110329670329689*G0_0_0_4_3 + 0.341258741258799*G0_0_0_4_4 - 0.0392007992008058*G0_0_0_4_5 + 0.0467532467532545*G0_0_0_4_6 - 0.00729270729270851*G0_0_0_4_7 - 0.00147852147852171*G0_0_0_4_8 + 0.0256543456543499*G0_0_0_4_9 - 0.00064538635967217*G0_0_0_5_0 - 0.00179217607789066*G0_0_0_5_1 - 0.0449106449106523*G0_0_0_5_2 + 0.0118681318681338*G0_0_0_5_3 - 0.0392007992008058*G0_0_0_5_4 + 0.0119080919080938*G0_0_0_5_5 + 0.0108291708291729*G0_0_0_5_6 + 0.00394748109033889*G0_0_0_5_7 - 0.00310832025117792*G0_0_0_5_8 + 0.00839160839160985*G0_0_0_5_9 - 0.00200022200022241*G0_0_0_6_0 - 0.000310800310800391*G0_0_0_6_1 + 0.0836940836940974*G0_0_0_6_2 - 0.00755244755244876*G0_0_0_6_3 + 0.0467532467532545*G0_0_0_6_4 + 0.0108291708291729*G0_0_0_6_5 - 0.154245754245781*G0_0_0_6_6 - 0.00083916083916098*G0_0_0_6_7 + 0.00821178821178959*G0_0_0_6_8 - 0.037642357642364*G0_0_0_6_9 + 0.000241345955631709*G0_0_0_7_0 - 0.00254856254856296*G0_0_0_7_2 + 0.0013900385328959*G0_0_0_7_3 - 0.00729270729270851*G0_0_0_7_4 + 0.00394748109033889*G0_0_0_7_5 - 0.000839160839160979*G0_0_0_7_6 + 0.00489225060653712*G0_0_0_7_7 - 0.0015042100756389*G0_0_0_7_8 + 0.00385328956757592*G0_0_0_7_9 - 0.0023354423354427*G0_0_0_8_2 - 0.00147852147852171*G0_0_0_8_4 - 0.00310832025117792*G0_0_0_8_5 + 0.00821178821178959*G0_0_0_8_6 - 0.0015042100756389*G0_0_0_8_7 + 0.00119309262166424*G0_0_0_8_8 + 0.00262023690595162*G0_0_0_8_9 - 0.000724989296418*G0_0_0_9_0 + 0.000112268683697269*G0_0_0_9_1 + 0.0175824175824205*G0_0_0_9_2 - 0.00311688311688362*G0_0_0_9_3 + 0.0256543456543499*G0_0_0_9_4 + 0.00839160839160985*G0_0_0_9_5 - 0.037642357642364*G0_0_0_9_6 + 0.00385328956757592*G0_0_0_9_7 + 0.00262023690595162*G0_0_0_9_8 - 0.00287712287712333*G0_0_0_9_9 + 0.000541680541680631*G0_0_1_0_0 + 0.000339766054051818*G0_0_1_0_1 + 0.0034942834942841*G0_0_1_0_2 - 0.00163297020439906*G0_0_1_0_3 + 0.010469213326358*G0_0_1_0_4 - 0.000261643118786011*G0_0_1_0_5 - 0.00105418391132696*G0_0_1_0_6 + 0.000266083123226038*G0_0_1_0_7 - 0.00092478949621824*G0_0_1_0_9 + 0.000339766054051818*G0_0_1_1_0 + 0.000488400488400421*G0_0_1_1_1 + 0.00862322862323008*G0_0_1_1_2 - 0.00576946862661251*G0_0_1_1_3 + 0.0165015936444536*G0_0_1_1_4 - 0.00108684965827841*G0_0_1_1_5 - 0.00313718028003798*G0_0_1_1_6 + 0.000565783422926272*G0_0_1_1_8 - 0.00441463298606233*G0_0_1_1_9 + 0.00349428349428409*G0_0_1_2_0 + 0.00862322862323008*G0_0_1_2_1 + 0.067710067710079*G0_0_1_2_2 - 0.0402974802974871*G0_0_1_2_3 + 0.0957264957265119*G0_0_1_2_4 - 0.0141902541902565*G0_0_1_2_5 + 0.0280608280608327*G0_0_1_2_6 - 0.00168054168054195*G0_0_1_2_7 - 0.00192696192696225*G0_0_1_2_8 + 0.0141724941724965*G0_0_1_2_9 - 0.00163297020439906*G0_0_1_3_0 - 0.00576946862661251*G0_0_1_3_1 - 0.0402974802974871*G0_0_1_3_2 + 0.0333009847295616*G0_0_1_3_3 - 0.0812187812187949*G0_0_1_3_4 + 0.0062879977165702*G0_0_1_3_5 + 0.00499500499500588*G0_0_1_3_6 + 0.000482374768089158*G0_0_1_3_7 - 0.00184672470386794*G0_0_1_3_8 + 0.0122791494220087*G0_0_1_3_9 + 0.010469213326358*G0_0_1_4_0 + 0.0165015936444536*G0_0_1_4_1 + 0.0957264957265119*G0_0_1_4_2 - 0.0812187812187949*G0_0_1_4_3 + 0.421918081918153*G0_0_1_4_4 - 0.0358241758241819*G0_0_1_4_5 + 0.030829170829176*G0_0_1_4_6 - 0.01097473954617*G0_0_1_4_7 + 0.00136434993577878*G0_0_1_4_8 + 0.0291308691308739*G0_0_1_4_9 - 0.000261643118786011*G0_0_1_5_0 - 0.00108684965827841*G0_0_1_5_1 - 0.0141902541902566*G0_0_1_5_2 + 0.0062879977165702*G0_0_1_5_3 - 0.0358241758241819*G0_0_1_5_4 - 0.000665049236478024*G0_0_1_5_5 + 0.005954045954047*G0_0_1_5_6 + 0.000530897673754896*G0_0_1_5_7 - 0.00115598687027278*G0_0_1_5_8 + 0.00508634222920026*G0_0_1_5_9 - 0.00105418391132696*G0_0_1_6_0 - 0.00313718028003798*G0_0_1_6_1 + 0.0280608280608327*G0_0_1_6_2 + 0.00499500499500588*G0_0_1_6_3 + 0.030829170829176*G0_0_1_6_4 + 0.005954045954047*G0_0_1_6_5 - 0.0789810189810328*G0_0_1_6_6 + 0.000625089196517868*G0_0_1_6_7 + 0.00980448123305435*G0_0_1_6_8 - 0.0525074925075015*G0_0_1_6_9 + 0.000266083123226038*G0_0_1_7_0 - 0.00168054168054195*G0_0_1_7_2 + 0.000482374768089158*G0_0_1_7_3 - 0.01097473954617*G0_0_1_7_4 + 0.000530897673754896*G0_0_1_7_5 + 0.000625089196517868*G0_0_1_7_6 + 0.00595690024261552*G0_0_1_7_7 - 0.000165548736977264*G0_0_1_7_8 + 0.00152419009561895*G0_0_1_7_9 + 0.000565783422926272*G0_0_1_8_1 - 0.00192696192696225*G0_0_1_8_2 - 0.00184672470386794*G0_0_1_8_3 + 0.00136434993577878*G0_0_1_8_4 - 0.00115598687027278*G0_0_1_8_5 + 0.00980448123305435*G0_0_1_8_6 - 0.000165548736977264*G0_0_1_8_7 + 0.00224061652633092*G0_0_1_8_8 + 0.0105151990866294*G0_0_1_8_9 - 0.00092478949621824*G0_0_1_9_0 - 0.00441463298606233*G0_0_1_9_1 + 0.0141724941724965*G0_0_1_9_2 + 0.0122791494220087*G0_0_1_9_3 + 0.0291308691308739*G0_0_1_9_4 + 0.00508634222920027*G0_0_1_9_5 - 0.0525074925075015*G0_0_1_9_6 + 0.00152419009561895*G0_0_1_9_7 + 0.0105151990866294*G0_0_1_9_8 - 0.0619608962466212*G0_0_1_9_9 - 0.00321282993902097*G0_1_0_0_0 + 0.000579616040925671*G0_1_0_0_1 + 0.00748974295105375*G0_1_0_0_2 - 0.000970496104424846*G0_1_0_0_3 + 0.00502921846671935*G0_1_0_0_4 + 0.00196324508824543*G0_1_0_0_5 - 0.0074368885083184*G0_1_0_0_6 - 0.00166106710749595*G0_1_0_0_7 + 0.00208374958374994*G0_1_0_0_8 - 0.00232027892742218*G0_1_0_0_9 + 0.000579616040925671*G0_1_0_1_0 + 0.0118310943906203*G0_1_0_1_1 + 0.0149317630121227*G0_1_0_1_2 - 0.00394617617831968*G0_1_0_1_3 + 0.0161940506583391*G0_1_0_1_4 - 0.000386754449254519*G0_1_0_1_5 - 0.00459591830127624*G0_1_0_1_6 - 0.00286844768987677*G0_1_0_1_7 + 0.00723485178842449*G0_1_0_1_8 - 0.00270984967413585*G0_1_0_1_9 + 0.00748974295105375*G0_1_0_2_0 + 0.0149317630121227*G0_1_0_2_1 + 0.274367993118039*G0_1_0_2_2 - 0.0680255392755506*G0_1_0_2_3 + 0.158493289118316*G0_1_0_2_4 - 0.0312898675398727*G0_1_0_2_5 + 0.0538783670033758*G0_1_0_2_6 - 0.00211074474467366*G0_1_0_2_7 - 0.00110226909334069*G0_1_0_2_8 + 0.0115330502830522*G0_1_0_2_9 - 0.000970496104424846*G0_1_0_3_0 - 0.00394617617831968*G0_1_0_3_1 - 0.0680255392755506*G0_1_0_3_2 + 0.026914930307792*G0_1_0_3_3 - 0.0856657479425481*G0_1_0_3_4 + 0.00366160625089257*G0_1_0_3_5 + 0.0105362940630816*G0_1_0_3_6 - 0.000339972527472588*G0_1_0_3_7 + 0.000284626088197573*G0_1_0_3_8 + 0.0088094940773527*G0_1_0_3_9 + 0.00502921846671935*G0_1_0_4_0 + 0.0161940506583391*G0_1_0_4_1 + 0.158493289118316*G0_1_0_4_2 - 0.0856657479425481*G0_1_0_4_3 + 0.27693348318353*G0_1_0_4_4 - 0.018339116240905*G0_1_0_4_5 + 0.00780282217782346*G0_1_0_4_6 - 0.00275198016269491*G0_1_0_4_7 + 0.0020790816326534*G0_1_0_4_9 + 0.00196324508824543*G0_1_0_5_0 - 0.000386754449254519*G0_1_0_5_1 - 0.0312898675398727*G0_1_0_5_2 + 0.00366160625089257*G0_1_0_5_3 - 0.018339116240905*G0_1_0_5_4 - 0.0113761833404712*G0_1_0_5_5 + 0.0366403982921904*G0_1_0_5_6 - 0.00098957590029037*G0_1_0_5_7 - 0.00209119749298354*G0_1_0_5_8 + 0.0111432317682336*G0_1_0_5_9 - 0.0074368885083184*G0_1_0_6_0 - 0.00459591830127625*G0_1_0_6_1 + 0.0538783670033758*G0_1_0_6_2 + 0.0105362940630816*G0_1_0_6_3 + 0.00780282217782346*G0_1_0_6_4 + 0.0366403982921904*G0_1_0_6_5 - 0.201935980686015*G0_1_0_6_6 + 0.0030807733932739*G0_1_0_6_7 + 0.0101730115122989*G0_1_0_6_8 - 0.0556717389753197*G0_1_0_6_9 - 0.00166106710749595*G0_1_0_7_0 - 0.00286844768987677*G0_1_0_7_1 - 0.00211074474467366*G0_1_0_7_2 - 0.000339972527472588*G0_1_0_7_3 - 0.00275198016269491*G0_1_0_7_4 - 0.00098957590029037*G0_1_0_7_5 + 0.00308077339327389*G0_1_0_7_6 - 0.00220820845820872*G0_1_0_7_7 - 0.00443852278673784*G0_1_0_7_8 + 0.000799289995718681*G0_1_0_7_9 + 0.00208374958374994*G0_1_0_8_0 + 0.00723485178842449*G0_1_0_8_1 - 0.00110226909334069*G0_1_0_8_2 + 0.000284626088197573*G0_1_0_8_3 - 0.00209119749298354*G0_1_0_8_5 + 0.0101730115122989*G0_1_0_8_6 - 0.00443852278673785*G0_1_0_8_7 + 0.00991502545074146*G0_1_0_8_8 + 0.0080188561438575*G0_1_0_8_9 - 0.00232027892742218*G0_1_0_9_0 - 0.00270984967413585*G0_1_0_9_1 + 0.0115330502830522*G0_1_0_9_2 + 0.0088094940773527*G0_1_0_9_3 + 0.0020790816326534*G0_1_0_9_4 + 0.0111432317682336*G0_1_0_9_5 - 0.0556717389753197*G0_1_0_9_6 + 0.000799289995718682*G0_1_0_9_7 + 0.0080188561438575*G0_1_0_9_8 - 0.0245743542172155*G0_1_0_9_9 - 0.00564176564176654*G0_1_1_0_0 - 0.000735032163603724*G0_1_1_0_1 + 0.00248851677423149*G0_1_1_0_2 + 0.00073926073926086*G0_1_1_0_3 + 0.00346130060415837*G0_1_1_0_4 + 0.000981558124415456*G0_1_1_0_5 - 0.00512376512376602*G0_1_1_0_6 - 0.00621632335918153*G0_1_1_0_7 + 0.00461379889951394*G0_1_1_0_8 - 0.00372579801151295*G0_1_1_0_9 - 0.000735032163603724*G0_1_1_1_0 + 0.000970880970880988*G0_1_1_1_1 + 0.00719587291015984*G0_1_1_1_2 - 0.00303188874617502*G0_1_1_1_3 + 0.0113385027670762*G0_1_1_1_4 - 0.000529946244232036*G0_1_1_1_5 - 0.00532705389848339*G0_1_1_1_6 - 0.00211344211344243*G0_1_1_1_7 + 0.00431061002489636*G0_1_1_1_8 - 0.00730697873555142*G0_1_1_1_9 + 0.00248851677423149*G0_1_1_2_0 + 0.00719587291015984*G0_1_1_2_1 + 0.0594664594664693*G0_1_1_2_2 - 0.0339216339216396*G0_1_1_2_3 + 0.0847663447663591*G0_1_1_2_4 - 0.0113664113664133*G0_1_1_2_5 + 0.0182639582639613*G0_1_1_2_6 - 0.00383806669521018*G0_1_1_2_7 - 0.000910518053375351*G0_1_1_2_8 + 0.00945720945721105*G0_1_1_2_9 + 0.00073926073926086*G0_1_1_3_0 - 0.00303188874617502*G0_1_1_3_1 - 0.0339216339216396*G0_1_1_3_2 + 0.0273954616811805*G0_1_1_3_3 - 0.0603653489367877*G0_1_1_3_4 - 0.000707863565006557*G0_1_1_3_5 + 0.0167689453403768*G0_1_1_3_6 - 0.00142999857285593*G0_1_1_3_7 - 0.00208933923219676*G0_1_1_3_8 + 0.0247809333523661*G0_1_1_3_9 + 0.00346130060415837*G0_1_1_4_0 + 0.0113385027670762*G0_1_1_4_1 + 0.0847663447663591*G0_1_1_4_2 - 0.0603653489367877*G0_1_1_4_3 + 0.332147852147909*G0_1_1_4_4 - 0.00959611816754833*G0_1_1_4_5 - 0.00717282717282842*G0_1_1_4_6 + 0.000171257314114483*G0_1_1_4_7 + 0.00351933780505271*G0_1_1_4_8 - 0.00917939203653656*G0_1_1_4_9 + 0.000981558124415456*G0_1_1_5_0 - 0.000529946244232036*G0_1_1_5_1 - 0.0113664113664133*G0_1_1_5_2 - 0.000707863565006557*G0_1_1_5_3 - 0.00959611816754833*G0_1_1_5_4 - 0.0238561438561478*G0_1_1_5_5 + 0.0301755387469725*G0_1_1_5_6 - 0.01467960610818*G0_1_1_5_7 + 0.00237762237762275*G0_1_1_5_8 + 0.00642214927929331*G0_1_1_5_9 - 0.00512376512376602*G0_1_1_6_0 - 0.00532705389848339*G0_1_1_6_1 + 0.0182639582639613*G0_1_1_6_2 + 0.0167689453403768*G0_1_1_6_3 - 0.00717282717282841*G0_1_1_6_4 + 0.0301755387469725*G0_1_1_6_5 - 0.103216783216801*G0_1_1_6_6 + 0.0123019837305572*G0_1_1_6_7 + 0.00896246610532477*G0_1_1_6_8 - 0.0619095190523867*G0_1_1_6_9 - 0.00621632335918153*G0_1_1_7_0 - 0.00211344211344243*G0_1_1_7_1 - 0.00383806669521019*G0_1_1_7_2 - 0.00142999857285593*G0_1_1_7_3 + 0.000171257314114484*G0_1_1_7_4 - 0.01467960610818*G0_1_1_7_5 + 0.0123019837305572*G0_1_1_7_6 - 0.0654659626088307*G0_1_1_7_7 + 0.00326816041101818*G0_1_1_7_8 - 0.0134265734265757*G0_1_1_7_9 + 0.00461379889951394*G0_1_1_8_0 + 0.00431061002489636*G0_1_1_8_1 - 0.000910518053375351*G0_1_1_8_2 - 0.00208933923219676*G0_1_1_8_3 + 0.00351933780505271*G0_1_1_8_4 + 0.00237762237762275*G0_1_1_8_5 + 0.00896246610532478*G0_1_1_8_6 + 0.00326816041101818*G0_1_1_8_7 - 0.0112287712287733*G0_1_1_8_8 + 0.0148822605965488*G0_1_1_8_9 - 0.00372579801151295*G0_1_1_9_0 - 0.00730697873555142*G0_1_1_9_1 + 0.00945720945721105*G0_1_1_9_2 + 0.0247809333523661*G0_1_1_9_3 - 0.00917939203653656*G0_1_1_9_4 + 0.00642214927929331*G0_1_1_9_5 - 0.0619095190523867*G0_1_1_9_6 - 0.0134265734265757*G0_1_1_9_7 + 0.0148822605965488*G0_1_1_9_8 - 0.122072213500805*G0_1_1_9_9;
    A[117] = -A[110] + 0.0168937235603931*G0_0_0_0_0 + 0.00333426714379152*G0_0_0_0_1 + 0.0120377682282465*G0_0_0_0_2 - 0.00732759304188*G0_0_0_0_3 + 0.0198062255205147*G0_0_0_0_4 + 0.0394078936936146*G0_0_0_0_5 + 0.00342482913911539*G0_0_0_0_6 + 0.0127088784231663*G0_0_0_0_7 - 0.00822447393876104*G0_0_0_0_8 + 0.0206593406593442*G0_0_0_0_9 + 0.00333426714379152*G0_0_0_1_0 + 0.00265131693703166*G0_0_0_1_1 + 0.0203624241719515*G0_0_0_1_2 - 0.0176969062683378*G0_0_0_1_3 + 0.033311133311139*G0_0_0_1_4 - 0.00821432535718391*G0_0_0_1_5 + 0.00261199118342017*G0_0_0_1_6 + 0.00211058782487389*G0_0_0_1_7 - 0.00155241583813039*G0_0_0_1_8 + 0.011746348889208*G0_0_0_1_9 + 0.0120377682282465*G0_0_0_2_0 + 0.0203624241719515*G0_0_0_2_1 + 0.312827912827965*G0_0_0_2_2 - 0.0938039738039896*G0_0_0_2_3 + 0.209399489399525*G0_0_0_2_4 - 0.0282339882339929*G0_0_0_2_5 + 0.0918992118992272*G0_0_0_2_6 + 0.000842332270903857*G0_0_0_2_7 - 0.00556649699506933*G0_0_0_2_8 + 0.00895104895105042*G0_0_0_2_9 - 0.00732759304188*G0_0_0_3_0 - 0.0176969062683378*G0_0_0_3_1 - 0.0938039738039896*G0_0_0_3_2 + 0.0926273726273886*G0_0_0_3_3 - 0.145471671185982*G0_0_0_3_4 + 0.0336520622234964*G0_0_0_3_5 - 0.0285143428000619*G0_0_0_3_6 + 0.00130440987583863*G0_0_0_3_7 + 0.00267446838875457*G0_0_0_3_8 - 0.0378478664193012*G0_0_0_3_9 + 0.0198062255205147*G0_0_0_4_0 + 0.0333111333111391*G0_0_0_4_1 + 0.209399489399525*G0_0_0_4_2 - 0.145471671185982*G0_0_0_4_3 + 0.637602397602507*G0_0_0_4_4 - 0.0800970458113451*G0_0_0_4_5 + 0.108611388611407*G0_0_0_4_6 - 0.020633652062227*G0_0_0_4_7 - 0.00397887826459321*G0_0_0_4_8 + 0.133340944769539*G0_0_0_4_9 + 0.0394078936936146*G0_0_0_5_0 - 0.00821432535718391*G0_0_0_5_1 - 0.0282339882339929*G0_0_0_5_2 + 0.0336520622234964*G0_0_0_5_3 - 0.0800970458113451*G0_0_0_5_4 - 0.105163408020569*G0_0_0_5_5 - 0.134808049093786*G0_0_0_5_6 + 0.0192407592407624*G0_0_0_5_7 + 0.00396460682175036*G0_0_0_5_8 - 0.0699072356215332*G0_0_0_5_9 + 0.00342482913911538*G0_0_0_6_0 + 0.00261199118342017*G0_0_0_6_1 + 0.0918992118992272*G0_0_0_6_2 - 0.0285143428000619*G0_0_0_6_3 + 0.108611388611407*G0_0_0_6_4 - 0.134808049093786*G0_0_0_6_5 - 0.181098901098933*G0_0_0_6_6 - 0.0232053660625128*G0_0_0_6_7 + 0.0147709433423744*G0_0_0_6_8 + 0.0301755387469724*G0_0_0_6_9 + 0.0127088784231663*G0_0_0_7_0 + 0.00211058782487389*G0_0_0_7_1 + 0.000842332270903857*G0_0_0_7_2 + 0.00130440987583863*G0_0_0_7_3 - 0.020633652062227*G0_0_0_7_4 + 0.0192407592407624*G0_0_0_7_5 - 0.0232053660625128*G0_0_0_7_6 + 0.0204081632653096*G0_0_0_7_7 - 0.0119851576994454*G0_0_0_7_8 - 0.0155672898530068*G0_0_0_7_9 - 0.00822447393876104*G0_0_0_8_0 - 0.00155241583813039*G0_0_0_8_1 - 0.00556649699506933*G0_0_0_8_2 + 0.00267446838875458*G0_0_0_8_3 - 0.00397887826459321*G0_0_0_8_4 + 0.00396460682175036*G0_0_0_8_5 + 0.0147709433423744*G0_0_0_8_6 - 0.0119851576994454*G0_0_0_8_7 - 0.00322534608248948*G0_0_0_8_8 - 0.0272812901384376*G0_0_0_8_9 + 0.0206593406593442*G0_0_0_9_0 + 0.011746348889208*G0_0_0_9_1 + 0.00895104895105041*G0_0_0_9_2 - 0.0378478664193012*G0_0_0_9_3 + 0.133340944769539*G0_0_0_9_4 - 0.0699072356215332*G0_0_0_9_5 + 0.0301755387469724*G0_0_0_9_6 - 0.0155672898530068*G0_0_0_9_7 - 0.0272812901384376*G0_0_0_9_8 + 0.233868988154742*G0_0_0_9_9 + 0.0120679320679342*G0_0_1_0_0 + 0.00187600759029363*G0_0_1_0_1 + 0.00596060024631556*G0_0_1_0_2 - 0.00280893709465188*G0_0_1_0_3 + 0.0206533149390329*G0_0_1_0_4 + 0.00228247942533697*G0_0_1_0_5 - 0.00236905951191701*G0_0_1_0_6 + 0.0116147344718794*G0_0_1_0_7 - 0.00637774923489322*G0_0_1_0_8 + 0.00431568431568513*G0_0_1_0_9 + 0.00187600759029363*G0_0_1_1_0 + 0.00381544381544435*G0_0_1_1_1 + 0.0116126201840508*G0_0_1_1_2 - 0.0195613909899658*G0_0_1_1_3 + 0.0309671281099906*G0_0_1_1_4 + 0.00375973233116151*G0_0_1_1_5 + 0.0119106290534882*G0_0_1_1_6 + 0.00635428063999604*G0_0_1_1_7 - 0.0067411953126251*G0_0_1_1_8 + 0.0217306503020825*G0_0_1_1_9 + 0.00596060024631556*G0_0_1_2_0 + 0.0116126201840507*G0_0_1_2_1 + 0.100992340992358*G0_0_1_2_2 - 0.0571492000063526*G0_0_1_2_3 + 0.133209013209036*G0_0_1_2_4 - 0.0175088403659862*G0_0_1_2_5 + 0.0244111444111486*G0_0_1_2_6 + 0.00539238539238631*G0_0_1_2_7 - 0.00171574457288772*G0_0_1_2_8 - 0.000875315161029589*G0_0_1_2_9 - 0.00280893709465188*G0_0_1_3_0 - 0.0195613909899658*G0_0_1_3_1 - 0.0571492000063526*G0_0_1_3_2 + 0.0993549307835192*G0_0_1_3_3 - 0.131277294134459*G0_0_1_3_4 + 0.00486656200942003*G0_0_1_3_5 - 0.0483173968888335*G0_0_1_3_6 - 0.00415869844441346*G0_0_1_3_7 + 0.0115969744541192*G0_0_1_3_8 - 0.0568745540174206*G0_0_1_3_9 + 0.0206533149390329*G0_0_1_4_0 + 0.0309671281099906*G0_0_1_4_1 + 0.133209013209036*G0_0_1_4_2 - 0.131277294134459*G0_0_1_4_3 + 0.753900385329086*G0_0_1_4_4 - 0.0745454545454673*G0_0_1_4_5 + 0.122862851434301*G0_0_1_4_6 - 0.032775795632944*G0_0_1_4_7 - 0.0074382760097058*G0_0_1_4_8 + 0.151716854574023*G0_0_1_4_9 + 0.00228247942533697*G0_0_1_5_0 + 0.00375973233116152*G0_0_1_5_1 - 0.0175088403659862*G0_0_1_5_2 + 0.00486656200942002*G0_0_1_5_3 - 0.0745454545454673*G0_0_1_5_4 + 0.0763493649208061*G0_0_1_5_5 - 0.0164977879263622*G0_0_1_5_6 + 0.0526273726273815*G0_0_1_5_7 - 0.0238647067218536*G0_0_1_5_8 + 0.0347823604966519*G0_0_1_5_9 - 0.00236905951191701*G0_0_1_6_0 + 0.0119106290534882*G0_0_1_6_1 + 0.0244111444111486*G0_0_1_6_2 - 0.0483173968888336*G0_0_1_6_3 + 0.122862851434301*G0_0_1_6_4 - 0.0164977879263622*G0_0_1_6_5 + 0.102431853860442*G0_0_1_6_6 - 0.0287626659055279*G0_0_1_6_7 - 0.00899957185671619*G0_0_1_6_8 + 0.0992607392607559*G0_0_1_6_9 + 0.0116147344718794*G0_0_1_7_0 + 0.00635428063999605*G0_0_1_7_1 + 0.00539238539238631*G0_0_1_7_2 - 0.00415869844441345*G0_0_1_7_3 - 0.032775795632944*G0_0_1_7_4 + 0.0526273726273815*G0_0_1_7_5 - 0.0287626659055279*G0_0_1_7_6 + 0.121812473241066*G0_0_1_7_7 - 0.0253403739118068*G0_0_1_7_8 + 0.0445782788640007*G0_0_1_7_9 - 0.00637774923489322*G0_0_1_8_0 - 0.0067411953126251*G0_0_1_8_1 - 0.00171574457288772*G0_0_1_8_2 + 0.0115969744541192*G0_0_1_8_3 - 0.0074382760097058*G0_0_1_8_4 - 0.0238647067218536*G0_0_1_8_5 - 0.00899957185671619*G0_0_1_8_6 - 0.0253403739118068*G0_0_1_8_7 + 0.0222263450834915*G0_0_1_8_8 - 0.0503153988868359*G0_0_1_8_9 + 0.00431568431568512*G0_0_1_9_0 + 0.0217306503020825*G0_0_1_9_1 - 0.000875315161029592*G0_0_1_9_2 - 0.0568745540174206*G0_0_1_9_3 + 0.151716854574023*G0_0_1_9_4 + 0.034782360496652*G0_0_1_9_5 + 0.0992607392607559*G0_0_1_9_6 + 0.0445782788640007*G0_0_1_9_7 - 0.0503153988868359*G0_0_1_9_8 + 0.359126587698077*G0_0_1_9_9 - 0.0290070423403803*G0_1_0_0_0 - 0.000586820586820675*G0_1_0_0_1 + 0.00886214314785897*G0_1_0_0_2 - 0.00366744366744428*G0_1_0_0_3 + 0.0151708608851493*G0_1_0_0_4 + 0.0231574774431958*G0_1_0_0_5 - 0.00725401582544572*G0_1_0_0_6 - 0.0169503512360683*G0_1_0_0_7 + 0.00626262626262726*G0_1_0_0_8 + 0.0139917225631535*G0_1_0_0_9 - 0.000586820586820675*G0_1_0_1_0 + 0.00355919213062129*G0_1_0_1_1 + 0.0179412122269296*G0_1_0_1_2 - 0.0175564118421291*G0_1_0_1_3 + 0.0285412999698763*G0_1_0_1_4 + 0.0222742337028089*G0_1_0_1_5 + 0.000165865880151606*G0_1_0_1_6 + 0.004150452721882*G0_1_0_1_7 - 0.00514025656882888*G0_1_0_1_8 + 0.0185319442462331*G0_1_0_1_9 + 0.00886214314785897*G0_1_0_2_0 + 0.0179412122269296*G0_1_0_2_1 + 0.282267855601236*G0_1_0_2_2 - 0.0825009910724335*G0_1_0_2_3 + 0.185689865689897*G0_1_0_2_4 - 0.00831739688882671*G0_1_0_2_5 + 0.0473926073926152*G0_1_0_2_6 + 0.00227708799137412*G0_1_0_2_7 - 0.00530865959437476*G0_1_0_2_8 + 0.00286190000475764*G0_1_0_2_9 - 0.00366744366744428*G0_1_0_3_0 - 0.0175564118421291*G0_1_0_3_1 - 0.0825009910724335*G0_1_0_3_2 + 0.07812473241046*G0_1_0_3_3 - 0.125269016697609*G0_1_0_3_4 - 0.0190637933495107*G0_1_0_3_5 - 0.018190381047527*G0_1_0_3_6 - 0.00669045240473924*G0_1_0_3_7 + 0.00845725702868705*G0_1_0_3_8 - 0.0422149279292206*G0_1_0_3_9 + 0.0151708608851493*G0_1_0_4_0 + 0.0285412999698763*G0_1_0_4_1 + 0.185689865689897*G0_1_0_4_2 - 0.125269016697609*G0_1_0_4_3 + 0.562320536606347*G0_1_0_4_4 - 0.0632053660625197*G0_1_0_4_5 + 0.0813957471100466*G0_1_0_4_6 - 0.0173255316112488*G0_1_0_4_7 - 0.00176680462394778*G0_1_0_4_8 + 0.117825032110766*G0_1_0_4_9 + 0.0231574774431958*G0_1_0_5_0 + 0.0222742337028089*G0_1_0_5_1 - 0.00831739688882671*G0_1_0_5_2 - 0.0190637933495107*G0_1_0_5_3 - 0.0632053660625197*G0_1_0_5_4 + 0.733389467675305*G0_1_0_5_5 - 0.110463821892412*G0_1_0_5_6 + 0.109039531896693*G0_1_0_5_7 - 0.0845154845154987*G0_1_0_5_8 + 0.127055801341537*G0_1_0_5_9 - 0.00725401582544572*G0_1_0_6_0 + 0.000165865880151603*G0_1_0_6_1 + 0.0473926073926152*G0_1_0_6_2 - 0.018190381047527*G0_1_0_6_3 + 0.0813957471100466*G0_1_0_6_4 - 0.110463821892412*G0_1_0_6_5 - 0.103613529327833*G0_1_0_6_6 - 0.0245240473811944*G0_1_0_6_7 + 0.0165605822748708*G0_1_0_6_8 + 0.0277950620807809*G0_1_0_6_9 - 0.0169503512360683*G0_1_0_7_0 + 0.004150452721882*G0_1_0_7_1 + 0.00227708799137412*G0_1_0_7_2 - 0.00669045240473924*G0_1_0_7_3 - 0.0173255316112488*G0_1_0_7_4 + 0.109039531896693*G0_1_0_7_5 - 0.0245240473811944*G0_1_0_7_6 + 0.00337662337662415*G0_1_0_7_7 - 0.0112487512487532*G0_1_0_7_8 + 0.00707292707292828*G0_1_0_7_9 + 0.00626262626262726*G0_1_0_8_0 - 0.00514025656882888*G0_1_0_8_1 - 0.00530865959437476*G0_1_0_8_2 + 0.00845725702868705*G0_1_0_8_3 - 0.00176680462394778*G0_1_0_8_4 - 0.0845154845154988*G0_1_0_8_5 + 0.0165605822748708*G0_1_0_8_6 - 0.0112487512487532*G0_1_0_8_7 + 0.0096275153418028*G0_1_0_8_8 - 0.0520622234908036*G0_1_0_8_9 + 0.0139917225631536*G0_1_0_9_0 + 0.0185319442462331*G0_1_0_9_1 + 0.00286190000475763*G0_1_0_9_2 - 0.0422149279292206*G0_1_0_9_3 + 0.117825032110766*G0_1_0_9_4 + 0.127055801341537*G0_1_0_9_5 + 0.027795062080781*G0_1_0_9_6 + 0.00707292707292829*G0_1_0_9_7 - 0.0520622234908036*G0_1_0_9_8 + 0.162865705722877*G0_1_0_9_9 - 0.0889244089244239*G0_1_1_0_0 - 0.0097366125937571*G0_1_1_0_1 - 0.00109319252176409*G0_1_1_0_3 + 0.0152609295466465*G0_1_1_0_4 - 0.0221286649858115*G0_1_1_0_5 + 0.0151397808540691*G0_1_1_0_6 - 0.121594278737156*G0_1_1_0_7 + 0.0507714507714593*G0_1_1_0_8 + 0.0051909994767146*G0_1_1_0_9 - 0.0097366125937571*G0_1_1_1_0 + 0.00973661259375712*G0_1_1_1_2 - 0.0128201956773408*G0_1_1_1_3 + 0.0246128474699946*G0_1_1_1_4 - 0.00815089672232665*G0_1_1_1_5 + 0.00815089672232667*G0_1_1_1_6 - 0.0246128474699945*G0_1_1_1_7 + 0.0128201956773406*G0_1_1_1_8 + 0.00973661259375712*G0_1_1_2_1 + 0.088924408924424*G0_1_1_2_2 - 0.0507714507714594*G0_1_1_2_3 + 0.121594278737157*G0_1_1_2_4 - 0.0151397808540691*G0_1_1_2_5 + 0.0221286649858116*G0_1_1_2_6 - 0.0152609295466463*G0_1_1_2_7 + 0.00109319252176413*G0_1_1_2_8 - 0.00519099947671461*G0_1_1_2_9 - 0.00109319252176409*G0_1_1_3_0 - 0.0128201956773408*G0_1_1_3_1 - 0.0507714507714594*G0_1_1_3_2 + 0.0771285857000275*G0_1_1_3_3 - 0.105936920222653*G0_1_1_3_4 + 0.0138661338661362*G0_1_1_3_5 - 0.02445269016698*G0_1_1_3_6 + 0.00327957756529253*G0_1_1_3_7 - 0.00655915513058462*G0_1_1_3_9 + 0.0152609295466465*G0_1_1_4_0 + 0.0246128474699946*G0_1_1_4_1 + 0.121594278737157*G0_1_1_4_2 - 0.105936920222653*G0_1_1_4_3 + 0.63208791208802*G0_1_1_4_4 - 0.0457827886399393*G0_1_1_4_5 + 0.0702354788069193*G0_1_1_4_6 - 0.0032795775652924*G0_1_1_4_8 + 0.107138575710022*G0_1_1_4_9 - 0.0221286649858115*G0_1_1_5_0 - 0.00815089672232665*G0_1_1_5_1 - 0.0151397808540691*G0_1_1_5_2 + 0.0138661338661362*G0_1_1_5_3 - 0.0457827886399393*G0_1_1_5_4 - 0.0260824889396358*G0_1_1_5_5 - 0.070235478806919*G0_1_1_5_7 + 0.0244526901669799*G0_1_1_5_8 - 0.0644783787641038*G0_1_1_5_9 + 0.0151397808540691*G0_1_1_6_0 + 0.00815089672232667*G0_1_1_6_1 + 0.0221286649858116*G0_1_1_6_2 - 0.02445269016698*G0_1_1_6_3 + 0.0702354788069193*G0_1_1_6_4 + 0.026082488939636*G0_1_1_6_6 + 0.0457827886399391*G0_1_1_6_7 - 0.0138661338661362*G0_1_1_6_8 + 0.0644783787641039*G0_1_1_6_9 - 0.121594278737156*G0_1_1_7_0 - 0.0246128474699945*G0_1_1_7_1 - 0.0152609295466463*G0_1_1_7_2 + 0.00327957756529252*G0_1_1_7_3 - 0.070235478806919*G0_1_1_7_5 + 0.0457827886399391*G0_1_1_7_6 - 0.632087912088018*G0_1_1_7_7 + 0.105936920222652*G0_1_1_7_8 - 0.107138575710022*G0_1_1_7_9 + 0.0507714507714593*G0_1_1_8_0 + 0.0128201956773406*G0_1_1_8_1 + 0.00109319252176413*G0_1_1_8_2 - 0.0032795775652924*G0_1_1_8_4 + 0.0244526901669799*G0_1_1_8_5 - 0.0138661338661362*G0_1_1_8_6 + 0.105936920222652*G0_1_1_8_7 - 0.0771285857000273*G0_1_1_8_8 + 0.00655915513058493*G0_1_1_8_9 + 0.00519099947671459*G0_1_1_9_0 - 0.00519099947671461*G0_1_1_9_2 - 0.00655915513058462*G0_1_1_9_3 + 0.107138575710022*G0_1_1_9_4 - 0.0644783787641038*G0_1_1_9_5 + 0.0644783787641039*G0_1_1_9_6 - 0.107138575710022*G0_1_1_9_7 + 0.00655915513058492*G0_1_1_9_8;
    A[65] = -A[110] - 0.000420602325364306*G0_0_0_0_0 - 0.00640149973483414*G0_0_0_0_2 - 0.00149945292802463*G0_0_0_0_3 + 0.0105494505494524*G0_0_0_0_4 + 0.00766471623614613*G0_0_0_0_5 - 0.0247752247752291*G0_0_0_0_6 + 0.000339977482834678*G0_0_0_0_7 - 0.000837257980115262*G0_0_0_0_9 + 0.000420602325364315*G0_0_0_1_1 + 0.00640149973483418*G0_0_0_1_2 - 0.00766471623614614*G0_0_0_1_3 + 0.0247752247752291*G0_0_0_1_4 + 0.00149945292802462*G0_0_0_1_5 - 0.0105494505494524*G0_0_0_1_6 - 0.000339977482834679*G0_0_0_1_8 + 0.000837257980115266*G0_0_0_1_9 - 0.00640149973483414*G0_0_0_2_0 + 0.00640149973483418*G0_0_0_2_1 - 0.0333888333888392*G0_0_0_2_3 + 0.0966144966145133*G0_0_0_2_4 + 0.033388833388839*G0_0_0_2_5 - 0.0966144966145129*G0_0_0_2_6 - 0.000213120213120258*G0_0_0_2_7 + 0.000213120213120237*G0_0_0_2_8 - 0.00149945292802463*G0_0_0_3_0 - 0.00766471623614614*G0_0_0_3_1 - 0.0333888333888392*G0_0_0_3_2 + 0.0274925074925123*G0_0_0_3_3 - 0.121158841158862*G0_0_0_3_4 + 0.0316483516483568*G0_0_0_3_6 + 0.00449835878407382*G0_0_0_3_7 - 0.00385899814471306*G0_0_0_3_8 - 0.0115084915084934*G0_0_0_3_9 + 0.0105494505494524*G0_0_0_4_0 + 0.0247752247752291*G0_0_0_4_1 + 0.0966144966145133*G0_0_0_4_2 - 0.121158841158862*G0_0_0_4_3 + 0.49550449550458*G0_0_0_4_4 - 0.0316483516483571*G0_0_0_4_5 - 0.0155044955044981*G0_0_0_4_7 - 0.00063936063936076*G0_0_0_4_8 + 0.063296703296714*G0_0_0_4_9 + 0.00766471623614613*G0_0_0_5_0 + 0.00149945292802462*G0_0_0_5_1 + 0.033388833388839*G0_0_0_5_2 - 0.0316483516483571*G0_0_0_5_4 - 0.0274925074925122*G0_0_0_5_5 + 0.121158841158862*G0_0_0_5_6 + 0.00385899814471309*G0_0_0_5_7 - 0.00449835878407382*G0_0_0_5_8 + 0.0115084915084934*G0_0_0_5_9 - 0.0247752247752291*G0_0_0_6_0 - 0.0105494505494524*G0_0_0_6_1 - 0.0966144966145129*G0_0_0_6_2 + 0.0316483516483568*G0_0_0_6_3 + 0.121158841158862*G0_0_0_6_5 - 0.495504495504579*G0_0_0_6_6 + 0.000639360639360703*G0_0_0_6_7 + 0.015504495504498*G0_0_0_6_8 - 0.0632967032967138*G0_0_0_6_9 + 0.000339977482834678*G0_0_0_7_0 - 0.000213120213120258*G0_0_0_7_2 + 0.00449835878407382*G0_0_0_7_3 - 0.0155044955044981*G0_0_0_7_4 + 0.00385899814471309*G0_0_0_7_5 + 0.000639360639360705*G0_0_0_7_6 + 0.0036991579848729*G0_0_0_7_7 + 0.00123305266162429*G0_0_0_7_9 - 0.000339977482834679*G0_0_0_8_1 + 0.000213120213120236*G0_0_0_8_2 - 0.00385899814471306*G0_0_0_8_3 - 0.000639360639360759*G0_0_0_8_4 - 0.00449835878407382*G0_0_0_8_5 + 0.015504495504498*G0_0_0_8_6 - 0.00369915798487286*G0_0_0_8_8 - 0.0012330526616243*G0_0_0_8_9 - 0.000837257980115262*G0_0_0_9_0 + 0.000837257980115266*G0_0_0_9_1 - 0.0115084915084934*G0_0_0_9_3 + 0.063296703296714*G0_0_0_9_4 + 0.0115084915084934*G0_0_0_9_5 - 0.0632967032967138*G0_0_0_9_6 + 0.00123305266162429*G0_0_0_9_7 - 0.0012330526616243*G0_0_0_9_8 + 0.00197220768649375*G0_0_1_0_0 + 0.000323908895337523*G0_0_1_0_1 + 0.000106560106560137*G0_0_1_0_2 - 0.00291264291264341*G0_0_1_0_3 + 0.0338810395953312*G0_0_1_0_4 - 0.00448567305710239*G0_0_1_0_5 + 0.002082996368711*G0_0_1_0_6 - 0.00223015080157974*G0_0_1_0_7 - 0.000829646543932412*G0_0_1_0_8 + 0.0141116026830337*G0_0_1_0_9 + 0.000323908895337523*G0_0_1_1_0 - 0.00376512376512446*G0_0_1_1_1 + 0.00750064750064879*G0_0_1_1_2 - 0.0134417962989415*G0_0_1_1_3 + 0.0263964606821796*G0_0_1_1_4 - 0.00240267668839139*G0_0_1_1_5 - 0.00208299636871102*G0_0_1_1_6 + 0.00135990993133875*G0_0_1_1_7 - 0.00431822146107938*G0_0_1_1_8 - 0.000334903192046116*G0_0_1_1_9 + 0.000106560106560137*G0_0_1_2_0 + 0.00750064750064879*G0_0_1_2_1 + 0.0337440337440396*G0_0_1_2_2 - 0.0383261183261249*G0_0_1_2_3 + 0.0792096792096929*G0_0_1_2_4 - 0.00031968031968038*G0_0_1_2_5 + 0.000657120657120772*G0_0_1_2_7 - 0.00163392163392191*G0_0_1_2_8 + 0.000639360639360757*G0_0_1_2_9 - 0.00291264291264341*G0_0_1_3_0 - 0.0134417962989415*G0_0_1_3_1 - 0.0383261183261249*G0_0_1_3_2 + 0.0758327386898944*G0_0_1_3_3 - 0.116523476523496*G0_0_1_3_4 + 0.0115769944341393*G0_0_1_3_5 - 0.00095904095904112*G0_0_1_3_6 + 0.00152989867275606*G0_0_1_3_7 + 0.000776366490652331*G0_0_1_3_8 - 0.00205508776937371*G0_0_1_3_9 + 0.0338810395953312*G0_0_1_4_0 + 0.0263964606821796*G0_0_1_4_1 + 0.0792096792096929*G0_0_1_4_2 - 0.116523476523496*G0_0_1_4_3 + 0.988291708291876*G0_0_1_4_4 - 0.108851148851167*G0_0_1_4_5 + 0.109810189810208*G0_0_1_4_6 - 0.0482032253460906*G0_0_1_4_7 - 0.00230626516340841*G0_0_1_4_8 + 0.215784215784252*G0_0_1_4_9 - 0.00448567305710239*G0_0_1_5_0 - 0.00240267668839139*G0_0_1_5_1 - 0.000319680319680387*G0_0_1_5_2 + 0.0115769944341393*G0_0_1_5_3 - 0.108851148851167*G0_0_1_5_4 + 0.010617953475098*G0_0_1_5_5 + 0.000959040959041123*G0_0_1_5_6 + 0.00917939203653645*G0_0_1_5_7 - 0.0423348080491009*G0_0_1_5_9 + 0.002082996368711*G0_0_1_6_0 - 0.00208299636871102*G0_0_1_6_1 - 0.000959040959041123*G0_0_1_6_3 + 0.109810189810208*G0_0_1_6_4 + 0.00095904095904112*G0_0_1_6_5 - 0.109810189810209*G0_0_1_6_6 - 0.00917939203653647*G0_0_1_6_7 + 0.00917939203653645*G0_0_1_6_8 - 0.00223015080157974*G0_0_1_7_0 + 0.00135990993133875*G0_0_1_7_1 + 0.000657120657120772*G0_0_1_7_2 + 0.00152989867275606*G0_0_1_7_3 - 0.0482032253460906*G0_0_1_7_4 + 0.00917939203653645*G0_0_1_7_5 - 0.00917939203653647*G0_0_1_7_6 + 0.00742115027829452*G0_0_1_7_7 + 0.00248893963179722*G0_0_1_7_8 - 0.023976023976028*G0_0_1_7_9 - 0.000829646543932412*G0_0_1_8_0 - 0.00431822146107938*G0_0_1_8_1 - 0.00163392163392191*G0_0_1_8_2 + 0.000776366490652331*G0_0_1_8_3 - 0.00230626516340842*G0_0_1_8_4 + 0.00917939203653645*G0_0_1_8_6 + 0.00248893963179722*G0_0_1_8_7 - 0.0131297274154439*G0_0_1_8_8 + 0.00561723990295516*G0_0_1_8_9 + 0.0141116026830337*G0_0_1_9_0 - 0.000334903192046117*G0_0_1_9_1 + 0.000639360639360757*G0_0_1_9_2 - 0.00205508776937371*G0_0_1_9_3 + 0.215784215784252*G0_0_1_9_4 - 0.0423348080491009*G0_0_1_9_5 - 0.023976023976028*G0_0_1_9_7 + 0.00561723990295517*G0_0_1_9_8 + 0.0846696160982018*G0_0_1_9_9 - 0.00318862795053325*G0_1_0_0_0 - 0.000755893136845639*G0_1_0_0_1 + 0.00422367755701162*G0_1_0_0_2 + 0.00060732917875785*G0_1_0_0_3 + 0.000514089085517789*G0_1_0_0_4 + 0.00456813028241679*G0_1_0_0_5 - 0.0137364223078533*G0_1_0_0_6 - 0.000784612213183764*G0_1_0_0_7 + 0.000980289551718294*G0_1_0_0_8 - 0.00587032015603543*G0_1_0_0_9 - 0.000755893136845639*G0_1_0_1_0 - 0.00276802562516886*G0_1_0_1_1 + 0.0106251772918458*G0_1_0_1_2 - 0.00309658595372933*G0_1_0_1_3 + 0.0110388024673758*G0_1_0_1_4 + 0.00210678210678246*G0_1_0_1_5 - 0.0100353614639346*G0_1_0_1_6 + 0.00104371818657548*G0_1_0_1_7 - 0.00112458969601839*G0_1_0_1_8 - 0.00503306217592017*G0_1_0_1_9 + 0.00422367755701162*G0_1_0_2_0 + 0.0106251772918458*G0_1_0_2_1 + 0.228832895499601*G0_1_0_2_2 - 0.0505583305583391*G0_1_0_2_3 + 0.120190920190941*G0_1_0_2_4 - 0.0171694971695*G0_1_0_2_5 + 0.0235764235764274*G0_1_0_2_6 - 0.00093018093018108*G0_1_0_2_7 - 0.000717060717060819*G0_1_0_2_8 + 0.00490176490176572*G0_1_0_2_9 + 0.00060732917875785*G0_1_0_3_0 - 0.00309658595372933*G0_1_0_3_1 - 0.0505583305583391*G0_1_0_3_2 + 0.00349935778507289*G0_1_0_3_3 - 0.0557642357642454*G0_1_0_3_4 - 0.00557157128585793*G0_1_0_3_5 + 0.0331068931068986*G0_1_0_3_6 + 0.00117882117882136*G0_1_0_3_7 - 0.00633081204509876*G0_1_0_3_8 + 0.0127415441701177*G0_1_0_3_9 + 0.000514089085517788*G0_1_0_4_0 + 0.0110388024673758*G0_1_0_4_1 + 0.120190920190941*G0_1_0_4_2 - 0.0557642357642454*G0_1_0_4_3 + 0.220979020979059*G0_1_0_4_4 + 0.00145854145854165*G0_1_0_4_5 - 0.0345654345654403*G0_1_0_4_6 - 0.000876266590552465*G0_1_0_4_7 + 0.00515199086627742*G0_1_0_4_8 - 0.0176223776223805*G0_1_0_4_9 + 0.00456813028241679*G0_1_0_5_0 + 0.00210678210678246*G0_1_0_5_1 - 0.0171694971695*G0_1_0_5_2 - 0.00557157128585793*G0_1_0_5_3 + 0.00145854145854165*G0_1_0_5_4 - 0.0239931497074397*G0_1_0_5_5 + 0.0653946053946166*G0_1_0_5_6 - 0.00247181390038575*G0_1_0_5_7 - 0.00331953760525243*G0_1_0_5_8 + 0.0242500356786111*G0_1_0_5_9 - 0.0137364223078533*G0_1_0_6_0 - 0.0100353614639346*G0_1_0_6_1 + 0.0235764235764274*G0_1_0_6_2 + 0.0331068931068986*G0_1_0_6_3 - 0.0345654345654403*G0_1_0_6_4 + 0.0653946053946166*G0_1_0_6_5 - 0.274525474525521*G0_1_0_6_6 + 0.00579135150563817*G0_1_0_6_7 + 0.0146282289139456*G0_1_0_6_8 - 0.0809190809190945*G0_1_0_6_9 - 0.000784612213183764*G0_1_0_7_0 + 0.00104371818657548*G0_1_0_7_1 - 0.00093018093018108*G0_1_0_7_2 + 0.00117882117882136*G0_1_0_7_3 - 0.000876266590552465*G0_1_0_7_4 - 0.00247181390038575*G0_1_0_7_5 + 0.00579135150563817*G0_1_0_7_6 - 0.00685600114171644*G0_1_0_7_7 + 0.00226345083487973*G0_1_0_7_8 + 0.00602825745682986*G0_1_0_7_9 + 0.000980289551718294*G0_1_0_8_0 - 0.00112458969601839*G0_1_0_8_1 - 0.000717060717060819*G0_1_0_8_2 - 0.00633081204509877*G0_1_0_8_3 + 0.00515199086627742*G0_1_0_8_4 - 0.00331953760525243*G0_1_0_8_5 + 0.0146282289139456*G0_1_0_8_6 + 0.00226345083487973*G0_1_0_8_7 - 0.0105551591265892*G0_1_0_8_8 + 0.00479520479520564*G0_1_0_8_9 - 0.00587032015603543*G0_1_0_9_0 - 0.00503306217592017*G0_1_0_9_1 + 0.00490176490176572*G0_1_0_9_2 + 0.0127415441701177*G0_1_0_9_3 - 0.0176223776223805*G0_1_0_9_4 + 0.0242500356786111*G0_1_0_9_5 - 0.0809190809190945*G0_1_0_9_6 + 0.00602825745682986*G0_1_0_9_7 + 0.00479520479520564*G0_1_0_9_8 - 0.049938632795784*G0_1_0_9_9 - 0.00707525278953965*G0_1_1_0_0 - 0.00744620458906304*G0_1_1_0_1 - 0.0054044368330092*G0_1_1_0_3 + 0.00746079317508024*G0_1_1_0_4 + 0.00261452832881451*G0_1_1_0_5 - 0.00731363874221144*G0_1_1_0_6 + 0.000473811902383455*G0_1_1_0_7 - 0.00811664525950386*G0_1_1_0_8 - 0.00877027734170742*G0_1_1_0_9 - 0.00744620458906304*G0_1_1_1_0 - 0.0927280127280291*G0_1_1_1_1 + 0.002688634117206*G0_1_1_1_2 - 0.0309417566560478*G0_1_1_1_3 + 0.0146640660926401*G0_1_1_1_4 + 0.00229643372500559*G0_1_1_1_5 - 0.00939663511092245*G0_1_1_1_6 + 0.0275679875679924*G0_1_1_1_7 - 0.0618188161045412*G0_1_1_1_8 - 0.0132743447029184*G0_1_1_1_9 + 0.002688634117206*G0_1_1_2_1 + 0.0469456469456548*G0_1_1_2_2 - 0.0366722166722229*G0_1_1_2_3 + 0.0588655788655889*G0_1_1_2_4 - 0.00439338439338513*G0_1_1_2_5 + 0.00846708846708987*G0_1_1_2_6 + 0.000446854732569106*G0_1_1_2_7 - 0.00862978291549865*G0_1_1_2_8 - 0.00355644355644413*G0_1_1_2_9 - 0.0054044368330092*G0_1_1_3_0 - 0.0309417566560478*G0_1_1_3_1 - 0.0366722166722229*G0_1_1_3_2 - 0.115661481375787*G0_1_1_3_3 + 0.0338547167118651*G0_1_1_3_4 - 0.00173826173826203*G0_1_1_3_5 + 0.0409904381333022*G0_1_1_3_6 + 0.0290138432995625*G0_1_1_3_7 - 0.0677037248465935*G0_1_1_3_8 - 0.0182046524903699*G0_1_1_3_9 + 0.00746079317508024*G0_1_1_4_0 + 0.0146640660926401*G0_1_1_4_1 + 0.0588655788655889*G0_1_1_4_2 + 0.0338547167118652*G0_1_1_4_3 + 0.366273726273789*G0_1_1_4_4 - 0.00958184672470556*G0_1_1_4_5 - 0.0314085914085966*G0_1_1_4_6 - 0.0182617382617414*G0_1_1_4_7 + 0.0386898815470309*G0_1_1_4_8 + 0.0298330241187435*G0_1_1_4_9 + 0.00261452832881451*G0_1_1_5_0 + 0.00229643372500559*G0_1_1_5_1 - 0.00439338439338513*G0_1_1_5_2 - 0.00173826173826203*G0_1_1_5_3 - 0.00958184672470556*G0_1_1_5_4 - 0.0286342229199419*G0_1_1_5_5 + 0.0419494790923433*G0_1_1_5_6 - 0.0173712002283459*G0_1_1_5_7 + 0.00591123162551836*G0_1_1_5_8 + 0.0144883687740856*G0_1_1_5_9 - 0.00731363874221144*G0_1_1_6_0 - 0.00939663511092245*G0_1_1_6_1 + 0.00846708846708987*G0_1_1_6_2 + 0.0409904381333022*G0_1_1_6_3 - 0.0314085914085966*G0_1_1_6_4 + 0.0419494790923433*G0_1_1_6_5 - 0.141218781218805*G0_1_1_6_6 + 0.0114599686028276*G0_1_1_6_7 + 0.0206393606393641*G0_1_1_6_8 - 0.071311545597272*G0_1_1_6_9 + 0.000473811902383454*G0_1_1_7_0 + 0.0275679875679924*G0_1_1_7_1 + 0.000446854732569105*G0_1_1_7_2 + 0.0290138432995625*G0_1_1_7_3 - 0.0182617382617414*G0_1_1_7_4 - 0.0173712002283459*G0_1_1_7_5 + 0.0114599686028276*G0_1_1_7_6 - 0.0996146710432591*G0_1_1_7_7 + 0.0587384044527003*G0_1_1_7_8 + 0.00339089481946685*G0_1_1_7_9 - 0.00811664525950386*G0_1_1_8_0 - 0.0618188161045412*G0_1_1_8_1 - 0.00862978291549865*G0_1_1_8_2 - 0.0677037248465935*G0_1_1_8_3 + 0.0386898815470309*G0_1_1_8_4 + 0.00591123162551835*G0_1_1_8_5 + 0.0206393606393641*G0_1_1_8_6 + 0.0587384044527003*G0_1_1_8_7 - 0.242837162837204*G0_1_1_8_8 - 0.0375567289853067*G0_1_1_8_9 - 0.00877027734170741*G0_1_1_9_0 - 0.0132743447029184*G0_1_1_9_1 - 0.00355644355644413*G0_1_1_9_2 - 0.0182046524903698*G0_1_1_9_3 + 0.0298330241187435*G0_1_1_9_4 + 0.0144883687740856*G0_1_1_9_5 - 0.071311545597272*G0_1_1_9_6 + 0.00339089481946685*G0_1_1_9_7 - 0.0375567289853067*G0_1_1_9_8 - 0.195644355644388*G0_1_1_9_9;
    A[202] = -A[65] - 0.00524935382078331*G0_0_0_0_0 - 0.000932436170531563*G0_0_0_0_1 - 0.0150767046005167*G0_0_0_0_2 + 0.00109002109002123*G0_0_0_0_3 - 0.000648240648240729*G0_0_0_0_4 - 0.0108459794174098*G0_0_0_0_5 - 0.0255931370217127*G0_0_0_0_6 - 0.00281654853083472*G0_0_0_0_7 + 0.00146678718107314*G0_0_0_0_8 - 0.0103762903762922*G0_0_0_0_9 - 0.000932436170531564*G0_0_0_1_0 + 0.000534773868107354*G0_0_0_1_1 - 0.00825403873023059*G0_0_0_1_2 + 0.00676307819165072*G0_0_0_1_3 + 0.0064852607709762*G0_0_0_1_4 + 0.00659689516832487*G0_0_0_1_5 - 0.00359386645100991*G0_0_0_1_6 - 0.000132882990025886*G0_0_0_1_7 + 0.000580689152117857*G0_0_0_1_8 - 0.00686741829599089*G0_0_0_1_9 - 0.0150767046005167*G0_0_0_2_0 - 0.00825403873023059*G0_0_0_2_1 - 0.283701483701531*G0_0_0_2_2 + 0.0367587967588027*G0_0_0_2_3 - 0.0520457320457404*G0_0_0_2_4 + 0.0614097014097116*G0_0_0_2_5 - 0.174660894660924*G0_0_0_2_6 + 0.00278071135214037*G0_0_0_2_7 + 0.00258281401138584*G0_0_0_2_8 + 0.00109002109002123*G0_0_0_3_0 + 0.00676307819165071*G0_0_0_3_1 + 0.0367587967588027*G0_0_0_3_2 - 0.0444469815898468*G0_0_0_3_3 - 0.0538490081347316*G0_0_0_3_4 - 0.0158413015555898*G0_0_0_3_5 + 0.0194034536891711*G0_0_0_3_6 + 0.00535179106607774*G0_0_0_3_7 - 0.00622520336806161*G0_0_0_3_8 + 0.00989867275581711*G0_0_0_3_9 - 0.000648240648240729*G0_0_0_4_0 + 0.0064852607709762*G0_0_0_4_1 - 0.0520457320457404*G0_0_0_4_2 - 0.0538490081347316*G0_0_0_4_3 + 0.158081918081945*G0_0_0_4_4 + 0.0105665762808637*G0_0_0_4_5 - 0.0299700299700348*G0_0_0_4_6 - 0.00750963322392021*G0_0_0_4_7 + 0.000873412301983871*G0_0_0_4_8 - 0.0211331525617276*G0_0_0_4_9 - 0.0108459794174098*G0_0_0_5_0 + 0.00659689516832486*G0_0_0_5_1 + 0.0614097014097116*G0_0_0_5_2 - 0.0158413015555898*G0_0_0_5_3 + 0.0105665762808637*G0_0_0_5_4 + 0.0810960468103464*G0_0_0_5_5 + 0.174927929213673*G0_0_0_5_6 + 0.0108891108891127*G0_0_0_5_7 - 0.011168831168833*G0_0_0_5_8 + 0.0534665334665425*G0_0_0_5_9 - 0.0255931370217127*G0_0_0_6_0 - 0.00359386645100991*G0_0_0_6_1 - 0.174660894660924*G0_0_0_6_2 + 0.0194034536891711*G0_0_0_6_3 - 0.0299700299700348*G0_0_0_6_4 + 0.174927929213673*G0_0_0_6_5 + 0.014545454545458*G0_0_0_6_6 + 0.000279720279720332*G0_0_0_6_7 - 0.00279434850863472*G0_0_0_6_8 - 0.0388069073783425*G0_0_0_6_9 - 0.00281654853083472*G0_0_0_7_0 - 0.000132882990025886*G0_0_0_7_1 + 0.00278071135214037*G0_0_0_7_2 + 0.00535179106607774*G0_0_0_7_3 - 0.00750963322392021*G0_0_0_7_4 + 0.0108891108891127*G0_0_0_7_5 + 0.000279720279720334*G0_0_0_7_6 + 0.0232282003710614*G0_0_0_7_7 + 0.0305694305694358*G0_0_0_7_9 + 0.00146678718107314*G0_0_0_8_0 + 0.000580689152117857*G0_0_0_8_1 + 0.00258281401138584*G0_0_0_8_2 - 0.00622520336806161*G0_0_0_8_3 + 0.000873412301983872*G0_0_0_8_4 - 0.011168831168833*G0_0_0_8_5 - 0.00279434850863472*G0_0_0_8_6 - 0.000405308976737547*G0_0_0_8_8 + 0.0188554302840049*G0_0_0_8_9 - 0.0103762903762922*G0_0_0_9_0 - 0.00686741829599089*G0_0_0_9_1 + 0.00989867275581712*G0_0_0_9_3 - 0.0211331525617276*G0_0_0_9_4 + 0.0534665334665425*G0_0_0_9_5 - 0.0388069073783425*G0_0_0_9_6 + 0.0305694305694358*G0_0_0_9_7 + 0.0188554302840049*G0_0_0_9_8 - 0.224004566861748*G0_0_0_9_9 + 0.00737421308850005*G0_0_1_0_0 - 0.000618640618640704*G0_0_1_0_1 - 0.00261452832881448*G0_0_1_0_2 + 0.000493791922363428*G0_0_1_0_3 + 0.021217829789262*G0_0_1_0_4 - 0.0196771482485802*G0_0_1_0_5 + 0.0112033997748303*G0_0_1_0_6 - 0.00618397475540432*G0_0_1_0_7 + 0.00166627023769908*G0_0_1_0_8 - 0.00543456543456633*G0_0_1_0_9 - 0.000618640618640704*G0_0_1_1_0 - 0.00300440300440335*G0_0_1_1_1 + 0.00150251864537606*G0_0_1_1_2 - 0.00253651110794007*G0_0_1_1_3 + 0.0117025831311566*G0_0_1_1_4 - 0.00521097949669466*G0_0_1_1_5 + 0.00302174016459784*G0_0_1_1_6 + 0.00283779712351186*G0_0_1_1_7 - 0.00495821638678856*G0_0_1_1_8 + 0.00172779601351062*G0_0_1_1_9 - 0.00261452832881448*G0_0_1_2_0 + 0.00150251864537606*G0_0_1_2_1 - 0.0187042587042619*G0_0_1_2_2 - 0.00616145759003009*G0_0_1_2_3 + 0.0124675324675347*G0_0_1_2_4 + 0.000942549513978187*G0_0_1_2_5 - 0.00738816738816855*G0_0_1_2_6 + 0.00304933162076071*G0_0_1_2_7 - 0.000519480519480601*G0_0_1_2_8 + 0.0101917130488576*G0_0_1_2_9 + 0.000493791922363427*G0_0_1_3_0 - 0.00253651110794007*G0_0_1_3_1 - 0.00616145759003009*G0_0_1_3_2 + 0.0333694876552075*G0_0_1_3_3 - 0.0673298130441101*G0_0_1_3_4 + 0.00869701726844726*G0_0_1_3_5 - 0.0123076923076944*G0_0_1_3_6 - 0.00472384758099127*G0_0_1_3_7 + 0.00640787783645042*G0_0_1_3_8 + 0.00426430712145073*G0_0_1_3_9 + 0.021217829789262*G0_0_1_4_0 + 0.0117025831311566*G0_0_1_4_1 + 0.0124675324675347*G0_0_1_4_2 - 0.0673298130441101*G0_0_1_4_3 + 0.550326816041195*G0_0_1_4_4 - 0.0668959611816868*G0_0_1_4_5 + 0.0792036534893812*G0_0_1_4_6 - 0.0347795062080835*G0_0_1_4_7 - 0.00168403025545915*G0_0_1_4_8 + 0.103216783216801*G0_0_1_4_9 - 0.0196771482485802*G0_0_1_5_0 - 0.00521097949669466*G0_0_1_5_1 + 0.000942549513978184*G0_0_1_5_2 + 0.00869701726844726*G0_0_1_5_3 - 0.0668959611816868*G0_0_1_5_4 - 0.260861995147753*G0_0_1_5_5 + 0.00420151277294199*G0_0_1_5_6 + 0.012390466676183*G0_0_1_5_8 - 0.00847723704866714*G0_0_1_5_9 + 0.0112033997748303*G0_0_1_6_0 + 0.00302174016459784*G0_0_1_6_1 - 0.00738816738816855*G0_0_1_6_2 - 0.0123076923076944*G0_0_1_6_3 + 0.0792036534893812*G0_0_1_6_4 + 0.00420151277294199*G0_0_1_6_5 + 0.197439703154023*G0_0_1_6_6 - 0.0123904666761831*G0_0_1_6_7 - 0.00213215356072534*G0_0_1_6_8 - 0.00595975453118412*G0_0_1_6_9 - 0.00618397475540432*G0_0_1_7_0 + 0.00283779712351186*G0_0_1_7_1 + 0.00304933162076071*G0_0_1_7_2 - 0.00472384758099127*G0_0_1_7_3 - 0.0347795062080835*G0_0_1_7_4 - 0.0123904666761831*G0_0_1_7_6 + 0.00247466818895473*G0_0_1_7_7 - 0.00383616383616462*G0_0_1_7_8 + 0.0410846296560652*G0_0_1_7_9 + 0.00166627023769908*G0_0_1_8_0 - 0.00495821638678856*G0_0_1_8_1 - 0.000519480519480601*G0_0_1_8_2 + 0.00640787783645042*G0_0_1_8_3 - 0.00168403025545916*G0_0_1_8_4 + 0.012390466676183*G0_0_1_8_5 - 0.00213215356072534*G0_0_1_8_6 - 0.00383616383616462*G0_0_1_8_7 - 0.0120993292421881*G0_0_1_8_8 - 0.00181532752961353*G0_0_1_8_9 - 0.00543456543456633*G0_0_1_9_0 + 0.00172779601351062*G0_0_1_9_1 + 0.0101917130488576*G0_0_1_9_2 + 0.00426430712145074*G0_0_1_9_3 + 0.103216783216801*G0_0_1_9_4 - 0.00847723704866714*G0_0_1_9_5 - 0.00595975453118412*G0_0_1_9_6 + 0.0410846296560652*G0_0_1_9_7 - 0.00181532752961353*G0_0_1_9_8 + 0.158344512630253*G0_0_1_9_9 - 0.00353889496746697*G0_1_0_0_0 - 0.000746061698442784*G0_1_0_0_1 - 0.00187255425350695*G0_1_0_0_2 - 0.00520527091955752*G0_1_0_0_4 - 0.00166151309008477*G0_1_0_0_5 - 0.00428270142555933*G0_1_0_0_6 - 0.00483801912373421*G0_1_0_0_7 + 0.00130916702345293*G0_1_0_0_8 - 0.00723467009181417*G0_1_0_0_9 - 0.000746061698442784*G0_1_0_1_0 - 0.00253080253080295*G0_1_0_1_1 - 0.00172945220564297*G0_1_0_1_2 + 0.00796536796536926*G0_1_0_1_3 - 0.000232148803577393*G0_1_0_1_4 + 0.000946672375243978*G0_1_0_1_5 - 0.00576756576756674*G0_1_0_1_6 - 0.00159967017109898*G0_1_0_1_7 - 0.00192696192696234*G0_1_0_1_8 - 0.00438418724133085*G0_1_0_1_9 - 0.00187255425350695*G0_1_0_2_0 - 0.00172945220564297*G0_1_0_2_1 - 0.0105741172407856*G0_1_0_2_2 + 0.00913499199213635*G0_1_0_2_3 - 0.0055322455322464*G0_1_0_2_4 + 0.00542314828029204*G0_1_0_2_5 - 0.0143589743589768*G0_1_0_2_6 + 0.000215974501688832*G0_1_0_2_7 + 0.00312259169402077*G0_1_0_2_8 + 0.00103515532086979*G0_1_0_2_9 + 0.00796536796536926*G0_1_0_3_1 + 0.00913499199213635*G0_1_0_3_2 - 0.0596574853717817*G0_1_0_3_3 - 0.0173055515912688*G0_1_0_3_4 - 0.00411302982731621*G0_1_0_3_5 + 0.0225945483088378*G0_1_0_3_6 + 0.00519765948337472*G0_1_0_3_7 - 0.00112173540744998*G0_1_0_3_8 + 0.00275724275724309*G0_1_0_3_9 - 0.00520527091955752*G0_1_0_4_0 - 0.000232148803577391*G0_1_0_4_1 - 0.00553224553224641*G0_1_0_4_2 - 0.0173055515912688*G0_1_0_4_3 - 0.078016269444854*G0_1_0_4_4 + 0.0209076637648101*G0_1_0_4_5 - 0.0435022120736479*G0_1_0_4_6 + 0.00483801912373419*G0_1_0_4_7 - 0.00407592407592472*G0_1_0_4_8 - 0.0449207934922296*G0_1_0_4_9 - 0.00166151309008477*G0_1_0_5_0 + 0.000946672375243978*G0_1_0_5_1 + 0.00542314828029204*G0_1_0_5_2 - 0.00411302982731621*G0_1_0_5_3 + 0.0209076637648101*G0_1_0_5_4 - 0.0170372484658226*G0_1_0_5_5 + 0.0331325817040159*G0_1_0_5_6 - 0.00709576138147681*G0_1_0_5_7 + 0.00245183388040571*G0_1_0_5_8 + 0.0168003425146311*G0_1_0_5_9 - 0.00428270142555933*G0_1_0_6_0 - 0.00576756576756674*G0_1_0_6_1 - 0.0143589743589768*G0_1_0_6_2 + 0.0225945483088378*G0_1_0_6_3 - 0.0435022120736479*G0_1_0_6_4 + 0.0331325817040159*G0_1_0_6_5 - 0.0986756101041977*G0_1_0_6_6 + 0.0046439275010711*G0_1_0_6_7 + 0.00132153560725011*G0_1_0_6_8 - 0.0482945625802849*G0_1_0_6_9 - 0.00483801912373421*G0_1_0_7_0 - 0.00159967017109898*G0_1_0_7_1 + 0.000215974501688832*G0_1_0_7_2 + 0.00519765948337472*G0_1_0_7_3 + 0.00483801912373419*G0_1_0_7_4 - 0.00709576138147681*G0_1_0_7_5 + 0.0046439275010711*G0_1_0_7_6 + 0.00250891965177725*G0_1_0_7_7 + 0.0113029827315562*G0_1_0_7_8 + 0.0124161552733003*G0_1_0_7_9 + 0.00130916702345293*G0_1_0_8_0 - 0.00192696192696234*G0_1_0_8_1 + 0.00312259169402078*G0_1_0_8_2 - 0.00112173540744998*G0_1_0_8_3 - 0.00407592407592472*G0_1_0_8_4 + 0.00245183388040571*G0_1_0_8_5 + 0.00132153560725011*G0_1_0_8_6 + 0.0113029827315562*G0_1_0_8_7 + 0.0181447124304294*G0_1_0_8_8 + 0.021304409875842*G0_1_0_8_9 - 0.00723467009181417*G0_1_0_9_0 - 0.00438418724133085*G0_1_0_9_1 + 0.00103515532086979*G0_1_0_9_2 + 0.00275724275724309*G0_1_0_9_3 - 0.0449207934922296*G0_1_0_9_4 + 0.0168003425146311*G0_1_0_9_5 - 0.0482945625802849*G0_1_0_9_6 + 0.0124161552733003*G0_1_0_9_7 + 0.021304409875842*G0_1_0_9_8 - 0.0118167546738994*G0_1_0_9_9 + 0.0197719740576913*G0_1_1_0_0 - 0.00468885611742841*G0_1_1_0_1 - 0.000842437985295291*G0_1_1_0_2 - 0.00518275375418324*G0_1_1_0_3 + 0.00251716537430871*G0_1_1_0_4 + 0.00685251256679933*G0_1_1_0_5 - 0.00705167848025103*G0_1_1_0_6 + 0.0319867434153201*G0_1_1_0_7 - 0.0183686155114758*G0_1_1_0_8 - 0.00179059036201923*G0_1_1_0_9 - 0.00468885611742841*G0_1_1_1_0 - 0.0912006512006672*G0_1_1_1_1 - 0.00248492248492292*G0_1_1_1_2 - 0.0228482628482669*G0_1_1_1_3 + 0.00658325801183063*G0_1_1_1_4 + 0.000898783755926808*G0_1_1_1_5 - 0.00599717742574987*G0_1_1_1_6 + 0.0329391243677015*G0_1_1_1_7 - 0.0610678210678318*G0_1_1_1_8 - 0.0106712335283782*G0_1_1_1_9 - 0.000842437985295291*G0_1_1_2_0 - 0.00248492248492292*G0_1_1_2_1 + 0.00868464868464996*G0_1_1_2_2 - 0.00838875410304123*G0_1_1_2_3 - 0.000604157747015041*G0_1_1_2_4 + 0.00211122211122248*G0_1_1_2_5 - 0.00457732743447108*G0_1_1_2_6 + 0.00280259423116613*G0_1_1_2_7 - 0.00675832104403648*G0_1_1_2_8 - 0.00975976404547998*G0_1_1_2_9 - 0.00518275375418324*G0_1_1_3_0 - 0.0228482628482669*G0_1_1_3_1 - 0.00838875410304123*G0_1_1_3_2 - 0.148948194662506*G0_1_1_3_3 + 0.0557042957043051*G0_1_1_3_4 + 0.000870558013415303*G0_1_1_3_5 + 0.0291023262451882*G0_1_1_3_6 + 0.0266590552304884*G0_1_1_3_7 - 0.0580448123305365*G0_1_1_3_8 - 0.0213044098758421*G0_1_1_3_9 + 0.00251716537430871*G0_1_1_4_0 + 0.00658325801183063*G0_1_1_4_1 - 0.000604157747015038*G0_1_1_4_2 + 0.0557042957043051*G0_1_1_4_3 + 0.0190894819466286*G0_1_1_4_4 + 0.00355929784501263*G0_1_1_4_5 - 0.0326616240902008*G0_1_1_4_6 - 0.0135350363921816*G0_1_1_4_7 + 0.0313857571000482*G0_1_1_4_8 + 0.0221606964464147*G0_1_1_4_9 + 0.00685251256679933*G0_1_1_5_0 + 0.000898783755926808*G0_1_1_5_1 + 0.00211122211122248*G0_1_1_5_2 + 0.000870558013415304*G0_1_1_5_3 + 0.00355929784501263*G0_1_1_5_4 - 0.0486542029399255*G0_1_1_5_5 + 0.0301669758812666*G0_1_1_5_6 - 0.0111174539745987*G0_1_1_5_7 + 0.00841444270015847*G0_1_1_5_8 - 0.0114571143142592*G0_1_1_5_9 - 0.00705167848025103*G0_1_1_6_0 - 0.00599717742574987*G0_1_1_6_1 - 0.00457732743447108*G0_1_1_6_2 + 0.0291023262451882*G0_1_1_6_3 - 0.0326616240902009*G0_1_1_6_4 + 0.0301669758812666*G0_1_1_6_5 - 0.0818781218781352*G0_1_1_6_6 + 0.00270301127444029*G0_1_1_6_7 + 0.0135778507207101*G0_1_1_6_8 - 0.0289253603539365*G0_1_1_6_9 + 0.0319867434153201*G0_1_1_7_0 + 0.0329391243677015*G0_1_1_7_1 + 0.00280259423116613*G0_1_1_7_2 + 0.0266590552304884*G0_1_1_7_3 - 0.0135350363921816*G0_1_1_7_4 - 0.0111174539745987*G0_1_1_7_5 + 0.00270301127444029*G0_1_1_7_6 - 0.0491851006136806*G0_1_1_7_7 + 0.0169544740973345*G0_1_1_7_8 - 0.0183686155114758*G0_1_1_8_0 - 0.0610678210678318*G0_1_1_8_1 - 0.00675832104403648*G0_1_1_8_2 - 0.0580448123305365*G0_1_1_8_3 + 0.0313857571000482*G0_1_1_8_4 + 0.00841444270015847*G0_1_1_8_5 + 0.0135778507207101*G0_1_1_8_6 + 0.0169544740973345*G0_1_1_8_7 - 0.23749964321397*G0_1_1_8_8 - 0.0307578136149618*G0_1_1_8_9 - 0.00179059036201922*G0_1_1_9_0 - 0.0106712335283782*G0_1_1_9_1 - 0.00975976404547998*G0_1_1_9_2 - 0.0213044098758421*G0_1_1_9_3 + 0.0221606964464147*G0_1_1_9_4 - 0.0114571143142592*G0_1_1_9_5 - 0.0289253603539365*G0_1_1_9_6 - 0.0307578136149618*G0_1_1_9_8 - 0.050144141572721*G0_1_1_9_9;
    A[164] = A[202] + 0.0248403448403494*G0_0_0_0_0 + 0.00180433323290498*G0_0_0_0_1 - 0.000780172208743735*G0_0_0_0_3 + 0.00191998477712797*G0_0_0_0_4 + 0.0444526901669835*G0_0_0_0_5 - 0.00282003710575199*G0_0_0_0_6 + 0.00813472242043809*G0_0_0_0_7 - 0.00638218923933319*G0_0_0_0_8 + 0.0135179106607701*G0_0_0_0_9 + 0.00180433323290498*G0_0_0_1_0 + 0.0194768194768228*G0_0_0_1_1 - 0.000375708947137564*G0_0_0_1_2 + 0.0191789163217767*G0_0_0_1_3 - 0.0101232101232118*G0_0_0_1_4 - 0.00478759335902276*G0_0_0_1_5 - 0.00568383996955523*G0_0_0_1_6 - 0.00471909043337697*G0_0_0_1_7 + 0.00439750725465087*G0_0_0_1_8 + 0.0108462965605841*G0_0_0_1_9 - 0.000375708947137564*G0_0_0_2_1 - 0.0120649720649738*G0_0_0_2_2 + 0.0114095428381161*G0_0_0_2_3 - 0.0265867465867509*G0_0_0_2_4 + 0.0201474715760464*G0_0_0_2_5 - 0.000586080586080737*G0_0_0_2_6 - 0.0023728652300085*G0_0_0_2_7 - 0.0019618476761337*G0_0_0_2_8 - 0.0222862851434317*G0_0_0_2_9 - 0.000780172208743735*G0_0_0_3_0 + 0.0191789163217767*G0_0_0_3_1 + 0.0114095428381161*G0_0_0_3_2 + 0.0175024975025013*G0_0_0_3_3 + 0.00450406736121071*G0_0_0_3_4 + 0.0088711288711303*G0_0_0_3_5 + 0.0160125588697043*G0_0_0_3_6 + 0.00130155558727*G0_0_0_3_7 - 0.00614813757670985*G0_0_0_3_8 - 0.0351420008562923*G0_0_0_3_9 + 0.00191998477712797*G0_0_0_4_0 - 0.0101232101232118*G0_0_0_4_1 - 0.0265867465867509*G0_0_0_4_2 + 0.00450406736121072*G0_0_0_4_3 - 0.00972741544170199*G0_0_0_4_4 - 0.00679891537034515*G0_0_0_4_5 - 0.00921364349935916*G0_0_0_4_6 + 0.00119880119880141*G0_0_0_4_7 + 0.00484658198943986*G0_0_0_4_8 + 0.0804566861709856*G0_0_0_4_9 + 0.0444526901669835*G0_0_0_5_0 - 0.00478759335902276*G0_0_0_5_1 + 0.0201474715760464*G0_0_0_5_2 + 0.0088711288711303*G0_0_0_5_3 - 0.00679891537034515*G0_0_0_5_4 - 0.135533038390204*G0_0_0_5_5 - 0.103114028828332*G0_0_0_5_6 - 0.0194034536891712*G0_0_0_5_7 + 0.013323819038107*G0_0_0_5_8 - 0.0672013700585244*G0_0_0_5_9 - 0.00282003710575199*G0_0_0_6_0 - 0.00568383996955523*G0_0_0_6_1 - 0.000586080586080737*G0_0_0_6_2 + 0.0160125588697043*G0_0_0_6_3 - 0.00921364349935916*G0_0_0_6_4 - 0.103114028828332*G0_0_0_6_5 - 0.361695447409795*G0_0_0_6_6 + 0.00607963465106423*G0_0_0_6_7 + 0.0119880119880139*G0_0_0_6_8 + 0.0348337376908867*G0_0_0_6_9 + 0.00813472242043809*G0_0_0_7_0 - 0.00471909043337697*G0_0_0_7_1 - 0.0023728652300085*G0_0_0_7_2 + 0.00130155558727*G0_0_0_7_3 + 0.00119880119880141*G0_0_0_7_4 - 0.0194034536891712*G0_0_0_7_5 + 0.00607963465106423*G0_0_0_7_6 - 0.0682974168688574*G0_0_0_7_7 + 0.0199686028257491*G0_0_0_7_8 - 0.0527130012844389*G0_0_0_7_9 - 0.00638218923933319*G0_0_0_8_0 + 0.00439750725465087*G0_0_0_8_1 - 0.0019618476761337*G0_0_0_8_2 - 0.00614813757670985*G0_0_0_8_3 + 0.00484658198943986*G0_0_0_8_4 + 0.013323819038107*G0_0_0_8_5 + 0.0119880119880139*G0_0_0_8_6 + 0.0199686028257491*G0_0_0_8_7 - 0.0483630655059306*G0_0_0_8_8 - 0.0422320536606321*G0_0_0_8_9 + 0.0135179106607701*G0_0_0_9_0 + 0.0108462965605841*G0_0_0_9_1 - 0.0222862851434317*G0_0_0_9_2 - 0.0351420008562923*G0_0_0_9_3 + 0.0804566861709856*G0_0_0_9_4 - 0.0672013700585244*G0_0_0_9_5 + 0.0348337376908867*G0_0_0_9_6 - 0.0527130012844389*G0_0_0_9_7 - 0.0422320536606321*G0_0_0_9_8 + 0.250309690309733*G0_0_0_9_9 + 0.0013759785188359*G0_0_1_0_1 - 0.00137597851883588*G0_0_1_0_2 - 0.00396746111031891*G0_0_1_0_3 + 0.00396746111031894*G0_0_1_0_4 + 0.0117653774796653*G0_0_1_0_5 - 0.00557157128585803*G0_0_1_0_6 - 0.0117653774796652*G0_0_1_0_7 + 0.00557157128585794*G0_0_1_0_8 + 0.0013759785188359*G0_0_1_1_0 + 0.0140126540126561*G0_0_1_1_1 + 0.0238485324199649*G0_0_1_1_3 - 0.00994053565482298*G0_0_1_1_4 + 0.00460682174967966*G0_0_1_1_5 - 0.00278007706579182*G0_0_1_1_6 - 0.0143780029494339*G0_0_1_1_7 + 0.020746872175447*G0_0_1_1_8 + 0.0260767803624991*G0_0_1_1_9 - 0.00137597851883588*G0_0_1_2_0 - 0.0140126540126561*G0_0_1_2_2 + 0.00994053565482296*G0_0_1_2_3 - 0.0238485324199648*G0_0_1_2_4 + 0.0143780029494339*G0_0_1_2_5 - 0.0207468721754471*G0_0_1_2_6 - 0.00460682174967967*G0_0_1_2_7 + 0.00278007706579182*G0_0_1_2_8 - 0.026076780362499*G0_0_1_2_9 - 0.00396746111031891*G0_0_1_3_0 + 0.0238485324199649*G0_0_1_3_1 + 0.00994053565482296*G0_0_1_3_2 - 0.00688454402740174*G0_0_1_3_3 - 0.000959040959041064*G0_0_1_3_5 + 0.00834023119737537*G0_0_1_3_6 + 0.0119023833309568*G0_0_1_3_7 - 0.00356215213358126*G0_0_1_3_8 - 0.102035107749411*G0_0_1_3_9 + 0.00396746111031894*G0_0_1_4_0 - 0.00994053565482298*G0_0_1_4_1 - 0.0238485324199648*G0_0_1_4_2 + 0.00688454402740297*G0_0_1_4_4 - 0.0119023833309569*G0_0_1_4_5 + 0.00356215213358142*G0_0_1_4_6 + 0.000959040959041097*G0_0_1_4_7 - 0.00834023119737549*G0_0_1_4_8 + 0.102035107749411*G0_0_1_4_9 + 0.0117653774796653*G0_0_1_5_0 + 0.00460682174967966*G0_0_1_5_1 + 0.0143780029494339*G0_0_1_5_2 - 0.000959040959041067*G0_0_1_5_3 - 0.0119023833309569*G0_0_1_5_4 + 0.273155416012605*G0_0_1_5_5 - 0.0156871699728869*G0_0_1_5_6 - 0.013820465249039*G0_0_1_5_8 + 0.027640930498078*G0_0_1_5_9 - 0.00557157128585803*G0_0_1_6_0 - 0.00278007706579183*G0_0_1_6_1 - 0.0207468721754471*G0_0_1_6_2 + 0.00834023119737538*G0_0_1_6_3 + 0.00356215213358142*G0_0_1_6_4 - 0.0156871699728869*G0_0_1_6_5 - 0.224997859283612*G0_0_1_6_6 + 0.013820465249039*G0_0_1_6_7 + 0.0615498786927463*G0_0_1_6_9 - 0.0117653774796652*G0_0_1_7_0 - 0.0143780029494339*G0_0_1_7_1 - 0.00460682174967967*G0_0_1_7_2 + 0.0119023833309568*G0_0_1_7_3 + 0.000959040959041097*G0_0_1_7_4 + 0.0138204652490389*G0_0_1_7_6 - 0.273155416012605*G0_0_1_7_7 + 0.015687169972887*G0_0_1_7_8 - 0.0276409304980782*G0_0_1_7_9 + 0.00557157128585794*G0_0_1_8_0 + 0.020746872175447*G0_0_1_8_1 + 0.00278007706579182*G0_0_1_8_2 - 0.00356215213358126*G0_0_1_8_3 - 0.00834023119737549*G0_0_1_8_4 - 0.013820465249039*G0_0_1_8_5 + 0.015687169972887*G0_0_1_8_7 + 0.224997859283612*G0_0_1_8_8 - 0.061549878692746*G0_0_1_8_9 + 0.0260767803624991*G0_0_1_9_1 - 0.026076780362499*G0_0_1_9_2 - 0.102035107749411*G0_0_1_9_3 + 0.102035107749411*G0_0_1_9_4 + 0.027640930498078*G0_0_1_9_5 + 0.0615498786927463*G0_0_1_9_6 - 0.0276409304980782*G0_0_1_9_7 - 0.061549878692746*G0_0_1_9_8 + 0.000804063661206675*G0_1_0_0_1 - 0.000804063661206644*G0_1_0_0_2 + 0.000856286570572459*G0_1_0_0_3 - 0.000856286570572425*G0_1_0_0_4 - 0.0014480757337903*G0_1_0_0_5 + 0.000395794681509067*G0_1_0_0_6 + 0.0014480757337902*G0_1_0_0_7 - 0.000395794681508989*G0_1_0_0_8 + 0.000804063661206675*G0_1_0_1_0 + 0.0228926628926669*G0_1_0_1_1 + 0.02565434565435*G0_1_0_1_3 - 0.0132553161124612*G0_1_0_1_4 + 0.000582274867989244*G0_1_0_1_5 + 0.00306550592264933*G0_1_0_1_6 - 0.00318538604252954*G0_1_0_1_7 + 0.00951048951049131*G0_1_0_1_8 + 0.00972741544170285*G0_1_0_1_9 - 0.000804063661206644*G0_1_0_2_0 - 0.0228926628926664*G0_1_0_2_2 + 0.0132553161124611*G0_1_0_2_3 - 0.0256543456543498*G0_1_0_2_4 + 0.00318538604252936*G0_1_0_2_5 - 0.00951048951049098*G0_1_0_2_6 - 0.000582274867989266*G0_1_0_2_7 - 0.00306550592264926*G0_1_0_2_8 - 0.00972741544170276*G0_1_0_2_9 + 0.000856286570572459*G0_1_0_3_0 + 0.02565434565435*G0_1_0_3_1 + 0.0132553161124611*G0_1_0_3_2 + 0.0141801056086803*G0_1_0_3_3 - 0.00215784215784254*G0_1_0_3_5 - 0.00919651776794797*G0_1_0_3_6 - 0.00256885971171741*G0_1_0_3_7 - 0.00662765805623033*G0_1_0_3_8 - 0.0240445269016737*G0_1_0_3_9 - 0.000856286570572424*G0_1_0_4_0 - 0.0132553161124612*G0_1_0_4_1 - 0.0256543456543498*G0_1_0_4_2 - 0.0141801056086789*G0_1_0_4_4 + 0.00256885971171724*G0_1_0_4_5 + 0.00662765805623073*G0_1_0_4_6 + 0.00215784215784255*G0_1_0_4_7 + 0.00919651776794775*G0_1_0_4_8 + 0.0240445269016738*G0_1_0_4_9 - 0.0014480757337903*G0_1_0_5_0 + 0.000582274867989244*G0_1_0_5_1 + 0.00318538604252936*G0_1_0_5_2 - 0.00215784215784254*G0_1_0_5_3 + 0.00256885971171724*G0_1_0_5_4 + 0.0115769944341393*G0_1_0_5_5 + 0.0002226345083488*G0_1_0_5_6 - 0.00174682460396777*G0_1_0_5_8 + 0.00349364920793554*G0_1_0_5_9 + 0.000395794681509067*G0_1_0_6_0 + 0.00306550592264933*G0_1_0_6_1 - 0.00951048951049098*G0_1_0_6_2 - 0.00919651776794797*G0_1_0_6_3 + 0.00662765805623073*G0_1_0_6_4 + 0.0002226345083488*G0_1_0_6_5 + 0.064701013272453*G0_1_0_6_6 + 0.00174682460396777*G0_1_0_6_7 + 0.0475752818610043*G0_1_0_6_9 + 0.0014480757337902*G0_1_0_7_0 - 0.00318538604252954*G0_1_0_7_1 - 0.000582274867989266*G0_1_0_7_2 - 0.00256885971171741*G0_1_0_7_3 + 0.00215784215784255*G0_1_0_7_4 + 0.00174682460396777*G0_1_0_7_6 - 0.0115769944341391*G0_1_0_7_7 - 0.000222634508348959*G0_1_0_7_8 - 0.00349364920793551*G0_1_0_7_9 - 0.00039579468150899*G0_1_0_8_0 + 0.00951048951049131*G0_1_0_8_1 - 0.00306550592264926*G0_1_0_8_2 - 0.00662765805623033*G0_1_0_8_3 + 0.00919651776794775*G0_1_0_8_4 - 0.00174682460396777*G0_1_0_8_5 - 0.000222634508348959*G0_1_0_8_7 - 0.0647010132724518*G0_1_0_8_8 - 0.047575281861004*G0_1_0_8_9 + 0.00972741544170285*G0_1_0_9_1 - 0.00972741544170276*G0_1_0_9_2 - 0.0240445269016737*G0_1_0_9_3 + 0.0240445269016738*G0_1_0_9_4 + 0.00349364920793554*G0_1_0_9_5 + 0.0475752818610043*G0_1_0_9_6 - 0.00349364920793551*G0_1_0_9_7 - 0.047575281861004*G0_1_0_9_8 - 0.0248403448403487*G0_1_1_0_0 - 0.00180433323290495*G0_1_1_0_2 - 0.00191998477712793*G0_1_1_0_3 + 0.000780172208743746*G0_1_1_0_4 - 0.00813472242043797*G0_1_1_0_5 + 0.0063821892393331*G0_1_1_0_6 - 0.0444526901669832*G0_1_1_0_7 + 0.00282003710575186*G0_1_1_0_8 - 0.0135179106607701*G0_1_1_0_9 + 0.012064972064974*G0_1_1_1_1 + 0.000375708947137587*G0_1_1_1_2 + 0.026586746586751*G0_1_1_1_3 - 0.0114095428381162*G0_1_1_1_4 + 0.00237286523000849*G0_1_1_1_5 + 0.00196184767613371*G0_1_1_1_6 - 0.0201474715760464*G0_1_1_1_7 + 0.000586080586080753*G0_1_1_1_8 + 0.0222862851434318*G0_1_1_1_9 - 0.00180433323290495*G0_1_1_2_0 + 0.000375708947137587*G0_1_1_2_1 - 0.0194768194768225*G0_1_1_2_2 + 0.0101232101232118*G0_1_1_2_3 - 0.0191789163217766*G0_1_1_2_4 + 0.00471909043337692*G0_1_1_2_5 - 0.00439750725465082*G0_1_1_2_6 + 0.00478759335902274*G0_1_1_2_7 + 0.00568383996955523*G0_1_1_2_8 - 0.0108462965605841*G0_1_1_2_9 - 0.00191998477712793*G0_1_1_3_0 + 0.026586746586751*G0_1_1_3_1 + 0.0101232101232118*G0_1_1_3_2 + 0.00972741544170333*G0_1_1_3_3 - 0.00450406736121103*G0_1_1_3_4 - 0.00119880119880141*G0_1_1_3_5 - 0.00484658198943991*G0_1_1_3_6 + 0.00679891537034502*G0_1_1_3_7 + 0.00921364349935944*G0_1_1_3_8 - 0.0804566861709854*G0_1_1_3_9 + 0.000780172208743746*G0_1_1_4_0 - 0.0114095428381162*G0_1_1_4_1 - 0.0191789163217766*G0_1_1_4_2 - 0.00450406736121103*G0_1_1_4_3 - 0.0175024975025002*G0_1_1_4_4 - 0.00130155558727007*G0_1_1_4_5 + 0.00614813757670998*G0_1_1_4_6 - 0.00887112887113035*G0_1_1_4_7 - 0.0160125588697045*G0_1_1_4_8 + 0.0351420008562924*G0_1_1_4_9 - 0.00813472242043797*G0_1_1_5_0 + 0.00237286523000849*G0_1_1_5_1 + 0.00471909043337692*G0_1_1_5_2 - 0.00119880119880141*G0_1_1_5_3 - 0.00130155558727007*G0_1_1_5_4 + 0.068297416868857*G0_1_1_5_5 - 0.0199686028257489*G0_1_1_5_6 + 0.0194034536891713*G0_1_1_5_7 - 0.0060796346510643*G0_1_1_5_8 + 0.0527130012844389*G0_1_1_5_9 + 0.0063821892393331*G0_1_1_6_0 + 0.00196184767613371*G0_1_1_6_1 - 0.00439750725465082*G0_1_1_6_2 - 0.00484658198943991*G0_1_1_6_3 + 0.00614813757670998*G0_1_1_6_4 - 0.0199686028257489*G0_1_1_6_5 + 0.0483630655059303*G0_1_1_6_6 - 0.013323819038107*G0_1_1_6_7 - 0.011988011988014*G0_1_1_6_8 + 0.0422320536606321*G0_1_1_6_9 - 0.0444526901669832*G0_1_1_7_0 - 0.0201474715760464*G0_1_1_7_1 + 0.00478759335902274*G0_1_1_7_2 + 0.00679891537034501*G0_1_1_7_3 - 0.00887112887113034*G0_1_1_7_4 + 0.0194034536891713*G0_1_1_7_5 - 0.013323819038107*G0_1_1_7_6 + 0.135533038390205*G0_1_1_7_7 + 0.103114028828332*G0_1_1_7_8 + 0.0672013700585243*G0_1_1_7_9 + 0.00282003710575186*G0_1_1_8_0 + 0.000586080586080752*G0_1_1_8_1 + 0.00568383996955523*G0_1_1_8_2 + 0.00921364349935944*G0_1_1_8_3 - 0.0160125588697045*G0_1_1_8_4 - 0.0060796346510643*G0_1_1_8_5 - 0.011988011988014*G0_1_1_8_6 + 0.103114028828332*G0_1_1_8_7 + 0.361695447409796*G0_1_1_8_8 - 0.0348337376908862*G0_1_1_8_9 - 0.0135179106607701*G0_1_1_9_0 + 0.0222862851434318*G0_1_1_9_1 - 0.0108462965605841*G0_1_1_9_2 - 0.0804566861709854*G0_1_1_9_3 + 0.0351420008562924*G0_1_1_9_4 + 0.0527130012844389*G0_1_1_9_5 + 0.0422320536606321*G0_1_1_9_6 + 0.0672013700585243*G0_1_1_9_7 - 0.0348337376908862*G0_1_1_9_8 - 0.250309690309733*G0_1_1_9_9;
    A[113] = -A[110] + 0.00360133693467096*G0_0_1_0_0 - 0.000318869842679432*G0_0_1_0_1 - 0.00603519936853373*G0_0_1_0_2 + 0.0029744858316292*G0_0_1_0_3 - 0.000823620823620978*G0_0_1_0_4 + 0.00805607091321517*G0_0_1_0_5 - 0.00894882894883057*G0_0_1_0_6 + 0.00490874205160009*G0_0_1_0_7 - 0.00137925566497022*G0_0_1_0_8 - 0.00427952999381648*G0_0_1_0_9 - 0.000318869842679432*G0_0_1_1_0 - 0.00255659684231173*G0_0_1_1_1 - 0.00504261170927924*G0_0_1_1_2 + 0.00676466390752216*G0_0_1_1_3 - 0.00941058941059099*G0_0_1_1_4 + 0.00198499912785661*G0_0_1_1_5 - 0.0262382062382108*G0_0_1_1_6 + 0.000746872175443786*G0_0_1_1_7 + 0.00316064887493501*G0_0_1_1_8 - 0.0195632938490115*G0_0_1_1_9 - 0.00603519936853373*G0_0_1_2_0 - 0.00504261170927924*G0_0_1_2_1 - 0.19658859658863*G0_0_1_2_2 + 0.0241314241314281*G0_0_1_2_3 - 0.056521256521266*G0_0_1_2_4 + 0.0287490287490335*G0_0_1_2_5 - 0.0391164391164456*G0_0_1_2_6 + 0.00057498057498067*G0_0_1_2_7 - 0.00192918192918228*G0_0_1_2_8 + 0.0101232101232119*G0_0_1_2_9 + 0.0029744858316292*G0_0_1_3_0 + 0.00676466390752216*G0_0_1_3_1 + 0.0241314241314281*G0_0_1_3_2 - 0.0173826173826204*G0_0_1_3_3 + 0.0341058941058999*G0_0_1_3_4 - 0.0108691308691327*G0_0_1_3_5 + 0.08557442557444*G0_0_1_3_6 - 0.00206365063507952*G0_0_1_3_7 - 0.0105837020122753*G0_0_1_3_8 + 0.0628171828171934*G0_0_1_3_9 - 0.000823620823620976*G0_0_1_4_0 - 0.009410589410591*G0_0_1_4_1 - 0.056521256521266*G0_0_1_4_2 + 0.0341058941058999*G0_0_1_4_3 + 0.11148851148853*G0_0_1_4_4 + 0.00933066933067096*G0_0_1_4_5 - 0.0949050949051111*G0_0_1_4_6 - 0.00305694305694358*G0_0_1_4_7 + 0.0126473526473548*G0_0_1_4_8 - 0.0490309690309774*G0_0_1_4_9 + 0.00805607091321517*G0_0_1_5_0 + 0.00198499912785661*G0_0_1_5_1 + 0.0287490287490335*G0_0_1_5_2 - 0.0108691308691327*G0_0_1_5_3 + 0.00933066933067094*G0_0_1_5_4 - 0.0551048951049046*G0_0_1_5_5 + 0.0304295704295755*G0_0_1_5_6 - 0.0060396746111042*G0_0_1_5_7 + 0.000904809476238202*G0_0_1_5_8 + 0.0110289710289729*G0_0_1_5_9 - 0.00894882894883057*G0_0_1_6_0 - 0.0262382062382108*G0_0_1_6_1 - 0.0391164391164456*G0_0_1_6_2 + 0.08557442557444*G0_0_1_6_3 - 0.094905094905111*G0_0_1_6_4 + 0.0304295704295755*G0_0_1_6_5 - 0.491108891108975*G0_0_1_6_6 + 0.00513486513486594*G0_0_1_6_7 + 0.0388211788211854*G0_0_1_6_8 - 0.201518481518516*G0_0_1_6_9 + 0.00490874205160009*G0_0_1_7_0 + 0.000746872175443786*G0_0_1_7_1 + 0.00057498057498067*G0_0_1_7_2 - 0.00206365063507952*G0_0_1_7_3 - 0.00305694305694358*G0_0_1_7_4 - 0.0060396746111042*G0_0_1_7_5 + 0.00513486513486594*G0_0_1_7_6 + 0.0164349935778536*G0_0_1_7_7 - 0.00131582703011292*G0_0_1_7_8 + 0.00256885971171732*G0_0_1_7_9 - 0.00137925566497022*G0_0_1_8_0 + 0.00316064887493501*G0_0_1_8_1 - 0.00192918192918228*G0_0_1_8_2 - 0.0105837020122753*G0_0_1_8_3 + 0.0126473526473548*G0_0_1_8_4 + 0.000904809476238202*G0_0_1_8_5 + 0.0388211788211854*G0_0_1_8_6 - 0.00131582703011292*G0_0_1_8_7 - 0.000416726131012232*G0_0_1_8_8 + 0.0333951762523247*G0_0_1_8_9 - 0.00427952999381648*G0_0_1_9_0 - 0.0195632938490115*G0_0_1_9_1 + 0.0101232101232119*G0_0_1_9_2 + 0.0628171828171934*G0_0_1_9_3 - 0.0490309690309774*G0_0_1_9_4 + 0.0110289710289729*G0_0_1_9_5 - 0.201518481518516*G0_0_1_9_6 + 0.00256885971171732*G0_0_1_9_7 + 0.0333951762523247*G0_0_1_9_8 - 0.205714285714321*G0_0_1_9_9 - 0.0925010791677615*G0_1_1_0_0 - 0.00738964738964866*G0_1_1_0_1 - 0.00776556776556909*G0_1_1_0_2 + 0.00585446299732118*G0_1_1_0_3 - 0.00668918383204213*G0_1_1_0_4 - 0.0213545184973792*G0_1_1_0_5 - 0.00338296624010977*G0_1_1_0_6 - 0.0659359687931227*G0_1_1_0_7 + 0.0316968745540227*G0_1_1_0_8 - 0.011015651015653*G0_1_1_0_9 - 0.00738964738964866*G0_1_1_1_0 - 0.0029050314764607*G0_1_1_1_1 - 0.00621304621304727*G0_1_1_1_2 + 0.00866562009419295*G0_1_1_1_3 - 0.011337234194379*G0_1_1_1_4 - 0.0051821194678346*G0_1_1_1_5 - 0.0199159570588176*G0_1_1_1_6 - 0.0138388595531476*G0_1_1_1_7 + 0.0128544471401635*G0_1_1_1_8 - 0.0243870415299029*G0_1_1_1_9 - 0.00776556776556909*G0_1_1_2_0 - 0.00621304621304727*G0_1_1_2_1 - 0.18263711597048*G0_1_1_2_2 + 0.0260517260517304*G0_1_1_2_3 - 0.0535686535686626*G0_1_1_2_4 + 0.0125097125097146*G0_1_1_2_5 - 0.0384060384060448*G0_1_1_2_6 - 0.00991452991453157*G0_1_1_2_7 + 0.00236652236652275*G0_1_1_2_8 - 0.00126540126540145*G0_1_1_2_9 + 0.00585446299732118*G0_1_1_3_0 + 0.00866562009419295*G0_1_1_3_1 + 0.0260517260517304*G0_1_1_3_2 - 0.0180676466390783*G0_1_1_3_3 + 0.04279720279721*G0_1_1_3_4 - 0.010175538746969*G0_1_1_3_5 + 0.0780819180819312*G0_1_1_3_6 + 0.000770657913515266*G0_1_1_3_7 - 0.0120051377194255*G0_1_1_3_8 + 0.071619808762678*G0_1_1_3_9 - 0.00668918383204213*G0_1_1_4_0 - 0.011337234194379*G0_1_1_4_1 - 0.0535686535686626*G0_1_1_4_2 + 0.04279720279721*G0_1_1_4_3 + 0.0455544455544532*G0_1_1_4_4 + 0.0384015984016049*G0_1_1_4_5 - 0.116483516483536*G0_1_1_4_6 + 0.0157385471671212*G0_1_1_4_7 + 0.0112344798059103*G0_1_1_4_8 - 0.0730069930070054*G0_1_1_4_9 - 0.0213545184973792*G0_1_1_5_0 - 0.0051821194678346*G0_1_1_5_1 + 0.0125097125097146*G0_1_1_5_2 - 0.010175538746969*G0_1_1_5_3 + 0.0384015984016049*G0_1_1_5_4 - 0.195450264021725*G0_1_1_5_5 + 0.118241758241778*G0_1_1_5_6 - 0.0819580419580556*G0_1_1_5_7 + 0.0338804053089824*G0_1_1_5_8 - 0.0347138575710062*G0_1_1_5_9 - 0.00338296624010977*G0_1_1_6_0 - 0.0199159570588176*G0_1_1_6_1 - 0.0384060384060448*G0_1_1_6_2 + 0.0780819180819312*G0_1_1_6_3 - 0.116483516483536*G0_1_1_6_4 + 0.118241758241778*G0_1_1_6_5 - 0.422777222777295*G0_1_1_6_6 + 0.0480776366490732*G0_1_1_6_7 + 0.0171571285857029*G0_1_1_6_8 - 0.152367632367658*G0_1_1_6_9 - 0.0659359687931227*G0_1_1_7_0 - 0.0138388595531476*G0_1_1_7_1 - 0.00991452991453157*G0_1_1_7_2 + 0.000770657913515266*G0_1_1_7_3 + 0.0157385471671212*G0_1_1_7_4 - 0.0819580419580556*G0_1_1_7_5 + 0.0480776366490732*G0_1_1_7_6 - 0.276877408306026*G0_1_1_7_7 + 0.0557042957043052*G0_1_1_7_8 - 0.0631083202511881*G0_1_1_7_9 + 0.0316968745540227*G0_1_1_8_0 + 0.0128544471401635*G0_1_1_8_1 + 0.00236652236652275*G0_1_1_8_2 - 0.0120051377194255*G0_1_1_8_3 + 0.0112344798059103*G0_1_1_8_4 + 0.0338804053089824*G0_1_1_8_5 + 0.0171571285857029*G0_1_1_8_6 + 0.0557042957043052*G0_1_1_8_7 - 0.0460054231482883*G0_1_1_8_8 + 0.0506921649778879*G0_1_1_8_9 - 0.011015651015653*G0_1_1_9_0 - 0.0243870415299029*G0_1_1_9_1 - 0.00126540126540145*G0_1_1_9_2 + 0.071619808762678*G0_1_1_9_3 - 0.0730069930070054*G0_1_1_9_4 - 0.0347138575710062*G0_1_1_9_5 - 0.152367632367658*G0_1_1_9_6 - 0.0631083202511881*G0_1_1_9_7 + 0.0506921649778879*G0_1_1_9_8 - 0.315866990152758*G0_1_1_9_9;
    A[97] = A[113] - 0.0113269446602799*G0_0_0_0_0 - 0.00171433504766867*G0_0_0_0_1 + 0.00614482519244528*G0_0_0_0_2 + 0.000993292421864013*G0_0_0_0_3 + 0.00251938537652866*G0_0_0_0_4 - 0.0265461522604424*G0_0_0_0_5 - 0.00475080475080565*G0_0_0_0_6 - 0.00955552384123973*G0_0_0_0_7 + 0.00696319553462528*G0_0_0_0_8 - 0.0137386423100732*G0_0_0_0_9 - 0.00171433504766867*G0_0_0_1_0 + 0.000180983038125925*G0_0_0_1_1 + 0.010342391294774*G0_0_0_1_2 - 0.00161996733425332*G0_0_0_1_3 + 0.0100445586159889*G0_0_0_1_4 + 0.00220731649303117*G0_0_0_1_5 - 0.00645449788307045*G0_0_0_1_6 - 0.00213627642199106*G0_0_0_1_7 + 0.00153433867719608*G0_0_0_1_8 - 0.00493221064649721*G0_0_0_1_9 + 0.00614482519244528*G0_0_0_2_0 + 0.010342391294774*G0_0_0_2_1 + 0.204565804565839*G0_0_0_2_2 - 0.0486180486180567*G0_0_0_2_3 + 0.114179154179173*G0_0_0_2_4 - 0.0415850815850884*G0_0_0_2_5 + 0.0557842157842248*G0_0_0_2_6 - 0.006618143761002*G0_0_0_2_7 + 0.000490937633794874*G0_0_0_2_8 + 0.0116150516150535*G0_0_0_2_9 + 0.000993292421864013*G0_0_0_3_0 - 0.00161996733425332*G0_0_0_3_1 - 0.0486180486180567*G0_0_0_3_2 + 0.00525189096617747*G0_0_0_3_3 - 0.0548594262880069*G0_0_0_3_4 - 0.00656486370772197*G0_0_0_3_5 + 0.0228913943199697*G0_0_0_3_6 + 0.000548023405166363*G0_0_0_3_7 - 0.0026031111745402*G0_0_0_3_8 + 0.0137005851291589*G0_0_0_3_9 + 0.00251938537652866*G0_0_0_4_0 + 0.0100445586159889*G0_0_0_4_1 + 0.114179154179173*G0_0_0_4_2 - 0.0548594262880069*G0_0_0_4_3 + 0.109650349650368*G0_0_0_4_4 - 0.00403025545882749*G0_0_0_4_5 - 0.0188611388611422*G0_0_0_4_6 + 0.00438418724133085*G0_0_0_4_7 + 0.00205508776937384*G0_0_0_4_8 - 0.0267846439275057*G0_0_0_4_9 - 0.0265461522604424*G0_0_0_5_0 + 0.00220731649303117*G0_0_0_5_1 - 0.0415850815850884*G0_0_0_5_2 - 0.00656486370772197*G0_0_0_5_3 - 0.00403025545882749*G0_0_0_5_4 + 0.0460339660339737*G0_0_0_5_5 + 0.105049236477826*G0_0_0_5_6 - 0.0202882831454294*G0_0_0_5_7 - 0.00309404880833506*G0_0_0_5_8 + 0.0474040245468897*G0_0_0_5_9 - 0.00475080475080565*G0_0_0_6_0 - 0.00645449788307045*G0_0_0_6_1 + 0.0557842157842248*G0_0_0_6_2 + 0.0228913943199697*G0_0_0_6_3 - 0.0188611388611422*G0_0_0_6_4 + 0.105049236477826*G0_0_0_6_5 - 0.297302697302748*G0_0_0_6_6 + 0.0233823319537644*G0_0_0_6_7 + 0.0071813900385341*G0_0_0_6_8 - 0.0806279434850999*G0_0_0_6_9 - 0.00955552384123973*G0_0_0_7_0 - 0.00213627642199106*G0_0_0_7_1 - 0.006618143761002*G0_0_0_7_2 + 0.000548023405166363*G0_0_0_7_3 + 0.00438418724133085*G0_0_0_7_4 - 0.0202882831454294*G0_0_0_7_5 + 0.0233823319537644*G0_0_0_7_6 - 0.0331097473954672*G0_0_0_7_7 + 0.010269730269732*G0_0_0_7_8 - 0.00554873697730934*G0_0_0_7_9 + 0.00696319553462528*G0_0_0_8_0 + 0.00153433867719608*G0_0_0_8_1 + 0.000490937633794875*G0_0_0_8_2 - 0.0026031111745402*G0_0_0_8_3 + 0.00205508776937384*G0_0_0_8_4 - 0.00309404880833506*G0_0_0_8_5 + 0.0071813900385341*G0_0_0_8_6 + 0.010269730269732*G0_0_0_8_7 - 0.00358498644212991*G0_0_0_8_8 + 0.0106864564007439*G0_0_0_8_9 - 0.0137386423100732*G0_0_0_9_0 - 0.00493221064649721*G0_0_0_9_1 + 0.0116150516150535*G0_0_0_9_2 + 0.0137005851291589*G0_0_0_9_3 - 0.0267846439275057*G0_0_0_9_4 + 0.0474040245468897*G0_0_0_9_5 - 0.0806279434850999*G0_0_0_9_6 - 0.00554873697730935*G0_0_0_9_7 + 0.0106864564007439*G0_0_0_9_8 - 0.0764492650207065*G0_0_0_9_9 + 0.0183855650522346*G0_0_1_0_0 + 0.00165753118134098*G0_0_1_0_1 + 0.00614482519244528*G0_0_1_0_2 - 0.0026601969459117*G0_0_1_0_3 + 0.0032805289948153*G0_0_1_0_4 - 0.0177016634159523*G0_0_1_0_5 + 0.00317270031555808*G0_0_1_0_6 + 0.0136212993355871*G0_0_1_0_7 - 0.00551955980527494*G0_0_1_0_8 + 0.0038742210170788*G0_0_1_0_9 + 0.00165753118134098*G0_0_1_1_0 + 0.000180983038125945*G0_0_1_1_1 + 0.00697052506576435*G0_0_1_1_2 - 0.00334776334776392*G0_0_1_1_3 + 0.0140101168672621*G0_0_1_1_4 - 0.0224841824841863*G0_0_1_1_5 + 0.0182370010941471*G0_0_1_1_6 - 0.0061018346732643*G0_0_1_1_7 + 0.00326213469070669*G0_0_1_1_8 - 0.00493221064649717*G0_0_1_1_9 + 0.00614482519244528*G0_0_1_2_0 + 0.00697052506576435*G0_0_1_2_1 + 0.174853294853324*G0_0_1_2_2 - 0.0361352932781565*G0_0_1_2_3 + 0.0910023310023464*G0_0_1_2_4 - 0.0495085866514521*G0_0_1_2_5 + 0.0469397269397347*G0_0_1_2_6 - 0.00737928737928864*G0_0_1_2_7 + 0.00414442700157058*G0_0_1_2_8 - 0.00599781171209848*G0_0_1_2_9 - 0.0026601969459117*G0_0_1_3_0 - 0.00334776334776392*G0_0_1_3_1 - 0.0361352932781565*G0_0_1_3_2 + 0.0150706436420747*G0_0_1_3_3 - 0.0625089196517874*G0_0_1_3_4 + 0.0359526188097676*G0_0_1_3_5 - 0.0511831026116827*G0_0_1_3_6 + 0.0115084915084934*G0_0_1_3_7 - 0.00260311117454017*G0_0_1_3_8 - 0.00822035107749537*G0_0_1_3_9 + 0.0032805289948153*G0_0_1_4_0 + 0.0140101168672621*G0_0_1_4_1 + 0.0910023310023464*G0_0_1_4_2 - 0.0625089196517874*G0_0_1_4_3 + 0.0941915227629675*G0_0_1_4_4 - 0.00631368631368737*G0_0_1_4_5 + 0.0574967889253701*G0_0_1_4_6 + 0.00438418724133087*G0_0_1_4_7 - 0.00890538033395328*G0_0_1_4_8 + 0.0306208077636701*G0_0_1_4_9 - 0.0177016634159523*G0_0_1_5_0 - 0.0224841824841863*G0_0_1_5_1 - 0.0495085866514521*G0_0_1_5_2 + 0.0359526188097676*G0_0_1_5_3 - 0.00631368631368737*G0_0_1_5_4 - 0.477807906379415*G0_0_1_5_5 + 0.105049236477826*G0_0_1_5_6 - 0.0966462109319415*G0_0_1_5_7 + 0.0709804481233172*G0_0_1_5_8 - 0.153583559297871*G0_0_1_5_9 + 0.00317270031555808*G0_0_1_6_0 + 0.0182370010941471*G0_0_1_6_1 + 0.0469397269397347*G0_0_1_6_2 - 0.0511831026116827*G0_0_1_6_3 + 0.0574967889253701*G0_0_1_6_4 + 0.105049236477826*G0_0_1_6_5 + 0.226539175110642*G0_0_1_6_6 + 0.0256657628086243*G0_0_1_6_7 - 0.0353360924789556*G0_0_1_6_8 + 0.120359640359661*G0_0_1_6_9 + 0.0136212993355871*G0_0_1_7_0 - 0.0061018346732643*G0_0_1_7_1 - 0.00737928737928864*G0_0_1_7_2 + 0.0115084915084934*G0_0_1_7_3 + 0.00438418724133087*G0_0_1_7_4 - 0.0966462109319415*G0_0_1_7_5 + 0.0256657628086243*G0_0_1_7_6 - 0.0176509205080668*G0_0_1_7_7 + 0.0179192236335125*G0_0_1_7_8 - 0.0629541886684851*G0_0_1_7_9 - 0.00551955980527494*G0_0_1_8_0 + 0.0032621346907067*G0_0_1_8_1 + 0.00414442700157058*G0_0_1_8_2 - 0.00260311117454017*G0_0_1_8_3 - 0.00890538033395328*G0_0_1_8_4 + 0.0709804481233172*G0_0_1_8_5 - 0.0353360924789556*G0_0_1_8_6 + 0.0179192236335125*G0_0_1_8_7 - 0.0134037391180271*G0_0_1_8_8 + 0.0326073926073982*G0_0_1_8_9 + 0.0038742210170788*G0_0_1_9_0 - 0.00493221064649717*G0_0_1_9_1 - 0.00599781171209848*G0_0_1_9_2 - 0.00822035107749537*G0_0_1_9_3 + 0.0306208077636701*G0_0_1_9_4 - 0.153583559297871*G0_0_1_9_5 + 0.120359640359661*G0_0_1_9_6 - 0.0629541886684851*G0_0_1_9_7 + 0.0326073926073982*G0_0_1_9_8 - 0.0764492650207066*G0_0_1_9_9 + 0.0196090329423699*G0_1_0_0_0 + 0.000216221168602167*G0_1_0_0_1 + 0.00614482519244528*G0_1_0_0_2 + 0.0023062651634084*G0_1_0_0_3 - 0.00330526616240959*G0_1_0_0_4 + 0.0126058068915234*G0_1_0_0_5 - 0.0273732616589807*G0_1_0_0_6 + 0.012386978101266*G0_1_0_0_7 - 0.00324500895929528*G0_1_0_0_8 - 0.00943056943057102*G0_1_0_0_9 + 0.000216221168602167*G0_1_0_1_0 + 0.000180983038125914*G0_1_0_1_1 + 0.00841183507850316*G0_1_0_1_2 + 0.000108462965605837*G0_1_0_1_3 + 0.00484848484848567*G0_1_0_1_4 + 0.00830027115741543*G0_1_0_1_5 - 0.0125474525474547*G0_1_0_1_6 + 0.00305979734551217*G0_1_0_1_7 - 0.000194091622663102*G0_1_0_1_8 - 0.0049322106464972*G0_1_0_1_9 + 0.00614482519244528*G0_1_0_2_0 + 0.00841183507850316*G0_1_0_2_1 + 0.173629826963189*G0_1_0_2_2 - 0.0384098441241362*G0_1_0_2_3 + 0.0922366522366676*G0_1_0_2_4 - 0.0189626246769134*G0_1_0_2_5 + 0.0166322566322591*G0_1_0_2_6 - 0.000793492222063768*G0_1_0_2_7 - 0.000822035107749524*G0_1_0_2_8 + 0.00730697873555137*G0_1_0_2_9 + 0.0023062651634084*G0_1_0_3_0 + 0.000108462965605838*G0_1_0_3_1 - 0.0384098441241362*G0_1_0_3_2 - 0.00271728271728326*G0_1_0_3_3 - 0.0328071928071983*G0_1_0_3_4 - 0.0176737548166149*G0_1_0_3_5 + 0.0411702583131224*G0_1_0_3_6 - 0.00339089481946681*G0_1_0_3_7 - 0.00260311117454019*G0_1_0_3_8 + 0.0215784215784252*G0_1_0_3_9 - 0.00330526616240959*G0_1_0_4_0 + 0.00484848484848567*G0_1_0_4_1 + 0.0922366522366676*G0_1_0_4_2 - 0.0328071928071983*G0_1_0_4_3 + 0.0575310403881929*G0_1_0_4_4 + 0.0134436991579872*G0_1_0_4_5 - 0.0546139574711096*G0_1_0_4_6 + 0.00438418724133083*G0_1_0_4_7 + 0.00599400599400701*G0_1_0_4_8 - 0.0488083345226285*G0_1_0_4_9 + 0.0126058068915234*G0_1_0_5_0 + 0.00830027115741543*G0_1_0_5_1 - 0.0189626246769134*G0_1_0_5_2 - 0.0176737548166149*G0_1_0_5_3 + 0.0134436991579872*G0_1_0_5_4 + 0.078572855715726*G0_1_0_5_5 + 0.105049236477826*G0_1_0_5_6 + 0.0154645354645381*G0_1_0_5_7 - 0.0213729128014878*G0_1_0_5_8 + 0.0710375338946887*G0_1_0_5_9 - 0.0273732616589807*G0_1_0_6_0 - 0.0125474525474547*G0_1_0_6_1 + 0.0166322566322591*G0_1_0_6_2 + 0.0411702583131224*G0_1_0_6_3 - 0.0546139574711096*G0_1_0_6_4 + 0.105049236477826*G0_1_0_6_5 - 0.3298415869845*G0_1_0_6_6 + 0.00590837733694971*G0_1_0_6_7 + 0.0182902811474271*G0_1_0_6_8 - 0.104261452832899*G0_1_0_6_9 + 0.012386978101266*G0_1_0_7_0 + 0.00305979734551217*G0_1_0_7_1 - 0.000793492222063768*G0_1_0_7_2 - 0.00339089481946681*G0_1_0_7_3 + 0.00438418724133083*G0_1_0_7_4 + 0.0154645354645381*G0_1_0_7_5 + 0.00590837733694971*G0_1_0_7_6 + 0.0190095618667082*G0_1_0_7_7 - 0.0117825032110767*G0_1_0_7_8 + 0.0164749536178136*G0_1_0_7_9 - 0.00324500895929528*G0_1_0_8_0 - 0.000194091622663102*G0_1_0_8_1 - 0.000822035107749524*G0_1_0_8_2 - 0.00260311117454019*G0_1_0_8_3 + 0.00599400599400701*G0_1_0_8_4 - 0.0213729128014878*G0_1_0_8_5 + 0.0182902811474271*G0_1_0_8_6 - 0.0117825032110767*G0_1_0_8_7 + 0.00438418724133086*G0_1_0_8_8 + 0.00280861995147754*G0_1_0_8_9 - 0.00943056943057102*G0_1_0_9_0 - 0.0049322106464972*G0_1_0_9_1 + 0.00730697873555137*G0_1_0_9_2 + 0.0215784215784252*G0_1_0_9_3 - 0.0488083345226285*G0_1_0_9_4 + 0.0710375338946887*G0_1_0_9_5 - 0.104261452832899*G0_1_0_9_6 + 0.0164749536178136*G0_1_0_9_7 + 0.00280861995147754*G0_1_0_9_8 - 0.0764492650207065*G0_1_0_9_9 - 0.155244261910955*G0_1_1_0_0 - 0.0067543038971622*G0_1_1_0_1 - 0.0018381618381621*G0_1_1_0_3 + 0.00407402121687905*G0_1_1_0_4 - 0.0343339200482115*G0_1_1_0_5 + 0.0221353249924716*G0_1_1_0_6 - 0.0786153529010804*G0_1_1_0_7 + 0.0328902843188613*G0_1_1_0_8 - 0.00343275771847265*G0_1_1_0_9 - 0.0067543038971622*G0_1_1_1_0 + 0.00675430389716218*G0_1_1_1_2 - 0.00315367172510084*G0_1_1_1_3 + 0.01095031952175*G0_1_1_1_4 - 0.0099367299367316*G0_1_1_1_5 + 0.00993672993673164*G0_1_1_1_6 - 0.0109503195217499*G0_1_1_1_7 + 0.00315367172510083*G0_1_1_1_8 + 0.00675430389716218*G0_1_1_2_1 + 0.155244261910955*G0_1_1_2_2 - 0.0328902843188612*G0_1_1_2_3 + 0.0786153529010804*G0_1_1_2_4 - 0.0221353249924715*G0_1_1_2_5 + 0.0343339200482114*G0_1_1_2_6 - 0.00407402121687903*G0_1_1_2_7 + 0.00183816183816215*G0_1_1_2_8 + 0.00343275771847255*G0_1_1_2_9 - 0.0018381618381621*G0_1_1_3_0 - 0.00315367172510084*G0_1_1_3_1 - 0.0328902843188612*G0_1_1_3_2 + 0.0106864564007439*G0_1_1_3_3 - 0.0507264164407107*G0_1_1_3_4 + 0.0176623376623406*G0_1_1_3_5 - 0.0298101898101948*G0_1_1_3_6 + 0.00551448551448648*G0_1_1_3_7 - 0.0110289710289729*G0_1_1_3_9 + 0.00407402121687905*G0_1_1_4_0 + 0.01095031952175*G0_1_1_4_1 + 0.0786153529010804*G0_1_1_4_2 - 0.0507264164407107*G0_1_1_4_3 + 0.0751819608962595*G0_1_1_4_4 - 0.0122220636506371*G0_1_1_4_5 + 0.042032253460832*G0_1_1_4_6 - 0.00551448551448643*G0_1_1_4_8 + 0.0141458541458566*G0_1_1_4_9 - 0.0343339200482115*G0_1_1_5_0 - 0.0099367299367316*G0_1_1_5_1 - 0.0221353249924715*G0_1_1_5_2 + 0.0176623376623406*G0_1_1_5_3 - 0.0122220636506371*G0_1_1_5_4 - 0.147966319394915*G0_1_1_5_5 - 0.0420322534608319*G0_1_1_5_7 + 0.0298101898101948*G0_1_1_5_8 - 0.0493221064649719*G0_1_1_5_9 + 0.0221353249924716*G0_1_1_6_0 + 0.00993672993673164*G0_1_1_6_1 + 0.0343339200482114*G0_1_1_6_2 - 0.0298101898101948*G0_1_1_6_3 + 0.042032253460832*G0_1_1_6_4 + 0.147966319394916*G0_1_1_6_6 + 0.0122220636506371*G0_1_1_6_7 - 0.0176623376623406*G0_1_1_6_8 + 0.049322106464972*G0_1_1_6_9 - 0.0786153529010804*G0_1_1_7_0 - 0.0109503195217499*G0_1_1_7_1 - 0.00407402121687903*G0_1_1_7_2 + 0.00551448551448648*G0_1_1_7_3 - 0.0420322534608319*G0_1_1_7_5 + 0.0122220636506371*G0_1_1_7_6 - 0.0751819608962592*G0_1_1_7_7 + 0.0507264164407107*G0_1_1_7_8 - 0.0141458541458566*G0_1_1_7_9 + 0.0328902843188613*G0_1_1_8_0 + 0.00315367172510083*G0_1_1_8_1 + 0.00183816183816215*G0_1_1_8_2 - 0.00551448551448643*G0_1_1_8_4 + 0.0298101898101948*G0_1_1_8_5 - 0.0176623376623406*G0_1_1_8_6 + 0.0507264164407107*G0_1_1_8_7 - 0.0106864564007439*G0_1_1_8_8 + 0.0110289710289729*G0_1_1_8_9 - 0.00343275771847266*G0_1_1_9_0 + 0.00343275771847255*G0_1_1_9_2 - 0.0110289710289729*G0_1_1_9_3 + 0.0141458541458566*G0_1_1_9_4 - 0.0493221064649719*G0_1_1_9_5 + 0.049322106464972*G0_1_1_9_6 - 0.0141458541458566*G0_1_1_9_7 + 0.0110289710289729*G0_1_1_9_8;
    A[111] = A[97] + 0.000749867416534628*G0_0_1_0_0 - 0.000741974075307513*G0_0_1_0_1 + 0.00266005599338979*G0_0_1_0_2 + 0.00133200133200156*G0_0_1_0_3 - 0.000319680319680389*G0_0_1_0_4 + 0.0198912198912235*G0_0_1_0_5 - 0.0143412143412168*G0_0_1_0_6 - 0.00435120435120481*G0_0_1_0_7 + 0.00244200244200274*G0_0_1_0_8 - 0.00719280719280836*G0_0_1_0_9 - 0.000741974075307513*G0_0_1_1_0 + 0.00203309917595665*G0_0_1_1_1 + 0.000699335937431286*G0_0_1_1_2 - 0.00323739752311236*G0_0_1_1_3 - 0.000598132026703566*G0_0_1_1_4 + 0.0279244564958898*G0_0_1_1_5 - 0.00285999714571191*G0_0_1_1_6 + 0.0085634999920729*G0_0_1_1_7 - 0.00669362383648214*G0_0_1_1_8 + 0.0181494695780441*G0_0_1_1_9 + 0.00266005599338979*G0_0_1_2_0 + 0.000699335937431286*G0_0_1_2_1 - 0.000473600473600774*G0_0_1_2_2 + 0.000167451596023091*G0_0_1_2_3 - 0.00311688311688374*G0_0_1_2_4 + 0.0162047476333219*G0_0_1_2_5 - 0.0104162504162522*G0_0_1_2_6 + 0.00626611483754449*G0_0_1_2_7 - 0.00363446077731854*G0_0_1_2_8 + 0.00611198325484144*G0_0_1_2_9 + 0.00133200133200156*G0_0_1_3_0 - 0.00323739752311236*G0_0_1_3_1 + 0.000167451596023091*G0_0_1_3_2 + 0.00349364920793545*G0_0_1_3_3 + 0.000770657913515251*G0_0_1_3_4 - 0.0396175253318176*G0_0_1_3_5 - 0.0125303268160432*G0_0_1_3_7 + 0.0101612673041261*G0_0_1_3_8 - 0.0293877551020457*G0_0_1_3_9 - 0.000319680319680389*G0_0_1_4_0 - 0.000598132026703562*G0_0_1_4_1 - 0.00311688311688374*G0_0_1_4_2 + 0.000770657913515251*G0_0_1_4_3 - 0.00565149136577806*G0_0_1_4_4 - 0.00757528186099746*G0_0_1_4_5 + 0.0075296132439002*G0_0_1_4_6 - 0.0046524903667769*G0_0_1_4_7 + 0.00236905951191707*G0_0_1_4_8 - 0.00318538604252948*G0_0_1_4_9 + 0.0198912198912235*G0_0_1_5_0 + 0.0279244564958898*G0_0_1_5_1 + 0.0162047476333219*G0_0_1_5_2 - 0.0396175253318176*G0_0_1_5_3 - 0.00757528186099746*G0_0_1_5_4 + 0.624815184815289*G0_0_1_5_5 - 0.065934065934077*G0_0_1_5_6 + 0.11964035964038*G0_0_1_5_7 - 0.0923076923077079*G0_0_1_5_8 + 0.206193806193841*G0_0_1_5_9 - 0.0143412143412168*G0_0_1_6_0 - 0.00285999714571191*G0_0_1_6_1 - 0.0104162504162522*G0_0_1_6_2 + 0.00752961324390019*G0_0_1_6_4 - 0.065934065934077*G0_0_1_6_5 + 0.0684344227201486*G0_0_1_6_6 - 0.027332667332672*G0_0_1_6_7 + 0.014008848294565*G0_0_1_6_8 - 0.0184272869987187*G0_0_1_6_9 - 0.00435120435120481*G0_0_1_7_0 + 0.00856349999207289*G0_0_1_7_1 + 0.00626611483754449*G0_0_1_7_2 - 0.0125303268160432*G0_0_1_7_3 - 0.0046524903667769*G0_0_1_7_4 + 0.11964035964038*G0_0_1_7_5 - 0.027332667332672*G0_0_1_7_6 + 0.0310089910089968*G0_0_1_7_7 - 0.028931068931074*G0_0_1_7_8 + 0.0762437562437692*G0_0_1_7_9 + 0.00244200244200274*G0_0_1_8_0 - 0.00669362383648214*G0_0_1_8_1 - 0.00363446077731854*G0_0_1_8_2 + 0.0101612673041261*G0_0_1_8_3 + 0.00236905951191707*G0_0_1_8_4 - 0.0923076923077079*G0_0_1_8_5 + 0.014008848294565*G0_0_1_8_6 - 0.028931068931074*G0_0_1_8_7 + 0.0212815755672935*G0_0_1_8_8 - 0.0591865277579664*G0_0_1_8_9 - 0.00719280719280836*G0_0_1_9_0 + 0.0181494695780441*G0_0_1_9_1 + 0.00611198325484144*G0_0_1_9_2 - 0.0293877551020457*G0_0_1_9_3 - 0.00318538604252949*G0_0_1_9_4 + 0.206193806193841*G0_0_1_9_5 - 0.0184272869987187*G0_0_1_9_6 + 0.0762437562437692*G0_0_1_9_7 - 0.0591865277579664*G0_0_1_9_8 + 0.170161267304153*G0_0_1_9_9 - 0.000749867416534631*G0_1_0_0_0 + 0.000741974075307513*G0_1_0_0_1 - 0.00266005599338979*G0_1_0_0_2 - 0.00133200133200156*G0_1_0_0_3 + 0.000319680319680389*G0_1_0_0_4 - 0.0198912198912235*G0_1_0_0_5 + 0.0143412143412168*G0_1_0_0_6 + 0.00435120435120481*G0_1_0_0_7 - 0.00244200244200273*G0_1_0_0_8 + 0.00719280719280836*G0_1_0_0_9 + 0.000741974075307513*G0_1_0_1_0 - 0.00203309917595665*G0_1_0_1_1 - 0.000699335937431284*G0_1_0_1_2 + 0.00323739752311236*G0_1_0_1_3 + 0.000598132026703562*G0_1_0_1_4 - 0.0279244564958898*G0_1_0_1_5 + 0.00285999714571191*G0_1_0_1_6 - 0.0085634999920729*G0_1_0_1_7 + 0.00669362383648214*G0_1_0_1_8 - 0.0181494695780441*G0_1_0_1_9 - 0.00266005599338979*G0_1_0_2_0 - 0.000699335937431284*G0_1_0_2_1 + 0.000473600473600774*G0_1_0_2_2 - 0.000167451596023094*G0_1_0_2_3 + 0.00311688311688373*G0_1_0_2_4 - 0.0162047476333219*G0_1_0_2_5 + 0.0104162504162522*G0_1_0_2_6 - 0.00626611483754449*G0_1_0_2_7 + 0.00363446077731854*G0_1_0_2_8 - 0.00611198325484144*G0_1_0_2_9 - 0.00133200133200156*G0_1_0_3_0 + 0.00323739752311236*G0_1_0_3_1 - 0.000167451596023091*G0_1_0_3_2 - 0.00349364920793545*G0_1_0_3_3 - 0.000770657913515251*G0_1_0_3_4 + 0.0396175253318176*G0_1_0_3_5 + 0.0125303268160432*G0_1_0_3_7 - 0.0101612673041261*G0_1_0_3_8 + 0.0293877551020457*G0_1_0_3_9 + 0.000319680319680389*G0_1_0_4_0 + 0.000598132026703566*G0_1_0_4_1 + 0.00311688311688374*G0_1_0_4_2 - 0.000770657913515251*G0_1_0_4_3 + 0.00565149136577808*G0_1_0_4_4 + 0.00757528186099747*G0_1_0_4_5 - 0.00752961324390021*G0_1_0_4_6 + 0.00465249036677689*G0_1_0_4_7 - 0.00236905951191707*G0_1_0_4_8 + 0.00318538604252948*G0_1_0_4_9 - 0.0198912198912235*G0_1_0_5_0 - 0.0279244564958898*G0_1_0_5_1 - 0.0162047476333219*G0_1_0_5_2 + 0.0396175253318176*G0_1_0_5_3 + 0.00757528186099747*G0_1_0_5_4 - 0.624815184815289*G0_1_0_5_5 + 0.065934065934077*G0_1_0_5_6 - 0.11964035964038*G0_1_0_5_7 + 0.0923076923077079*G0_1_0_5_8 - 0.206193806193841*G0_1_0_5_9 + 0.0143412143412168*G0_1_0_6_0 + 0.00285999714571191*G0_1_0_6_1 + 0.0104162504162522*G0_1_0_6_2 - 0.00752961324390019*G0_1_0_6_4 + 0.065934065934077*G0_1_0_6_5 - 0.0684344227201486*G0_1_0_6_6 + 0.027332667332672*G0_1_0_6_7 - 0.014008848294565*G0_1_0_6_8 + 0.0184272869987187*G0_1_0_6_9 + 0.00435120435120481*G0_1_0_7_0 - 0.00856349999207289*G0_1_0_7_1 - 0.00626611483754449*G0_1_0_7_2 + 0.0125303268160432*G0_1_0_7_3 + 0.00465249036677689*G0_1_0_7_4 - 0.11964035964038*G0_1_0_7_5 + 0.027332667332672*G0_1_0_7_6 - 0.0310089910089968*G0_1_0_7_7 + 0.028931068931074*G0_1_0_7_8 - 0.0762437562437692*G0_1_0_7_9 - 0.00244200244200273*G0_1_0_8_0 + 0.00669362383648214*G0_1_0_8_1 + 0.00363446077731854*G0_1_0_8_2 - 0.0101612673041261*G0_1_0_8_3 - 0.00236905951191707*G0_1_0_8_4 + 0.0923076923077079*G0_1_0_8_5 - 0.014008848294565*G0_1_0_8_6 + 0.028931068931074*G0_1_0_8_7 - 0.0212815755672935*G0_1_0_8_8 + 0.0591865277579664*G0_1_0_8_9 + 0.00719280719280836*G0_1_0_9_0 - 0.0181494695780441*G0_1_0_9_1 - 0.00611198325484144*G0_1_0_9_2 + 0.0293877551020457*G0_1_0_9_3 + 0.00318538604252948*G0_1_0_9_4 - 0.206193806193841*G0_1_0_9_5 + 0.0184272869987187*G0_1_0_9_6 - 0.0762437562437692*G0_1_0_9_7 + 0.0591865277579664*G0_1_0_9_8 - 0.170161267304153*G0_1_0_9_9;
    A[72] = A[202] + 0.00536352536352632*G0_0_0_0_0 + 0.000421166135451921*G0_0_0_0_2 + 0.00400742115027902*G0_0_0_0_3 + 0.00760382474668326*G0_0_0_0_4 + 0.0252737738452067*G0_0_0_0_5 + 0.00730317301745989*G0_0_0_0_6 + 0.00373721516578724*G0_0_0_0_7 - 0.00166309880595623*G0_0_0_0_8 + 0.00267161410018601*G0_0_0_0_9 - 0.00536352536352634*G0_0_0_1_1 - 0.000421166135451907*G0_0_0_1_2 - 0.0252737738452067*G0_0_0_1_3 - 0.00730317301745988*G0_0_0_1_4 - 0.00400742115027899*G0_0_0_1_5 - 0.00760382474668321*G0_0_0_1_6 + 0.00166309880595626*G0_0_0_1_7 - 0.00373721516578728*G0_0_0_1_8 - 0.002671614100186*G0_0_0_1_9 + 0.000421166135451921*G0_0_0_2_0 - 0.000421166135451907*G0_0_0_2_1 - 0.00873792873793029*G0_0_0_2_3 - 0.0260006660006702*G0_0_0_2_4 + 0.00873792873793022*G0_0_0_2_5 + 0.0260006660006703*G0_0_0_2_6 - 0.000411017553874763*G0_0_0_2_7 + 0.000411017553874765*G0_0_0_2_8 + 0.00400742115027902*G0_0_0_3_0 - 0.0252737738452067*G0_0_0_3_1 - 0.00873792873793029*G0_0_0_3_2 + 0.153035535892705*G0_0_0_3_3 + 0.107618096189543*G0_0_0_3_4 + 0.0228114742400495*G0_0_0_3_6 - 0.0120222634508369*G0_0_0_3_7 + 0.0132553161124612*G0_0_0_3_8 + 0.0320593692022319*G0_0_0_3_9 + 0.00760382474668326*G0_0_0_4_0 - 0.00730317301745988*G0_0_0_4_1 - 0.0260006660006702*G0_0_0_4_2 + 0.107618096189543*G0_0_0_4_3 + 0.351968031968093*G0_0_0_4_4 - 0.0228114742400496*G0_0_0_4_5 - 0.0107892107892127*G0_0_0_4_7 - 0.00123305266162431*G0_0_0_4_8 + 0.0456229484800993*G0_0_0_4_9 + 0.0252737738452067*G0_0_0_5_0 - 0.00400742115027898*G0_0_0_5_1 + 0.00873792873793022*G0_0_0_5_2 - 0.0228114742400496*G0_0_0_5_4 - 0.153035535892705*G0_0_0_5_5 - 0.107618096189543*G0_0_0_5_6 - 0.0132553161124612*G0_0_0_5_7 + 0.0120222634508369*G0_0_0_5_8 - 0.0320593692022318*G0_0_0_5_9 + 0.00730317301745989*G0_0_0_6_0 - 0.0076038247466832*G0_0_0_6_1 + 0.0260006660006703*G0_0_0_6_2 + 0.0228114742400495*G0_0_0_6_3 - 0.107618096189543*G0_0_0_6_5 - 0.351968031968092*G0_0_0_6_6 + 0.00123305266162425*G0_0_0_6_7 + 0.0107892107892126*G0_0_0_6_8 - 0.045622948480099*G0_0_0_6_9 + 0.00373721516578724*G0_0_0_7_0 + 0.00166309880595626*G0_0_0_7_1 - 0.000411017553874762*G0_0_0_7_2 - 0.0120222634508369*G0_0_0_7_3 - 0.0107892107892127*G0_0_0_7_4 - 0.0132553161124612*G0_0_0_7_5 + 0.00123305266162425*G0_0_0_7_6 - 0.0199343513629261*G0_0_0_7_7 - 0.0104809476238066*G0_0_0_7_9 - 0.00166309880595623*G0_0_0_8_0 - 0.00373721516578728*G0_0_0_8_1 + 0.000411017553874766*G0_0_0_8_2 + 0.0132553161124612*G0_0_0_8_3 - 0.00123305266162431*G0_0_0_8_4 + 0.0120222634508369*G0_0_0_8_5 + 0.0107892107892126*G0_0_0_8_6 + 0.0199343513629261*G0_0_0_8_8 + 0.0104809476238065*G0_0_0_8_9 + 0.00267161410018601*G0_0_0_9_0 - 0.002671614100186*G0_0_0_9_1 + 0.0320593692022319*G0_0_0_9_3 + 0.0456229484800993*G0_0_0_9_4 - 0.0320593692022318*G0_0_0_9_5 - 0.045622948480099*G0_0_0_9_6 - 0.0104809476238066*G0_0_0_9_7 + 0.0104809476238065*G0_0_0_9_8 - 0.0054641654641663*G0_0_1_0_0 + 0.000375708947137578*G0_0_1_0_1 - 0.000428354714069075*G0_0_1_0_2 + 0.00290376290376342*G0_0_1_0_3 + 0.00939441510870252*G0_0_1_0_4 + 0.0163493649207963*G0_0_1_0_5 - 0.00965891251605704*G0_0_1_0_6 + 0.00466961609818838*G0_0_1_0_7 + 0.000182674468388728*G0_0_1_0_8 + 0.015230483801915*G0_0_1_0_9 + 0.000375708947137578*G0_0_1_1_0 - 0.00194768194768239*G0_0_1_1_1 - 0.00142143570715023*G0_0_1_1_2 - 0.0201607915893665*G0_0_1_1_3 - 0.00576946862661235*G0_0_1_1_4 + 0.00474192474192553*G0_0_1_1_5 - 0.00223395651967119*G0_0_1_1_6 - 0.00146900718329309*G0_0_1_1_7 + 0.00273821416678595*G0_0_1_1_8 - 0.00379049521906733*G0_0_1_1_9 - 0.000428354714069075*G0_0_1_2_0 - 0.00142143570715023*G0_0_1_2_1 - 0.0248403448403488*G0_0_1_2_2 - 0.0027515341801062*G0_0_1_2_3 - 0.032687312687318*G0_0_1_2_4 + 0.0119537605251911*G0_0_1_2_5 - 0.0199000999001032*G0_0_1_2_6 - 0.00318728890157512*G0_0_1_2_7 + 0.00204747633319095*G0_0_1_2_8 - 0.0135179106607701*G0_0_1_2_9 + 0.00290376290376342*G0_0_1_3_0 - 0.0201607915893665*G0_0_1_3_1 - 0.0027515341801062*G0_0_1_3_2 + 0.136697588126183*G0_0_1_3_3 + 0.0874268588554449*G0_0_1_3_4 - 0.0119880119880139*G0_0_1_3_5 + 0.00774083059797472*G0_0_1_3_6 - 0.00767232767232894*G0_0_1_3_7 + 0.0127757956329406*G0_0_1_3_8 + 0.0267161410018599*G0_0_1_3_9 + 0.00939441510870252*G0_0_1_4_0 - 0.00576946862661235*G0_0_1_4_1 - 0.032687312687318*G0_0_1_4_2 + 0.087426858855445*G0_0_1_4_3 + 0.408688454402811*G0_0_1_4_4 - 0.0271442842871462*G0_0_1_4_5 + 0.0194034536891715*G0_0_1_4_6 - 0.00983016983017161*G0_0_1_4_7 - 0.00510346796061166*G0_0_1_4_8 + 0.0948423005566025*G0_0_1_4_9 + 0.0163493649207963*G0_0_1_5_0 + 0.00474192474192553*G0_0_1_5_1 + 0.0119537605251911*G0_0_1_5_2 - 0.0119880119880139*G0_0_1_5_3 - 0.0271442842871462*G0_0_1_5_4 + 0.273360924789542*G0_0_1_5_5 - 0.0042814328528622*G0_0_1_5_6 + 0.00258598544312882*G0_0_1_5_7 - 0.0131868131868154*G0_0_1_5_8 - 0.0193178250321139*G0_0_1_5_9 - 0.00965891251605704*G0_0_1_6_0 - 0.00223395651967119*G0_0_1_6_1 - 0.0199000999001032*G0_0_1_6_2 + 0.00774083059797472*G0_0_1_6_3 + 0.0194034536891715*G0_0_1_6_4 - 0.00428143285286221*G0_0_1_6_5 - 0.204857999143749*G0_0_1_6_6 + 0.0106008277436866*G0_0_1_6_7 - 0.000239760239760288*G0_0_1_6_8 + 0.0250720707863607*G0_0_1_6_9 + 0.00466961609818838*G0_0_1_7_0 - 0.00146900718329309*G0_0_1_7_1 - 0.00318728890157512*G0_0_1_7_2 - 0.00767232767232894*G0_0_1_7_3 - 0.00983016983017161*G0_0_1_7_4 + 0.00258598544312881*G0_0_1_7_5 + 0.0106008277436866*G0_0_1_7_6 - 0.024387041529902*G0_0_1_7_7 - 0.00450406736121093*G0_0_1_7_8 - 0.0668931068931181*G0_0_1_7_9 + 0.000182674468388727*G0_0_1_8_0 + 0.00273821416678595*G0_0_1_8_1 + 0.00204747633319095*G0_0_1_8_2 + 0.0127757956329406*G0_0_1_8_3 - 0.00510346796061166*G0_0_1_8_4 - 0.0131868131868154*G0_0_1_8_5 - 0.000239760239760289*G0_0_1_8_6 - 0.00450406736121093*G0_0_1_8_7 + 0.0166119594691051*G0_0_1_8_8 + 0.0215784215784253*G0_0_1_8_9 + 0.015230483801915*G0_0_1_9_0 - 0.00379049521906733*G0_0_1_9_1 - 0.0135179106607701*G0_0_1_9_2 + 0.0267161410018599*G0_0_1_9_3 + 0.0948423005566025*G0_0_1_9_4 - 0.0193178250321139*G0_0_1_9_5 + 0.0250720707863607*G0_0_1_9_6 - 0.0668931068931181*G0_0_1_9_7 + 0.0215784215784253*G0_0_1_9_8 - 0.250309690309732*G0_0_1_9_9 + 0.00341584341584399*G0_1_0_0_0 + 0.000375708947137579*G0_1_0_0_1 - 0.00100026957169832*G0_1_0_0_2 + 0.00874934589220461*G0_1_0_0_3 + 0.00536986822701204*G0_1_0_0_4 + 0.00511298225584021*G0_1_0_0_5 + 0.00153370439084755*G0_1_0_0_6 + 0.00647542933257327*G0_1_0_0_7 - 0.00313210598924934*G0_1_0_0_8 - 0.0011188811188813*G0_1_0_0_9 + 0.000375708947137579*G0_1_0_1_0 - 0.0108276908276929*G0_1_0_1_1 - 0.000849520849520983*G0_1_0_1_2 - 0.00892440892441043*G0_1_0_1_3 - 0.0169620855335169*G0_1_0_1_4 - 0.00110365824651561*G0_1_0_1_5 + 0.00179059036201923*G0_1_0_1_6 + 0.00184577327434501*G0_1_0_1_7 + 0.000932400932401127*G0_1_0_1_8 + 0.0125588697017289*G0_1_0_1_9 - 0.00100026957169832*G0_1_0_2_0 - 0.000849520849520983*G0_1_0_2_1 - 0.0248403448403487*G0_1_0_2_2 + 0.00321583178726081*G0_1_0_2_3 - 0.0459007659007735*G0_1_0_2_4 + 0.00598639455782408*G0_1_0_2_5 - 0.00668664668664771*G0_1_0_2_6 + 0.00163645877931618*G0_1_0_2_7 - 0.00277627134770037*G0_1_0_2_8 - 0.0135179106607701*G0_1_0_2_9 + 0.00874934589220461*G0_1_0_3_0 - 0.00892440892441043*G0_1_0_3_1 + 0.00321583178726081*G0_1_0_3_2 + 0.426396460682248*G0_1_0_3_3 + 0.103336663336681*G0_1_0_3_4 - 0.011988011988014*G0_1_0_3_5 - 0.00433281004709645*G0_1_0_3_6 - 0.0252090766376525*G0_1_0_3_7 + 0.0158413015555901*G0_1_0_3_8 + 0.0127415441701182*G0_1_0_3_9 + 0.00536986822701204*G0_1_0_4_0 - 0.0169620855335169*G0_1_0_4_1 - 0.0459007659007735*G0_1_0_4_2 + 0.103336663336681*G0_1_0_4_3 + 0.147110032824344*G0_1_0_4_4 - 0.0150706436420748*G0_1_0_4_5 + 0.0194034536891713*G0_1_0_4_6 - 0.0110289710289729*G0_1_0_4_7 + 0.00936777508206231*G0_1_0_4_8 + 0.0706950192664598*G0_1_0_4_9 + 0.00511298225584021*G0_1_0_5_0 - 0.00110365824651561*G0_1_0_5_1 + 0.00598639455782408*G0_1_0_5_2 - 0.011988011988014*G0_1_0_5_3 - 0.0150706436420748*G0_1_0_5_4 - 0.0163379477665228*G0_1_0_5_5 - 0.0201912373340979*G0_1_0_5_6 - 0.000479520479520692*G0_1_0_5_7 + 0.00434993577850803*G0_1_0_5_8 - 0.00534322820037211*G0_1_0_5_9 + 0.00153370439084755*G0_1_0_6_0 + 0.00179059036201923*G0_1_0_6_1 - 0.00668664668664771*G0_1_0_6_2 - 0.00433281004709645*G0_1_0_6_3 + 0.0194034536891713*G0_1_0_6_4 - 0.0201912373340979*G0_1_0_6_5 + 0.0567204224347171*G0_1_0_6_6 - 0.00387041529898733*G0_1_0_6_7 + 0.000959040959041109*G0_1_0_6_8 + 0.0492193520765031*G0_1_0_6_9 + 0.00647542933257327*G0_1_0_7_0 + 0.00184577327434501*G0_1_0_7_1 + 0.00163645877931618*G0_1_0_7_2 - 0.0252090766376525*G0_1_0_7_3 - 0.0110289710289729*G0_1_0_7_4 - 0.000479520479520693*G0_1_0_7_5 - 0.00387041529898733*G0_1_0_7_6 - 0.00332239189382104*G0_1_0_7_7 - 0.00450406736121112*G0_1_0_7_8 + 0.0110974739546186*G0_1_0_7_9 - 0.00313210598924934*G0_1_0_8_0 + 0.000932400932401126*G0_1_0_8_1 - 0.00277627134770037*G0_1_0_8_2 + 0.0158413015555901*G0_1_0_8_3 + 0.00936777508206231*G0_1_0_8_4 + 0.00434993577850803*G0_1_0_8_5 + 0.000959040959041109*G0_1_0_8_6 - 0.00450406736121112*G0_1_0_8_7 - 0.00445269016697592*G0_1_0_8_8 - 0.0564121592693114*G0_1_0_8_9 - 0.0011188811188813*G0_1_0_9_0 + 0.0125588697017289*G0_1_0_9_1 - 0.0135179106607701*G0_1_0_9_2 + 0.0127415441701182*G0_1_0_9_3 + 0.0706950192664598*G0_1_0_9_4 - 0.00534322820037211*G0_1_0_9_5 + 0.0492193520765031*G0_1_0_9_6 + 0.0110974739546186*G0_1_0_9_7 - 0.0564121592693114*G0_1_0_9_8 - 0.250309690309732*G0_1_0_9_9 - 0.0194768194768223*G0_1_1_0_0 + 0.000375708947137613*G0_1_1_0_1 - 0.00180433323290495*G0_1_1_0_2 + 0.00568383996955531*G0_1_1_0_3 + 0.00478759335902278*G0_1_1_0_4 - 0.00439750725465074*G0_1_1_0_5 + 0.00471909043337688*G0_1_1_0_6 - 0.0191789163217764*G0_1_1_0_7 + 0.0101232101232117*G0_1_1_0_8 - 0.0108462965605841*G0_1_1_0_9 + 0.000375708947137613*G0_1_1_1_0 + 0.0120649720649741*G0_1_1_1_1 + 0.000586080586080688*G0_1_1_1_3 - 0.0201474715760464*G0_1_1_1_4 + 0.00196184767613372*G0_1_1_1_5 + 0.00237286523000849*G0_1_1_1_6 - 0.0114095428381162*G0_1_1_1_7 + 0.0265867465867511*G0_1_1_1_8 + 0.0222862851434318*G0_1_1_1_9 - 0.00180433323290495*G0_1_1_2_0 - 0.0248403448403487*G0_1_1_2_2 + 0.00282003710575178*G0_1_1_2_3 - 0.0444526901669832*G0_1_1_2_4 + 0.00638218923933314*G0_1_1_2_5 - 0.00813472242043804*G0_1_1_2_6 + 0.000780172208743786*G0_1_1_2_7 - 0.00191998477712794*G0_1_1_2_8 - 0.01351791066077*G0_1_1_2_9 + 0.00568383996955531*G0_1_1_3_0 + 0.000586080586080691*G0_1_1_3_1 + 0.00282003710575178*G0_1_1_3_2 + 0.361695447409795*G0_1_1_3_3 + 0.103114028828332*G0_1_1_3_4 - 0.011988011988014*G0_1_1_3_5 - 0.00607963465106421*G0_1_1_3_6 - 0.0160125588697045*G0_1_1_3_7 + 0.0092136434993595*G0_1_1_3_8 - 0.034833737690886*G0_1_1_3_9 + 0.00478759335902278*G0_1_1_4_0 - 0.0201474715760464*G0_1_1_4_1 - 0.0444526901669832*G0_1_1_4_2 + 0.103114028828332*G0_1_1_4_3 + 0.135533038390205*G0_1_1_4_4 - 0.013323819038107*G0_1_1_4_5 + 0.0194034536891713*G0_1_1_4_6 - 0.00887112887113041*G0_1_1_4_7 + 0.00679891537034502*G0_1_1_4_8 + 0.0672013700585243*G0_1_1_4_9 - 0.00439750725465074*G0_1_1_5_0 + 0.00196184767613372*G0_1_1_5_1 + 0.00638218923933314*G0_1_1_5_2 - 0.011988011988014*G0_1_1_5_3 - 0.013323819038107*G0_1_1_5_4 + 0.0483630655059309*G0_1_1_5_5 - 0.019968602825749*G0_1_1_5_6 + 0.00614813757671014*G0_1_1_5_7 - 0.00484658198944*G0_1_1_5_8 + 0.0422320536606323*G0_1_1_5_9 + 0.00471909043337688*G0_1_1_6_0 + 0.00237286523000849*G0_1_1_6_1 - 0.00813472242043804*G0_1_1_6_2 - 0.00607963465106421*G0_1_1_6_3 + 0.0194034536891713*G0_1_1_6_4 - 0.019968602825749*G0_1_1_6_5 + 0.0682974168688565*G0_1_1_6_6 - 0.00130155558727015*G0_1_1_6_7 - 0.0011988011988014*G0_1_1_6_8 + 0.0527130012844386*G0_1_1_6_9 - 0.0191789163217764*G0_1_1_7_0 - 0.0114095428381162*G0_1_1_7_1 + 0.000780172208743786*G0_1_1_7_2 - 0.0160125588697045*G0_1_1_7_3 - 0.00887112887113041*G0_1_1_7_4 + 0.00614813757671014*G0_1_1_7_5 - 0.00130155558727015*G0_1_1_7_6 - 0.0175024975024994*G0_1_1_7_7 - 0.00450406736121128*G0_1_1_7_8 + 0.0351420008562925*G0_1_1_7_9 + 0.0101232101232117*G0_1_1_8_0 + 0.0265867465867511*G0_1_1_8_1 - 0.00191998477712794*G0_1_1_8_2 + 0.0092136434993595*G0_1_1_8_3 + 0.00679891537034502*G0_1_1_8_4 - 0.00484658198944*G0_1_1_8_5 - 0.0011988011988014*G0_1_1_8_6 - 0.00450406736121128*G0_1_1_8_7 + 0.0097274154417035*G0_1_1_8_8 - 0.0804566861709853*G0_1_1_8_9 - 0.0108462965605841*G0_1_1_9_0 + 0.0222862851434318*G0_1_1_9_1 - 0.01351791066077*G0_1_1_9_2 - 0.034833737690886*G0_1_1_9_3 + 0.0672013700585243*G0_1_1_9_4 + 0.0422320536606323*G0_1_1_9_5 + 0.0527130012844386*G0_1_1_9_6 + 0.0351420008562925*G0_1_1_9_7 - 0.0804566861709853*G0_1_1_9_8 - 0.250309690309732*G0_1_1_9_9;
    A[42] = -0.00237293570626942*G0_1_0_0_0 + 5.69448188495904e-05*G0_1_0_0_1 - 0.000801544134877597*G0_1_0_0_2 - 0.000287014572728907*G0_1_0_0_3 + 0.000133992991135886*G0_1_0_0_4 + 0.00435770578627795*G0_1_0_0_5 - 0.00223522509236832*G0_1_0_0_6 - 0.00094556237413396*G0_1_0_0_7 - 3.55200355200428e-05*G0_1_0_0_8 + 0.00133390419104728*G0_1_0_0_9 + 5.69448188495904e-05*G0_1_0_1_0 - 0.000273025034929867*G0_1_0_1_1 + 0.000797104130437608*G0_1_0_1_2 + 0.00142825428539736*G0_1_0_1_3 + 0.00222697936983692*G0_1_0_1_4 + 0.00139891854177591*G0_1_0_1_5 - 0.00124462838748573*G0_1_0_1_6 - 0.000216291644863107*G0_1_0_1_7 + 0.00040832183689332*G0_1_0_1_8 + 0.00371628371628434*G0_1_0_1_9 - 0.000801544134877597*G0_1_0_2_0 + 0.000797104130437608*G0_1_0_2_1 - 0.00275280275280327*G0_1_0_2_3 + 0.0109668109668129*G0_1_0_2_4 + 0.00674880674880786*G0_1_0_2_5 - 0.0109668109668128*G0_1_0_2_6 + 0.00049839049839058*G0_1_0_2_7 - 0.000493950493950576*G0_1_0_2_8 - 0.00399600399600465*G0_1_0_2_9 - 0.000287014572728907*G0_1_0_3_0 + 0.00142825428539736*G0_1_0_3_1 - 0.00275280275280327*G0_1_0_3_2 + 0.0103839018124751*G0_1_0_3_3 - 0.0173126873126903*G0_1_0_3_4 - 0.00140430997573875*G0_1_0_3_5 + 0.0032067932067937*G0_1_0_3_6 + 0.000333951762523241*G0_1_0_3_7 - 0.00128871128871148*G0_1_0_3_8 - 0.0118167546738995*G0_1_0_3_9 + 0.000133992991135886*G0_1_0_4_0 + 0.00222697936983692*G0_1_0_4_1 + 0.0109668109668129*G0_1_0_4_2 - 0.0173126873126903*G0_1_0_4_3 + 0.0317482517482574*G0_1_0_4_4 - 0.000929070929071135*G0_1_0_4_5 - 0.00227772227772257*G0_1_0_4_6 - 0.000685029256457951*G0_1_0_4_7 + 0.000954759526188242*G0_1_0_4_8 + 0.0138461538461562*G0_1_0_4_9 + 0.00435770578627795*G0_1_0_5_0 + 0.00139891854177591*G0_1_0_5_1 + 0.00674880674880786*G0_1_0_5_2 - 0.00140430997573875*G0_1_0_5_3 - 0.000929070929071135*G0_1_0_5_4 + 0.0318824033109799*G0_1_0_5_5 - 0.00438561438561515*G0_1_0_5_6 + 0.00674611103182643*G0_1_0_5_7 - 0.00472384758099121*G0_1_0_5_8 + 0.00544598258884059*G0_1_0_5_9 - 0.00223522509236832*G0_1_0_6_0 - 0.00124462838748573*G0_1_0_6_1 - 0.0109668109668128*G0_1_0_6_2 + 0.0032067932067937*G0_1_0_6_3 - 0.00227772227772257*G0_1_0_6_4 - 0.00438561438561515*G0_1_0_6_5 - 0.0271928071928118*G0_1_0_6_6 - 0.00202226345083522*G0_1_0_6_7 + 0.0028714142999862*G0_1_0_6_8 + 0.00557442557442655*G0_1_0_6_9 - 0.00094556237413396*G0_1_0_7_0 - 0.000216291644863107*G0_1_0_7_1 + 0.00049839049839058*G0_1_0_7_2 + 0.000333951762523241*G0_1_0_7_3 - 0.000685029256457951*G0_1_0_7_4 + 0.00674611103182643*G0_1_0_7_5 - 0.00202226345083522*G0_1_0_7_6 + 0.000299700299700355*G0_1_0_7_7 + 0.00102754388468691*G0_1_0_7_8 + 4.28143285286054e-05*G0_1_0_7_9 - 3.55200355200428e-05*G0_1_0_8_0 + 0.000408321836893321*G0_1_0_8_1 - 0.000493950493950576*G0_1_0_8_2 - 0.00128871128871148*G0_1_0_8_3 + 0.000954759526188242*G0_1_0_8_4 - 0.00472384758099121*G0_1_0_8_5 + 0.0028714142999862*G0_1_0_8_6 + 0.00102754388468691*G0_1_0_8_7 + 0.00175538746967354*G0_1_0_8_8 - 0.0130583702012295*G0_1_0_8_9 + 0.00133390419104728*G0_1_0_9_0 + 0.00371628371628434*G0_1_0_9_1 - 0.00399600399600465*G0_1_0_9_2 - 0.0118167546738995*G0_1_0_9_3 + 0.0138461538461562*G0_1_0_9_4 + 0.00544598258884059*G0_1_0_9_5 + 0.00557442557442655*G0_1_0_9_6 + 4.28143285286063e-05*G0_1_0_9_7 - 0.0130583702012295*G0_1_0_9_8 - 0.0267161410018595*G0_1_0_9_9 - 0.00842910176243652*G0_1_1_0_0 - 0.000752492657254688*G0_1_1_0_1 + 0.000395865157769994*G0_1_1_0_2 - 0.000864373721516721*G0_1_1_0_3 + 0.00157842157842186*G0_1_1_0_4 - 0.0022667808382098*G0_1_1_0_5 + 0.00154892726321324*G0_1_1_0_6 - 0.0118146932432667*G0_1_1_0_7 + 0.00621727478870442*G0_1_1_0_8 + 0.000123685837971572*G0_1_1_0_9 - 0.000752492657254688*G0_1_1_1_0 + 0.00152736152736179*G0_1_1_1_1 + 0.00175593366069587*G0_1_1_1_2 + 0.00114805829091562*G0_1_1_1_3 + 0.00362938648652998*G0_1_1_1_4 - 0.000916702345273931*G0_1_1_1_5 + 0.00142286285143453*G0_1_1_1_6 - 0.00327418613132954*G0_1_1_1_7 + 0.00538762824477202*G0_1_1_1_8 + 0.00415584415584486*G0_1_1_1_9 + 0.000395865157769994*G0_1_1_2_0 + 0.00175593366069587*G0_1_1_2_1 + 0.0166006832673528*G0_1_1_2_2 - 0.0073260073260086*G0_1_1_2_3 + 0.0206160506160542*G0_1_1_2_4 - 0.00293928293928344*G0_1_1_2_5 + 0.00437007437007512*G0_1_1_2_6 - 0.00237381665953134*G0_1_1_2_7 - 0.000593216307502118*G0_1_1_2_8 - 0.00254412254412296*G0_1_1_2_9 - 0.000864373721516721*G0_1_1_3_0 + 0.00114805829091562*G0_1_1_3_1 - 0.0073260073260086*G0_1_1_3_2 + 0.0104952190666496*G0_1_1_3_3 - 0.0234950763522233*G0_1_1_3_4 + 0.00310546596260935*G0_1_1_3_5 - 0.00513629227915032*G0_1_1_3_6 + 0.00172541743970345*G0_1_1_3_7 - 0.00263736263736305*G0_1_1_3_8 - 0.0159183673469414*G0_1_1_3_9 + 0.00157842157842186*G0_1_1_4_0 + 0.00362938648652998*G0_1_1_4_1 + 0.0206160506160542*G0_1_1_4_2 - 0.0234950763522233*G0_1_1_4_3 + 0.0461938061938143*G0_1_1_4_4 - 0.0056029684601123*G0_1_1_4_5 + 0.0107392607392626*G0_1_1_4_6 + 0.00162694448408761*G0_1_1_4_7 + 0.000911945197659622*G0_1_1_4_8 + 0.0188383045525935*G0_1_1_4_9 - 0.0022667808382098*G0_1_1_5_0 - 0.000916702345273931*G0_1_1_5_1 - 0.00293928293928344*G0_1_1_5_2 + 0.00310546596260935*G0_1_1_5_3 - 0.0056029684601123*G0_1_1_5_4 + 0.00218923933209686*G0_1_1_5_5 - 0.000610817753675007*G0_1_1_5_6 - 0.00813614956472235*G0_1_1_5_7 + 0.00188240331097505*G0_1_1_5_8 - 0.00413586413586483*G0_1_1_5_9 + 0.00154892726321324*G0_1_1_6_0 + 0.00142286285143453*G0_1_1_6_1 + 0.00437007437007512*G0_1_1_6_2 - 0.00513629227915032*G0_1_1_6_3 + 0.0107392607392626*G0_1_1_6_4 - 0.000610817753675007*G0_1_1_6_5 + 0.00645354645354755*G0_1_1_6_6 + 0.0062537462537473*G0_1_1_6_7 - 0.000810617953475244*G0_1_1_6_8 + 0.0179049521906695*G0_1_1_6_9 - 0.0118146932432667*G0_1_1_7_0 - 0.00327418613132955*G0_1_1_7_1 - 0.00237381665953134*G0_1_1_7_2 + 0.00172541743970345*G0_1_1_7_3 + 0.00162694448408761*G0_1_1_7_4 - 0.00813614956472235*G0_1_1_7_5 + 0.0062537462537473*G0_1_1_7_6 - 0.101121735407467*G0_1_1_7_7 + 0.00439417725132084*G0_1_1_7_8 - 0.0128785500214094*G0_1_1_7_9 + 0.00621727478870442*G0_1_1_8_0 + 0.00538762824477202*G0_1_1_8_1 - 0.000593216307502118*G0_1_1_8_2 - 0.00263736263736305*G0_1_1_8_3 + 0.000911945197659622*G0_1_1_8_4 + 0.00188240331097505*G0_1_1_8_5 - 0.000810617953475244*G0_1_1_8_6 + 0.00439417725132084*G0_1_1_8_7 - 0.0190466676180994*G0_1_1_8_8 - 0.0142914228628538*G0_1_1_8_9 + 0.000123685837971572*G0_1_1_9_0 + 0.00415584415584486*G0_1_1_9_1 - 0.00254412254412296*G0_1_1_9_2 - 0.0159183673469414*G0_1_1_9_3 + 0.0188383045525935*G0_1_1_9_4 - 0.00413586413586484*G0_1_1_9_5 + 0.0179049521906695*G0_1_1_9_6 - 0.0128785500214094*G0_1_1_9_7 - 0.0142914228628538*G0_1_1_9_8 - 0.0203453689168006*G0_1_1_9_9;
    A[107] = -0.000546983880317323*G0_0_1_0_0 + 0.000270961401913831*G0_0_1_0_1 + 0.00480046188379603*G0_0_1_0_2 - 0.00165729112157712*G0_0_1_0_3 + 0.00393675768675837*G0_0_1_0_4 - 0.00153616225044823*G0_0_1_0_5 + 0.000815712065712192*G0_0_1_0_6 - 0.000921657707372161*G0_0_1_0_7 + 0.000340235161663799*G0_0_1_0_8 + 0.00040304933162083*G0_0_1_0_9 + 0.000270961401913831*G0_0_1_1_0 + 0.000965859537288304*G0_0_1_1_1 + 0.00711678753345541*G0_0_1_1_2 - 0.0039672232529382*G0_0_1_1_3 + 0.00970904095904261*G0_0_1_1_4 - 0.00113685917257365*G0_0_1_1_5 + 0.00348720723720783*G0_0_1_1_6 - 0.000204616811759713*G0_0_1_1_7 - 0.000334784263355727*G0_0_1_1_8 + 0.00247906855049755*G0_0_1_1_9 + 0.00480046188379603*G0_0_1_2_0 + 0.00711678753345541*G0_0_1_2_1 + 0.139942464942488*G0_0_1_2_2 - 0.0327852702852757*G0_0_1_2_3 + 0.0754273504273631*G0_0_1_2_4 - 0.0208860583860618*G0_0_1_2_5 + 0.0372433122433184*G0_0_1_2_6 - 0.00115398490398509*G0_0_1_2_7 - 0.000651154401154497*G0_0_1_2_8 + 0.00532800532800619*G0_0_1_2_9 - 0.00165729112157712*G0_0_1_3_0 - 0.0039672232529382*G0_0_1_3_1 - 0.0327852702852757*G0_0_1_3_2 + 0.0172752247752277*G0_0_1_3_3 - 0.0454857642357719*G0_0_1_3_4 + 0.00624375624375728*G0_0_1_3_5 - 0.0145666833166858*G0_0_1_3_6 + 0.00086681175966904*G0_0_1_3_7 + 0.00128478664192973*G0_0_1_3_8 - 0.00917082917083071*G0_0_1_3_9 + 0.00393675768675837*G0_0_1_4_0 + 0.00970904095904261*G0_0_1_4_1 + 0.0754273504273631*G0_0_1_4_2 - 0.0454857642357719*G0_0_1_4_3 + 0.110864135864155*G0_0_1_4_4 - 0.0159153346653373*G0_0_1_4_5 + 0.0304820179820231*G0_0_1_4_6 - 0.00212162837162872*G0_0_1_4_7 - 0.00215159840159876*G0_0_1_4_8 + 0.015846653346656*G0_0_1_4_9 - 0.00153616225044823*G0_0_1_5_0 - 0.00113685917257365*G0_0_1_5_1 - 0.0208860583860618*G0_0_1_5_2 + 0.00624375624375728*G0_0_1_5_3 - 0.0159153346653373*G0_0_1_5_4 + 0.00972277722277885*G0_0_1_5_5 - 0.000980269730269788*G0_0_1_5_6 + 0.00133759098044835*G0_0_1_5_7 - 0.000694484087341352*G0_0_1_5_8 + 0.000179820179820223*G0_0_1_5_9 + 0.000815712065712192*G0_0_1_6_0 + 0.00348720723720783*G0_0_1_6_1 + 0.0372433122433184*G0_0_1_6_2 - 0.0145666833166858*G0_0_1_6_3 + 0.0304820179820231*G0_0_1_6_4 - 0.000980269730269788*G0_0_1_6_5 + 0.0110639360639378*G0_0_1_6_6 - 0.000643106893106993*G0_0_1_6_7 - 0.00220154845154883*G0_0_1_6_8 + 0.0131493506493529*G0_0_1_6_9 - 0.000921657707372161*G0_0_1_7_0 - 0.000204616811759713*G0_0_1_7_1 - 0.00115398490398509*G0_0_1_7_2 + 0.00086681175966904*G0_0_1_7_3 - 0.00212162837162872*G0_0_1_7_4 + 0.00133759098044835*G0_0_1_7_5 - 0.000643106893106993*G0_0_1_7_6 - 0.0027426145283293*G0_0_1_7_7 + 8.0455259026692e-05*G0_0_1_7_8 + 7.70657913515116e-05*G0_0_1_7_9 + 0.000340235161663799*G0_0_1_8_0 - 0.000334784263355727*G0_0_1_8_1 - 0.000651154401154497*G0_0_1_8_2 + 0.00128478664192973*G0_0_1_8_3 - 0.00215159840159876*G0_0_1_8_4 - 0.000694484087341352*G0_0_1_8_5 - 0.00220154845154883*G0_0_1_8_6 + 8.0455259026692e-05*G0_0_1_8_7 - 0.000387826459255041*G0_0_1_8_8 - 0.0031340088482951*G0_0_1_8_9 + 0.00040304933162083*G0_0_1_9_0 + 0.00247906855049755*G0_0_1_9_1 + 0.00532800532800619*G0_0_1_9_2 - 0.00917082917083071*G0_0_1_9_3 + 0.015846653346656*G0_0_1_9_4 + 0.000179820179820223*G0_0_1_9_5 + 0.0131493506493529*G0_0_1_9_6 + 7.70657913515116e-05*G0_0_1_9_7 - 0.0031340088482951*G0_0_1_9_8 + 0.0220279720279758*G0_0_1_9_9 + 0.016843588510258*G0_1_1_0_0 + 0.00134550634550658*G0_1_1_0_1 + 0.0038430088430095*G0_1_1_0_2 - 0.00122552051123502*G0_1_1_0_3 + 0.00276037454608932*G0_1_1_0_4 + 0.00496566925138437*G0_1_1_0_5 - 0.00325057878629363*G0_1_1_0_6 + 0.0123289805432683*G0_1_1_0_7 - 0.00560861757290423*G0_1_1_0_8 + 0.000501998001998106*G0_1_1_0_9 + 0.00134550634550658*G0_1_1_1_0 + 0.00082467796753528*G0_1_1_1_1 + 0.00630628630628737*G0_1_1_1_2 - 0.00342597878312221*G0_1_1_1_3 + 0.0080091337234208*G0_1_1_1_4 + 0.00100831707974582*G0_1_1_1_5 + 0.000902232687947125*G0_1_1_1_6 + 0.00255062397919583*G0_1_1_1_7 - 0.00200398807541696*G0_1_1_1_8 + 0.00253032681604153*G0_1_1_1_9 + 0.0038430088430095*G0_1_1_2_0 + 0.00630628630628737*G0_1_1_2_1 + 0.125027133360488*G0_1_1_2_2 - 0.0287769175269223*G0_1_1_2_3 + 0.0661602286602398*G0_1_1_2_4 - 0.0123794261294282*G0_1_1_2_5 + 0.0233294483294521*G0_1_1_2_6 + 0.0010275835275837*G0_1_1_2_7 - 0.000957930957931108*G0_1_1_2_8 + 0.00467615717615794*G0_1_1_2_9 - 0.00122552051123502*G0_1_1_3_0 - 0.00342597878312221*G0_1_1_3_1 - 0.0287769175269223*G0_1_1_3_2 + 0.0135478806907401*G0_1_1_3_3 - 0.0379545454545519*G0_1_1_3_4 + 0.00225292564578317*G0_1_1_3_5 - 0.00656093906094016*G0_1_1_3_6 - 0.000177679463393792*G0_1_1_3_7 + 0.00115812758669921*G0_1_1_3_8 - 0.00723562152133703*G0_1_1_3_9 + 0.00276037454608932*G0_1_1_4_0 + 0.0080091337234208*G0_1_1_4_1 + 0.0661602286602398*G0_1_1_4_2 - 0.0379545454545519*G0_1_1_4_3 + 0.0972252747252912*G0_1_1_4_4 - 0.0121353646353667*G0_1_1_4_5 + 0.0186963036963068*G0_1_1_4_6 - 0.00375481661196009*G0_1_1_4_7 - 0.000980448123305432*G0_1_1_4_8 + 0.0102422577422595*G0_1_1_4_9 + 0.00496566925138437*G0_1_1_5_0 + 0.00100831707974582*G0_1_1_5_1 - 0.0123794261294282*G0_1_1_5_2 + 0.00225292564578317*G0_1_1_5_3 - 0.0121353646353667*G0_1_1_5_4 + 0.027726202369064*G0_1_1_5_5 - 0.00227272727272756*G0_1_1_5_6 + 0.0138161838161861*G0_1_1_5_7 - 0.00687919223633623*G0_1_1_5_8 + 0.0122523904666782*G0_1_1_5_9 - 0.00325057878629363*G0_1_1_6_0 + 0.000902232687947125*G0_1_1_6_1 + 0.0233294483294521*G0_1_1_6_2 - 0.00656093906094016*G0_1_1_6_3 + 0.0186963036963068*G0_1_1_6_4 - 0.00227272727272756*G0_1_1_6_5 - 0.0187337662337695*G0_1_1_6_6 - 0.00693699157984988*G0_1_1_6_7 + 0.00201066790352537*G0_1_1_6_8 - 0.000906593406593514*G0_1_1_6_9 + 0.0123289805432683*G0_1_1_7_0 + 0.00255062397919583*G0_1_1_7_1 + 0.0010275835275837*G0_1_1_7_2 - 0.000177679463393792*G0_1_1_7_3 - 0.00375481661196009*G0_1_1_7_4 + 0.0138161838161861*G0_1_1_7_5 - 0.00693699157984988*G0_1_1_7_6 + 0.0506953760525274*G0_1_1_7_7 - 0.0102722277722295*G0_1_1_7_8 + 0.0123679891537055*G0_1_1_7_9 - 0.00560861757290423*G0_1_1_8_0 - 0.00200398807541696*G0_1_1_8_1 - 0.000957930957931108*G0_1_1_8_2 + 0.00115812758669921*G0_1_1_8_3 - 0.000980448123305432*G0_1_1_8_4 - 0.00687919223633623*G0_1_1_8_5 + 0.00201066790352537*G0_1_1_8_6 - 0.0102722277722295*G0_1_1_8_7 + 0.00786499215070781*G0_1_1_8_8 - 0.00563008420151373*G0_1_1_8_9 + 0.000501998001998106*G0_1_1_9_0 + 0.00253032681604153*G0_1_1_9_1 + 0.00467615717615794*G0_1_1_9_2 - 0.00723562152133703*G0_1_1_9_3 + 0.0102422577422595*G0_1_1_9_4 + 0.0122523904666782*G0_1_1_9_5 - 0.000906593406593514*G0_1_1_9_6 + 0.0123679891537055*G0_1_1_9_7 - 0.00563008420151373*G0_1_1_9_8 + 0.0352704438418783*G0_1_1_9_9;
    A[7] = A[107] - 0.0149153315820009*G0_0_0_0_0 - 0.000810501227168036*G0_0_0_0_1 - 0.000957453040786538*G0_0_0_0_2 - 0.000306776556776606*G0_0_0_0_3 + 0.00218156843156881*G0_0_0_0_4 - 0.0139138639138663*G0_0_0_0_5 + 0.00850663225663372*G0_0_0_0_6 - 0.00926712176712339*G0_0_0_0_7 + 0.00400835275835347*G0_0_0_0_8 - 0.000651848151848271*G0_0_0_0_9 - 0.000810501227168036*G0_0_0_1_0 - 0.000141181569753039*G0_0_0_1_1 + 0.00107454494359275*G0_0_0_1_2 - 0.00166920381206124*G0_0_0_1_3 + 0.00275524079095555*G0_0_0_1_4 - 0.0025849745492607*G0_0_0_1_5 + 0.00214517625231947*G0_0_0_1_6 - 0.00169990723562181*G0_0_0_1_7 + 0.000541244469815992*G0_0_0_1_8 - 0.000957453040786538*G0_0_0_2_0 + 0.00107454494359275*G0_0_0_2_1 + 0.0173905723905753*G0_0_0_2_2 - 0.00594885273456802*G0_0_0_2_3 + 0.0132506382506405*G0_0_0_2_4 - 0.00406629085200583*G0_0_0_2_5 + 0.00650183150183261*G0_0_0_2_6 - 0.00117638314066905*G0_0_0_2_7 + 0.000431770610342114*G0_0_0_2_8 - 0.000306776556776606*G0_0_0_3_0 - 0.00166920381206124*G0_0_0_3_1 - 0.00594885273456802*G0_0_0_3_2 + 0.00825281860996289*G0_0_0_3_3 - 0.0103526830312562*G0_0_0_3_4 + 0.00421221635507421*G0_0_0_3_5 - 0.0061847081489949*G0_0_0_3_6 + 0.00117115027829333*G0_0_0_3_7 - 0.000126659055230504*G0_0_0_3_8 - 0.00249607535321862*G0_0_0_3_9 + 0.00218156843156881*G0_0_0_4_0 + 0.00275524079095555*G0_0_0_4_1 + 0.0132506382506405*G0_0_0_4_2 - 0.0103526830312562*G0_0_0_4_3 + 0.0534379905808568*G0_0_0_4_4 - 0.00629388468674289*G0_0_0_4_5 + 0.0124785928357378*G0_0_0_4_6 - 0.00163318824033137*G0_0_0_4_7 - 0.00104449122306283*G0_0_0_4_8 + 0.012290923362354*G0_0_0_4_9 - 0.0139138639138663*G0_0_0_5_0 - 0.0025849745492607*G0_0_0_5_1 - 0.00406629085200583*G0_0_0_5_2 + 0.00421221635507421*G0_0_0_5_3 - 0.00629388468674289*G0_0_0_5_4 - 0.0297977022977074*G0_0_0_5_5 - 0.00129245754245776*G0_0_0_5_6 - 0.0117857142857163*G0_0_0_5_7 + 0.00800574425574561*G0_0_0_5_8 - 0.0140559440559465*G0_0_0_5_9 + 0.00850663225663372*G0_0_0_6_0 + 0.00214517625231947*G0_0_0_6_1 + 0.00650183150183261*G0_0_0_6_2 - 0.0061847081489949*G0_0_0_6_3 + 0.0124785928357378*G0_0_0_6_4 - 0.00129245754245776*G0_0_0_6_5 + 0.0180034251462853*G0_0_0_6_6 + 0.00377997002997068*G0_0_0_6_7 - 0.00399083059797413*G0_0_0_6_8 + 0.012072570286858*G0_0_0_6_9 - 0.00926712176712339*G0_0_0_7_0 - 0.00169990723562181*G0_0_0_7_1 - 0.00117638314066905*G0_0_0_7_2 + 0.00117115027829333*G0_0_0_7_3 - 0.00163318824033137*G0_0_0_7_4 - 0.0117857142857163*G0_0_0_7_5 + 0.00377997002997068*G0_0_0_7_6 - 0.0136388611388635*G0_0_0_7_7 + 0.00753121878122008*G0_0_0_7_8 - 0.00560439560439657*G0_0_0_7_9 + 0.00400835275835347*G0_0_0_8_0 + 0.000541244469815992*G0_0_0_8_1 + 0.000431770610342114*G0_0_0_8_2 - 0.000126659055230504*G0_0_0_8_3 - 0.00104449122306283*G0_0_0_8_4 + 0.00800574425574561*G0_0_0_8_5 - 0.00399083059797413*G0_0_0_8_6 + 0.00753121878122008*G0_0_0_8_7 - 0.00372734408448757*G0_0_0_8_8 + 0.0019352076494937*G0_0_0_8_9 - 0.000651848151848271*G0_0_0_9_0 - 0.00249607535321862*G0_0_0_9_3 + 0.012290923362354*G0_0_0_9_4 - 0.0140559440559465*G0_0_0_9_5 + 0.012072570286858*G0_0_0_9_6 - 0.00560439560439657*G0_0_0_9_7 + 0.0019352076494937*G0_0_0_9_8 + 0.0132424718139026*G0_0_0_9_9 + 0.125574117240805*G0_0_1_0_0 + 0.00603532490437356*G0_0_1_0_1 - 0.000957453040786546*G0_0_1_0_2 + 0.000699360163645949*G0_0_1_0_3 - 0.00290917415917465*G0_0_1_0_4 + 0.0248656105799005*G0_0_1_0_5 - 0.0131951381951404*G0_0_1_0_6 + 0.067081886367612*G0_0_1_0_7 - 0.0291171526885862*G0_0_1_0_8 + 0.0042731078445372*G0_0_1_0_9 + 0.00603532490437356*G0_0_1_1_0 - 0.000141181569753073*G0_0_1_1_1 - 0.00577128118794883*G0_0_1_1_2 + 0.00196323517752121*G0_0_1_1_3 - 0.00715841697984676*G0_0_1_1_4 + 0.00203909186052077*G0_0_1_1_5 - 0.002478890157462*G0_0_1_1_6 + 0.00821375053518052*G0_0_1_1_7 - 0.0030911945197665*G0_0_1_1_8 - 0.000957453040786546*G0_0_1_2_0 - 0.00577128118794883*G0_0_1_2_1 - 0.12309887643223*G0_0_1_2_2 + 0.0271766527123715*G0_0_1_2_3 - 0.0630983698840947*G0_0_1_2_4 + 0.0176354795997682*G0_0_1_2_5 - 0.032277642991934*G0_0_1_2_6 + 0.00391435945007438*G0_0_1_2_7 - 0.000574366110080501*G0_0_1_2_8 - 0.00482600732600811*G0_0_1_2_9 + 0.00069936016364595*G0_0_1_3_0 + 0.00196323517752121*G0_0_1_3_1 + 0.0271766527123715*G0_0_1_3_2 - 0.00941023262451993*G0_0_1_3_3 + 0.0352135364635424*G0_0_1_3_4 - 0.00423308834023191*G0_0_1_3_5 + 0.00768749108034952*G0_0_1_3_6 - 0.00184725988297452*G0_0_1_3_7 - 0.000126659055230494*G0_0_1_3_8 + 0.00354074496931701*G0_0_1_3_9 - 0.00290917415917465*G0_0_1_4_0 - 0.00715841697984676*G0_0_1_4_1 - 0.0630983698840947*G0_0_1_4_2 + 0.0352135364635424*G0_0_1_4_3 - 0.0601687598116272*G0_0_1_4_4 + 0.00897834308548744*G0_0_1_4_5 - 0.016665834165837*G0_0_1_4_6 - 0.00163318824033136*G0_0_1_4_7 + 0.00197391893820498*G0_0_1_4_8 - 0.0034786641929505*G0_0_1_4_9 + 0.0248656105799005*G0_0_1_5_0 + 0.00203909186052078*G0_0_1_5_1 + 0.0176354795997682*G0_0_1_5_2 - 0.00423308834023191*G0_0_1_5_3 + 0.00897834308548744*G0_0_1_5_4 - 0.0284565434565483*G0_0_1_5_5 - 0.00129245754245784*G0_0_1_5_6 + 0.0173587127158584*G0_0_1_5_7 - 0.0058664549735988*G0_0_1_5_8 - 0.00108641358641378*G0_0_1_5_9 - 0.0131951381951404*G0_0_1_6_0 - 0.002478890157462*G0_0_1_6_1 - 0.032277642991934*G0_0_1_6_2 + 0.00768749108034952*G0_0_1_6_3 - 0.016665834165837*G0_0_1_6_4 - 0.00129245754245784*G0_0_1_6_5 + 0.0166622663051264*G0_0_1_6_6 - 0.0114922577422597*G0_0_1_6_7 + 0.00445447409733199*G0_0_1_6_8 - 0.000896960182674674*G0_0_1_6_9 + 0.067081886367612*G0_0_1_7_0 + 0.00821375053518052*G0_0_1_7_1 + 0.00391435945007438*G0_0_1_7_2 - 0.00184725988297452*G0_0_1_7_3 - 0.00163318824033136*G0_0_1_7_4 + 0.0173587127158584*G0_0_1_7_5 - 0.0114922577422597*G0_0_1_7_6 + 0.0999678892536204*G0_0_1_7_7 - 0.0380350007135785*G0_0_1_7_8 + 0.010165191950908*G0_0_1_7_9 - 0.0291171526885862*G0_0_1_8_0 - 0.0030911945197665*G0_0_1_8_1 - 0.000574366110080501*G0_0_1_8_2 - 0.000126659055230494*G0_0_1_8_3 + 0.00197391893820498*G0_0_1_8_4 - 0.0058664549735988*G0_0_1_8_5 + 0.00445447409733199*G0_0_1_8_6 - 0.0380350007135785*G0_0_1_8_7 + 0.0139357071499952*G0_0_1_8_8 - 0.00410161267304194*G0_0_1_8_9 + 0.00427310784453721*G0_0_1_9_0 - 0.00482600732600811*G0_0_1_9_2 + 0.00354074496931701*G0_0_1_9_3 - 0.0034786641929505*G0_0_1_9_4 - 0.00108641358641378*G0_0_1_9_5 - 0.000896960182674673*G0_0_1_9_6 + 0.010165191950908*G0_0_1_9_7 - 0.00410161267304194*G0_0_1_9_8 + 0.0132424718139026*G0_0_1_9_9 - 0.0149153315820009*G0_1_0_0_0 - 0.000810501227168036*G0_1_0_0_1 - 0.000957453040786535*G0_1_0_0_2 - 0.000306776556776608*G0_1_0_0_3 + 0.00218156843156881*G0_1_0_0_4 - 0.0139138639138663*G0_1_0_0_5 + 0.00850663225663373*G0_1_0_0_6 - 0.00926712176712339*G0_1_0_0_7 + 0.00400835275835347*G0_1_0_0_8 - 0.000651848151848269*G0_1_0_0_9 - 0.000810501227168036*G0_1_0_1_0 - 0.000141181569753038*G0_1_0_1_1 + 0.00107454494359275*G0_1_0_1_2 - 0.00166920381206124*G0_1_0_1_3 + 0.00275524079095556*G0_1_0_1_4 - 0.00258497454926071*G0_1_0_1_5 + 0.00214517625231948*G0_1_0_1_6 - 0.00169990723562182*G0_1_0_1_7 + 0.000541244469815991*G0_1_0_1_8 - 0.000957453040786535*G0_1_0_2_0 + 0.00107454494359275*G0_1_0_2_1 + 0.0173905723905754*G0_1_0_2_2 - 0.00594885273456804*G0_1_0_2_3 + 0.0132506382506405*G0_1_0_2_4 - 0.00406629085200584*G0_1_0_2_5 + 0.00650183150183263*G0_1_0_2_6 - 0.00117638314066905*G0_1_0_2_7 + 0.000431770610342114*G0_1_0_2_8 - 0.000306776556776608*G0_1_0_3_0 - 0.00166920381206124*G0_1_0_3_1 - 0.00594885273456804*G0_1_0_3_2 + 0.0082528186099629*G0_1_0_3_3 - 0.0103526830312562*G0_1_0_3_4 + 0.00421221635507422*G0_1_0_3_5 - 0.00618470814899491*G0_1_0_3_6 + 0.00117115027829333*G0_1_0_3_7 - 0.000126659055230502*G0_1_0_3_8 - 0.00249607535321862*G0_1_0_3_9 + 0.00218156843156881*G0_1_0_4_0 + 0.00275524079095556*G0_1_0_4_1 + 0.0132506382506405*G0_1_0_4_2 - 0.0103526830312562*G0_1_0_4_3 + 0.0534379905808568*G0_1_0_4_4 - 0.0062938846867429*G0_1_0_4_5 + 0.0124785928357378*G0_1_0_4_6 - 0.00163318824033137*G0_1_0_4_7 - 0.00104449122306283*G0_1_0_4_8 + 0.012290923362354*G0_1_0_4_9 - 0.0139138639138663*G0_1_0_5_0 - 0.00258497454926071*G0_1_0_5_1 - 0.00406629085200584*G0_1_0_5_2 + 0.00421221635507421*G0_1_0_5_3 - 0.0062938846867429*G0_1_0_5_4 - 0.0297977022977074*G0_1_0_5_5 - 0.00129245754245778*G0_1_0_5_6 - 0.0117857142857163*G0_1_0_5_7 + 0.00800574425574562*G0_1_0_5_8 - 0.0140559440559465*G0_1_0_5_9 + 0.00850663225663373*G0_1_0_6_0 + 0.00214517625231948*G0_1_0_6_1 + 0.00650183150183263*G0_1_0_6_2 - 0.00618470814899491*G0_1_0_6_3 + 0.0124785928357378*G0_1_0_6_4 - 0.00129245754245778*G0_1_0_6_5 + 0.0180034251462853*G0_1_0_6_6 + 0.00377997002997067*G0_1_0_6_7 - 0.00399083059797413*G0_1_0_6_8 + 0.012072570286858*G0_1_0_6_9 - 0.00926712176712339*G0_1_0_7_0 - 0.00169990723562182*G0_1_0_7_1 - 0.00117638314066905*G0_1_0_7_2 + 0.00117115027829333*G0_1_0_7_3 - 0.00163318824033137*G0_1_0_7_4 - 0.0117857142857163*G0_1_0_7_5 + 0.00377997002997067*G0_1_0_7_6 - 0.0136388611388635*G0_1_0_7_7 + 0.00753121878122008*G0_1_0_7_8 - 0.00560439560439657*G0_1_0_7_9 + 0.00400835275835347*G0_1_0_8_0 + 0.000541244469815991*G0_1_0_8_1 + 0.000431770610342114*G0_1_0_8_2 - 0.000126659055230502*G0_1_0_8_3 - 0.00104449122306283*G0_1_0_8_4 + 0.00800574425574562*G0_1_0_8_5 - 0.00399083059797413*G0_1_0_8_6 + 0.00753121878122008*G0_1_0_8_7 - 0.00372734408448756*G0_1_0_8_8 + 0.00193520764949371*G0_1_0_8_9 - 0.000651848151848268*G0_1_0_9_0 - 0.00249607535321862*G0_1_0_9_3 + 0.012290923362354*G0_1_0_9_4 - 0.0140559440559465*G0_1_0_9_5 + 0.012072570286858*G0_1_0_9_6 - 0.00560439560439657*G0_1_0_9_7 + 0.00193520764949371*G0_1_0_9_8 + 0.0132424718139026*G0_1_0_9_9 + 0.10818354485023*G0_1_1_0_0 + 0.00496077996078081*G0_1_1_0_1 + 0.000267589553303846*G0_1_1_0_3 - 0.00173279101850559*G0_1_1_0_4 + 0.0183637790780679*G0_1_1_0_5 - 0.00912884734313456*G0_1_1_0_6 + 0.0538312481169715*G0_1_1_0_7 - 0.0231682999540181*G0_1_1_0_8 + 0.00417415917415993*G0_1_1_0_9 + 0.00496077996078081*G0_1_1_1_0 - 0.0049607799607808*G0_1_1_1_2 + 0.00142199070770522*G0_1_1_1_3 - 0.00545850974422494*G0_1_1_1_4 - 0.000106084391798686*G0_1_1_1_5 + 0.0001060843917987*G0_1_1_1_6 + 0.00545850974422497*G0_1_1_1_7 - 0.00142199070770526*G0_1_1_1_8 - 0.0049607799607808*G0_1_1_2_1 - 0.10818354485023*G0_1_1_2_2 + 0.0231682999540181*G0_1_1_2_3 - 0.0538312481169714*G0_1_1_2_4 + 0.00912884734313452*G0_1_1_2_5 - 0.0183637790780677*G0_1_1_2_6 + 0.00173279101850558*G0_1_1_2_7 - 0.000267589553303891*G0_1_1_2_8 - 0.00417415917415985*G0_1_1_2_9 + 0.000267589553303846*G0_1_1_3_0 + 0.00142199070770522*G0_1_1_3_1 + 0.0231682999540181*G0_1_1_3_2 - 0.00568288854003233*G0_1_1_3_3 + 0.0276823176823223*G0_1_1_3_4 - 0.000242257742257806*G0_1_1_3_5 - 0.000318253175396086*G0_1_1_3_6 - 0.000802768659911685*G0_1_1_3_7 + 0.00160553731982331*G0_1_1_3_9 - 0.00173279101850559*G0_1_1_4_0 - 0.00545850974422494*G0_1_1_4_1 - 0.0538312481169714*G0_1_1_4_2 + 0.0276823176823223*G0_1_1_4_3 - 0.0465298986727637*G0_1_1_4_4 + 0.00519837305551677*G0_1_1_4_5 - 0.00488011988012068*G0_1_1_4_6 + 0.000802768659911645*G0_1_1_4_8 + 0.00212573141144604*G0_1_1_4_9 + 0.0183637790780679*G0_1_1_5_0 - 0.000106084391798686*G0_1_1_5_1 + 0.00912884734313452*G0_1_1_5_2 - 0.000242257742257807*G0_1_1_5_3 + 0.00519837305551677*G0_1_1_5_4 - 0.0464599686028334*G0_1_1_5_5 + 0.00488011988012071*G0_1_1_5_7 + 0.000318253175396062*G0_1_1_5_8 - 0.0131589838732717*G0_1_1_5_9 - 0.00912884734313456*G0_1_1_6_0 + 0.000106084391798701*G0_1_1_6_1 - 0.0183637790780677*G0_1_1_6_2 - 0.000318253175396086*G0_1_1_6_3 - 0.00488011988012068*G0_1_1_6_4 + 0.0464599686028337*G0_1_1_6_6 - 0.00519837305551679*G0_1_1_6_7 + 0.00024225774225779*G0_1_1_6_8 + 0.0131589838732718*G0_1_1_6_9 + 0.0538312481169715*G0_1_1_7_0 + 0.00545850974422497*G0_1_1_7_1 + 0.00173279101850559*G0_1_1_7_2 - 0.000802768659911685*G0_1_1_7_3 + 0.00488011988012071*G0_1_1_7_5 - 0.00519837305551679*G0_1_1_7_6 + 0.0465298986727637*G0_1_1_7_7 - 0.0276823176823224*G0_1_1_7_8 - 0.00212573141144599*G0_1_1_7_9 - 0.0231682999540182*G0_1_1_8_0 - 0.00142199070770526*G0_1_1_8_1 - 0.000267589553303891*G0_1_1_8_2 + 0.000802768659911645*G0_1_1_8_4 + 0.000318253175396062*G0_1_1_8_5 + 0.00024225774225779*G0_1_1_8_6 - 0.0276823176823224*G0_1_1_8_7 + 0.00568288854003235*G0_1_1_8_8 - 0.00160553731982332*G0_1_1_8_9 + 0.00417415917415993*G0_1_1_9_0 - 0.00417415917415985*G0_1_1_9_2 + 0.00160553731982331*G0_1_1_9_3 + 0.00212573141144604*G0_1_1_9_4 - 0.0131589838732717*G0_1_1_9_5 + 0.0131589838732718*G0_1_1_9_6 - 0.00212573141144599*G0_1_1_9_7 - 0.00160553731982332*G0_1_1_9_8;
    A[182] = A[42] - 0.00237293570626943*G0_0_1_0_0 - 0.000801544134877597*G0_0_1_0_2 - 0.000287014572728908*G0_0_1_0_3 + 0.000133992991135885*G0_0_1_0_4 + 0.00435770578627795*G0_0_1_0_5 - 0.00223522509236832*G0_0_1_0_6 - 0.000945562374133961*G0_0_1_0_7 + 0.00133390419104728*G0_0_1_0_9 - 0.000273025034929867*G0_0_1_1_1 + 0.000797104130437608*G0_0_1_1_2 + 0.00142825428539737*G0_0_1_1_3 + 0.00222697936983692*G0_0_1_1_4 + 0.00139891854177591*G0_0_1_1_5 - 0.00124462838748573*G0_0_1_1_6 - 0.000216291644863108*G0_0_1_1_7 + 0.000408321836893321*G0_0_1_1_8 + 0.00371628371628434*G0_0_1_1_9 - 0.000801544134877597*G0_0_1_2_0 + 0.000797104130437608*G0_0_1_2_1 - 0.00275280275280327*G0_0_1_2_3 + 0.0109668109668129*G0_0_1_2_4 + 0.00674880674880786*G0_0_1_2_5 - 0.0109668109668128*G0_0_1_2_6 + 0.00049839049839058*G0_0_1_2_7 - 0.000493950493950576*G0_0_1_2_8 - 0.00399600399600465*G0_0_1_2_9 - 0.000287014572728908*G0_0_1_3_0 + 0.00142825428539737*G0_0_1_3_1 - 0.00275280275280327*G0_0_1_3_2 + 0.0103839018124751*G0_0_1_3_3 - 0.0173126873126903*G0_0_1_3_4 - 0.00140430997573875*G0_0_1_3_5 + 0.0032067932067937*G0_0_1_3_6 + 0.000333951762523244*G0_0_1_3_7 - 0.00128871128871149*G0_0_1_3_8 - 0.0118167546738995*G0_0_1_3_9 + 0.000133992991135885*G0_0_1_4_0 + 0.00222697936983692*G0_0_1_4_1 + 0.0109668109668129*G0_0_1_4_2 - 0.0173126873126903*G0_0_1_4_3 + 0.0317482517482574*G0_0_1_4_4 - 0.000929070929071133*G0_0_1_4_5 - 0.00227772227772258*G0_0_1_4_6 - 0.000685029256457951*G0_0_1_4_7 + 0.000954759526188244*G0_0_1_4_8 + 0.0138461538461562*G0_0_1_4_9 + 0.00435770578627795*G0_0_1_5_0 + 0.00139891854177591*G0_0_1_5_1 + 0.00674880674880786*G0_0_1_5_2 - 0.00140430997573875*G0_0_1_5_3 - 0.000929070929071133*G0_0_1_5_4 + 0.0318824033109799*G0_0_1_5_5 - 0.00438561438561515*G0_0_1_5_6 + 0.00674611103182643*G0_0_1_5_7 - 0.00472384758099121*G0_0_1_5_8 + 0.0054459825888406*G0_0_1_5_9 - 0.00223522509236832*G0_0_1_6_0 - 0.00124462838748573*G0_0_1_6_1 - 0.0109668109668128*G0_0_1_6_2 + 0.0032067932067937*G0_0_1_6_3 - 0.00227772227772258*G0_0_1_6_4 - 0.00438561438561515*G0_0_1_6_5 - 0.0271928071928118*G0_0_1_6_6 - 0.00202226345083522*G0_0_1_6_7 + 0.00287141429998619*G0_0_1_6_8 + 0.00557442557442655*G0_0_1_6_9 - 0.000945562374133961*G0_0_1_7_0 - 0.000216291644863108*G0_0_1_7_1 + 0.00049839049839058*G0_0_1_7_2 + 0.000333951762523244*G0_0_1_7_3 - 0.00068502925645795*G0_0_1_7_4 + 0.00674611103182643*G0_0_1_7_5 - 0.00202226345083522*G0_0_1_7_6 + 0.000299700299700353*G0_0_1_7_7 + 0.00102754388468692*G0_0_1_7_8 + 0.000408321836893321*G0_0_1_8_1 - 0.000493950493950576*G0_0_1_8_2 - 0.00128871128871149*G0_0_1_8_3 + 0.000954759526188244*G0_0_1_8_4 - 0.00472384758099121*G0_0_1_8_5 + 0.00287141429998619*G0_0_1_8_6 + 0.00102754388468692*G0_0_1_8_7 + 0.00175538746967353*G0_0_1_8_8 - 0.0130583702012295*G0_0_1_8_9 + 0.00133390419104728*G0_0_1_9_0 + 0.00371628371628434*G0_0_1_9_1 - 0.00399600399600465*G0_0_1_9_2 - 0.0118167546738995*G0_0_1_9_3 + 0.0138461538461562*G0_0_1_9_4 + 0.0054459825888406*G0_0_1_9_5 + 0.00557442557442655*G0_0_1_9_6 - 0.0130583702012295*G0_0_1_9_8 - 0.0267161410018596*G0_0_1_9_9 + 0.00237293570626943*G0_1_0_0_0 + 0.000801544134877597*G0_1_0_0_2 + 0.000287014572728908*G0_1_0_0_3 - 0.000133992991135885*G0_1_0_0_4 - 0.00435770578627794*G0_1_0_0_5 + 0.00223522509236832*G0_1_0_0_6 + 0.000945562374133962*G0_1_0_0_7 - 0.00133390419104728*G0_1_0_0_9 + 0.000273025034929867*G0_1_0_1_1 - 0.000797104130437608*G0_1_0_1_2 - 0.00142825428539737*G0_1_0_1_3 - 0.00222697936983692*G0_1_0_1_4 - 0.00139891854177591*G0_1_0_1_5 + 0.00124462838748573*G0_1_0_1_6 + 0.000216291644863108*G0_1_0_1_7 - 0.000408321836893321*G0_1_0_1_8 - 0.00371628371628434*G0_1_0_1_9 + 0.000801544134877597*G0_1_0_2_0 - 0.000797104130437608*G0_1_0_2_1 + 0.00275280275280327*G0_1_0_2_3 - 0.0109668109668129*G0_1_0_2_4 - 0.00674880674880786*G0_1_0_2_5 + 0.0109668109668128*G0_1_0_2_6 - 0.00049839049839058*G0_1_0_2_7 + 0.000493950493950576*G0_1_0_2_8 + 0.00399600399600465*G0_1_0_2_9 + 0.000287014572728908*G0_1_0_3_0 - 0.00142825428539737*G0_1_0_3_1 + 0.00275280275280327*G0_1_0_3_2 - 0.0103839018124751*G0_1_0_3_3 + 0.0173126873126903*G0_1_0_3_4 + 0.00140430997573875*G0_1_0_3_5 - 0.0032067932067937*G0_1_0_3_6 - 0.000333951762523244*G0_1_0_3_7 + 0.00128871128871149*G0_1_0_3_8 + 0.0118167546738995*G0_1_0_3_9 - 0.000133992991135885*G0_1_0_4_0 - 0.00222697936983692*G0_1_0_4_1 - 0.0109668109668129*G0_1_0_4_2 + 0.0173126873126903*G0_1_0_4_3 - 0.0317482517482574*G0_1_0_4_4 + 0.000929070929071133*G0_1_0_4_5 + 0.00227772227772258*G0_1_0_4_6 + 0.000685029256457951*G0_1_0_4_7 - 0.000954759526188244*G0_1_0_4_8 - 0.0138461538461562*G0_1_0_4_9 - 0.00435770578627795*G0_1_0_5_0 - 0.00139891854177591*G0_1_0_5_1 - 0.00674880674880786*G0_1_0_5_2 + 0.00140430997573875*G0_1_0_5_3 + 0.000929070929071133*G0_1_0_5_4 - 0.0318824033109799*G0_1_0_5_5 + 0.00438561438561515*G0_1_0_5_6 - 0.00674611103182643*G0_1_0_5_7 + 0.00472384758099121*G0_1_0_5_8 - 0.0054459825888406*G0_1_0_5_9 + 0.00223522509236832*G0_1_0_6_0 + 0.00124462838748573*G0_1_0_6_1 + 0.0109668109668128*G0_1_0_6_2 - 0.0032067932067937*G0_1_0_6_3 + 0.00227772227772258*G0_1_0_6_4 + 0.00438561438561515*G0_1_0_6_5 + 0.0271928071928118*G0_1_0_6_6 + 0.00202226345083522*G0_1_0_6_7 - 0.00287141429998619*G0_1_0_6_8 - 0.00557442557442655*G0_1_0_6_9 + 0.000945562374133962*G0_1_0_7_0 + 0.000216291644863108*G0_1_0_7_1 - 0.00049839049839058*G0_1_0_7_2 - 0.000333951762523244*G0_1_0_7_3 + 0.000685029256457951*G0_1_0_7_4 - 0.00674611103182643*G0_1_0_7_5 + 0.00202226345083522*G0_1_0_7_6 - 0.000299700299700353*G0_1_0_7_7 - 0.00102754388468692*G0_1_0_7_8 - 0.000408321836893321*G0_1_0_8_1 + 0.000493950493950576*G0_1_0_8_2 + 0.00128871128871149*G0_1_0_8_3 - 0.000954759526188244*G0_1_0_8_4 + 0.00472384758099121*G0_1_0_8_5 - 0.00287141429998619*G0_1_0_8_6 - 0.00102754388468692*G0_1_0_8_7 - 0.00175538746967353*G0_1_0_8_8 + 0.0130583702012295*G0_1_0_8_9 - 0.00133390419104728*G0_1_0_9_0 - 0.00371628371628434*G0_1_0_9_1 + 0.00399600399600465*G0_1_0_9_2 + 0.0118167546738995*G0_1_0_9_3 - 0.0138461538461562*G0_1_0_9_4 - 0.0054459825888406*G0_1_0_9_5 - 0.00557442557442655*G0_1_0_9_6 + 0.0130583702012295*G0_1_0_9_8 + 0.0267161410018596*G0_1_0_9_9;
    A[198] = A[89] - 0.00613425375330242*G0_0_0_0_0 - 0.00455671312814248*G0_0_0_0_1 - 0.0100566805328727*G0_0_0_0_2 - 0.0401934573363214*G0_0_0_0_3 + 0.0134823906252501*G0_0_0_0_4 + 0.0148067805210687*G0_0_0_0_5 - 0.0272387929530834*G0_0_0_0_6 + 0.0111380682809273*G0_0_0_0_7 - 0.0145124716553313*G0_0_0_0_8 - 0.017902097902101*G0_0_0_0_9 - 0.00455671312814248*G0_0_0_1_0 - 0.0591346572299053*G0_0_0_1_1 - 0.00470612280136162*G0_0_0_1_2 - 0.119499548070997*G0_0_0_1_3 + 0.0733133533133658*G0_0_0_1_4 + 0.00154765869051609*G0_0_0_1_5 - 0.0145581402724285*G0_0_0_1_6 + 0.0176991262705578*G0_0_0_1_7 - 0.0352916924345555*G0_0_0_1_8 - 0.0248437277008748*G0_0_0_1_9 - 0.0100566805328727*G0_0_0_2_0 - 0.00470612280136162*G0_0_0_2_1 - 0.0133081733081747*G0_0_0_2_2 - 0.0699643213929049*G0_0_0_2_3 + 0.113379953379973*G0_0_0_2_4 + 0.0421369107083462*G0_0_0_2_5 - 0.107838827838846*G0_0_0_2_6 + 0.00584050869765251*G0_0_0_2_7 - 0.0121529264386428*G0_0_0_2_8 - 0.00243565957851703*G0_0_0_2_9 - 0.0401934573363214*G0_0_0_3_0 - 0.119499548070997*G0_0_0_3_1 - 0.0699643213929049*G0_0_0_3_2 - 1.02809190809208*G0_0_0_3_3 + 0.0617896389325059*G0_0_0_3_4 + 0.0466733266733345*G0_0_0_3_5 + 0.0662651634080313*G0_0_0_3_6 + 0.14317111459971*G0_0_0_3_7 - 0.202220636506385*G0_0_0_3_8 - 0.211811046096797*G0_0_0_3_9 + 0.0134823906252501*G0_0_0_4_0 + 0.0733133533133658*G0_0_0_4_1 + 0.113379953379973*G0_0_0_4_2 + 0.0617896389325058*G0_0_0_4_3 + 0.350186955901303*G0_0_0_4_4 - 0.0178564292850039*G0_0_0_4_5 - 0.0484087341230275*G0_0_0_4_6 - 0.040279720279727*G0_0_0_4_7 + 0.0590495219066746*G0_0_0_4_8 + 0.0430198373055589*G0_0_0_4_9 + 0.0148067805210687*G0_0_0_5_0 + 0.00154765869051609*G0_0_0_5_1 + 0.0421369107083462*G0_0_0_5_2 + 0.0466733266733345*G0_0_0_5_3 - 0.0178564292850039*G0_0_0_5_4 - 0.146504923647805*G0_0_0_5_5 + 0.136960182674492*G0_0_0_5_6 - 0.0230169830169869*G0_0_0_5_7 + 0.0179477665191981*G0_0_0_5_8 + 0.0178107606679064*G0_0_0_5_9 - 0.0272387929530834*G0_0_0_6_0 - 0.0145581402724285*G0_0_0_6_1 - 0.107838827838846*G0_0_0_6_2 + 0.0662651634080313*G0_0_0_6_3 - 0.0484087341230275*G0_0_0_6_4 + 0.136960182674492*G0_0_0_6_5 - 0.709872984158818*G0_0_0_6_6 + 0.00506921649778872*G0_0_0_6_7 + 0.0287712287712335*G0_0_0_6_8 - 0.125223348080512*G0_0_0_6_9 + 0.0111380682809273*G0_0_0_7_0 + 0.0176991262705578*G0_0_0_7_1 + 0.00584050869765251*G0_0_0_7_2 + 0.14317111459971*G0_0_0_7_3 - 0.040279720279727*G0_0_0_7_4 - 0.0230169830169869*G0_0_0_7_5 + 0.00506921649778872*G0_0_0_7_6 - 0.0418324532610317*G0_0_0_7_7 + 0.0587298415869943*G0_0_0_7_8 + 0.0435678607107251*G0_0_0_7_9 - 0.0145124716553313*G0_0_0_8_0 - 0.0352916924345555*G0_0_0_8_1 - 0.0121529264386428*G0_0_0_8_2 - 0.202220636506385*G0_0_0_8_3 + 0.0590495219066746*G0_0_0_8_4 + 0.0179477665191981*G0_0_0_8_5 + 0.0287712287712335*G0_0_0_8_6 + 0.0587298415869943*G0_0_0_8_7 - 0.0922506065363363*G0_0_0_8_8 - 0.0435678607107252*G0_0_0_8_9 - 0.017902097902101*G0_0_0_9_0 - 0.0248437277008748*G0_0_0_9_1 - 0.00243565957851702*G0_0_0_9_2 - 0.211811046096797*G0_0_0_9_3 + 0.043019837305559*G0_0_0_9_4 + 0.0178107606679064*G0_0_0_9_5 - 0.125223348080512*G0_0_0_9_6 + 0.0435678607107251*G0_0_0_9_7 - 0.0435678607107252*G0_0_0_9_8 - 0.29922077922083*G0_0_0_9_9 - 0.00695431552574531*G0_0_1_0_1 + 0.0069543155257453*G0_0_1_0_2 - 0.0348451548451608*G0_0_1_0_3 + 0.0348451548451609*G0_0_1_0_4 - 0.00712684141255694*G0_0_1_0_5 + 0.0158825301682472*G0_0_1_0_6 + 0.00712684141255692*G0_0_1_0_7 - 0.0158825301682472*G0_0_1_0_8 - 0.00695431552574531*G0_0_1_1_0 - 0.130445357112046*G0_0_1_1_1 - 0.186992689849864*G0_0_1_1_3 + 0.110918922347513*G0_0_1_1_4 - 0.00415584415584486*G0_0_1_1_5 + 0.0184272869987187*G0_0_1_1_6 + 0.0369357626500547*G0_0_1_1_7 - 0.0759266130694832*G0_0_1_1_8 - 0.0135179106607702*G0_0_1_1_9 + 0.0069543155257453*G0_0_1_2_0 + 0.130445357112046*G0_0_1_2_2 - 0.110918922347513*G0_0_1_2_3 + 0.186992689849865*G0_0_1_2_4 - 0.0369357626500546*G0_0_1_2_5 + 0.075926613069483*G0_0_1_2_6 + 0.00415584415584485*G0_0_1_2_7 - 0.0184272869987187*G0_0_1_2_8 + 0.0135179106607701*G0_0_1_2_9 - 0.0348451548451608*G0_0_1_3_0 - 0.186992689849865*G0_0_1_3_1 - 0.110918922347513*G0_0_1_3_2 - 0.553503639218019*G0_0_1_3_3 + 0.0585014985015083*G0_0_1_3_5 - 0.0552818609961561*G0_0_1_3_6 + 0.104535464535482*G0_0_1_3_7 - 0.159817325531638*G0_0_1_3_8 - 0.168517197088654*G0_0_1_3_9 + 0.0348451548451609*G0_0_1_4_0 + 0.110918922347513*G0_0_1_4_1 + 0.186992689849865*G0_0_1_4_2 + 0.55350363921802*G0_0_1_4_4 - 0.104535464535482*G0_0_1_4_5 + 0.159817325531638*G0_0_1_4_6 - 0.0585014985015084*G0_0_1_4_7 + 0.0552818609961561*G0_0_1_4_8 + 0.168517197088654*G0_0_1_4_9 - 0.00712684141255694*G0_0_1_5_0 - 0.00415584415584486*G0_0_1_5_1 - 0.0369357626500546*G0_0_1_5_2 + 0.0585014985015083*G0_0_1_5_3 - 0.104535464535482*G0_0_1_5_4 + 0.0254830883402355*G0_0_1_5_5 - 0.0614471243042775*G0_0_1_5_6 + 0.0124675324675346*G0_0_1_5_8 - 0.0249350649350692*G0_0_1_5_9 + 0.0158825301682472*G0_0_1_6_0 + 0.0184272869987187*G0_0_1_6_1 + 0.075926613069483*G0_0_1_6_2 - 0.0552818609961561*G0_0_1_6_3 + 0.159817325531638*G0_0_1_6_4 - 0.0614471243042776*G0_0_1_6_5 + 0.11467389753106*G0_0_1_6_6 - 0.0124675324675345*G0_0_1_6_7 + 0.0700099900100018*G0_0_1_6_9 + 0.00712684141255692*G0_0_1_7_0 + 0.0369357626500547*G0_0_1_7_1 + 0.00415584415584485*G0_0_1_7_2 + 0.104535464535482*G0_0_1_7_3 - 0.0585014985015084*G0_0_1_7_4 - 0.0124675324675345*G0_0_1_7_6 - 0.0254830883402357*G0_0_1_7_7 + 0.0614471243042776*G0_0_1_7_8 + 0.0249350649350691*G0_0_1_7_9 - 0.0158825301682472*G0_0_1_8_0 - 0.0759266130694832*G0_0_1_8_1 - 0.0184272869987187*G0_0_1_8_2 - 0.159817325531638*G0_0_1_8_3 + 0.055281860996156*G0_0_1_8_4 + 0.0124675324675346*G0_0_1_8_5 + 0.0614471243042776*G0_0_1_8_7 - 0.11467389753106*G0_0_1_8_8 - 0.0700099900100019*G0_0_1_8_9 - 0.0135179106607702*G0_0_1_9_1 + 0.0135179106607701*G0_0_1_9_2 - 0.168517197088654*G0_0_1_9_3 + 0.168517197088654*G0_0_1_9_4 - 0.0249350649350692*G0_0_1_9_5 + 0.0700099900100018*G0_0_1_9_6 + 0.0249350649350691*G0_0_1_9_7 - 0.0700099900100019*G0_0_1_9_8 + 0.00021734878877738*G0_1_0_0_1 - 0.000217348788777385*G0_1_0_0_2 - 0.0367936825079746*G0_1_0_0_3 + 0.0367936825079746*G0_1_0_0_4 - 0.00225552225552264*G0_1_0_0_5 + 0.00291264291264341*G0_1_0_0_6 + 0.00225552225552266*G0_1_0_0_7 - 0.00291264291264346*G0_1_0_0_8 + 0.00021734878877738*G0_1_0_1_0 - 0.037509157509164*G0_1_0_1_1 - 0.0926514755086342*G0_1_0_1_3 + 0.0647225790083044*G0_1_0_1_4 - 0.00305979734551217*G0_1_0_1_5 - 0.00044907473478908*G0_1_0_1_6 + 0.00167959025101919*G0_1_0_1_7 - 0.00431822146107953*G0_1_0_1_8 - 0.000974263831406932*G0_1_0_1_9 - 0.000217348788777385*G0_1_0_2_0 + 0.0375091575091639*G0_1_0_2_2 - 0.0647225790083043*G0_1_0_2_3 + 0.0926514755086344*G0_1_0_2_4 - 0.00167959025101911*G0_1_0_2_5 + 0.00431822146107933*G0_1_0_2_6 + 0.00305979734551216*G0_1_0_2_7 + 0.000449074734789063*G0_1_0_2_8 + 0.000974263831406876*G0_1_0_2_9 - 0.0367936825079746*G0_1_0_3_0 - 0.0926514755086342*G0_1_0_3_1 - 0.0647225790083043*G0_1_0_3_2 - 0.912458969601982*G0_1_0_3_3 + 0.0597802197802298*G0_1_0_3_5 + 0.00134722420436723*G0_1_0_3_6 + 0.110381047523923*G0_1_0_3_7 - 0.109033823319556*G0_1_0_3_8 - 0.217839303553626*G0_1_0_3_9 + 0.0367936825079746*G0_1_0_4_0 + 0.0647225790083044*G0_1_0_4_1 + 0.0926514755086344*G0_1_0_4_2 + 0.912458969601983*G0_1_0_4_4 - 0.110381047523923*G0_1_0_4_5 + 0.109033823319556*G0_1_0_4_6 - 0.0597802197802299*G0_1_0_4_7 - 0.00134722420436722*G0_1_0_4_8 + 0.217839303553626*G0_1_0_4_9 - 0.00225552225552264*G0_1_0_5_0 - 0.00305979734551217*G0_1_0_5_1 - 0.00167959025101911*G0_1_0_5_2 + 0.0597802197802298*G0_1_0_5_3 - 0.110381047523923*G0_1_0_5_4 + 0.00319680319680366*G0_1_0_5_5 - 0.00152989867275614*G0_1_0_5_6 + 0.00917939203653644*G0_1_0_5_8 - 0.018358784073073*G0_1_0_5_9 + 0.00291264291264341*G0_1_0_6_0 - 0.000449074734789082*G0_1_0_6_1 + 0.00431822146107934*G0_1_0_6_2 + 0.00134722420436724*G0_1_0_6_3 + 0.109033823319556*G0_1_0_6_4 - 0.00152989867275614*G0_1_0_6_5 - 0.0966804623947651*G0_1_0_6_6 - 0.00917939203653649*G0_1_0_6_7 - 0.00561723990295513*G0_1_0_6_9 + 0.00225552225552266*G0_1_0_7_0 + 0.00167959025101919*G0_1_0_7_1 + 0.00305979734551216*G0_1_0_7_2 + 0.110381047523923*G0_1_0_7_3 - 0.0597802197802299*G0_1_0_7_4 - 0.00917939203653649*G0_1_0_7_6 - 0.00319680319680367*G0_1_0_7_7 + 0.00152989867275627*G0_1_0_7_8 + 0.0183587840730729*G0_1_0_7_9 - 0.00291264291264346*G0_1_0_8_0 - 0.00431822146107953*G0_1_0_8_1 + 0.000449074734789063*G0_1_0_8_2 - 0.109033823319556*G0_1_0_8_3 - 0.00134722420436722*G0_1_0_8_4 + 0.00917939203653644*G0_1_0_8_5 + 0.00152989867275628*G0_1_0_8_7 + 0.0966804623947639*G0_1_0_8_8 + 0.00561723990295501*G0_1_0_8_9 - 0.00097426383140693*G0_1_0_9_1 + 0.000974263831406877*G0_1_0_9_2 - 0.217839303553626*G0_1_0_9_3 + 0.217839303553626*G0_1_0_9_4 - 0.018358784073073*G0_1_0_9_5 - 0.00561723990295515*G0_1_0_9_6 + 0.0183587840730729*G0_1_0_9_7 + 0.00561723990295501*G0_1_0_9_8 + 0.00613425375330243*G0_1_1_0_0 + 0.0100566805328727*G0_1_1_0_1 + 0.00455671312814249*G0_1_1_0_2 - 0.0134823906252501*G0_1_1_0_3 + 0.0401934573363215*G0_1_1_0_4 - 0.0111380682809273*G0_1_1_0_5 + 0.0145124716553313*G0_1_1_0_6 - 0.0148067805210687*G0_1_1_0_7 + 0.0272387929530833*G0_1_1_0_8 + 0.017902097902101*G0_1_1_0_9 + 0.0100566805328727*G0_1_1_1_0 + 0.0133081733081755*G0_1_1_1_1 + 0.00470612280136171*G0_1_1_1_2 - 0.113379953379973*G0_1_1_1_3 + 0.0699643213929048*G0_1_1_1_4 - 0.00584050869765261*G0_1_1_1_5 + 0.0121529264386429*G0_1_1_1_6 - 0.0421369107083463*G0_1_1_1_7 + 0.107838827838846*G0_1_1_1_8 + 0.00243565957851709*G0_1_1_1_9 + 0.00455671312814249*G0_1_1_2_0 + 0.00470612280136171*G0_1_1_2_1 + 0.0591346572299053*G0_1_1_2_2 - 0.0733133533133658*G0_1_1_2_3 + 0.119499548070997*G0_1_1_2_4 - 0.0176991262705578*G0_1_1_2_5 + 0.0352916924345556*G0_1_1_2_6 - 0.00154765869051608*G0_1_1_2_7 + 0.0145581402724283*G0_1_1_2_8 + 0.0248437277008747*G0_1_1_2_9 - 0.0134823906252501*G0_1_1_3_0 - 0.113379953379973*G0_1_1_3_1 - 0.0733133533133658*G0_1_1_3_2 - 0.350186955901301*G0_1_1_3_3 - 0.0617896389325065*G0_1_1_3_4 + 0.0402797202797271*G0_1_1_3_5 - 0.0590495219066747*G0_1_1_3_6 + 0.0178564292850039*G0_1_1_3_7 + 0.0484087341230275*G0_1_1_3_8 - 0.0430198373055591*G0_1_1_3_9 + 0.0401934573363215*G0_1_1_4_0 + 0.0699643213929048*G0_1_1_4_1 + 0.119499548070997*G0_1_1_4_2 - 0.0617896389325065*G0_1_1_4_3 + 1.02809190809208*G0_1_1_4_4 - 0.14317111459971*G0_1_1_4_5 + 0.202220636506385*G0_1_1_4_6 - 0.0466733266733346*G0_1_1_4_7 - 0.0662651634080315*G0_1_1_4_8 + 0.211811046096796*G0_1_1_4_9 - 0.0111380682809273*G0_1_1_5_0 - 0.00584050869765261*G0_1_1_5_1 - 0.0176991262705578*G0_1_1_5_2 + 0.040279720279727*G0_1_1_5_3 - 0.14317111459971*G0_1_1_5_4 + 0.0418324532610317*G0_1_1_5_5 - 0.0587298415869944*G0_1_1_5_6 + 0.0230169830169869*G0_1_1_5_7 - 0.00506921649778887*G0_1_1_5_8 - 0.0435678607107253*G0_1_1_5_9 + 0.0145124716553313*G0_1_1_6_0 + 0.0121529264386429*G0_1_1_6_1 + 0.0352916924345556*G0_1_1_6_2 - 0.0590495219066747*G0_1_1_6_3 + 0.202220636506385*G0_1_1_6_4 - 0.0587298415869944*G0_1_1_6_5 + 0.0922506065363364*G0_1_1_6_6 - 0.0179477665191981*G0_1_1_6_7 - 0.0287712287712334*G0_1_1_6_8 + 0.0435678607107253*G0_1_1_6_9 - 0.0148067805210687*G0_1_1_7_0 - 0.0421369107083463*G0_1_1_7_1 - 0.00154765869051608*G0_1_1_7_2 + 0.0178564292850039*G0_1_1_7_3 - 0.0466733266733346*G0_1_1_7_4 + 0.0230169830169869*G0_1_1_7_5 - 0.0179477665191981*G0_1_1_7_6 + 0.146504923647805*G0_1_1_7_7 - 0.136960182674491*G0_1_1_7_8 - 0.0178107606679065*G0_1_1_7_9 + 0.0272387929530833*G0_1_1_8_0 + 0.107838827838846*G0_1_1_8_1 + 0.0145581402724283*G0_1_1_8_2 + 0.0484087341230275*G0_1_1_8_3 - 0.0662651634080315*G0_1_1_8_4 - 0.00506921649778887*G0_1_1_8_5 - 0.0287712287712334*G0_1_1_8_6 - 0.136960182674491*G0_1_1_8_7 + 0.709872984158817*G0_1_1_8_8 + 0.125223348080512*G0_1_1_8_9 + 0.017902097902101*G0_1_1_9_0 + 0.00243565957851709*G0_1_1_9_1 + 0.0248437277008747*G0_1_1_9_2 - 0.0430198373055591*G0_1_1_9_3 + 0.211811046096796*G0_1_1_9_4 - 0.0435678607107253*G0_1_1_9_5 + 0.0435678607107253*G0_1_1_9_6 - 0.0178107606679066*G0_1_1_9_7 + 0.125223348080512*G0_1_1_9_8 + 0.299220779220829*G0_1_1_9_9;
    A[186] = A[198] - 0.0538416081273315*G0_0_0_0_0 - 0.00745244173815728*G0_0_0_0_2 + 0.0387422101707882*G0_0_0_0_3 - 0.00694162979877385*G0_0_0_0_4 - 0.118976896119773*G0_0_0_0_5 + 0.0510016967159911*G0_0_0_0_6 - 0.0457498057498133*G0_0_0_0_7 + 0.0320847406561746*G0_0_0_0_8 - 0.00861614575900435*G0_0_0_0_9 + 0.0538416081273315*G0_0_0_1_1 + 0.00745244173815726*G0_0_0_1_2 + 0.118976896119773*G0_0_0_1_3 - 0.051001696715991*G0_0_0_1_4 - 0.0387422101707881*G0_0_0_1_5 + 0.00694162979877381*G0_0_0_1_6 - 0.0320847406561746*G0_0_0_1_7 + 0.0457498057498135*G0_0_0_1_8 + 0.00861614575900442*G0_0_0_1_9 - 0.00745244173815728*G0_0_0_2_0 + 0.00745244173815727*G0_0_0_2_1 + 0.045323565323573*G0_0_0_2_3 - 0.0279897879897928*G0_0_0_2_4 - 0.045323565323573*G0_0_0_2_5 + 0.0279897879897927*G0_0_0_2_6 - 0.0184196755625358*G0_0_0_2_7 + 0.0184196755625358*G0_0_0_2_8 + 0.0387422101707882*G0_0_0_3_0 + 0.118976896119773*G0_0_0_3_1 + 0.045323565323573*G0_0_0_3_2 + 0.936571999429302*G0_0_0_3_3 - 0.167147138575738*G0_0_0_3_4 - 0.0208248893963214*G0_0_0_3_6 - 0.116226630512364*G0_0_0_3_7 + 0.171485657199972*G0_0_0_3_8 + 0.206604823747716*G0_0_0_3_9 - 0.00694162979877385*G0_0_0_4_0 - 0.051001696715991*G0_0_0_4_1 - 0.0279897879897928*G0_0_0_4_2 - 0.167147138575738*G0_0_0_4_3 - 0.0690509490509614*G0_0_0_4_4 + 0.0208248893963215*G0_0_0_4_5 + 0.0380419580419644*G0_0_0_4_7 - 0.0552590266876074*G0_0_0_4_8 - 0.0416497787926429*G0_0_0_4_9 - 0.118976896119773*G0_0_0_5_0 - 0.0387422101707881*G0_0_0_5_1 - 0.045323565323573*G0_0_0_5_2 + 0.0208248893963215*G0_0_0_5_4 - 0.936571999429301*G0_0_0_5_5 + 0.167147138575738*G0_0_0_5_6 - 0.171485657199972*G0_0_0_5_7 + 0.116226630512364*G0_0_0_5_8 - 0.206604823747716*G0_0_0_5_9 + 0.0510016967159911*G0_0_0_6_0 + 0.00694162979877381*G0_0_0_6_1 + 0.0279897879897927*G0_0_0_6_2 - 0.0208248893963214*G0_0_0_6_3 + 0.167147138575738*G0_0_0_6_5 + 0.0690509490509607*G0_0_0_6_6 + 0.0552590266876073*G0_0_0_6_7 - 0.0380419580419644*G0_0_0_6_8 + 0.0416497787926429*G0_0_0_6_9 - 0.0457498057498133*G0_0_0_7_0 - 0.0320847406561746*G0_0_0_7_1 - 0.0184196755625358*G0_0_0_7_2 - 0.116226630512364*G0_0_0_7_3 + 0.0380419580419644*G0_0_0_7_4 - 0.171485657199972*G0_0_0_7_5 + 0.0552590266876073*G0_0_0_7_6 - 0.0430198373055587*G0_0_0_7_7 - 0.0846696160982018*G0_0_0_7_9 + 0.0320847406561746*G0_0_0_8_0 + 0.0457498057498135*G0_0_0_8_1 + 0.0184196755625358*G0_0_0_8_2 + 0.171485657199972*G0_0_0_8_3 - 0.0552590266876074*G0_0_0_8_4 + 0.116226630512364*G0_0_0_8_5 - 0.0380419580419644*G0_0_0_8_6 + 0.0430198373055587*G0_0_0_8_8 + 0.0846696160982018*G0_0_0_8_9 - 0.00861614575900435*G0_0_0_9_0 + 0.00861614575900442*G0_0_0_9_1 + 0.206604823747716*G0_0_0_9_3 - 0.0416497787926429*G0_0_0_9_4 - 0.206604823747716*G0_0_0_9_5 + 0.0416497787926429*G0_0_0_9_6 - 0.0846696160982018*G0_0_0_9_7 + 0.0846696160982018*G0_0_0_9_8 + 0.0762947810566986*G0_0_1_0_0 + 0.0134440515392919*G0_0_1_0_1 + 0.00634032634032741*G0_0_1_0_2 + 0.0220274963132144*G0_0_1_0_3 - 0.0166614338042938*G0_0_1_0_4 + 0.0583771783771882*G0_0_1_0_5 - 0.0242754071325541*G0_0_1_0_6 + 0.0315189572332481*G0_0_1_0_7 - 0.00590647447790395*G0_0_1_0_8 + 0.00599781171209845*G0_0_1_0_9 + 0.0134440515392919*G0_0_1_1_0 + 0.13013638918403*G0_0_1_1_1 + 0.0137927680784847*G0_0_1_1_2 + 0.177354074496962*G0_0_1_1_3 - 0.0752771038485451*G0_0_1_1_4 - 0.0167147138575738*G0_0_1_1_5 - 0.00971980400551993*G0_0_1_1_6 - 0.0379912151340788*G0_0_1_1_7 + 0.0772687629830619*G0_0_1_1_8 + 0.0146139574711029*G0_0_1_1_9 + 0.00634032634032741*G0_0_1_2_0 + 0.0137927680784847*G0_0_1_2_1 - 0.00748288748288884*G0_0_1_2_2 + 0.0469168926311863*G0_0_1_2_3 - 0.0283449883449932*G0_0_1_2_4 + 0.00159332730761329*G0_0_1_2_5 - 0.000355200355200446*G0_0_1_2_6 - 0.00509205080633739*G0_0_1_2_7 + 0.0133276247561984*G0_0_1_2_8 + 0.0165624851339165*G0_0_1_2_9 + 0.0220274963132144*G0_0_1_3_0 + 0.177354074496962*G0_0_1_3_1 + 0.0469168926311863*G0_0_1_3_2 + 0.506875981161782*G0_0_1_3_3 - 0.165069216497816*G0_0_1_3_4 + 0.00132438989581863*G0_0_1_3_5 + 0.0105722848580009*G0_0_1_3_6 - 0.0846696160982019*G0_0_1_3_7 + 0.143239617525356*G0_0_1_3_8 + 0.125497359783095*G0_0_1_3_9 - 0.0166614338042938*G0_0_1_4_0 - 0.0752771038485452*G0_0_1_4_1 - 0.0283449883449932*G0_0_1_4_2 - 0.165069216497816*G0_0_1_4_3 - 0.145682888540056*G0_0_1_4_4 + 0.0313971742543224*G0_0_1_4_5 - 0.0419694591123233*G0_0_1_4_6 + 0.0419237904952262*G0_0_1_4_7 - 0.0585700014271542*G0_0_1_4_8 - 0.112481803910394*G0_0_1_4_9 + 0.0583771783771882*G0_0_1_5_0 - 0.0167147138575738*G0_0_1_5_1 + 0.00159332730761329*G0_0_1_5_2 + 0.00132438989581863*G0_0_1_5_3 + 0.0313971742543224*G0_0_1_5_4 - 0.429696018267519*G0_0_1_5_5 + 0.00207792207792232*G0_0_1_5_6 - 0.0282460396746159*G0_0_1_5_7 + 0.0315570144141626*G0_0_1_5_8 - 0.0811074639646206*G0_0_1_5_9 - 0.0242754071325541*G0_0_1_6_0 - 0.00971980400551993*G0_0_1_6_1 - 0.000355200355200446*G0_0_1_6_2 + 0.0105722848580009*G0_0_1_6_3 - 0.0419694591123233*G0_0_1_6_4 + 0.00207792207792233*G0_0_1_6_5 - 0.0766319394890952*G0_0_1_6_6 - 0.00331097473954669*G0_0_1_6_7 + 0.00388183245326165*G0_0_1_6_8 - 0.0708320251177513*G0_0_1_6_9 + 0.0315189572332481*G0_0_1_7_0 - 0.0379912151340788*G0_0_1_7_1 - 0.00509205080633739*G0_0_1_7_2 - 0.0846696160982019*G0_0_1_7_3 + 0.0419237904952262*G0_0_1_7_4 - 0.0282460396746159*G0_0_1_7_5 - 0.00331097473954669*G0_0_1_7_6 + 0.0673155416012672*G0_0_1_7_7 - 0.0624289995718672*G0_0_1_7_8 - 0.0113714856572019*G0_0_1_7_9 - 0.00590647447790395*G0_0_1_8_0 + 0.0772687629830619*G0_0_1_8_1 + 0.0133276247561984*G0_0_1_8_2 + 0.143239617525356*G0_0_1_8_3 - 0.0585700014271542*G0_0_1_8_4 + 0.0315570144141626*G0_0_1_8_5 + 0.00388183245326165*G0_0_1_8_6 - 0.0624289995718672*G0_0_1_8_7 + 0.110335378906826*G0_0_1_8_8 + 0.073298130441*G0_0_1_8_9 + 0.00599781171209845*G0_0_1_9_0 + 0.0146139574711029*G0_0_1_9_1 + 0.0165624851339165*G0_0_1_9_2 + 0.125497359783095*G0_0_1_9_3 - 0.112481803910394*G0_0_1_9_4 - 0.0811074639646206*G0_0_1_9_5 - 0.0708320251177513*G0_0_1_9_6 - 0.0113714856572019*G0_0_1_9_7 + 0.073298130441*G0_0_1_9_8 - 0.143034108748418*G0_0_1_9_9 - 0.0238390181247363*G0_1_0_0_0 - 0.00434359291502219*G0_1_0_0_1 - 0.00328306614020954*G0_1_0_0_2 + 0.0345863660149434*G0_1_0_0_3 - 0.00855525426954148*G0_1_0_0_4 - 0.0348553034267377*G0_1_0_0_5 + 0.00938236366807947*G0_1_0_0_6 - 0.0394373880088231*G0_1_0_0_7 + 0.0193990136847312*G0_1_0_0_8 - 0.0109300223585956*G0_1_0_0_9 - 0.00434359291502219*G0_1_0_1_0 + 0.0300025900025951*G0_1_0_1_1 + 0.00416937559794773*G0_1_0_1_2 + 0.0841215926930356*G0_1_0_1_3 - 0.0416193330479116*G0_1_0_1_4 - 0.00415584415584484*G0_1_0_1_5 - 0.00161362447076763*G0_1_0_1_6 - 0.0126857269714434*G0_1_0_1_7 + 0.00631241774099034*G0_1_0_1_8 - 0.00231387659959121*G0_1_0_1_9 - 0.00328306614020953*G0_1_0_2_0 + 0.00416937559794773*G0_1_0_2_1 - 0.0208384208384243*G0_1_0_2_2 + 0.0365044479330255*G0_1_0_2_3 - 0.028984348984354*G0_1_0_2_4 - 0.00881911739054746*G0_1_0_2_5 - 0.000994560994561094*G0_1_0_2_6 - 0.0168517197088654*G0_1_0_2_7 + 0.00156795585367042*G0_1_0_2_8 - 0.00310546596260933*G0_1_0_2_9 + 0.0345863660149434*G0_1_0_3_0 + 0.0841215926930356*G0_1_0_3_1 + 0.0365044479330255*G0_1_0_3_2 + 0.876700442414877*G0_1_0_3_3 - 0.0982331953760689*G0_1_0_3_4 - 0.0497331240188466*G0_1_0_3_5 + 0.0130155558727009*G0_1_0_3_6 - 0.0955844155844318*G0_1_0_3_7 + 0.0921136006850451*G0_1_0_3_8 + 0.198110460967638*G0_1_0_3_9 - 0.00855525426954148*G0_1_0_4_0 - 0.0416193330479116*G0_1_0_4_1 - 0.028984348984354*G0_1_0_4_2 - 0.0982331953760689*G0_1_0_4_3 - 0.151665477379789*G0_1_0_4_4 + 0.0338404452690224*G0_1_0_4_5 - 0.0468560011417234*G0_1_0_4_6 + 0.0340231197374112*G0_1_0_4_7 + 0.00347081489938683*G0_1_0_4_8 - 0.0583644926502168*G0_1_0_4_9 - 0.0348553034267377*G0_1_0_5_0 - 0.00415584415584484*G0_1_0_5_1 - 0.00881911739054745*G0_1_0_5_2 - 0.0497331240188466*G0_1_0_5_3 + 0.0338404452690224*G0_1_0_5_4 - 0.0598715570144242*G0_1_0_5_5 + 0.0689139431996689*G0_1_0_5_6 - 0.0793720565149268*G0_1_0_5_7 + 0.0206422149279327*G0_1_0_5_8 - 0.00849436278007849*G0_1_0_5_9 + 0.00938236366807948*G0_1_0_6_0 - 0.00161362447076763*G0_1_0_6_1 - 0.000994560994561093*G0_1_0_6_2 + 0.0130155558727009*G0_1_0_6_3 - 0.0468560011417234*G0_1_0_6_4 + 0.0689139431996689*G0_1_0_6_5 - 0.0826145283288276*G0_1_0_6_6 + 0.0587298415869942*G0_1_0_6_7 - 0.00401883830455328*G0_1_0_6_8 - 0.0167147138575738*G0_1_0_6_9 - 0.0394373880088231*G0_1_0_7_0 - 0.0126857269714434*G0_1_0_7_1 - 0.0168517197088654*G0_1_0_7_2 - 0.0955844155844318*G0_1_0_7_3 + 0.0340231197374112*G0_1_0_7_4 - 0.0793720565149268*G0_1_0_7_5 + 0.0587298415869942*G0_1_0_7_6 - 0.187743684886573*G0_1_0_7_7 + 0.0606479235050763*G0_1_0_7_8 - 0.0846696160982017*G0_1_0_7_9 + 0.0193990136847312*G0_1_0_8_0 + 0.00631241774099034*G0_1_0_8_1 + 0.00156795585367042*G0_1_0_8_2 + 0.0921136006850451*G0_1_0_8_3 + 0.00347081489938683*G0_1_0_8_4 + 0.0206422149279327*G0_1_0_8_5 - 0.00401883830455328*G0_1_0_8_6 + 0.0606479235050763*G0_1_0_8_7 - 0.144723847581014*G0_1_0_8_8 - 0.0109300223585956*G0_1_0_9_0 - 0.00231387659959121*G0_1_0_9_1 - 0.00310546596260933*G0_1_0_9_2 + 0.198110460967638*G0_1_0_9_3 - 0.0583644926502168*G0_1_0_9_4 - 0.00849436278007849*G0_1_0_9_5 - 0.0167147138575738*G0_1_0_9_6 - 0.0846696160982017*G0_1_0_9_7 - 0.129881547024426*G0_1_0_9_9 + 0.107126171888095*G0_1_1_0_0 + 0.00455022931213486*G0_1_1_0_1 + 0.0053934072981701*G0_1_1_0_2 + 0.00786261357690063*G0_1_1_0_3 - 0.0107473478902069*G0_1_1_0_4 + 0.0423068994497637*G0_1_1_0_5 - 0.0279999365713698*G0_1_1_0_6 + 0.143919572491025*G0_1_1_0_7 - 0.0789965589965724*G0_1_1_0_8 - 0.00286190000475758*G0_1_1_0_9 + 0.00455022931213486*G0_1_1_1_0 - 0.000828800828800818*G0_1_1_1_1 + 0.00511629464010503*G0_1_1_1_2 + 0.10019187162046*G0_1_1_1_3 - 0.0378948036090958*G0_1_1_1_4 + 0.0100090385804689*G0_1_1_1_5 - 0.00752771038485456*G0_1_1_1_6 + 0.0604043575472248*G0_1_1_1_7 - 0.106088197516787*G0_1_1_1_8 + 0.00654583511726488*G0_1_1_1_9 + 0.0053934072981701*G0_1_1_2_0 + 0.00511629464010503*G0_1_1_2_1 - 0.0141606541606566*G0_1_1_2_2 + 0.0336070278927479*G0_1_1_2_3 - 0.0242018299161198*G0_1_1_2_4 + 0.00449074734789096*G0_1_1_2_5 - 0.00513771942343459*G0_1_1_2_6 + 0.0126349840635576*G0_1_1_2_7 - 0.0161590790162245*G0_1_1_2_8 + 0.00672850958565361*G0_1_1_2_9 + 0.00786261357690063*G0_1_1_3_0 + 0.10019187162046*G0_1_1_3_1 + 0.0336070278927479*G0_1_1_3_2 + 0.389918652775862*G0_1_1_3_3 - 0.102000856286588*G0_1_1_3_4 - 0.0242043670615139*G0_1_1_3_5 + 0.0173769088054831*G0_1_1_3_6 - 0.0287940630797825*G0_1_1_3_7 - 0.0144769516198107*G0_1_1_3_8 + 0.0379506208077703*G0_1_1_3_9 - 0.0107473478902069*G0_1_1_4_0 - 0.0378948036090958*G0_1_1_4_1 - 0.0242018299161198*G0_1_1_4_2 - 0.102000856286588*G0_1_1_4_3 - 0.190301127444017*G0_1_1_4_4 + 0.0270358213215402*G0_1_1_4_5 - 0.0444127301270234*G0_1_1_4_6 - 0.000228343085485884*G0_1_1_4_7 + 0.0432710146995932*G0_1_1_4_8 - 0.0742571714000412*G0_1_1_4_9 + 0.0423068994497637*G0_1_1_5_0 + 0.0100090385804689*G0_1_1_5_1 + 0.00449074734789096*G0_1_1_5_2 - 0.0242043670615139*G0_1_1_5_3 + 0.0270358213215402*G0_1_1_5_4 + 0.0570857713714949*G0_1_1_5_5 + 0.00584558298844117*G0_1_1_5_6 + 0.0783445126302399*G0_1_1_5_7 - 0.0352333380904867*G0_1_1_5_8 + 0.0790523761952466*G0_1_1_5_9 - 0.0279999365713698*G0_1_1_6_0 - 0.00752771038485455*G0_1_1_6_1 - 0.00513771942343459*G0_1_1_6_2 + 0.0173769088054831*G0_1_1_6_3 - 0.0444127301270234*G0_1_1_6_4 + 0.00584558298844117*G0_1_1_6_5 - 0.0379962894248673*G0_1_1_6_6 - 0.0431111745397531*G0_1_1_6_7 + 0.0381332952761586*G0_1_1_6_8 - 0.0549393463679271*G0_1_1_6_9 + 0.143919572491025*G0_1_1_7_0 + 0.0604043575472248*G0_1_1_7_1 + 0.0126349840635576*G0_1_1_7_2 - 0.0287940630797825*G0_1_1_7_3 - 0.000228343085485881*G0_1_1_7_4 + 0.0783445126302399*G0_1_1_7_5 - 0.0431111745397531*G0_1_1_7_6 + 0.390329670329736*G0_1_1_7_7 - 0.000890538033395463*G0_1_1_7_8 + 0.0948080490937796*G0_1_1_7_9 - 0.0789965589965724*G0_1_1_8_0 - 0.106088197516787*G0_1_1_8_1 - 0.0161590790162245*G0_1_1_8_2 - 0.0144769516198107*G0_1_1_8_3 + 0.0432710146995932*G0_1_1_8_4 - 0.0352333380904867*G0_1_1_8_5 + 0.0381332952761587*G0_1_1_8_6 - 0.000890538033395463*G0_1_1_8_7 - 0.467737976309483*G0_1_1_8_8 - 0.106179534750981*G0_1_1_8_9 - 0.00286190000475758*G0_1_1_9_0 + 0.00654583511726488*G0_1_1_9_1 + 0.00672850958565362*G0_1_1_9_2 + 0.0379506208077703*G0_1_1_9_3 - 0.0742571714000412*G0_1_1_9_4 + 0.0790523761952466*G0_1_1_9_5 - 0.0549393463679271*G0_1_1_9_6 + 0.0948080490937796*G0_1_1_9_7 - 0.106179534750981*G0_1_1_9_8 - 0.136457827886422*G0_1_1_9_9;
    A[32] = 0.00212020122734445*G0_1_1_0_0 + 0.000609996815354065*G0_1_1_0_1 + 0.00505480245063665*G0_1_1_0_2 - 0.00139091232841257*G0_1_1_0_3 + 0.0032766423391429*G0_1_1_0_4 - 0.00193059255559289*G0_1_1_0_5 + 0.00494551744551829*G0_1_1_0_6 + 0.000907706711278292*G0_1_1_0_7 - 0.000483709412280919*G0_1_1_0_8 + 0.00107184482184501*G0_1_1_0_9 + 0.000609996815354065*G0_1_1_1_0 + 0.00212020122734446*G0_1_1_1_1 + 0.00505480245063664*G0_1_1_1_2 - 0.00193059255559288*G0_1_1_1_3 + 0.00494551744551828*G0_1_1_1_4 - 0.00139091232841257*G0_1_1_1_5 + 0.0032766423391429*G0_1_1_1_6 - 0.000483709412280929*G0_1_1_1_7 + 0.000907706711278309*G0_1_1_1_8 + 0.00107184482184501*G0_1_1_1_9 + 0.00505480245063665*G0_1_1_2_0 + 0.00505480245063664*G0_1_1_2_1 + 0.106054978971663*G0_1_1_2_2 - 0.0222249972250009*G0_1_1_2_3 + 0.0477428821178901*G0_1_1_2_4 - 0.0222249972250009*G0_1_1_2_5 + 0.0477428821178901*G0_1_1_2_6 - 0.000749886687386808*G0_1_1_2_7 - 0.000749886687386804*G0_1_1_2_8 + 0.00658577533577643*G0_1_1_2_9 - 0.00139091232841257*G0_1_1_3_0 - 0.00193059255559288*G0_1_1_3_1 - 0.0222249972250009*G0_1_1_3_2 + 0.0128475690975713*G0_1_1_3_3 - 0.0240733225108266*G0_1_1_3_4 + 0.00635510323010429*G0_1_1_3_5 - 0.0141946595071619*G0_1_1_3_6 - 0.000191995504495541*G0_1_1_3_7 + 0.00230706793206832*G0_1_1_3_8 - 0.00283154345654393*G0_1_1_3_9 + 0.0032766423391429*G0_1_1_4_0 + 0.00494551744551828*G0_1_1_4_1 + 0.0477428821178901*G0_1_1_4_2 - 0.0240733225108266*G0_1_1_4_3 + 0.0567786380286476*G0_1_1_4_4 - 0.0141946595071619*G0_1_1_4_5 + 0.0283893190143238*G0_1_1_4_6 - 0.0016077672327675*G0_1_1_4_7 - 0.00211507242757278*G0_1_1_4_8 + 0.00863199300699446*G0_1_1_4_9 - 0.00193059255559289*G0_1_1_5_0 - 0.00139091232841257*G0_1_1_5_1 - 0.0222249972250009*G0_1_1_5_2 + 0.00635510323010429*G0_1_1_5_3 - 0.0141946595071619*G0_1_1_5_4 + 0.0128475690975712*G0_1_1_5_5 - 0.0240733225108266*G0_1_1_5_6 + 0.00230706793206831*G0_1_1_5_7 - 0.000191995504495538*G0_1_1_5_8 - 0.00283154345654393*G0_1_1_5_9 + 0.00494551744551829*G0_1_1_6_0 + 0.0032766423391429*G0_1_1_6_1 + 0.0477428821178901*G0_1_1_6_2 - 0.0141946595071619*G0_1_1_6_3 + 0.0283893190143238*G0_1_1_6_4 - 0.0240733225108266*G0_1_1_6_5 + 0.0567786380286476*G0_1_1_6_6 - 0.00211507242757278*G0_1_1_6_7 - 0.0016077672327675*G0_1_1_6_8 + 0.00863199300699445*G0_1_1_6_9 + 0.000907706711278292*G0_1_1_7_0 - 0.000483709412280929*G0_1_1_7_1 - 0.000749886687386808*G0_1_1_7_2 - 0.000191995504495541*G0_1_1_7_3 - 0.0016077672327675*G0_1_1_7_4 + 0.00230706793206831*G0_1_1_7_5 - 0.00211507242757278*G0_1_1_7_6 + 0.00947475143903876*G0_1_1_7_7 - 0.00193593608772214*G0_1_1_7_8 + 0.00101461038961056*G0_1_1_7_9 - 0.000483709412280919*G0_1_1_8_0 + 0.000907706711278308*G0_1_1_8_1 - 0.000749886687386804*G0_1_1_8_2 + 0.00230706793206832*G0_1_1_8_3 - 0.00211507242757278*G0_1_1_8_4 - 0.000191995504495538*G0_1_1_8_5 - 0.0016077672327675*G0_1_1_8_6 - 0.00193593608772214*G0_1_1_8_7 + 0.00947475143903879*G0_1_1_8_8 + 0.00101461038961056*G0_1_1_8_9 + 0.00107184482184501*G0_1_1_9_0 + 0.00107184482184501*G0_1_1_9_1 + 0.00658577533577643*G0_1_1_9_2 - 0.00283154345654393*G0_1_1_9_3 + 0.00863199300699446*G0_1_1_9_4 - 0.00283154345654393*G0_1_1_9_5 + 0.00863199300699445*G0_1_1_9_6 + 0.00101461038961056*G0_1_1_9_7 + 0.00101461038961056*G0_1_1_9_8 + 0.0118756243756264*G0_1_1_9_9;
    A[41] = A[32] - 0.00407525455144574*G0_1_0_0_0 + 0.000591824401348319*G0_1_0_0_1 + 0.000140194902099688*G0_1_0_0_2 + 0.000111370111370133*G0_1_0_0_3 - 0.000364661793233285*G0_1_0_0_4 + 0.000477511906083408*G0_1_0_0_5 + 0.000426372569229787*G0_1_0_0_6 + 0.000827690827690953*G0_1_0_0_7 + 0.000730724302153005*G0_1_0_0_8 + 0.00128173413887721*G0_1_0_0_9 + 0.000591824401348319*G0_1_0_1_0 + 0.0170459170459201*G0_1_0_1_1 + 0.00013545537355064*G0_1_0_1_2 + 0.00212343212343253*G0_1_0_1_3 - 0.0015861123003983*G0_1_0_1_4 - 0.00222769294197907*G0_1_0_1_7 + 0.00662670662670783*G0_1_0_1_8 - 0.000466359037787676*G0_1_0_1_9 + 0.000140194902099688*G0_1_0_2_0 + 0.00013545537355064*G0_1_0_2_1 + 0.00062789062789073*G0_1_0_2_3 - 0.00182854182854213*G0_1_0_2_4 - 0.000292670292670344*G0_1_0_2_5 + 0.00182854182854214*G0_1_0_2_6 - 0.000196734482448802*G0_1_0_2_7 - 0.000335220335220396*G0_1_0_2_9 + 0.000111370111370133*G0_1_0_3_0 + 0.00212343212343253*G0_1_0_3_1 + 0.00062789062789073*G0_1_0_3_2 - 0.00768041482327328*G0_1_0_3_3 + 0.00257218971504728*G0_1_0_3_4 - 0.000377717520574723*G0_1_0_3_6 - 0.000574187717044964*G0_1_0_3_7 + 0.000577517720374971*G0_1_0_3_8 + 0.00254745254745296*G0_1_0_3_9 - 0.000364661793233285*G0_1_0_4_0 - 0.0015861123003983*G0_1_0_4_1 - 0.00182854182854213*G0_1_0_4_2 + 0.00257218971504728*G0_1_0_4_3 - 0.00462204462204539*G0_1_0_4_4 + 0.000853907996765285*G0_1_0_4_5 - 0.000476190476190561*G0_1_0_4_6 + 0.000962133104990412*G0_1_0_4_7 - 0.000702154987869381*G0_1_0_4_9 + 0.000477511906083408*G0_1_0_5_0 - 0.000292670292670344*G0_1_0_5_2 + 0.000853907996765286*G0_1_0_5_4 + 0.00549878692735923*G0_1_0_5_5 - 0.00410732125017908*G0_1_0_5_6 - 0.000233575947861706*G0_1_0_5_7 - 0.000116550116550134*G0_1_0_5_8 - 0.00361210218353136*G0_1_0_5_9 + 0.000426372569229787*G0_1_0_6_0 + 0.00182854182854214*G0_1_0_6_2 - 0.000377717520574723*G0_1_0_6_3 - 0.000476190476190561*G0_1_0_6_4 - 0.00410732125017908*G0_1_0_6_5 + 0.0055744255744265*G0_1_0_6_6 + 0.000350126064411839*G0_1_0_6_7 + 0.000169592312449485*G0_1_0_6_8 + 0.00176109604681063*G0_1_0_6_9 + 0.000827690827690953*G0_1_0_7_0 - 0.00222769294197907*G0_1_0_7_1 - 0.000196734482448802*G0_1_0_7_2 - 0.000574187717044964*G0_1_0_7_3 + 0.000962133104990413*G0_1_0_7_4 - 0.000233575947861707*G0_1_0_7_5 + 0.000350126064411839*G0_1_0_7_6 + 0.00713334284762976*G0_1_0_7_7 - 0.00651729223157906*G0_1_0_7_8 - 0.0045454545454553*G0_1_0_7_9 + 0.000730724302153005*G0_1_0_8_0 + 0.00662670662670783*G0_1_0_8_1 + 0.000577517720374972*G0_1_0_8_3 - 0.000116550116550134*G0_1_0_8_5 + 0.000169592312449485*G0_1_0_8_6 - 0.00651729223157906*G0_1_0_8_7 - 0.0201679273107879*G0_1_0_8_8 + 0.00140573712002304*G0_1_0_8_9 + 0.00128173413887721*G0_1_0_9_0 - 0.000466359037787676*G0_1_0_9_1 - 0.000335220335220396*G0_1_0_9_2 + 0.00254745254745296*G0_1_0_9_3 - 0.000702154987869381*G0_1_0_9_4 - 0.00361210218353136*G0_1_0_9_5 + 0.00176109604681063*G0_1_0_9_6 - 0.0045454545454553*G0_1_0_9_7 + 0.00140573712002304*G0_1_0_9_8 + 0.00428143285286216*G0_1_0_9_9 - 0.00171475129808491*G0_1_1_0_0 + 0.000791432443218303*G0_1_1_0_1 - 0.00523191810394281*G0_1_1_0_2 + 0.00114774279952872*G0_1_1_0_3 - 0.00358863193684684*G0_1_1_0_4 + 0.00216231850160459*G0_1_1_0_5 - 0.00531152709724229*G0_1_1_0_6 - 0.00115291124219715*G0_1_1_0_7 + 0.00235028199313955*G0_1_1_0_8 - 0.00147223807938119*G0_1_1_0_9 + 0.000791432443218303*G0_1_1_1_0 + 0.0208333883929159*G0_1_1_1_1 - 0.00476101334732368*G0_1_1_1_2 + 0.00570977633477735*G0_1_1_1_3 - 0.00765207015207147*G0_1_1_1_4 + 0.00134357870965036*G0_1_1_1_5 - 0.0036566591477312*G0_1_1_1_6 - 0.00602940710083674*G0_1_1_1_7 + 0.0148713290677603*G0_1_1_1_8 - 0.000166083916083934*G0_1_1_1_9 - 0.00523191810394281*G0_1_1_2_0 - 0.00476101334732368*G0_1_1_2_1 - 0.108918781835467*G0_1_1_2_2 + 0.0226122026122064*G0_1_1_2_3 - 0.0500823944574029*G0_1_1_2_4 + 0.0230554630554669*G0_1_1_2_5 - 0.0495714239464322*G0_1_1_2_6 + 0.000699223065294603*G0_1_1_2_7 + 0.00143436094328975*G0_1_1_2_8 - 0.00732614607614729*G0_1_1_2_9 + 0.00114774279952872*G0_1_1_3_0 + 0.00570977633477735*G0_1_1_3_1 + 0.0226122026122064*G0_1_1_3_2 - 0.0291246253746303*G0_1_1_3_3 + 0.0298220975453168*G0_1_1_3_4 - 0.00597809928167172*G0_1_1_3_5 + 0.0154522114789998*G0_1_1_3_6 + 0.00103900563722008*G0_1_1_3_7 - 0.00121815684315699*G0_1_1_3_8 - 0.00157975952618835*G0_1_1_3_9 - 0.00358863193684684*G0_1_1_4_0 - 0.00765207015207147*G0_1_1_4_1 - 0.0500823944574029*G0_1_1_4_2 + 0.0298220975453168*G0_1_1_4_3 - 0.0626560939061045*G0_1_1_4_4 + 0.0152481298463467*G0_1_1_4_5 - 0.0307003413253465*G0_1_1_4_6 + 0.00209299628942522*G0_1_1_4_7 + 0.000179151205936915*G0_1_1_4_8 - 0.00851782146425148*G0_1_1_4_9 + 0.00216231850160459*G0_1_1_5_0 + 0.00134357870965036*G0_1_1_5_1 + 0.0230554630554669*G0_1_1_5_2 - 0.00597809928167172*G0_1_1_5_3 + 0.0152481298463467*G0_1_1_5_4 - 0.0144645235716688*G0_1_1_5_5 + 0.025833704985495*G0_1_1_5_6 - 0.00283606274677749*G0_1_1_5_7 + 0.000451497906855109*G0_1_1_5_8 + 0.00351371842443331*G0_1_1_5_9 - 0.00531152709724229*G0_1_1_6_0 - 0.0036566591477312*G0_1_1_6_1 - 0.0495714239464322*G0_1_1_6_2 + 0.0154522114789998*G0_1_1_6_3 - 0.0307003413253465*G0_1_1_6_4 + 0.025833704985495*G0_1_1_6_5 - 0.0595658508158609*G0_1_1_6_6 + 0.00238456483992237*G0_1_1_6_7 + 0.00109233028875904*G0_1_1_6_8 - 0.00892598472955766*G0_1_1_6_9 - 0.00115291124219715*G0_1_1_7_0 - 0.00602940710083674*G0_1_1_7_1 + 0.000699223065294603*G0_1_1_7_2 + 0.00103900563722008*G0_1_1_7_3 + 0.00209299628942522*G0_1_1_7_4 - 0.00283606274677749*G0_1_1_7_5 + 0.00238456483992237*G0_1_1_7_6 - 0.00644302126445088*G0_1_1_7_7 - 0.00825839339232343*G0_1_1_7_8 - 0.000352415441701223*G0_1_1_7_9 + 0.00235028199313955*G0_1_1_8_0 + 0.0148713290677603*G0_1_1_8_1 + 0.00143436094328975*G0_1_1_8_2 - 0.00121815684315699*G0_1_1_8_3 + 0.000179151205936915*G0_1_1_8_4 + 0.000451497906855109*G0_1_1_8_5 + 0.00109233028875904*G0_1_1_8_6 - 0.00825839339232343*G0_1_1_8_7 + 0.0273018053375244*G0_1_1_8_8 + 0.000139949336377971*G0_1_1_8_9 - 0.00147223807938119*G0_1_1_9_0 - 0.000166083916083934*G0_1_1_9_1 - 0.00732614607614729*G0_1_1_9_2 - 0.00157975952618835*G0_1_1_9_3 - 0.00851782146425148*G0_1_1_9_4 + 0.00351371842443331*G0_1_1_9_5 - 0.00892598472955766*G0_1_1_9_6 - 0.000352415441701223*G0_1_1_9_7 + 0.000139949336377971*G0_1_1_9_8 - 0.0140505922648803*G0_1_1_9_9;
    A[25] = 0.0168435885102581*G0_0_0_0_0 + 0.00384300884300953*G0_0_0_0_1 + 0.00134550634550658*G0_0_0_0_2 + 0.00276037454608932*G0_0_0_0_3 - 0.00122552051123502*G0_0_0_0_4 + 0.0123289805432684*G0_0_0_0_5 - 0.00560861757290427*G0_0_0_0_6 + 0.00496566925138438*G0_0_0_0_7 - 0.00325057878629362*G0_0_0_0_8 + 0.000501998001998108*G0_0_0_0_9 + 0.00384300884300953*G0_0_0_1_0 + 0.125027133360488*G0_0_0_1_1 + 0.00630628630628737*G0_0_0_1_2 + 0.06616022866024*G0_0_0_1_3 - 0.0287769175269224*G0_0_0_1_4 + 0.00102758352758367*G0_0_0_1_5 - 0.000957930957931112*G0_0_0_1_6 - 0.0123794261294283*G0_0_0_1_7 + 0.0233294483294525*G0_0_0_1_8 + 0.00467615717615802*G0_0_0_1_9 + 0.00134550634550658*G0_0_0_2_0 + 0.00630628630628737*G0_0_0_2_1 + 0.000824677967535265*G0_0_0_2_2 + 0.0080091337234208*G0_0_0_2_3 - 0.00342597878312222*G0_0_0_2_4 + 0.00255062397919584*G0_0_0_2_5 - 0.00200398807541698*G0_0_0_2_6 + 0.00100831707974581*G0_0_0_2_7 + 0.00090223268794714*G0_0_0_2_8 + 0.00253032681604154*G0_0_0_2_9 + 0.00276037454608932*G0_0_0_3_0 + 0.06616022866024*G0_0_0_3_1 + 0.0080091337234208*G0_0_0_3_2 + 0.0972252747252914*G0_0_0_3_3 - 0.0379545454545519*G0_0_0_3_4 - 0.0037548166119601*G0_0_0_3_5 - 0.000980448123305437*G0_0_0_3_6 - 0.0121353646353668*G0_0_0_3_7 + 0.018696303696307*G0_0_0_3_8 + 0.0102422577422596*G0_0_0_3_9 - 0.00122552051123502*G0_0_0_4_0 - 0.0287769175269224*G0_0_0_4_1 - 0.00342597878312222*G0_0_0_4_2 - 0.0379545454545519*G0_0_0_4_3 + 0.0135478806907401*G0_0_0_4_4 - 0.000177679463393778*G0_0_0_4_5 + 0.00115812758669921*G0_0_0_4_6 + 0.0022529256457832*G0_0_0_4_7 - 0.00656093906094023*G0_0_0_4_8 - 0.00723562152133707*G0_0_0_4_9 + 0.0123289805432684*G0_0_0_5_0 + 0.00102758352758367*G0_0_0_5_1 + 0.00255062397919584*G0_0_0_5_2 - 0.0037548166119601*G0_0_0_5_3 - 0.000177679463393778*G0_0_0_5_4 + 0.0506953760525274*G0_0_0_5_5 - 0.0102722277722295*G0_0_0_5_6 + 0.0138161838161861*G0_0_0_5_7 - 0.0069369915798499*G0_0_0_5_8 + 0.0123679891537055*G0_0_0_5_9 - 0.00560861757290426*G0_0_0_6_0 - 0.000957930957931112*G0_0_0_6_1 - 0.00200398807541698*G0_0_0_6_2 - 0.000980448123305438*G0_0_0_6_3 + 0.00115812758669921*G0_0_0_6_4 - 0.0102722277722295*G0_0_0_6_5 + 0.00786499215070777*G0_0_0_6_6 - 0.00687919223633624*G0_0_0_6_7 + 0.00201066790352538*G0_0_0_6_8 - 0.00563008420151373*G0_0_0_6_9 + 0.00496566925138438*G0_0_0_7_0 - 0.0123794261294283*G0_0_0_7_1 + 0.00100831707974581*G0_0_0_7_2 - 0.0121353646353668*G0_0_0_7_3 + 0.0022529256457832*G0_0_0_7_4 + 0.0138161838161861*G0_0_0_7_5 - 0.00687919223633624*G0_0_0_7_6 + 0.0277262023690642*G0_0_0_7_7 - 0.00227272727272772*G0_0_0_7_8 + 0.0122523904666782*G0_0_0_7_9 - 0.00325057878629362*G0_0_0_8_0 + 0.0233294483294525*G0_0_0_8_1 + 0.000902232687947141*G0_0_0_8_2 + 0.018696303696307*G0_0_0_8_3 - 0.00656093906094023*G0_0_0_8_4 - 0.0069369915798499*G0_0_0_8_5 + 0.00201066790352538*G0_0_0_8_6 - 0.00227272727272772*G0_0_0_8_7 - 0.0187337662337692*G0_0_0_8_8 - 0.000906593406593503*G0_0_0_8_9 + 0.000501998001998108*G0_0_0_9_0 + 0.00467615717615802*G0_0_0_9_1 + 0.00253032681604154*G0_0_0_9_2 + 0.0102422577422596*G0_0_0_9_3 - 0.00723562152133707*G0_0_0_9_4 + 0.0123679891537055*G0_0_0_9_5 - 0.00563008420151373*G0_0_0_9_6 + 0.0122523904666782*G0_0_0_9_7 - 0.000906593406593503*G0_0_0_9_8 + 0.0352704438418784*G0_0_0_9_9 - 0.000546983880317294*G0_0_1_0_0 + 0.00480046188379607*G0_0_1_0_1 + 0.000270961401913831*G0_0_1_0_2 + 0.00393675768675838*G0_0_1_0_3 - 0.00165729112157713*G0_0_1_0_4 - 0.000921657707372145*G0_0_1_0_5 + 0.000340235161663788*G0_0_1_0_6 - 0.00153616225044824*G0_0_1_0_7 + 0.000815712065712223*G0_0_1_0_8 + 0.000403049331620834*G0_0_1_0_9 + 0.00480046188379607*G0_0_1_1_0 + 0.139942464942489*G0_0_1_1_1 + 0.0071167875334554*G0_0_1_1_2 + 0.0754273504273633*G0_0_1_1_3 - 0.0327852702852758*G0_0_1_1_4 - 0.00115398490398514*G0_0_1_1_5 - 0.0006511544011545*G0_0_1_1_6 - 0.020886058386062*G0_0_1_1_7 + 0.0372433122433187*G0_0_1_1_8 + 0.00532800532800628*G0_0_1_1_9 + 0.000270961401913831*G0_0_1_2_0 + 0.0071167875334554*G0_0_1_2_1 + 0.000965859537288271*G0_0_1_2_2 + 0.0097090409590426*G0_0_1_2_3 - 0.00396722325293821*G0_0_1_2_4 - 0.000204616811759701*G0_0_1_2_5 - 0.000334784263355752*G0_0_1_2_6 - 0.00113685917257365*G0_0_1_2_7 + 0.00348720723720784*G0_0_1_2_8 + 0.00247906855049755*G0_0_1_2_9 + 0.00393675768675838*G0_0_1_3_0 + 0.0754273504273633*G0_0_1_3_1 + 0.0097090409590426*G0_0_1_3_2 + 0.110864135864155*G0_0_1_3_3 - 0.0454857642357719*G0_0_1_3_4 - 0.00212162837162874*G0_0_1_3_5 - 0.00215159840159877*G0_0_1_3_6 - 0.0159153346653374*G0_0_1_3_7 + 0.0304820179820233*G0_0_1_3_8 + 0.0158466533466561*G0_0_1_3_9 - 0.00165729112157713*G0_0_1_4_0 - 0.0327852702852758*G0_0_1_4_1 - 0.00396722325293821*G0_0_1_4_2 - 0.0454857642357719*G0_0_1_4_3 + 0.0172752247752277*G0_0_1_4_4 + 0.000866811759669051*G0_0_1_4_5 + 0.00128478664192972*G0_0_1_4_6 + 0.00624375624375732*G0_0_1_4_7 - 0.0145666833166858*G0_0_1_4_8 - 0.00917082917083076*G0_0_1_4_9 - 0.000921657707372145*G0_0_1_5_0 - 0.00115398490398514*G0_0_1_5_1 - 0.000204616811759701*G0_0_1_5_2 - 0.00212162837162874*G0_0_1_5_3 + 0.000866811759669051*G0_0_1_5_4 - 0.00274261452832929*G0_0_1_5_5 + 8.04552590266941e-05*G0_0_1_5_6 + 0.00133759098044836*G0_0_1_5_7 - 0.000643106893107013*G0_0_1_5_8 + 7.70657913515203e-05*G0_0_1_5_9 + 0.000340235161663788*G0_0_1_6_0 - 0.0006511544011545*G0_0_1_6_1 - 0.000334784263355752*G0_0_1_6_2 - 0.00215159840159877*G0_0_1_6_3 + 0.00128478664192972*G0_0_1_6_4 + 8.04552590266941e-05*G0_0_1_6_5 - 0.000387826459255136*G0_0_1_6_6 - 0.000694484087341349*G0_0_1_6_7 - 0.00220154845154883*G0_0_1_6_8 - 0.00313400884829511*G0_0_1_6_9 - 0.00153616225044824*G0_0_1_7_0 - 0.020886058386062*G0_0_1_7_1 - 0.00113685917257365*G0_0_1_7_2 - 0.0159153346653374*G0_0_1_7_3 + 0.00624375624375732*G0_0_1_7_4 + 0.00133759098044836*G0_0_1_7_5 - 0.000694484087341349*G0_0_1_7_6 + 0.00972277722277889*G0_0_1_7_7 - 0.000980269730269952*G0_0_1_7_8 + 0.000179820179820203*G0_0_1_7_9 + 0.000815712065712223*G0_0_1_8_0 + 0.0372433122433187*G0_0_1_8_1 + 0.00348720723720784*G0_0_1_8_2 + 0.0304820179820233*G0_0_1_8_3 - 0.0145666833166858*G0_0_1_8_4 - 0.000643106893107013*G0_0_1_8_5 - 0.00220154845154883*G0_0_1_8_6 - 0.000980269730269952*G0_0_1_8_7 + 0.0110639360639381*G0_0_1_8_8 + 0.0131493506493529*G0_0_1_8_9 + 0.000403049331620834*G0_0_1_9_0 + 0.00532800532800628*G0_0_1_9_1 + 0.00247906855049755*G0_0_1_9_2 + 0.0158466533466561*G0_0_1_9_3 - 0.00917082917083076*G0_0_1_9_4 + 7.70657913515199e-05*G0_0_1_9_5 - 0.00313400884829511*G0_0_1_9_6 + 0.000179820179820203*G0_0_1_9_7 + 0.0131493506493529*G0_0_1_9_8 + 0.0220279720279758*G0_0_1_9_9;
    A[61] = -0.000141181569753028*G0_0_0_0_0 - 0.000810501227168027*G0_0_0_0_1 + 0.00107454494359275*G0_0_0_0_2 - 0.0025849745492607*G0_0_0_0_3 + 0.00214517625231947*G0_0_0_0_4 - 0.00166920381206124*G0_0_0_0_5 + 0.00275524079095555*G0_0_0_0_6 + 0.00054124446981599*G0_0_0_0_7 - 0.0016999072356218*G0_0_0_0_8 + 5.12582655439897e-05*G0_0_0_0_9 - 0.000810501227168027*G0_0_0_1_0 - 0.0149153315820006*G0_0_0_1_1 - 0.00095745304078653*G0_0_0_1_2 - 0.0139138639138662*G0_0_0_1_3 + 0.00850663225663368*G0_0_0_1_4 - 0.000306776556776607*G0_0_0_1_5 + 0.0021815684315688*G0_0_0_1_6 + 0.00400835275835341*G0_0_0_1_7 - 0.00926712176712326*G0_0_0_1_8 - 0.000651848151848267*G0_0_0_1_9 + 0.00107454494359275*G0_0_0_2_0 - 0.00095745304078653*G0_0_0_2_1 + 0.0173905723905753*G0_0_0_2_2 - 0.00406629085200581*G0_0_0_2_3 + 0.00650183150183259*G0_0_0_2_4 - 0.00594885273456801*G0_0_0_2_5 + 0.0132506382506405*G0_0_0_2_6 + 0.000431770610342112*G0_0_0_2_7 - 0.00117638314066905*G0_0_0_2_8 + 9.89486703772557e-05*G0_0_0_2_9 - 0.0025849745492607*G0_0_0_3_0 - 0.0139138639138662*G0_0_0_3_1 - 0.00406629085200581*G0_0_0_3_2 - 0.0297977022977074*G0_0_0_3_3 - 0.00129245754245775*G0_0_0_3_4 + 0.0042122163550742*G0_0_0_3_5 - 0.00629388468674287*G0_0_0_3_6 + 0.00800574425574561*G0_0_0_3_7 - 0.0117857142857163*G0_0_0_3_8 - 0.0140559440559464*G0_0_0_3_9 + 0.00214517625231947*G0_0_0_4_0 + 0.00850663225663368*G0_0_0_4_1 + 0.00650183150183259*G0_0_0_4_2 - 0.00129245754245775*G0_0_0_4_3 + 0.0180034251462852*G0_0_0_4_4 - 0.00618470814899489*G0_0_0_4_5 + 0.0124785928357378*G0_0_0_4_6 - 0.00399083059797412*G0_0_0_4_7 + 0.00377997002997066*G0_0_0_4_8 + 0.012072570286858*G0_0_0_4_9 - 0.00166920381206124*G0_0_0_5_0 - 0.000306776556776607*G0_0_0_5_1 - 0.00594885273456802*G0_0_0_5_2 + 0.0042122163550742*G0_0_0_5_3 - 0.00618470814899489*G0_0_0_5_4 + 0.00825281860996285*G0_0_0_5_5 - 0.0103526830312562*G0_0_0_5_6 - 0.000126659055230504*G0_0_0_5_7 + 0.00117115027829333*G0_0_0_5_8 - 0.00249607535321863*G0_0_0_5_9 + 0.00275524079095555*G0_0_0_6_0 + 0.0021815684315688*G0_0_0_6_1 + 0.0132506382506405*G0_0_0_6_2 - 0.00629388468674287*G0_0_0_6_3 + 0.0124785928357378*G0_0_0_6_4 - 0.0103526830312562*G0_0_0_6_5 + 0.0534379905808567*G0_0_0_6_6 - 0.00104449122306282*G0_0_0_6_7 - 0.00163318824033137*G0_0_0_6_8 + 0.012290923362354*G0_0_0_6_9 + 0.00054124446981599*G0_0_0_7_0 + 0.00400835275835341*G0_0_0_7_1 + 0.000431770610342112*G0_0_0_7_2 + 0.00800574425574561*G0_0_0_7_3 - 0.00399083059797412*G0_0_0_7_4 - 0.000126659055230504*G0_0_0_7_5 - 0.00104449122306282*G0_0_0_7_6 - 0.00372734408448753*G0_0_0_7_7 + 0.00753121878122*G0_0_0_7_8 + 0.00193520764949369*G0_0_0_7_9 - 0.0016999072356218*G0_0_0_8_0 - 0.00926712176712326*G0_0_0_8_1 - 0.00117638314066905*G0_0_0_8_2 - 0.0117857142857163*G0_0_0_8_3 + 0.00377997002997065*G0_0_0_8_4 + 0.00117115027829333*G0_0_0_8_5 - 0.00163318824033137*G0_0_0_8_6 + 0.00753121878122*G0_0_0_8_7 - 0.0136388611388633*G0_0_0_8_8 - 0.00560439560439653*G0_0_0_8_9 + 5.12582655439898e-05*G0_0_0_9_0 - 0.000651848151848267*G0_0_0_9_1 + 9.89486703772558e-05*G0_0_0_9_2 - 0.0140559440559464*G0_0_0_9_3 + 0.012072570286858*G0_0_0_9_4 - 0.00249607535321863*G0_0_0_9_5 + 0.012290923362354*G0_0_0_9_6 + 0.00193520764949369*G0_0_0_9_7 - 0.00560439560439653*G0_0_0_9_8 + 0.0132424718139026*G0_0_0_9_9 - 0.000965859537288285*G0_1_0_0_0 - 0.00711678753345545*G0_1_0_0_1 - 0.000270961401913829*G0_1_0_0_2 - 0.00348720723720784*G0_1_0_0_3 + 0.00113685917257365*G0_1_0_0_4 + 0.000334784263355753*G0_1_0_0_5 + 0.000204616811759701*G0_1_0_0_6 + 0.00396722325293823*G0_1_0_0_7 - 0.00970904095904264*G0_1_0_0_8 - 0.00247906855049755*G0_1_0_0_9 - 0.00711678753345545*G0_1_0_1_0 - 0.139942464942489*G0_1_0_1_1 - 0.00480046188379603*G0_1_0_1_2 - 0.0372433122433187*G0_1_0_1_3 + 0.020886058386062*G0_1_0_1_4 + 0.000651154401154568*G0_1_0_1_5 + 0.00115398490398507*G0_1_0_1_6 + 0.0327852702852759*G0_1_0_1_7 - 0.0754273504273634*G0_1_0_1_8 - 0.00532800532800627*G0_1_0_1_9 - 0.000270961401913829*G0_1_0_2_0 - 0.00480046188379603*G0_1_0_2_1 + 0.000546983880317293*G0_1_0_2_2 - 0.000815712065712203*G0_1_0_2_3 + 0.00153616225044823*G0_1_0_2_4 - 0.000340235161663788*G0_1_0_2_5 + 0.000921657707372143*G0_1_0_2_6 + 0.00165729112157712*G0_1_0_2_7 - 0.00393675768675835*G0_1_0_2_8 - 0.000403049331620827*G0_1_0_2_9 - 0.00348720723720784*G0_1_0_3_0 - 0.0372433122433187*G0_1_0_3_1 - 0.000815712065712203*G0_1_0_3_2 - 0.011063936063938*G0_1_0_3_3 + 0.000980269730269882*G0_1_0_3_4 + 0.00220154845154884*G0_1_0_3_5 + 0.000643106893106989*G0_1_0_3_6 + 0.0145666833166858*G0_1_0_3_7 - 0.0304820179820232*G0_1_0_3_8 - 0.0131493506493529*G0_1_0_3_9 + 0.00113685917257365*G0_1_0_4_0 + 0.020886058386062*G0_1_0_4_1 + 0.00153616225044823*G0_1_0_4_2 + 0.000980269730269882*G0_1_0_4_3 - 0.00972277722277888*G0_1_0_4_4 + 0.000694484087341338*G0_1_0_4_5 - 0.00133759098044834*G0_1_0_4_6 - 0.00624375624375731*G0_1_0_4_7 + 0.0159153346653374*G0_1_0_4_8 - 0.000179820179820211*G0_1_0_4_9 + 0.000334784263355753*G0_1_0_5_0 + 0.000651154401154568*G0_1_0_5_1 - 0.000340235161663788*G0_1_0_5_2 + 0.00220154845154884*G0_1_0_5_3 + 0.000694484087341338*G0_1_0_5_4 + 0.000387826459255132*G0_1_0_5_5 - 8.04552590266982e-05*G0_1_0_5_6 - 0.00128478664192973*G0_1_0_5_7 + 0.00215159840159881*G0_1_0_5_8 + 0.00313400884829509*G0_1_0_5_9 + 0.000204616811759701*G0_1_0_6_0 + 0.00115398490398507*G0_1_0_6_1 + 0.000921657707372143*G0_1_0_6_2 + 0.000643106893106989*G0_1_0_6_3 - 0.00133759098044834*G0_1_0_6_4 - 8.04552590266983e-05*G0_1_0_6_5 + 0.0027426145283293*G0_1_0_6_6 - 0.000866811759669037*G0_1_0_6_7 + 0.0021216283716287*G0_1_0_6_8 - 7.70657913515176e-05*G0_1_0_6_9 + 0.00396722325293823*G0_1_0_7_0 + 0.0327852702852759*G0_1_0_7_1 + 0.00165729112157712*G0_1_0_7_2 + 0.0145666833166858*G0_1_0_7_3 - 0.00624375624375731*G0_1_0_7_4 - 0.00128478664192973*G0_1_0_7_5 - 0.000866811759669037*G0_1_0_7_6 - 0.0172752247752277*G0_1_0_7_7 + 0.045485764235772*G0_1_0_7_8 + 0.00917082917083073*G0_1_0_7_9 - 0.00970904095904264*G0_1_0_8_0 - 0.0754273504273634*G0_1_0_8_1 - 0.00393675768675835*G0_1_0_8_2 - 0.0304820179820232*G0_1_0_8_3 + 0.0159153346653374*G0_1_0_8_4 + 0.00215159840159881*G0_1_0_8_5 + 0.0021216283716287*G0_1_0_8_6 + 0.045485764235772*G0_1_0_8_7 - 0.110864135864155*G0_1_0_8_8 - 0.015846653346656*G0_1_0_8_9 - 0.00247906855049755*G0_1_0_9_0 - 0.00532800532800627*G0_1_0_9_1 - 0.000403049331620827*G0_1_0_9_2 - 0.0131493506493529*G0_1_0_9_3 - 0.000179820179820211*G0_1_0_9_4 + 0.00313400884829509*G0_1_0_9_5 - 7.70657913515175e-05*G0_1_0_9_6 + 0.00917082917083073*G0_1_0_9_7 - 0.015846653346656*G0_1_0_9_8 - 0.0220279720279758*G0_1_0_9_9;
    A[159] = A[97] - 0.229582762916136*G0_0_0_0_0 - 0.0078652564366864*G0_0_0_0_1 - 0.00890168033025331*G0_0_0_0_2 - 0.0103613846471007*G0_0_0_0_3 + 0.0109963052820215*G0_0_0_0_4 - 0.112434232434252*G0_0_0_0_5 + 0.0627239427239536*G0_0_0_0_6 - 0.046873126873135*G0_0_0_0_7 + 0.0169030969030999*G0_0_0_0_8 + 0.00229104229104251*G0_0_0_0_9 - 0.0078652564366864*G0_0_0_1_0 - 0.0854258263782219*G0_0_0_1_1 - 0.0664097806955063*G0_0_0_1_3 + 0.0398135198135266*G0_0_0_1_4 - 0.0141499770071222*G0_0_0_1_5 + 0.0112588998303303*G0_0_0_1_6 + 0.00393067250210179*G0_0_0_1_7 - 0.0239690468261938*G0_0_0_1_8 - 0.00224537367394551*G0_0_0_1_9 - 0.00890168033025331*G0_0_0_2_0 + 0.0898229812515675*G0_0_0_2_2 - 0.0414068471211398*G0_0_0_2_3 + 0.0746732632447044*G0_0_0_2_4 - 0.026001300287019*G0_0_0_2_5 + 0.0396073767502405*G0_0_0_2_6 - 0.0105193219478951*G0_0_0_2_7 - 0.00747855319284014*G0_0_0_2_8 - 0.0111126968269844*G0_0_0_2_9 - 0.0103613846471007*G0_0_0_3_0 - 0.0664097806955063*G0_0_0_3_1 - 0.0414068471211398*G0_0_0_3_2 - 0.177262737262767*G0_0_0_3_3 - 0.00303410874839493*G0_0_0_3_4 + 0.0340002854288625*G0_0_0_3_5 - 0.0282431853860473*G0_0_0_3_6 + 0.0366176680462457*G0_0_0_3_7 - 0.0645868417297098*G0_0_0_3_8 - 0.0664992150706549*G0_0_0_3_9 + 0.0109963052820215*G0_0_0_4_0 + 0.0398135198135266*G0_0_0_4_1 + 0.0746732632447044*G0_0_0_4_2 - 0.00303410874839494*G0_0_0_4_3 + 0.196831739688916*G0_0_0_4_4 - 0.0274554017411207*G0_0_0_4_5 + 0.055698587127168*G0_0_0_4_6 - 0.00348223205366125*G0_0_0_4_7 + 0.0279691736834641*G0_0_0_4_8 + 0.0882488939631946*G0_0_0_4_9 - 0.112434232434252*G0_0_0_5_0 - 0.0141499770071222*G0_0_0_5_1 - 0.026001300287019*G0_0_0_5_2 + 0.0340002854288625*G0_0_0_5_3 - 0.0274554017411207*G0_0_0_5_4 - 0.320719280719336*G0_0_0_5_5 + 0.0089424860853449*G0_0_0_5_6 - 0.0850749250749394*G0_0_0_5_7 + 0.0479834451263104*G0_0_0_5_8 - 0.102840017125749*G0_0_0_5_9 + 0.0627239427239536*G0_0_0_6_0 + 0.0112588998303303*G0_0_0_6_1 + 0.0396073767502405*G0_0_0_6_2 - 0.0282431853860473*G0_0_0_6_3 + 0.055698587127168*G0_0_0_6_4 + 0.0089424860853449*G0_0_0_6_5 + 0.0975938347367085*G0_0_0_6_6 + 0.037091479948629*G0_0_0_6_7 - 0.00843727700870705*G0_0_0_6_8 + 0.0898244612530478*G0_0_0_6_9 - 0.046873126873135*G0_0_0_7_0 + 0.00393067250210179*G0_0_0_7_1 - 0.0105193219478951*G0_0_0_7_2 + 0.0366176680462457*G0_0_0_7_3 - 0.00348223205366125*G0_0_0_7_4 - 0.0850749250749394*G0_0_0_7_5 + 0.037091479948629*G0_0_0_7_6 - 0.281558441558489*G0_0_0_7_7 + 0.0762922791494349*G0_0_0_7_8 - 0.081056086770386*G0_0_0_7_9 + 0.0169030969030999*G0_0_0_8_0 - 0.0239690468261938*G0_0_0_8_1 - 0.00747855319284014*G0_0_0_8_2 - 0.0645868417297098*G0_0_0_8_3 + 0.0279691736834641*G0_0_0_8_4 + 0.0479834451263104*G0_0_0_8_5 - 0.00843727700870705*G0_0_0_8_6 + 0.0762922791494349*G0_0_0_8_7 - 0.166816041101784*G0_0_0_8_8 - 0.0492022263450918*G0_0_0_8_9 + 0.00229104229104251*G0_0_0_9_0 - 0.00224537367394551*G0_0_0_9_1 - 0.0111126968269844*G0_0_0_9_2 - 0.0664992150706549*G0_0_0_9_3 + 0.0882488939631945*G0_0_0_9_4 - 0.102840017125749*G0_0_0_9_5 + 0.0898244612530478*G0_0_0_9_6 - 0.081056086770386*G0_0_0_9_7 - 0.0492022263450918*G0_0_0_9_8 - 0.120222634508369*G0_0_0_9_9 - 0.00438355295498227*G0_0_1_0_1 + 0.00438355295498229*G0_0_1_0_2 - 0.00995956424528025*G0_0_1_0_3 + 0.00995956424528025*G0_0_1_0_4 + 0.0276479076479124*G0_0_1_0_5 - 0.00217560217560255*G0_0_1_0_6 - 0.0276479076479121*G0_0_1_0_7 + 0.00217560217560242*G0_0_1_0_8 - 0.00438355295498227*G0_0_1_1_0 - 0.0865813551527985*G0_0_1_1_1 - 0.0704317904318025*G0_0_1_1_3 + 0.0401956773385413*G0_0_1_1_4 + 0.0142885685742853*G0_0_1_1_5 + 0.00900623186337625*G0_0_1_1_6 - 0.0012422498136785*G0_0_1_1_7 - 0.0260945403802592*G0_0_1_1_8 + 0.0100337757480631*G0_0_1_1_9 + 0.00438355295498229*G0_0_1_2_0 + 0.086581355152798*G0_0_1_2_2 - 0.0401956773385412*G0_0_1_2_3 + 0.0704317904318023*G0_0_1_2_4 + 0.00124224981367867*G0_0_1_2_5 + 0.026094540380259*G0_0_1_2_6 - 0.0142885685742852*G0_0_1_2_7 - 0.00900623186337624*G0_0_1_2_8 - 0.0100337757480631*G0_0_1_2_9 - 0.00995956424528025*G0_0_1_3_0 - 0.0704317904318025*G0_0_1_3_1 - 0.0401956773385412*G0_0_1_3_2 - 0.180625089196549*G0_0_1_3_3 - 0.00649350649350749*G0_0_1_3_5 - 0.0270186955901287*G0_0_1_3_6 + 0.0298786927358408*G0_0_1_3_7 - 0.0568973883259694*G0_0_1_3_8 - 0.0898587127158708*G0_0_1_3_9 + 0.00995956424528025*G0_0_1_4_0 + 0.0401956773385413*G0_0_1_4_1 + 0.0704317904318023*G0_0_1_4_2 + 0.180625089196549*G0_0_1_4_4 - 0.0298786927358407*G0_0_1_4_5 + 0.0568973883259694*G0_0_1_4_6 + 0.00649350649350752*G0_0_1_4_7 + 0.0270186955901287*G0_0_1_4_8 + 0.0898587127158707*G0_0_1_4_9 + 0.0276479076479124*G0_0_1_5_0 + 0.0142885685742853*G0_0_1_5_1 + 0.00124224981367867*G0_0_1_5_2 - 0.00649350649350749*G0_0_1_5_3 - 0.0298786927358407*G0_0_1_5_4 + 0.525074925075013*G0_0_1_5_5 - 0.112755815612978*G0_0_1_5_6 - 0.0428657057228558*G0_0_1_5_8 + 0.0857314114457118*G0_0_1_5_9 - 0.00217560217560255*G0_0_1_6_0 + 0.00900623186337625*G0_0_1_6_1 + 0.026094540380259*G0_0_1_6_2 - 0.0270186955901287*G0_0_1_6_3 + 0.0568973883259694*G0_0_1_6_4 - 0.112755815612978*G0_0_1_6_5 + 0.16952761524193*G0_0_1_6_6 + 0.0428657057228556*G0_0_1_6_7 + 0.0841387184244468*G0_0_1_6_9 - 0.0276479076479121*G0_0_1_7_0 - 0.0012422498136785*G0_0_1_7_1 - 0.0142885685742852*G0_0_1_7_2 + 0.0298786927358408*G0_0_1_7_3 + 0.00649350649350751*G0_0_1_7_4 + 0.0428657057228556*G0_0_1_7_6 - 0.525074925075012*G0_0_1_7_7 + 0.112755815612977*G0_0_1_7_8 - 0.0857314114457115*G0_0_1_7_9 + 0.00217560217560242*G0_0_1_8_0 - 0.0260945403802592*G0_0_1_8_1 - 0.00900623186337624*G0_0_1_8_2 - 0.0568973883259694*G0_0_1_8_3 + 0.0270186955901287*G0_0_1_8_4 - 0.0428657057228558*G0_0_1_8_5 + 0.112755815612977*G0_0_1_8_7 - 0.169527615241929*G0_0_1_8_8 - 0.084138718424447*G0_0_1_8_9 + 0.0100337757480631*G0_0_1_9_1 - 0.0100337757480631*G0_0_1_9_2 - 0.0898587127158708*G0_0_1_9_3 + 0.0898587127158707*G0_0_1_9_4 + 0.0857314114457118*G0_0_1_9_5 + 0.0841387184244468*G0_0_1_9_6 - 0.0857314114457115*G0_0_1_9_7 - 0.084138718424447*G0_0_1_9_8 - 0.000981522886284997*G0_1_0_0_1 + 0.000981522886284954*G0_1_0_0_2 - 0.0116112458969622*G0_1_0_0_3 + 0.0116112458969622*G0_1_0_0_4 + 0.00340548340548377*G0_1_0_0_5 + 0.0146076146076172*G0_1_0_0_6 - 0.00340548340548418*G0_1_0_0_7 - 0.014607614607617*G0_1_0_0_8 - 0.000981522886284997*G0_1_0_1_0 - 0.0890880548023557*G0_1_0_1_1 - 0.0703112760255737*G0_1_0_1_3 + 0.0409612609612679*G0_1_0_1_4 - 0.00736977308406004*G0_1_0_1_5 + 0.00823176823176964*G0_1_0_1_6 + 0.00639899782757037*G0_1_0_1_7 - 0.0298171669600292*G0_1_0_1_8 - 0.00200371057513952*G0_1_0_1_9 + 0.000981522886284954*G0_1_0_2_0 + 0.0890880548023555*G0_1_0_2_2 - 0.0409612609612678*G0_1_0_2_3 + 0.0703112760255736*G0_1_0_2_4 - 0.00639899782757035*G0_1_0_2_5 + 0.0298171669600291*G0_1_0_2_6 + 0.00736977308406003*G0_1_0_2_7 - 0.0082317682317696*G0_1_0_2_8 + 0.00200371057513946*G0_1_0_2_9 - 0.0116112458969622*G0_1_0_3_0 - 0.0703112760255737*G0_1_0_3_1 - 0.0409612609612679*G0_1_0_3_2 - 0.189770229770262*G0_1_0_3_3 + 0.0284715284715332*G0_1_0_3_5 - 0.0246953046953089*G0_1_0_3_6 + 0.0348337376908864*G0_1_0_3_7 - 0.0595290423861953*G0_1_0_3_8 - 0.0636563436563545*G0_1_0_3_9 + 0.0116112458969622*G0_1_0_4_0 + 0.0409612609612679*G0_1_0_4_1 + 0.0703112760255736*G0_1_0_4_2 + 0.189770229770262*G0_1_0_4_4 - 0.0348337376908864*G0_1_0_4_5 + 0.0595290423861953*G0_1_0_4_6 - 0.0284715284715333*G0_1_0_4_7 + 0.0246953046953089*G0_1_0_4_8 + 0.0636563436563544*G0_1_0_4_9 + 0.00340548340548377*G0_1_0_5_0 - 0.00736977308406004*G0_1_0_5_1 - 0.00639899782757035*G0_1_0_5_2 + 0.0284715284715332*G0_1_0_5_3 - 0.0348337376908864*G0_1_0_5_4 - 0.0687312687312804*G0_1_0_5_5 - 0.0757528186099743*G0_1_0_5_6 + 0.0221093192521801*G0_1_0_5_8 - 0.0442186385043603*G0_1_0_5_9 + 0.0146076146076172*G0_1_0_6_0 + 0.00823176823176964*G0_1_0_6_1 + 0.0298171669600292*G0_1_0_6_2 - 0.0246953046953089*G0_1_0_6_3 + 0.0595290423861953*G0_1_0_6_4 - 0.0757528186099743*G0_1_0_6_5 + 0.122374768089075*G0_1_0_6_6 - 0.02210931925218*G0_1_0_6_7 + 0.0433794776651993*G0_1_0_6_9 - 0.00340548340548418*G0_1_0_7_0 + 0.00639899782757037*G0_1_0_7_1 + 0.00736977308406003*G0_1_0_7_2 + 0.0348337376908864*G0_1_0_7_3 - 0.0284715284715333*G0_1_0_7_4 - 0.0221093192521801*G0_1_0_7_6 + 0.0687312687312802*G0_1_0_7_7 + 0.0757528186099743*G0_1_0_7_8 + 0.0442186385043603*G0_1_0_7_9 - 0.014607614607617*G0_1_0_8_0 - 0.0298171669600292*G0_1_0_8_1 - 0.00823176823176961*G0_1_0_8_2 - 0.0595290423861953*G0_1_0_8_3 + 0.0246953046953089*G0_1_0_8_4 + 0.0221093192521801*G0_1_0_8_5 + 0.0757528186099743*G0_1_0_8_7 - 0.122374768089075*G0_1_0_8_8 - 0.0433794776651993*G0_1_0_8_9 - 0.00200371057513952*G0_1_0_9_1 + 0.00200371057513946*G0_1_0_9_2 - 0.0636563436563545*G0_1_0_9_3 + 0.0636563436563544*G0_1_0_9_4 - 0.0442186385043603*G0_1_0_9_5 + 0.0433794776651993*G0_1_0_9_6 + 0.0442186385043603*G0_1_0_9_7 - 0.0433794776651993*G0_1_0_9_8 + 0.229582762916135*G0_1_1_0_0 + 0.00890168033025328*G0_1_1_0_1 + 0.00786525643668634*G0_1_1_0_2 - 0.0109963052820216*G0_1_1_0_3 + 0.0103613846471008*G0_1_1_0_4 + 0.0468731268731348*G0_1_1_0_5 - 0.0169030969030997*G0_1_1_0_6 + 0.112434232434251*G0_1_1_0_7 - 0.0627239427239534*G0_1_1_0_8 - 0.00229104229104253*G0_1_1_0_9 + 0.00890168033025328*G0_1_1_1_0 - 0.089822981251568*G0_1_1_1_1 - 0.0746732632447046*G0_1_1_1_3 + 0.0414068471211399*G0_1_1_1_4 + 0.0105193219478952*G0_1_1_1_5 + 0.00747855319284018*G0_1_1_1_6 + 0.026001300287019*G0_1_1_1_7 - 0.0396073767502407*G0_1_1_1_8 + 0.0111126968269844*G0_1_1_1_9 + 0.00786525643668634*G0_1_1_2_0 + 0.0854258263782217*G0_1_1_2_2 - 0.0398135198135265*G0_1_1_2_3 + 0.0664097806955062*G0_1_1_2_4 - 0.00393067250210173*G0_1_1_2_5 + 0.0239690468261937*G0_1_1_2_6 + 0.0141499770071222*G0_1_1_2_7 - 0.0112588998303303*G0_1_1_2_8 + 0.00224537367394548*G0_1_1_2_9 - 0.0109963052820216*G0_1_1_3_0 - 0.0746732632447045*G0_1_1_3_1 - 0.0398135198135265*G0_1_1_3_2 - 0.196831739688916*G0_1_1_3_3 + 0.00303410874839501*G0_1_1_3_4 + 0.00348223205366124*G0_1_1_3_5 - 0.0279691736834641*G0_1_1_3_6 + 0.0274554017411206*G0_1_1_3_7 - 0.055698587127168*G0_1_1_3_8 - 0.0882488939631947*G0_1_1_3_9 + 0.0103613846471008*G0_1_1_4_0 + 0.0414068471211399*G0_1_1_4_1 + 0.0664097806955062*G0_1_1_4_2 + 0.00303410874839501*G0_1_1_4_3 + 0.177262737262767*G0_1_1_4_4 - 0.0366176680462457*G0_1_1_4_5 + 0.0645868417297098*G0_1_1_4_6 - 0.0340002854288626*G0_1_1_4_7 + 0.0282431853860473*G0_1_1_4_8 + 0.0664992150706548*G0_1_1_4_9 + 0.0468731268731348*G0_1_1_5_0 + 0.0105193219478952*G0_1_1_5_1 - 0.00393067250210173*G0_1_1_5_2 + 0.00348223205366124*G0_1_1_5_3 - 0.0366176680462457*G0_1_1_5_4 + 0.281558441558488*G0_1_1_5_5 - 0.0762922791494349*G0_1_1_5_6 + 0.0850749250749393*G0_1_1_5_7 - 0.037091479948629*G0_1_1_5_8 + 0.0810560867703861*G0_1_1_5_9 - 0.0169030969030997*G0_1_1_6_0 + 0.00747855319284018*G0_1_1_6_1 + 0.0239690468261937*G0_1_1_6_2 - 0.0279691736834641*G0_1_1_6_3 + 0.0645868417297098*G0_1_1_6_4 - 0.0762922791494349*G0_1_1_6_5 + 0.166816041101784*G0_1_1_6_6 - 0.0479834451263103*G0_1_1_6_7 + 0.00843727700870699*G0_1_1_6_8 + 0.0492022263450918*G0_1_1_6_9 + 0.112434232434251*G0_1_1_7_0 + 0.026001300287019*G0_1_1_7_1 + 0.0141499770071222*G0_1_1_7_2 + 0.0274554017411206*G0_1_1_7_3 - 0.0340002854288626*G0_1_1_7_4 + 0.0850749250749393*G0_1_1_7_5 - 0.0479834451263103*G0_1_1_7_6 + 0.320719280719335*G0_1_1_7_7 - 0.00894248608534479*G0_1_1_7_8 + 0.102840017125749*G0_1_1_7_9 - 0.0627239427239534*G0_1_1_8_0 - 0.0396073767502407*G0_1_1_8_1 - 0.0112588998303303*G0_1_1_8_2 - 0.055698587127168*G0_1_1_8_3 + 0.0282431853860473*G0_1_1_8_4 - 0.037091479948629*G0_1_1_8_5 + 0.00843727700870698*G0_1_1_8_6 - 0.00894248608534479*G0_1_1_8_7 - 0.0975938347367084*G0_1_1_8_8 - 0.0898244612530479*G0_1_1_8_9 - 0.00229104229104253*G0_1_1_9_0 + 0.0111126968269844*G0_1_1_9_1 + 0.00224537367394548*G0_1_1_9_2 - 0.0882488939631947*G0_1_1_9_3 + 0.0664992150706548*G0_1_1_9_4 + 0.0810560867703861*G0_1_1_9_5 + 0.0492022263450918*G0_1_1_9_6 + 0.102840017125749*G0_1_1_9_7 - 0.0898244612530479*G0_1_1_9_8 + 0.120222634508369*G0_1_1_9_9;
    A[79] = A[65] - 0.00203309917595668*G0_0_1_0_0 - 0.000699335937431298*G0_0_1_0_1 + 0.000741974075307536*G0_0_1_0_2 + 0.00285999714571192*G0_0_1_0_3 - 0.0279244564958899*G0_0_1_0_4 + 0.00669362383648212*G0_0_1_0_5 - 0.00856349999207289*G0_0_1_0_6 + 0.00323739752311236*G0_0_1_0_7 + 0.000598132026703567*G0_0_1_0_8 - 0.0181494695780441*G0_0_1_0_9 - 0.000699335937431298*G0_0_1_1_0 + 0.000473600473600564*G0_0_1_1_1 - 0.00266005599338978*G0_0_1_1_2 + 0.0104162504162522*G0_0_1_1_3 - 0.0162047476333219*G0_0_1_1_4 + 0.00363446077731854*G0_0_1_1_5 - 0.00626611483754448*G0_0_1_1_6 - 0.000167451596023058*G0_0_1_1_7 + 0.00311688311688366*G0_0_1_1_8 - 0.00611198325484144*G0_0_1_1_9 + 0.000741974075307535*G0_0_1_2_0 - 0.00266005599338978*G0_0_1_2_1 - 0.000749867416534079*G0_0_1_2_2 + 0.0143412143412168*G0_0_1_2_3 - 0.0198912198912233*G0_0_1_2_4 - 0.00244200244200288*G0_0_1_2_5 + 0.00435120435120512*G0_0_1_2_6 - 0.00133200133200156*G0_0_1_2_7 + 0.000319680319680372*G0_0_1_2_8 + 0.00719280719280841*G0_0_1_2_9 + 0.00285999714571192*G0_0_1_3_0 + 0.0104162504162522*G0_0_1_3_1 + 0.0143412143412168*G0_0_1_3_2 - 0.0684344227201485*G0_0_1_3_3 + 0.065934065934077*G0_0_1_3_4 - 0.0140088482945649*G0_0_1_3_5 + 0.0273326673326719*G0_0_1_3_6 - 0.00752961324390022*G0_0_1_3_8 + 0.0184272869987186*G0_0_1_3_9 - 0.0279244564958899*G0_0_1_4_0 - 0.0162047476333219*G0_0_1_4_1 - 0.0198912198912233*G0_0_1_4_2 + 0.065934065934077*G0_0_1_4_3 - 0.62481518481529*G0_0_1_4_4 + 0.0923076923077079*G0_0_1_4_5 - 0.11964035964038*G0_0_1_4_6 + 0.0396175253318177*G0_0_1_4_7 + 0.00757528186099743*G0_0_1_4_8 - 0.206193806193841*G0_0_1_4_9 + 0.00669362383648212*G0_0_1_5_0 + 0.00363446077731854*G0_0_1_5_1 - 0.00244200244200288*G0_0_1_5_2 - 0.0140088482945649*G0_0_1_5_3 + 0.0923076923077079*G0_0_1_5_4 - 0.0212815755672934*G0_0_1_5_5 + 0.0289310689310738*G0_0_1_5_6 - 0.0101612673041262*G0_0_1_5_7 - 0.00236905951191706*G0_0_1_5_8 + 0.0591865277579663*G0_0_1_5_9 - 0.00856349999207289*G0_0_1_6_0 - 0.00626611483754448*G0_0_1_6_1 + 0.00435120435120512*G0_0_1_6_2 + 0.0273326673326719*G0_0_1_6_3 - 0.11964035964038*G0_0_1_6_4 + 0.0289310689310738*G0_0_1_6_5 - 0.0310089910089962*G0_0_1_6_6 + 0.0125303268160432*G0_0_1_6_7 + 0.00465249036677687*G0_0_1_6_8 - 0.0762437562437691*G0_0_1_6_9 + 0.00323739752311236*G0_0_1_7_0 - 0.000167451596023057*G0_0_1_7_1 - 0.00133200133200156*G0_0_1_7_2 + 0.0396175253318177*G0_0_1_7_4 - 0.0101612673041262*G0_0_1_7_5 + 0.0125303268160432*G0_0_1_7_6 - 0.00349364920793561*G0_0_1_7_7 - 0.000770657913515202*G0_0_1_7_8 + 0.0293877551020458*G0_0_1_7_9 + 0.000598132026703566*G0_0_1_8_0 + 0.00311688311688366*G0_0_1_8_1 + 0.000319680319680372*G0_0_1_8_2 - 0.00752961324390022*G0_0_1_8_3 + 0.00757528186099743*G0_0_1_8_4 - 0.00236905951191706*G0_0_1_8_5 + 0.00465249036677687*G0_0_1_8_6 - 0.000770657913515202*G0_0_1_8_7 + 0.00565149136577805*G0_0_1_8_8 + 0.00318538604252943*G0_0_1_8_9 - 0.0181494695780441*G0_0_1_9_0 - 0.00611198325484144*G0_0_1_9_1 + 0.00719280719280841*G0_0_1_9_2 + 0.0184272869987186*G0_0_1_9_3 - 0.206193806193841*G0_0_1_9_4 + 0.0591865277579663*G0_0_1_9_5 - 0.0762437562437691*G0_0_1_9_6 + 0.0293877551020458*G0_0_1_9_7 + 0.00318538604252942*G0_0_1_9_8 - 0.170161267304153*G0_0_1_9_9 + 0.00203309917595668*G0_1_0_0_0 + 0.000699335937431298*G0_1_0_0_1 - 0.000741974075307536*G0_1_0_0_2 - 0.00285999714571192*G0_1_0_0_3 + 0.0279244564958899*G0_1_0_0_4 - 0.00669362383648212*G0_1_0_0_5 + 0.00856349999207289*G0_1_0_0_6 - 0.00323739752311236*G0_1_0_0_7 - 0.000598132026703567*G0_1_0_0_8 + 0.0181494695780441*G0_1_0_0_9 + 0.000699335937431298*G0_1_0_1_0 - 0.000473600473600564*G0_1_0_1_1 + 0.00266005599338978*G0_1_0_1_2 - 0.0104162504162522*G0_1_0_1_3 + 0.0162047476333219*G0_1_0_1_4 - 0.00363446077731854*G0_1_0_1_5 + 0.00626611483754448*G0_1_0_1_6 + 0.000167451596023058*G0_1_0_1_7 - 0.00311688311688366*G0_1_0_1_8 + 0.00611198325484144*G0_1_0_1_9 - 0.000741974075307537*G0_1_0_2_0 + 0.00266005599338978*G0_1_0_2_1 + 0.000749867416534079*G0_1_0_2_2 - 0.0143412143412168*G0_1_0_2_3 + 0.0198912198912233*G0_1_0_2_4 + 0.00244200244200288*G0_1_0_2_5 - 0.00435120435120513*G0_1_0_2_6 + 0.00133200133200156*G0_1_0_2_7 - 0.000319680319680372*G0_1_0_2_8 - 0.00719280719280841*G0_1_0_2_9 - 0.00285999714571192*G0_1_0_3_0 - 0.0104162504162522*G0_1_0_3_1 - 0.0143412143412168*G0_1_0_3_2 + 0.0684344227201485*G0_1_0_3_3 - 0.065934065934077*G0_1_0_3_4 + 0.0140088482945649*G0_1_0_3_5 - 0.0273326673326719*G0_1_0_3_6 + 0.00752961324390022*G0_1_0_3_8 - 0.0184272869987186*G0_1_0_3_9 + 0.0279244564958899*G0_1_0_4_0 + 0.0162047476333219*G0_1_0_4_1 + 0.0198912198912233*G0_1_0_4_2 - 0.065934065934077*G0_1_0_4_3 + 0.62481518481529*G0_1_0_4_4 - 0.0923076923077079*G0_1_0_4_5 + 0.11964035964038*G0_1_0_4_6 - 0.0396175253318177*G0_1_0_4_7 - 0.00757528186099743*G0_1_0_4_8 + 0.206193806193841*G0_1_0_4_9 - 0.00669362383648212*G0_1_0_5_0 - 0.00363446077731854*G0_1_0_5_1 + 0.00244200244200288*G0_1_0_5_2 + 0.0140088482945649*G0_1_0_5_3 - 0.0923076923077079*G0_1_0_5_4 + 0.0212815755672934*G0_1_0_5_5 - 0.0289310689310738*G0_1_0_5_6 + 0.0101612673041262*G0_1_0_5_7 + 0.00236905951191706*G0_1_0_5_8 - 0.0591865277579663*G0_1_0_5_9 + 0.00856349999207289*G0_1_0_6_0 + 0.00626611483754448*G0_1_0_6_1 - 0.00435120435120512*G0_1_0_6_2 - 0.0273326673326719*G0_1_0_6_3 + 0.11964035964038*G0_1_0_6_4 - 0.0289310689310738*G0_1_0_6_5 + 0.0310089910089962*G0_1_0_6_6 - 0.0125303268160432*G0_1_0_6_7 - 0.00465249036677687*G0_1_0_6_8 + 0.0762437562437691*G0_1_0_6_9 - 0.00323739752311236*G0_1_0_7_0 + 0.000167451596023057*G0_1_0_7_1 + 0.00133200133200156*G0_1_0_7_2 - 0.0396175253318177*G0_1_0_7_4 + 0.0101612673041262*G0_1_0_7_5 - 0.0125303268160432*G0_1_0_7_6 + 0.00349364920793561*G0_1_0_7_7 + 0.000770657913515202*G0_1_0_7_8 - 0.0293877551020458*G0_1_0_7_9 - 0.000598132026703566*G0_1_0_8_0 - 0.00311688311688366*G0_1_0_8_1 - 0.000319680319680372*G0_1_0_8_2 + 0.00752961324390022*G0_1_0_8_3 - 0.00757528186099743*G0_1_0_8_4 + 0.00236905951191706*G0_1_0_8_5 - 0.00465249036677687*G0_1_0_8_6 + 0.000770657913515201*G0_1_0_8_7 - 0.00565149136577805*G0_1_0_8_8 - 0.00318538604252942*G0_1_0_8_9 + 0.0181494695780441*G0_1_0_9_0 + 0.00611198325484144*G0_1_0_9_1 - 0.00719280719280841*G0_1_0_9_2 - 0.0184272869987186*G0_1_0_9_3 + 0.206193806193841*G0_1_0_9_4 - 0.0591865277579663*G0_1_0_9_5 + 0.0762437562437691*G0_1_0_9_6 - 0.0293877551020458*G0_1_0_9_7 - 0.00318538604252942*G0_1_0_9_8 + 0.170161267304153*G0_1_0_9_9;
    A[154] = A[70] - 0.00141340141340175*G0_0_1_0_0 - 0.000920005920006119*G0_0_1_0_1 + 0.000257176685748161*G0_0_1_0_2 + 0.00128752200180796*G0_0_1_0_3 - 0.00175800390086135*G0_0_1_0_4 + 0.000609866324152135*G0_0_1_0_5 - 0.000452642595499803*G0_0_1_0_6 + 0.00104514533085976*G0_0_1_0_7 + 0.00583535512107041*G0_0_1_0_8 - 0.00381761096046875*G0_0_1_0_9 - 0.000920005920006119*G0_0_1_1_0 - 0.11901061901064*G0_0_1_1_1 - 0.00092000592000609*G0_0_1_1_2 + 0.000166500166500001*G0_0_1_1_3 + 0.00475191475191563*G0_0_1_1_4 - 0.00113719613719629*G0_0_1_1_5 - 0.00113719613719633*G0_0_1_1_6 + 0.0047519147519157*G0_0_1_1_7 + 0.000166500166499847*G0_0_1_1_8 + 0.0115084915084934*G0_0_1_1_9 + 0.000257176685748161*G0_0_1_2_0 - 0.000920005920006089*G0_0_1_2_1 - 0.00141340141340163*G0_0_1_2_2 + 0.00583535512107039*G0_0_1_2_3 + 0.00104514533085981*G0_0_1_2_4 - 0.000452642595499831*G0_0_1_2_5 + 0.000609866324152181*G0_0_1_2_6 - 0.00175800390086133*G0_0_1_2_7 + 0.00128752200180793*G0_0_1_2_8 - 0.00381761096046873*G0_0_1_2_9 + 0.00128752200180796*G0_0_1_3_0 + 0.000166500166499998*G0_0_1_3_1 + 0.00583535512107039*G0_0_1_3_2 + 0.188751248751281*G0_0_1_3_3 - 0.0348101898101957*G0_0_1_3_4 + 0.000742828599971603*G0_0_1_3_5 + 0.00147495361781098*G0_0_1_3_6 - 0.0057992007992018*G0_0_1_3_7 + 0.0115984015984035*G0_0_1_3_8 - 0.0229270729270766*G0_0_1_3_9 - 0.00175800390086135*G0_0_1_4_0 + 0.00475191475191563*G0_0_1_4_1 + 0.00104514533085981*G0_0_1_4_2 - 0.0348101898101957*G0_0_1_4_3 - 0.0131482802911397*G0_0_1_4_4 + 0.00333737690880604*G0_0_1_4_5 - 0.00481233052661703*G0_0_1_4_6 + 0.00624232909947299*G0_0_1_4_7 - 0.00579920079920176*G0_0_1_4_8 + 0.0047780790637941*G0_0_1_4_9 + 0.000609866324152135*G0_0_1_5_0 - 0.00113719613719629*G0_0_1_5_1 - 0.000452642595499831*G0_0_1_5_2 + 0.000742828599971602*G0_0_1_5_3 + 0.00333737690880604*G0_0_1_5_4 + 0.0014942200656491*G0_0_1_5_5 + 0.00236121021835344*G0_0_1_5_6 - 0.00481233052661703*G0_0_1_5_7 + 0.00147495361781099*G0_0_1_5_8 + 0.00850292564578422*G0_0_1_5_9 - 0.000452642595499803*G0_0_1_6_0 - 0.00113719613719633*G0_0_1_6_1 + 0.000609866324152181*G0_0_1_6_2 + 0.00147495361781098*G0_0_1_6_3 - 0.00481233052661703*G0_0_1_6_4 + 0.00236121021835344*G0_0_1_6_5 + 0.00149422006564917*G0_0_1_6_6 + 0.00333737690880602*G0_0_1_6_7 + 0.000742828599971591*G0_0_1_6_8 + 0.00850292564578424*G0_0_1_6_9 + 0.00104514533085976*G0_0_1_7_0 + 0.0047519147519157*G0_0_1_7_1 - 0.00175800390086133*G0_0_1_7_2 - 0.0057992007992018*G0_0_1_7_3 + 0.00624232909947299*G0_0_1_7_4 - 0.00481233052661703*G0_0_1_7_5 + 0.00333737690880602*G0_0_1_7_6 - 0.0131482802911393*G0_0_1_7_7 - 0.0348101898101956*G0_0_1_7_8 + 0.00477807906379417*G0_0_1_7_9 + 0.00583535512107041*G0_0_1_8_0 + 0.000166500166499842*G0_0_1_8_1 + 0.00128752200180793*G0_0_1_8_2 + 0.0115984015984035*G0_0_1_8_3 - 0.00579920079920176*G0_0_1_8_4 + 0.00147495361781099*G0_0_1_8_5 + 0.00074282859997159*G0_0_1_8_6 - 0.0348101898101956*G0_0_1_8_7 + 0.188751248751281*G0_0_1_8_8 - 0.0229270729270767*G0_0_1_8_9 - 0.00381761096046875*G0_0_1_9_0 + 0.0115084915084934*G0_0_1_9_1 - 0.00381761096046873*G0_0_1_9_2 - 0.0229270729270766*G0_0_1_9_3 + 0.0047780790637941*G0_0_1_9_4 + 0.00850292564578422*G0_0_1_9_5 + 0.00850292564578424*G0_0_1_9_6 + 0.00477807906379417*G0_0_1_9_7 - 0.0229270729270767*G0_0_1_9_8 - 0.120685029256478*G0_0_1_9_9 + 0.00141340141340175*G0_1_0_0_0 + 0.000920005920006119*G0_1_0_0_1 - 0.000257176685748161*G0_1_0_0_2 - 0.00128752200180796*G0_1_0_0_3 + 0.00175800390086135*G0_1_0_0_4 - 0.000609866324152135*G0_1_0_0_5 + 0.000452642595499803*G0_1_0_0_6 - 0.00104514533085976*G0_1_0_0_7 - 0.00583535512107041*G0_1_0_0_8 + 0.00381761096046875*G0_1_0_0_9 + 0.000920005920006119*G0_1_0_1_0 + 0.11901061901064*G0_1_0_1_1 + 0.000920005920006089*G0_1_0_1_2 - 0.000166500166500005*G0_1_0_1_3 - 0.00475191475191563*G0_1_0_1_4 + 0.00113719613719629*G0_1_0_1_5 + 0.00113719613719633*G0_1_0_1_6 - 0.0047519147519157*G0_1_0_1_7 - 0.00016650016649985*G0_1_0_1_8 - 0.0115084915084934*G0_1_0_1_9 - 0.000257176685748161*G0_1_0_2_0 + 0.000920005920006089*G0_1_0_2_1 + 0.00141340141340163*G0_1_0_2_2 - 0.00583535512107039*G0_1_0_2_3 - 0.00104514533085981*G0_1_0_2_4 + 0.000452642595499831*G0_1_0_2_5 - 0.000609866324152181*G0_1_0_2_6 + 0.00175800390086133*G0_1_0_2_7 - 0.00128752200180793*G0_1_0_2_8 + 0.00381761096046873*G0_1_0_2_9 - 0.00128752200180796*G0_1_0_3_0 - 0.000166500166500001*G0_1_0_3_1 - 0.00583535512107039*G0_1_0_3_2 - 0.188751248751281*G0_1_0_3_3 + 0.0348101898101957*G0_1_0_3_4 - 0.000742828599971602*G0_1_0_3_5 - 0.00147495361781098*G0_1_0_3_6 + 0.0057992007992018*G0_1_0_3_7 - 0.0115984015984035*G0_1_0_3_8 + 0.0229270729270766*G0_1_0_3_9 + 0.00175800390086135*G0_1_0_4_0 - 0.00475191475191563*G0_1_0_4_1 - 0.00104514533085981*G0_1_0_4_2 + 0.0348101898101957*G0_1_0_4_3 + 0.0131482802911397*G0_1_0_4_4 - 0.00333737690880604*G0_1_0_4_5 + 0.00481233052661703*G0_1_0_4_6 - 0.00624232909947299*G0_1_0_4_7 + 0.00579920079920176*G0_1_0_4_8 - 0.0047780790637941*G0_1_0_4_9 - 0.000609866324152135*G0_1_0_5_0 + 0.00113719613719629*G0_1_0_5_1 + 0.000452642595499831*G0_1_0_5_2 - 0.000742828599971602*G0_1_0_5_3 - 0.00333737690880604*G0_1_0_5_4 - 0.0014942200656491*G0_1_0_5_5 - 0.00236121021835344*G0_1_0_5_6 + 0.00481233052661703*G0_1_0_5_7 - 0.00147495361781099*G0_1_0_5_8 - 0.00850292564578422*G0_1_0_5_9 + 0.000452642595499803*G0_1_0_6_0 + 0.00113719613719633*G0_1_0_6_1 - 0.000609866324152181*G0_1_0_6_2 - 0.00147495361781098*G0_1_0_6_3 + 0.00481233052661703*G0_1_0_6_4 - 0.00236121021835344*G0_1_0_6_5 - 0.00149422006564917*G0_1_0_6_6 - 0.00333737690880602*G0_1_0_6_7 - 0.00074282859997159*G0_1_0_6_8 - 0.00850292564578424*G0_1_0_6_9 - 0.00104514533085976*G0_1_0_7_0 - 0.0047519147519157*G0_1_0_7_1 + 0.00175800390086133*G0_1_0_7_2 + 0.0057992007992018*G0_1_0_7_3 - 0.00624232909947299*G0_1_0_7_4 + 0.00481233052661703*G0_1_0_7_5 - 0.00333737690880602*G0_1_0_7_6 + 0.0131482802911393*G0_1_0_7_7 + 0.0348101898101956*G0_1_0_7_8 - 0.00477807906379417*G0_1_0_7_9 - 0.00583535512107041*G0_1_0_8_0 - 0.000166500166499845*G0_1_0_8_1 - 0.00128752200180793*G0_1_0_8_2 - 0.0115984015984035*G0_1_0_8_3 + 0.00579920079920176*G0_1_0_8_4 - 0.00147495361781099*G0_1_0_8_5 - 0.00074282859997159*G0_1_0_8_6 + 0.0348101898101956*G0_1_0_8_7 - 0.188751248751281*G0_1_0_8_8 + 0.0229270729270767*G0_1_0_8_9 + 0.00381761096046875*G0_1_0_9_0 - 0.0115084915084934*G0_1_0_9_1 + 0.00381761096046873*G0_1_0_9_2 + 0.0229270729270766*G0_1_0_9_3 - 0.0047780790637941*G0_1_0_9_4 - 0.00850292564578422*G0_1_0_9_5 - 0.00850292564578424*G0_1_0_9_6 - 0.00477807906379417*G0_1_0_9_7 + 0.0229270729270767*G0_1_0_9_8 + 0.120685029256478*G0_1_0_9_9;
    A[106] = -0.00165920499253863*G0_0_0_0_0 - 0.000148328303090244*G0_0_0_0_1 - 0.000265107467488465*G0_0_0_0_2 - 8.25166896595651e-05*G0_0_0_0_3 + 0.00017044463473038*G0_0_0_0_4 - 0.00331010259581745*G0_0_0_0_5 + 0.000302653695510907*G0_0_0_0_6 - 0.000261048475334231*G0_0_0_0_7 + 0.000297500118928729*G0_0_0_0_8 - 0.000490818705104504*G0_0_0_0_9 - 0.000148328303090244*G0_0_0_1_0 - 0.00168535168535219*G0_0_0_1_1 - 0.00023995625186106*G0_0_0_1_2 - 0.00142302142302171*G0_0_0_1_3 + 0.00118145743145765*G0_0_0_1_4 + 0.000406042370328154*G0_0_0_1_5 + 0.000690638726353132*G0_0_0_1_6 + 0.000564851814851961*G0_0_0_1_7 - 0.00038211788211806*G0_0_0_1_8 - 0.000800033300033447*G0_0_0_1_9 - 0.000265107467488465*G0_0_0_2_0 - 0.00023995625186106*G0_0_0_2_1 - 0.0113344063344082*G0_0_0_2_2 + 0.000282138496424254*G0_0_0_2_3 + 0.000122655122655149*G0_0_0_2_4 - 0.000303942089656438*G0_0_0_2_5 - 0.00238150738150775*G0_0_0_2_6 + 0.000145588538445707*G0_0_0_2_7 - 0.000268045446616927*G0_0_0_2_8 + 0.00111126968269844*G0_0_0_2_9 - 8.2516689659565e-05*G0_0_0_3_0 - 0.00142302142302171*G0_0_0_3_1 + 0.000282138496424254*G0_0_0_3_2 - 0.00384865134865198*G0_0_0_3_3 - 0.00248233908948236*G0_0_0_3_4 - 0.000530184101612756*G0_0_0_3_5 - 0.00198212501783962*G0_0_0_3_6 + 0.000337341230198442*G0_0_0_3_7 - 0.00123126873126897*G0_0_0_3_8 + 0.00172541743970345*G0_0_0_3_9 + 0.00017044463473038*G0_0_0_4_0 + 0.00118145743145765*G0_0_0_4_1 + 0.000122655122655149*G0_0_0_4_2 - 0.00248233908948236*G0_0_0_4_3 + 0.0116897388325979*G0_0_0_4_4 - 0.000421542742971383*G0_0_0_4_5 + 0.00240366776081101*G0_0_0_4_6 - 0.000518945340374003*G0_0_0_4_7 + 0.00089392750107053*G0_0_0_4_8 - 0.00249072356215257*G0_0_0_4_9 - 0.00331010259581745*G0_0_0_5_0 + 0.000406042370328154*G0_0_0_5_1 - 0.000303942089656438*G0_0_0_5_2 - 0.000530184101612756*G0_0_0_5_3 - 0.000421542742971383*G0_0_0_5_4 + 0.01254923647781*G0_0_0_5_5 + 0.00698604966462226*G0_0_0_5_6 + 0.00147531040388208*G0_0_0_5_7 - 0.00112833594976471*G0_0_0_5_8 + 0.00372912801484293*G0_0_0_5_9 + 0.000302653695510907*G0_0_0_6_0 + 0.000690638726353132*G0_0_0_6_1 - 0.00238150738150775*G0_0_0_6_2 - 0.00198212501783962*G0_0_0_6_3 + 0.00240366776081101*G0_0_0_6_4 + 0.00698604966462226*G0_0_0_6_5 + 0.0479834451263104*G0_0_0_6_6 - 0.000346974454117365*G0_0_0_6_7 - 0.000678785500214172*G0_0_0_6_8 + 0.000630440987583918*G0_0_0_6_9 - 0.000261048475334231*G0_0_0_7_0 + 0.000564851814851961*G0_0_0_7_1 + 0.000145588538445707*G0_0_0_7_2 + 0.000337341230198442*G0_0_0_7_3 - 0.000518945340374003*G0_0_0_7_4 + 0.00147531040388208*G0_0_0_7_5 - 0.000346974454117365*G0_0_0_7_6 + 0.00361602683031313*G0_0_0_7_7 - 0.00134882974168705*G0_0_0_7_8 + 0.00216640502354825*G0_0_0_7_9 + 0.000297500118928729*G0_0_0_8_0 - 0.00038211788211806*G0_0_0_8_1 - 0.000268045446616927*G0_0_0_8_2 - 0.00123126873126897*G0_0_0_8_3 + 0.00089392750107053*G0_0_0_8_4 - 0.00112833594976471*G0_0_0_8_5 - 0.000678785500214172*G0_0_0_8_6 - 0.00134882974168705*G0_0_0_8_7 - 0.000806693306693603*G0_0_0_8_8 + 0.000612244897959275*G0_0_0_8_9 - 0.000490818705104504*G0_0_0_9_0 - 0.000800033300033447*G0_0_0_9_1 + 0.00111126968269844*G0_0_0_9_2 + 0.00172541743970345*G0_0_0_9_3 - 0.00249072356215257*G0_0_0_9_4 + 0.00372912801484292*G0_0_0_9_5 + 0.000630440987583918*G0_0_0_9_6 + 0.00216640502354825*G0_0_0_9_7 + 0.000612244897959275*G0_0_0_9_8 - 0.0196132438989615*G0_0_0_9_9 + 0.00967520134186971*G0_1_0_0_0 + 9.16279487708138e-05*G0_1_0_0_1 + 0.000185528756957352*G0_1_0_0_3 + 2.48560962846742e-05*G0_1_0_0_4 - 0.000928595214309647*G0_1_0_0_5 + 0.000606595785167318*G0_1_0_0_6 - 0.000383703597989344*G0_1_0_0_7 + 1.53616225044576e-05*G0_1_0_0_8 - 0.00160208838780294*G0_1_0_0_9 + 9.16279487708137e-05*G0_1_0_1_0 - 9.16279487708291e-05*G0_1_0_1_2 - 0.00104090354090379*G0_1_0_1_3 + 0.000616605616605755*G0_1_0_1_4 - 0.000284596356024968*G0_1_0_1_5 + 0.000284596356024978*G0_1_0_1_6 - 0.000616605616605663*G0_1_0_1_7 + 0.0010409035409036*G0_1_0_1_8 - 9.16279487708291e-05*G0_1_0_2_1 - 0.00967520134186962*G0_1_0_2_2 - 1.5361622504488e-05*G0_1_0_2_3 + 0.00038370359798938*G0_1_0_2_4 - 0.000606595785167326*G0_1_0_2_5 + 0.000928595214309676*G0_1_0_2_6 - 2.4856096284667e-05*G0_1_0_2_7 - 0.000185528756957367*G0_1_0_2_8 + 0.00160208838780294*G0_1_0_2_9 + 0.000185528756957352*G0_1_0_3_0 - 0.00104090354090379*G0_1_0_3_1 - 1.53616225044881e-05*G0_1_0_3_2 - 0.00304195804195858*G0_1_0_3_3 - 0.00113350934779523*G0_1_0_3_4 + 0.000148601398601409*G0_1_0_3_5 - 0.000853789068074915*G0_1_0_3_6 - 0.000556586270872061*G0_1_0_3_7 + 0.00111317254174416*G0_1_0_3_9 + 2.48560962846743e-05*G0_1_0_4_0 + 0.000616605616605755*G0_1_0_4_1 + 0.000383703597989381*G0_1_0_4_2 - 0.00113350934779523*G0_1_0_4_3 + 0.00807371200228473*G0_1_0_4_4 - 7.45682888540108e-05*G0_1_0_4_5 + 0.000928357356928934*G0_1_0_4_6 + 0.000556586270872105*G0_1_0_4_8 - 0.00465712858570081*G0_1_0_4_9 - 0.000928595214309648*G0_1_0_5_0 - 0.000284596356024968*G0_1_0_5_1 - 0.000606595785167326*G0_1_0_5_2 + 0.000148601398601409*G0_1_0_5_3 - 7.45682888540108e-05*G0_1_0_5_4 - 0.0354342086485002*G0_1_0_5_5 - 0.000928357356928912*G0_1_0_5_7 + 0.000853789068074908*G0_1_0_5_8 + 0.003098687027259*G0_1_0_5_9 + 0.000606595785167318*G0_1_0_6_0 + 0.000284596356024978*G0_1_0_6_1 + 0.000928595214309677*G0_1_0_6_2 - 0.000853789068074915*G0_1_0_6_3 + 0.000928357356928934*G0_1_0_6_4 + 0.0354342086485004*G0_1_0_6_6 + 7.4568288854009e-05*G0_1_0_6_7 - 0.000148601398601409*G0_1_0_6_8 - 0.003098687027259*G0_1_0_6_9 - 0.000383703597989344*G0_1_0_7_0 - 0.000616605616605663*G0_1_0_7_1 - 2.48560962846669e-05*G0_1_0_7_2 - 0.000556586270872061*G0_1_0_7_3 - 0.000928357356928911*G0_1_0_7_5 + 7.45682888540088e-05*G0_1_0_7_6 - 0.00807371200228477*G0_1_0_7_7 + 0.00113350934779529*G0_1_0_7_8 + 0.00465712858570081*G0_1_0_7_9 + 1.5361622504458e-05*G0_1_0_8_0 + 0.0010409035409036*G0_1_0_8_1 - 0.000185528756957367*G0_1_0_8_2 + 0.000556586270872105*G0_1_0_8_4 + 0.000853789068074908*G0_1_0_8_5 - 0.000148601398601409*G0_1_0_8_6 + 0.00113350934779529*G0_1_0_8_7 + 0.00304195804195841*G0_1_0_8_8 - 0.00111317254174417*G0_1_0_8_9 - 0.00160208838780294*G0_1_0_9_0 + 0.00160208838780294*G0_1_0_9_2 + 0.00111317254174416*G0_1_0_9_3 - 0.00465712858570081*G0_1_0_9_4 + 0.003098687027259*G0_1_0_9_5 - 0.003098687027259*G0_1_0_9_6 + 0.00465712858570081*G0_1_0_9_7 - 0.00111317254174417*G0_1_0_9_8;
    A[60] = A[106] + 0.000488559059987719*G0_0_0_0_3 + 0.000520194091622755*G0_0_0_0_4 + 0.00188708117279576*G0_0_0_0_5 + 0.000878803735946738*G0_0_0_0_6 - 0.000121069406783779*G0_0_0_0_7 + 0.000267351695923207*G0_0_0_0_8 - 0.000309214594928942*G0_0_0_0_9 - 0.00188708117279573*G0_0_0_1_3 - 0.000878803735946758*G0_0_0_1_4 - 0.000488559059987717*G0_0_0_1_5 - 0.000520194091622753*G0_0_0_1_6 - 0.000267351695923229*G0_0_0_1_7 + 0.000121069406783827*G0_0_0_1_8 + 0.00030921459492894*G0_0_0_1_9 - 0.000586080586080695*G0_0_0_2_3 - 0.0025041625041629*G0_0_0_2_4 + 0.00058608058608069*G0_0_0_2_5 + 0.0025041625041629*G0_0_0_2_6 - 0.000413633985062631*G0_0_0_2_7 + 0.000413633985062633*G0_0_0_2_8 + 0.000488559059987719*G0_0_0_3_0 - 0.00188708117279573*G0_0_0_3_1 - 0.000586080586080695*G0_0_0_3_2 + 0.0163978878264619*G0_0_0_3_3 + 0.00946838875410462*G0_0_0_3_4 + 0.00156058227486824*G0_0_0_3_6 - 0.00146567717996315*G0_0_0_3_7 + 0.00270657913515104*G0_0_0_3_8 + 0.00200371057513948*G0_0_0_3_9 + 0.000520194091622754*G0_0_0_4_0 - 0.000878803735946758*G0_0_0_4_1 - 0.0025041625041629*G0_0_0_4_2 + 0.00946838875410462*G0_0_0_4_3 + 0.0362937062937125*G0_0_0_4_4 - 0.00156058227486824*G0_0_0_4_5 - 0.000159840159840177*G0_0_0_4_7 - 0.0012409019551879*G0_0_0_4_8 + 0.00312116454973649*G0_0_0_4_9 + 0.00188708117279576*G0_0_0_5_0 - 0.000488559059987717*G0_0_0_5_1 + 0.00058608058608069*G0_0_0_5_2 - 0.00156058227486824*G0_0_0_5_4 - 0.016397887826462*G0_0_0_5_5 - 0.00946838875410461*G0_0_0_5_6 - 0.00270657913515104*G0_0_0_5_7 + 0.00146567717996314*G0_0_0_5_8 - 0.00200371057513947*G0_0_0_5_9 + 0.000878803735946738*G0_0_0_6_0 - 0.000520194091622753*G0_0_0_6_1 + 0.0025041625041629*G0_0_0_6_2 + 0.00156058227486824*G0_0_0_6_3 - 0.00946838875410462*G0_0_0_6_5 - 0.0362937062937125*G0_0_0_6_6 + 0.00124090195518789*G0_0_0_6_7 + 0.000159840159840172*G0_0_0_6_8 - 0.0031211645497365*G0_0_0_6_9 - 0.000121069406783779*G0_0_0_7_0 - 0.000267351695923229*G0_0_0_7_1 - 0.000413633985062631*G0_0_0_7_2 - 0.00146567717996315*G0_0_0_7_3 - 0.000159840159840177*G0_0_0_7_4 - 0.00270657913515104*G0_0_0_7_5 + 0.00124090195518789*G0_0_0_7_6 - 0.00442272013700668*G0_0_0_7_7 - 0.00155416012558896*G0_0_0_7_9 + 0.000267351695923207*G0_0_0_8_0 + 0.000121069406783827*G0_0_0_8_1 + 0.000413633985062633*G0_0_0_8_2 + 0.00270657913515104*G0_0_0_8_3 - 0.0012409019551879*G0_0_0_8_4 + 0.00146567717996314*G0_0_0_8_5 + 0.000159840159840172*G0_0_0_8_6 + 0.00442272013700673*G0_0_0_8_8 + 0.00155416012558898*G0_0_0_8_9 - 0.000309214594928942*G0_0_0_9_0 + 0.00030921459492894*G0_0_0_9_1 + 0.00200371057513948*G0_0_0_9_3 + 0.00312116454973649*G0_0_0_9_4 - 0.00200371057513947*G0_0_0_9_5 - 0.0031211645497365*G0_0_0_9_6 - 0.00155416012558897*G0_0_0_9_7 + 0.00155416012558898*G0_0_0_9_8 - 0.00168535168535206*G0_0_1_0_0 - 0.000148328303090239*G0_0_1_0_1 - 0.000239956251861062*G0_0_1_0_2 + 0.000406042370328155*G0_0_1_0_3 + 0.000690638726353132*G0_0_1_0_4 - 0.00142302142302168*G0_0_1_0_5 + 0.00118145743145764*G0_0_1_0_6 - 0.000382117882118006*G0_0_1_0_7 + 0.000564851814851934*G0_0_1_0_8 - 0.000800033300033447*G0_0_1_0_9 - 0.000148328303090239*G0_0_1_1_0 - 0.0016592049925386*G0_0_1_1_1 - 0.000265107467488467*G0_0_1_1_2 - 0.00331010259581743*G0_0_1_1_3 + 0.000302653695510894*G0_0_1_1_4 + 0.000170444634730375*G0_0_1_1_6 + 0.000297500118928733*G0_0_1_1_7 - 0.000261048475334232*G0_0_1_1_8 - 0.000490818705104506*G0_0_1_1_9 - 0.000239956251861062*G0_0_1_2_0 - 0.000265107467488467*G0_0_1_2_1 - 0.0113344063344083*G0_0_1_2_2 - 0.00030394208965642*G0_0_1_2_3 - 0.00238150738150779*G0_0_1_2_4 + 0.000282138496424275*G0_0_1_2_5 + 0.000122655122655106*G0_0_1_2_6 - 0.000268045446616923*G0_0_1_2_7 + 0.000145588538445705*G0_0_1_2_8 + 0.00111126968269844*G0_0_1_2_9 + 0.000406042370328155*G0_0_1_3_0 - 0.00331010259581743*G0_0_1_3_1 - 0.00030394208965642*G0_0_1_3_2 + 0.0125492364778099*G0_0_1_3_3 + 0.00698604966462226*G0_0_1_3_4 - 0.000530184101612761*G0_0_1_3_5 - 0.000421542742971366*G0_0_1_3_6 - 0.0011283359497647*G0_0_1_3_7 + 0.00147531040388207*G0_0_1_3_8 + 0.00372912801484292*G0_0_1_3_9 + 0.000690638726353132*G0_0_1_4_0 + 0.000302653695510894*G0_0_1_4_1 - 0.00238150738150779*G0_0_1_4_2 + 0.00698604966462226*G0_0_1_4_3 + 0.0479834451263103*G0_0_1_4_4 - 0.00198212501783962*G0_0_1_4_5 + 0.00240366776081099*G0_0_1_4_6 - 0.00067878550021418*G0_0_1_4_7 - 0.000346974454117365*G0_0_1_4_8 + 0.000630440987583905*G0_0_1_4_9 - 0.00142302142302168*G0_0_1_5_0 + 0.000282138496424275*G0_0_1_5_2 - 0.000530184101612761*G0_0_1_5_3 - 0.00198212501783962*G0_0_1_5_4 - 0.00384865134865202*G0_0_1_5_5 - 0.00248233908948235*G0_0_1_5_6 - 0.00123126873126896*G0_0_1_5_7 + 0.000337341230198437*G0_0_1_5_8 + 0.00172541743970346*G0_0_1_5_9 + 0.00118145743145764*G0_0_1_6_0 + 0.000170444634730375*G0_0_1_6_1 + 0.000122655122655106*G0_0_1_6_2 - 0.000421542742971366*G0_0_1_6_3 + 0.00240366776081099*G0_0_1_6_4 - 0.00248233908948235*G0_0_1_6_5 + 0.0116897388325978*G0_0_1_6_6 + 0.000893927501070522*G0_0_1_6_7 - 0.000518945340373995*G0_0_1_6_8 - 0.0024907235621526*G0_0_1_6_9 - 0.000382117882118007*G0_0_1_7_0 + 0.000297500118928733*G0_0_1_7_1 - 0.000268045446616923*G0_0_1_7_2 - 0.0011283359497647*G0_0_1_7_3 - 0.000678785500214179*G0_0_1_7_4 - 0.00123126873126896*G0_0_1_7_5 + 0.000893927501070522*G0_0_1_7_6 - 0.000806693306693547*G0_0_1_7_7 - 0.00134882974168706*G0_0_1_7_8 + 0.000612244897959291*G0_0_1_7_9 + 0.000564851814851935*G0_0_1_8_0 - 0.000261048475334232*G0_0_1_8_1 + 0.000145588538445705*G0_0_1_8_2 + 0.00147531040388207*G0_0_1_8_3 - 0.000346974454117365*G0_0_1_8_4 + 0.000337341230198437*G0_0_1_8_5 - 0.000518945340373995*G0_0_1_8_6 - 0.00134882974168706*G0_0_1_8_7 + 0.00361602683031311*G0_0_1_8_8 + 0.00216640502354824*G0_0_1_8_9 - 0.000800033300033447*G0_0_1_9_0 - 0.000490818705104506*G0_0_1_9_1 + 0.00111126968269844*G0_0_1_9_2 + 0.00372912801484292*G0_0_1_9_3 + 0.000630440987583905*G0_0_1_9_4 + 0.00172541743970346*G0_0_1_9_5 - 0.0024907235621526*G0_0_1_9_6 + 0.000612244897959291*G0_0_1_9_7 + 0.00216640502354824*G0_0_1_9_8 - 0.0196132438989615*G0_0_1_9_9 - 0.0113605530272218*G0_1_0_0_0 - 0.000331584200631876*G0_1_0_0_1 - 0.000148328303090237*G0_1_0_0_2 + 0.000505109969395781*G0_1_0_0_3 + 0.000381186274043483*G0_1_0_0_4 + 0.00054647733219169*G0_1_0_0_5 - 0.00103931782503237*G0_1_0_0_7 + 0.00116609580895319*G0_1_0_0_8 + 0.0008020550877695*G0_1_0_0_9 - 0.000331584200631876*G0_1_0_1_0 - 0.0113344063344081*G0_1_0_1_1 - 0.000173479518717636*G0_1_0_1_2 - 0.00134060384060401*G0_1_0_1_3 - 0.000920547706262171*G0_1_0_1_4 - 0.000139007817579272*G0_1_0_1_6 + 0.000898744113029926*G0_1_0_1_7 - 0.000918248418248477*G0_1_0_1_8 + 0.00111126968269845*G0_1_0_1_9 - 0.000148328303090237*G0_1_0_2_0 - 0.000173479518717636*G0_1_0_2_1 + 0.00801599634933103*G0_1_0_2_2 + 0.000318015318015366*G0_1_0_2_3 - 0.0036938061938068*G0_1_0_2_4 + 0.000904095904096065*G0_1_0_2_5 - 0.0011896436896439*G0_1_0_2_6 + 0.000355973391687744*G0_1_0_2_8 - 0.00209290709290744*G0_1_0_2_9 + 0.000505109969395781*G0_1_0_3_0 - 0.00134060384060401*G0_1_0_3_1 + 0.000318015318015367*G0_1_0_3_2 + 0.0510254031682689*G0_1_0_3_3 + 0.0081195590124175*G0_1_0_3_4 - 0.000827386898815579*G0_1_0_3_5 + 0.000506814613957546*G0_1_0_3_6 - 0.00142553874696757*G0_1_0_3_7 + 0.00240366776081105*G0_1_0_3_8 - 0.000482731554160203*G0_1_0_3_9 + 0.000381186274043483*G0_1_0_4_0 - 0.000920547706262171*G0_1_0_4_1 - 0.0036938061938068*G0_1_0_4_2 + 0.0081195590124175*G0_1_0_4_3 + 0.00447552447552535*G0_1_0_4_4 - 0.0010537676609107*G0_1_0_4_5 + 0.000546953046953155*G0_1_0_4_6 - 0.000530184101612755*G0_1_0_4_7 - 0.000978129013843487*G0_1_0_4_8 + 0.00838625660054374*G0_1_0_4_9 + 0.00054647733219169*G0_1_0_5_0 + 0.000904095904096065*G0_1_0_5_2 - 0.000827386898815579*G0_1_0_5_3 - 0.0010537676609107*G0_1_0_5_4 + 0.0346275153418068*G0_1_0_5_5 - 0.00134882974168711*G0_1_0_5_6 - 0.00030291137434004*G0_1_0_5_7 - 0.00248644212929971*G0_1_0_5_9 - 0.000139007817579272*G0_1_0_6_1 - 0.0011896436896439*G0_1_0_6_2 + 0.000506814613957546*G0_1_0_6_3 + 0.000546953046953155*G0_1_0_6_4 - 0.0013488297416871*G0_1_0_6_5 - 0.0318181818181872*G0_1_0_6_6 + 0.000262772941344426*G0_1_0_6_7 - 0.00037034394177259*G0_1_0_6_8 + 0.00526509205080724*G0_1_0_6_9 - 0.00103931782503237*G0_1_0_7_0 + 0.000898744113029926*G0_1_0_7_1 - 0.00142553874696757*G0_1_0_7_3 - 0.000530184101612755*G0_1_0_7_4 - 0.00030291137434004*G0_1_0_7_5 + 0.000262772941344426*G0_1_0_7_6 + 0.0042250606536327*G0_1_0_7_7 - 0.00361584843727762*G0_1_0_7_8 - 0.00293171114599737*G0_1_0_7_9 + 0.00116609580895319*G0_1_0_8_0 - 0.000918248418248476*G0_1_0_8_1 + 0.000355973391687744*G0_1_0_8_2 + 0.00240366776081105*G0_1_0_8_3 - 0.000978129013843487*G0_1_0_8_4 - 0.00037034394177259*G0_1_0_8_6 - 0.00361584843727762*G0_1_0_8_7 + 0.00864778079063953*G0_1_0_8_8 - 0.00137755102040837*G0_1_0_8_9 + 0.0008020550877695*G0_1_0_9_0 + 0.00111126968269845*G0_1_0_9_1 - 0.00209290709290744*G0_1_0_9_2 - 0.000482731554160203*G0_1_0_9_3 + 0.00838625660054374*G0_1_0_9_4 - 0.00248644212929971*G0_1_0_9_5 + 0.00526509205080724*G0_1_0_9_6 - 0.00293171114599737*G0_1_0_9_7 - 0.00137755102040837*G0_1_0_9_8 - 0.0196132438989615*G0_1_0_9_9 - 0.00168535168535209*G0_1_1_0_0 - 0.000239956251861065*G0_1_1_0_1 - 0.000148328303090237*G0_1_1_0_2 + 0.000690638726353131*G0_1_1_0_3 + 0.000406042370328157*G0_1_1_0_4 - 0.000382117882117966*G0_1_1_0_5 + 0.000564851814851924*G0_1_1_0_6 - 0.00142302142302173*G0_1_1_0_7 + 0.00118145743145766*G0_1_1_0_8 - 0.000800033300033443*G0_1_1_0_9 - 0.000239956251861065*G0_1_1_1_0 - 0.0113344063344083*G0_1_1_1_1 - 0.000265107467488468*G0_1_1_1_2 - 0.0023815073815078*G0_1_1_1_3 - 0.000303942089656416*G0_1_1_1_4 - 0.00026804544661692*G0_1_1_1_5 + 0.000145588538445706*G0_1_1_1_6 + 0.000282138496424264*G0_1_1_1_7 + 0.000122655122655107*G0_1_1_1_8 + 0.00111126968269844*G0_1_1_1_9 - 0.000148328303090237*G0_1_1_2_0 - 0.000265107467488468*G0_1_1_2_1 - 0.00165920499253864*G0_1_1_2_2 + 0.000302653695510889*G0_1_1_2_3 - 0.00331010259581744*G0_1_1_2_4 + 0.000297500118928745*G0_1_1_2_5 - 0.000261048475334241*G0_1_1_2_6 + 0.000170444634730375*G0_1_1_2_8 - 0.000490818705104501*G0_1_1_2_9 + 0.000690638726353131*G0_1_1_3_0 - 0.0023815073815078*G0_1_1_3_1 + 0.00030265369551089*G0_1_1_3_2 + 0.0479834451263103*G0_1_1_3_3 + 0.00698604966462228*G0_1_1_3_4 - 0.000678785500214169*G0_1_1_3_5 - 0.000346974454117364*G0_1_1_3_6 - 0.00198212501783962*G0_1_1_3_7 + 0.00240366776081099*G0_1_1_3_8 + 0.00063044098758394*G0_1_1_3_9 + 0.000406042370328157*G0_1_1_4_0 - 0.000303942089656416*G0_1_1_4_1 - 0.00331010259581744*G0_1_1_4_2 + 0.00698604966462228*G0_1_1_4_3 + 0.0125492364778101*G0_1_1_4_4 - 0.00112833594976471*G0_1_1_4_5 + 0.00147531040388208*G0_1_1_4_6 - 0.000530184101612767*G0_1_1_4_7 - 0.000421542742971375*G0_1_1_4_8 + 0.00372912801484293*G0_1_1_4_9 - 0.000382117882117966*G0_1_1_5_0 - 0.00026804544661692*G0_1_1_5_1 + 0.000297500118928746*G0_1_1_5_2 - 0.000678785500214169*G0_1_1_5_3 - 0.00112833594976471*G0_1_1_5_4 - 0.000806693306693451*G0_1_1_5_5 - 0.00134882974168712*G0_1_1_5_6 - 0.00123126873126896*G0_1_1_5_7 + 0.000893927501070521*G0_1_1_5_8 + 0.000612244897959286*G0_1_1_5_9 + 0.000564851814851924*G0_1_1_6_0 + 0.000145588538445706*G0_1_1_6_1 - 0.000261048475334241*G0_1_1_6_2 - 0.000346974454117364*G0_1_1_6_3 + 0.00147531040388208*G0_1_1_6_4 - 0.00134882974168712*G0_1_1_6_5 + 0.00361602683031312*G0_1_1_6_6 + 0.000337341230198439*G0_1_1_6_7 - 0.000518945340373998*G0_1_1_6_8 + 0.00216640502354823*G0_1_1_6_9 - 0.00142302142302173*G0_1_1_7_0 + 0.000282138496424264*G0_1_1_7_1 - 0.00198212501783962*G0_1_1_7_3 - 0.000530184101612767*G0_1_1_7_4 - 0.00123126873126896*G0_1_1_7_5 + 0.000337341230198439*G0_1_1_7_6 - 0.00384865134865211*G0_1_1_7_7 - 0.00248233908948229*G0_1_1_7_8 + 0.00172541743970344*G0_1_1_7_9 + 0.00118145743145766*G0_1_1_8_0 + 0.000122655122655108*G0_1_1_8_1 + 0.000170444634730375*G0_1_1_8_2 + 0.00240366776081099*G0_1_1_8_3 - 0.000421542742971375*G0_1_1_8_4 + 0.000893927501070521*G0_1_1_8_5 - 0.000518945340373998*G0_1_1_8_6 - 0.00248233908948229*G0_1_1_8_7 + 0.0116897388325979*G0_1_1_8_8 - 0.00249072356215256*G0_1_1_8_9 - 0.000800033300033443*G0_1_1_9_0 + 0.00111126968269844*G0_1_1_9_1 - 0.000490818705104501*G0_1_1_9_2 + 0.00063044098758394*G0_1_1_9_3 + 0.00372912801484293*G0_1_1_9_4 + 0.000612244897959285*G0_1_1_9_5 + 0.00216640502354823*G0_1_1_9_6 + 0.00172541743970344*G0_1_1_9_7 - 0.00249072356215256*G0_1_1_9_8 - 0.0196132438989615*G0_1_1_9_9;
    A[4] = A[60] + 0.000284596356024978*G0_0_1_0_3 - 0.000284596356024974*G0_0_1_0_4 + 0.00104090354090373*G0_0_1_0_5 - 0.000616605616605722*G0_0_1_0_6 - 0.0010409035409037*G0_0_1_0_7 + 0.000616605616605714*G0_0_1_0_8 - 0.00967520134186971*G0_0_1_1_1 + 0.000928595214309638*G0_0_1_1_3 - 0.000606595785167312*G0_0_1_1_4 - 0.000185528756957357*G0_0_1_1_5 + 0.000383703597989352*G0_0_1_1_8 + 0.00160208838780294*G0_0_1_1_9 + 0.00967520134186971*G0_0_1_2_2 + 0.000606595785167307*G0_0_1_2_3 - 0.000928595214309652*G0_0_1_2_4 - 0.000383703597989346*G0_0_1_2_6 + 0.000185528756957362*G0_0_1_2_7 - 0.00160208838780294*G0_0_1_2_9 + 0.000284596356024978*G0_0_1_3_0 + 0.000928595214309639*G0_0_1_3_1 + 0.000606595785167308*G0_0_1_3_2 + 0.0354342086485004*G0_0_1_3_3 - 0.000148601398601411*G0_0_1_3_5 - 0.000853789068074924*G0_0_1_3_7 + 0.000928357356928937*G0_0_1_3_8 - 0.00309868702725897*G0_0_1_3_9 - 0.000284596356024975*G0_0_1_4_0 - 0.000606595785167312*G0_0_1_4_1 - 0.000928595214309652*G0_0_1_4_2 - 0.0354342086485003*G0_0_1_4_4 + 0.000853789068074903*G0_0_1_4_5 - 0.000928357356928914*G0_0_1_4_6 + 0.000148601398601413*G0_0_1_4_7 + 0.00309868702725903*G0_0_1_4_9 + 0.00104090354090373*G0_0_1_5_0 - 0.000185528756957357*G0_0_1_5_1 - 0.000148601398601411*G0_0_1_5_3 + 0.000853789068074903*G0_0_1_5_4 + 0.00304195804195859*G0_0_1_5_5 + 0.00113350934779522*G0_0_1_5_6 + 0.000556586270872077*G0_0_1_5_8 - 0.00111317254174418*G0_0_1_5_9 - 0.000616605616605722*G0_0_1_6_0 - 0.000383703597989346*G0_0_1_6_2 - 0.000928357356928913*G0_0_1_6_4 + 0.00113350934779522*G0_0_1_6_5 - 0.00807371200228474*G0_0_1_6_6 - 0.00055658627087209*G0_0_1_6_7 + 0.00465712858570082*G0_0_1_6_9 - 0.0010409035409037*G0_0_1_7_0 + 0.000185528756957362*G0_0_1_7_2 - 0.000853789068074924*G0_0_1_7_3 + 0.000148601398601413*G0_0_1_7_4 - 0.000556586270872089*G0_0_1_7_6 - 0.00304195804195851*G0_0_1_7_7 - 0.00113350934779527*G0_0_1_7_8 + 0.00111317254174415*G0_0_1_7_9 + 0.000616605616605715*G0_0_1_8_0 + 0.000383703597989353*G0_0_1_8_1 + 0.000928357356928937*G0_0_1_8_3 + 0.000556586270872077*G0_0_1_8_5 - 0.00113350934779527*G0_0_1_8_7 + 0.00807371200228484*G0_0_1_8_8 - 0.00465712858570079*G0_0_1_8_9 + 0.00160208838780294*G0_0_1_9_1 - 0.00160208838780294*G0_0_1_9_2 - 0.00309868702725897*G0_0_1_9_3 + 0.00309868702725903*G0_0_1_9_4 - 0.00111317254174418*G0_0_1_9_5 + 0.00465712858570082*G0_0_1_9_6 + 0.00111317254174415*G0_0_1_9_7 - 0.00465712858570079*G0_0_1_9_8 - 0.000284596356024978*G0_1_0_0_3 + 0.000284596356024974*G0_1_0_0_4 - 0.00104090354090373*G0_1_0_0_5 + 0.000616605616605722*G0_1_0_0_6 + 0.0010409035409037*G0_1_0_0_7 - 0.000616605616605714*G0_1_0_0_8 + 0.00967520134186971*G0_1_0_1_1 - 0.000928595214309639*G0_1_0_1_3 + 0.000606595785167312*G0_1_0_1_4 + 0.000185528756957356*G0_1_0_1_5 - 0.000383703597989352*G0_1_0_1_8 - 0.00160208838780294*G0_1_0_1_9 - 0.00967520134186971*G0_1_0_2_2 - 0.000606595785167307*G0_1_0_2_3 + 0.000928595214309652*G0_1_0_2_4 + 0.000383703597989346*G0_1_0_2_6 - 0.000185528756957362*G0_1_0_2_7 + 0.00160208838780294*G0_1_0_2_9 - 0.000284596356024978*G0_1_0_3_0 - 0.000928595214309639*G0_1_0_3_1 - 0.000606595785167308*G0_1_0_3_2 - 0.0354342086485004*G0_1_0_3_3 + 0.000148601398601411*G0_1_0_3_5 + 0.000853789068074924*G0_1_0_3_7 - 0.000928357356928938*G0_1_0_3_8 + 0.00309868702725897*G0_1_0_3_9 + 0.000284596356024975*G0_1_0_4_0 + 0.000606595785167312*G0_1_0_4_1 + 0.000928595214309652*G0_1_0_4_2 + 0.0354342086485003*G0_1_0_4_4 - 0.000853789068074903*G0_1_0_4_5 + 0.000928357356928914*G0_1_0_4_6 - 0.000148601398601413*G0_1_0_4_7 - 0.00309868702725903*G0_1_0_4_9 - 0.00104090354090373*G0_1_0_5_0 + 0.000185528756957357*G0_1_0_5_1 + 0.000148601398601411*G0_1_0_5_3 - 0.000853789068074903*G0_1_0_5_4 - 0.00304195804195859*G0_1_0_5_5 - 0.00113350934779522*G0_1_0_5_6 - 0.000556586270872077*G0_1_0_5_8 + 0.00111317254174418*G0_1_0_5_9 + 0.000616605616605722*G0_1_0_6_0 + 0.000383703597989346*G0_1_0_6_2 + 0.000928357356928913*G0_1_0_6_4 - 0.00113350934779522*G0_1_0_6_5 + 0.00807371200228474*G0_1_0_6_6 + 0.000556586270872089*G0_1_0_6_7 - 0.00465712858570082*G0_1_0_6_9 + 0.0010409035409037*G0_1_0_7_0 - 0.000185528756957362*G0_1_0_7_2 + 0.000853789068074924*G0_1_0_7_3 - 0.000148601398601413*G0_1_0_7_4 + 0.00055658627087209*G0_1_0_7_6 + 0.00304195804195851*G0_1_0_7_7 + 0.00113350934779527*G0_1_0_7_8 - 0.00111317254174415*G0_1_0_7_9 - 0.000616605616605715*G0_1_0_8_0 - 0.000383703597989353*G0_1_0_8_1 - 0.000928357356928937*G0_1_0_8_3 - 0.000556586270872077*G0_1_0_8_5 + 0.00113350934779527*G0_1_0_8_7 - 0.00807371200228484*G0_1_0_8_8 + 0.00465712858570079*G0_1_0_8_9 - 0.00160208838780294*G0_1_0_9_1 + 0.00160208838780294*G0_1_0_9_2 + 0.00309868702725897*G0_1_0_9_3 - 0.00309868702725902*G0_1_0_9_4 + 0.00111317254174418*G0_1_0_9_5 - 0.00465712858570082*G0_1_0_9_6 - 0.00111317254174415*G0_1_0_9_7 + 0.00465712858570079*G0_1_0_9_8;
    A[187] = A[117] - 0.0379472379472442*G0_0_1_0_0 - 0.00208236208236244*G0_0_1_0_1 - 0.000473600473600535*G0_0_1_0_2 - 0.00151848151848175*G0_0_1_0_3 + 0.0185148185148218*G0_0_1_0_5 + 0.00237096237096268*G0_0_1_0_6 - 0.0267732267732313*G0_0_1_0_7 + 0.0114285714285733*G0_0_1_0_8 + 0.0115084915084934*G0_0_1_0_9 - 0.00208236208236244*G0_0_1_1_0 - 0.000779749351178105*G0_0_1_1_1 + 0.000544006258292058*G0_0_1_1_2 + 0.00207601921887669*G0_0_1_1_3 - 0.0032729175586324*G0_0_1_1_4 + 0.017639503353792*G0_0_1_1_5 - 0.0100585129156575*G0_0_1_1_6 - 0.00205508776937382*G0_0_1_1_7 + 0.00152419009561888*G0_0_1_1_8 - 0.00461253032681684*G0_0_1_1_9 - 0.000473600473600535*G0_0_1_2_0 + 0.000544006258292058*G0_0_1_2_1 - 0.014563214563217*G0_0_1_2_2 + 0.00122163550735001*G0_0_1_2_3 - 0.00839160839160984*G0_0_1_2_4 + 0.0235992578849762*G0_0_1_2_5 + 0.0037562437562444*G0_0_1_2_6 - 0.0028599971457119*G0_0_1_2_7 - 0.00419009561866775*G0_0_1_2_8 + 0.00666761809619067*G0_0_1_2_9 - 0.00151848151848175*G0_0_1_3_0 + 0.00207601921887669*G0_0_1_3_1 + 0.00122163550735002*G0_0_1_3_2 - 0.0173312401883862*G0_0_1_3_3 + 0.011183102611676*G0_0_1_3_4 - 0.0207906379334985*G0_0_1_3_5 + 0.0233937491080388*G0_0_1_3_6 - 0.00222634508348827*G0_0_1_3_7 - 0.0035621521335813*G0_0_1_3_8 + 0.0182902811474271*G0_0_1_3_9 - 0.00327291755863239*G0_0_1_4_1 - 0.00839160839160983*G0_0_1_4_2 + 0.011183102611676*G0_0_1_4_3 - 0.049082346225212*G0_0_1_4_4 - 0.00666190951905347*G0_0_1_4_5 - 0.0167318395889854*G0_0_1_4_6 + 0.00774083059797477*G0_0_1_4_7 + 0.00578849721706962*G0_0_1_4_8 - 0.00667903525046509*G0_0_1_4_9 + 0.0185148185148218*G0_0_1_5_0 + 0.017639503353792*G0_0_1_5_1 + 0.0235992578849762*G0_0_1_5_2 - 0.0207906379334985*G0_0_1_5_3 - 0.00666190951905348*G0_0_1_5_4 + 0.670369630369743*G0_0_1_5_5 - 0.129470529470551*G0_0_1_5_6 + 0.0579020979021076*G0_0_1_5_7 - 0.0597002997003098*G0_0_1_5_8 + 0.0848751248751395*G0_0_1_5_9 + 0.00237096237096268*G0_0_1_6_0 - 0.0100585129156575*G0_0_1_6_1 + 0.0037562437562444*G0_0_1_6_2 + 0.0233937491080388*G0_0_1_6_3 - 0.0167318395889854*G0_0_1_6_4 - 0.129470529470551*G0_0_1_6_5 - 0.0723390894819592*G0_0_1_6_6 + 0.00179820179820209*G0_0_1_6_7 + 0.0247638076209547*G0_0_1_6_8 - 0.0667903525046497*G0_0_1_6_9 - 0.0267732267732313*G0_0_1_7_0 - 0.00205508776937383*G0_0_1_7_1 - 0.0028599971457119*G0_0_1_7_2 - 0.00222634508348827*G0_0_1_7_3 + 0.00774083059797477*G0_0_1_7_4 + 0.0579020979021076*G0_0_1_7_5 + 0.00179820179820209*G0_0_1_7_6 - 0.107652347652366*G0_0_1_7_7 + 0.0135464535464559*G0_0_1_7_8 - 0.0381218781218846*G0_0_1_7_9 + 0.0114285714285733*G0_0_1_8_0 + 0.00152419009561888*G0_0_1_8_1 - 0.00419009561866775*G0_0_1_8_2 - 0.0035621521335813*G0_0_1_8_3 + 0.00578849721706962*G0_0_1_8_4 - 0.0597002997003098*G0_0_1_8_5 + 0.0247638076209547*G0_0_1_8_6 + 0.0135464535464559*G0_0_1_8_7 - 0.00952190666476539*G0_0_1_8_8 + 0.00226059654631124*G0_0_1_8_9 + 0.0115084915084934*G0_0_1_9_0 - 0.00461253032681684*G0_0_1_9_1 + 0.00666761809619067*G0_0_1_9_2 + 0.0182902811474271*G0_0_1_9_3 - 0.00667903525046508*G0_0_1_9_4 + 0.0848751248751395*G0_0_1_9_5 - 0.0667903525046497*G0_0_1_9_6 - 0.0381218781218846*G0_0_1_9_7 + 0.00226059654631126*G0_0_1_9_8 - 0.231813900385367*G0_0_1_9_9 + 0.0379472379472442*G0_1_0_0_0 + 0.00208236208236244*G0_1_0_0_1 + 0.000473600473600535*G0_1_0_0_2 + 0.00151848151848174*G0_1_0_0_3 - 0.0185148185148218*G0_1_0_0_5 - 0.00237096237096268*G0_1_0_0_6 + 0.0267732267732313*G0_1_0_0_7 - 0.0114285714285733*G0_1_0_0_8 - 0.0115084915084934*G0_1_0_0_9 + 0.00208236208236244*G0_1_0_1_0 + 0.000779749351178104*G0_1_0_1_1 - 0.000544006258292058*G0_1_0_1_2 - 0.00207601921887669*G0_1_0_1_3 + 0.0032729175586324*G0_1_0_1_4 - 0.017639503353792*G0_1_0_1_5 + 0.0100585129156575*G0_1_0_1_6 + 0.00205508776937383*G0_1_0_1_7 - 0.00152419009561888*G0_1_0_1_8 + 0.00461253032681684*G0_1_0_1_9 + 0.000473600473600535*G0_1_0_2_0 - 0.000544006258292058*G0_1_0_2_1 + 0.014563214563217*G0_1_0_2_2 - 0.00122163550735002*G0_1_0_2_3 + 0.00839160839160984*G0_1_0_2_4 - 0.0235992578849762*G0_1_0_2_5 - 0.0037562437562444*G0_1_0_2_6 + 0.0028599971457119*G0_1_0_2_7 + 0.00419009561866775*G0_1_0_2_8 - 0.00666761809619067*G0_1_0_2_9 + 0.00151848151848174*G0_1_0_3_0 - 0.00207601921887669*G0_1_0_3_1 - 0.00122163550735002*G0_1_0_3_2 + 0.0173312401883862*G0_1_0_3_3 - 0.011183102611676*G0_1_0_3_4 + 0.0207906379334985*G0_1_0_3_5 - 0.0233937491080388*G0_1_0_3_6 + 0.00222634508348827*G0_1_0_3_7 + 0.0035621521335813*G0_1_0_3_8 - 0.0182902811474271*G0_1_0_3_9 + 0.0032729175586324*G0_1_0_4_1 + 0.00839160839160983*G0_1_0_4_2 - 0.011183102611676*G0_1_0_4_3 + 0.049082346225212*G0_1_0_4_4 + 0.00666190951905347*G0_1_0_4_5 + 0.0167318395889854*G0_1_0_4_6 - 0.00774083059797477*G0_1_0_4_7 - 0.00578849721706962*G0_1_0_4_8 + 0.00667903525046507*G0_1_0_4_9 - 0.0185148185148218*G0_1_0_5_0 - 0.017639503353792*G0_1_0_5_1 - 0.0235992578849762*G0_1_0_5_2 + 0.0207906379334985*G0_1_0_5_3 + 0.00666190951905347*G0_1_0_5_4 - 0.670369630369743*G0_1_0_5_5 + 0.129470529470551*G0_1_0_5_6 - 0.0579020979021076*G0_1_0_5_7 + 0.0597002997003098*G0_1_0_5_8 - 0.0848751248751395*G0_1_0_5_9 - 0.00237096237096268*G0_1_0_6_0 + 0.0100585129156575*G0_1_0_6_1 - 0.0037562437562444*G0_1_0_6_2 - 0.0233937491080388*G0_1_0_6_3 + 0.0167318395889854*G0_1_0_6_4 + 0.129470529470551*G0_1_0_6_5 + 0.0723390894819592*G0_1_0_6_6 - 0.00179820179820209*G0_1_0_6_7 - 0.0247638076209547*G0_1_0_6_8 + 0.0667903525046497*G0_1_0_6_9 + 0.0267732267732313*G0_1_0_7_0 + 0.00205508776937383*G0_1_0_7_1 + 0.0028599971457119*G0_1_0_7_2 + 0.00222634508348827*G0_1_0_7_3 - 0.00774083059797477*G0_1_0_7_4 - 0.0579020979021076*G0_1_0_7_5 - 0.00179820179820209*G0_1_0_7_6 + 0.107652347652366*G0_1_0_7_7 - 0.0135464535464559*G0_1_0_7_8 + 0.0381218781218846*G0_1_0_7_9 - 0.0114285714285733*G0_1_0_8_0 - 0.00152419009561888*G0_1_0_8_1 + 0.00419009561866775*G0_1_0_8_2 + 0.0035621521335813*G0_1_0_8_3 - 0.00578849721706962*G0_1_0_8_4 + 0.0597002997003098*G0_1_0_8_5 - 0.0247638076209547*G0_1_0_8_6 - 0.0135464535464559*G0_1_0_8_7 + 0.00952190666476539*G0_1_0_8_8 - 0.00226059654631126*G0_1_0_8_9 - 0.0115084915084934*G0_1_0_9_0 + 0.00461253032681684*G0_1_0_9_1 - 0.00666761809619067*G0_1_0_9_2 - 0.0182902811474271*G0_1_0_9_3 + 0.00667903525046505*G0_1_0_9_4 - 0.0848751248751395*G0_1_0_9_5 + 0.0667903525046497*G0_1_0_9_6 + 0.0381218781218846*G0_1_0_9_7 - 0.00226059654631126*G0_1_0_9_8 + 0.231813900385367*G0_1_0_9_9;
    A[15] = A[1] + 0.0108191962358648*G0_0_1_0_0 + 0.00052394860430584*G0_0_1_0_1 + 0.000620316081625712*G0_0_1_0_2 + 0.000227512236440846*G0_0_1_0_3 - 0.000174902808831411*G0_0_1_0_4 + 0.00659231971732086*G0_0_1_0_5 - 0.00269179894179941*G0_0_1_0_6 + 0.00189433251933284*G0_0_1_0_7 - 0.0011546324046326*G0_0_1_0_8 + 0.000290959040959096*G0_0_1_0_9 + 0.00052394860430584*G0_0_1_1_0 + 0.0108191962358648*G0_0_1_1_1 + 0.000620316081625709*G0_0_1_1_2 + 0.00659231971732083*G0_0_1_1_3 - 0.00269179894179939*G0_0_1_1_4 + 0.000227512236440843*G0_0_1_1_5 - 0.000174902808831409*G0_0_1_1_6 - 0.00115463240463261*G0_0_1_1_7 + 0.00189433251933286*G0_0_1_1_8 + 0.000290959040959094*G0_0_1_1_9 + 0.000620316081625712*G0_0_1_2_0 + 0.000620316081625709*G0_0_1_2_1 - 0.000626774019631279*G0_0_1_2_2 + 0.00087321408749995*G0_0_1_2_3 - 0.000135291296005608*G0_0_1_2_4 + 0.000873214087499953*G0_0_1_2_5 - 0.000135291296005609*G0_0_1_2_6 + 0.000436963829821046*G0_0_1_2_9 + 0.000227512236440846*G0_0_1_3_0 + 0.00659231971732083*G0_0_1_3_1 + 0.00087321408749995*G0_0_1_3_2 + 0.0107513320013338*G0_0_1_3_3 - 0.00481814316635826*G0_0_1_3_4 - 0.000427816231387733*G0_0_1_3_5 - 0.00119197766519216*G0_0_1_3_7 + 0.00170891608391638*G0_0_1_3_8 + 0.00151107820750704*G0_0_1_3_9 - 0.000174902808831411*G0_0_1_4_0 - 0.0026917989417994*G0_0_1_4_1 - 0.000135291296005608*G0_0_1_4_2 - 0.00481814316635826*G0_0_1_4_3 + 0.00261839351125108*G0_0_1_4_4 + 0.000513325959754621*G0_0_1_4_7 - 0.000516938418724224*G0_0_1_4_8 - 0.00134142643071238*G0_0_1_4_9 + 0.00659231971732086*G0_0_1_5_0 + 0.000227512236440843*G0_0_1_5_1 + 0.000873214087499953*G0_0_1_5_2 - 0.000427816231387733*G0_0_1_5_3 + 0.0107513320013338*G0_0_1_5_5 - 0.00481814316635827*G0_0_1_5_6 + 0.00170891608391637*G0_0_1_5_7 - 0.00119197766519215*G0_0_1_5_8 + 0.00151107820750704*G0_0_1_5_9 - 0.00269179894179941*G0_0_1_6_0 - 0.000174902808831409*G0_0_1_6_1 - 0.000135291296005609*G0_0_1_6_2 - 0.00481814316635827*G0_0_1_6_5 + 0.00261839351125109*G0_0_1_6_6 - 0.000516938418724218*G0_0_1_6_7 + 0.000513325959754618*G0_0_1_6_8 - 0.00134142643071238*G0_0_1_6_9 + 0.00189433251933284*G0_0_1_7_0 - 0.00115463240463261*G0_0_1_7_1 - 0.00119197766519216*G0_0_1_7_3 + 0.000513325959754621*G0_0_1_7_4 + 0.00170891608391637*G0_0_1_7_5 - 0.000516938418724218*G0_0_1_7_6 - 0.00248709623709666*G0_0_1_7_7 + 0.000727858451072848*G0_0_1_7_8 + 0.000160999714571166*G0_0_1_7_9 - 0.0011546324046326*G0_0_1_8_0 + 0.00189433251933286*G0_0_1_8_1 + 0.00170891608391638*G0_0_1_8_3 - 0.000516938418724224*G0_0_1_8_4 - 0.00119197766519215*G0_0_1_8_5 + 0.000513325959754618*G0_0_1_8_6 + 0.000727858451072848*G0_0_1_8_7 - 0.00248709623709663*G0_0_1_8_8 + 0.000160999714571174*G0_0_1_8_9 + 0.000290959040959096*G0_0_1_9_0 + 0.000290959040959094*G0_0_1_9_1 + 0.000436963829821046*G0_0_1_9_2 + 0.00151107820750704*G0_0_1_9_3 - 0.00134142643071238*G0_0_1_9_4 + 0.00151107820750704*G0_0_1_9_5 - 0.00134142643071238*G0_0_1_9_6 + 0.000160999714571166*G0_0_1_9_7 + 0.000160999714571174*G0_0_1_9_8 + 0.00183352361923822*G0_0_1_9_9 - 0.0108191962358648*G0_1_0_0_0 - 0.00052394860430584*G0_1_0_0_1 - 0.000620316081625712*G0_1_0_0_2 - 0.000227512236440846*G0_1_0_0_3 + 0.000174902808831411*G0_1_0_0_4 - 0.00659231971732086*G0_1_0_0_5 + 0.00269179894179941*G0_1_0_0_6 - 0.00189433251933284*G0_1_0_0_7 + 0.0011546324046326*G0_1_0_0_8 - 0.000290959040959096*G0_1_0_0_9 - 0.00052394860430584*G0_1_0_1_0 - 0.0108191962358648*G0_1_0_1_1 - 0.000620316081625709*G0_1_0_1_2 - 0.00659231971732083*G0_1_0_1_3 + 0.00269179894179939*G0_1_0_1_4 - 0.000227512236440843*G0_1_0_1_5 + 0.000174902808831409*G0_1_0_1_6 + 0.00115463240463261*G0_1_0_1_7 - 0.00189433251933286*G0_1_0_1_8 - 0.000290959040959094*G0_1_0_1_9 - 0.000620316081625712*G0_1_0_2_0 - 0.000620316081625709*G0_1_0_2_1 + 0.000626774019631279*G0_1_0_2_2 - 0.00087321408749995*G0_1_0_2_3 + 0.000135291296005608*G0_1_0_2_4 - 0.000873214087499953*G0_1_0_2_5 + 0.00013529129600561*G0_1_0_2_6 - 0.000436963829821046*G0_1_0_2_9 - 0.000227512236440846*G0_1_0_3_0 - 0.00659231971732083*G0_1_0_3_1 - 0.000873214087499949*G0_1_0_3_2 - 0.0107513320013338*G0_1_0_3_3 + 0.00481814316635826*G0_1_0_3_4 + 0.000427816231387733*G0_1_0_3_5 + 0.00119197766519216*G0_1_0_3_7 - 0.00170891608391638*G0_1_0_3_8 - 0.00151107820750704*G0_1_0_3_9 + 0.000174902808831411*G0_1_0_4_0 + 0.00269179894179939*G0_1_0_4_1 + 0.000135291296005608*G0_1_0_4_2 + 0.00481814316635826*G0_1_0_4_3 - 0.00261839351125108*G0_1_0_4_4 - 0.00051332595975462*G0_1_0_4_7 + 0.000516938418724224*G0_1_0_4_8 + 0.00134142643071238*G0_1_0_4_9 - 0.00659231971732086*G0_1_0_5_0 - 0.000227512236440843*G0_1_0_5_1 - 0.000873214087499953*G0_1_0_5_2 + 0.000427816231387733*G0_1_0_5_3 - 0.0107513320013338*G0_1_0_5_5 + 0.00481814316635827*G0_1_0_5_6 - 0.00170891608391637*G0_1_0_5_7 + 0.00119197766519215*G0_1_0_5_8 - 0.00151107820750704*G0_1_0_5_9 + 0.00269179894179941*G0_1_0_6_0 + 0.000174902808831409*G0_1_0_6_1 + 0.00013529129600561*G0_1_0_6_2 + 0.00481814316635827*G0_1_0_6_5 - 0.00261839351125109*G0_1_0_6_6 + 0.000516938418724218*G0_1_0_6_7 - 0.000513325959754618*G0_1_0_6_8 + 0.00134142643071238*G0_1_0_6_9 - 0.00189433251933284*G0_1_0_7_0 + 0.00115463240463261*G0_1_0_7_1 + 0.00119197766519216*G0_1_0_7_3 - 0.00051332595975462*G0_1_0_7_4 - 0.00170891608391637*G0_1_0_7_5 + 0.000516938418724218*G0_1_0_7_6 + 0.00248709623709666*G0_1_0_7_7 - 0.000727858451072849*G0_1_0_7_8 - 0.000160999714571166*G0_1_0_7_9 + 0.0011546324046326*G0_1_0_8_0 - 0.00189433251933286*G0_1_0_8_1 - 0.00170891608391638*G0_1_0_8_3 + 0.000516938418724224*G0_1_0_8_4 + 0.00119197766519215*G0_1_0_8_5 - 0.000513325959754618*G0_1_0_8_6 - 0.000727858451072849*G0_1_0_8_7 + 0.00248709623709663*G0_1_0_8_8 - 0.000160999714571174*G0_1_0_8_9 - 0.000290959040959096*G0_1_0_9_0 - 0.000290959040959094*G0_1_0_9_1 - 0.000436963829821046*G0_1_0_9_2 - 0.00151107820750704*G0_1_0_9_3 + 0.00134142643071238*G0_1_0_9_4 - 0.00151107820750704*G0_1_0_9_5 + 0.00134142643071238*G0_1_0_9_6 - 0.000160999714571166*G0_1_0_9_7 - 0.000160999714571174*G0_1_0_9_8 - 0.00183352361923822*G0_1_0_9_9;
    A[37] = -0.000546983880317323*G0_1_0_0_0 + 0.000270961401913831*G0_1_0_0_1 + 0.00480046188379603*G0_1_0_0_2 - 0.00165729112157712*G0_1_0_0_3 + 0.00393675768675837*G0_1_0_0_4 - 0.00153616225044823*G0_1_0_0_5 + 0.000815712065712192*G0_1_0_0_6 - 0.000921657707372161*G0_1_0_0_7 + 0.000340235161663799*G0_1_0_0_8 + 0.00040304933162083*G0_1_0_0_9 + 0.000270961401913831*G0_1_0_1_0 + 0.000965859537288304*G0_1_0_1_1 + 0.0071167875334554*G0_1_0_1_2 - 0.0039672232529382*G0_1_0_1_3 + 0.00970904095904261*G0_1_0_1_4 - 0.00113685917257365*G0_1_0_1_5 + 0.00348720723720783*G0_1_0_1_6 - 0.000204616811759713*G0_1_0_1_7 - 0.000334784263355727*G0_1_0_1_8 + 0.00247906855049755*G0_1_0_1_9 + 0.00480046188379603*G0_1_0_2_0 + 0.00711678753345541*G0_1_0_2_1 + 0.139942464942488*G0_1_0_2_2 - 0.0327852702852757*G0_1_0_2_3 + 0.0754273504273631*G0_1_0_2_4 - 0.0208860583860618*G0_1_0_2_5 + 0.0372433122433184*G0_1_0_2_6 - 0.00115398490398509*G0_1_0_2_7 - 0.000651154401154497*G0_1_0_2_8 + 0.00532800532800619*G0_1_0_2_9 - 0.00165729112157712*G0_1_0_3_0 - 0.0039672232529382*G0_1_0_3_1 - 0.0327852702852757*G0_1_0_3_2 + 0.0172752247752277*G0_1_0_3_3 - 0.0454857642357719*G0_1_0_3_4 + 0.00624375624375728*G0_1_0_3_5 - 0.0145666833166858*G0_1_0_3_6 + 0.00086681175966904*G0_1_0_3_7 + 0.00128478664192973*G0_1_0_3_8 - 0.00917082917083071*G0_1_0_3_9 + 0.00393675768675837*G0_1_0_4_0 + 0.00970904095904261*G0_1_0_4_1 + 0.0754273504273631*G0_1_0_4_2 - 0.0454857642357719*G0_1_0_4_3 + 0.110864135864155*G0_1_0_4_4 - 0.0159153346653373*G0_1_0_4_5 + 0.0304820179820231*G0_1_0_4_6 - 0.00212162837162872*G0_1_0_4_7 - 0.00215159840159876*G0_1_0_4_8 + 0.015846653346656*G0_1_0_4_9 - 0.00153616225044823*G0_1_0_5_0 - 0.00113685917257365*G0_1_0_5_1 - 0.0208860583860618*G0_1_0_5_2 + 0.00624375624375728*G0_1_0_5_3 - 0.0159153346653373*G0_1_0_5_4 + 0.00972277722277885*G0_1_0_5_5 - 0.000980269730269788*G0_1_0_5_6 + 0.00133759098044835*G0_1_0_5_7 - 0.000694484087341352*G0_1_0_5_8 + 0.000179820179820223*G0_1_0_5_9 + 0.000815712065712192*G0_1_0_6_0 + 0.00348720723720783*G0_1_0_6_1 + 0.0372433122433184*G0_1_0_6_2 - 0.0145666833166858*G0_1_0_6_3 + 0.0304820179820231*G0_1_0_6_4 - 0.000980269730269788*G0_1_0_6_5 + 0.0110639360639378*G0_1_0_6_6 - 0.000643106893106993*G0_1_0_6_7 - 0.00220154845154883*G0_1_0_6_8 + 0.0131493506493529*G0_1_0_6_9 - 0.000921657707372161*G0_1_0_7_0 - 0.000204616811759713*G0_1_0_7_1 - 0.00115398490398509*G0_1_0_7_2 + 0.00086681175966904*G0_1_0_7_3 - 0.00212162837162872*G0_1_0_7_4 + 0.00133759098044835*G0_1_0_7_5 - 0.000643106893106993*G0_1_0_7_6 - 0.0027426145283293*G0_1_0_7_7 + 8.04552590266921e-05*G0_1_0_7_8 + 7.70657913515118e-05*G0_1_0_7_9 + 0.000340235161663799*G0_1_0_8_0 - 0.000334784263355727*G0_1_0_8_1 - 0.000651154401154497*G0_1_0_8_2 + 0.00128478664192973*G0_1_0_8_3 - 0.00215159840159876*G0_1_0_8_4 - 0.000694484087341352*G0_1_0_8_5 - 0.00220154845154883*G0_1_0_8_6 + 8.0455259026692e-05*G0_1_0_8_7 - 0.000387826459255041*G0_1_0_8_8 - 0.0031340088482951*G0_1_0_8_9 + 0.00040304933162083*G0_1_0_9_0 + 0.00247906855049755*G0_1_0_9_1 + 0.00532800532800619*G0_1_0_9_2 - 0.00917082917083071*G0_1_0_9_3 + 0.015846653346656*G0_1_0_9_4 + 0.000179820179820223*G0_1_0_9_5 + 0.0131493506493529*G0_1_0_9_6 + 7.70657913515117e-05*G0_1_0_9_7 - 0.0031340088482951*G0_1_0_9_8 + 0.0220279720279758*G0_1_0_9_9 + 0.016843588510258*G0_1_1_0_0 + 0.00134550634550658*G0_1_1_0_1 + 0.0038430088430095*G0_1_1_0_2 - 0.00122552051123502*G0_1_1_0_3 + 0.00276037454608932*G0_1_1_0_4 + 0.00496566925138437*G0_1_1_0_5 - 0.00325057878629363*G0_1_1_0_6 + 0.0123289805432683*G0_1_1_0_7 - 0.00560861757290423*G0_1_1_0_8 + 0.000501998001998106*G0_1_1_0_9 + 0.00134550634550658*G0_1_1_1_0 + 0.00082467796753528*G0_1_1_1_1 + 0.00630628630628737*G0_1_1_1_2 - 0.00342597878312221*G0_1_1_1_3 + 0.0080091337234208*G0_1_1_1_4 + 0.00100831707974582*G0_1_1_1_5 + 0.000902232687947126*G0_1_1_1_6 + 0.00255062397919583*G0_1_1_1_7 - 0.00200398807541696*G0_1_1_1_8 + 0.00253032681604153*G0_1_1_1_9 + 0.0038430088430095*G0_1_1_2_0 + 0.00630628630628737*G0_1_1_2_1 + 0.125027133360488*G0_1_1_2_2 - 0.0287769175269223*G0_1_1_2_3 + 0.0661602286602398*G0_1_1_2_4 - 0.0123794261294282*G0_1_1_2_5 + 0.0233294483294521*G0_1_1_2_6 + 0.0010275835275837*G0_1_1_2_7 - 0.000957930957931108*G0_1_1_2_8 + 0.00467615717615794*G0_1_1_2_9 - 0.00122552051123502*G0_1_1_3_0 - 0.00342597878312221*G0_1_1_3_1 - 0.0287769175269223*G0_1_1_3_2 + 0.0135478806907401*G0_1_1_3_3 - 0.0379545454545519*G0_1_1_3_4 + 0.00225292564578317*G0_1_1_3_5 - 0.00656093906094016*G0_1_1_3_6 - 0.000177679463393792*G0_1_1_3_7 + 0.00115812758669921*G0_1_1_3_8 - 0.00723562152133703*G0_1_1_3_9 + 0.00276037454608932*G0_1_1_4_0 + 0.0080091337234208*G0_1_1_4_1 + 0.0661602286602398*G0_1_1_4_2 - 0.0379545454545519*G0_1_1_4_3 + 0.0972252747252913*G0_1_1_4_4 - 0.0121353646353667*G0_1_1_4_5 + 0.0186963036963068*G0_1_1_4_6 - 0.00375481661196009*G0_1_1_4_7 - 0.000980448123305432*G0_1_1_4_8 + 0.0102422577422595*G0_1_1_4_9 + 0.00496566925138437*G0_1_1_5_0 + 0.00100831707974582*G0_1_1_5_1 - 0.0123794261294282*G0_1_1_5_2 + 0.00225292564578317*G0_1_1_5_3 - 0.0121353646353667*G0_1_1_5_4 + 0.027726202369064*G0_1_1_5_5 - 0.00227272727272756*G0_1_1_5_6 + 0.0138161838161861*G0_1_1_5_7 - 0.00687919223633623*G0_1_1_5_8 + 0.0122523904666782*G0_1_1_5_9 - 0.00325057878629363*G0_1_1_6_0 + 0.000902232687947125*G0_1_1_6_1 + 0.0233294483294521*G0_1_1_6_2 - 0.00656093906094016*G0_1_1_6_3 + 0.0186963036963068*G0_1_1_6_4 - 0.00227272727272756*G0_1_1_6_5 - 0.0187337662337695*G0_1_1_6_6 - 0.00693699157984988*G0_1_1_6_7 + 0.00201066790352537*G0_1_1_6_8 - 0.000906593406593513*G0_1_1_6_9 + 0.0123289805432683*G0_1_1_7_0 + 0.00255062397919583*G0_1_1_7_1 + 0.0010275835275837*G0_1_1_7_2 - 0.000177679463393792*G0_1_1_7_3 - 0.00375481661196009*G0_1_1_7_4 + 0.0138161838161861*G0_1_1_7_5 - 0.00693699157984988*G0_1_1_7_6 + 0.0506953760525274*G0_1_1_7_7 - 0.0102722277722295*G0_1_1_7_8 + 0.0123679891537055*G0_1_1_7_9 - 0.00560861757290423*G0_1_1_8_0 - 0.00200398807541696*G0_1_1_8_1 - 0.000957930957931108*G0_1_1_8_2 + 0.00115812758669921*G0_1_1_8_3 - 0.000980448123305432*G0_1_1_8_4 - 0.00687919223633623*G0_1_1_8_5 + 0.00201066790352537*G0_1_1_8_6 - 0.0102722277722295*G0_1_1_8_7 + 0.00786499215070781*G0_1_1_8_8 - 0.00563008420151373*G0_1_1_8_9 + 0.000501998001998106*G0_1_1_9_0 + 0.00253032681604153*G0_1_1_9_1 + 0.00467615717615794*G0_1_1_9_2 - 0.00723562152133703*G0_1_1_9_3 + 0.0102422577422595*G0_1_1_9_4 + 0.0122523904666782*G0_1_1_9_5 - 0.000906593406593512*G0_1_1_9_6 + 0.0123679891537055*G0_1_1_9_7 - 0.00563008420151373*G0_1_1_9_8 + 0.0352704438418783*G0_1_1_9_9;
    A[160] = 0.1870921670922*G0_0_0_0_0 + 0.0128221513935822*G0_0_0_0_1 + 0.0124117416974581*G0_0_0_0_2 + 0.0124389895818488*G0_0_0_0_3 - 0.00620879120879228*G0_0_0_0_4 + 0.119565434565455*G0_0_0_0_5 - 0.0526709005280525*G0_0_0_0_6 + 0.0507109557109644*G0_0_0_0_7 - 0.00998691784406245*G0_0_0_0_8 + 0.0128343085485966*G0_0_0_0_9 + 0.0128221513935822*G0_0_0_1_0 + 0.187092167092199*G0_0_0_1_1 + 0.0124117416974581*G0_0_0_1_2 + 0.119565434565455*G0_0_0_1_3 - 0.0526709005280523*G0_0_0_1_4 + 0.0124389895818488*G0_0_0_1_5 - 0.00620879120879224*G0_0_0_1_6 - 0.00998691784406254*G0_0_0_1_7 + 0.0507109557109645*G0_0_0_1_8 + 0.0128343085485965*G0_0_0_1_9 + 0.0124117416974581*G0_0_0_2_0 + 0.0124117416974581*G0_0_0_2_1 + 0.00610246895961284*G0_0_0_2_2 + 0.0238413966985436*G0_0_0_2_3 - 0.0148113790970959*G0_0_0_2_4 + 0.0238413966985436*G0_0_0_2_5 - 0.0148113790970959*G0_0_0_2_6 + 0.0173305266162438*G0_0_0_2_7 + 0.0173305266162438*G0_0_0_2_8 + 0.0290994719566197*G0_0_0_2_9 + 0.0124389895818488*G0_0_0_3_0 + 0.119565434565455*G0_0_0_3_1 + 0.0238413966985436*G0_0_0_3_2 + 0.350084201512833*G0_0_0_3_3 - 0.107371913800503*G0_0_0_3_4 - 0.0236249464820933*G0_0_0_3_5 - 0.0087576709005295*G0_0_0_3_6 - 0.0647010132724529*G0_0_0_3_7 + 0.144076637648091*G0_0_0_3_8 + 0.0908991008991164*G0_0_0_3_9 - 0.00620879120879228*G0_0_0_4_0 - 0.0526709005280523*G0_0_0_4_1 - 0.0148113790970959*G0_0_0_4_2 - 0.107371913800503*G0_0_0_4_3 + 0.0588268873983259*G0_0_0_4_4 - 0.00875767090052954*G0_0_0_4_5 + 0.017515341801059*G0_0_0_4_6 - 0.00299058084772416*G0_0_0_4_7 - 0.0793756243756377*G0_0_0_4_8 - 0.0697830740688001*G0_0_0_4_9 + 0.119565434565455*G0_0_0_5_0 + 0.0124389895818488*G0_0_0_5_1 + 0.0238413966985436*G0_0_0_5_2 - 0.0236249464820933*G0_0_0_5_3 - 0.00875767090052954*G0_0_0_5_4 + 0.350084201512833*G0_0_0_5_5 - 0.107371913800504*G0_0_0_5_6 + 0.14407663764809*G0_0_0_5_7 - 0.0647010132724528*G0_0_0_5_8 + 0.0908991008991163*G0_0_0_5_9 - 0.0526709005280525*G0_0_0_6_0 - 0.00620879120879224*G0_0_0_6_1 - 0.0148113790970959*G0_0_0_6_2 - 0.0087576709005295*G0_0_0_6_3 + 0.017515341801059*G0_0_0_6_4 - 0.107371913800504*G0_0_0_6_5 + 0.058826887398326*G0_0_0_6_6 - 0.0793756243756376*G0_0_0_6_7 - 0.00299058084772415*G0_0_0_6_8 - 0.0697830740688001*G0_0_0_6_9 + 0.0507109557109644*G0_0_0_7_0 - 0.00998691784406254*G0_0_0_7_1 + 0.0173305266162438*G0_0_0_7_2 - 0.0647010132724529*G0_0_0_7_3 - 0.00299058084772416*G0_0_0_7_4 + 0.14407663764809*G0_0_0_7_5 - 0.0793756243756376*G0_0_0_7_6 + 0.482162123590776*G0_0_0_7_7 - 0.171586984444156*G0_0_0_7_8 + 0.120248323105486*G0_0_0_7_9 - 0.00998691784406245*G0_0_0_8_0 + 0.0507109557109645*G0_0_0_8_1 + 0.0173305266162438*G0_0_0_8_2 + 0.144076637648091*G0_0_0_8_3 - 0.0793756243756377*G0_0_0_8_4 - 0.0647010132724528*G0_0_0_8_5 - 0.00299058084772414*G0_0_0_8_6 - 0.171586984444156*G0_0_0_8_7 + 0.482162123590777*G0_0_0_8_8 + 0.120248323105486*G0_0_0_8_9 + 0.0128343085485966*G0_0_0_9_0 + 0.0128343085485965*G0_0_0_9_1 + 0.0290994719566197*G0_0_0_9_2 + 0.0908991008991164*G0_0_0_9_3 - 0.0697830740688001*G0_0_0_9_4 + 0.0908991008991163*G0_0_0_9_5 - 0.0697830740688001*G0_0_0_9_6 + 0.120248323105486*G0_0_0_9_7 + 0.120248323105486*G0_0_0_9_8 + 0.317048665620148*G0_0_0_9_9 - 0.0097924297924313*G0_0_1_0_0 + 0.00641107569679112*G0_0_1_0_1 + 0.000941254512683251*G0_0_1_0_2 + 0.0135064935064958*G0_0_1_0_3 - 0.00592264877979265*G0_0_1_0_4 - 0.00836663336663473*G0_0_1_0_5 + 0.001484943627801*G0_0_1_0_6 - 0.00337495837495897*G0_0_1_0_7 + 0.0176354597783199*G0_0_1_0_8 + 0.0102768659911535*G0_0_1_0_9 + 0.00641107569679112*G0_0_1_1_0 + 0.196884596884631*G0_0_1_1_1 + 0.0114704871847748*G0_0_1_1_2 + 0.12793206793209*G0_0_1_1_3 - 0.0541558441558533*G0_0_1_1_4 - 0.00106750392464701*G0_0_1_1_5 - 0.000286142428999603*G0_0_1_1_6 - 0.0276223776223824*G0_0_1_1_7 + 0.0540859140859235*G0_0_1_1_8 + 0.00255744255744306*G0_0_1_1_9 + 0.000941254512683251*G0_0_1_2_0 + 0.0114704871847748*G0_0_1_2_1 + 0.00305123447980642*G0_0_1_2_2 + 0.0259480995195325*G0_0_1_2_3 - 0.0128466771323936*G0_0_1_2_4 - 0.00210670282098889*G0_0_1_2_5 - 0.00196470196470229*G0_0_1_2_6 - 0.00786213786213918*G0_0_1_2_7 + 0.025192664478383*G0_0_1_2_8 + 0.0145497359783099*G0_0_1_2_9 + 0.0135064935064958*G0_0_1_3_0 + 0.12793206793209*G0_0_1_3_1 + 0.0259480995195325*G0_0_1_3_2 + 0.368016983017045*G0_0_1_3_3 - 0.113072641644089*G0_0_1_3_4 - 0.0118124732410467*G0_0_1_3_5 - 0.0128335949764543*G0_0_1_3_6 - 0.0542115027829406*G0_0_1_3_7 + 0.143481518481543*G0_0_1_3_8 + 0.100750677893552*G0_0_1_3_9 - 0.00592264877979265*G0_0_1_4_0 - 0.0541558441558533*G0_0_1_4_1 - 0.0128466771323936*G0_0_1_4_2 - 0.113072641644089*G0_0_1_4_3 + 0.0572748679891633*G0_0_1_4_4 + 0.00407592407592476*G0_0_1_4_5 + 0.00875767090052952*G0_0_1_4_6 + 0.0275231910946243*G0_0_1_4_7 - 0.0892700156986022*G0_0_1_4_8 - 0.0518010560867792*G0_0_1_4_9 - 0.00836663336663473*G0_0_1_5_0 - 0.00106750392464701*G0_0_1_5_1 - 0.00210670282098889*G0_0_1_5_2 - 0.0118124732410467*G0_0_1_5_3 + 0.00407592407592476*G0_0_1_5_4 - 0.0179327815042131*G0_0_1_5_5 + 0.00570072784358592*G0_0_1_5_6 + 0.000595119166547848*G0_0_1_5_7 - 0.0104895104895123*G0_0_1_5_8 - 0.00985157699443579*G0_0_1_5_9 + 0.001484943627801*G0_0_1_6_0 - 0.000286142428999603*G0_0_1_6_1 - 0.00196470196470229*G0_0_1_6_2 - 0.0128335949764543*G0_0_1_6_3 + 0.00875767090052952*G0_0_1_6_4 + 0.00570072784358592*G0_0_1_6_5 + 0.00155201940916253*G0_0_1_6_6 + 0.00989439132296441*G0_0_1_6_7 - 0.0305137719423485*G0_0_1_6_8 - 0.017982017982021*G0_0_1_6_9 - 0.00337495837495897*G0_0_1_7_0 - 0.0276223776223824*G0_0_1_7_1 - 0.00786213786213918*G0_0_1_7_2 - 0.0542115027829406*G0_0_1_7_3 + 0.0275231910946243*G0_0_1_7_4 + 0.000595119166547846*G0_0_1_7_5 + 0.00989439132296441*G0_0_1_7_6 - 0.0180526616240934*G0_0_1_7_7 - 0.085793492222078*G0_0_1_7_8 - 0.0506193806193892*G0_0_1_7_9 + 0.0176354597783199*G0_0_1_8_0 + 0.0540859140859234*G0_0_1_8_1 + 0.025192664478383*G0_0_1_8_2 + 0.143481518481543*G0_0_1_8_3 - 0.0892700156986022*G0_0_1_8_4 - 0.0104895104895123*G0_0_1_8_5 - 0.0305137719423485*G0_0_1_8_6 - 0.085793492222078*G0_0_1_8_7 + 0.50021478521487*G0_0_1_8_8 + 0.170867703724876*G0_0_1_8_9 + 0.0102768659911535*G0_0_1_9_0 + 0.00255744255744306*G0_0_1_9_1 + 0.0145497359783099*G0_0_1_9_2 + 0.100750677893552*G0_0_1_9_3 - 0.0518010560867792*G0_0_1_9_4 - 0.00985157699443579*G0_0_1_9_5 - 0.017982017982021*G0_0_1_9_6 - 0.0506193806193892*G0_0_1_9_7 + 0.170867703724876*G0_0_1_9_8 + 0.158524332810074*G0_0_1_9_9 - 0.0097924297924313*G0_1_0_0_0 + 0.00641107569679112*G0_1_0_0_1 + 0.000941254512683251*G0_1_0_0_2 + 0.0135064935064958*G0_1_0_0_3 - 0.00592264877979265*G0_1_0_0_4 - 0.00836663336663473*G0_1_0_0_5 + 0.001484943627801*G0_1_0_0_6 - 0.00337495837495897*G0_1_0_0_7 + 0.0176354597783199*G0_1_0_0_8 + 0.0102768659911535*G0_1_0_0_9 + 0.00641107569679112*G0_1_0_1_0 + 0.196884596884631*G0_1_0_1_1 + 0.0114704871847748*G0_1_0_1_2 + 0.12793206793209*G0_1_0_1_3 - 0.0541558441558533*G0_1_0_1_4 - 0.00106750392464701*G0_1_0_1_5 - 0.000286142428999603*G0_1_0_1_6 - 0.0276223776223824*G0_1_0_1_7 + 0.0540859140859234*G0_1_0_1_8 + 0.00255744255744307*G0_1_0_1_9 + 0.000941254512683251*G0_1_0_2_0 + 0.0114704871847748*G0_1_0_2_1 + 0.00305123447980642*G0_1_0_2_2 + 0.0259480995195325*G0_1_0_2_3 - 0.0128466771323936*G0_1_0_2_4 - 0.00210670282098889*G0_1_0_2_5 - 0.00196470196470229*G0_1_0_2_6 - 0.00786213786213918*G0_1_0_2_7 + 0.025192664478383*G0_1_0_2_8 + 0.0145497359783099*G0_1_0_2_9 + 0.0135064935064958*G0_1_0_3_0 + 0.12793206793209*G0_1_0_3_1 + 0.0259480995195325*G0_1_0_3_2 + 0.368016983017046*G0_1_0_3_3 - 0.113072641644089*G0_1_0_3_4 - 0.0118124732410467*G0_1_0_3_5 - 0.0128335949764543*G0_1_0_3_6 - 0.0542115027829406*G0_1_0_3_7 + 0.143481518481543*G0_1_0_3_8 + 0.100750677893552*G0_1_0_3_9 - 0.00592264877979265*G0_1_0_4_0 - 0.0541558441558533*G0_1_0_4_1 - 0.0128466771323936*G0_1_0_4_2 - 0.113072641644089*G0_1_0_4_3 + 0.0572748679891633*G0_1_0_4_4 + 0.00407592407592476*G0_1_0_4_5 + 0.00875767090052952*G0_1_0_4_6 + 0.0275231910946243*G0_1_0_4_7 - 0.0892700156986022*G0_1_0_4_8 - 0.0518010560867792*G0_1_0_4_9 - 0.00836663336663473*G0_1_0_5_0 - 0.00106750392464701*G0_1_0_5_1 - 0.00210670282098889*G0_1_0_5_2 - 0.0118124732410467*G0_1_0_5_3 + 0.00407592407592476*G0_1_0_5_4 - 0.0179327815042131*G0_1_0_5_5 + 0.00570072784358592*G0_1_0_5_6 + 0.000595119166547848*G0_1_0_5_7 - 0.0104895104895123*G0_1_0_5_8 - 0.00985157699443579*G0_1_0_5_9 + 0.001484943627801*G0_1_0_6_0 - 0.000286142428999603*G0_1_0_6_1 - 0.00196470196470229*G0_1_0_6_2 - 0.0128335949764543*G0_1_0_6_3 + 0.00875767090052952*G0_1_0_6_4 + 0.00570072784358592*G0_1_0_6_5 + 0.00155201940916253*G0_1_0_6_6 + 0.00989439132296441*G0_1_0_6_7 - 0.0305137719423485*G0_1_0_6_8 - 0.017982017982021*G0_1_0_6_9 - 0.00337495837495897*G0_1_0_7_0 - 0.0276223776223824*G0_1_0_7_1 - 0.00786213786213918*G0_1_0_7_2 - 0.0542115027829406*G0_1_0_7_3 + 0.0275231910946243*G0_1_0_7_4 + 0.000595119166547846*G0_1_0_7_5 + 0.00989439132296441*G0_1_0_7_6 - 0.0180526616240934*G0_1_0_7_7 - 0.085793492222078*G0_1_0_7_8 - 0.0506193806193892*G0_1_0_7_9 + 0.0176354597783199*G0_1_0_8_0 + 0.0540859140859234*G0_1_0_8_1 + 0.025192664478383*G0_1_0_8_2 + 0.143481518481543*G0_1_0_8_3 - 0.0892700156986022*G0_1_0_8_4 - 0.0104895104895123*G0_1_0_8_5 - 0.0305137719423485*G0_1_0_8_6 - 0.085793492222078*G0_1_0_8_7 + 0.50021478521487*G0_1_0_8_8 + 0.170867703724876*G0_1_0_8_9 + 0.0102768659911535*G0_1_0_9_0 + 0.00255744255744307*G0_1_0_9_1 + 0.0145497359783099*G0_1_0_9_2 + 0.100750677893552*G0_1_0_9_3 - 0.0518010560867792*G0_1_0_9_4 - 0.00985157699443579*G0_1_0_9_5 - 0.017982017982021*G0_1_0_9_6 - 0.0506193806193892*G0_1_0_9_7 + 0.170867703724876*G0_1_0_9_8 + 0.158524332810074*G0_1_0_9_9 + 0.00704628704628819*G0_1_1_0_0 + 0.00958670958671126*G0_1_1_0_1 + 0.000827558684701683*G0_1_1_0_2 + 0.0135616764188216*G0_1_1_0_3 - 0.00361186432615067*G0_1_1_0_4 + 0.000597735597735664*G0_1_1_0_5 - 0.000339898197041102*G0_1_1_0_6 - 0.01273892773893*G0_1_1_0_7 + 0.00259716474002241*G0_1_1_0_8 + 0.000366776081061882*G0_1_1_0_9 + 0.00958670958671126*G0_1_1_1_0 + 0.21372331372335*G0_1_1_1_1 + 0.0113567913567933*G0_1_1_1_2 + 0.13689643689646*G0_1_1_1_3 - 0.0559806859806955*G0_1_1_1_4 - 0.00101232101232124*G0_1_1_1_5 + 0.00202464202464239*G0_1_1_1_6 - 0.04266067266068*G0_1_1_1_7 + 0.0447219447219525*G0_1_1_1_8 - 0.00735264735264852*G0_1_1_1_9 + 0.000827558684701683*G0_1_1_2_0 + 0.0113567913567933*G0_1_1_2_1 + 0.00487449058877712*G0_1_1_2_2 + 0.029690071832934*G0_1_1_2_3 - 0.0172715379858266*G0_1_1_2_4 + 0.00163526949241262*G0_1_1_2_5 - 0.00638956281813532*G0_1_1_2_6 + 0.00256481613624514*G0_1_1_2_7 + 0.0356196184767673*G0_1_1_2_8 + 0.0292521763950385*G0_1_1_2_9 + 0.0135616764188216*G0_1_1_3_0 + 0.13689643689646*G0_1_1_3_1 + 0.029690071832934*G0_1_1_3_2 + 0.407712287712357*G0_1_1_3_3 - 0.126623376623398*G0_1_1_3_4 - 0.0132574568288876*G0_1_1_3_5 - 0.017207078635653*G0_1_1_3_6 - 0.0518181818181907*G0_1_1_3_7 + 0.169810189810219*G0_1_1_3_8 + 0.125694305694327*G0_1_1_3_9 - 0.00361186432615067*G0_1_1_4_0 - 0.0559806859806954*G0_1_1_4_1 - 0.0172715379858266*G0_1_1_4_2 - 0.126623376623398*G0_1_1_4_3 + 0.0707035821321655*G0_1_1_4_4 - 0.00029755958327392*G0_1_1_4_5 + 0.0175046382189269*G0_1_1_4_6 + 0.0071371485657212*G0_1_1_4_7 - 0.117992007992028*G0_1_1_4_8 - 0.0871614100185677*G0_1_1_4_9 + 0.000597735597735665*G0_1_1_5_0 - 0.00101232101232124*G0_1_1_5_1 + 0.00163526949241262*G0_1_1_5_2 - 0.0132574568288876*G0_1_1_5_3 - 0.000297559583273921*G0_1_1_5_4 + 0.0217625231910983*G0_1_1_5_5 - 0.00785000713572272*G0_1_1_5_6 + 0.0269237904952236*G0_1_1_5_7 - 0.00809618952476234*G0_1_1_5_8 + 0.0150920508063391*G0_1_1_5_9 - 0.000339898197041102*G0_1_1_6_0 + 0.00202464202464239*G0_1_1_6_1 - 0.00638956281813532*G0_1_1_6_2 - 0.017207078635653*G0_1_1_6_3 + 0.0175046382189269*G0_1_1_6_4 - 0.00785000713572272*G0_1_1_6_5 + 0.0149807335521647*G0_1_1_6_6 - 0.0188276009704613*G0_1_1_6_7 - 0.0508998144712516*G0_1_1_6_8 - 0.0533423719138095*G0_1_1_6_9 - 0.01273892773893*G0_1_1_7_0 - 0.04266067266068*G0_1_1_7_1 + 0.00256481613624514*G0_1_1_7_2 - 0.0518181818181907*G0_1_1_7_3 + 0.00713714856572119*G0_1_1_7_4 + 0.0269237904952236*G0_1_1_7_5 - 0.0188276009704613*G0_1_1_7_6 + 0.157976309404908*G0_1_1_7_7 + 0.00380619380619453*G0_1_1_7_8 + 0.0365548736977371*G0_1_1_7_9 + 0.00259716474002241*G0_1_1_8_0 + 0.0447219447219525*G0_1_1_8_1 + 0.0356196184767673*G0_1_1_8_2 + 0.169810189810219*G0_1_1_8_3 - 0.117992007992028*G0_1_1_8_4 - 0.00809618952476234*G0_1_1_8_5 - 0.0508998144712516*G0_1_1_8_6 + 0.00380619380619453*G0_1_1_8_7 + 0.676243756243871*G0_1_1_8_8 + 0.258041958042002*G0_1_1_8_9 + 0.000366776081061882*G0_1_1_9_0 - 0.00735264735264852*G0_1_1_9_1 + 0.0292521763950385*G0_1_1_9_2 + 0.125694305694327*G0_1_1_9_3 - 0.0871614100185677*G0_1_1_9_4 + 0.0150920508063391*G0_1_1_9_5 - 0.0533423719138095*G0_1_1_9_6 + 0.0365548736977371*G0_1_1_9_7 + 0.258041958042002*G0_1_1_9_8 + 0.313503639217978*G0_1_1_9_9;
    A[91] = A[21] + 0.0170459170459201*G0_0_1_0_0 + 0.000135455373550636*G0_0_1_0_1 + 0.000591824401348315*G0_0_1_0_2 + 0.00662670662670778*G0_0_1_0_5 - 0.00222769294197905*G0_0_1_0_6 + 0.00212343212343253*G0_0_1_0_7 - 0.00158611230039831*G0_0_1_0_8 - 0.000466359037787678*G0_0_1_0_9 + 0.000135455373550636*G0_0_1_1_0 + 0.000140194902099684*G0_0_1_1_2 + 0.00182854182854211*G0_0_1_1_3 - 0.00029267029267033*G0_0_1_1_4 - 0.000196734482448803*G0_0_1_1_6 + 0.00062789062789076*G0_0_1_1_7 - 0.00182854182854219*G0_0_1_1_8 - 0.000335220335220393*G0_0_1_1_9 + 0.000591824401348315*G0_0_1_2_0 + 0.000140194902099684*G0_0_1_2_1 - 0.00407525455144573*G0_0_1_2_2 + 0.000426372569229787*G0_0_1_2_3 + 0.000477511906083406*G0_0_1_2_4 + 0.000730724302153*G0_0_1_2_5 + 0.000827690827690963*G0_0_1_2_6 + 0.000111370111370135*G0_0_1_2_7 - 0.000364661793233286*G0_0_1_2_8 + 0.00128173413887721*G0_0_1_2_9 + 0.00182854182854211*G0_0_1_3_1 + 0.000426372569229787*G0_0_1_3_2 + 0.0055744255744265*G0_0_1_3_3 - 0.00410732125017907*G0_0_1_3_4 + 0.00016959231244947*G0_0_1_3_5 + 0.000350126064411842*G0_0_1_3_6 - 0.000377717520574722*G0_0_1_3_7 - 0.00047619047619057*G0_0_1_3_8 + 0.00176109604681063*G0_0_1_3_9 - 0.00029267029267033*G0_0_1_4_1 + 0.000477511906083406*G0_0_1_4_2 - 0.00410732125017907*G0_0_1_4_3 + 0.00549878692735925*G0_0_1_4_4 - 0.000116550116550132*G0_0_1_4_5 - 0.000233575947861707*G0_0_1_4_6 + 0.000853907996765294*G0_0_1_4_8 - 0.00361210218353137*G0_0_1_4_9 + 0.00662670662670779*G0_0_1_5_0 + 0.000730724302153*G0_0_1_5_2 + 0.00016959231244947*G0_0_1_5_3 - 0.000116550116550132*G0_0_1_5_4 - 0.0201679273107878*G0_0_1_5_5 - 0.00651729223157906*G0_0_1_5_6 + 0.000577517720374995*G0_0_1_5_7 + 0.0014057371200231*G0_0_1_5_9 - 0.00222769294197905*G0_0_1_6_0 - 0.000196734482448803*G0_0_1_6_1 + 0.000827690827690963*G0_0_1_6_2 + 0.000350126064411842*G0_0_1_6_3 - 0.000233575947861707*G0_0_1_6_4 - 0.00651729223157906*G0_0_1_6_5 + 0.00713334284762978*G0_0_1_6_6 - 0.000574187717044969*G0_0_1_6_7 + 0.000962133104990418*G0_0_1_6_8 - 0.00454545454545532*G0_0_1_6_9 + 0.00212343212343253*G0_0_1_7_0 + 0.00062789062789076*G0_0_1_7_1 + 0.000111370111370135*G0_0_1_7_2 - 0.000377717520574722*G0_0_1_7_3 + 0.000577517720374995*G0_0_1_7_5 - 0.00057418771704497*G0_0_1_7_6 - 0.00768041482327322*G0_0_1_7_7 + 0.00257218971504729*G0_0_1_7_8 + 0.00254745254745299*G0_0_1_7_9 - 0.00158611230039831*G0_0_1_8_0 - 0.00182854182854219*G0_0_1_8_1 - 0.000364661793233286*G0_0_1_8_2 - 0.00047619047619057*G0_0_1_8_3 + 0.000853907996765294*G0_0_1_8_4 + 0.000962133104990418*G0_0_1_8_6 + 0.00257218971504729*G0_0_1_8_7 - 0.00462204462204545*G0_0_1_8_8 - 0.000702154987869406*G0_0_1_8_9 - 0.000466359037787678*G0_0_1_9_0 - 0.000335220335220394*G0_0_1_9_1 + 0.00128173413887721*G0_0_1_9_2 + 0.00176109604681063*G0_0_1_9_3 - 0.00361210218353137*G0_0_1_9_4 + 0.0014057371200231*G0_0_1_9_5 - 0.00454545454545532*G0_0_1_9_6 + 0.00254745254745299*G0_0_1_9_7 - 0.000702154987869406*G0_0_1_9_8 + 0.00428143285286217*G0_0_1_9_9 - 0.0170459170459201*G0_1_0_0_0 - 0.000135455373550635*G0_1_0_0_1 - 0.000591824401348315*G0_1_0_0_2 - 0.00662670662670778*G0_1_0_0_5 + 0.00222769294197905*G0_1_0_0_6 - 0.00212343212343253*G0_1_0_0_7 + 0.00158611230039831*G0_1_0_0_8 + 0.000466359037787678*G0_1_0_0_9 - 0.000135455373550635*G0_1_0_1_0 - 0.000140194902099684*G0_1_0_1_2 - 0.00182854182854211*G0_1_0_1_3 + 0.00029267029267033*G0_1_0_1_4 + 0.000196734482448803*G0_1_0_1_6 - 0.00062789062789076*G0_1_0_1_7 + 0.00182854182854219*G0_1_0_1_8 + 0.000335220335220394*G0_1_0_1_9 - 0.000591824401348315*G0_1_0_2_0 - 0.000140194902099684*G0_1_0_2_1 + 0.00407525455144573*G0_1_0_2_2 - 0.000426372569229786*G0_1_0_2_3 - 0.000477511906083406*G0_1_0_2_4 - 0.000730724302153*G0_1_0_2_5 - 0.000827690827690963*G0_1_0_2_6 - 0.000111370111370135*G0_1_0_2_7 + 0.000364661793233286*G0_1_0_2_8 - 0.00128173413887721*G0_1_0_2_9 - 0.00182854182854211*G0_1_0_3_1 - 0.000426372569229786*G0_1_0_3_2 - 0.0055744255744265*G0_1_0_3_3 + 0.00410732125017907*G0_1_0_3_4 - 0.00016959231244947*G0_1_0_3_5 - 0.000350126064411842*G0_1_0_3_6 + 0.000377717520574722*G0_1_0_3_7 + 0.00047619047619057*G0_1_0_3_8 - 0.00176109604681063*G0_1_0_3_9 + 0.00029267029267033*G0_1_0_4_1 - 0.000477511906083406*G0_1_0_4_2 + 0.00410732125017907*G0_1_0_4_3 - 0.00549878692735925*G0_1_0_4_4 + 0.000116550116550132*G0_1_0_4_5 + 0.000233575947861707*G0_1_0_4_6 - 0.000853907996765294*G0_1_0_4_8 + 0.00361210218353137*G0_1_0_4_9 - 0.00662670662670778*G0_1_0_5_0 - 0.000730724302153*G0_1_0_5_2 - 0.000169592312449471*G0_1_0_5_3 + 0.000116550116550132*G0_1_0_5_4 + 0.0201679273107878*G0_1_0_5_5 + 0.00651729223157906*G0_1_0_5_6 - 0.000577517720374995*G0_1_0_5_7 - 0.0014057371200231*G0_1_0_5_9 + 0.00222769294197905*G0_1_0_6_0 + 0.000196734482448803*G0_1_0_6_1 - 0.000827690827690963*G0_1_0_6_2 - 0.000350126064411842*G0_1_0_6_3 + 0.000233575947861707*G0_1_0_6_4 + 0.00651729223157906*G0_1_0_6_5 - 0.00713334284762978*G0_1_0_6_6 + 0.00057418771704497*G0_1_0_6_7 - 0.000962133104990418*G0_1_0_6_8 + 0.00454545454545532*G0_1_0_6_9 - 0.00212343212343253*G0_1_0_7_0 - 0.00062789062789076*G0_1_0_7_1 - 0.000111370111370135*G0_1_0_7_2 + 0.000377717520574722*G0_1_0_7_3 - 0.000577517720374995*G0_1_0_7_5 + 0.00057418771704497*G0_1_0_7_6 + 0.00768041482327321*G0_1_0_7_7 - 0.00257218971504729*G0_1_0_7_8 - 0.00254745254745299*G0_1_0_7_9 + 0.00158611230039831*G0_1_0_8_0 + 0.00182854182854219*G0_1_0_8_1 + 0.000364661793233286*G0_1_0_8_2 + 0.00047619047619057*G0_1_0_8_3 - 0.000853907996765294*G0_1_0_8_4 - 0.000962133104990418*G0_1_0_8_6 - 0.00257218971504729*G0_1_0_8_7 + 0.00462204462204545*G0_1_0_8_8 + 0.000702154987869406*G0_1_0_8_9 + 0.000466359037787677*G0_1_0_9_0 + 0.000335220335220394*G0_1_0_9_1 - 0.00128173413887721*G0_1_0_9_2 - 0.00176109604681063*G0_1_0_9_3 + 0.00361210218353137*G0_1_0_9_4 - 0.0014057371200231*G0_1_0_9_5 + 0.00454545454545532*G0_1_0_9_6 - 0.00254745254745299*G0_1_0_9_7 + 0.000702154987869406*G0_1_0_9_8 - 0.00428143285286217*G0_1_0_9_9;
    A[82] = A[110] - 0.00312773646107032*G0_0_1_0_0 - 0.000380466094751864*G0_0_1_0_1 + 0.00337514337514395*G0_0_1_0_2 + 0.000659974945689347*G0_0_1_0_3 - 0.00544249401392352*G0_0_1_0_4 + 0.00236017950303705*G0_0_1_0_5 - 0.00725591868449139*G0_0_1_0_6 - 0.00179185893471638*G0_0_1_0_7 + 0.00121180406894714*G0_0_1_0_8 - 0.00183245326102498*G0_0_1_0_9 - 0.000380466094751864*G0_0_1_1_0 + 0.000523497666355045*G0_0_1_1_1 + 0.00578458578458677*G0_0_1_1_2 + 0.000847089418518104*G0_0_1_1_4 + 0.000874998017855309*G0_0_1_1_5 - 0.00168625025767911*G0_0_1_1_6 - 0.000148740148740217*G0_0_1_1_7 + 0.00141382427096739*G0_0_1_1_9 + 0.00337514337514395*G0_0_1_2_0 + 0.00578458578458677*G0_0_1_2_1 + 0.195838729172095*G0_0_1_2_2 - 0.026573426573431*G0_0_1_2_3 + 0.060872460872471*G0_0_1_2_4 - 0.0144078144078167*G0_0_1_2_5 + 0.0192252192252222*G0_0_1_2_6 - 0.000255300255300292*G0_0_1_2_7 + 0.000597180597180718*G0_0_1_2_8 - 0.00293040293040345*G0_0_1_2_9 + 0.000659974945689348*G0_0_1_3_0 - 0.026573426573431*G0_0_1_3_2 - 0.003898958184673*G0_0_1_3_3 - 0.00517482517482608*G0_0_1_3_4 - 0.00313971742543224*G0_0_1_3_5 + 0.00673326673326782*G0_0_1_3_6 - 0.000305408876837518*G0_0_1_3_7 + 0.000422434708149126*G0_0_1_3_8 - 0.00363065505922712*G0_0_1_3_9 - 0.00544249401392352*G0_0_1_4_0 + 0.000847089418518111*G0_0_1_4_1 + 0.060872460872471*G0_0_1_4_2 - 0.00517482517482609*G0_0_1_4_3 - 0.142497502497527*G0_0_1_4_4 + 0.018001998002001*G0_0_1_4_5 - 0.0247352647352689*G0_0_1_4_6 + 0.00770943342372044*G0_0_1_4_7 - 0.0001170258313116*G0_0_1_4_8 - 0.0272127872127917*G0_0_1_4_9 + 0.00236017950303705*G0_0_1_5_0 + 0.000874998017855309*G0_0_1_5_1 - 0.0144078144078167*G0_0_1_5_2 - 0.00313971742543224*G0_0_1_5_3 + 0.0180019980020011*G0_0_1_5_4 - 0.0133295276152443*G0_0_1_5_5 + 0.0355044955045016*G0_0_1_5_6 - 0.00148993863279603*G0_0_1_5_7 - 0.000950478093335379*G0_0_1_5_8 + 0.0073983159697457*G0_0_1_5_9 - 0.00725591868449139*G0_0_1_6_0 - 0.00168625025767912*G0_0_1_6_1 + 0.0192252192252222*G0_0_1_6_2 + 0.00673326673326783*G0_0_1_6_3 - 0.0247352647352689*G0_0_1_6_4 + 0.0355044955045016*G0_0_1_6_5 - 0.133706293706316*G0_0_1_6_6 + 0.00244041672613141*G0_0_1_6_7 + 0.000796346510632309*G0_0_1_6_8 - 0.00467532467532526*G0_0_1_6_9 - 0.00179185893471637*G0_0_1_7_0 - 0.000148740148740217*G0_0_1_7_1 - 0.000255300255300292*G0_0_1_7_2 - 0.000305408876837517*G0_0_1_7_3 + 0.00770943342372044*G0_0_1_7_4 - 0.00148993863279603*G0_0_1_7_5 + 0.00244041672613141*G0_0_1_7_6 - 0.0107835022120753*G0_0_1_7_7 + 0.000545169116597711*G0_0_1_7_8 + 0.000616526330812105*G0_0_1_7_9 + 0.00121180406894714*G0_0_1_8_0 + 0.000597180597180718*G0_0_1_8_2 + 0.000422434708149126*G0_0_1_8_3 - 0.000117025831311599*G0_0_1_8_4 - 0.000950478093335379*G0_0_1_8_5 + 0.000796346510632309*G0_0_1_8_6 + 0.000545169116597711*G0_0_1_8_7 - 0.00307692307692333*G0_0_1_8_8 - 0.00400742115027895*G0_0_1_8_9 - 0.00183245326102499*G0_0_1_9_0 + 0.00141382427096739*G0_0_1_9_1 - 0.00293040293040345*G0_0_1_9_2 - 0.00363065505922712*G0_0_1_9_3 - 0.0272127872127917*G0_0_1_9_4 + 0.0073983159697457*G0_0_1_9_5 - 0.00467532467532525*G0_0_1_9_6 + 0.000616526330812105*G0_0_1_9_7 - 0.00400742115027895*G0_0_1_9_8 + 0.0355530184101675*G0_0_1_9_9 + 0.00312773646107032*G0_1_0_0_0 + 0.000380466094751864*G0_1_0_0_1 - 0.00337514337514395*G0_1_0_0_2 - 0.000659974945689347*G0_1_0_0_3 + 0.00544249401392352*G0_1_0_0_4 - 0.00236017950303705*G0_1_0_0_5 + 0.00725591868449139*G0_1_0_0_6 + 0.00179185893471638*G0_1_0_0_7 - 0.00121180406894714*G0_1_0_0_8 + 0.00183245326102499*G0_1_0_0_9 + 0.000380466094751864*G0_1_0_1_0 - 0.000523497666355045*G0_1_0_1_1 - 0.00578458578458677*G0_1_0_1_2 - 0.000847089418518104*G0_1_0_1_4 - 0.000874998017855309*G0_1_0_1_5 + 0.00168625025767911*G0_1_0_1_6 + 0.000148740148740217*G0_1_0_1_7 - 0.00141382427096739*G0_1_0_1_9 - 0.00337514337514395*G0_1_0_2_0 - 0.00578458578458676*G0_1_0_2_1 - 0.195838729172095*G0_1_0_2_2 + 0.0265734265734309*G0_1_0_2_3 - 0.060872460872471*G0_1_0_2_4 + 0.0144078144078167*G0_1_0_2_5 - 0.0192252192252222*G0_1_0_2_6 + 0.000255300255300292*G0_1_0_2_7 - 0.000597180597180718*G0_1_0_2_8 + 0.00293040293040345*G0_1_0_2_9 - 0.000659974945689347*G0_1_0_3_0 + 0.026573426573431*G0_1_0_3_2 + 0.003898958184673*G0_1_0_3_3 + 0.00517482517482608*G0_1_0_3_4 + 0.00313971742543224*G0_1_0_3_5 - 0.00673326673326782*G0_1_0_3_6 + 0.000305408876837517*G0_1_0_3_7 - 0.000422434708149126*G0_1_0_3_8 + 0.00363065505922712*G0_1_0_3_9 + 0.00544249401392352*G0_1_0_4_0 - 0.000847089418518108*G0_1_0_4_1 - 0.060872460872471*G0_1_0_4_2 + 0.00517482517482609*G0_1_0_4_3 + 0.142497502497527*G0_1_0_4_4 - 0.0180019980020011*G0_1_0_4_5 + 0.0247352647352689*G0_1_0_4_6 - 0.00770943342372044*G0_1_0_4_7 + 0.0001170258313116*G0_1_0_4_8 + 0.0272127872127917*G0_1_0_4_9 - 0.00236017950303705*G0_1_0_5_0 - 0.000874998017855308*G0_1_0_5_1 + 0.0144078144078167*G0_1_0_5_2 + 0.00313971742543224*G0_1_0_5_3 - 0.0180019980020011*G0_1_0_5_4 + 0.0133295276152443*G0_1_0_5_5 - 0.0355044955045016*G0_1_0_5_6 + 0.00148993863279603*G0_1_0_5_7 + 0.000950478093335379*G0_1_0_5_8 - 0.0073983159697457*G0_1_0_5_9 + 0.00725591868449139*G0_1_0_6_0 + 0.00168625025767912*G0_1_0_6_1 - 0.0192252192252222*G0_1_0_6_2 - 0.00673326673326782*G0_1_0_6_3 + 0.0247352647352689*G0_1_0_6_4 - 0.0355044955045016*G0_1_0_6_5 + 0.133706293706316*G0_1_0_6_6 - 0.00244041672613141*G0_1_0_6_7 - 0.000796346510632309*G0_1_0_6_8 + 0.00467532467532526*G0_1_0_6_9 + 0.00179185893471638*G0_1_0_7_0 + 0.000148740148740217*G0_1_0_7_1 + 0.000255300255300292*G0_1_0_7_2 + 0.000305408876837517*G0_1_0_7_3 - 0.00770943342372044*G0_1_0_7_4 + 0.00148993863279603*G0_1_0_7_5 - 0.00244041672613141*G0_1_0_7_6 + 0.0107835022120753*G0_1_0_7_7 - 0.000545169116597711*G0_1_0_7_8 - 0.000616526330812105*G0_1_0_7_9 - 0.00121180406894714*G0_1_0_8_0 - 0.000597180597180718*G0_1_0_8_2 - 0.000422434708149125*G0_1_0_8_3 + 0.000117025831311599*G0_1_0_8_4 + 0.000950478093335379*G0_1_0_8_5 - 0.000796346510632307*G0_1_0_8_6 - 0.000545169116597711*G0_1_0_8_7 + 0.00307692307692333*G0_1_0_8_8 + 0.00400742115027895*G0_1_0_8_9 + 0.00183245326102498*G0_1_0_9_0 - 0.00141382427096739*G0_1_0_9_1 + 0.00293040293040345*G0_1_0_9_2 + 0.00363065505922712*G0_1_0_9_3 + 0.0272127872127917*G0_1_0_9_4 - 0.00739831596974569*G0_1_0_9_5 + 0.00467532467532525*G0_1_0_9_6 - 0.000616526330812105*G0_1_0_9_7 + 0.00400742115027895*G0_1_0_9_8 - 0.0355530184101675*G0_1_0_9_9;
    A[153] = A[82] - 0.00683563350230137*G0_0_0_0_0 + 0.00181402371878595*G0_0_0_0_1 - 0.0113870961490028*G0_0_0_0_2 + 0.00675292961007369*G0_0_0_0_3 - 0.00949938949939117*G0_0_0_0_4 - 0.00557093699950942*G0_0_0_0_5 + 0.00661402089973638*G0_0_0_0_6 + 0.000740212168783703*G0_0_0_0_7 - 0.00511393368536309*G0_0_0_0_8 - 0.00300080871509492*G0_0_0_0_9 + 0.00181402371878595*G0_0_0_1_0 + 0.0578519892805704*G0_0_0_1_1 - 0.00985769081007344*G0_0_0_1_2 + 0.0930764473621775*G0_0_0_1_3 - 0.0566966366966463*G0_0_0_1_4 - 0.00204589061731955*G0_0_0_1_5 - 0.000599717742574963*G0_0_0_1_6 - 0.0114200085628677*G0_0_0_1_7 + 0.0183625897911644*G0_0_0_1_8 + 0.00934494077351384*G0_0_0_1_9 - 0.0113870961490028*G0_0_0_2_0 - 0.00985769081007344*G0_0_0_2_1 - 0.297293817293867*G0_0_0_2_2 + 0.0896379810665675*G0_0_0_2_3 - 0.183340469054786*G0_0_0_2_4 + 0.0427972027972098*G0_0_0_2_5 - 0.079383473669201*G0_0_0_2_6 + 0.0020186163043309*G0_0_0_2_7 - 0.00299161156304063*G0_0_0_2_8 - 0.0248893963179719*G0_0_0_2_9 + 0.00675292961007369*G0_0_0_3_0 + 0.0930764473621775*G0_0_0_3_1 + 0.0896379810665675*G0_0_0_3_2 + 0.292747252747303*G0_0_0_3_3 + 0.0499643213929011*G0_0_0_3_4 - 0.0116968745540193*G0_0_0_3_5 + 0.0110717853575014*G0_0_0_3_6 - 0.0109861567004444*G0_0_0_3_7 - 0.00726131011845391*G0_0_0_3_8 - 0.00606250891965251*G0_0_0_3_9 - 0.00949938949939117*G0_0_0_4_0 - 0.0566966366966463*G0_0_0_4_1 - 0.183340469054786*G0_0_0_4_2 + 0.0499643213929011*G0_0_0_4_3 - 0.313863279577619*G0_0_0_4_4 + 0.0377708006279498*G0_0_0_4_5 - 0.0488425859854513*G0_0_0_4_6 + 0.00658484372770203*G0_0_0_4_7 + 0.0182474668188983*G0_0_0_4_8 - 0.00087341230198389*G0_0_0_4_9 - 0.00557093699950941*G0_0_0_5_0 - 0.00204589061731955*G0_0_0_5_1 + 0.0427972027972098*G0_0_0_5_2 - 0.0116968745540193*G0_0_0_5_3 + 0.0377708006279498*G0_0_0_5_4 - 0.0773740545169245*G0_0_0_5_5 - 0.0075610104181548*G0_0_0_5_6 - 0.0186270871985189*G0_0_0_5_7 + 0.0154103039817351*G0_0_0_5_8 - 0.0218181818181856*G0_0_0_5_9 + 0.00661402089973638*G0_0_0_6_0 - 0.000599717742574963*G0_0_0_6_1 - 0.079383473669201*G0_0_0_6_2 + 0.0110717853575014*G0_0_0_6_3 - 0.0488425859854513*G0_0_0_6_4 - 0.0075610104181548*G0_0_0_6_5 + 0.143016983017008*G0_0_0_6_6 + 0.00321678321678378*G0_0_0_6_7 + 0.000750677893535133*G0_0_0_6_8 + 0.0525246182389128*G0_0_0_6_9 + 0.000740212168783703*G0_0_0_7_0 - 0.0114200085628677*G0_0_0_7_1 + 0.0020186163043309*G0_0_0_7_2 - 0.0109861567004444*G0_0_0_7_3 + 0.00658484372770203*G0_0_0_7_4 - 0.0186270871985189*G0_0_0_7_5 + 0.00321678321678378*G0_0_0_7_6 - 0.028748394462685*G0_0_0_7_7 + 0.0316797488226112*G0_0_0_7_8 + 0.00256885971171719*G0_0_0_7_9 - 0.00511393368536309*G0_0_0_8_0 + 0.0183625897911644*G0_0_0_8_1 - 0.00299161156304062*G0_0_0_8_2 - 0.0072613101184539*G0_0_0_8_3 + 0.0182474668188983*G0_0_0_8_4 + 0.0154103039817351*G0_0_0_8_5 + 0.000750677893535133*G0_0_0_8_6 + 0.0316797488226112*G0_0_0_8_7 - 0.104409875838465*G0_0_0_8_8 - 0.0645297559583381*G0_0_0_8_9 - 0.00300080871509492*G0_0_0_9_0 + 0.00934494077351385*G0_0_0_9_1 - 0.0248893963179719*G0_0_0_9_2 - 0.00606250891965251*G0_0_0_9_3 - 0.000873412301983883*G0_0_0_9_4 - 0.0218181818181856*G0_0_0_9_5 + 0.0525246182389128*G0_0_0_9_6 + 0.00256885971171719*G0_0_0_9_7 - 0.0645297559583381*G0_0_0_9_8 - 0.119195090623682*G0_0_0_9_9 + 0.00691012691012816*G0_0_1_0_1 - 0.00691012691012809*G0_0_1_0_2 + 0.00599971457114424*G0_0_1_0_3 - 0.00599971457114422*G0_0_1_0_4 - 0.00362431219574145*G0_0_1_0_5 + 0.00952063809206836*G0_0_1_0_6 + 0.00362431219574132*G0_0_1_0_7 - 0.00952063809206821*G0_0_1_0_8 + 0.00691012691012815*G0_0_1_1_0 + 0.26253689872742*G0_0_1_1_1 + 0.162439465296636*G0_0_1_1_3 - 0.08421958993389*G0_0_1_1_4 - 0.00172399029541923*G0_0_1_1_5 + 0.00349364920793555*G0_0_1_1_6 - 0.0284214198499963*G0_0_1_1_7 + 0.0466435152149522*G0_0_1_1_8 + 0.0142428999571882*G0_0_1_1_9 - 0.00691012691012809*G0_0_1_2_0 - 0.262536898727419*G0_0_1_2_2 + 0.0842195899338898*G0_0_1_2_3 - 0.162439465296635*G0_0_1_2_4 + 0.0284214198499959*G0_0_1_2_5 - 0.0466435152149514*G0_0_1_2_6 + 0.00172399029541911*G0_0_1_2_7 - 0.00349364920793547*G0_0_1_2_8 - 0.014242899957188*G0_0_1_2_9 + 0.00599971457114424*G0_0_1_3_0 + 0.162439465296636*G0_0_1_3_1 + 0.0842195899338898*G0_0_1_3_2 + 0.250018552875739*G0_0_1_3_3 - 0.0064135864135875*G0_0_1_3_5 - 0.0104809476238066*G0_0_1_3_6 - 0.0179991437134327*G0_0_1_3_7 + 0.00751819608962642*G0_0_1_3_8 - 0.00673041244469897*G0_0_1_3_9 - 0.00599971457114422*G0_0_1_4_0 - 0.08421958993389*G0_0_1_4_1 - 0.162439465296635*G0_0_1_4_2 - 0.250018552875738*G0_0_1_4_4 + 0.0179991437134325*G0_0_1_4_5 - 0.00751819608962589*G0_0_1_4_6 + 0.00641358641358759*G0_0_1_4_7 + 0.0104809476238063*G0_0_1_4_8 + 0.00673041244469919*G0_0_1_4_9 - 0.00362431219574145*G0_0_1_5_0 - 0.00172399029541923*G0_0_1_5_1 + 0.0284214198499959*G0_0_1_5_2 - 0.0064135864135875*G0_0_1_5_3 + 0.0179991437134325*G0_0_1_5_4 + 0.00916797488226225*G0_0_1_5_5 - 0.0410789210789282*G0_0_1_5_6 + 0.00517197088625745*G0_0_1_5_8 - 0.0103439417725149*G0_0_1_5_9 + 0.00952063809206836*G0_0_1_6_0 + 0.00349364920793555*G0_0_1_6_1 - 0.0466435152149514*G0_0_1_6_2 - 0.0104809476238066*G0_0_1_6_3 - 0.00751819608962589*G0_0_1_6_4 - 0.0410789210789282*G0_0_1_6_5 + 0.211851006136757*G0_0_1_6_6 - 0.00517197088625742*G0_0_1_6_7 + 0.0636905951191772*G0_0_1_6_9 + 0.00362431219574132*G0_0_1_7_0 - 0.0284214198499963*G0_0_1_7_1 + 0.00172399029541911*G0_0_1_7_2 - 0.0179991437134327*G0_0_1_7_3 + 0.00641358641358759*G0_0_1_7_4 - 0.00517197088625742*G0_0_1_7_6 - 0.0091679748822622*G0_0_1_7_7 + 0.0410789210789278*G0_0_1_7_8 + 0.0103439417725148*G0_0_1_7_9 - 0.00952063809206821*G0_0_1_8_0 + 0.0466435152149522*G0_0_1_8_1 - 0.00349364920793546*G0_0_1_8_2 + 0.00751819608962642*G0_0_1_8_3 + 0.0104809476238063*G0_0_1_8_4 + 0.00517197088625745*G0_0_1_8_5 + 0.0410789210789278*G0_0_1_8_7 - 0.211851006136755*G0_0_1_8_8 - 0.0636905951191771*G0_0_1_8_9 + 0.0142428999571882*G0_0_1_9_1 - 0.014242899957188*G0_0_1_9_2 - 0.00673041244469897*G0_0_1_9_3 + 0.00673041244469919*G0_0_1_9_4 - 0.0103439417725149*G0_0_1_9_5 + 0.0636905951191772*G0_0_1_9_6 + 0.0103439417725148*G0_0_1_9_7 - 0.0636905951191771*G0_0_1_9_8 + 0.00315451744023228*G0_1_0_0_1 - 0.00315451744023227*G0_1_0_0_2 + 0.0121021835307571*G0_1_0_0_3 - 0.0121021835307571*G0_1_0_0_4 + 0.000527726242012031*G0_1_0_0_5 + 0.00105291533862982*G0_1_0_0_6 - 0.000527726242012066*G0_1_0_0_7 - 0.00105291533862977*G0_1_0_0_8 + 0.00315451744023228*G0_1_0_1_0 + 0.0672216672216786*G0_1_0_1_1 + 0.101495964353124*G0_1_0_1_3 - 0.0567990739419407*G0_1_0_1_4 - 0.00059369202226356*G0_1_0_1_5 + 0.00121021835307573*G0_1_0_1_6 - 0.0141623455909195*G0_1_0_1_7 + 0.0274950446379066*G0_1_0_1_8 + 0.018587127158559*G0_1_0_1_9 - 0.00315451744023227*G0_1_0_2_0 - 0.0672216672216784*G0_1_0_2_2 + 0.0567990739419407*G0_1_0_2_3 - 0.101495964353124*G0_1_0_2_4 + 0.0141623455909194*G0_1_0_2_5 - 0.0274950446379064*G0_1_0_2_6 + 0.000593692022263534*G0_1_0_2_7 - 0.00121021835307568*G0_1_0_2_8 - 0.0185871271585588*G0_1_0_2_9 + 0.0121021835307571*G0_1_0_3_0 + 0.101495964353124*G0_1_0_3_1 + 0.0567990739419407*G0_1_0_3_2 + 0.388617097188592*G0_1_0_3_3 - 0.0172627372627401*G0_1_0_3_5 - 0.00363065505922717*G0_1_0_3_6 - 0.0363065505922711*G0_1_0_3_7 + 0.0326758955330441*G0_1_0_3_8 + 0.0168517197088656*G0_1_0_3_9 - 0.0121021835307571*G0_1_0_4_0 - 0.0567990739419407*G0_1_0_4_1 - 0.101495964353124*G0_1_0_4_2 - 0.388617097188592*G0_1_0_4_4 + 0.036306550592271*G0_1_0_4_5 - 0.0326758955330438*G0_1_0_4_6 + 0.0172627372627402*G0_1_0_4_7 + 0.00363065505922698*G0_1_0_4_8 - 0.0168517197088653*G0_1_0_4_9 + 0.00052772624201203*G0_1_0_5_0 - 0.000593692022263561*G0_1_0_5_1 + 0.0141623455909194*G0_1_0_5_2 - 0.0172627372627401*G0_1_0_5_3 + 0.036306550592271*G0_1_0_5_4 + 0.00662194947909359*G0_1_0_5_5 - 0.00611959469102433*G0_1_0_5_6 + 0.00178107606679065*G0_1_0_5_8 - 0.00356215213358134*G0_1_0_5_9 + 0.00105291533862982*G0_1_0_6_0 + 0.00121021835307573*G0_1_0_6_1 - 0.0274950446379064*G0_1_0_6_2 - 0.00363065505922717*G0_1_0_6_3 - 0.0326758955330438*G0_1_0_6_4 - 0.00611959469102433*G0_1_0_6_5 + 0.0812216355073642*G0_1_0_6_6 - 0.00178107606679064*G0_1_0_6_7 + 0.0630226915941309*G0_1_0_6_9 - 0.000527726242012067*G0_1_0_7_0 - 0.0141623455909195*G0_1_0_7_1 + 0.000593692022263534*G0_1_0_7_2 - 0.0363065505922711*G0_1_0_7_3 + 0.0172627372627402*G0_1_0_7_4 - 0.00178107606679064*G0_1_0_7_6 - 0.00662194947909341*G0_1_0_7_7 + 0.00611959469102415*G0_1_0_7_8 + 0.00356215213358125*G0_1_0_7_9 - 0.00105291533862977*G0_1_0_8_0 + 0.0274950446379066*G0_1_0_8_1 - 0.00121021835307568*G0_1_0_8_2 + 0.0326758955330441*G0_1_0_8_3 + 0.00363065505922698*G0_1_0_8_4 + 0.00178107606679065*G0_1_0_8_5 + 0.00611959469102415*G0_1_0_8_7 - 0.081221635507363*G0_1_0_8_8 - 0.0630226915941307*G0_1_0_8_9 + 0.018587127158559*G0_1_0_9_1 - 0.0185871271585588*G0_1_0_9_2 + 0.0168517197088656*G0_1_0_9_3 - 0.0168517197088653*G0_1_0_9_4 - 0.00356215213358134*G0_1_0_9_5 + 0.0630226915941309*G0_1_0_9_6 + 0.00356215213358125*G0_1_0_9_7 - 0.0630226915941307*G0_1_0_9_8 + 0.00683563350230129*G0_1_1_0_0 + 0.0113870961490029*G0_1_1_0_1 - 0.00181402371878594*G0_1_1_0_2 + 0.00949938949939118*G0_1_1_0_3 - 0.00675292961007367*G0_1_1_0_4 - 0.000740212168783746*G0_1_1_0_5 + 0.00511393368536315*G0_1_1_0_6 + 0.00557093699950932*G0_1_1_0_7 - 0.00661402089973625*G0_1_1_0_8 + 0.00300080871509498*G0_1_1_0_9 + 0.0113870961490029*G0_1_1_1_0 + 0.297293817293868*G0_1_1_1_1 + 0.00985769081007342*G0_1_1_1_2 + 0.183340469054786*G0_1_1_1_3 - 0.0896379810665677*G0_1_1_1_4 - 0.00201861630433102*G0_1_1_1_5 + 0.00299161156304068*G0_1_1_1_6 - 0.0427972027972103*G0_1_1_1_7 + 0.0793834736692019*G0_1_1_1_8 + 0.0248893963179721*G0_1_1_1_9 - 0.00181402371878594*G0_1_1_2_0 + 0.00985769081007342*G0_1_1_2_1 - 0.0578519892805703*G0_1_1_2_2 + 0.0566966366966463*G0_1_1_2_3 - 0.0930764473621774*G0_1_1_2_4 + 0.0114200085628676*G0_1_1_2_5 - 0.0183625897911643*G0_1_1_2_6 + 0.00204589061731951*G0_1_1_2_7 + 0.000599717742575037*G0_1_1_2_8 - 0.00934494077351375*G0_1_1_2_9 + 0.00949938949939118*G0_1_1_3_0 + 0.183340469054786*G0_1_1_3_1 + 0.0566966366966463*G0_1_1_3_2 + 0.313863279577619*G0_1_1_3_3 - 0.0499643213929013*G0_1_1_3_4 - 0.00658484372770197*G0_1_1_3_5 - 0.0182474668188985*G0_1_1_3_6 - 0.03777080062795*G0_1_1_3_7 + 0.0488425859854518*G0_1_1_3_8 + 0.000873412301984126*G0_1_1_3_9 - 0.00675292961007367*G0_1_1_4_0 - 0.0896379810665677*G0_1_1_4_1 - 0.0930764473621774*G0_1_1_4_2 - 0.0499643213929013*G0_1_1_4_3 - 0.292747252747302*G0_1_1_4_4 + 0.0109861567004443*G0_1_1_4_5 + 0.00726131011845423*G0_1_1_4_6 + 0.0116968745540194*G0_1_1_4_7 - 0.0110717853575017*G0_1_1_4_8 + 0.00606250891965279*G0_1_1_4_9 - 0.000740212168783746*G0_1_1_5_0 - 0.00201861630433102*G0_1_1_5_1 + 0.0114200085628676*G0_1_1_5_2 - 0.00658484372770197*G0_1_1_5_3 + 0.0109861567004442*G0_1_1_5_4 + 0.0287483944626849*G0_1_1_5_5 - 0.0316797488226113*G0_1_1_5_6 + 0.0186270871985189*G0_1_1_5_7 - 0.00321678321678375*G0_1_1_5_8 - 0.00256885971171738*G0_1_1_5_9 + 0.00511393368536315*G0_1_1_6_0 + 0.00299161156304068*G0_1_1_6_1 - 0.0183625897911643*G0_1_1_6_2 - 0.0182474668188985*G0_1_1_6_3 + 0.00726131011845424*G0_1_1_6_4 - 0.0316797488226113*G0_1_1_6_5 + 0.104409875838465*G0_1_1_6_6 - 0.0154103039817351*G0_1_1_6_7 - 0.000750677893535239*G0_1_1_6_8 + 0.0645297559583383*G0_1_1_6_9 + 0.00557093699950932*G0_1_1_7_0 - 0.0427972027972103*G0_1_1_7_1 + 0.00204589061731951*G0_1_1_7_2 - 0.03777080062795*G0_1_1_7_3 + 0.0116968745540194*G0_1_1_7_4 + 0.0186270871985189*G0_1_1_7_5 - 0.0154103039817351*G0_1_1_7_6 + 0.0773740545169248*G0_1_1_7_7 + 0.00756101041815432*G0_1_1_7_8 + 0.0218181818181854*G0_1_1_7_9 - 0.00661402089973625*G0_1_1_8_0 + 0.0793834736692019*G0_1_1_8_1 + 0.000599717742575037*G0_1_1_8_2 + 0.0488425859854518*G0_1_1_8_3 - 0.0110717853575017*G0_1_1_8_4 - 0.00321678321678375*G0_1_1_8_5 - 0.000750677893535239*G0_1_1_8_6 + 0.00756101041815431*G0_1_1_8_7 - 0.143016983017006*G0_1_1_8_8 - 0.0525246182389126*G0_1_1_8_9 + 0.00300080871509498*G0_1_1_9_0 + 0.0248893963179721*G0_1_1_9_1 - 0.00934494077351375*G0_1_1_9_2 + 0.000873412301984126*G0_1_1_9_3 + 0.00606250891965279*G0_1_1_9_4 - 0.00256885971171738*G0_1_1_9_5 + 0.0645297559583383*G0_1_1_9_6 + 0.0218181818181854*G0_1_1_9_7 - 0.0525246182389126*G0_1_1_9_8 + 0.119195090623682*G0_1_1_9_9;
    A[100] = A[153] + 0.0651082251082363*G0_0_0_0_0 + 0.00793090507376358*G0_0_0_0_2 - 0.00729936729936863*G0_0_0_0_3 - 0.0016497787926362*G0_0_0_0_4 + 0.0909826681255408*G0_0_0_0_5 - 0.0385354328211537*G0_0_0_0_6 + 0.017282400139546*G0_0_0_0_7 - 0.00624264624264737*G0_0_0_0_8 + 0.013183007468724*G0_0_0_0_9 - 0.065108225108236*G0_0_0_1_1 - 0.00793090507376355*G0_0_0_1_2 - 0.0909826681255408*G0_0_0_1_3 + 0.0385354328211537*G0_0_0_1_4 + 0.00729936729936852*G0_0_0_1_5 + 0.00164977879263622*G0_0_0_1_6 + 0.00624264624264737*G0_0_0_1_7 - 0.017282400139546*G0_0_0_1_8 - 0.0131830074687241*G0_0_0_1_9 + 0.00793090507376358*G0_0_0_2_0 - 0.00793090507376355*G0_0_0_2_1 - 0.0134519448805187*G0_0_0_2_3 + 0.00734249877107151*G0_0_0_2_4 + 0.0134519448805186*G0_0_0_2_5 - 0.00734249877107138*G0_0_0_2_6 - 0.00479710765425128*G0_0_0_2_7 + 0.00479710765425127*G0_0_0_2_8 - 0.00729936729936863*G0_0_0_3_0 - 0.0909826681255408*G0_0_0_3_1 - 0.0134519448805187*G0_0_0_3_2 - 0.39761381475674*G0_0_0_3_3 + 0.0636335093478061*G0_0_0_3_4 - 0.00494933637790862*G0_0_0_3_6 + 0.0218981018981058*G0_0_0_3_7 - 0.007506778935352*G0_0_0_3_8 - 0.00424718139003961*G0_0_0_3_9 - 0.0016497787926362*G0_0_0_4_0 + 0.0385354328211537*G0_0_0_4_1 + 0.00734249877107151*G0_0_0_4_2 + 0.0636335093478061*G0_0_0_4_3 - 0.0386242329099538*G0_0_0_4_4 + 0.00494933637790859*G0_0_0_4_5 + 0.0096703296703312*G0_0_0_4_7 - 0.0143913229627538*G0_0_0_4_8 - 0.0098986727558172*G0_0_0_4_9 + 0.0909826681255408*G0_0_0_5_0 + 0.00729936729936852*G0_0_0_5_1 + 0.0134519448805186*G0_0_0_5_2 + 0.00494933637790859*G0_0_0_5_4 + 0.397613814756739*G0_0_0_5_5 - 0.063633509347806*G0_0_0_5_6 + 0.00750677893535166*G0_0_0_5_7 - 0.0218981018981056*G0_0_0_5_8 + 0.00424718139003937*G0_0_0_5_9 - 0.0385354328211537*G0_0_0_6_0 + 0.00164977879263622*G0_0_0_6_1 - 0.00734249877107138*G0_0_0_6_2 - 0.00494933637790862*G0_0_0_6_3 - 0.063633509347806*G0_0_0_6_5 + 0.0386242329099538*G0_0_0_6_6 + 0.0143913229627539*G0_0_0_6_7 - 0.00967032967033123*G0_0_0_6_8 + 0.00989867275581723*G0_0_0_6_9 + 0.017282400139546*G0_0_0_7_0 + 0.00624264624264737*G0_0_0_7_1 - 0.00479710765425128*G0_0_0_7_2 + 0.0218981018981058*G0_0_0_7_3 + 0.00967032967033121*G0_0_0_7_4 + 0.00750677893535166*G0_0_0_7_5 + 0.0143913229627539*G0_0_0_7_6 - 0.0793606393606524*G0_0_0_7_7 - 0.0683316683316796*G0_0_0_7_9 - 0.00624264624264737*G0_0_0_8_0 - 0.017282400139546*G0_0_0_8_1 + 0.00479710765425126*G0_0_0_8_2 - 0.00750677893535201*G0_0_0_8_3 - 0.0143913229627538*G0_0_0_8_4 - 0.0218981018981056*G0_0_0_8_5 - 0.00967032967033123*G0_0_0_8_6 + 0.079360639360652*G0_0_0_8_8 + 0.0683316683316796*G0_0_0_8_9 + 0.013183007468724*G0_0_0_9_0 - 0.0131830074687241*G0_0_0_9_1 - 0.00424718139003962*G0_0_0_9_3 - 0.0098986727558172*G0_0_0_9_4 + 0.00424718139003937*G0_0_0_9_5 + 0.00989867275581723*G0_0_0_9_6 - 0.0683316683316796*G0_0_0_9_7 + 0.0683316683316796*G0_0_0_9_8 - 0.00565755232421976*G0_0_1_0_0 - 0.00787519358948071*G0_0_1_0_1 - 0.00138665567237019*G0_0_1_0_2 - 0.00718424432710279*G0_0_1_0_3 + 0.00198943913229664*G0_0_1_0_4 - 0.00943437514866233*G0_0_1_0_5 + 0.00516531087959742*G0_0_1_0_6 - 0.0118954061811223*G0_0_1_0_7 + 0.0111339454196615*G0_0_1_0_8 - 0.0019580419580423*G0_0_1_0_9 - 0.00787519358948071*G0_0_1_1_0 - 0.269732243065623*G0_0_1_1_1 - 0.0154826126254724*G0_0_1_1_2 - 0.163081363081391*G0_0_1_1_3 + 0.0714859743431294*G0_0_1_1_4 - 0.00507207078635728*G0_0_1_1_5 + 0.00370201227344146*G0_0_1_1_6 + 0.0245284873856346*G0_0_1_1_7 - 0.0460428460428543*G0_0_1_1_8 - 0.014043099757388*G0_0_1_1_9 - 0.00138665567237019*G0_0_1_2_0 - 0.0154826126254724*G0_0_1_2_1 - 0.000529417672274901*G0_0_1_2_2 - 0.0194342165770771*G0_0_1_2_3 + 0.00958533529962265*G0_0_1_2_4 - 0.0049864421293001*G0_0_1_2_5 + 0.00209504780933389*G0_0_1_2_6 - 0.00197802197802228*G0_0_1_2_7 + 0.00538033395176335*G0_0_1_2_8 + 0.000108462965605804*G0_0_1_2_9 - 0.00718424432710279*G0_0_1_3_0 - 0.163081363081391*G0_0_1_3_1 - 0.0194342165770771*G0_0_1_3_2 - 0.350843442272074*G0_0_1_3_3 + 0.0898273155416167*G0_0_1_3_4 + 0.014411302982734*G0_0_1_3_5 - 0.00315969744541224*G0_0_1_3_6 + 0.0294990723562205*G0_0_1_3_7 - 0.0213044098758426*G0_0_1_3_8 - 0.0168688454402773*G0_0_1_3_9 + 0.00198943913229664*G0_0_1_4_0 + 0.0714859743431294*G0_0_1_4_1 + 0.00958533529962265*G0_0_1_4_2 + 0.0898273155416167*G0_0_1_4_3 - 0.0428714142999931*G0_0_1_4_4 + 0.0019780219780223*G0_0_1_4_5 + 0.00118167546738995*G0_0_1_4_6 - 0.00399029541886762*G0_0_1_4_7 - 0.00819466248037788*G0_0_1_4_8 - 0.00428143285286199*G0_0_1_4_9 - 0.00943437514866233*G0_0_1_5_0 - 0.00507207078635728*G0_0_1_5_1 - 0.0049864421293001*G0_0_1_5_2 + 0.014411302982734*G0_0_1_5_3 + 0.0019780219780223*G0_0_1_5_4 - 0.084943627800785*G0_0_1_5_5 + 0.0204738119023866*G0_0_1_5_6 - 0.0370429570429632*G0_0_1_5_7 + 0.0231625517339842*G0_0_1_5_8 - 0.0404509775938416*G0_0_1_5_9 + 0.00516531087959742*G0_0_1_6_0 + 0.00370201227344146*G0_0_1_6_1 + 0.00209504780933389*G0_0_1_6_2 - 0.00315969744541224*G0_0_1_6_3 + 0.00118167546738995*G0_0_1_6_4 + 0.0204738119023866*G0_0_1_6_5 - 0.00506921649778867*G0_0_1_6_6 + 0.013880405308979*G0_0_1_6_7 - 0.0175966890252633*G0_0_1_6_8 + 0.00599400599400705*G0_0_1_6_9 - 0.0118954061811223*G0_0_1_7_0 + 0.0245284873856346*G0_0_1_7_1 - 0.00197802197802228*G0_0_1_7_2 + 0.0294990723562205*G0_0_1_7_3 - 0.00399029541886762*G0_0_1_7_4 - 0.0370429570429632*G0_0_1_7_5 + 0.013880405308979*G0_0_1_7_6 - 0.0102411873840462*G0_0_1_7_7 - 0.0172370486656228*G0_0_1_7_8 - 0.0218866847438312*G0_0_1_7_9 + 0.0111339454196615*G0_0_1_8_0 - 0.0460428460428543*G0_0_1_8_1 + 0.00538033395176335*G0_0_1_8_2 - 0.0213044098758426*G0_0_1_8_3 - 0.00819466248037788*G0_0_1_8_4 + 0.0231625517339842*G0_0_1_8_5 - 0.0175966890252633*G0_0_1_8_6 - 0.0172370486656228*G0_0_1_8_7 + 0.189496218067677*G0_0_1_8_8 + 0.0585186242329195*G0_0_1_8_9 - 0.0019580419580423*G0_0_1_9_0 - 0.014043099757388*G0_0_1_9_1 + 0.000108462965605803*G0_0_1_9_2 - 0.0168688454402773*G0_0_1_9_3 - 0.00428143285286199*G0_0_1_9_4 - 0.0404509775938416*G0_0_1_9_5 + 0.00599400599400705*G0_0_1_9_6 - 0.0218866847438312*G0_0_1_9_7 + 0.0585186242329195*G0_0_1_9_8 - 0.033703439417731*G0_0_1_9_9 - 0.204624017957387*G0_1_0_0_0 - 0.00787519358948069*G0_1_0_0_1 - 0.00755170755170886*G0_1_0_0_2 - 0.0123714380857259*G0_1_0_0_3 + 0.00205223348080527*G0_1_0_0_4 - 0.0720986949558503*G0_1_0_0_5 + 0.0329505415219758*G0_1_0_0_6 - 0.0287604459033081*G0_1_0_0_7 + 0.0182858411429872*G0_1_0_0_8 - 0.000860092288663996*G0_1_0_0_9 - 0.00787519358948069*G0_1_0_1_0 - 0.0707657774324558*G0_1_0_1_1 - 0.00931756074613373*G0_1_0_1_2 - 0.100417043274203*G0_1_0_1_3 + 0.0437007437007511*G0_1_0_1_4 + 0.000115122972265838*G0_1_0_1_5 + 0.00363921792493283*G0_1_0_1_6 + 0.0173765916623089*G0_1_0_1_7 - 0.0291778063206684*G0_1_0_1_8 - 0.0151410494267663*G0_1_0_1_9 - 0.00755170755170885*G0_1_0_2_0 - 0.00931756074613373*G0_1_0_2_1 - 0.000529417672274834*G0_1_0_2_2 - 0.0184383870098187*G0_1_0_2_3 + 0.00943754658040535*G0_1_0_2_4 - 0.00598227169655844*G0_1_0_2_5 + 0.00224283652855121*G0_1_0_2_6 + 0.000583226297512104*G0_1_0_2_7 + 0.00281908567622899*G0_1_0_2_8 + 0.000108462965605825*G0_1_0_2_9 - 0.0123714380857259*G0_1_0_3_0 - 0.100417043274203*G0_1_0_3_1 - 0.0184383870098187*G0_1_0_3_2 - 0.482557442557525*G0_1_0_3_3 + 0.0841073212501926*G0_1_0_3_4 + 0.014411302982734*G0_1_0_3_5 - 0.00297131439988631*G0_1_0_3_6 + 0.0450606536320899*G0_1_0_3_7 - 0.0445497359783151*G0_1_0_3_8 - 0.0446981589838811*G0_1_0_3_9 + 0.00205223348080527*G0_1_0_4_0 + 0.0437007437007511*G0_1_0_4_1 + 0.00943754658040535*G0_1_0_4_2 + 0.0841073212501926*G0_1_0_4_3 - 0.0436934494077424*G0_1_0_4_4 + 0.00178963893249638*G0_1_0_4_5 + 0.00118167546738994*G0_1_0_4_6 - 0.00792635935493214*G0_1_0_4_7 - 0.000510917653774803*G0_1_0_4_8 - 0.00390466676181021*G0_1_0_4_9 - 0.0720986949558503*G0_1_0_5_0 + 0.000115122972265838*G0_1_0_5_1 - 0.00598227169655844*G0_1_0_5_2 + 0.014411302982734*G0_1_0_5_3 + 0.00178963893249638*G0_1_0_5_4 + 0.0467703724846657*G0_1_0_5_5 + 0.0261938061938107*G0_1_0_5_6 - 0.0137976309404905*G0_1_0_5_7 + 0.00760097045811467*G0_1_0_5_8 - 0.0126216640502377*G0_1_0_5_9 + 0.0329505415219758*G0_1_0_6_0 + 0.00363921792493283*G0_1_0_6_1 + 0.00224283652855121*G0_1_0_6_2 - 0.00297131439988632*G0_1_0_6_3 + 0.00118167546738994*G0_1_0_6_4 + 0.0261938061938107*G0_1_0_6_5 - 0.00424718139003946*G0_1_0_6_6 + 0.00619666048237586*G0_1_0_6_7 - 0.0136606250891988*G0_1_0_6_8 + 0.00561723990295515*G0_1_0_6_9 - 0.0287604459033081*G0_1_0_7_0 + 0.0173765916623089*G0_1_0_7_1 + 0.000583226297512103*G0_1_0_7_2 + 0.0450606536320899*G0_1_0_7_3 - 0.00792635935493214*G0_1_0_7_4 - 0.0137976309404905*G0_1_0_7_5 + 0.00619666048237586*G0_1_0_7_6 + 0.110135578707026*G0_1_0_7_7 - 0.0172370486656228*G0_1_0_7_8 - 0.00981304409875999*G0_1_0_7_9 + 0.0182858411429872*G0_1_0_8_0 - 0.0291778063206684*G0_1_0_8_1 + 0.00281908567622899*G0_1_0_8_2 - 0.0445497359783151*G0_1_0_8_3 - 0.0005109176537748*G0_1_0_8_4 + 0.00760097045811466*G0_1_0_8_5 - 0.0136606250891988*G0_1_0_8_6 - 0.0172370486656228*G0_1_0_8_7 + 0.0691194519766061*G0_1_0_8_8 + 0.0464449835878485*G0_1_0_8_9 - 0.000860092288663997*G0_1_0_9_0 - 0.0151410494267663*G0_1_0_9_1 + 0.000108462965605826*G0_1_0_9_2 - 0.0446981589838811*G0_1_0_9_3 - 0.00390466676181021*G0_1_0_9_4 - 0.0126216640502377*G0_1_0_9_5 + 0.00561723990295515*G0_1_0_9_6 - 0.00981304409875999*G0_1_0_9_7 + 0.0464449835878485*G0_1_0_9_8 - 0.033703439417731*G0_1_0_9_9 + 0.0252784252784292*G0_1_1_0_0 - 0.00787519358948073*G0_1_1_0_1 + 0.000543900543900617*G0_1_1_0_2 - 0.013008895866041*G0_1_1_0_3 + 0.00330241187384103*G0_1_1_0_4 + 0.0125081267938431*G0_1_1_0_5 - 0.00504289361432297*G0_1_1_0_6 + 0.0272565529708432*G0_1_1_0_7 - 0.0114885114885134*G0_1_1_0_8 + 0.00235003092145988*G0_1_1_0_9 - 0.00787519358948073*G0_1_1_1_0 - 0.300668220668272*G0_1_1_1_1 - 0.0174131688417432*G0_1_1_1_2 - 0.185023865023897*G0_1_1_1_3 + 0.0816941788370498*G0_1_1_1_4 + 0.000752580752580941*G0_1_1_1_5 + 0.00238903953189706*G0_1_1_1_6 + 0.0471509442938096*G0_1_1_1_7 - 0.08519480519482*G0_1_1_1_8 - 0.0183511726368901*G0_1_1_1_9 + 0.000543900543900617*G0_1_1_2_0 - 0.0174131688417432*G0_1_1_2_1 - 0.000529417672274901*G0_1_1_2_2 - 0.0246302903445802*G0_1_1_2_3 + 0.0113137655994818*G0_1_1_2_4 + 0.00020963163820309*G0_1_1_2_5 + 0.000366617509474736*G0_1_1_2_6 + 0.00411493268636194*G0_1_1_2_7 - 0.00071262071262088*G0_1_1_2_8 + 0.000108462965605802*G0_1_1_2_9 - 0.013008895866041*G0_1_1_3_0 - 0.185023865023897*G0_1_1_3_1 - 0.0246302903445802*G0_1_1_3_2 - 0.402962751534249*G0_1_1_3_3 + 0.111879549022425*G0_1_1_3_4 + 0.014411302982734*G0_1_1_3_5 + 0.000779220779220925*G0_1_1_3_6 + 0.046973026973035*G0_1_1_3_7 - 0.0570572284858099*G0_1_1_3_8 - 0.0388925360354*G0_1_1_3_9 + 0.00330241187384103*G0_1_1_4_0 + 0.0816941788370498*G0_1_1_4_1 + 0.0113137655994818*G0_1_1_4_2 + 0.111879549022425*G0_1_1_4_3 - 0.0508405879834537*G0_1_1_4_4 - 0.00196089624661087*G0_1_1_4_5 + 0.00118167546738995*G0_1_1_4_6 - 0.0150991865277605*G0_1_1_4_7 + 0.0100842015127748*G0_1_1_4_8 + 0.00359640359640435*G0_1_1_4_9 + 0.0125081267938431*G0_1_1_5_0 + 0.00075258075258094*G0_1_1_5_1 + 0.00020963163820309*G0_1_1_5_2 + 0.014411302982734*G0_1_1_5_3 - 0.00196089624661087*G0_1_1_5_4 - 0.0328243185386101*G0_1_1_5_5 - 0.00157842157842184*G0_1_1_5_6 - 0.00129013843299594*G0_1_1_5_7 + 0.00568859711716959*G0_1_1_5_8 - 0.0184272869987188*G0_1_1_5_9 - 0.00504289361432297*G0_1_1_6_0 + 0.00238903953189706*G0_1_1_6_1 + 0.000366617509474736*G0_1_1_6_2 + 0.000779220779220925*G0_1_1_6_3 + 0.00118167546738995*G0_1_1_6_4 - 0.00157842157842184*G0_1_1_6_5 + 0.00289995718567199*G0_1_1_6_6 - 0.00439845868417365*G0_1_1_6_7 - 0.00648779791637039*G0_1_1_6_8 - 0.00188383045525927*G0_1_1_6_9 + 0.0272565529708432*G0_1_1_7_0 + 0.0471509442938096*G0_1_1_7_1 + 0.00411493268636194*G0_1_1_7_2 + 0.046973026973035*G0_1_1_7_3 - 0.0150991865277605*G0_1_1_7_4 - 0.00129013843299594*G0_1_1_7_5 - 0.00439845868417365*G0_1_1_7_6 + 0.0222977022977056*G0_1_1_7_7 - 0.0172370486656227*G0_1_1_7_8 + 0.00174682460396773*G0_1_1_7_9 - 0.0114885114885134*G0_1_1_8_0 - 0.08519480519482*G0_1_1_8_1 - 0.00071262071262088*G0_1_1_8_2 - 0.0570572284858099*G0_1_1_8_3 + 0.0100842015127748*G0_1_1_8_4 + 0.00568859711716959*G0_1_1_8_5 - 0.00648779791637039*G0_1_1_8_6 - 0.0172370486656227*G0_1_1_8_7 + 0.156957328385925*G0_1_1_8_8 + 0.0348851148851206*G0_1_1_8_9 + 0.00235003092145988*G0_1_1_9_0 - 0.0183511726368901*G0_1_1_9_1 + 0.000108462965605802*G0_1_1_9_2 - 0.0388925360354*G0_1_1_9_3 + 0.00359640359640435*G0_1_1_9_4 - 0.0184272869987188*G0_1_1_9_5 - 0.00188383045525927*G0_1_1_9_6 + 0.00174682460396773*G0_1_1_9_7 + 0.0348851148851206*G0_1_1_9_8 - 0.0337034394177311*G0_1_1_9_9;
    A[163] = -A[153] + 0.0238161838161879*G0_0_0_0_0 + 0.00180570751999355*G0_0_0_0_2 - 0.0079615622472779*G0_0_0_0_3 + 0.00274297131440034*G0_0_0_0_4 + 0.0306116106116159*G0_0_0_0_5 - 0.0122360179503058*G0_0_0_0_6 + 0.00484626484626566*G0_0_0_0_7 - 0.00889713461142182*G0_0_0_0_8 - 0.0183740069454386*G0_0_0_0_9 - 0.0238161838161881*G0_0_0_1_1 - 0.00180570751999354*G0_0_0_1_2 - 0.0306116106116159*G0_0_0_1_3 + 0.0122360179503057*G0_0_0_1_4 + 0.00796156224727787*G0_0_0_1_5 - 0.00274297131440035*G0_0_0_1_6 + 0.00889713461142184*G0_0_0_1_7 - 0.00484626484626571*G0_0_0_1_8 + 0.0183740069454386*G0_0_0_1_9 + 0.00180570751999355*G0_0_0_2_0 - 0.00180570751999355*G0_0_0_2_1 - 0.0111609025894759*G0_0_0_2_3 + 0.00547769690626923*G0_0_0_2_4 + 0.0111609025894759*G0_0_0_2_5 - 0.00547769690626929*G0_0_0_2_6 + 0.012948004376578*G0_0_0_2_7 - 0.012948004376578*G0_0_0_2_8 - 0.0079615622472779*G0_0_0_3_0 - 0.0306116106116159*G0_0_0_3_1 - 0.0111609025894759*G0_0_0_3_2 - 0.23447409733128*G0_0_0_3_3 + 0.0423034108748466*G0_0_0_3_4 + 0.00822891394320105*G0_0_0_3_6 + 0.0238846867418336*G0_0_0_3_7 - 0.0627286998715675*G0_0_0_3_8 - 0.102891394319983*G0_0_0_3_9 + 0.00274297131440034*G0_0_0_4_0 + 0.0122360179503057*G0_0_0_4_1 + 0.00547769690626923*G0_0_0_4_2 + 0.0423034108748466*G0_0_0_4_3 - 0.0385043527900735*G0_0_0_4_4 - 0.00822891394320105*G0_0_0_4_5 - 0.0235364635364675*G0_0_0_4_7 + 0.0388440131297339*G0_0_0_4_8 + 0.0164578278864021*G0_0_0_4_9 + 0.0306116106116159*G0_0_0_5_0 + 0.00796156224727787*G0_0_0_5_1 + 0.0111609025894759*G0_0_0_5_2 - 0.00822891394320105*G0_0_0_5_4 + 0.23447409733128*G0_0_0_5_5 - 0.0423034108748466*G0_0_0_5_6 + 0.0627286998715674*G0_0_0_5_7 - 0.0238846867418336*G0_0_0_5_8 + 0.102891394319983*G0_0_0_5_9 - 0.0122360179503058*G0_0_0_6_0 - 0.00274297131440035*G0_0_0_6_1 - 0.00547769690626929*G0_0_0_6_2 + 0.00822891394320105*G0_0_0_6_3 - 0.0423034108748466*G0_0_0_6_5 + 0.0385043527900735*G0_0_0_6_6 - 0.0388440131297339*G0_0_0_6_7 + 0.0235364635364675*G0_0_0_6_8 - 0.0164578278864021*G0_0_0_6_9 + 0.00484626484626566*G0_0_0_7_0 + 0.00889713461142184*G0_0_0_7_1 + 0.012948004376578*G0_0_0_7_2 + 0.0238846867418336*G0_0_0_7_3 - 0.0235364635364675*G0_0_0_7_4 + 0.0627286998715674*G0_0_0_7_5 - 0.0388440131297339*G0_0_0_7_6 + 0.105443128300288*G0_0_0_7_7 + 0.132810047095784*G0_0_0_7_9 - 0.00889713461142182*G0_0_0_8_0 - 0.0048462648462657*G0_0_0_8_1 - 0.012948004376578*G0_0_0_8_2 - 0.0627286998715675*G0_0_0_8_3 + 0.0388440131297339*G0_0_0_8_4 - 0.0238846867418336*G0_0_0_8_5 + 0.0235364635364675*G0_0_0_8_6 - 0.105443128300289*G0_0_0_8_8 - 0.132810047095784*G0_0_0_8_9 - 0.0183740069454386*G0_0_0_9_0 + 0.0183740069454386*G0_0_0_9_1 - 0.102891394319983*G0_0_0_9_3 + 0.0164578278864021*G0_0_0_9_4 + 0.102891394319983*G0_0_0_9_5 - 0.0164578278864021*G0_0_0_9_6 + 0.132810047095784*G0_0_0_9_7 - 0.132810047095784*G0_0_0_9_8 + 0.00815283481950244*G0_0_1_0_0 + 0.00238819381676571*G0_0_1_0_1 - 0.00103335817621551*G0_0_1_0_2 - 0.0106090734662181*G0_0_1_0_3 + 0.00500959358102298*G0_0_1_0_4 + 0.00621124906839276*G0_0_1_0_5 + 0.00585668299954106*G0_0_1_0_7 - 0.0323641437927207*G0_0_1_0_8 - 0.00902526045383341*G0_0_1_0_9 + 0.0023881938167657*G0_0_1_1_0 + 0.206687140020509*G0_0_1_1_1 + 0.00595235452378411*G0_0_1_1_2 + 0.0566455766455864*G0_0_1_1_3 - 0.0257653457653502*G0_0_1_1_4 - 0.000280354566068966*G0_0_1_1_5 - 0.000467786182071971*G0_0_1_1_6 - 0.00939060939061118*G0_0_1_1_7 + 0.00311688311688419*G0_0_1_1_8 + 0.00340992340992407*G0_0_1_1_9 - 0.00103335817621551*G0_0_1_2_0 + 0.00595235452378411*G0_0_1_2_1 - 0.00250627679199152*G0_0_1_2_2 - 0.0094778237635396*G0_0_1_2_3 + 0.00845186559472412*G0_0_1_2_4 + 0.00190507904793649*G0_0_1_2_5 + 0.00257012828441441*G0_0_1_2_6 + 0.00827680256251821*G0_0_1_2_7 - 0.0349304663590436*G0_0_1_2_8 - 0.0172265829408715*G0_0_1_2_9 - 0.0106090734662181*G0_0_1_3_0 + 0.0566455766455864*G0_0_1_3_1 - 0.0094778237635396*G0_0_1_3_2 - 0.295404595404645*G0_0_1_3_3 + 0.0279035250463868*G0_0_1_3_4 + 0.0106236620522352*G0_0_1_3_5 + 0.0128243185386064*G0_0_1_3_6 + 0.0432481803910446*G0_0_1_3_7 - 0.159460539460566*G0_0_1_3_8 - 0.0967261310118616*G0_0_1_3_9 + 0.00500959358102298*G0_0_1_4_0 - 0.0257653457653502*G0_0_1_4_1 + 0.00845186559472412*G0_0_1_4_2 + 0.0279035250463867*G0_0_1_4_3 - 0.0469616098187605*G0_0_1_4_4 - 0.00360782075067848*G0_0_1_4_5 - 0.0092164977879279*G0_0_1_4_6 - 0.025640074211507*G0_0_1_4_7 + 0.116212359069521*G0_0_1_4_8 + 0.0588953903239716*G0_0_1_4_9 + 0.00621124906839276*G0_0_1_5_0 - 0.000280354566068966*G0_0_1_5_1 + 0.00190507904793649*G0_0_1_5_2 + 0.0106236620522352*G0_0_1_5_3 - 0.00360782075067848*G0_0_1_5_4 + 0.0122135007849313*G0_0_1_5_5 - 0.00631654060225584*G0_0_1_5_6 + 0.00114742400456705*G0_0_1_5_7 + 0.0122620236905972*G0_0_1_5_8 + 0.00255173398030582*G0_0_1_5_9 - 0.000467786182071971*G0_0_1_6_1 + 0.00257012828441441*G0_0_1_6_2 + 0.0128243185386064*G0_0_1_6_3 - 0.0092164977879279*G0_0_1_6_4 - 0.00631654060225584*G0_0_1_6_5 + 0.000174111602683039*G0_0_1_6_6 - 0.0134094476951642*G0_0_1_6_7 + 0.0473868988154781*G0_0_1_6_8 + 0.0260311117454018*G0_0_1_6_9 + 0.00585668299954106*G0_0_1_7_0 - 0.00939060939061118*G0_0_1_7_1 + 0.00827680256251821*G0_0_1_7_2 + 0.0432481803910446*G0_0_1_7_3 - 0.025640074211507*G0_0_1_7_4 + 0.00114742400456705*G0_0_1_7_5 - 0.0134094476951642*G0_0_1_7_6 + 0.006230911945199*G0_0_1_7_7 + 0.163205366062536*G0_0_1_7_8 + 0.0538946767518286*G0_0_1_7_9 - 0.0323641437927207*G0_0_1_8_0 + 0.0031168831168842*G0_0_1_8_1 - 0.0349304663590436*G0_0_1_8_2 - 0.159460539460566*G0_0_1_8_3 + 0.116212359069521*G0_0_1_8_4 + 0.0122620236905972*G0_0_1_8_5 + 0.0473868988154781*G0_0_1_8_6 + 0.163205366062536*G0_0_1_8_7 - 0.962297702297864*G0_0_1_8_8 - 0.242654488368815*G0_0_1_8_9 - 0.00902526045383341*G0_0_1_9_0 + 0.00340992340992407*G0_0_1_9_1 - 0.0172265829408715*G0_0_1_9_2 - 0.0967261310118616*G0_0_1_9_3 + 0.0588953903239716*G0_0_1_9_4 + 0.00255173398030582*G0_0_1_9_5 + 0.0260311117454019*G0_0_1_9_6 + 0.0538946767518286*G0_0_1_9_7 - 0.242654488368815*G0_0_1_9_8 - 0.093609247894978*G0_0_1_9_9 - 0.00328264328264382*G0_1_0_0_0 - 0.00146055003197886*G0_1_0_0_1 - 0.000108885823171557*G0_1_0_0_2 - 0.00802657659800656*G0_1_0_0_3 + 0.000159523016665906*G0_1_0_0_4 - 0.000388500388500436*G0_1_0_0_5 + 0.00725274725274847*G0_1_0_0_7 - 0.00150896722325321*G0_1_0_0_8 - 0.000525189096617777*G0_1_0_0_9 - 0.00146055003197886*G0_1_0_1_0 - 0.0270988270988319*G0_1_0_1_1 - 0.0019145933431651*G0_1_0_1_2 - 0.0310001110001163*G0_1_0_1_3 + 0.0122366522366543*G0_1_0_1_4 - 0.00258344829773445*G0_1_0_1_6 + 0.00738816738816868*G0_1_0_1_7 + 0.00240648240648272*G0_1_0_1_8 + 0.0178488178488208*G0_1_0_1_9 - 0.000108885823171557*G0_1_0_2_0 - 0.0019145933431651*G0_1_0_2_1 - 0.00380952380952445*G0_1_0_2_2 - 0.0123800009514316*G0_1_0_2_3 + 0.0100470957613832*G0_1_0_2_4 - 0.00121909836195571*G0_1_0_2_5 + 0.00456939885511392*G0_1_0_2_6 - 0.00265670837099453*G0_1_0_2_7 - 0.0156047127475725*G0_1_0_2_8 - 0.0232529375386557*G0_1_0_2_9 - 0.00802657659800656*G0_1_0_3_0 - 0.0310001110001163*G0_1_0_3_1 - 0.0123800009514316*G0_1_0_3_2 - 0.260559440559484*G0_1_0_3_3 + 0.0466248037676687*G0_1_0_3_4 + 0.0106550592264896*G0_1_0_3_5 + 0.0107149992864297*G0_1_0_3_6 + 0.0270443841872459*G0_1_0_3_7 - 0.0768231768231897*G0_1_0_3_8 - 0.107635221920954*G0_1_0_3_9 + 0.000159523016665906*G0_1_0_4_0 + 0.0122366522366543*G0_1_0_4_1 + 0.0100470957613832*G0_1_0_4_2 + 0.0466248037676687*G0_1_0_4_3 - 0.0525845582988528*G0_1_0_4_4 + 0.00248608534322862*G0_1_0_4_5 - 0.0132010846296583*G0_1_0_4_6 + 0.00226345083487979*G0_1_0_4_7 + 0.0497787926359439*G0_1_0_4_8 + 0.06478664192951*G0_1_0_4_9 - 0.000388500388500435*G0_1_0_5_0 - 0.00121909836195571*G0_1_0_5_2 + 0.0106550592264896*G0_1_0_5_3 + 0.00248608534322862*G0_1_0_5_4 - 0.0260853432282049*G0_1_0_5_5 + 0.00432139289282213*G0_1_0_5_6 - 0.0140944769516222*G0_1_0_5_7 + 0.00315969744541228*G0_1_0_5_8 - 0.00474382760097131*G0_1_0_5_9 - 0.00258344829773445*G0_1_0_6_1 + 0.00456939885511392*G0_1_0_6_2 + 0.0107149992864297*G0_1_0_6_3 - 0.0132010846296583*G0_1_0_6_4 + 0.00432139289282213*G0_1_0_6_5 - 0.0140802055087795*G0_1_0_6_6 + 0.0109347795062099*G0_1_0_6_7 + 0.0257999143713473*G0_1_0_6_8 + 0.0483288140431079*G0_1_0_6_9 + 0.00725274725274847*G0_1_0_7_0 + 0.00738816738816868*G0_1_0_7_1 - 0.00265670837099453*G0_1_0_7_2 + 0.0270443841872459*G0_1_0_7_3 + 0.00226345083487979*G0_1_0_7_4 - 0.0140944769516222*G0_1_0_7_5 + 0.0109347795062099*G0_1_0_7_6 - 0.0527786499215159*G0_1_0_7_7 - 0.00176965891251636*G0_1_0_7_8 - 0.0202939917225666*G0_1_0_7_9 - 0.00150896722325321*G0_1_0_8_0 + 0.00240648240648272*G0_1_0_8_1 - 0.0156047127475725*G0_1_0_8_2 - 0.0768231768231897*G0_1_0_8_3 + 0.0497787926359439*G0_1_0_8_4 + 0.00315969744541228*G0_1_0_8_5 + 0.0257999143713473*G0_1_0_8_6 - 0.00176965891251636*G0_1_0_8_7 - 0.158221778221805*G0_1_0_8_8 - 0.15310403881835*G0_1_0_8_9 - 0.000525189096617779*G0_1_0_9_0 + 0.0178488178488208*G0_1_0_9_1 - 0.0232529375386557*G0_1_0_9_2 - 0.107635221920954*G0_1_0_9_3 + 0.06478664192951*G0_1_0_9_4 - 0.00474382760097131*G0_1_0_9_5 + 0.0483288140431079*G0_1_0_9_6 - 0.0202939917225666*G0_1_0_9_7 - 0.15310403881835*G0_1_0_9_8 - 0.360976166690513*G0_1_0_9_9 - 0.00678630011963452*G0_1_1_0_0 + 0.00509021842355269*G0_1_1_0_1 - 0.00907917479346205*G0_1_1_0_3 - 0.000751312179883752*G0_1_1_0_4 - 0.000413237556094727*G0_1_1_0_5 + 0.000117660117660122*G0_1_1_0_6 + 0.0149675721104318*G0_1_1_0_7 - 0.00605902034473573*G0_1_1_0_8 - 0.000576566290852106*G0_1_1_0_9 + 0.00509021842355269*G0_1_1_1_0 + 0.245576645576688*G0_1_1_1_1 + 0.0097216363883047*G0_1_1_1_2 + 0.0814740814740954*G0_1_1_1_3 - 0.0390320790320857*G0_1_1_1_4 - 0.00150960150960184*G0_1_1_1_5 - 0.00433344433344504*G0_1_1_1_6 - 0.0189632589632624*G0_1_1_1_7 + 0.0770340770340905*G0_1_1_1_8 + 0.0258941058941104*G0_1_1_1_9 + 0.0097216363883047*G0_1_1_2_1 - 0.00419390133675917*G0_1_1_2_2 - 0.00837670266241832*G0_1_1_2_3 + 0.0118354661211824*G0_1_1_2_4 - 0.00179407893693638*G0_1_1_2_5 + 0.00623408337694157*G0_1_1_2_6 - 0.00542853971425493*G0_1_1_2_7 - 0.0416865674008601*G0_1_1_2_8 - 0.0286247086247134*G0_1_1_2_9 - 0.00907917479346205*G0_1_1_3_0 + 0.0814740814740954*G0_1_1_3_1 - 0.00837670266241832*G0_1_1_3_2 - 0.33390609390615*G0_1_1_3_3 + 0.0186613386613416*G0_1_1_3_4 + 0.0150563721992318*G0_1_1_3_5 + 0.0146539175110628*G0_1_1_3_6 + 0.0288911088911137*G0_1_1_3_7 - 0.155604395604421*G0_1_1_3_8 - 0.135464535464558*G0_1_1_3_9 - 0.000751312179883751*G0_1_1_4_0 - 0.0390320790320857*G0_1_1_4_1 + 0.0118354661211824*G0_1_1_4_2 + 0.0186613386613416*G0_1_1_4_3 - 0.0613672042243573*G0_1_1_4_4 + 0.00390752105037886*G0_1_1_4_5 - 0.0185614385614417*G0_1_1_4_6 + 0.00844298558584425*G0_1_1_4_7 + 0.126713286713308*G0_1_1_4_8 + 0.0780590837733827*G0_1_1_4_9 - 0.000413237556094727*G0_1_1_5_0 - 0.00150960150960184*G0_1_1_5_1 - 0.00179407893693638*G0_1_1_5_2 + 0.0150563721992318*G0_1_1_5_3 + 0.00390752105037887*G0_1_1_5_4 - 0.0137062937062959*G0_1_1_5_5 + 0.00671614100185637*G0_1_1_5_6 - 0.0241215926930252*G0_1_1_5_7 + 0.00618238903953291*G0_1_1_5_8 - 0.0106350792065096*G0_1_1_5_9 + 0.000117660117660122*G0_1_1_6_0 - 0.00433344433344504*G0_1_1_6_1 + 0.00623408337694157*G0_1_1_6_2 + 0.0146539175110628*G0_1_1_6_3 - 0.0185614385614417*G0_1_1_6_4 + 0.00671614100185637*G0_1_1_6_5 - 0.0106236620522352*G0_1_1_6_6 + 0.0179392036534924*G0_1_1_6_7 + 0.0682032253460938*G0_1_1_6_8 + 0.0565662908520147*G0_1_1_6_9 + 0.0149675721104318*G0_1_1_7_0 - 0.0189632589632624*G0_1_1_7_1 - 0.00542853971425493*G0_1_1_7_2 + 0.0288911088911137*G0_1_1_7_3 + 0.00844298558584425*G0_1_1_7_4 - 0.0241215926930252*G0_1_1_7_5 + 0.0179392036534924*G0_1_1_7_6 - 0.176132438989611*G0_1_1_7_7 + 0.0093906093906106*G0_1_1_7_8 - 0.0341487084344286*G0_1_1_7_9 - 0.00605902034473572*G0_1_1_8_0 + 0.0770340770340905*G0_1_1_8_1 - 0.0416865674008601*G0_1_1_8_2 - 0.155604395604421*G0_1_1_8_3 + 0.126713286713308*G0_1_1_8_4 + 0.00618238903953291*G0_1_1_8_5 + 0.0682032253460938*G0_1_1_8_6 + 0.00939060939061061*G0_1_1_8_7 - 1.09794205794224*G0_1_1_8_8 - 0.331108891108947*G0_1_1_8_9 - 0.000576566290852106*G0_1_1_9_0 + 0.0258941058941104*G0_1_1_9_1 - 0.0286247086247134*G0_1_1_9_2 - 0.135464535464558*G0_1_1_9_3 + 0.0780590837733827*G0_1_1_9_4 - 0.0106350792065096*G0_1_1_9_5 + 0.0565662908520147*G0_1_1_9_6 - 0.0341487084344286*G0_1_1_9_7 - 0.331108891108947*G0_1_1_9_8 - 0.25441986584848*G0_1_1_9_9;
    A[205] = A[163] - 0.0145632145632167*G0_0_1_0_0 - 0.000473600473600558*G0_0_1_0_1 + 0.000544006258292078*G0_0_1_0_2 - 0.00285999714571194*G0_0_1_0_3 - 0.00419009561866775*G0_0_1_0_4 - 0.00839160839160962*G0_0_1_0_5 + 0.00122163550734994*G0_0_1_0_6 + 0.00375624375624442*G0_0_1_0_7 + 0.0235992578849762*G0_0_1_0_8 + 0.00666761809619064*G0_0_1_0_9 - 0.000473600473600558*G0_0_1_1_0 - 0.0379472379472444*G0_0_1_1_1 - 0.00208236208236243*G0_0_1_1_2 - 0.0267732267732313*G0_0_1_1_3 + 0.0114285714285734*G0_0_1_1_4 - 0.00151848151848177*G0_0_1_1_6 + 0.00237096237096281*G0_0_1_1_7 + 0.0185148185148215*G0_0_1_1_8 + 0.0115084915084934*G0_0_1_1_9 + 0.000544006258292078*G0_0_1_2_0 - 0.00208236208236243*G0_0_1_2_1 - 0.000779749351178036*G0_0_1_2_2 - 0.00205508776937382*G0_0_1_2_3 + 0.00152419009561895*G0_0_1_2_4 - 0.00327291755863238*G0_0_1_2_5 + 0.00207601921887672*G0_0_1_2_6 - 0.0100585129156575*G0_0_1_2_7 + 0.017639503353792*G0_0_1_2_8 - 0.00461253032681683*G0_0_1_2_9 - 0.00285999714571194*G0_0_1_3_0 - 0.0267732267732313*G0_0_1_3_1 - 0.00205508776937383*G0_0_1_3_2 - 0.107652347652365*G0_0_1_3_3 + 0.0135464535464557*G0_0_1_3_4 + 0.00774083059797476*G0_0_1_3_5 - 0.0022263450834883*G0_0_1_3_6 + 0.00179820179820218*G0_0_1_3_7 + 0.0579020979021074*G0_0_1_3_8 - 0.0381218781218846*G0_0_1_3_9 - 0.00419009561866775*G0_0_1_4_0 + 0.0114285714285734*G0_0_1_4_1 + 0.00152419009561895*G0_0_1_4_2 + 0.0135464535464557*G0_0_1_4_3 - 0.00952190666476538*G0_0_1_4_4 + 0.00578849721706962*G0_0_1_4_5 - 0.00356215213358132*G0_0_1_4_6 + 0.0247638076209546*G0_0_1_4_7 - 0.0597002997003097*G0_0_1_4_8 + 0.00226059654631122*G0_0_1_4_9 - 0.00839160839160962*G0_0_1_5_0 - 0.00327291755863238*G0_0_1_5_2 + 0.00774083059797477*G0_0_1_5_3 + 0.00578849721706962*G0_0_1_5_4 - 0.0490823462252118*G0_0_1_5_5 + 0.0111831026116758*G0_0_1_5_6 - 0.0167318395889853*G0_0_1_5_7 - 0.00666190951905351*G0_0_1_5_8 - 0.00667903525046503*G0_0_1_5_9 + 0.00122163550734994*G0_0_1_6_0 - 0.00151848151848177*G0_0_1_6_1 + 0.00207601921887672*G0_0_1_6_2 - 0.0022263450834883*G0_0_1_6_3 - 0.00356215213358132*G0_0_1_6_4 + 0.0111831026116758*G0_0_1_6_5 - 0.0173312401883863*G0_0_1_6_6 + 0.0233937491080387*G0_0_1_6_7 - 0.0207906379334985*G0_0_1_6_8 + 0.0182902811474271*G0_0_1_6_9 + 0.00375624375624442*G0_0_1_7_0 + 0.0023709623709628*G0_0_1_7_1 - 0.0100585129156575*G0_0_1_7_2 + 0.00179820179820218*G0_0_1_7_3 + 0.0247638076209546*G0_0_1_7_4 - 0.0167318395889853*G0_0_1_7_5 + 0.0233937491080387*G0_0_1_7_6 - 0.0723390894819591*G0_0_1_7_7 - 0.129470529470551*G0_0_1_7_8 - 0.0667903525046495*G0_0_1_7_9 + 0.0235992578849761*G0_0_1_8_0 + 0.0185148185148215*G0_0_1_8_1 + 0.017639503353792*G0_0_1_8_2 + 0.0579020979021074*G0_0_1_8_3 - 0.0597002997003097*G0_0_1_8_4 - 0.00666190951905351*G0_0_1_8_5 - 0.0207906379334985*G0_0_1_8_6 - 0.129470529470551*G0_0_1_8_7 + 0.670369630369744*G0_0_1_8_8 + 0.0848751248751393*G0_0_1_8_9 + 0.00666761809619065*G0_0_1_9_0 + 0.0115084915084934*G0_0_1_9_1 - 0.00461253032681683*G0_0_1_9_2 - 0.0381218781218846*G0_0_1_9_3 + 0.00226059654631122*G0_0_1_9_4 - 0.00667903525046503*G0_0_1_9_5 + 0.0182902811474271*G0_0_1_9_6 - 0.0667903525046495*G0_0_1_9_7 + 0.0848751248751394*G0_0_1_9_8 - 0.231813900385368*G0_0_1_9_9 + 0.0145632145632167*G0_1_0_0_0 + 0.000473600473600558*G0_1_0_0_1 - 0.000544006258292078*G0_1_0_0_2 + 0.00285999714571194*G0_1_0_0_3 + 0.00419009561866775*G0_1_0_0_4 + 0.00839160839160962*G0_1_0_0_5 - 0.00122163550734994*G0_1_0_0_6 - 0.00375624375624442*G0_1_0_0_7 - 0.0235992578849761*G0_1_0_0_8 - 0.00666761809619065*G0_1_0_0_9 + 0.000473600473600558*G0_1_0_1_0 + 0.0379472379472444*G0_1_0_1_1 + 0.00208236208236243*G0_1_0_1_2 + 0.0267732267732313*G0_1_0_1_3 - 0.0114285714285734*G0_1_0_1_4 + 0.00151848151848177*G0_1_0_1_6 - 0.00237096237096281*G0_1_0_1_7 - 0.0185148185148215*G0_1_0_1_8 - 0.0115084915084934*G0_1_0_1_9 - 0.000544006258292078*G0_1_0_2_0 + 0.00208236208236243*G0_1_0_2_1 + 0.000779749351178038*G0_1_0_2_2 + 0.00205508776937384*G0_1_0_2_3 - 0.00152419009561895*G0_1_0_2_4 + 0.00327291755863238*G0_1_0_2_5 - 0.00207601921887672*G0_1_0_2_6 + 0.0100585129156575*G0_1_0_2_7 - 0.017639503353792*G0_1_0_2_8 + 0.00461253032681682*G0_1_0_2_9 + 0.00285999714571194*G0_1_0_3_0 + 0.0267732267732313*G0_1_0_3_1 + 0.00205508776937384*G0_1_0_3_2 + 0.107652347652366*G0_1_0_3_3 - 0.0135464535464558*G0_1_0_3_4 - 0.00774083059797477*G0_1_0_3_5 + 0.0022263450834883*G0_1_0_3_6 - 0.00179820179820219*G0_1_0_3_7 - 0.0579020979021074*G0_1_0_3_8 + 0.0381218781218846*G0_1_0_3_9 + 0.00419009561866775*G0_1_0_4_0 - 0.0114285714285734*G0_1_0_4_1 - 0.00152419009561895*G0_1_0_4_2 - 0.0135464535464558*G0_1_0_4_3 + 0.00952190666476538*G0_1_0_4_4 - 0.00578849721706962*G0_1_0_4_5 + 0.00356215213358132*G0_1_0_4_6 - 0.0247638076209546*G0_1_0_4_7 + 0.0597002997003097*G0_1_0_4_8 - 0.00226059654631125*G0_1_0_4_9 + 0.00839160839160962*G0_1_0_5_0 + 0.00327291755863238*G0_1_0_5_2 - 0.00774083059797477*G0_1_0_5_3 - 0.00578849721706962*G0_1_0_5_4 + 0.0490823462252118*G0_1_0_5_5 - 0.0111831026116758*G0_1_0_5_6 + 0.0167318395889853*G0_1_0_5_7 + 0.0066619095190535*G0_1_0_5_8 + 0.00667903525046503*G0_1_0_5_9 - 0.00122163550734994*G0_1_0_6_0 + 0.00151848151848177*G0_1_0_6_1 - 0.00207601921887672*G0_1_0_6_2 + 0.0022263450834883*G0_1_0_6_3 + 0.00356215213358132*G0_1_0_6_4 - 0.0111831026116758*G0_1_0_6_5 + 0.0173312401883863*G0_1_0_6_6 - 0.0233937491080387*G0_1_0_6_7 + 0.0207906379334985*G0_1_0_6_8 - 0.0182902811474271*G0_1_0_6_9 - 0.00375624375624442*G0_1_0_7_0 - 0.0023709623709628*G0_1_0_7_1 + 0.0100585129156575*G0_1_0_7_2 - 0.00179820179820219*G0_1_0_7_3 - 0.0247638076209546*G0_1_0_7_4 + 0.0167318395889853*G0_1_0_7_5 - 0.0233937491080387*G0_1_0_7_6 + 0.0723390894819591*G0_1_0_7_7 + 0.129470529470551*G0_1_0_7_8 + 0.0667903525046495*G0_1_0_7_9 - 0.0235992578849761*G0_1_0_8_0 - 0.0185148185148215*G0_1_0_8_1 - 0.017639503353792*G0_1_0_8_2 - 0.0579020979021074*G0_1_0_8_3 + 0.0597002997003097*G0_1_0_8_4 + 0.00666190951905351*G0_1_0_8_5 + 0.0207906379334985*G0_1_0_8_6 + 0.129470529470551*G0_1_0_8_7 - 0.670369630369744*G0_1_0_8_8 - 0.0848751248751393*G0_1_0_8_9 - 0.00666761809619065*G0_1_0_9_0 - 0.0115084915084934*G0_1_0_9_1 + 0.00461253032681682*G0_1_0_9_2 + 0.0381218781218846*G0_1_0_9_3 - 0.00226059654631124*G0_1_0_9_4 + 0.00667903525046503*G0_1_0_9_5 - 0.0182902811474271*G0_1_0_9_6 + 0.0667903525046495*G0_1_0_9_7 - 0.0848751248751393*G0_1_0_9_8 + 0.231813900385368*G0_1_0_9_9;
    A[168] = -A[176] + 0.0443464824417283*G0_0_0_0_0 + 0.00902406235739731*G0_0_0_0_1 + 0.00420489563346779*G0_0_0_0_2 + 0.00487808487808571*G0_0_0_0_3 - 0.00190370476084794*G0_0_0_0_4 + 0.0310191395905736*G0_0_0_0_5 - 0.0150947465233206*G0_0_0_0_6 + 0.00577454291740106*G0_0_0_0_7 + 0.00368520368520433*G0_0_0_0_8 + 0.0062642119784988*G0_0_0_0_9 + 0.00902406235739731*G0_0_0_1_0 + 0.259513326180038*G0_0_0_1_1 + 0.007976221309556*G0_0_0_1_2 + 0.0714248714248837*G0_0_0_1_3 - 0.0346468346468406*G0_0_0_1_4 + 0.00542864542864624*G0_0_0_1_5 + 0.00120176120176144*G0_0_0_1_6 - 0.0311540311540367*G0_0_0_1_7 + 0.0616864616864726*G0_0_0_1_8 + 0.00150960150960183*G0_0_0_1_9 + 0.00420489563346779*G0_0_0_2_0 + 0.007976221309556*G0_0_0_2_1 + 0.00472698377460362*G0_0_0_2_2 + 0.00770192770192898*G0_0_0_2_3 - 0.00649086363372187*G0_0_0_2_4 + 0.00474530760245129*G0_0_0_2_5 - 0.00443408443408519*G0_0_0_2_6 + 0.00224706510420834*G0_0_0_2_7 + 0.0160136160136187*G0_0_0_2_8 + 0.0139999682856849*G0_0_0_2_9 + 0.0048780848780857*G0_0_0_3_0 + 0.0714248714248838*G0_0_0_3_1 + 0.00770192770192898*G0_0_0_3_2 + 0.0101232101232116*G0_0_0_3_3 - 0.0319147519147572*G0_0_0_3_4 - 0.0100166500166517*G0_0_0_3_5 - 0.0144921744921769*G0_0_0_3_6 - 0.0255211455211499*G0_0_0_3_7 + 0.0844488844488987*G0_0_0_3_8 + 0.0465134865134943*G0_0_0_3_9 - 0.00190370476084794*G0_0_0_4_0 - 0.0346468346468406*G0_0_0_4_1 - 0.00649086363372187*G0_0_0_4_2 - 0.0319147519147572*G0_0_0_4_3 + 0.0329803529803585*G0_0_0_4_4 - 0.00517577660434893*G0_0_0_4_5 + 0.0196679510965258*G0_0_0_4_6 + 0.00492840492840576*G0_0_0_4_7 - 0.0589277389277488*G0_0_0_4_8 - 0.031648351648357*G0_0_0_4_9 + 0.0310191395905736*G0_0_0_5_0 + 0.00542864542864624*G0_0_0_5_1 + 0.00474530760245129*G0_0_0_5_2 - 0.0100166500166517*G0_0_0_5_3 - 0.00517577660434893*G0_0_0_5_4 + 0.188748394462712*G0_0_0_5_5 - 0.029661766804629*G0_0_0_5_6 + 0.0448009133723495*G0_0_0_5_7 - 0.0271728271728318*G0_0_0_5_8 + 0.0355530184101673*G0_0_0_5_9 - 0.0150947465233206*G0_0_0_6_0 + 0.00120176120176144*G0_0_0_6_1 - 0.00443408443408519*G0_0_0_6_2 - 0.0144921744921769*G0_0_0_6_3 + 0.0196679510965258*G0_0_0_6_4 - 0.029661766804629*G0_0_0_6_5 + 0.0887569573284007*G0_0_0_6_6 - 0.0176280861995177*G0_0_0_6_7 - 0.0203796203796238*G0_0_0_6_8 - 0.013015555872701*G0_0_0_6_9 + 0.00577454291740106*G0_0_0_7_0 - 0.0311540311540367*G0_0_0_7_1 + 0.00224706510420834*G0_0_0_7_2 - 0.0255211455211499*G0_0_0_7_3 + 0.00492840492840576*G0_0_0_7_4 + 0.0448009133723495*G0_0_0_7_5 - 0.0176280861995177*G0_0_0_7_6 + 0.101018981018998*G0_0_0_7_7 - 0.0570629370629467*G0_0_0_7_8 + 0.0164635364635393*G0_0_0_7_9 + 0.00368520368520433*G0_0_0_8_0 + 0.0616864616864726*G0_0_0_8_1 + 0.0160136160136187*G0_0_0_8_2 + 0.0844488844488987*G0_0_0_8_3 - 0.0589277389277488*G0_0_0_8_4 - 0.0271728271728318*G0_0_0_8_5 - 0.0203796203796238*G0_0_0_8_6 - 0.0570629370629467*G0_0_0_8_7 + 0.327672327672383*G0_0_0_8_8 + 0.113326673326692*G0_0_0_8_9 + 0.0062642119784988*G0_0_0_9_0 + 0.00150960150960183*G0_0_0_9_1 + 0.0139999682856849*G0_0_0_9_2 + 0.0465134865134943*G0_0_0_9_3 - 0.031648351648357*G0_0_0_9_4 + 0.0355530184101673*G0_0_0_9_5 - 0.013015555872701*G0_0_0_9_6 + 0.0164635364635393*G0_0_0_9_7 + 0.113326673326692*G0_0_0_9_8 + 0.258941058941103*G0_0_0_9_9 - 0.00184140374616603*G0_1_0_0_0 + 0.00879614212947705*G0_1_0_0_1 - 0.00107419916943744*G0_1_0_0_2 - 0.0102031302031319*G0_1_0_0_3 + 0.0037029637029643*G0_1_0_0_4 + 0.000279085993371709*G0_1_0_0_5 + 0.00136371564943018*G0_1_0_0_6 + 0.00298368298368343*G0_1_0_0_7 - 0.00737928737928854*G0_1_0_0_8 - 0.00868464868465014*G0_1_0_0_9 + 0.00879614212947705*G0_1_0_1_0 + 0.294322960989679*G0_1_0_1_1 + 0.00879614212947696*G0_1_0_1_2 + 0.0811632811632952*G0_1_0_1_3 - 0.0395160395160463*G0_1_0_1_4 - 0.000666000666000888*G0_1_0_1_5 - 0.000666000666000741*G0_1_0_1_6 - 0.0395160395160465*G0_1_0_1_7 + 0.0811632811632956*G0_1_0_1_8 + 0.00426240426240506*G0_1_0_1_9 - 0.00107419916943744*G0_1_0_2_0 + 0.00879614212947696*G0_1_0_2_1 - 0.00184140374616595*G0_1_0_2_2 - 0.00737928737928859*G0_1_0_2_3 + 0.00298368298368347*G0_1_0_2_4 + 0.00136371564943014*G0_1_0_2_5 + 0.000279085993371762*G0_1_0_2_6 + 0.0037029637029643*G0_1_0_2_7 - 0.0102031302031319*G0_1_0_2_8 - 0.00868464868465012*G0_1_0_2_9 - 0.0102031302031319*G0_1_0_3_0 + 0.0811632811632952*G0_1_0_3_1 - 0.00737928737928859*G0_1_0_3_2 - 0.148651348651374*G0_1_0_3_3 + 0.0307692307692358*G0_1_0_3_4 + 0.0130269730269751*G0_1_0_3_5 + 0.00855144855144997*G0_1_0_3_6 + 0.0371628371628432*G0_1_0_3_7 - 0.0743256743256864*G0_1_0_3_8 - 0.0871128871129016*G0_1_0_3_9 + 0.0037029637029643*G0_1_0_4_0 - 0.0395160395160463*G0_1_0_4_1 + 0.00298368298368347*G0_1_0_4_2 + 0.0307692307692358*G0_1_0_4_3 - 0.0103896103896121*G0_1_0_4_4 - 0.00455544455544528*G0_1_0_4_5 - 0.00399600399600465*G0_1_0_4_6 - 0.0143856143856167*G0_1_0_4_7 + 0.0371628371628432*G0_1_0_4_8 + 0.035164835164841*G0_1_0_4_9 + 0.000279085993371708*G0_1_0_5_0 - 0.000666000666000888*G0_1_0_5_1 + 0.00136371564943014*G0_1_0_5_2 + 0.0130269730269751*G0_1_0_5_3 - 0.00455544455544528*G0_1_0_5_4 - 0.0063251034679617*G0_1_0_5_5 - 0.000468103325246228*G0_1_0_5_6 - 0.00399600399600465*G0_1_0_5_7 + 0.00855144855144993*G0_1_0_5_8 + 0.00895104895105041*G0_1_0_5_9 + 0.00136371564943018*G0_1_0_6_0 - 0.000666000666000741*G0_1_0_6_1 + 0.000279085993371762*G0_1_0_6_2 + 0.00855144855144997*G0_1_0_6_3 - 0.00399600399600465*G0_1_0_6_4 - 0.000468103325246228*G0_1_0_6_5 - 0.00632510346796161*G0_1_0_6_6 - 0.0045554445554453*G0_1_0_6_7 + 0.0130269730269752*G0_1_0_6_8 + 0.00895104895105045*G0_1_0_6_9 + 0.00298368298368343*G0_1_0_7_0 - 0.0395160395160465*G0_1_0_7_1 + 0.0037029637029643*G0_1_0_7_2 + 0.0371628371628432*G0_1_0_7_3 - 0.0143856143856167*G0_1_0_7_4 - 0.00399600399600465*G0_1_0_7_5 - 0.0045554445554453*G0_1_0_7_6 - 0.010389610389612*G0_1_0_7_7 + 0.0307692307692356*G0_1_0_7_8 + 0.035164835164841*G0_1_0_7_9 - 0.00737928737928854*G0_1_0_8_0 + 0.0811632811632956*G0_1_0_8_1 - 0.0102031302031319*G0_1_0_8_2 - 0.0743256743256864*G0_1_0_8_3 + 0.0371628371628432*G0_1_0_8_4 + 0.00855144855144993*G0_1_0_8_5 + 0.0130269730269752*G0_1_0_8_6 + 0.0307692307692356*G0_1_0_8_7 - 0.148651348651373*G0_1_0_8_8 - 0.0871128871129016*G0_1_0_8_9 - 0.00868464868465014*G0_1_0_9_0 + 0.00426240426240506*G0_1_0_9_1 - 0.00868464868465012*G0_1_0_9_2 - 0.0871128871129016*G0_1_0_9_3 + 0.035164835164841*G0_1_0_9_4 + 0.0089510489510504*G0_1_0_9_5 + 0.00895104895105045*G0_1_0_9_6 + 0.035164835164841*G0_1_0_9_7 - 0.0871128871129015*G0_1_0_9_8 - 0.0671328671328785*G0_1_0_9_9;
    A[109] = A[70] + 0.0035964035964043*G0_0_0_0_0 + 0.000618825618825734*G0_0_0_0_1 - 0.00386092743235664*G0_0_0_0_2 + 0.00712929927215767*G0_0_0_0_4 - 0.000163170163170189*G0_0_0_0_5 + 0.00239498596641502*G0_0_0_0_6 + 0.000752580752580876*G0_0_0_0_7 - 0.00271323914181102*G0_0_0_0_8 + 0.000817753674896675*G0_0_0_0_9 + 0.000618825618825734*G0_0_0_1_0 + 0.0194768194768227*G0_0_0_1_1 - 0.00216648430934179*G0_0_0_1_2 + 0.0197117168545773*G0_0_0_1_3 - 0.00510989010989091*G0_0_0_1_4 + 0.000671471385757194*G0_0_0_1_5 + 0.00534394177251414*G0_0_0_1_6 - 0.00172375243803847*G0_0_0_1_7 + 0.00458065743780111*G0_0_0_1_8 + 0.0014057371200231*G0_0_0_1_9 - 0.00386092743235664*G0_0_0_2_0 - 0.00216648430934179*G0_0_0_2_1 - 0.159786139786166*G0_0_0_2_2 + 0.0193278150421038*G0_0_0_2_3 - 0.036303696303702*G0_0_0_2_4 + 0.0173564530707415*G0_0_0_2_5 - 0.0347585747585802*G0_0_0_2_6 + 0.00191308691308721*G0_0_0_2_7 - 0.00389396317967812*G0_0_0_2_8 - 0.00331097473954668*G0_0_0_2_9 + 0.0197117168545773*G0_0_0_3_1 + 0.0193278150421038*G0_0_0_3_2 + 0.0159440559440592*G0_0_0_3_3 - 0.0278999571856764*G0_0_0_3_4 - 0.0012630226915943*G0_0_0_3_5 - 0.0154880833452288*G0_0_0_3_6 + 0.000575852718709907*G0_0_0_3_7 - 0.0128014842300577*G0_0_0_3_8 - 0.00536891679748907*G0_0_0_3_9 + 0.00712929927215767*G0_0_0_4_0 - 0.00510989010989091*G0_0_0_4_1 - 0.036303696303702*G0_0_0_4_2 - 0.0278999571856764*G0_0_0_4_3 + 0.259022406165308*G0_0_0_4_4 - 0.0208441558441595*G0_0_0_4_5 + 0.0363322391893884*G0_0_0_4_6 - 0.013835450264024*G0_0_0_4_7 + 0.0122256315113478*G0_0_0_4_8 + 0.0516212359069589*G0_0_0_4_9 - 0.000163170163170188*G0_0_0_5_0 + 0.000671471385757194*G0_0_0_5_1 + 0.0173564530707415*G0_0_0_5_2 - 0.0012630226915943*G0_0_0_5_3 - 0.0208441558441595*G0_0_0_5_4 + 0.0291479948622855*G0_0_0_5_5 - 0.0153510774939374*G0_0_0_5_6 + 0.00666619095190631*G0_0_0_5_7 - 0.00147067218495814*G0_0_0_5_8 + 0.000488083345226291*G0_0_0_5_9 + 0.00239498596641502*G0_0_0_6_0 + 0.00534394177251414*G0_0_0_6_1 - 0.0347585747585802*G0_0_0_6_2 - 0.0154880833452288*G0_0_0_6_3 + 0.0363322391893884*G0_0_0_6_4 - 0.0153510774939374*G0_0_0_6_5 + 0.269991437134341*G0_0_0_6_6 - 0.00519551876694815*G0_0_0_6_7 - 0.00244683887541071*G0_0_0_6_8 + 0.0409090909090977*G0_0_0_6_9 + 0.000752580752580876*G0_0_0_7_0 - 0.00172375243803847*G0_0_0_7_1 + 0.00191308691308721*G0_0_0_7_2 + 0.000575852718709906*G0_0_0_7_3 - 0.013835450264024*G0_0_0_7_4 + 0.00666619095190631*G0_0_0_7_5 - 0.00519551876694815*G0_0_0_7_6 + 0.00966747538176234*G0_0_0_7_7 + 0.00882617382617528*G0_0_0_7_8 + 0.00793777650920636*G0_0_0_7_9 - 0.00271323914181102*G0_0_0_8_0 + 0.00458065743780111*G0_0_0_8_1 - 0.00389396317967812*G0_0_0_8_2 - 0.0128014842300577*G0_0_0_8_3 + 0.0122256315113478*G0_0_0_8_4 - 0.00147067218495814*G0_0_0_8_5 - 0.00244683887541071*G0_0_0_8_6 + 0.00882617382617528*G0_0_0_8_7 - 0.0598715570144238*G0_0_0_8_8 - 0.0286684743827649*G0_0_0_8_9 + 0.000817753674896675*G0_0_0_9_0 + 0.0014057371200231*G0_0_0_9_1 - 0.00331097473954668*G0_0_0_9_2 - 0.00536891679748907*G0_0_0_9_3 + 0.0516212359069589*G0_0_0_9_4 + 0.000488083345226289*G0_0_0_9_5 + 0.0409090909090977*G0_0_0_9_6 + 0.00793777650920636*G0_0_0_9_7 - 0.0286684743827649*G0_0_0_9_8 - 0.0502468959611904*G0_0_0_9_9 + 0.000804063661206678*G0_0_1_0_1 - 0.000804063661206644*G0_0_1_0_2 + 0.00085628657057246*G0_0_1_0_3 - 0.000856286570572421*G0_0_1_0_4 - 0.00144807573379029*G0_0_1_0_5 + 0.00039579468150906*G0_0_1_0_6 + 0.00144807573379022*G0_0_1_0_7 - 0.000395794681508998*G0_0_1_0_8 + 0.000804063661206678*G0_0_1_1_0 + 0.022892662892667*G0_0_1_1_1 + 0.0256543456543501*G0_0_1_1_3 - 0.0132553161124612*G0_0_1_1_4 + 0.000582274867989244*G0_0_1_1_5 + 0.00306550592264933*G0_0_1_1_6 - 0.00318538604252954*G0_0_1_1_7 + 0.00951048951049131*G0_0_1_1_8 + 0.00972741544170286*G0_0_1_1_9 - 0.000804063661206644*G0_0_1_2_0 - 0.0228926628926665*G0_0_1_2_2 + 0.0132553161124611*G0_0_1_2_3 - 0.0256543456543498*G0_0_1_2_4 + 0.00318538604252936*G0_0_1_2_5 - 0.009510489510491*G0_0_1_2_6 - 0.000582274867989264*G0_0_1_2_7 - 0.00306550592264927*G0_0_1_2_8 - 0.00972741544170277*G0_0_1_2_9 + 0.000856286570572461*G0_0_1_3_0 + 0.0256543456543501*G0_0_1_3_1 + 0.0132553161124611*G0_0_1_3_2 + 0.0141801056086804*G0_0_1_3_3 - 0.00215784215784254*G0_0_1_3_5 - 0.009196517767948*G0_0_1_3_6 - 0.00256885971171741*G0_0_1_3_7 - 0.00662765805623034*G0_0_1_3_8 - 0.0240445269016737*G0_0_1_3_9 - 0.000856286570572421*G0_0_1_4_0 - 0.0132553161124612*G0_0_1_4_1 - 0.0256543456543498*G0_0_1_4_2 - 0.0141801056086788*G0_0_1_4_4 + 0.00256885971171722*G0_0_1_4_5 + 0.00662765805623077*G0_0_1_4_6 + 0.00215784215784254*G0_0_1_4_7 + 0.00919651776794777*G0_0_1_4_8 + 0.0240445269016739*G0_0_1_4_9 - 0.00144807573379029*G0_0_1_5_0 + 0.000582274867989244*G0_0_1_5_1 + 0.00318538604252936*G0_0_1_5_2 - 0.00215784215784254*G0_0_1_5_3 + 0.00256885971171722*G0_0_1_5_4 + 0.0115769944341394*G0_0_1_5_5 + 0.000222634508348814*G0_0_1_5_6 - 0.00174682460396777*G0_0_1_5_8 + 0.00349364920793555*G0_0_1_5_9 + 0.00039579468150906*G0_0_1_6_0 + 0.00306550592264933*G0_0_1_6_1 - 0.009510489510491*G0_0_1_6_2 - 0.009196517767948*G0_0_1_6_3 + 0.00662765805623077*G0_0_1_6_4 + 0.000222634508348814*G0_0_1_6_5 + 0.0647010132724535*G0_0_1_6_6 + 0.00174682460396776*G0_0_1_6_7 + 0.0475752818610043*G0_0_1_6_9 + 0.00144807573379022*G0_0_1_7_0 - 0.00318538604252954*G0_0_1_7_1 - 0.000582274867989264*G0_0_1_7_2 - 0.00256885971171741*G0_0_1_7_3 + 0.00215784215784254*G0_0_1_7_4 + 0.00174682460396776*G0_0_1_7_6 - 0.011576994434139*G0_0_1_7_7 - 0.000222634508348961*G0_0_1_7_8 - 0.0034936492079355*G0_0_1_7_9 - 0.000395794681508998*G0_0_1_8_0 + 0.00951048951049132*G0_0_1_8_1 - 0.00306550592264927*G0_0_1_8_2 - 0.00662765805623034*G0_0_1_8_3 + 0.00919651776794777*G0_0_1_8_4 - 0.00174682460396777*G0_0_1_8_5 - 0.000222634508348964*G0_0_1_8_7 - 0.0647010132724519*G0_0_1_8_8 - 0.0475752818610041*G0_0_1_8_9 + 0.00972741544170286*G0_0_1_9_1 - 0.00972741544170277*G0_0_1_9_2 - 0.0240445269016737*G0_0_1_9_3 + 0.0240445269016739*G0_0_1_9_4 + 0.00349364920793555*G0_0_1_9_5 + 0.0475752818610043*G0_0_1_9_6 - 0.00349364920793551*G0_0_1_9_7 - 0.0475752818610041*G0_0_1_9_8 + 0.00198124626696093*G0_1_0_0_1 - 0.00198124626696087*G0_1_0_0_2 - 0.00218923933209687*G0_1_0_0_3 + 0.00218923933209688*G0_1_0_0_4 - 0.00101279672708267*G0_1_0_0_5 + 0.00668379239807933*G0_1_0_0_6 + 0.00101279672708249*G0_1_0_0_7 - 0.00668379239807919*G0_1_0_0_8 + 0.00198124626696093*G0_1_0_1_0 + 0.140489880489905*G0_1_0_1_1 + 0.0265329908187098*G0_1_0_1_3 - 0.0121718757433064*G0_1_0_1_4 + 0.0054902240616536*G0_1_0_1_6 - 0.00838994338994499*G0_1_0_1_7 + 0.00995385566814342*G0_1_0_1_8 - 0.00559868702725935*G0_1_0_1_9 - 0.00198124626696087*G0_1_0_2_0 - 0.140489880489904*G0_1_0_2_2 + 0.0121718757433062*G0_1_0_2_3 - 0.0265329908187092*G0_1_0_2_4 + 0.00838994338994463*G0_1_0_2_5 - 0.00995385566814274*G0_1_0_2_6 - 0.00549022406165354*G0_1_0_2_8 + 0.00559868702725944*G0_1_0_2_9 - 0.00218923933209687*G0_1_0_3_0 + 0.0265329908187098*G0_1_0_3_1 + 0.0121718757433062*G0_1_0_3_2 - 0.187719423433741*G0_1_0_3_3 + 0.00334165834165889*G0_1_0_3_5 - 0.0164706721849607*G0_1_0_3_6 + 0.0065677179962905*G0_1_0_3_7 - 0.0230383901812511*G0_1_0_3_8 + 0.00366062508919703*G0_1_0_3_9 + 0.00218923933209688*G0_1_0_4_0 - 0.0121718757433064*G0_1_0_4_1 - 0.0265329908187092*G0_1_0_4_2 + 0.187719423433741*G0_1_0_4_4 - 0.00656771799629056*G0_1_0_4_5 + 0.0230383901812513*G0_1_0_4_6 - 0.00334165834165885*G0_1_0_4_7 + 0.0164706721849606*G0_1_0_4_8 - 0.00366062508919722*G0_1_0_4_9 - 0.00101279672708267*G0_1_0_5_0 + 0.00838994338994463*G0_1_0_5_2 + 0.00334165834165889*G0_1_0_5_3 - 0.00656771799629057*G0_1_0_5_4 - 0.0030655059226494*G0_1_0_5_5 - 0.0369487655202004*G0_1_0_5_6 + 0.000115598687027302*G0_1_0_5_8 - 0.000231197374054489*G0_1_0_5_9 + 0.00668379239807933*G0_1_0_6_0 + 0.0054902240616536*G0_1_0_6_1 - 0.00995385566814273*G0_1_0_6_2 - 0.0164706721849607*G0_1_0_6_3 + 0.0230383901812513*G0_1_0_6_4 - 0.0369487655202004*G0_1_0_6_5 + 0.251958041958085*G0_1_0_6_6 - 0.000115598687027184*G0_1_0_6_7 + 0.016145283288143*G0_1_0_6_9 + 0.00101279672708249*G0_1_0_7_0 - 0.00838994338994499*G0_1_0_7_1 + 0.0065677179962905*G0_1_0_7_3 - 0.00334165834165885*G0_1_0_7_4 - 0.000115598687027185*G0_1_0_7_6 + 0.00306550592264863*G0_1_0_7_7 + 0.0369487655202003*G0_1_0_7_8 + 0.000231197374054542*G0_1_0_7_9 - 0.00668379239807919*G0_1_0_8_0 + 0.00995385566814343*G0_1_0_8_1 - 0.00549022406165354*G0_1_0_8_2 - 0.0230383901812511*G0_1_0_8_3 + 0.0164706721849606*G0_1_0_8_4 + 0.000115598687027302*G0_1_0_8_5 + 0.0369487655202003*G0_1_0_8_7 - 0.251958041958084*G0_1_0_8_8 - 0.0161452832881432*G0_1_0_8_9 - 0.00559868702725935*G0_1_0_9_1 + 0.00559868702725944*G0_1_0_9_2 + 0.00366062508919703*G0_1_0_9_3 - 0.00366062508919722*G0_1_0_9_4 - 0.000231197374054491*G0_1_0_9_5 + 0.016145283288143*G0_1_0_9_6 + 0.000231197374054542*G0_1_0_9_7 - 0.0161452832881432*G0_1_0_9_8 - 0.00359640359640434*G0_1_1_0_0 + 0.00386092743235672*G0_1_1_0_1 - 0.000618825618825719*G0_1_1_0_2 - 0.00712929927215763*G0_1_1_0_3 - 0.000752580752580928*G0_1_1_0_5 + 0.00271323914181107*G0_1_1_0_6 + 0.00016317016317007*G0_1_1_0_7 - 0.00239498596641488*G0_1_1_0_8 - 0.000817753674896684*G0_1_1_0_9 + 0.00386092743235672*G0_1_1_1_0 + 0.159786139786168*G0_1_1_1_1 + 0.00216648430934185*G0_1_1_1_2 + 0.0363036963037027*G0_1_1_1_3 - 0.0193278150421041*G0_1_1_1_4 - 0.00191308691308731*G0_1_1_1_5 + 0.00389396317967816*G0_1_1_1_6 - 0.017356453070742*G0_1_1_1_7 + 0.0347585747585812*G0_1_1_1_8 + 0.0033109747395468*G0_1_1_1_9 - 0.000618825618825719*G0_1_1_2_0 + 0.00216648430934185*G0_1_1_2_1 - 0.0194768194768225*G0_1_1_2_2 + 0.00510989010989092*G0_1_1_2_3 - 0.0197117168545772*G0_1_1_2_4 + 0.00172375243803838*G0_1_1_2_5 - 0.00458065743780098*G0_1_1_2_6 - 0.000671471385757239*G0_1_1_2_7 - 0.00534394177251406*G0_1_1_2_8 - 0.00140573712002306*G0_1_1_2_9 - 0.00712929927215763*G0_1_1_3_0 + 0.0363036963037027*G0_1_1_3_1 + 0.00510989010989092*G0_1_1_3_2 - 0.259022406165307*G0_1_1_3_3 + 0.027899957185676*G0_1_1_3_4 + 0.013835450264024*G0_1_1_3_5 - 0.0122256315113479*G0_1_1_3_6 + 0.0208441558441593*G0_1_1_3_7 - 0.0363322391893879*G0_1_1_3_8 - 0.051621235906959*G0_1_1_3_9 - 0.0193278150421041*G0_1_1_4_1 - 0.0197117168545772*G0_1_1_4_2 + 0.027899957185676*G0_1_1_4_3 - 0.0159440559440581*G0_1_1_4_4 - 0.000575852718709973*G0_1_1_4_5 + 0.0128014842300579*G0_1_1_4_6 + 0.00126302269159439*G0_1_1_4_7 + 0.0154880833452287*G0_1_1_4_8 + 0.00536891679748915*G0_1_1_4_9 - 0.000752580752580928*G0_1_1_5_0 - 0.00191308691308731*G0_1_1_5_1 + 0.00172375243803838*G0_1_1_5_2 + 0.013835450264024*G0_1_1_5_3 - 0.000575852718709973*G0_1_1_5_4 - 0.00966747538176297*G0_1_1_5_5 - 0.00882617382617532*G0_1_1_5_6 - 0.00666619095190643*G0_1_1_5_7 + 0.00519551876694826*G0_1_1_5_8 - 0.0079377765092065*G0_1_1_5_9 + 0.00271323914181107*G0_1_1_6_0 + 0.00389396317967817*G0_1_1_6_1 - 0.00458065743780098*G0_1_1_6_2 - 0.0122256315113479*G0_1_1_6_3 + 0.0128014842300579*G0_1_1_6_4 - 0.00882617382617532*G0_1_1_6_5 + 0.0598715570144246*G0_1_1_6_6 + 0.00147067218495819*G0_1_1_6_7 + 0.00244683887541063*G0_1_1_6_8 + 0.028668474382765*G0_1_1_6_9 + 0.00016317016317007*G0_1_1_7_0 - 0.017356453070742*G0_1_1_7_1 - 0.000671471385757239*G0_1_1_7_2 + 0.0208441558441593*G0_1_1_7_3 + 0.00126302269159439*G0_1_1_7_4 - 0.00666619095190643*G0_1_1_7_5 + 0.00147067218495819*G0_1_1_7_6 - 0.0291479948622856*G0_1_1_7_7 + 0.0153510774939371*G0_1_1_7_8 - 0.000488083345226331*G0_1_1_7_9 - 0.00239498596641488*G0_1_1_8_0 + 0.0347585747585812*G0_1_1_8_1 - 0.00534394177251406*G0_1_1_8_2 - 0.0363322391893879*G0_1_1_8_3 + 0.0154880833452287*G0_1_1_8_4 + 0.00519551876694826*G0_1_1_8_5 + 0.00244683887541063*G0_1_1_8_6 + 0.0153510774939371*G0_1_1_8_7 - 0.269991437134339*G0_1_1_8_8 - 0.0409090909090978*G0_1_1_8_9 - 0.000817753674896685*G0_1_1_9_0 + 0.0033109747395468*G0_1_1_9_1 - 0.00140573712002306*G0_1_1_9_2 - 0.051621235906959*G0_1_1_9_3 + 0.00536891679748915*G0_1_1_9_4 - 0.0079377765092065*G0_1_1_9_5 + 0.028668474382765*G0_1_1_9_6 - 0.000488083345226332*G0_1_1_9_7 - 0.0409090909090978*G0_1_1_9_8 + 0.0502468959611898*G0_1_1_9_9;
    A[184] = A[72] + 0.000571914857629219*G0_0_1_0_1 - 0.000571914857629251*G0_0_1_0_2 + 0.00252319109462015*G0_0_1_0_3 - 0.00252319109462015*G0_0_1_0_4 + 0.00427001569858786*G0_0_1_0_6 - 0.00427001569858779*G0_0_1_0_8 + 0.000571914857629219*G0_0_1_1_0 - 0.00888000888001064*G0_0_1_1_1 + 0.0113220113220132*G0_0_1_1_3 - 0.00692260120831669*G0_0_1_1_4 - 0.00332239189382104*G0_0_1_1_5 + 0.00150135578707032*G0_0_1_1_6 - 0.000955235240949678*G0_0_1_1_7 - 0.00189144189144227*G0_0_1_1_8 + 0.0163493649207962*G0_0_1_1_9 - 0.000571914857629251*G0_0_1_2_0 + 0.00888000888001036*G0_0_1_2_2 + 0.0069226012083167*G0_0_1_2_3 - 0.0113220113220133*G0_0_1_2_4 + 0.0009552352409497*G0_0_1_2_5 + 0.00189144189144217*G0_0_1_2_6 + 0.00332239189382099*G0_0_1_2_7 - 0.00150135578707031*G0_0_1_2_8 - 0.0163493649207963*G0_0_1_2_9 + 0.00252319109462015*G0_0_1_3_0 + 0.0113220113220132*G0_0_1_3_1 + 0.0069226012083167*G0_0_1_3_2 + 0.265106322249225*G0_0_1_3_3 + 0.00119880119880143*G0_0_1_3_5 - 0.00450406736121094*G0_0_1_3_6 - 0.00756957328386035*G0_0_1_3_7 + 0.00306550592264936*G0_0_1_3_8 - 0.0339089481946679*G0_0_1_3_9 - 0.00252319109462015*G0_0_1_4_0 - 0.00692260120831669*G0_0_1_4_1 - 0.0113220113220133*G0_0_1_4_2 - 0.265106322249225*G0_0_1_4_4 + 0.00756957328386035*G0_0_1_4_5 - 0.00306550592264945*G0_0_1_4_6 - 0.00119880119880133*G0_0_1_4_7 + 0.00450406736121097*G0_0_1_4_8 + 0.0339089481946681*G0_0_1_4_9 - 0.00332239189382104*G0_0_1_5_1 + 0.0009552352409497*G0_0_1_5_2 + 0.00119880119880143*G0_0_1_5_3 + 0.00756957328386035*G0_0_1_5_4 - 0.0245925503068408*G0_0_1_5_5 - 0.0159098044812356*G0_0_1_5_6 + 0.00996717568146317*G0_0_1_5_8 - 0.0199343513629263*G0_0_1_5_9 + 0.00427001569858786*G0_0_1_6_0 + 0.00150135578707032*G0_0_1_6_1 + 0.00189144189144217*G0_0_1_6_2 - 0.00450406736121094*G0_0_1_6_3 - 0.00306550592264945*G0_0_1_6_4 - 0.0159098044812356*G0_0_1_6_5 - 0.00352790067075863*G0_0_1_6_6 - 0.00996717568146295*G0_0_1_6_7 + 0.0580562294848107*G0_0_1_6_9 - 0.000955235240949678*G0_0_1_7_1 + 0.00332239189382099*G0_0_1_7_2 - 0.00756957328386035*G0_0_1_7_3 - 0.00119880119880133*G0_0_1_7_4 - 0.00996717568146295*G0_0_1_7_6 + 0.0245925503068391*G0_0_1_7_7 + 0.0159098044812358*G0_0_1_7_8 + 0.019934351362926*G0_0_1_7_9 - 0.00427001569858779*G0_0_1_8_0 - 0.00189144189144227*G0_0_1_8_1 - 0.00150135578707031*G0_0_1_8_2 + 0.00306550592264936*G0_0_1_8_3 + 0.00450406736121097*G0_0_1_8_4 + 0.00996717568146317*G0_0_1_8_5 + 0.0159098044812358*G0_0_1_8_7 + 0.00352790067075841*G0_0_1_8_8 - 0.0580562294848106*G0_0_1_8_9 + 0.0163493649207962*G0_0_1_9_1 - 0.0163493649207963*G0_0_1_9_2 - 0.0339089481946679*G0_0_1_9_3 + 0.0339089481946681*G0_0_1_9_4 - 0.0199343513629263*G0_0_1_9_5 + 0.0580562294848107*G0_0_1_9_6 + 0.019934351362926*G0_0_1_9_7 - 0.0580562294848106*G0_0_1_9_8 - 0.000571914857629219*G0_1_0_0_1 + 0.000571914857629251*G0_1_0_0_2 - 0.00252319109462015*G0_1_0_0_3 + 0.00252319109462015*G0_1_0_0_4 - 0.00427001569858786*G0_1_0_0_6 + 0.00427001569858779*G0_1_0_0_8 - 0.000571914857629219*G0_1_0_1_0 + 0.00888000888001064*G0_1_0_1_1 - 0.0113220113220132*G0_1_0_1_3 + 0.00692260120831669*G0_1_0_1_4 + 0.00332239189382104*G0_1_0_1_5 - 0.00150135578707032*G0_1_0_1_6 + 0.000955235240949678*G0_1_0_1_7 + 0.00189144189144227*G0_1_0_1_8 - 0.0163493649207962*G0_1_0_1_9 + 0.000571914857629251*G0_1_0_2_0 - 0.00888000888001036*G0_1_0_2_2 - 0.00692260120831671*G0_1_0_2_3 + 0.0113220113220133*G0_1_0_2_4 - 0.0009552352409497*G0_1_0_2_5 - 0.00189144189144217*G0_1_0_2_6 - 0.00332239189382099*G0_1_0_2_7 + 0.00150135578707031*G0_1_0_2_8 + 0.0163493649207963*G0_1_0_2_9 - 0.00252319109462014*G0_1_0_3_0 - 0.0113220113220132*G0_1_0_3_1 - 0.00692260120831671*G0_1_0_3_2 - 0.265106322249225*G0_1_0_3_3 - 0.00119880119880143*G0_1_0_3_5 + 0.00450406736121095*G0_1_0_3_6 + 0.00756957328386035*G0_1_0_3_7 - 0.00306550592264936*G0_1_0_3_8 + 0.0339089481946679*G0_1_0_3_9 + 0.00252319109462015*G0_1_0_4_0 + 0.00692260120831669*G0_1_0_4_1 + 0.0113220113220133*G0_1_0_4_2 + 0.265106322249225*G0_1_0_4_4 - 0.00756957328386035*G0_1_0_4_5 + 0.00306550592264945*G0_1_0_4_6 + 0.00119880119880133*G0_1_0_4_7 - 0.00450406736121097*G0_1_0_4_8 - 0.0339089481946681*G0_1_0_4_9 + 0.00332239189382104*G0_1_0_5_1 - 0.000955235240949699*G0_1_0_5_2 - 0.00119880119880143*G0_1_0_5_3 - 0.00756957328386035*G0_1_0_5_4 + 0.0245925503068408*G0_1_0_5_5 + 0.0159098044812356*G0_1_0_5_6 - 0.00996717568146317*G0_1_0_5_8 + 0.0199343513629263*G0_1_0_5_9 - 0.00427001569858786*G0_1_0_6_0 - 0.00150135578707032*G0_1_0_6_1 - 0.00189144189144217*G0_1_0_6_2 + 0.00450406736121095*G0_1_0_6_3 + 0.00306550592264945*G0_1_0_6_4 + 0.0159098044812356*G0_1_0_6_5 + 0.00352790067075862*G0_1_0_6_6 + 0.00996717568146295*G0_1_0_6_7 - 0.0580562294848107*G0_1_0_6_9 + 0.000955235240949679*G0_1_0_7_1 - 0.00332239189382099*G0_1_0_7_2 + 0.00756957328386035*G0_1_0_7_3 + 0.00119880119880133*G0_1_0_7_4 + 0.00996717568146295*G0_1_0_7_6 - 0.0245925503068391*G0_1_0_7_7 - 0.0159098044812358*G0_1_0_7_8 - 0.0199343513629259*G0_1_0_7_9 + 0.00427001569858779*G0_1_0_8_0 + 0.00189144189144227*G0_1_0_8_1 + 0.00150135578707031*G0_1_0_8_2 - 0.00306550592264936*G0_1_0_8_3 - 0.00450406736121096*G0_1_0_8_4 - 0.00996717568146317*G0_1_0_8_5 - 0.0159098044812358*G0_1_0_8_7 - 0.00352790067075841*G0_1_0_8_8 + 0.0580562294848106*G0_1_0_8_9 - 0.0163493649207962*G0_1_0_9_1 + 0.0163493649207963*G0_1_0_9_2 + 0.0339089481946679*G0_1_0_9_3 - 0.0339089481946681*G0_1_0_9_4 + 0.0199343513629263*G0_1_0_9_5 - 0.0580562294848107*G0_1_0_9_6 - 0.0199343513629259*G0_1_0_9_7 + 0.0580562294848106*G0_1_0_9_8;
    A[18] = -A[26] - 0.00890562700086667*G0_0_0_0_0 - 0.00456796290129706*G0_0_0_0_1 - 0.00133135823612037*G0_0_0_0_2 - 0.000491545491545589*G0_0_0_0_3 - 0.00100547600547617*G0_0_0_0_4 - 0.00554197125625794*G0_0_0_0_5 + 0.00176056747485349*G0_0_0_0_6 - 0.00117956117956137*G0_0_0_0_7 + 0.00033892033892037*G0_0_0_0_8 - 0.000881340881341046*G0_0_0_0_9 - 0.00456796290129706*G0_0_0_1_0 - 0.142693109359801*G0_0_0_1_1 - 0.00456796290129701*G0_0_0_1_2 - 0.0380452880452946*G0_0_0_1_3 + 0.0185148185148217*G0_0_0_1_4 - 0.00102212602212614*G0_0_0_1_5 - 0.00102212602212621*G0_0_0_1_6 + 0.0185148185148218*G0_0_0_1_7 - 0.0380452880452948*G0_0_0_1_8 - 0.00203130203130241*G0_0_0_1_9 - 0.00133135823612037*G0_0_0_2_0 - 0.00456796290129701*G0_0_0_2_1 - 0.00890562700086659*G0_0_0_2_2 + 0.00033892033892039*G0_0_0_2_3 - 0.00117956117956137*G0_0_0_2_4 + 0.00176056747485348*G0_0_0_2_5 - 0.0055419712562579*G0_0_0_2_6 - 0.00100547600547617*G0_0_0_2_7 - 0.00049154549154559*G0_0_0_2_8 - 0.000881340881341034*G0_0_0_2_9 - 0.000491545491545589*G0_0_0_3_0 - 0.0380452880452946*G0_0_0_3_1 + 0.00033892033892039*G0_0_0_3_2 - 0.0134865134865158*G0_0_0_3_3 + 0.0064185814185825*G0_0_0_3_4 + 0.00132201132201155*G0_0_0_3_5 + 0.00496336996337078*G0_0_0_3_6 + 0.00337162837162901*G0_0_0_3_7 - 0.00674325674325801*G0_0_0_3_8 - 0.000649350649350797*G0_0_0_3_9 - 0.00100547600547617*G0_0_0_4_0 + 0.0185148185148217*G0_0_0_4_1 - 0.00117956117956137*G0_0_0_4_2 + 0.0064185814185825*G0_0_0_4_3 - 0.0180619380619411*G0_0_0_4_4 + 0.00491341991342074*G0_0_0_4_5 - 0.00987678987679153*G0_0_0_4_6 + 0.00206793206793239*G0_0_0_4_7 + 0.00337162837162901*G0_0_0_4_8 - 0.00718281718281836*G0_0_0_4_9 - 0.00554197125625794*G0_0_0_5_0 - 0.00102212602212614*G0_0_0_5_1 + 0.00176056747485348*G0_0_0_5_2 + 0.00132201132201155*G0_0_0_5_3 + 0.00491341991342074*G0_0_0_5_4 - 0.0513438942010457*G0_0_0_5_5 + 0.0110258788830236*G0_0_0_5_6 - 0.00987678987679154*G0_0_0_5_7 + 0.00496336996337082*G0_0_0_5_8 - 0.0072827172827185*G0_0_0_5_9 + 0.00176056747485349*G0_0_0_6_0 - 0.00102212602212621*G0_0_0_6_1 - 0.0055419712562579*G0_0_0_6_2 + 0.00496336996337078*G0_0_0_6_3 - 0.00987678987679153*G0_0_0_6_4 + 0.0110258788830236*G0_0_0_6_5 - 0.0513438942010456*G0_0_0_6_6 + 0.00491341991342074*G0_0_0_6_7 + 0.00132201132201154*G0_0_0_6_8 - 0.00728271728271848*G0_0_0_6_9 - 0.00117956117956137*G0_0_0_7_0 + 0.0185148185148218*G0_0_0_7_1 - 0.00100547600547617*G0_0_0_7_2 + 0.00337162837162901*G0_0_0_7_3 + 0.00206793206793239*G0_0_0_7_4 - 0.00987678987679154*G0_0_0_7_5 + 0.00491341991342074*G0_0_0_7_6 - 0.0180619380619412*G0_0_0_7_7 + 0.00641858141858263*G0_0_0_7_8 - 0.00718281718281838*G0_0_0_7_9 + 0.00033892033892037*G0_0_0_8_0 - 0.0380452880452948*G0_0_0_8_1 - 0.00049154549154559*G0_0_0_8_2 - 0.00674325674325801*G0_0_0_8_3 + 0.00337162837162901*G0_0_0_8_4 + 0.00496336996337082*G0_0_0_8_5 + 0.00132201132201154*G0_0_0_8_6 + 0.00641858141858263*G0_0_0_8_7 - 0.0134865134865161*G0_0_0_8_8 - 0.000649350649350821*G0_0_0_8_9 - 0.000881340881341046*G0_0_0_9_0 - 0.00203130203130242*G0_0_0_9_1 - 0.000881340881341034*G0_0_0_9_2 - 0.000649350649350799*G0_0_0_9_3 - 0.00718281718281836*G0_0_0_9_4 - 0.0072827172827185*G0_0_0_9_5 - 0.00728271728271848*G0_0_0_9_6 - 0.00718281718281838*G0_0_0_9_7 - 0.000649350649350821*G0_0_0_9_8 - 0.0600599400599502*G0_0_0_9_9;
    A[68] = -A[65] + 0.00255659684231164*G0_0_1_0_0 + 0.000318869842679434*G0_0_1_0_1 + 0.00504261170927922*G0_0_1_0_2 - 0.00198499912785659*G0_0_1_0_3 + 0.0262382062382107*G0_0_1_0_4 - 0.00676466390752218*G0_0_1_0_5 + 0.00941058941059096*G0_0_1_0_6 - 0.00316064887493507*G0_0_1_0_7 - 0.000746872175443755*G0_0_1_0_8 + 0.0195632938490115*G0_0_1_0_9 + 0.000318869842679434*G0_0_1_1_0 - 0.00360133693467081*G0_0_1_1_1 + 0.00603519936853371*G0_0_1_1_2 - 0.0080560709132151*G0_0_1_1_3 + 0.00894882894883048*G0_0_1_1_4 - 0.00297448583162919*G0_0_1_1_5 + 0.000823620823620947*G0_0_1_1_6 + 0.00137925566497017*G0_0_1_1_7 - 0.00490874205159998*G0_0_1_1_8 + 0.00427952999381645*G0_0_1_1_9 + 0.00504261170927922*G0_0_1_2_0 + 0.00603519936853371*G0_0_1_2_1 + 0.196588596588629*G0_0_1_2_2 - 0.0287490287490334*G0_0_1_2_3 + 0.0391164391164455*G0_0_1_2_4 - 0.024131424131428*G0_0_1_2_5 + 0.0565212565212658*G0_0_1_2_6 + 0.00192918192918227*G0_0_1_2_7 - 0.000574980574980646*G0_0_1_2_8 - 0.0101232101232119*G0_0_1_2_9 - 0.00198499912785659*G0_0_1_3_0 - 0.0080560709132151*G0_0_1_3_1 - 0.0287490287490334*G0_0_1_3_2 + 0.0551048951049044*G0_0_1_3_3 - 0.0304295704295755*G0_0_1_3_4 + 0.0108691308691327*G0_0_1_3_5 - 0.00933066933067087*G0_0_1_3_6 - 0.000904809476238232*G0_0_1_3_7 + 0.00603967461110425*G0_0_1_3_8 - 0.0110289710289728*G0_0_1_3_9 + 0.0262382062382107*G0_0_1_4_0 + 0.00894882894883048*G0_0_1_4_1 + 0.0391164391164455*G0_0_1_4_2 - 0.0304295704295755*G0_0_1_4_3 + 0.491108891108974*G0_0_1_4_4 - 0.08557442557444*G0_0_1_4_5 + 0.0949050949051109*G0_0_1_4_6 - 0.0388211788211854*G0_0_1_4_7 - 0.00513486513486604*G0_0_1_4_8 + 0.201518481518515*G0_0_1_4_9 - 0.00676466390752218*G0_0_1_5_0 - 0.00297448583162919*G0_0_1_5_1 - 0.024131424131428*G0_0_1_5_2 + 0.0108691308691327*G0_0_1_5_3 - 0.0855744255744399*G0_0_1_5_4 + 0.0173826173826203*G0_0_1_5_5 - 0.0341058941058997*G0_0_1_5_6 + 0.0105837020122753*G0_0_1_5_7 + 0.00206365063507955*G0_0_1_5_8 - 0.0628171828171934*G0_0_1_5_9 + 0.00941058941059096*G0_0_1_6_0 + 0.000823620823620947*G0_0_1_6_1 + 0.0565212565212658*G0_0_1_6_2 - 0.00933066933067087*G0_0_1_6_3 + 0.0949050949051109*G0_0_1_6_4 - 0.0341058941058997*G0_0_1_6_5 - 0.111488511488531*G0_0_1_6_6 - 0.0126473526473548*G0_0_1_6_7 + 0.00305694305694355*G0_0_1_6_8 + 0.0490309690309774*G0_0_1_6_9 - 0.00316064887493507*G0_0_1_7_0 + 0.00137925566497017*G0_0_1_7_1 + 0.00192918192918227*G0_0_1_7_2 - 0.000904809476238232*G0_0_1_7_3 - 0.0388211788211854*G0_0_1_7_4 + 0.0105837020122753*G0_0_1_7_5 - 0.0126473526473548*G0_0_1_7_6 + 0.000416726131012351*G0_0_1_7_7 + 0.00131582703011289*G0_0_1_7_8 - 0.0333951762523247*G0_0_1_7_9 - 0.000746872175443755*G0_0_1_8_0 - 0.00490874205159998*G0_0_1_8_1 - 0.000574980574980646*G0_0_1_8_2 + 0.00603967461110426*G0_0_1_8_3 - 0.00513486513486604*G0_0_1_8_4 + 0.00206365063507955*G0_0_1_8_5 + 0.00305694305694355*G0_0_1_8_6 + 0.00131582703011289*G0_0_1_8_7 - 0.0164349935778531*G0_0_1_8_8 - 0.00256885971171724*G0_0_1_8_9 + 0.0195632938490115*G0_0_1_9_0 + 0.00427952999381645*G0_0_1_9_1 - 0.0101232101232119*G0_0_1_9_2 - 0.0110289710289728*G0_0_1_9_3 + 0.201518481518515*G0_0_1_9_4 - 0.0628171828171934*G0_0_1_9_5 + 0.0490309690309773*G0_0_1_9_6 - 0.0333951762523247*G0_0_1_9_7 - 0.00256885971171724*G0_0_1_9_8 + 0.205714285714321*G0_0_1_9_9 - 0.000348434634148923*G0_1_1_0_0 - 0.00707077754696928*G0_1_1_0_1 - 0.00117043450376804*G0_1_1_0_2 - 0.00716711859569126*G0_1_1_0_3 + 0.00632224917939315*G0_1_1_0_4 + 0.00190095618667082*G0_1_1_0_5 - 0.00192664478378799*G0_1_1_0_6 + 0.00969379826522854*G0_1_1_0_7 - 0.0145857317285914*G0_1_1_0_8 - 0.00482374768089135*G0_1_1_0_9 - 0.00707077754696928*G0_1_1_1_0 - 0.0961024161024332*G0_1_1_1_1 - 0.00173036839703538*G0_1_1_1_2 - 0.0294105894105946*G0_1_1_1_3 + 0.0055658627087209*G0_1_1_1_4 + 0.00287997716569199*G0_1_1_1_5 - 0.00586556300842118*G0_1_1_1_6 + 0.0330761302189932*G0_1_1_1_7 - 0.0708447108447233*G0_1_1_1_8 - 0.00673612102183652*G0_1_1_1_9 - 0.00117043450376804*G0_1_1_2_0 - 0.00173036839703538*G0_1_1_2_1 + 0.0139514806181494*G0_1_1_2_2 - 0.0162393162393189*G0_1_1_2_3 + 0.000710400710400738*G0_1_1_2_4 + 0.00192030192030229*G0_1_1_2_5 + 0.00295260295260338*G0_1_1_2_6 + 0.00429570429570503*G0_1_1_2_7 - 0.0104895104895122*G0_1_1_2_8 - 0.0113886113886133*G0_1_1_2_9 - 0.00716711859569126*G0_1_1_3_0 - 0.0294105894105946*G0_1_1_3_1 - 0.0162393162393189*G0_1_1_3_2 - 0.140345368916822*G0_1_1_3_3 + 0.0878121878122027*G0_1_1_3_4 + 0.000693592122163668*G0_1_1_3_5 + 0.029070929070934*G0_1_1_3_6 + 0.0329755958327443*G0_1_1_3_7 - 0.0759183673469517*G0_1_1_3_8 - 0.0457428285999792*G0_1_1_3_9 + 0.00632224917939315*G0_1_1_4_0 + 0.0055658627087209*G0_1_1_4_1 + 0.000710400710400742*G0_1_1_4_2 + 0.0878121878122027*G0_1_1_4_3 + 0.0683316683316803*G0_1_1_4_4 - 0.00749250749250881*G0_1_1_4_5 - 0.0215784215784252*G0_1_1_4_6 - 0.0216640502354825*G0_1_1_4_7 + 0.0429427715142073*G0_1_1_4_8 + 0.0491508491508575*G0_1_1_4_9 + 0.00190095618667082*G0_1_1_5_0 + 0.00287997716569199*G0_1_1_5_1 + 0.00192030192030229*G0_1_1_5_2 + 0.000693592122163668*G0_1_1_5_3 - 0.00749250749250881*G0_1_1_5_4 - 0.000685029256457868*G0_1_1_5_5 + 0.00869130869131011*G0_1_1_5_6 - 0.00142143570715018*G0_1_1_5_7 + 0.00283430854859477*G0_1_1_5_8 + 0.00880262594548458*G0_1_1_5_9 - 0.00192664478378799*G0_1_1_6_0 - 0.00586556300842118*G0_1_1_6_1 + 0.00295260295260338*G0_1_1_6_2 + 0.029070929070934*G0_1_1_6_3 - 0.0215784215784252*G0_1_1_6_4 + 0.00869130869131011*G0_1_1_6_5 - 0.0659340659340773*G0_1_1_6_6 - 0.00141287284144455*G0_1_1_6_7 + 0.0187954902240648*G0_1_1_6_8 - 0.0239760239760281*G0_1_1_6_9 + 0.00969379826522854*G0_1_1_7_0 + 0.0330761302189932*G0_1_1_7_1 + 0.00429570429570503*G0_1_1_7_2 + 0.0329755958327443*G0_1_1_7_3 - 0.0216640502354825*G0_1_1_7_4 - 0.00142143570715018*G0_1_1_7_5 - 0.00141287284144455*G0_1_1_7_6 - 0.0455886970172759*G0_1_1_7_7 + 0.0570201227344183*G0_1_1_7_8 + 0.0172969887255631*G0_1_1_7_9 - 0.0145857317285915*G0_1_1_8_0 - 0.0708447108447233*G0_1_1_8_1 - 0.0104895104895122*G0_1_1_8_2 - 0.0759183673469517*G0_1_1_8_3 + 0.0429427715142073*G0_1_1_8_4 + 0.00283430854859477*G0_1_1_8_5 + 0.0187954902240648*G0_1_1_8_6 + 0.0570201227344183*G0_1_1_8_7 - 0.29331240188388*G0_1_1_8_8 - 0.0656771799629053*G0_1_1_8_9 - 0.00482374768089135*G0_1_1_9_0 - 0.00673612102183651*G0_1_1_9_1 - 0.0113886113886133*G0_1_1_9_2 - 0.0457428285999792*G0_1_1_9_3 + 0.0491508491508576*G0_1_1_9_4 + 0.00880262594548458*G0_1_1_9_5 - 0.0239760239760281*G0_1_1_9_6 + 0.0172969887255631*G0_1_1_9_7 - 0.0656771799629053*G0_1_1_9_8 - 0.110152704438437*G0_1_1_9_9;
    A[169] = A[68] - 0.00052941767227487*G0_0_0_0_0 + 0.000543900543900634*G0_0_0_0_1 - 0.0174131688417432*G0_0_0_0_2 + 0.00411493268636195*G0_0_0_0_3 - 0.00071262071262079*G0_0_0_0_4 + 0.0113137655994818*G0_0_0_0_5 - 0.0246302903445803*G0_0_0_0_6 + 0.000366617509474702*G0_0_0_0_7 + 0.000209631638203097*G0_0_0_0_8 + 0.000108462965605845*G0_0_0_0_9 + 0.000543900543900634*G0_0_0_1_0 + 0.0252784252784293*G0_0_0_1_1 - 0.00787519358948061*G0_0_0_1_2 + 0.0272565529708432*G0_0_0_1_3 - 0.0114885114885133*G0_0_0_1_4 + 0.003302411873841*G0_0_0_1_5 - 0.0130088958660409*G0_0_0_1_6 - 0.00504289361432303*G0_0_0_1_7 + 0.0125081267938431*G0_0_0_1_8 + 0.00235003092145991*G0_0_0_1_9 - 0.0174131688417432*G0_0_0_2_0 - 0.00787519358948061*G0_0_0_2_1 - 0.30066822066827*G0_0_0_2_2 + 0.0471509442938091*G0_0_0_2_3 - 0.085194805194819*G0_0_0_2_4 + 0.0816941788370495*G0_0_0_2_5 - 0.185023865023896*G0_0_0_2_6 + 0.00238903953189704*G0_0_0_2_7 + 0.000752580752580848*G0_0_0_2_8 - 0.0183511726368899*G0_0_0_2_9 + 0.00411493268636195*G0_0_0_3_0 + 0.0272565529708432*G0_0_0_3_1 + 0.0471509442938091*G0_0_0_3_2 + 0.0222977022977065*G0_0_0_3_3 - 0.0172370486656233*G0_0_0_3_4 - 0.0150991865277604*G0_0_0_3_5 + 0.0469730269730346*G0_0_0_3_6 - 0.00439845868417373*G0_0_0_3_7 - 0.00129013843299571*G0_0_0_3_8 + 0.00174682460396776*G0_0_0_3_9 - 0.00071262071262079*G0_0_0_4_0 - 0.0114885114885133*G0_0_0_4_1 - 0.085194805194819*G0_0_0_4_2 - 0.0172370486656233*G0_0_0_4_3 + 0.156957328385927*G0_0_0_4_4 + 0.0100842015127745*G0_0_0_4_5 - 0.0570572284858091*G0_0_0_4_6 - 0.00648779791637045*G0_0_0_4_7 + 0.00568859711716945*G0_0_0_4_8 + 0.0348851148851208*G0_0_0_4_9 + 0.0113137655994818*G0_0_0_5_0 + 0.003302411873841*G0_0_0_5_1 + 0.0816941788370495*G0_0_0_5_2 - 0.0150991865277604*G0_0_0_5_3 + 0.0100842015127745*G0_0_0_5_4 - 0.0508405879834536*G0_0_0_5_5 + 0.111879549022425*G0_0_0_5_6 + 0.00118167546738996*G0_0_0_5_7 - 0.00196089624661084*G0_0_0_5_8 + 0.00359640359640415*G0_0_0_5_9 - 0.0246302903445803*G0_0_0_6_0 - 0.0130088958660409*G0_0_0_6_1 - 0.185023865023896*G0_0_0_6_2 + 0.0469730269730346*G0_0_0_6_3 - 0.0570572284858091*G0_0_0_6_4 + 0.111879549022425*G0_0_0_6_5 - 0.402962751534247*G0_0_0_6_6 + 0.000779220779220877*G0_0_0_6_7 + 0.0144113029827339*G0_0_0_6_8 - 0.0388925360353995*G0_0_0_6_9 + 0.000366617509474701*G0_0_0_7_0 - 0.00504289361432303*G0_0_0_7_1 + 0.00238903953189704*G0_0_0_7_2 - 0.00439845868417374*G0_0_0_7_3 - 0.00648779791637045*G0_0_0_7_4 + 0.00118167546738996*G0_0_0_7_5 + 0.000779220779220876*G0_0_0_7_6 + 0.00289995718567187*G0_0_0_7_7 - 0.00157842157842181*G0_0_0_7_8 - 0.00188383045525937*G0_0_0_7_9 + 0.000209631638203098*G0_0_0_8_0 + 0.0125081267938431*G0_0_0_8_1 + 0.000752580752580847*G0_0_0_8_2 - 0.00129013843299571*G0_0_0_8_3 + 0.00568859711716945*G0_0_0_8_4 - 0.00196089624661084*G0_0_0_8_5 + 0.0144113029827339*G0_0_0_8_6 - 0.00157842157842181*G0_0_0_8_7 - 0.0328243185386096*G0_0_0_8_8 - 0.0184272869987186*G0_0_0_8_9 + 0.000108462965605845*G0_0_0_9_0 + 0.00235003092145991*G0_0_0_9_1 - 0.0183511726368899*G0_0_0_9_2 + 0.00174682460396776*G0_0_0_9_3 + 0.0348851148851208*G0_0_0_9_4 + 0.00359640359640415*G0_0_0_9_5 - 0.0388925360353995*G0_0_0_9_6 - 0.00188383045525936*G0_0_0_9_7 - 0.0184272869987186*G0_0_0_9_8 - 0.0337034394177309*G0_0_0_9_9 + 0.00809560809560954*G0_0_1_0_1 - 0.00809560809560946*G0_0_1_0_2 + 0.00353170638884985*G0_0_1_0_3 - 0.00353170638884981*G0_0_1_0_4 + 0.00187621901907644*G0_0_1_0_5 - 0.00619190333476147*G0_0_1_0_6 - 0.00187621901907657*G0_0_1_0_7 + 0.00619190333476158*G0_0_1_0_8 + 0.00809560809560954*G0_0_1_1_0 + 0.229902443235816*G0_0_1_1_1 + 0.0560169988741514*G0_0_1_1_3 - 0.0297743526315006*G0_0_1_1_4 + 0.00125017839303565*G0_0_1_1_5 - 0.000637457780314974*G0_0_1_1_6 - 0.0379934351362989*G0_0_1_1_7 + 0.0846068217496937*G0_0_1_1_8 + 0.00321012321012382*G0_0_1_1_9 - 0.00809560809560946*G0_0_1_2_0 - 0.229902443235815*G0_0_1_2_2 + 0.0297743526315003*G0_0_1_2_3 - 0.0560169988741507*G0_0_1_2_4 + 0.0379934351362985*G0_0_1_2_5 - 0.0846068217496928*G0_0_1_2_6 - 0.00125017839303578*G0_0_1_2_7 + 0.000637457780315022*G0_0_1_2_8 - 0.00321012321012369*G0_0_1_2_9 + 0.00353170638884985*G0_0_1_3_0 + 0.0560169988741514*G0_0_1_3_1 + 0.0297743526315003*G0_0_1_3_2 - 0.0878378764093195*G0_0_1_3_3 - 0.00717282717282837*G0_0_1_3_5 + 0.00191237334094501*G0_0_1_3_6 - 0.0105951191665496*G0_0_1_3_7 + 0.0125074925074948*G0_0_1_3_8 + 0.0115598687027278*G0_0_1_3_9 - 0.00353170638884981*G0_0_1_4_0 - 0.0297743526315006*G0_0_1_4_1 - 0.0560169988741507*G0_0_1_4_2 + 0.0878378764093207*G0_0_1_4_4 + 0.0105951191665494*G0_0_1_4_5 - 0.0125074925074944*G0_0_1_4_6 + 0.0071728271728284*G0_0_1_4_7 - 0.00191237334094518*G0_0_1_4_8 - 0.0115598687027277*G0_0_1_4_9 + 0.00187621901907644*G0_0_1_5_0 + 0.00125017839303565*G0_0_1_5_1 + 0.0379934351362985*G0_0_1_5_2 - 0.00717282717282837*G0_0_1_5_3 + 0.0105951191665494*G0_0_1_5_4 - 0.00714713857571126*G0_0_1_5_5 + 0.0277722277722323*G0_0_1_5_6 - 0.00375053517910726*G0_0_1_5_8 + 0.00750107035821447*G0_0_1_5_9 - 0.00619190333476147*G0_0_1_6_0 - 0.000637457780314974*G0_0_1_6_1 - 0.0846068217496928*G0_0_1_6_2 + 0.00191237334094501*G0_0_1_6_3 - 0.0125074925074944*G0_0_1_6_4 + 0.0277722277722323*G0_0_1_6_5 + 0.0795946910232764*G0_0_1_6_6 + 0.00375053517910726*G0_0_1_6_7 + 0.00580562294848108*G0_0_1_6_9 - 0.00187621901907657*G0_0_1_7_0 - 0.0379934351362989*G0_0_1_7_1 - 0.00125017839303578*G0_0_1_7_2 - 0.0105951191665496*G0_0_1_7_3 + 0.0071728271728284*G0_0_1_7_4 + 0.00375053517910726*G0_0_1_7_6 + 0.00714713857571096*G0_0_1_7_7 - 0.0277722277722326*G0_0_1_7_8 - 0.00750107035821451*G0_0_1_7_9 + 0.00619190333476158*G0_0_1_8_0 + 0.0846068217496937*G0_0_1_8_1 + 0.000637457780315023*G0_0_1_8_2 + 0.0125074925074948*G0_0_1_8_3 - 0.00191237334094518*G0_0_1_8_4 - 0.00375053517910726*G0_0_1_8_5 - 0.0277722277722326*G0_0_1_8_7 - 0.0795946910232756*G0_0_1_8_8 - 0.00580562294848108*G0_0_1_8_9 + 0.00321012321012383*G0_0_1_9_1 - 0.00321012321012369*G0_0_1_9_2 + 0.0115598687027278*G0_0_1_9_3 - 0.0115598687027277*G0_0_1_9_4 + 0.00750107035821447*G0_0_1_9_5 + 0.00580562294848108*G0_0_1_9_6 - 0.00750107035821451*G0_0_1_9_7 - 0.00580562294848108*G0_0_1_9_8 + 0.00193055621627082*G0_1_0_0_1 - 0.00193055621627082*G0_1_0_0_2 + 0.00609295466438428*G0_1_0_0_3 - 0.00609295466438425*G0_1_0_0_4 + 0.00172843029985916*G0_1_0_0_5 - 0.00519607376750322*G0_1_0_0_6 - 0.00172843029985917*G0_1_0_0_7 + 0.00519607376750321*G0_1_0_0_8 + 0.00193055621627082*G0_1_0_1_0 + 0.0309359776026493*G0_1_0_1_1 + 0.0391519591519657*G0_1_0_1_3 - 0.022622456908175*G0_1_0_1_4 + 0.00131297274154439*G0_1_0_1_5 - 0.00582465153893823*G0_1_0_1_6 - 0.0102082044939205*G0_1_0_1_7 + 0.0219425019425055*G0_1_0_1_8 + 0.0043080728795022*G0_1_0_1_9 - 0.00193055621627082*G0_1_0_2_0 - 0.0309359776026491*G0_1_0_2_2 + 0.0226224569081749*G0_1_0_2_3 - 0.0391519591519655*G0_1_0_2_4 + 0.0102082044939204*G0_1_0_2_5 - 0.0219425019425055*G0_1_0_2_6 - 0.00131297274154439*G0_1_0_2_7 + 0.00582465153893822*G0_1_0_2_8 - 0.00430807287950215*G0_1_0_2_9 + 0.00609295466438428*G0_1_0_3_0 + 0.0391519591519657*G0_1_0_3_1 + 0.0226224569081749*G0_1_0_3_2 + 0.0325388896817528*G0_1_0_3_3 - 0.011108891108893*G0_1_0_3_5 + 0.0174739546168146*G0_1_0_3_6 - 0.0182788639931528*G0_1_0_3_7 + 0.0357528186099675*G0_1_0_3_8 + 0.0236335093477991*G0_1_0_3_9 - 0.00609295466438425*G0_1_0_4_0 - 0.022622456908175*G0_1_0_4_1 - 0.0391519591519655*G0_1_0_4_2 - 0.0325388896817518*G0_1_0_4_4 + 0.0182788639931527*G0_1_0_4_5 - 0.0357528186099674*G0_1_0_4_6 + 0.0111088911088929*G0_1_0_4_7 - 0.0174739546168147*G0_1_0_4_8 - 0.0236335093477989*G0_1_0_4_9 + 0.00172843029985916*G0_1_0_5_0 + 0.00131297274154439*G0_1_0_5_1 + 0.0102082044939204*G0_1_0_5_2 - 0.011108891108893*G0_1_0_5_3 + 0.0182788639931527*G0_1_0_5_4 - 0.00796917368346072*G0_1_0_5_5 + 0.0220522334808086*G0_1_0_5_6 - 0.00393891822463317*G0_1_0_5_8 + 0.0078778364492663*G0_1_0_5_9 - 0.00519607376750322*G0_1_0_6_0 - 0.00582465153893823*G0_1_0_6_1 - 0.0219425019425055*G0_1_0_6_2 + 0.0174739546168146*G0_1_0_6_3 - 0.0357528186099673*G0_1_0_6_4 + 0.0220522334808086*G0_1_0_6_5 - 0.0521193092621753*G0_1_0_6_6 + 0.00393891822463316*G0_1_0_6_7 - 0.0220236905951228*G0_1_0_6_9 - 0.00172843029985917*G0_1_0_7_0 - 0.0102082044939205*G0_1_0_7_1 - 0.00131297274154439*G0_1_0_7_2 - 0.0182788639931528*G0_1_0_7_3 + 0.0111088911088929*G0_1_0_7_4 + 0.00393891822463316*G0_1_0_7_6 + 0.00796917368346075*G0_1_0_7_7 - 0.0220522334808086*G0_1_0_7_8 - 0.00787783644926638*G0_1_0_7_9 + 0.00519607376750321*G0_1_0_8_0 + 0.0219425019425055*G0_1_0_8_1 + 0.00582465153893822*G0_1_0_8_2 + 0.0357528186099675*G0_1_0_8_3 - 0.0174739546168147*G0_1_0_8_4 - 0.00393891822463317*G0_1_0_8_5 - 0.0220522334808086*G0_1_0_8_7 + 0.0521193092621751*G0_1_0_8_8 + 0.0220236905951229*G0_1_0_8_9 + 0.0043080728795022*G0_1_0_9_1 - 0.00430807287950215*G0_1_0_9_2 + 0.0236335093477991*G0_1_0_9_3 - 0.0236335093477989*G0_1_0_9_4 + 0.0078778364492663*G0_1_0_9_5 - 0.0220236905951228*G0_1_0_9_6 - 0.00787783644926638*G0_1_0_9_7 + 0.0220236905951229*G0_1_0_9_8 + 0.000529417672274857*G0_1_1_0_0 + 0.0174131688417433*G0_1_1_0_1 - 0.000543900543900629*G0_1_1_0_2 + 0.000712620712620863*G0_1_1_0_3 - 0.00411493268636196*G0_1_1_0_4 - 0.000366617509474752*G0_1_1_0_5 - 0.000209631638203079*G0_1_1_0_6 - 0.0113137655994819*G0_1_1_0_7 + 0.0246302903445804*G0_1_1_0_8 - 0.000108462965605816*G0_1_1_0_9 + 0.0174131688417433*G0_1_1_1_0 + 0.300668220668273*G0_1_1_1_1 + 0.00787519358948065*G0_1_1_1_2 + 0.0851948051948199*G0_1_1_1_3 - 0.0471509442938095*G0_1_1_1_4 - 0.00238903953189721*G0_1_1_1_5 - 0.000752580752580802*G0_1_1_1_6 - 0.0816941788370501*G0_1_1_1_7 + 0.185023865023897*G0_1_1_1_8 + 0.0183511726368901*G0_1_1_1_9 - 0.000543900543900629*G0_1_1_2_0 + 0.00787519358948066*G0_1_1_2_1 - 0.0252784252784292*G0_1_1_2_2 + 0.0114885114885134*G0_1_1_2_3 - 0.0272565529708431*G0_1_1_2_4 + 0.00504289361432297*G0_1_1_2_5 - 0.0125081267938431*G0_1_1_2_6 - 0.00330241187384102*G0_1_1_2_7 + 0.0130088958660409*G0_1_1_2_8 - 0.00235003092145987*G0_1_1_2_9 + 0.000712620712620861*G0_1_1_3_0 + 0.0851948051948199*G0_1_1_3_1 + 0.0114885114885134*G0_1_1_3_2 - 0.156957328385926*G0_1_1_3_3 + 0.0172370486656228*G0_1_1_3_4 + 0.00648779791637037*G0_1_1_3_5 - 0.00568859711716955*G0_1_1_3_6 - 0.0100842015127748*G0_1_1_3_7 + 0.0570572284858098*G0_1_1_3_8 - 0.0348851148851207*G0_1_1_3_9 - 0.00411493268636196*G0_1_1_4_0 - 0.0471509442938095*G0_1_1_4_1 - 0.0272565529708431*G0_1_1_4_2 + 0.0172370486656228*G0_1_1_4_3 - 0.0222977022977056*G0_1_1_4_4 + 0.0043984586841737*G0_1_1_4_5 + 0.00129013843299588*G0_1_1_4_6 + 0.0150991865277606*G0_1_1_4_7 - 0.046973026973035*G0_1_1_4_8 - 0.00174682460396773*G0_1_1_4_9 - 0.000366617509474752*G0_1_1_5_0 - 0.00238903953189721*G0_1_1_5_1 + 0.00504289361432297*G0_1_1_5_2 + 0.00648779791637037*G0_1_1_5_3 + 0.0043984586841737*G0_1_1_5_4 - 0.002899957185672*G0_1_1_5_5 + 0.00157842157842186*G0_1_1_5_6 - 0.00118167546738994*G0_1_1_5_7 - 0.000779220779221017*G0_1_1_5_8 + 0.00188383045525926*G0_1_1_5_9 - 0.000209631638203079*G0_1_1_6_0 - 0.000752580752580802*G0_1_1_6_1 - 0.0125081267938431*G0_1_1_6_2 - 0.00568859711716954*G0_1_1_6_3 + 0.00129013843299588*G0_1_1_6_4 + 0.00157842157842186*G0_1_1_6_5 + 0.03282431853861*G0_1_1_6_6 + 0.00196089624661087*G0_1_1_6_7 - 0.0144113029827339*G0_1_1_6_8 + 0.0184272869987188*G0_1_1_6_9 - 0.0113137655994819*G0_1_1_7_0 - 0.0816941788370501*G0_1_1_7_1 - 0.00330241187384102*G0_1_1_7_2 - 0.0100842015127748*G0_1_1_7_3 + 0.0150991865277606*G0_1_1_7_4 - 0.00118167546738994*G0_1_1_7_5 + 0.00196089624661087*G0_1_1_7_6 + 0.0508405879834536*G0_1_1_7_7 - 0.111879549022425*G0_1_1_7_8 - 0.00359640359640434*G0_1_1_7_9 + 0.0246302903445804*G0_1_1_8_0 + 0.185023865023897*G0_1_1_8_1 + 0.0130088958660409*G0_1_1_8_2 + 0.0570572284858098*G0_1_1_8_3 - 0.046973026973035*G0_1_1_8_4 - 0.000779220779221018*G0_1_1_8_5 - 0.0144113029827339*G0_1_1_8_6 - 0.111879549022425*G0_1_1_8_7 + 0.402962751534249*G0_1_1_8_8 + 0.0388925360353999*G0_1_1_8_9 - 0.000108462965605815*G0_1_1_9_0 + 0.0183511726368901*G0_1_1_9_1 - 0.00235003092145987*G0_1_1_9_2 - 0.0348851148851207*G0_1_1_9_3 - 0.00174682460396773*G0_1_1_9_4 + 0.00188383045525926*G0_1_1_9_5 + 0.0184272869987188*G0_1_1_9_6 - 0.00359640359640433*G0_1_1_9_7 + 0.0388925360353999*G0_1_1_9_8 + 0.0337034394177309*G0_1_1_9_9;
    A[71] = A[169] - 0.000523497666354945*G0_0_1_0_0 - 0.00578458578458685*G0_0_1_0_1 + 0.00038046609475187*G0_0_1_0_2 + 0.00168625025767911*G0_0_1_0_3 - 0.000874998017855304*G0_0_1_0_4 + 0.00014874014874017*G0_0_1_0_6 - 0.000847089418518182*G0_0_1_0_8 - 0.00141382427096736*G0_0_1_0_9 - 0.00578458578458685*G0_0_1_1_0 - 0.195838729172097*G0_0_1_1_1 - 0.00337514337514397*G0_0_1_1_2 - 0.0192252192252228*G0_0_1_1_3 + 0.014407814407817*G0_0_1_1_4 - 0.000597180597180613*G0_0_1_1_5 + 0.00025530025530027*G0_0_1_1_6 + 0.0265734265734314*G0_0_1_1_7 - 0.0608724608724718*G0_0_1_1_8 + 0.00293040293040336*G0_0_1_1_9 + 0.00038046609475187*G0_0_1_2_0 - 0.00337514337514397*G0_0_1_2_1 + 0.0031277364610703*G0_0_1_2_2 + 0.00725591868449134*G0_0_1_2_3 - 0.00236017950303704*G0_0_1_2_4 - 0.00121180406894712*G0_0_1_2_5 + 0.00179185893471636*G0_0_1_2_6 - 0.000659974945689333*G0_0_1_2_7 + 0.00544249401392347*G0_0_1_2_8 + 0.00183245326102499*G0_0_1_2_9 + 0.00168625025767911*G0_0_1_3_0 - 0.0192252192252228*G0_0_1_3_1 + 0.00725591868449134*G0_0_1_3_2 + 0.133706293706316*G0_0_1_3_3 - 0.0355044955045015*G0_0_1_3_4 - 0.000796346510632326*G0_0_1_3_5 - 0.00244041672613142*G0_0_1_3_6 - 0.0067332667332678*G0_0_1_3_7 + 0.0247352647352687*G0_0_1_3_8 + 0.00467532467532556*G0_0_1_3_9 - 0.000874998017855304*G0_0_1_4_0 + 0.014407814407817*G0_0_1_4_1 - 0.00236017950303704*G0_0_1_4_2 - 0.0355044955045015*G0_0_1_4_3 + 0.013329527615244*G0_0_1_4_4 + 0.000950478093335389*G0_0_1_4_5 + 0.00148993863279601*G0_0_1_4_6 + 0.0031397174254322*G0_0_1_4_7 - 0.0180019980020009*G0_0_1_4_8 - 0.00739831596974579*G0_0_1_4_9 - 0.000597180597180613*G0_0_1_5_1 - 0.00121180406894712*G0_0_1_5_2 - 0.000796346510632329*G0_0_1_5_3 + 0.00095047809333539*G0_0_1_5_4 + 0.0030769230769237*G0_0_1_5_5 - 0.00054516911659776*G0_0_1_5_6 - 0.000422434708149082*G0_0_1_5_7 + 0.000117025831311597*G0_0_1_5_8 + 0.00400742115027894*G0_0_1_5_9 + 0.00014874014874017*G0_0_1_6_0 + 0.000255300255300269*G0_0_1_6_1 + 0.00179185893471636*G0_0_1_6_2 - 0.00244041672613142*G0_0_1_6_3 + 0.00148993863279601*G0_0_1_6_4 - 0.00054516911659776*G0_0_1_6_5 + 0.0107835022120754*G0_0_1_6_6 + 0.000305408876837505*G0_0_1_6_7 - 0.00770943342372041*G0_0_1_6_8 - 0.000616526330812152*G0_0_1_6_9 + 0.0265734265734314*G0_0_1_7_1 - 0.000659974945689333*G0_0_1_7_2 - 0.00673326673326781*G0_0_1_7_3 + 0.0031397174254322*G0_0_1_7_4 - 0.000422434708149081*G0_0_1_7_5 + 0.000305408876837505*G0_0_1_7_6 + 0.00389895818467305*G0_0_1_7_7 + 0.00517482517482631*G0_0_1_7_8 + 0.00363065505922708*G0_0_1_7_9 - 0.000847089418518182*G0_0_1_8_0 - 0.0608724608724718*G0_0_1_8_1 + 0.00544249401392347*G0_0_1_8_2 + 0.0247352647352687*G0_0_1_8_3 - 0.0180019980020009*G0_0_1_8_4 + 0.000117025831311597*G0_0_1_8_5 - 0.00770943342372041*G0_0_1_8_6 + 0.00517482517482631*G0_0_1_8_7 + 0.142497502497526*G0_0_1_8_8 + 0.0272127872127918*G0_0_1_8_9 - 0.00141382427096736*G0_0_1_9_0 + 0.00293040293040336*G0_0_1_9_1 + 0.00183245326102499*G0_0_1_9_2 + 0.00467532467532555*G0_0_1_9_3 - 0.00739831596974579*G0_0_1_9_4 + 0.00400742115027894*G0_0_1_9_5 - 0.000616526330812152*G0_0_1_9_6 + 0.00363065505922708*G0_0_1_9_7 + 0.0272127872127918*G0_0_1_9_8 - 0.0355530184101672*G0_0_1_9_9 + 0.000523497666354945*G0_1_0_0_0 + 0.00578458578458685*G0_1_0_0_1 - 0.00038046609475187*G0_1_0_0_2 - 0.00168625025767911*G0_1_0_0_3 + 0.000874998017855304*G0_1_0_0_4 - 0.00014874014874017*G0_1_0_0_6 + 0.000847089418518182*G0_1_0_0_8 + 0.00141382427096736*G0_1_0_0_9 + 0.00578458578458685*G0_1_0_1_0 + 0.195838729172097*G0_1_0_1_1 + 0.00337514337514397*G0_1_0_1_2 + 0.0192252192252228*G0_1_0_1_3 - 0.014407814407817*G0_1_0_1_4 + 0.000597180597180613*G0_1_0_1_5 - 0.00025530025530027*G0_1_0_1_6 - 0.0265734265734314*G0_1_0_1_7 + 0.0608724608724718*G0_1_0_1_8 - 0.00293040293040336*G0_1_0_1_9 - 0.00038046609475187*G0_1_0_2_0 + 0.00337514337514397*G0_1_0_2_1 - 0.0031277364610703*G0_1_0_2_2 - 0.00725591868449134*G0_1_0_2_3 + 0.00236017950303704*G0_1_0_2_4 + 0.00121180406894712*G0_1_0_2_5 - 0.00179185893471636*G0_1_0_2_6 + 0.000659974945689333*G0_1_0_2_7 - 0.00544249401392347*G0_1_0_2_8 - 0.00183245326102499*G0_1_0_2_9 - 0.00168625025767911*G0_1_0_3_0 + 0.0192252192252228*G0_1_0_3_1 - 0.00725591868449134*G0_1_0_3_2 - 0.133706293706316*G0_1_0_3_3 + 0.0355044955045015*G0_1_0_3_4 + 0.000796346510632329*G0_1_0_3_5 + 0.00244041672613142*G0_1_0_3_6 + 0.00673326673326781*G0_1_0_3_7 - 0.0247352647352687*G0_1_0_3_8 - 0.00467532467532556*G0_1_0_3_9 + 0.000874998017855304*G0_1_0_4_0 - 0.014407814407817*G0_1_0_4_1 + 0.00236017950303704*G0_1_0_4_2 + 0.0355044955045015*G0_1_0_4_3 - 0.013329527615244*G0_1_0_4_4 - 0.000950478093335389*G0_1_0_4_5 - 0.00148993863279601*G0_1_0_4_6 - 0.0031397174254322*G0_1_0_4_7 + 0.0180019980020009*G0_1_0_4_8 + 0.00739831596974579*G0_1_0_4_9 + 0.000597180597180613*G0_1_0_5_1 + 0.00121180406894712*G0_1_0_5_2 + 0.000796346510632329*G0_1_0_5_3 - 0.00095047809333539*G0_1_0_5_4 - 0.0030769230769237*G0_1_0_5_5 + 0.00054516911659776*G0_1_0_5_6 + 0.000422434708149082*G0_1_0_5_7 - 0.000117025831311596*G0_1_0_5_8 - 0.00400742115027894*G0_1_0_5_9 - 0.00014874014874017*G0_1_0_6_0 - 0.00025530025530027*G0_1_0_6_1 - 0.00179185893471636*G0_1_0_6_2 + 0.00244041672613142*G0_1_0_6_3 - 0.00148993863279601*G0_1_0_6_4 + 0.00054516911659776*G0_1_0_6_5 - 0.0107835022120754*G0_1_0_6_6 - 0.000305408876837505*G0_1_0_6_7 + 0.00770943342372041*G0_1_0_6_8 + 0.000616526330812151*G0_1_0_6_9 - 0.0265734265734314*G0_1_0_7_1 + 0.000659974945689333*G0_1_0_7_2 + 0.00673326673326781*G0_1_0_7_3 - 0.0031397174254322*G0_1_0_7_4 + 0.000422434708149081*G0_1_0_7_5 - 0.000305408876837505*G0_1_0_7_6 - 0.00389895818467304*G0_1_0_7_7 - 0.00517482517482632*G0_1_0_7_8 - 0.00363065505922708*G0_1_0_7_9 + 0.000847089418518183*G0_1_0_8_0 + 0.0608724608724718*G0_1_0_8_1 - 0.00544249401392347*G0_1_0_8_2 - 0.0247352647352687*G0_1_0_8_3 + 0.0180019980020009*G0_1_0_8_4 - 0.000117025831311597*G0_1_0_8_5 + 0.00770943342372041*G0_1_0_8_6 - 0.00517482517482632*G0_1_0_8_7 - 0.142497502497526*G0_1_0_8_8 - 0.0272127872127918*G0_1_0_8_9 + 0.00141382427096736*G0_1_0_9_0 - 0.00293040293040336*G0_1_0_9_1 - 0.00183245326102499*G0_1_0_9_2 - 0.00467532467532556*G0_1_0_9_3 + 0.00739831596974579*G0_1_0_9_4 - 0.00400742115027894*G0_1_0_9_5 + 0.000616526330812152*G0_1_0_9_6 - 0.00363065505922708*G0_1_0_9_7 - 0.0272127872127918*G0_1_0_9_8 + 0.0355530184101672*G0_1_0_9_9;
    A[38] = -A[35] - 0.0089056270008666*G0_1_1_0_0 - 0.00133135823612038*G0_1_1_0_1 - 0.00456796290129701*G0_1_1_0_2 - 0.00100547600547617*G0_1_1_0_3 - 0.000491545491545575*G0_1_1_0_4 - 0.00117956117956138*G0_1_1_0_5 + 0.000338920338920403*G0_1_1_0_6 - 0.0055419712562579*G0_1_1_0_7 + 0.00176056747485347*G0_1_1_0_8 - 0.000881340881341044*G0_1_1_0_9 - 0.00133135823612038*G0_1_1_1_0 - 0.00890562700086671*G0_1_1_1_1 - 0.00456796290129701*G0_1_1_1_2 - 0.00117956117956141*G0_1_1_1_3 + 0.000338920338920403*G0_1_1_1_4 - 0.00100547600547617*G0_1_1_1_5 - 0.000491545491545578*G0_1_1_1_6 + 0.00176056747485352*G0_1_1_1_7 - 0.00554197125625798*G0_1_1_1_8 - 0.000881340881341046*G0_1_1_1_9 - 0.00456796290129701*G0_1_1_2_0 - 0.00456796290129701*G0_1_1_2_1 - 0.1426931093598*G0_1_1_2_2 + 0.0185148185148216*G0_1_1_2_3 - 0.0380452880452944*G0_1_1_2_4 + 0.0185148185148216*G0_1_1_2_5 - 0.0380452880452944*G0_1_1_2_6 - 0.0010221260221262*G0_1_1_2_7 - 0.00102212602212621*G0_1_1_2_8 - 0.00203130203130235*G0_1_1_2_9 - 0.00100547600547618*G0_1_1_3_0 - 0.00117956117956141*G0_1_1_3_1 + 0.0185148185148216*G0_1_1_3_2 - 0.0180619380619411*G0_1_1_3_3 + 0.00641858141858251*G0_1_1_3_4 + 0.00206793206793242*G0_1_1_3_5 + 0.00337162837162892*G0_1_1_3_6 + 0.00491341991342076*G0_1_1_3_7 - 0.00987678987679155*G0_1_1_3_8 - 0.00718281718281837*G0_1_1_3_9 - 0.000491545491545575*G0_1_1_4_0 + 0.000338920338920405*G0_1_1_4_1 - 0.0380452880452944*G0_1_1_4_2 + 0.00641858141858251*G0_1_1_4_3 - 0.0134865134865157*G0_1_1_4_4 + 0.00337162837162893*G0_1_1_4_5 - 0.00674325674325785*G0_1_1_4_6 + 0.00132201132201154*G0_1_1_4_7 + 0.00496336996337081*G0_1_1_4_8 - 0.000649350649350792*G0_1_1_4_9 - 0.00117956117956138*G0_1_1_5_0 - 0.00100547600547617*G0_1_1_5_1 + 0.0185148185148216*G0_1_1_5_2 + 0.00206793206793242*G0_1_1_5_3 + 0.00337162837162893*G0_1_1_5_4 - 0.018061938061941*G0_1_1_5_5 + 0.00641858141858242*G0_1_1_5_6 - 0.00987678987679151*G0_1_1_5_7 + 0.00491341991342074*G0_1_1_5_8 - 0.00718281718281837*G0_1_1_5_9 + 0.000338920338920403*G0_1_1_6_0 - 0.000491545491545578*G0_1_1_6_1 - 0.0380452880452944*G0_1_1_6_2 + 0.00337162837162893*G0_1_1_6_3 - 0.00674325674325784*G0_1_1_6_4 + 0.00641858141858242*G0_1_1_6_5 - 0.0134865134865157*G0_1_1_6_6 + 0.00496336996337079*G0_1_1_6_7 + 0.00132201132201154*G0_1_1_6_8 - 0.000649350649350809*G0_1_1_6_9 - 0.0055419712562579*G0_1_1_7_0 + 0.00176056747485352*G0_1_1_7_1 - 0.0010221260221262*G0_1_1_7_2 + 0.00491341991342076*G0_1_1_7_3 + 0.00132201132201154*G0_1_1_7_4 - 0.00987678987679151*G0_1_1_7_5 + 0.00496336996337079*G0_1_1_7_6 - 0.0513438942010457*G0_1_1_7_7 + 0.0110258788830237*G0_1_1_7_8 - 0.0072827172827185*G0_1_1_7_9 + 0.00176056747485347*G0_1_1_8_0 - 0.00554197125625798*G0_1_1_8_1 - 0.00102212602212621*G0_1_1_8_2 - 0.00987678987679155*G0_1_1_8_3 + 0.0049633699633708*G0_1_1_8_4 + 0.00491341991342074*G0_1_1_8_5 + 0.00132201132201154*G0_1_1_8_6 + 0.0110258788830237*G0_1_1_8_7 - 0.0513438942010459*G0_1_1_8_8 - 0.0072827172827185*G0_1_1_8_9 - 0.000881340881341043*G0_1_1_9_0 - 0.000881340881341045*G0_1_1_9_1 - 0.00203130203130235*G0_1_1_9_2 - 0.00718281718281837*G0_1_1_9_3 - 0.000649350649350788*G0_1_1_9_4 - 0.00718281718281837*G0_1_1_9_5 - 0.000649350649350809*G0_1_1_9_6 - 0.0072827172827185*G0_1_1_9_7 - 0.0072827172827185*G0_1_1_9_8 - 0.0600599400599501*G0_1_1_9_9;
    A[116] = -A[108] + 0.00910102243435743*G0_0_0_0_0 + 0.000500628119675834*G0_0_0_0_1 + 0.00144874525826931*G0_0_0_0_2 + 0.000431631860203388*G0_0_0_0_3 - 0.00088324374038676*G0_0_0_0_4 + 0.0182021153449756*G0_0_0_0_5 - 0.00174841031983928*G0_0_0_0_6 + 0.00154702440416753*G0_0_0_0_7 - 0.00146805575377029*G0_0_0_0_8 + 0.00333190618904962*G0_0_0_0_9 + 0.000500628119675834*G0_0_0_1_0 + 0.00207200207200274*G0_0_0_1_1 + 0.000693239740858905*G0_0_0_1_2 - 0.000621600621600653*G0_0_0_1_3 - 0.00343878343878407*G0_0_0_1_4 - 0.00210868496582817*G0_0_0_1_5 - 0.00386312100597879*G0_0_0_1_6 - 0.00177822177822213*G0_0_0_1_7 - 0.00073260073260076*G0_0_0_1_8 + 0.00286380286380339*G0_0_0_1_9 + 0.00144874525826931*G0_0_0_2_0 + 0.000693239740858905*G0_0_0_2_1 + 0.0621689421689525*G0_0_0_2_2 - 0.00310990596704928*G0_0_0_2_3 + 0.00163201877487626*G0_0_0_2_5 + 0.0131956931956952*G0_0_0_2_6 - 0.000807129378558083*G0_0_0_2_7 + 0.00209282780711389*G0_0_0_2_8 - 0.00577708006279536*G0_0_0_2_9 + 0.000431631860203388*G0_0_0_3_0 - 0.000621600621600653*G0_0_0_3_1 - 0.00310990596704928*G0_0_0_3_2 + 0.0195804195804233*G0_0_0_3_3 + 0.0209932924218674*G0_0_0_3_4 + 0.00262023690595157*G0_0_0_3_5 + 0.0113800485229075*G0_0_0_3_6 - 0.00150421007563895*G0_0_0_3_7 + 0.00799200799200942*G0_0_0_3_8 - 0.00558298844013224*G0_0_0_3_9 - 0.00088324374038676*G0_0_0_4_0 - 0.00343878343878407*G0_0_0_4_1 + 0.0209932924218674*G0_0_0_4_3 - 0.0694562580276983*G0_0_0_4_4 + 0.00244041672613144*G0_0_0_4_5 - 0.0138204652490389*G0_0_0_4_6 + 0.00264021692593165*G0_0_0_4_7 - 0.00648779791637047*G0_0_0_4_8 + 0.0124504067361232*G0_0_0_4_9 + 0.0182021153449756*G0_0_0_5_0 - 0.00210868496582817*G0_0_0_5_1 + 0.00163201877487626*G0_0_0_5_2 + 0.00262023690595157*G0_0_0_5_3 + 0.00244041672613144*G0_0_0_5_4 - 0.0686285143428114*G0_0_0_5_5 - 0.0379991437134357*G0_0_0_5_6 - 0.00832881404310112*G0_0_0_5_7 + 0.00611674040245568*G0_0_0_5_8 - 0.0222291993720602*G0_0_0_5_9 - 0.00174841031983928*G0_0_0_6_0 - 0.00386312100597879*G0_0_0_6_1 + 0.0131956931956952*G0_0_0_6_2 + 0.0113800485229075*G0_0_0_6_3 - 0.0138204652490389*G0_0_0_6_4 - 0.0379991437134357*G0_0_0_6_5 - 0.263022691594164*G0_0_0_6_6 + 0.00221207364064541*G0_0_0_6_7 + 0.00276009704581171*G0_0_0_6_8 - 0.00542885685742883*G0_0_0_6_9 + 0.00154702440416753*G0_0_0_7_0 - 0.00177822177822213*G0_0_0_7_1 - 0.000807129378558083*G0_0_0_7_2 - 0.00150421007563895*G0_0_0_7_3 + 0.00264021692593165*G0_0_0_7_4 - 0.00832881404310112*G0_0_0_7_5 + 0.00221207364064541*G0_0_0_7_6 - 0.0206878835450299*G0_0_0_7_7 + 0.00637933495076458*G0_0_0_7_8 - 0.0144198658484397*G0_0_0_7_9 - 0.00146805575377029*G0_0_0_8_0 - 0.00073260073260076*G0_0_0_8_1 + 0.00209282780711389*G0_0_0_8_2 + 0.00799200799200942*G0_0_0_8_3 - 0.00648779791637047*G0_0_0_8_4 + 0.00611674040245569*G0_0_0_8_5 + 0.00276009704581171*G0_0_0_8_6 + 0.00637933495076458*G0_0_0_8_7 + 0.0179820179820209*G0_0_0_8_8 + 0.00438418724133079*G0_0_0_8_9 + 0.00333190618904962*G0_0_0_9_0 + 0.00286380286380339*G0_0_0_9_1 - 0.00577708006279536*G0_0_0_9_2 - 0.00558298844013224*G0_0_0_9_3 + 0.0124504067361232*G0_0_0_9_4 - 0.0222291993720602*G0_0_0_9_5 - 0.00542885685742883*G0_0_0_9_6 - 0.0144198658484397*G0_0_0_9_7 + 0.00438418724133079*G0_0_0_9_8 + 0.118373055515933*G0_0_0_9_9 - 0.0530679197345957*G0_1_0_0_0 - 0.000192611621183089*G0_1_0_0_1 - 0.0016611959469105*G0_1_0_0_3 + 0.00500642214928011*G0_1_0_0_5 - 0.00338042909471538*G0_1_0_0_6 + 0.00151150436864734*G0_1_0_0_7 + 0.00164185021327911*G0_1_0_0_8 + 0.00910898625184492*G0_1_0_0_9 - 0.000192611621183089*G0_1_0_1_0 + 0.000192611621183084*G0_1_0_1_2 + 0.000111000111000223*G0_1_0_1_3 - 0.00166056166056199*G0_1_0_1_4 + 0.00175443604015058*G0_1_0_1_5 - 0.00175443604015061*G0_1_0_1_6 + 0.00166056166056186*G0_1_0_1_7 - 0.000111000111000016*G0_1_0_1_8 + 0.000192611621183084*G0_1_0_2_1 + 0.0530679197345952*G0_1_0_2_2 - 0.00164185021327902*G0_1_0_2_3 - 0.00151150436864756*G0_1_0_2_4 + 0.00338042909471544*G0_1_0_2_5 - 0.00500642214928026*G0_1_0_2_6 + 0.00166119594691051*G0_1_0_2_8 - 0.00910898625184496*G0_1_0_2_9 - 0.0016611959469105*G0_1_0_3_0 + 0.000111000111000222*G0_1_0_3_1 - 0.00164185021327902*G0_1_0_3_2 + 0.00159840159840197*G0_1_0_3_3 + 0.0146139574711028*G0_1_0_3_4 - 0.000139860139860068*G0_1_0_3_5 + 0.00526330812045177*G0_1_0_3_6 + 0.00498358784073156*G0_1_0_3_7 - 0.00996717568146318*G0_1_0_3_9 - 0.00166056166056199*G0_1_0_4_1 - 0.00151150436864756*G0_1_0_4_2 + 0.0146139574711028*G0_1_0_4_3 - 0.0487683744826684*G0_1_0_4_4 + 0.00022834308548595*G0_1_0_4_5 - 0.00549165120593776*G0_1_0_4_6 - 0.00498358784073152*G0_1_0_4_8 + 0.026870272584563*G0_1_0_4_9 + 0.0050064221492801*G0_1_0_5_0 + 0.00175443604015058*G0_1_0_5_1 + 0.00338042909471544*G0_1_0_5_2 - 0.000139860139860068*G0_1_0_5_3 + 0.00022834308548595*G0_1_0_5_4 + 0.194394177251352*G0_1_0_5_5 + 0.00549165120593767*G0_1_0_5_7 - 0.00526330812045175*G0_1_0_5_8 - 0.0168003425146312*G0_1_0_5_9 - 0.00338042909471538*G0_1_0_6_0 - 0.00175443604015061*G0_1_0_6_1 - 0.00500642214928025*G0_1_0_6_2 + 0.00526330812045177*G0_1_0_6_3 - 0.00549165120593777*G0_1_0_6_4 - 0.194394177251353*G0_1_0_6_6 - 0.000228343085485962*G0_1_0_6_7 + 0.000139860139860097*G0_1_0_6_8 + 0.0168003425146314*G0_1_0_6_9 + 0.00151150436864734*G0_1_0_7_0 + 0.00166056166056186*G0_1_0_7_1 + 0.00498358784073155*G0_1_0_7_3 + 0.00549165120593767*G0_1_0_7_5 - 0.000228343085485963*G0_1_0_7_6 + 0.0487683744826681*G0_1_0_7_7 - 0.0146139574711026*G0_1_0_7_8 - 0.0268702725845629*G0_1_0_7_9 + 0.00164185021327911*G0_1_0_8_0 - 0.000111000111000016*G0_1_0_8_1 + 0.00166119594691051*G0_1_0_8_2 - 0.00498358784073152*G0_1_0_8_4 - 0.00526330812045175*G0_1_0_8_5 + 0.000139860139860097*G0_1_0_8_6 - 0.0146139574711026*G0_1_0_8_7 - 0.00159840159840215*G0_1_0_8_8 + 0.00996717568146298*G0_1_0_8_9 + 0.00910898625184492*G0_1_0_9_0 - 0.00910898625184496*G0_1_0_9_2 - 0.00996717568146318*G0_1_0_9_3 + 0.026870272584563*G0_1_0_9_4 - 0.0168003425146312*G0_1_0_9_5 + 0.0168003425146314*G0_1_0_9_6 - 0.0268702725845629*G0_1_0_9_7 + 0.00996717568146298*G0_1_0_9_8;
    A[139] = A[116] - 0.00524117857451276*G0_0_0_0_0 - 0.000615116805593109*G0_0_0_0_2 - 0.00120450977593855*G0_0_0_0_3 - 0.000445269016697672*G0_0_0_0_4 - 0.0103991246848407*G0_0_0_0_5 + 0.000744017886875171*G0_0_0_0_6 - 0.00103388674817259*G0_0_0_0_7 - 0.000864532293103884*G0_0_0_0_8 + 0.000422434708149081*G0_0_0_0_9 + 0.00524117857451238*G0_0_0_1_1 + 0.000615116805593087*G0_0_0_1_2 + 0.0103991246848407*G0_0_0_1_3 - 0.000744017886875137*G0_0_0_1_4 + 0.00120450977593855*G0_0_0_1_5 + 0.000445269016697652*G0_0_0_1_6 + 0.000864532293103927*G0_0_0_1_7 + 0.00103388674817252*G0_0_0_1_8 - 0.000422434708149068*G0_0_0_1_9 - 0.000615116805593109*G0_0_0_2_0 + 0.000615116805593087*G0_0_0_2_1 + 0.00182928182928218*G0_0_0_2_3 + 0.00449328449328519*G0_0_0_2_4 - 0.0018292818292821*G0_0_0_2_5 - 0.00449328449328531*G0_0_0_2_6 + 0.00276295133438036*G0_0_0_2_7 - 0.00276295133438037*G0_0_0_2_8 - 0.00120450977593855*G0_0_0_3_0 + 0.0103991246848407*G0_0_0_3_1 + 0.00182928182928218*G0_0_0_3_2 - 0.0371970886256659*G0_0_0_3_3 - 0.0231197374054556*G0_0_0_3_4 - 0.00133580705009293*G0_0_0_3_6 + 0.00361352932781563*G0_0_0_3_7 - 0.0119023833309567*G0_0_0_3_8 - 0.00595975453118405*G0_0_0_3_9 - 0.000445269016697673*G0_0_0_4_0 - 0.000744017886875137*G0_0_0_4_1 + 0.00449328449328519*G0_0_0_4_2 - 0.0231197374054556*G0_0_0_4_3 - 0.0762437562437691*G0_0_0_4_4 + 0.00133580705009298*G0_0_0_4_5 - 0.00347652347652405*G0_0_0_4_7 + 0.00828885400314111*G0_0_0_4_8 - 0.00267161410018595*G0_0_0_4_9 - 0.0103991246848407*G0_0_0_5_0 + 0.00120450977593855*G0_0_0_5_1 - 0.00182928182928211*G0_0_0_5_2 + 0.00133580705009298*G0_0_0_5_4 + 0.0371970886256662*G0_0_0_5_5 + 0.0231197374054556*G0_0_0_5_6 + 0.0119023833309567*G0_0_0_5_7 - 0.00361352932781564*G0_0_0_5_8 + 0.00595975453118402*G0_0_0_5_9 + 0.00074401788687517*G0_0_0_6_0 + 0.000445269016697652*G0_0_0_6_1 - 0.00449328449328531*G0_0_0_6_2 - 0.00133580705009292*G0_0_0_6_3 + 0.0231197374054556*G0_0_0_6_5 + 0.0762437562437688*G0_0_0_6_6 - 0.00828885400314108*G0_0_0_6_7 + 0.00347652347652409*G0_0_0_6_8 + 0.0026716141001859*G0_0_0_6_9 - 0.00103388674817259*G0_0_0_7_0 + 0.000864532293103927*G0_0_0_7_1 + 0.00276295133438036*G0_0_0_7_2 + 0.00361352932781563*G0_0_0_7_3 - 0.00347652347652405*G0_0_0_7_4 + 0.0119023833309567*G0_0_0_7_5 - 0.00828885400314108*G0_0_0_7_6 + 0.0320251177394086*G0_0_0_7_7 + 0.0153104038818349*G0_0_0_7_9 - 0.000864532293103884*G0_0_0_8_0 + 0.00103388674817253*G0_0_0_8_1 - 0.00276295133438037*G0_0_0_8_2 - 0.0119023833309567*G0_0_0_8_3 + 0.00828885400314111*G0_0_0_8_4 - 0.00361352932781564*G0_0_0_8_5 + 0.00347652347652409*G0_0_0_8_6 - 0.0320251177394087*G0_0_0_8_8 - 0.015310403881835*G0_0_0_8_9 + 0.000422434708149082*G0_0_0_9_0 - 0.000422434708149068*G0_0_0_9_1 - 0.00595975453118406*G0_0_0_9_3 - 0.00267161410018595*G0_0_0_9_4 + 0.00595975453118403*G0_0_0_9_5 + 0.0026716141001859*G0_0_0_9_6 + 0.0153104038818349*G0_0_0_9_7 - 0.015310403881835*G0_0_0_9_8 + 0.00293434960101692*G0_0_1_0_0 + 0.000810089381518085*G0_0_1_0_1 + 0.000255018350256492*G0_0_1_0_2 - 0.0024163138448857*G0_0_1_0_3 - 0.000749409320838024*G0_0_1_0_4 + 0.00148232719661318*G0_0_1_0_5 - 0.00102278673707265*G0_0_1_0_6 + 0.00129711558283016*G0_0_1_0_7 - 0.00446949875521385*G0_0_1_0_8 + 0.00363636363636425*G0_0_1_0_9 + 0.000810089381518085*G0_0_1_1_0 + 0.0569415769415864*G0_0_1_1_1 + 0.00107085154704219*G0_0_1_1_2 + 0.00816960816960952*G0_0_1_1_3 - 0.00103832675261262*G0_0_1_1_4 + 0.000508380508380583*G0_0_1_1_5 - 0.00112046683475273*G0_0_1_1_6 - 0.00261896833325442*G0_0_1_1_7 - 0.000444000444000679*G0_0_1_1_8 - 0.00622615479758442*G0_0_1_1_9 + 0.000255018350256491*G0_0_1_2_0 + 0.00107085154704219*G0_0_1_2_1 + 0.0038203771537111*G0_0_1_2_2 - 0.0019640676783537*G0_0_1_2_3 + 0.00835418549704402*G0_0_1_2_4 - 0.000174111602683059*G0_0_1_2_5 + 0.00141382427096734*G0_0_1_2_6 + 0.00079951794237522*G0_0_1_2_7 - 0.00116042687471279*G0_0_1_2_8 + 0.00250225964511719*G0_0_1_2_9 - 0.0024163138448857*G0_0_1_3_0 + 0.00816960816960952*G0_0_1_3_1 - 0.0019640676783537*G0_0_1_3_2 - 0.172199229342116*G0_0_1_3_3 - 0.0109861567004443*G0_0_1_3_4 + 0.00284001712573184*G0_0_1_3_5 + 0.00340516626230967*G0_0_1_3_6 + 0.00729270729270853*G0_0_1_3_7 - 0.0108177536748984*G0_0_1_3_8 + 0.00409304980733612*G0_0_1_3_9 - 0.000749409320838024*G0_0_1_4_0 - 0.00103832675261262*G0_0_1_4_1 + 0.00835418549704402*G0_0_1_4_2 - 0.0109861567004443*G0_0_1_4_3 - 0.0334979306407935*G0_0_1_4_4 + 0.00229199372056554*G0_0_1_4_5 - 0.00569715998287522*G0_0_1_4_6 + 0.00352504638218987*G0_0_1_4_8 - 0.0120907663764827*G0_0_1_4_9 + 0.00148232719661318*G0_0_1_5_0 + 0.000508380508380583*G0_0_1_5_1 - 0.000174111602683059*G0_0_1_5_2 + 0.00284001712573184*G0_0_1_5_3 + 0.00229199372056554*G0_0_1_5_4 - 0.00248893963179724*G0_0_1_5_5 + 0.000208363065505993*G0_0_1_5_6 + 0.00383616383616449*G0_0_1_5_7 - 0.00148137576709031*G0_0_1_5_8 - 0.00794633937491214*G0_0_1_5_9 - 0.00102278673707265*G0_0_1_6_0 - 0.00112046683475273*G0_0_1_6_1 + 0.00141382427096734*G0_0_1_6_2 + 0.00340516626230967*G0_0_1_6_3 - 0.00569715998287522*G0_0_1_6_4 + 0.000208363065505993*G0_0_1_6_5 - 0.020162694448412*G0_0_1_6_6 - 0.00235478806907417*G0_0_1_6_7 + 0.00339945768517254*G0_0_1_6_8 - 0.0143171114599709*G0_0_1_6_9 + 0.00129711558283016*G0_0_1_7_0 - 0.00261896833325441*G0_0_1_7_1 + 0.00079951794237522*G0_0_1_7_2 + 0.00729270729270853*G0_0_1_7_3 + 0.00383616383616449*G0_0_1_7_5 - 0.00235478806907417*G0_0_1_7_6 + 0.0179934351362951*G0_0_1_7_7 + 0.0205708577137184*G0_0_1_7_8 - 0.0061995147709444*G0_0_1_7_9 - 0.00446949875521385*G0_0_1_8_0 - 0.000444000444000683*G0_0_1_8_1 - 0.00116042687471279*G0_0_1_8_2 - 0.0108177536748984*G0_0_1_8_3 + 0.00352504638218987*G0_0_1_8_4 - 0.00148137576709031*G0_0_1_8_5 + 0.00339945768517254*G0_0_1_8_6 + 0.0205708577137184*G0_0_1_8_7 - 0.0654260025688713*G0_0_1_8_8 + 0.0116283716283735*G0_0_1_8_9 + 0.00363636363636425*G0_0_1_9_0 - 0.00622615479758442*G0_0_1_9_1 + 0.00250225964511719*G0_0_1_9_2 + 0.00409304980733613*G0_0_1_9_3 - 0.0120907663764827*G0_0_1_9_4 - 0.00794633937491214*G0_0_1_9_5 - 0.0143171114599709*G0_0_1_9_6 - 0.0061995147709444*G0_0_1_9_7 + 0.0116283716283735*G0_0_1_9_8 + 0.063707720850589*G0_0_1_9_9 + 0.051700398367074*G0_1_0_0_0 + 0.000810089381518085*G0_1_0_0_1 + 0.0004557347414491*G0_1_0_0_2 - 0.000696129267557975*G0_1_0_0_3 - 0.00156573585145043*G0_1_0_0_4 - 0.00222951651523116*G0_1_0_0_5 - 0.000294308865737509*G0_1_0_0_6 - 0.00147788719217312*G0_1_0_0_7 - 0.00348350062635837*G0_1_0_0_8 - 0.00580372008943533*G0_1_0_0_9 + 0.000810089381518085*G0_1_0_1_0 + 0.0081755281755291*G0_1_0_1_1 + 0.00087013515584957*G0_1_0_1_2 + 0.0118814518814538*G0_1_0_1_3 - 0.00176680462394774*G0_1_0_1_4 - 0.00121180406894711*G0_1_0_1_5 - 0.000304140304140366*G0_1_0_1_6 - 0.00360496646210986*G0_1_0_1_7 + 0.00233100233100259*G0_1_0_1_8 + 0.00321392892821518*G0_1_0_1_9 + 0.0004557347414491*G0_1_0_2_0 + 0.00087013515584957*G0_1_0_2_1 + 0.003820377153711*G0_1_0_2_2 + 0.00165517022659912*G0_1_0_2_3 + 0.00590710876425256*G0_1_0_2_4 - 0.00379334950763584*G0_1_0_2_5 + 0.00386090100375873*G0_1_0_2_6 + 0.00160252445966758*G0_1_0_2_7 - 0.00196343339200514*G0_1_0_2_8 + 0.00250225964511721*G0_1_0_2_9 - 0.000696129267557975*G0_1_0_3_0 + 0.0118814518814538*G0_1_0_3_1 + 0.00165517022659912*G0_1_0_3_2 - 0.0396860282574634*G0_1_0_3_3 - 0.0229113743399497*G0_1_0_3_4 + 0.00284001712573182*G0_1_0_3_5 + 0.000956186670472593*G0_1_0_3_6 + 0.00213215356072534*G0_1_0_3_7 - 0.00806621949479224*G0_1_0_3_8 - 0.0139060939060962*G0_1_0_3_9 - 0.00156573585145043*G0_1_0_4_0 - 0.00176680462394774*G0_1_0_4_1 + 0.00590710876425256*G0_1_0_4_2 - 0.0229113743399497*G0_1_0_4_3 - 0.0964064506921817*G0_1_0_4_4 + 0.00474097331240274*G0_1_0_4_5 - 0.00569715998287533*G0_1_0_4_6 + 0.00593406593406692*G0_1_0_4_8 - 0.0169887255601571*G0_1_0_4_9 - 0.00222951651523116*G0_1_0_5_0 - 0.00121180406894711*G0_1_0_5_1 - 0.00379334950763584*G0_1_0_5_2 + 0.00284001712573182*G0_1_0_5_3 + 0.00474097331240274*G0_1_0_5_4 - 0.135002140716449*G0_1_0_5_5 + 0.0121335807050114*G0_1_0_5_6 + 0.00108462965605844*G0_1_0_5_7 + 0.00367917796489282*G0_1_0_5_8 + 0.0100528043385204*G0_1_0_5_9 - 0.000294308865737509*G0_1_0_6_0 - 0.000304140304140366*G0_1_0_6_1 + 0.00386090100375873*G0_1_0_6_2 + 0.000956186670472593*G0_1_0_6_3 - 0.00569715998287533*G0_1_0_6_4 + 0.0121335807050114*G0_1_0_6_5 + 0.0427458256029754*G0_1_0_6_6 - 0.00476380762095124*G0_1_0_6_7 + 0.00337947766519253*G0_1_0_6_8 - 0.0094191522762968*G0_1_0_6_9 - 0.00147788719217312*G0_1_0_7_0 - 0.00360496646210986*G0_1_0_7_1 + 0.00160252445966758*G0_1_0_7_2 + 0.00213215356072534*G0_1_0_7_3 + 0.00108462965605844*G0_1_0_7_5 - 0.00476380762095124*G0_1_0_7_6 - 0.0334008848294623*G0_1_0_7_7 + 0.0205708577137183*G0_1_0_7_8 + 0.0269387755102085*G0_1_0_7_9 - 0.00348350062635837*G0_1_0_8_0 + 0.00233100233100259*G0_1_0_8_1 - 0.00196343339200514*G0_1_0_8_2 - 0.00806621949479224*G0_1_0_8_3 + 0.00593406593406692*G0_1_0_8_4 + 0.00367917796489282*G0_1_0_8_5 + 0.00337947766519253*G0_1_0_8_6 + 0.0205708577137183*G0_1_0_8_7 - 0.0140316826031133*G0_1_0_8_8 - 0.0215099186527794*G0_1_0_8_9 - 0.00580372008943533*G0_1_0_9_0 + 0.00321392892821518*G0_1_0_9_1 + 0.00250225964511721*G0_1_0_9_2 - 0.0139060939060962*G0_1_0_9_3 - 0.0169887255601571*G0_1_0_9_4 + 0.0100528043385204*G0_1_0_9_5 - 0.0094191522762968*G0_1_0_9_6 + 0.0269387755102085*G0_1_0_9_7 - 0.0215099186527794*G0_1_0_9_8 + 0.0637077208505888*G0_1_0_9_9 - 0.00469653802987235*G0_1_1_0_0 + 0.000810089381518067*G0_1_1_0_1 - 0.00343814915243549*G0_1_1_0_3 - 0.000943500943501107*G0_1_1_0_4 - 0.00168783597355058*G0_1_1_0_5 - 0.00725433296862001*G0_1_1_0_7 + 0.000393891822463309*G0_1_1_0_9 + 0.000810089381518068*G0_1_1_1_0 + 0.0645724645724752*G0_1_1_1_1 + 0.0013388727674444*G0_1_1_1_2 + 0.0113397713397732*G0_1_1_1_3 - 0.00210012210012238*G0_1_1_1_4 + 0.00153021581593034*G0_1_1_1_5 - 0.000926375212089638*G0_1_1_1_6 - 0.00703740703740816*G0_1_1_1_7 + 0.0081074481074493*G0_1_1_1_8 - 0.0029836829836835*G0_1_1_1_9 + 0.0013388727674444*G0_1_1_2_1 + 0.00382037715371111*G0_1_1_2_2 - 0.00209599923885673*G0_1_1_2_3 + 0.00883687740830748*G0_1_1_2_4 + 0.000931132359703938*G0_1_1_2_6 + 0.000514089085517739*G0_1_1_2_7 - 0.000874998017855321*G0_1_1_2_8 + 0.0025022596451172*G0_1_1_2_9 - 0.00343814915243549*G0_1_1_3_0 + 0.0113397713397732*G0_1_1_3_1 - 0.00209599923885673*G0_1_1_3_2 - 0.193766233766267*G0_1_1_3_3 - 0.0110603682032273*G0_1_1_3_4 + 0.00284001712573189*G0_1_1_3_5 + 0.00282289139432042*G0_1_1_3_6 + 0.0103582132153579*G0_1_1_3_7 - 0.0130269730269753*G0_1_1_3_8 - 0.0117653774796654*G0_1_1_3_9 - 0.000943500943501107*G0_1_1_4_0 - 0.00210012210012238*G0_1_1_4_1 + 0.00883687740830747*G0_1_1_4_2 - 0.0110603682032273*G0_1_1_4_3 - 0.0373569287855067*G0_1_1_4_4 + 0.00287426858855479*G0_1_1_4_5 - 0.00569715998287522*G0_1_1_4_6 + 0.000622234907949296*G0_1_1_4_7 + 0.00266875981161746*G0_1_1_4_8 - 0.0132553161124612*G0_1_1_4_9 - 0.00168783597355058*G0_1_1_5_0 + 0.00153021581593034*G0_1_1_5_1 + 0.00284001712573189*G0_1_1_5_3 + 0.00287426858855479*G0_1_1_5_4 + 0.0190780647923538*G0_1_1_5_5 + 0.000282574568288881*G0_1_1_5_6 + 0.0060453831882413*G0_1_1_5_7 - 0.00454688168973958*G0_1_1_5_8 + 0.00791208791208921*G0_1_1_5_9 - 0.000926375212089638*G0_1_1_6_1 + 0.000931132359703938*G0_1_1_6_2 + 0.00282289139432042*G0_1_1_6_3 - 0.00569715998287522*G0_1_1_6_4 + 0.000282574568288881*G0_1_1_6_5 - 0.016303696303699*G0_1_1_6_6 - 0.00149850149850172*G0_1_1_6_7 + 0.0026801769658917*G0_1_1_6_8 - 0.0131525617239924*G0_1_1_6_9 - 0.00725433296862001*G0_1_1_7_0 - 0.00703740703740816*G0_1_1_7_1 + 0.000514089085517739*G0_1_1_7_2 + 0.0103582132153579*G0_1_1_7_3 + 0.000622234907949297*G0_1_1_7_4 + 0.0060453831882413*G0_1_1_7_5 - 0.00149850149850172*G0_1_1_7_6 + 0.0132667332667349*G0_1_1_7_7 + 0.0205708577137186*G0_1_1_7_8 + 0.00181532752961351*G0_1_1_7_9 + 0.0081074481074493*G0_1_1_8_1 - 0.00087499801785532*G0_1_1_8_2 - 0.0130269730269753*G0_1_1_8_3 + 0.00266875981161746*G0_1_1_8_4 - 0.00454688168973958*G0_1_1_8_5 + 0.00268017696589169*G0_1_1_8_6 + 0.0205708577137186*G0_1_1_8_7 - 0.0606993006993115*G0_1_1_8_8 + 0.00361352932781555*G0_1_1_8_9 + 0.000393891822463309*G0_1_1_9_0 - 0.0029836829836835*G0_1_1_9_1 + 0.0025022596451172*G0_1_1_9_2 - 0.0117653774796654*G0_1_1_9_3 - 0.0132553161124612*G0_1_1_9_4 + 0.00791208791208921*G0_1_1_9_5 - 0.0131525617239924*G0_1_1_9_6 + 0.00181532752961351*G0_1_1_9_7 + 0.00361352932781555*G0_1_1_9_8 + 0.0637077208505888*G0_1_1_9_9;
    A[55] = A[153] + 0.00312773646107042*G0_0_1_0_0 - 0.00337514337514401*G0_0_1_0_1 + 0.000380466094751875*G0_0_1_0_2 + 0.00544249401392349*G0_0_1_0_3 - 0.000659974945689325*G0_0_1_0_4 + 0.00179185893471643*G0_0_1_0_5 - 0.00121180406894715*G0_0_1_0_6 - 0.00236017950303701*G0_0_1_0_7 + 0.0072559186844913*G0_0_1_0_8 + 0.00183245326102499*G0_0_1_0_9 - 0.00337514337514401*G0_0_1_1_0 - 0.195838729172097*G0_0_1_1_1 - 0.00578458578458678*G0_0_1_1_2 - 0.0608724608724714*G0_0_1_1_3 + 0.0265734265734312*G0_0_1_1_4 + 0.000255300255300364*G0_0_1_1_5 - 0.000597180597180708*G0_0_1_1_6 + 0.014407814407817*G0_0_1_1_7 - 0.0192252192252229*G0_0_1_1_8 + 0.00293040293040336*G0_0_1_1_9 + 0.000380466094751875*G0_0_1_2_0 - 0.00578458578458678*G0_0_1_2_1 - 0.000523497666354896*G0_0_1_2_2 - 0.00084708941851817*G0_0_1_2_3 + 0.000148740148740175*G0_0_1_2_5 - 0.000874998017855288*G0_0_1_2_7 + 0.00168625025767907*G0_0_1_2_8 - 0.00141382427096738*G0_0_1_2_9 + 0.00544249401392349*G0_0_1_3_0 - 0.0608724608724714*G0_0_1_3_1 - 0.000847089418518167*G0_0_1_3_2 + 0.142497502497527*G0_0_1_3_3 + 0.0051748251748262*G0_0_1_3_4 - 0.00770943342372038*G0_0_1_3_5 + 0.000117025831311574*G0_0_1_3_6 - 0.0180019980020009*G0_0_1_3_7 + 0.0247352647352686*G0_0_1_3_8 + 0.0272127872127917*G0_0_1_3_9 - 0.000659974945689325*G0_0_1_4_0 + 0.0265734265734312*G0_0_1_4_1 + 0.0051748251748262*G0_0_1_4_3 + 0.00389895818467306*G0_0_1_4_4 + 0.000305408876837481*G0_0_1_4_5 - 0.000422434708149065*G0_0_1_4_6 + 0.00313971742543217*G0_0_1_4_7 - 0.00673326673326772*G0_0_1_4_8 + 0.00363065505922715*G0_0_1_4_9 + 0.00179185893471643*G0_0_1_5_0 + 0.000255300255300364*G0_0_1_5_1 + 0.000148740148740175*G0_0_1_5_2 - 0.00770943342372038*G0_0_1_5_3 + 0.000305408876837481*G0_0_1_5_4 + 0.0107835022120756*G0_0_1_5_5 - 0.000545169116597808*G0_0_1_5_6 + 0.00148993863279603*G0_0_1_5_7 - 0.00244041672613142*G0_0_1_5_8 - 0.0006165263308121*G0_0_1_5_9 - 0.00121180406894715*G0_0_1_6_0 - 0.000597180597180708*G0_0_1_6_1 + 0.000117025831311573*G0_0_1_6_3 - 0.000422434708149065*G0_0_1_6_4 - 0.000545169116597808*G0_0_1_6_5 + 0.00307692307692378*G0_0_1_6_6 + 0.000950478093335374*G0_0_1_6_7 - 0.000796346510632314*G0_0_1_6_8 + 0.00400742115027897*G0_0_1_6_9 - 0.00236017950303701*G0_0_1_7_0 + 0.0144078144078171*G0_0_1_7_1 - 0.000874998017855288*G0_0_1_7_2 - 0.0180019980020009*G0_0_1_7_3 + 0.00313971742543217*G0_0_1_7_4 + 0.00148993863279603*G0_0_1_7_5 + 0.000950478093335374*G0_0_1_7_6 + 0.0133295276152441*G0_0_1_7_7 - 0.0355044955045013*G0_0_1_7_8 - 0.0073983159697457*G0_0_1_7_9 + 0.0072559186844913*G0_0_1_8_0 - 0.0192252192252229*G0_0_1_8_1 + 0.00168625025767907*G0_0_1_8_2 + 0.0247352647352686*G0_0_1_8_3 - 0.00673326673326772*G0_0_1_8_4 - 0.00244041672613142*G0_0_1_8_5 - 0.000796346510632316*G0_0_1_8_6 - 0.0355044955045013*G0_0_1_8_7 + 0.133706293706316*G0_0_1_8_8 + 0.00467532467532535*G0_0_1_8_9 + 0.00183245326102499*G0_0_1_9_0 + 0.00293040293040336*G0_0_1_9_1 - 0.00141382427096738*G0_0_1_9_2 + 0.0272127872127917*G0_0_1_9_3 + 0.00363065505922715*G0_0_1_9_4 - 0.000616526330812099*G0_0_1_9_5 + 0.00400742115027897*G0_0_1_9_6 - 0.0073983159697457*G0_0_1_9_7 + 0.00467532467532535*G0_0_1_9_8 - 0.0355530184101673*G0_0_1_9_9 - 0.00312773646107042*G0_1_0_0_0 + 0.00337514337514401*G0_1_0_0_1 - 0.000380466094751875*G0_1_0_0_2 - 0.00544249401392349*G0_1_0_0_3 + 0.000659974945689325*G0_1_0_0_4 - 0.00179185893471643*G0_1_0_0_5 + 0.00121180406894715*G0_1_0_0_6 + 0.00236017950303701*G0_1_0_0_7 - 0.0072559186844913*G0_1_0_0_8 - 0.00183245326102499*G0_1_0_0_9 + 0.00337514337514401*G0_1_0_1_0 + 0.195838729172097*G0_1_0_1_1 + 0.00578458578458678*G0_1_0_1_2 + 0.0608724608724714*G0_1_0_1_3 - 0.0265734265734312*G0_1_0_1_4 - 0.000255300255300364*G0_1_0_1_5 + 0.000597180597180708*G0_1_0_1_6 - 0.014407814407817*G0_1_0_1_7 + 0.0192252192252229*G0_1_0_1_8 - 0.00293040293040336*G0_1_0_1_9 - 0.000380466094751875*G0_1_0_2_0 + 0.00578458578458678*G0_1_0_2_1 + 0.000523497666354896*G0_1_0_2_2 + 0.00084708941851817*G0_1_0_2_3 - 0.000148740148740175*G0_1_0_2_5 + 0.000874998017855289*G0_1_0_2_7 - 0.00168625025767907*G0_1_0_2_8 + 0.00141382427096738*G0_1_0_2_9 - 0.00544249401392349*G0_1_0_3_0 + 0.0608724608724714*G0_1_0_3_1 + 0.000847089418518167*G0_1_0_3_2 - 0.142497502497527*G0_1_0_3_3 - 0.0051748251748262*G0_1_0_3_4 + 0.00770943342372038*G0_1_0_3_5 - 0.000117025831311574*G0_1_0_3_6 + 0.0180019980020009*G0_1_0_3_7 - 0.0247352647352686*G0_1_0_3_8 - 0.0272127872127917*G0_1_0_3_9 + 0.000659974945689325*G0_1_0_4_0 - 0.0265734265734312*G0_1_0_4_1 - 0.0051748251748262*G0_1_0_4_3 - 0.00389895818467306*G0_1_0_4_4 - 0.000305408876837481*G0_1_0_4_5 + 0.000422434708149066*G0_1_0_4_6 - 0.00313971742543217*G0_1_0_4_7 + 0.00673326673326771*G0_1_0_4_8 - 0.00363065505922716*G0_1_0_4_9 - 0.00179185893471643*G0_1_0_5_0 - 0.000255300255300364*G0_1_0_5_1 - 0.000148740148740175*G0_1_0_5_2 + 0.00770943342372038*G0_1_0_5_3 - 0.000305408876837481*G0_1_0_5_4 - 0.0107835022120756*G0_1_0_5_5 + 0.000545169116597807*G0_1_0_5_6 - 0.00148993863279603*G0_1_0_5_7 + 0.00244041672613142*G0_1_0_5_8 + 0.000616526330812101*G0_1_0_5_9 + 0.00121180406894715*G0_1_0_6_0 + 0.000597180597180708*G0_1_0_6_1 - 0.000117025831311573*G0_1_0_6_3 + 0.000422434708149066*G0_1_0_6_4 + 0.000545169116597807*G0_1_0_6_5 - 0.00307692307692378*G0_1_0_6_6 - 0.000950478093335374*G0_1_0_6_7 + 0.000796346510632314*G0_1_0_6_8 - 0.00400742115027897*G0_1_0_6_9 + 0.00236017950303701*G0_1_0_7_0 - 0.014407814407817*G0_1_0_7_1 + 0.000874998017855289*G0_1_0_7_2 + 0.0180019980020009*G0_1_0_7_3 - 0.00313971742543217*G0_1_0_7_4 - 0.00148993863279603*G0_1_0_7_5 - 0.000950478093335374*G0_1_0_7_6 - 0.0133295276152441*G0_1_0_7_7 + 0.0355044955045013*G0_1_0_7_8 + 0.0073983159697457*G0_1_0_7_9 - 0.0072559186844913*G0_1_0_8_0 + 0.0192252192252229*G0_1_0_8_1 - 0.00168625025767907*G0_1_0_8_2 - 0.0247352647352686*G0_1_0_8_3 + 0.00673326673326772*G0_1_0_8_4 + 0.00244041672613142*G0_1_0_8_5 + 0.000796346510632316*G0_1_0_8_6 + 0.0355044955045013*G0_1_0_8_7 - 0.133706293706316*G0_1_0_8_8 - 0.00467532467532533*G0_1_0_8_9 - 0.00183245326102499*G0_1_0_9_0 - 0.00293040293040336*G0_1_0_9_1 + 0.00141382427096738*G0_1_0_9_2 - 0.0272127872127917*G0_1_0_9_3 - 0.00363065505922716*G0_1_0_9_4 + 0.0006165263308121*G0_1_0_9_5 - 0.00400742115027897*G0_1_0_9_6 + 0.0073983159697457*G0_1_0_9_7 - 0.00467532467532533*G0_1_0_9_8 + 0.0355530184101673*G0_1_0_9_9;
    A[175] = -A[55] - 0.0925010791677621*G0_0_0_0_0 - 0.00776556776556914*G0_0_0_0_1 - 0.00738964738964867*G0_0_0_0_2 - 0.00668918383204206*G0_0_0_0_3 + 0.00585446299732113*G0_0_0_0_4 - 0.0659359687931231*G0_0_0_0_5 + 0.0316968745540229*G0_0_0_0_6 - 0.0213545184973793*G0_0_0_0_7 - 0.00338296624010963*G0_0_0_0_8 - 0.0110156510156529*G0_0_0_0_9 - 0.00776556776556914*G0_0_0_1_0 - 0.182637115970481*G0_0_0_1_1 - 0.00621304621304726*G0_0_0_1_2 - 0.0535686535686627*G0_0_0_1_3 + 0.0260517260517305*G0_0_0_1_4 - 0.00991452991453152*G0_0_0_1_5 + 0.00236652236652274*G0_0_0_1_6 + 0.0125097125097148*G0_0_0_1_7 - 0.0384060384060452*G0_0_0_1_8 - 0.00126540126540151*G0_0_0_1_9 - 0.00738964738964867*G0_0_0_2_0 - 0.00621304621304726*G0_0_0_2_1 - 0.00290503147646061*G0_0_0_2_2 - 0.0113372341943789*G0_0_0_2_3 + 0.00866562009419294*G0_0_0_2_4 - 0.0138388595531476*G0_0_0_2_5 + 0.0128544471401636*G0_0_0_2_6 - 0.00518211946783463*G0_0_0_2_7 - 0.0199159570588175*G0_0_0_2_8 - 0.0243870415299028*G0_0_0_2_9 - 0.00668918383204206*G0_0_0_3_0 - 0.0535686535686627*G0_0_0_3_1 - 0.0113372341943789*G0_0_0_3_2 + 0.0455544455544539*G0_0_0_3_3 + 0.0427972027972099*G0_0_0_3_4 + 0.0157385471671212*G0_0_0_3_5 + 0.0112344798059102*G0_0_0_3_6 + 0.0384015984016048*G0_0_0_3_7 - 0.116483516483536*G0_0_0_3_8 - 0.0730069930070051*G0_0_0_3_9 + 0.00585446299732113*G0_0_0_4_0 + 0.0260517260517305*G0_0_0_4_1 + 0.00866562009419294*G0_0_0_4_2 + 0.0427972027972099*G0_0_0_4_3 - 0.0180676466390782*G0_0_0_4_4 + 0.000770657913515212*G0_0_0_4_5 - 0.0120051377194254*G0_0_0_4_6 - 0.010175538746969*G0_0_0_4_7 + 0.0780819180819311*G0_0_0_4_8 + 0.071619808762678*G0_0_0_4_9 - 0.0659359687931231*G0_0_0_5_0 - 0.00991452991453152*G0_0_0_5_1 - 0.0138388595531476*G0_0_0_5_2 + 0.0157385471671212*G0_0_0_5_3 + 0.000770657913515213*G0_0_0_5_4 - 0.276877408306027*G0_0_0_5_5 + 0.0557042957043053*G0_0_0_5_6 - 0.0819580419580557*G0_0_0_5_7 + 0.0480776366490733*G0_0_0_5_8 - 0.0631083202511881*G0_0_0_5_9 + 0.0316968745540229*G0_0_0_6_0 + 0.00236652236652274*G0_0_0_6_1 + 0.0128544471401636*G0_0_0_6_2 + 0.0112344798059102*G0_0_0_6_3 - 0.0120051377194254*G0_0_0_6_4 + 0.0557042957043053*G0_0_0_6_5 - 0.0460054231482881*G0_0_0_6_6 + 0.0338804053089824*G0_0_0_6_7 + 0.0171571285857028*G0_0_0_6_8 + 0.0506921649778878*G0_0_0_6_9 - 0.0213545184973793*G0_0_0_7_0 + 0.0125097125097148*G0_0_0_7_1 - 0.00518211946783463*G0_0_0_7_2 + 0.0384015984016048*G0_0_0_7_3 - 0.010175538746969*G0_0_0_7_4 - 0.0819580419580557*G0_0_0_7_5 + 0.0338804053089824*G0_0_0_7_6 - 0.195450264021725*G0_0_0_7_7 + 0.118241758241778*G0_0_0_7_8 - 0.0347138575710063*G0_0_0_7_9 - 0.00338296624010963*G0_0_0_8_0 - 0.0384060384060451*G0_0_0_8_1 - 0.0199159570588175*G0_0_0_8_2 - 0.116483516483536*G0_0_0_8_3 + 0.0780819180819311*G0_0_0_8_4 + 0.0480776366490733*G0_0_0_8_5 + 0.0171571285857028*G0_0_0_8_6 + 0.118241758241778*G0_0_0_8_7 - 0.422777222777294*G0_0_0_8_8 - 0.152367632367658*G0_0_0_8_9 - 0.0110156510156529*G0_0_0_9_0 - 0.00126540126540151*G0_0_0_9_1 - 0.0243870415299028*G0_0_0_9_2 - 0.0730069930070051*G0_0_0_9_3 + 0.071619808762678*G0_0_0_9_4 - 0.0631083202511881*G0_0_0_9_5 + 0.0506921649778878*G0_0_0_9_6 - 0.0347138575710063*G0_0_0_9_7 - 0.152367632367658*G0_0_0_9_8 - 0.315866990152758*G0_0_0_9_9 + 0.00360133693467082*G0_0_1_0_0 - 0.00603519936853378*G0_0_1_0_1 - 0.000318869842679422*G0_0_1_0_2 - 0.000823620823620953*G0_0_1_0_3 + 0.0029744858316292*G0_0_1_0_4 + 0.0049087420516*G0_0_1_0_5 - 0.00137925566497017*G0_0_1_0_6 + 0.00805607091321515*G0_0_1_0_7 - 0.0089488289488305*G0_0_1_0_8 - 0.00427952999381644*G0_0_1_0_9 - 0.00603519936853378*G0_0_1_1_0 - 0.196588596588631*G0_0_1_1_1 - 0.00504261170927923*G0_0_1_1_2 - 0.0565212565212662*G0_0_1_1_3 + 0.0241314241314282*G0_0_1_1_4 + 0.000574980574980734*G0_0_1_1_5 - 0.00192918192918228*G0_0_1_1_6 + 0.0287490287490338*G0_0_1_1_7 - 0.039116439116446*G0_0_1_1_8 + 0.0101232101232118*G0_0_1_1_9 - 0.000318869842679422*G0_0_1_2_0 - 0.00504261170927923*G0_0_1_2_1 - 0.00255659684231155*G0_0_1_2_2 - 0.00941058941059098*G0_0_1_2_3 + 0.00676466390752218*G0_0_1_2_4 + 0.000746872175443717*G0_0_1_2_5 + 0.00316064887493514*G0_0_1_2_6 + 0.0019849991278566*G0_0_1_2_7 - 0.0262382062382106*G0_0_1_2_8 - 0.0195632938490114*G0_0_1_2_9 - 0.000823620823620953*G0_0_1_3_0 - 0.0565212565212662*G0_0_1_3_1 - 0.00941058941059098*G0_0_1_3_2 + 0.111488511488531*G0_0_1_3_3 + 0.0341058941058998*G0_0_1_3_4 - 0.00305694305694353*G0_0_1_3_5 + 0.0126473526473548*G0_0_1_3_6 + 0.00933066933067089*G0_0_1_3_7 - 0.0949050949051108*G0_0_1_3_8 - 0.0490309690309772*G0_0_1_3_9 + 0.0029744858316292*G0_0_1_4_0 + 0.0241314241314282*G0_0_1_4_1 + 0.00676466390752218*G0_0_1_4_2 + 0.0341058941058998*G0_0_1_4_3 - 0.0173826173826203*G0_0_1_4_4 - 0.00206365063507956*G0_0_1_4_5 - 0.0105837020122752*G0_0_1_4_6 - 0.0108691308691327*G0_0_1_4_7 + 0.0855744255744399*G0_0_1_4_8 + 0.0628171828171934*G0_0_1_4_9 + 0.0049087420516*G0_0_1_5_0 + 0.000574980574980733*G0_0_1_5_1 + 0.000746872175443717*G0_0_1_5_2 - 0.00305694305694353*G0_0_1_5_3 - 0.00206365063507956*G0_0_1_5_4 + 0.0164349935778536*G0_0_1_5_5 - 0.00131582703011293*G0_0_1_5_6 - 0.00603967461110423*G0_0_1_5_7 + 0.00513486513486603*G0_0_1_5_8 + 0.00256885971171727*G0_0_1_5_9 - 0.00137925566497017*G0_0_1_6_0 - 0.00192918192918228*G0_0_1_6_1 + 0.00316064887493514*G0_0_1_6_2 + 0.0126473526473548*G0_0_1_6_3 - 0.0105837020122752*G0_0_1_6_4 - 0.00131582703011293*G0_0_1_6_5 - 0.000416726131011697*G0_0_1_6_6 + 0.000904809476238219*G0_0_1_6_7 + 0.0388211788211853*G0_0_1_6_8 + 0.0333951762523248*G0_0_1_6_9 + 0.00805607091321515*G0_0_1_7_0 + 0.0287490287490338*G0_0_1_7_1 + 0.0019849991278566*G0_0_1_7_2 + 0.00933066933067089*G0_0_1_7_3 - 0.0108691308691327*G0_0_1_7_4 - 0.00603967461110423*G0_0_1_7_5 + 0.000904809476238218*G0_0_1_7_6 - 0.0551048951049044*G0_0_1_7_7 + 0.0304295704295755*G0_0_1_7_8 + 0.0110289710289728*G0_0_1_7_9 - 0.0089488289488305*G0_0_1_8_0 - 0.039116439116446*G0_0_1_8_1 - 0.0262382062382106*G0_0_1_8_2 - 0.0949050949051108*G0_0_1_8_3 + 0.0855744255744399*G0_0_1_8_4 + 0.00513486513486603*G0_0_1_8_5 + 0.0388211788211853*G0_0_1_8_6 + 0.0304295704295755*G0_0_1_8_7 - 0.491108891108974*G0_0_1_8_8 - 0.201518481518516*G0_0_1_8_9 - 0.00427952999381644*G0_0_1_9_0 + 0.0101232101232118*G0_0_1_9_1 - 0.0195632938490114*G0_0_1_9_2 - 0.0490309690309772*G0_0_1_9_3 + 0.0628171828171934*G0_0_1_9_4 + 0.00256885971171727*G0_0_1_9_5 + 0.0333951762523248*G0_0_1_9_6 + 0.0110289710289728*G0_0_1_9_7 - 0.201518481518516*G0_0_1_9_8 - 0.205714285714321*G0_0_1_9_9;
    A[29] = -A[27] - 0.00662871520014488*G0_0_0_0_0 + 0.00135469468802827*G0_0_0_0_1 - 0.00156193013335897*G0_0_0_0_2 + 0.00424591281734213*G0_0_0_0_3 - 0.00317999460856658*G0_0_0_0_4 - 0.00683538683538802*G0_0_0_0_5 + 0.00315938030223796*G0_0_0_0_6 - 0.00254697683269156*G0_0_0_0_7 + 0.00295133437990632*G0_0_0_0_8 + 0.000563246277532077*G0_0_0_0_9 + 0.00135469468802827*G0_0_0_1_0 + 0.0332013665347058*G0_0_0_1_1 + 0.00295334295334346*G0_0_0_1_2 + 0.0359529359529421*G0_0_0_1_3 - 0.0170140970140999*G0_0_0_1_4 - 0.00247308247308289*G0_0_0_1_5 - 0.00346542346542406*G0_0_0_1_6 - 0.00751248751248885*G0_0_0_1_7 + 0.0140193140193165*G0_0_0_1_8 - 0.00109224109224124*G0_0_0_1_9 - 0.00156193013335897*G0_0_0_2_0 + 0.00295334295334346*G0_0_0_2_1 - 0.00452880452880526*G0_0_0_2_2 + 0.00741353884211152*G0_0_0_2_3 - 0.00547642833357211*G0_0_0_2_4 + 0.0029786086928949*G0_0_0_2_5 - 0.00548150262436069*G0_0_0_2_6 - 0.00149406149406175*G0_0_0_2_7 + 0.0028672914387205*G0_0_0_2_8 + 0.00294562580276916*G0_0_0_2_9 + 0.00424591281734213*G0_0_0_3_0 + 0.0359529359529421*G0_0_0_3_1 + 0.00741353884211152*G0_0_0_3_2 + 0.0798401598401735*G0_0_0_3_3 - 0.0197202797202831*G0_0_0_3_4 - 0.00205508776937386*G0_0_0_3_5 + 0.00918795490224212*G0_0_0_3_6 - 0.0139460539460563*G0_0_0_3_7 + 0.0237562437562478*G0_0_0_3_8 + 0.0311688311688365*G0_0_0_3_9 - 0.00317999460856658*G0_0_0_4_0 - 0.0170140970140999*G0_0_0_4_1 - 0.00547642833357211*G0_0_0_4_2 - 0.0197202797202831*G0_0_0_4_3 - 0.0191979449122337*G0_0_0_4_4 + 0.00833166833166973*G0_0_0_4_5 - 0.0175196232339119*G0_0_0_4_6 + 0.00761524190095748*G0_0_0_4_7 - 0.0098101898101915*G0_0_0_4_8 - 0.0255002140716469*G0_0_0_4_9 - 0.00683538683538802*G0_0_0_5_0 - 0.00247308247308289*G0_0_0_5_1 + 0.0029786086928949*G0_0_0_5_2 - 0.00205508776937386*G0_0_0_5_3 + 0.00833166833166973*G0_0_0_5_4 - 0.12192379049524*G0_0_0_5_5 + 0.00776081061795477*G0_0_0_5_6 - 0.0094848009133739*G0_0_0_5_7 + 0.00621093192521866*G0_0_0_5_8 - 0.0141116026830336*G0_0_0_5_9 + 0.00315938030223796*G0_0_0_6_0 - 0.00346542346542406*G0_0_0_6_1 - 0.00548150262436069*G0_0_0_6_2 + 0.00918795490224212*G0_0_0_6_3 - 0.0175196232339119*G0_0_0_6_4 + 0.00776081061795478*G0_0_0_6_5 - 0.120468103325266*G0_0_0_6_6 + 0.00327386898815523*G0_0_0_6_7 + 0.0015013557870703*G0_0_0_6_8 - 0.0272127872127917*G0_0_0_6_9 - 0.00254697683269156*G0_0_0_7_0 - 0.00751248751248885*G0_0_0_7_1 - 0.00149406149406175*G0_0_0_7_2 - 0.0139460539460563*G0_0_0_7_3 + 0.00761524190095748*G0_0_0_7_4 - 0.0094848009133739*G0_0_0_7_5 + 0.00327386898815524*G0_0_0_7_6 + 0.00230055658627129*G0_0_0_7_7 - 0.00679320679320798*G0_0_0_7_8 - 0.00823747680890676*G0_0_0_7_9 + 0.00295133437990632*G0_0_0_8_0 + 0.0140193140193165*G0_0_0_8_1 + 0.0028672914387205*G0_0_0_8_2 + 0.0237562437562478*G0_0_0_8_3 - 0.0098101898101915*G0_0_0_8_4 + 0.00621093192521866*G0_0_0_8_5 + 0.0015013557870703*G0_0_0_8_6 - 0.00679320679320798*G0_0_0_8_7 + 0.0208991008991046*G0_0_0_8_8 + 0.0228971028971068*G0_0_0_8_9 + 0.000563246277532077*G0_0_0_9_0 - 0.00109224109224124*G0_0_0_9_1 + 0.00294562580276916*G0_0_0_9_2 + 0.0311688311688365*G0_0_0_9_3 - 0.0255002140716469*G0_0_0_9_4 - 0.0141116026830336*G0_0_0_9_5 - 0.0272127872127917*G0_0_0_9_6 - 0.00823747680890676*G0_0_0_9_7 + 0.0228971028971068*G0_0_0_9_8 - 0.0139745968317419*G0_0_0_9_9 - 0.00209991067133959*G0_0_1_0_0 - 0.00159864826531521*G0_0_1_0_1 + 0.00137862137862162*G0_0_1_0_3 - 0.00168593311450483*G0_0_1_0_4 - 0.00135388421102729*G0_0_1_0_5 + 0.000180771609343063*G0_0_1_0_6 + 0.00292945150088056*G0_0_1_0_7 - 0.00446220446220522*G0_0_1_0_8 - 0.00238237952523707*G0_0_1_0_9 - 0.0015986482653152*G0_0_1_1_0 + 0.0015986482653152*G0_0_1_1_2 + 0.0219336219336257*G0_0_1_1_3 - 0.00950160950161111*G0_0_1_1_4 + 0.00099234099234117*G0_0_1_1_5 - 0.00099234099234117*G0_0_1_1_6 + 0.0095016095016111*G0_0_1_1_7 - 0.0219336219336256*G0_0_1_1_8 + 0.0015986482653152*G0_0_1_2_1 + 0.00209991067133959*G0_0_1_2_2 + 0.00446220446220522*G0_0_1_2_3 - 0.00292945150088056*G0_0_1_2_4 - 0.000180771609343067*G0_0_1_2_5 + 0.00135388421102729*G0_0_1_2_6 + 0.00168593311450482*G0_0_1_2_7 - 0.0013786213786216*G0_0_1_2_8 + 0.00238237952523707*G0_0_1_2_9 + 0.00137862137862162*G0_0_1_3_0 + 0.0219336219336257*G0_0_1_3_1 + 0.00446220446220522*G0_0_1_3_2 + 0.0589410589410691*G0_0_1_3_3 - 0.0129270729270752*G0_0_1_3_4 - 0.00355644355644415*G0_0_1_3_5 + 0.00297702297702347*G0_0_1_3_6 - 0.00413586413586487*G0_0_1_3_7 + 0.00827172827172971*G0_0_1_3_9 - 0.00168593311450483*G0_0_1_4_0 - 0.00950160950161111*G0_0_1_4_1 - 0.00292945150088056*G0_0_1_4_2 - 0.0129270729270752*G0_0_1_4_3 - 0.021498501498505*G0_0_1_4_4 + 0.00505779934351447*G0_0_1_4_5 - 0.00803482232053794*G0_0_1_4_6 + 0.0041358641358648*G0_0_1_4_8 - 0.0172627372627402*G0_0_1_4_9 - 0.00135388421102729*G0_0_1_5_0 + 0.000992340992341169*G0_0_1_5_1 - 0.000180771609343067*G0_0_1_5_2 - 0.00355644355644415*G0_0_1_5_3 + 0.00505779934351447*G0_0_1_5_4 - 0.00145568716997312*G0_0_1_5_5 + 0.00803482232053795*G0_0_1_5_7 - 0.00297702297702346*G0_0_1_5_8 + 0.0131011845297582*G0_0_1_5_9 + 0.000180771609343063*G0_0_1_6_0 - 0.000992340992341169*G0_0_1_6_1 + 0.00135388421102729*G0_0_1_6_2 + 0.00297702297702347*G0_0_1_6_3 - 0.00803482232053794*G0_0_1_6_4 + 0.00145568716997313*G0_0_1_6_6 - 0.00505779934351446*G0_0_1_6_7 + 0.00355644355644414*G0_0_1_6_8 - 0.0131011845297582*G0_0_1_6_9 + 0.00292945150088056*G0_0_1_7_0 + 0.0095016095016111*G0_0_1_7_1 + 0.00168593311450482*G0_0_1_7_2 - 0.00413586413586487*G0_0_1_7_3 + 0.00803482232053795*G0_0_1_7_5 - 0.00505779934351446*G0_0_1_7_6 + 0.0214985014985051*G0_0_1_7_7 + 0.0129270729270751*G0_0_1_7_8 + 0.0172627372627402*G0_0_1_7_9 - 0.00446220446220522*G0_0_1_8_0 - 0.0219336219336256*G0_0_1_8_1 - 0.0013786213786216*G0_0_1_8_2 + 0.0041358641358648*G0_0_1_8_4 - 0.00297702297702346*G0_0_1_8_5 + 0.00355644355644414*G0_0_1_8_6 + 0.0129270729270751*G0_0_1_8_7 - 0.0589410589410688*G0_0_1_8_8 - 0.00827172827172966*G0_0_1_8_9 - 0.00238237952523707*G0_0_1_9_0 + 0.00238237952523707*G0_0_1_9_2 + 0.00827172827172971*G0_0_1_9_3 - 0.0172627372627402*G0_0_1_9_4 + 0.0131011845297582*G0_0_1_9_5 - 0.0131011845297582*G0_0_1_9_6 + 0.0172627372627402*G0_0_1_9_7 - 0.00827172827172966*G0_0_1_9_8;
    A[43] = -A[42] - 0.00209991067133958*G0_1_0_0_0 - 0.0015986482653152*G0_1_0_0_2 - 0.00168593311450483*G0_1_0_0_3 + 0.00137862137862162*G0_1_0_0_4 + 0.00292945150088057*G0_1_0_0_5 - 0.00446220446220523*G0_1_0_0_6 - 0.00135388421102729*G0_1_0_0_7 + 0.000180771609343068*G0_1_0_0_8 - 0.00238237952523706*G0_1_0_0_9 + 0.00209991067133961*G0_1_0_1_1 + 0.0015986482653152*G0_1_0_1_2 - 0.00292945150088056*G0_1_0_1_3 + 0.00446220446220523*G0_1_0_1_4 + 0.00168593311450482*G0_1_0_1_5 - 0.00137862137862161*G0_1_0_1_6 - 0.000180771609343077*G0_1_0_1_7 + 0.00135388421102731*G0_1_0_1_8 + 0.00238237952523706*G0_1_0_1_9 - 0.0015986482653152*G0_1_0_2_0 + 0.0015986482653152*G0_1_0_2_1 - 0.0095016095016111*G0_1_0_2_3 + 0.0219336219336256*G0_1_0_2_4 + 0.00950160950161111*G0_1_0_2_5 - 0.0219336219336257*G0_1_0_2_6 + 0.000992340992341156*G0_1_0_2_7 - 0.000992340992341155*G0_1_0_2_8 - 0.00168593311450483*G0_1_0_3_0 - 0.00292945150088056*G0_1_0_3_1 - 0.0095016095016111*G0_1_0_3_2 - 0.0214985014985052*G0_1_0_3_3 - 0.0129270729270752*G0_1_0_3_4 + 0.0041358641358648*G0_1_0_3_6 + 0.00505779934351447*G0_1_0_3_7 - 0.00803482232053793*G0_1_0_3_8 - 0.0172627372627401*G0_1_0_3_9 + 0.00137862137862162*G0_1_0_4_0 + 0.00446220446220523*G0_1_0_4_1 + 0.0219336219336256*G0_1_0_4_2 - 0.0129270729270752*G0_1_0_4_3 + 0.0589410589410691*G0_1_0_4_4 - 0.00413586413586485*G0_1_0_4_5 - 0.00355644355644415*G0_1_0_4_7 + 0.00297702297702345*G0_1_0_4_8 + 0.00827172827172966*G0_1_0_4_9 + 0.00292945150088058*G0_1_0_5_0 + 0.00168593311450482*G0_1_0_5_1 + 0.00950160950161111*G0_1_0_5_2 - 0.00413586413586484*G0_1_0_5_4 + 0.021498501498505*G0_1_0_5_5 + 0.0129270729270751*G0_1_0_5_6 + 0.00803482232053794*G0_1_0_5_7 - 0.00505779934351447*G0_1_0_5_8 + 0.0172627372627401*G0_1_0_5_9 - 0.00446220446220523*G0_1_0_6_0 - 0.00137862137862161*G0_1_0_6_1 - 0.0219336219336257*G0_1_0_6_2 + 0.00413586413586481*G0_1_0_6_3 + 0.0129270729270751*G0_1_0_6_5 - 0.0589410589410689*G0_1_0_6_6 - 0.00297702297702348*G0_1_0_6_7 + 0.00355644355644414*G0_1_0_6_8 - 0.00827172827172964*G0_1_0_6_9 - 0.00135388421102729*G0_1_0_7_0 - 0.000180771609343077*G0_1_0_7_1 + 0.000992340992341156*G0_1_0_7_2 + 0.00505779934351448*G0_1_0_7_3 - 0.00355644355644415*G0_1_0_7_4 + 0.00803482232053794*G0_1_0_7_5 - 0.00297702297702348*G0_1_0_7_6 - 0.0014556871699731*G0_1_0_7_7 + 0.0131011845297581*G0_1_0_7_9 + 0.000180771609343068*G0_1_0_8_0 + 0.00135388421102731*G0_1_0_8_1 - 0.000992340992341155*G0_1_0_8_2 - 0.00803482232053793*G0_1_0_8_3 + 0.00297702297702345*G0_1_0_8_4 - 0.00505779934351447*G0_1_0_8_5 + 0.00355644355644414*G0_1_0_8_6 + 0.00145568716997323*G0_1_0_8_8 - 0.0131011845297581*G0_1_0_8_9 - 0.00238237952523706*G0_1_0_9_0 + 0.00238237952523706*G0_1_0_9_1 - 0.0172627372627401*G0_1_0_9_3 + 0.00827172827172966*G0_1_0_9_4 + 0.0172627372627401*G0_1_0_9_5 - 0.00827172827172964*G0_1_0_9_6 + 0.0131011845297581*G0_1_0_9_7 - 0.0131011845297581*G0_1_0_9_8 - 0.00662871520014493*G0_1_1_0_0 - 0.00156193013335898*G0_1_1_0_1 + 0.00135469468802825*G0_1_1_0_2 - 0.00317999460856658*G0_1_1_0_3 + 0.00424591281734212*G0_1_1_0_4 - 0.00254697683269155*G0_1_1_0_5 + 0.0029513343799063*G0_1_1_0_6 - 0.00683538683538801*G0_1_1_0_7 + 0.00315938030223797*G0_1_1_0_8 + 0.00056324627753208*G0_1_1_0_9 - 0.00156193013335898*G0_1_1_1_0 - 0.00452880452880531*G0_1_1_1_1 + 0.00295334295334345*G0_1_1_1_2 - 0.00547642833357212*G0_1_1_1_3 + 0.00741353884211154*G0_1_1_1_4 - 0.00149406149406174*G0_1_1_1_5 + 0.00286729143872049*G0_1_1_1_6 + 0.00297860869289493*G0_1_1_1_7 - 0.00548150262436073*G0_1_1_1_8 + 0.00294562580276915*G0_1_1_1_9 + 0.00135469468802825*G0_1_1_2_0 + 0.00295334295334345*G0_1_1_2_1 + 0.0332013665347053*G0_1_1_2_2 - 0.0170140970140999*G0_1_1_2_3 + 0.035952935952942*G0_1_1_2_4 - 0.00751248751248873*G0_1_1_2_5 + 0.0140193140193163*G0_1_1_2_6 - 0.00247308247308289*G0_1_1_2_7 - 0.00346542346542404*G0_1_1_2_8 - 0.00109224109224129*G0_1_1_2_9 - 0.00317999460856658*G0_1_1_3_0 - 0.00547642833357212*G0_1_1_3_1 - 0.0170140970140999*G0_1_1_3_2 - 0.0191979449122339*G0_1_1_3_3 - 0.0197202797202831*G0_1_1_3_4 + 0.00761524190095745*G0_1_1_3_5 - 0.00981018981019145*G0_1_1_3_6 + 0.00833166833166976*G0_1_1_3_7 - 0.0175196232339119*G0_1_1_3_8 - 0.0255002140716469*G0_1_1_3_9 + 0.00424591281734212*G0_1_1_4_0 + 0.00741353884211154*G0_1_1_4_1 + 0.035952935952942*G0_1_1_4_2 - 0.0197202797202831*G0_1_1_4_3 + 0.0798401598401735*G0_1_1_4_4 - 0.0139460539460563*G0_1_1_4_5 + 0.0237562437562477*G0_1_1_4_6 - 0.00205508776937383*G0_1_1_4_7 + 0.00918795490224217*G0_1_1_4_8 + 0.0311688311688364*G0_1_1_4_9 - 0.00254697683269155*G0_1_1_5_0 - 0.00149406149406174*G0_1_1_5_1 - 0.00751248751248873*G0_1_1_5_2 + 0.00761524190095745*G0_1_1_5_3 - 0.0139460539460563*G0_1_1_5_4 + 0.00230055658627127*G0_1_1_5_5 - 0.00679320679320787*G0_1_1_5_6 - 0.00948480091337393*G0_1_1_5_7 + 0.00327386898815525*G0_1_1_5_8 - 0.00823747680890674*G0_1_1_5_9 + 0.0029513343799063*G0_1_1_6_0 + 0.00286729143872049*G0_1_1_6_1 + 0.0140193140193163*G0_1_1_6_2 - 0.00981018981019145*G0_1_1_6_3 + 0.0237562437562477*G0_1_1_6_4 - 0.00679320679320787*G0_1_1_6_5 + 0.0208991008991042*G0_1_1_6_6 + 0.00621093192521868*G0_1_1_6_7 + 0.00150135578707031*G0_1_1_6_8 + 0.0228971028971067*G0_1_1_6_9 - 0.00683538683538801*G0_1_1_7_0 + 0.00297860869289492*G0_1_1_7_1 - 0.00247308247308289*G0_1_1_7_2 + 0.00833166833166976*G0_1_1_7_3 - 0.00205508776937383*G0_1_1_7_4 - 0.00948480091337393*G0_1_1_7_5 + 0.00621093192521868*G0_1_1_7_6 - 0.12192379049524*G0_1_1_7_7 + 0.00776081061795485*G0_1_1_7_8 - 0.0141116026830337*G0_1_1_7_9 + 0.00315938030223797*G0_1_1_8_0 - 0.00548150262436073*G0_1_1_8_1 - 0.00346542346542404*G0_1_1_8_2 - 0.0175196232339119*G0_1_1_8_3 + 0.00918795490224217*G0_1_1_8_4 + 0.00327386898815525*G0_1_1_8_5 + 0.00150135578707031*G0_1_1_8_6 + 0.00776081061795485*G0_1_1_8_7 - 0.120468103325267*G0_1_1_8_8 - 0.0272127872127918*G0_1_1_8_9 + 0.000563246277532081*G0_1_1_9_0 + 0.00294562580276915*G0_1_1_9_1 - 0.00109224109224129*G0_1_1_9_2 - 0.0255002140716469*G0_1_1_9_3 + 0.0311688311688364*G0_1_1_9_4 - 0.00823747680890674*G0_1_1_9_5 + 0.0228971028971068*G0_1_1_9_6 - 0.0141116026830337*G0_1_1_9_7 - 0.0272127872127918*G0_1_1_9_8 - 0.0139745968317418*G0_1_1_9_9;
    A[146] = -A[138] + 0.11624918291587*G0_0_0_0_0 + 0.00513095370238318*G0_0_0_0_1 + 0.0079409831790798*G0_0_0_0_2 + 0.0024644138929857*G0_0_0_0_3 - 0.0038936724651017*G0_0_0_0_4 + 0.0763976763976897*G0_0_0_0_5 - 0.0332463303891933*G0_0_0_0_6 + 0.0271077071077118*G0_0_0_0_7 - 0.00510262224548033*G0_0_0_0_8 + 0.00822796251367826*G0_0_0_0_9 + 0.00513095370238318*G0_0_0_1_0 + 0.0811632811632952*G0_0_0_1_1 + 0.00343332152856021*G0_0_0_1_2 + 0.0251600251600295*G0_0_0_1_3 - 0.0116120916120936*G0_0_0_1_4 + 0.00722156150727699*G0_0_0_1_5 - 0.0032847575704724*G0_0_0_1_6 - 0.0015836015836019*G0_0_0_1_7 + 0.0184408184408216*G0_0_0_1_8 + 0.00111888111888132*G0_0_0_1_9 + 0.0079409831790798*G0_0_0_2_0 + 0.00343332152856021*G0_0_0_2_1 + 0.0034087957897488*G0_0_0_2_2 + 0.00438165009593653*G0_0_0_2_3 - 0.000469371897943379*G0_0_0_2_4 + 0.0120945720945742*G0_0_0_2_5 - 0.00377780949209582*G0_0_0_2_6 + 0.00386491815063309*G0_0_0_2_7 + 0.0054937654937664*G0_0_0_2_8 + 0.0147306661592401*G0_0_0_2_9 + 0.0024644138929857*G0_0_0_3_0 + 0.0251600251600295*G0_0_0_3_1 + 0.00438165009593653*G0_0_0_3_2 - 0.0628704628704739*G0_0_0_3_3 - 0.0252395223823837*G0_0_0_3_4 - 0.00850958565244423*G0_0_0_3_5 - 0.00218448218448254*G0_0_0_3_6 - 0.019431996574857*G0_0_0_3_7 + 0.0479520479520559*G0_0_0_3_8 + 0.03550734979307*G0_0_0_3_9 - 0.0038936724651017*G0_0_0_4_0 - 0.0116120916120936*G0_0_0_4_1 - 0.000469371897943378*G0_0_0_4_2 - 0.0252395223823837*G0_0_0_4_3 + 0.0112268683697273*G0_0_0_4_4 - 0.000357737500594702*G0_0_0_4_5 + 0.00254221968507723*G0_0_0_4_6 + 0.00606250891965279*G0_0_0_4_7 - 0.028520051377199*G0_0_0_4_8 - 0.0434765234765308*G0_0_0_4_9 + 0.0763976763976897*G0_0_0_5_0 + 0.00722156150727699*G0_0_0_5_1 + 0.0120945720945742*G0_0_0_5_2 - 0.00850958565244423*G0_0_0_5_3 - 0.000357737500594702*G0_0_0_5_4 + 0.198354026925489*G0_0_0_5_5 - 0.06341848627564*G0_0_0_5_6 + 0.0573369487655298*G0_0_0_5_7 - 0.0337034394177308*G0_0_0_5_8 + 0.0427229912944272*G0_0_0_5_9 - 0.0332463303891933*G0_0_0_6_0 - 0.0032847575704724*G0_0_0_6_1 - 0.00377780949209582*G0_0_0_6_2 - 0.00218448218448254*G0_0_0_6_3 + 0.00254221968507723*G0_0_0_6_4 - 0.06341848627564*G0_0_0_6_5 + 0.0232833832833873*G0_0_0_6_6 - 0.023633509347799*G0_0_0_6_7 + 0.00270586556300891*G0_0_0_6_8 - 0.0398230341087552*G0_0_0_6_9 + 0.0271077071077118*G0_0_0_7_0 - 0.0015836015836019*G0_0_0_7_1 + 0.00386491815063309*G0_0_0_7_2 - 0.019431996574857*G0_0_0_7_3 + 0.00606250891965279*G0_0_0_7_4 + 0.0573369487655298*G0_0_0_7_5 - 0.023633509347799*G0_0_0_7_6 + 0.102236810808257*G0_0_0_7_7 - 0.0743408971980525*G0_0_0_7_8 + 0.0225831311545635*G0_0_0_7_9 - 0.00510262224548033*G0_0_0_8_0 + 0.0184408184408217*G0_0_0_8_1 + 0.0054937654937664*G0_0_0_8_2 + 0.0479520479520559*G0_0_0_8_3 - 0.028520051377199*G0_0_0_8_4 - 0.0337034394177308*G0_0_0_8_5 + 0.00270586556300892*G0_0_0_8_6 - 0.0743408971980525*G0_0_0_8_7 + 0.131601731601754*G0_0_0_8_8 + 0.0536834593977541*G0_0_0_8_9 + 0.00822796251367826*G0_0_0_9_0 + 0.00111888111888132*G0_0_0_9_1 + 0.0147306661592401*G0_0_0_9_2 + 0.03550734979307*G0_0_0_9_3 - 0.0434765234765309*G0_0_0_9_4 + 0.0427229912944271*G0_0_0_9_5 - 0.0398230341087552*G0_0_0_9_6 + 0.0225831311545635*G0_0_0_9_7 + 0.0536834593977541*G0_0_0_9_8 + 0.138375909804505*G0_0_0_9_9 - 0.00955094288427789*G0_1_0_0_0 + 0.0020710154043491*G0_1_0_0_1 + 0.00195317909603654*G0_1_0_0_3 - 0.00251219679791151*G0_1_0_0_4 - 0.00976208976209141*G0_1_0_0_5 + 0.00265850551564883*G0_1_0_0_6 + 0.00635216635216736*G0_1_0_0_7 + 0.0074063502634944*G0_1_0_0_8 + 0.00155019583591037*G0_1_0_0_9 + 0.0020710154043491*G0_1_0_1_0 + 0.0840048840048984*G0_1_0_1_1 + 0.00330632330632386*G0_1_0_1_2 + 0.0257520257520301*G0_1_0_1_3 - 0.0114907314907334*G0_1_0_1_4 + 0.00358456358456417*G0_1_0_1_5 - 0.0024893624893629*G0_1_0_1_6 + 0.00200688200688228*G0_1_0_1_7 + 0.0179376179376211*G0_1_0_1_8 + 0.00255744255744301*G0_1_0_1_9 + 0.00330632330632386*G0_1_0_2_1 + 0.000956221908603064*G0_1_0_2_2 + 0.00399642685357036*G0_1_0_2_3 - 0.000756915042629416*G0_1_0_2_4 + 0.00198869913155659*G0_1_0_2_5 - 0.00234855091997985*G0_1_0_2_6 + 0.00625617768475015*G0_1_0_2_7 + 0.00546966261252066*G0_1_0_2_8 + 0.0159814788386244*G0_1_0_2_9 + 0.00195317909603654*G0_1_0_3_0 + 0.0257520257520301*G0_1_0_3_1 + 0.00399642685357036*G0_1_0_3_2 - 0.0799200799200941*G0_1_0_3_3 - 0.0242157842157883*G0_1_0_3_4 - 0.00328433471290671*G0_1_0_3_5 - 0.00257647114790014*G0_1_0_3_6 - 0.0159040959040985*G0_1_0_3_7 + 0.0423576423576494*G0_1_0_3_8 + 0.024135864135868*G0_1_0_3_9 - 0.00251219679791151*G0_1_0_4_0 - 0.0114907314907334*G0_1_0_4_1 - 0.000756915042629415*G0_1_0_4_2 - 0.0242157842157883*G0_1_0_4_3 + 0.0158698444412757*G0_1_0_4_4 - 0.00250796822225436*G0_1_0_4_5 + 0.00508443937015451*G0_1_0_4_6 - 0.000593692022263551*G0_1_0_4_7 - 0.0264535464535508*G0_1_0_4_8 - 0.0429285000713645*G0_1_0_4_9 - 0.00976208976209142*G0_1_0_5_0 + 0.00358456358456417*G0_1_0_5_1 + 0.00198869913155659*G0_1_0_5_2 - 0.00328433471290671*G0_1_0_5_3 - 0.00250796822225436*G0_1_0_5_4 - 0.00352409495266688*G0_1_0_5_5 - 0.00746301317730018*G0_1_0_5_6 + 0.0496113410399208*G0_1_0_5_7 - 0.0207982493696815*G0_1_0_5_8 + 0.0369459112316318*G0_1_0_5_9 + 0.00265850551564883*G0_1_0_6_0 - 0.0024893624893629*G0_1_0_6_1 - 0.00234855091997985*G0_1_0_6_2 - 0.00257647114790014*G0_1_0_6_3 + 0.00508443937015451*G0_1_0_6_4 - 0.00746301317730018*G0_1_0_6_5 + 0.00661433804291063*G0_1_0_6_6 - 0.0288130916702393*G0_1_0_6_7 + 0.000551829123257813*G0_1_0_6_8 - 0.0427914942200729*G0_1_0_6_9 + 0.00635216635216736*G0_1_0_7_0 + 0.00200688200688228*G0_1_0_7_1 + 0.00625617768475016*G0_1_0_7_2 - 0.0159040959040985*G0_1_0_7_3 - 0.000593692022263551*G0_1_0_7_4 + 0.0496113410399208*G0_1_0_7_5 - 0.0288130916702393*G0_1_0_7_6 + 0.188497217068677*G0_1_0_7_7 - 0.0923076923077078*G0_1_0_7_8 + 0.0529755958327476*G0_1_0_7_9 + 0.0074063502634944*G0_1_0_8_0 + 0.0179376179376211*G0_1_0_8_1 + 0.00546966261252066*G0_1_0_8_2 + 0.0423576423576494*G0_1_0_8_3 - 0.0264535464535509*G0_1_0_8_4 - 0.0207982493696815*G0_1_0_8_5 + 0.000551829123257813*G0_1_0_8_6 - 0.0923076923077078*G0_1_0_8_7 + 0.140659340659364*G0_1_0_8_8 + 0.0452347652347728*G0_1_0_8_9 + 0.00155019583591037*G0_1_0_9_0 + 0.00255744255744301*G0_1_0_9_1 + 0.0159814788386244*G0_1_0_9_2 + 0.024135864135868*G0_1_0_9_3 - 0.0429285000713645*G0_1_0_9_4 + 0.0369459112316318*G0_1_0_9_5 - 0.0427914942200729*G0_1_0_9_6 + 0.0529755958327476*G0_1_0_9_7 + 0.0452347652347728*G0_1_0_9_8 + 0.142760097045835*G0_1_0_9_9;
    A[126] = A[146] - 0.107921707921727*G0_0_0_0_0 - 0.00580118294404112*G0_0_0_0_1 - 0.00297621250002257*G0_0_0_0_2 - 0.00619359476502439*G0_0_0_0_3 + 0.00688031545174522*G0_0_0_0_4 - 0.0639952639952752*G0_0_0_0_5 + 0.02560402560403*G0_0_0_0_6 - 0.0248048248048291*G0_0_0_0_7 + 0.00647056647056763*G0_0_0_0_8 - 0.00632256632256747*G0_0_0_0_9 - 0.00580118294404112*G0_0_0_1_0 - 0.109261320689911*G0_0_0_1_1 + 0.000615257758114996*G0_0_0_1_2 - 0.0718553404267813*G0_0_0_1_3 + 0.0400606800606869*G0_0_0_1_4 - 0.0051736623165203*G0_0_0_1_5 + 0.00176543033685919*G0_0_0_1_6 + 0.00793703650846649*G0_0_0_1_7 - 0.0266721638150256*G0_0_0_1_8 - 0.00708370994085404*G0_0_0_1_9 - 0.00297621250002257*G0_0_0_2_0 + 0.000615257758114997*G0_0_0_2_1 + 0.123409571028639*G0_0_0_2_2 - 0.0456990628419276*G0_0_0_2_3 + 0.0865902351616782*G0_0_0_2_4 - 0.0250974422403035*G0_0_0_2_5 + 0.0304685790400125*G0_0_0_2_6 - 0.0037198780055929*G0_0_0_2_7 - 0.00478547907119415*G0_0_0_2_8 - 0.00221746507460834*G0_0_0_2_9 - 0.00619359476502439*G0_0_0_3_0 - 0.0718553404267813*G0_0_0_3_1 - 0.0456990628419276*G0_0_0_3_2 - 0.143643023643048*G0_0_0_3_3 + 0.00159459588031049*G0_0_0_3_4 + 0.0131449502878096*G0_0_0_3_5 + 0.00251557965843724*G0_0_0_3_6 + 0.026392654964088*G0_0_0_3_7 - 0.0485609628466854*G0_0_0_3_8 - 0.0315341801056141*G0_0_0_3_9 + 0.00688031545174522*G0_0_0_4_0 + 0.0400606800606869*G0_0_0_4_1 + 0.0865902351616782*G0_0_0_4_2 + 0.00159459588031049*G0_0_0_4_3 + 0.154025022596477*G0_0_0_4_4 - 0.0128290756862207*G0_0_0_4_5 + 0.0103134960277835*G0_0_0_4_6 - 0.00864659150373584*G0_0_0_4_7 + 0.0221683078825974*G0_0_0_4_8 + 0.0323105465962664*G0_0_0_4_9 - 0.0639952639952752*G0_0_0_5_0 - 0.0051736623165203*G0_0_0_5_1 - 0.0250974422403035*G0_0_0_5_2 + 0.0131449502878096*G0_0_0_5_3 - 0.0128290756862207*G0_0_0_5_4 - 0.160266400266428*G0_0_0_5_5 + 0.0616944959802209*G0_0_0_5_6 - 0.0423043623043694*G0_0_0_5_7 + 0.0233328576185759*G0_0_0_5_8 - 0.0276980162694496*G0_0_0_5_9 + 0.02560402560403*G0_0_0_6_0 + 0.00176543033685919*G0_0_0_6_1 + 0.0304685790400125*G0_0_0_6_2 + 0.00251557965843724*G0_0_0_6_3 + 0.0103134960277835*G0_0_0_6_4 + 0.0616944959802209*G0_0_0_6_5 - 0.0889320203606072*G0_0_0_6_6 + 0.0189715046857936*G0_0_0_6_7 + 0.000624137766994986*G0_0_0_6_8 + 0.00162123590695052*G0_0_0_6_9 - 0.0248048248048291*G0_0_0_7_0 + 0.00793703650846649*G0_0_0_7_1 - 0.0037198780055929*G0_0_0_7_2 + 0.026392654964088*G0_0_0_7_3 - 0.00864659150373584*G0_0_0_7_4 - 0.0423043623043694*G0_0_0_7_5 + 0.0189715046857936*G0_0_0_7_6 - 0.079600399600413*G0_0_0_7_7 + 0.0545625802768752*G0_0_0_7_8 - 0.018975310403885*G0_0_0_7_9 + 0.00647056647056763*G0_0_0_8_0 - 0.0266721638150256*G0_0_0_8_1 - 0.00478547907119415*G0_0_0_8_2 - 0.0485609628466854*G0_0_0_8_3 + 0.0221683078825974*G0_0_0_8_4 + 0.0233328576185759*G0_0_0_8_5 + 0.000624137766994983*G0_0_0_8_6 + 0.0545625802768752*G0_0_0_8_7 - 0.0880947623804917*G0_0_0_8_8 - 0.0230854859426327*G0_0_0_8_9 - 0.00632256632256747*G0_0_0_9_0 - 0.00708370994085404*G0_0_0_9_1 - 0.00221746507460834*G0_0_0_9_2 - 0.0315341801056141*G0_0_0_9_3 + 0.0323105465962664*G0_0_0_9_4 - 0.0276980162694496*G0_0_0_9_5 + 0.00162123590695052*G0_0_0_9_6 - 0.018975310403885*G0_0_0_9_7 - 0.0230854859426327*G0_0_0_9_8 - 0.0961781076066952*G0_0_0_9_9 - 0.0028633095299767*G0_0_1_0_1 + 0.0028633095299767*G0_0_1_0_2 - 0.00325008325008385*G0_0_1_0_3 + 0.00325008325008384*G0_0_1_0_4 + 0.00142080142080175*G0_0_1_0_5 - 0.00401376401376475*G0_0_1_0_6 - 0.00142080142080157*G0_0_1_0_7 + 0.00401376401376464*G0_0_1_0_8 - 0.0028633095299767*G0_0_1_1_0 - 0.118564187135636*G0_0_1_1_1 - 0.0797221825793391*G0_0_1_1_3 + 0.0414861329147114*G0_0_1_1_4 + 0.000532800532800657*G0_0_1_1_5 - 0.00128633271490437*G0_0_1_1_6 + 0.011908091908094*G0_0_1_1_7 - 0.0190285904571653*G0_0_1_1_8 - 0.00675134389420223*G0_0_1_1_9 + 0.0028633095299767*G0_0_1_2_0 + 0.118564187135636*G0_0_1_2_2 - 0.0414861329147113*G0_0_1_2_3 + 0.0797221825793389*G0_0_1_2_4 - 0.0119080919080939*G0_0_1_2_5 + 0.019028590457165*G0_0_1_2_6 - 0.000532800532800601*G0_0_1_2_7 + 0.00128633271490434*G0_0_1_2_8 + 0.00675134389420216*G0_0_1_2_9 - 0.00325008325008385*G0_0_1_3_0 - 0.0797221825793391*G0_0_1_3_1 - 0.0414861329147113*G0_0_1_3_2 - 0.145751391465702*G0_0_1_3_3 + 0.00407592407592477*G0_0_1_3_5 + 0.00385899814471307*G0_0_1_3_6 + 0.0097502497502515*G0_0_1_3_7 - 0.00589125160553851*G0_0_1_3_8 + 0.000753532182103557*G0_0_1_3_9 + 0.00325008325008384*G0_0_1_4_0 + 0.0414861329147114*G0_0_1_4_1 + 0.0797221825793389*G0_0_1_4_2 + 0.145751391465702*G0_0_1_4_4 - 0.00975024975025141*G0_0_1_4_5 + 0.00589125160553834*G0_0_1_4_6 - 0.00407592407592481*G0_0_1_4_7 - 0.00385899814471299*G0_0_1_4_8 - 0.000753532182103687*G0_0_1_4_9 + 0.00142080142080175*G0_0_1_5_0 + 0.000532800532800657*G0_0_1_5_1 - 0.0119080919080939*G0_0_1_5_2 + 0.00407592407592477*G0_0_1_5_3 - 0.00975024975025141*G0_0_1_5_4 - 0.00927072927073077*G0_0_1_5_5 + 0.0182217782217813*G0_0_1_5_6 - 0.00159840159840188*G0_0_1_5_8 + 0.00319680319680376*G0_0_1_5_9 - 0.00401376401376474*G0_0_1_6_0 - 0.00128633271490437*G0_0_1_6_1 + 0.019028590457165*G0_0_1_6_2 + 0.00385899814471307*G0_0_1_6_3 + 0.00589125160553834*G0_0_1_6_4 + 0.0182217782217813*G0_0_1_6_5 - 0.0813586413586551*G0_0_1_6_6 + 0.00159840159840182*G0_0_1_6_7 - 0.0279720279720326*G0_0_1_6_9 - 0.00142080142080157*G0_0_1_7_0 + 0.011908091908094*G0_0_1_7_1 - 0.000532800532800601*G0_0_1_7_2 + 0.0097502497502515*G0_0_1_7_3 - 0.00407592407592481*G0_0_1_7_4 + 0.00159840159840183*G0_0_1_7_6 + 0.00927072927073091*G0_0_1_7_7 - 0.0182217782217813*G0_0_1_7_8 - 0.00319680319680366*G0_0_1_7_9 + 0.00401376401376464*G0_0_1_8_0 - 0.0190285904571653*G0_0_1_8_1 + 0.00128633271490434*G0_0_1_8_2 - 0.00589125160553851*G0_0_1_8_3 - 0.003858998144713*G0_0_1_8_4 - 0.00159840159840188*G0_0_1_8_5 - 0.0182217782217813*G0_0_1_8_7 + 0.081358641358655*G0_0_1_8_8 + 0.0279720279720326*G0_0_1_8_9 - 0.00675134389420223*G0_0_1_9_1 + 0.00675134389420216*G0_0_1_9_2 + 0.000753532182103559*G0_0_1_9_3 - 0.000753532182103684*G0_0_1_9_4 + 0.00319680319680376*G0_0_1_9_5 - 0.0279720279720326*G0_0_1_9_6 - 0.00319680319680366*G0_0_1_9_7 + 0.0279720279720326*G0_0_1_9_8 - 0.00355313117217941*G0_1_0_0_1 + 0.0035531311721794*G0_1_0_0_2 - 0.00875822590108455*G0_1_0_0_3 + 0.00875822590108456*G0_1_0_0_4 + 0.0155104155104182*G0_1_0_0_5 + 0.00254560254560297*G0_1_0_0_6 - 0.015510415510418*G0_1_0_0_7 - 0.00254560254560304*G0_1_0_0_8 - 0.00355313117217941*G0_1_0_1_0 - 0.11276709181473*G0_1_0_1_1 - 0.0768560539989242*G0_1_0_1_3 + 0.0428071399500044*G0_1_0_1_4 + 0.00312830027115796*G0_1_0_1_5 + 0.00681730967445368*G0_1_0_1_6 + 0.00666973238401931*G0_1_0_1_7 - 0.0302520759663669*G0_1_0_1_8 + 0.00264624264624305*G0_1_0_1_9 + 0.0035531311721794*G0_1_0_2_0 + 0.112767091814729*G0_1_0_2_2 - 0.0428071399500042*G0_1_0_2_3 + 0.076856053998924*G0_1_0_2_4 - 0.00666973238401914*G0_1_0_2_5 + 0.0302520759663666*G0_1_0_2_6 - 0.0031283002711579*G0_1_0_2_7 - 0.00681730967445367*G0_1_0_2_8 - 0.00264624264624311*G0_1_0_2_9 - 0.00875822590108455*G0_1_0_3_0 - 0.0768560539989242*G0_1_0_3_1 - 0.0428071399500042*G0_1_0_3_2 - 0.143422291993745*G0_1_0_3_3 + 0.00844488844488989*G0_1_0_3_5 - 0.020451929023361*G0_1_0_3_6 + 0.0262746777032536*G0_1_0_3_7 - 0.0467266067266147*G0_1_0_3_8 - 0.0604880833452364*G0_1_0_3_9 + 0.00875822590108456*G0_1_0_4_0 + 0.0428071399500044*G0_1_0_4_1 + 0.076856053998924*G0_1_0_4_2 + 0.143422291993745*G0_1_0_4_4 - 0.0262746777032536*G0_1_0_4_5 + 0.0467266067266146*G0_1_0_4_6 - 0.00844488844488991*G0_1_0_4_7 + 0.020451929023361*G0_1_0_4_8 + 0.0604880833452364*G0_1_0_4_9 + 0.0155104155104182*G0_1_0_5_0 + 0.00312830027115796*G0_1_0_5_1 - 0.00666973238401914*G0_1_0_5_2 + 0.00844488844488989*G0_1_0_5_3 - 0.0262746777032536*G0_1_0_5_4 + 0.1715617715618*G0_1_0_5_5 - 0.0711897626183461*G0_1_0_5_6 - 0.00938490081347383*G0_1_0_5_8 + 0.0187698016269476*G0_1_0_5_9 + 0.00254560254560297*G0_1_0_6_0 + 0.00681730967445368*G0_1_0_6_1 + 0.0302520759663666*G0_1_0_6_2 - 0.020451929023361*G0_1_0_6_3 + 0.0467266067266146*G0_1_0_6_4 - 0.0711897626183461*G0_1_0_6_5 + 0.0971447600019193*G0_1_0_6_6 + 0.00938490081347376*G0_1_0_6_7 + 0.0488425859854513*G0_1_0_6_9 - 0.015510415510418*G0_1_0_7_0 + 0.00666973238401931*G0_1_0_7_1 - 0.00312830027115791*G0_1_0_7_2 + 0.0262746777032536*G0_1_0_7_3 - 0.0084448884448899*G0_1_0_7_4 + 0.00938490081347376*G0_1_0_7_6 - 0.1715617715618*G0_1_0_7_7 + 0.0711897626183459*G0_1_0_7_8 - 0.0187698016269476*G0_1_0_7_9 - 0.00254560254560304*G0_1_0_8_0 - 0.0302520759663669*G0_1_0_8_1 - 0.00681730967445367*G0_1_0_8_2 - 0.0467266067266147*G0_1_0_8_3 + 0.020451929023361*G0_1_0_8_4 - 0.00938490081347383*G0_1_0_8_5 + 0.0711897626183459*G0_1_0_8_7 - 0.0971447600019191*G0_1_0_8_8 - 0.0488425859854514*G0_1_0_8_9 + 0.00264624264624305*G0_1_0_9_1 - 0.00264624264624311*G0_1_0_9_2 - 0.0604880833452364*G0_1_0_9_3 + 0.0604880833452364*G0_1_0_9_4 + 0.0187698016269476*G0_1_0_9_5 + 0.0488425859854513*G0_1_0_9_6 - 0.0187698016269476*G0_1_0_9_7 - 0.0488425859854514*G0_1_0_9_8 + 0.107921707921726*G0_1_1_0_0 + 0.00297621250002251*G0_1_1_0_1 + 0.00580118294404107*G0_1_1_0_2 - 0.00688031545174528*G0_1_1_0_3 + 0.00619359476502444*G0_1_1_0_4 + 0.024804824804829*G0_1_1_0_5 - 0.00647056647056752*G0_1_1_0_6 + 0.0639952639952748*G0_1_1_0_7 - 0.0256040256040299*G0_1_1_0_8 + 0.00632256632256745*G0_1_1_0_9 + 0.00297621250002251*G0_1_1_1_0 - 0.12340957102864*G0_1_1_1_1 - 0.000615257758114991*G0_1_1_1_2 - 0.0865902351616785*G0_1_1_1_3 + 0.0456990628419277*G0_1_1_1_4 + 0.00371987800559294*G0_1_1_1_5 + 0.00478547907119417*G0_1_1_1_6 + 0.0250974422403037*G0_1_1_1_7 - 0.0304685790400129*G0_1_1_1_8 + 0.00221746507460827*G0_1_1_1_9 + 0.00580118294404107*G0_1_1_2_0 - 0.000615257758114991*G0_1_1_2_1 + 0.109261320689911*G0_1_1_2_2 - 0.0400606800606868*G0_1_1_2_3 + 0.0718553404267812*G0_1_1_2_4 - 0.00793703650846641*G0_1_1_2_5 + 0.0266721638150255*G0_1_1_2_6 + 0.00517366231652034*G0_1_1_2_7 - 0.00176543033685921*G0_1_1_2_8 + 0.00708370994085398*G0_1_1_2_9 - 0.00688031545174528*G0_1_1_3_0 - 0.0865902351616785*G0_1_1_3_1 - 0.0400606800606868*G0_1_1_3_2 - 0.154025022596478*G0_1_1_3_3 - 0.00159459588031034*G0_1_1_3_4 + 0.00864659150373582*G0_1_1_3_5 - 0.0221683078825973*G0_1_1_3_6 + 0.0128290756862208*G0_1_1_3_7 - 0.0103134960277837*G0_1_1_3_8 - 0.0323105465962665*G0_1_1_3_9 + 0.00619359476502444*G0_1_1_4_0 + 0.0456990628419277*G0_1_1_4_1 + 0.0718553404267812*G0_1_1_4_2 - 0.00159459588031033*G0_1_1_4_3 + 0.143643023643048*G0_1_1_4_4 - 0.026392654964088*G0_1_1_4_5 + 0.0485609628466854*G0_1_1_4_6 - 0.0131449502878097*G0_1_1_4_7 - 0.00251557965843714*G0_1_1_4_8 + 0.031534180105614*G0_1_1_4_9 + 0.024804824804829*G0_1_1_5_0 + 0.00371987800559294*G0_1_1_5_1 - 0.00793703650846641*G0_1_1_5_2 + 0.00864659150373582*G0_1_1_5_3 - 0.026392654964088*G0_1_1_5_4 + 0.0796003996004129*G0_1_1_5_5 - 0.0545625802768752*G0_1_1_5_6 + 0.0423043623043694*G0_1_1_5_7 - 0.0189715046857936*G0_1_1_5_8 + 0.0189753104038851*G0_1_1_5_9 - 0.00647056647056752*G0_1_1_6_0 + 0.00478547907119417*G0_1_1_6_1 + 0.0266721638150255*G0_1_1_6_2 - 0.0221683078825973*G0_1_1_6_3 + 0.0485609628466854*G0_1_1_6_4 - 0.0545625802768752*G0_1_1_6_5 + 0.0880947623804916*G0_1_1_6_6 - 0.0233328576185758*G0_1_1_6_7 - 0.000624137766994995*G0_1_1_6_8 + 0.0230854859426327*G0_1_1_6_9 + 0.0639952639952748*G0_1_1_7_0 + 0.0250974422403037*G0_1_1_7_1 + 0.00517366231652034*G0_1_1_7_2 + 0.0128290756862208*G0_1_1_7_3 - 0.0131449502878097*G0_1_1_7_4 + 0.0423043623043694*G0_1_1_7_5 - 0.0233328576185758*G0_1_1_7_6 + 0.160266400266427*G0_1_1_7_7 - 0.0616944959802206*G0_1_1_7_8 + 0.0276980162694497*G0_1_1_7_9 - 0.0256040256040299*G0_1_1_8_0 - 0.0304685790400129*G0_1_1_8_1 - 0.00176543033685921*G0_1_1_8_2 - 0.0103134960277837*G0_1_1_8_3 - 0.00251557965843714*G0_1_1_8_4 - 0.0189715046857936*G0_1_1_8_5 - 0.000624137766994994*G0_1_1_8_6 - 0.0616944959802206*G0_1_1_8_7 + 0.0889320203606067*G0_1_1_8_8 - 0.00162123590695058*G0_1_1_8_9 + 0.00632256632256745*G0_1_1_9_0 + 0.00221746507460827*G0_1_1_9_1 + 0.00708370994085398*G0_1_1_9_2 - 0.0323105465962665*G0_1_1_9_3 + 0.031534180105614*G0_1_1_9_4 + 0.0189753104038851*G0_1_1_9_5 + 0.0230854859426327*G0_1_1_9_6 + 0.0276980162694497*G0_1_1_9_7 - 0.00162123590695059*G0_1_1_9_8 + 0.0961781076066952*G0_1_1_9_9;
    A[174] = A[146] - 0.00449920449920508*G0_0_1_0_0 + 0.000959604769128739*G0_0_1_0_1 + 0.000269783126926037*G0_0_1_0_2 + 0.00334311191454104*G0_0_1_0_3 - 0.00216503073645967*G0_0_1_0_4 - 0.00544640544640628*G0_0_1_0_5 + 0.0010537610537612*G0_0_1_0_6 + 0.00864320864321011*G0_0_1_0_7 + 0.0076131276131289*G0_0_1_0_8 + 0.00305472305472357*G0_0_1_0_9 + 0.000959604769128739*G0_0_1_1_0 - 0.00449920449920534*G0_0_1_1_1 + 0.000269783126926026*G0_0_1_1_2 - 0.00544640544640641*G0_0_1_1_3 + 0.00105376105376125*G0_0_1_1_4 + 0.00334311191454106*G0_0_1_1_5 - 0.00216503073645967*G0_0_1_1_6 + 0.00761312761312891*G0_0_1_1_7 + 0.00864320864321006*G0_0_1_1_8 + 0.00305472305472357*G0_0_1_1_9 + 0.000269783126926037*G0_0_1_2_0 + 0.000269783126926027*G0_0_1_2_1 + 0.00129789082170056*G0_0_1_2_2 + 0.00237476808905419*G0_0_1_2_3 - 0.00258027686599157*G0_0_1_2_4 + 0.00237476808905421*G0_0_1_2_5 - 0.00258027686599158*G0_0_1_2_6 + 0.00593861165289836*G0_0_1_2_7 + 0.00593861165289834*G0_0_1_2_8 + 0.0124523095951688*G0_0_1_2_9 + 0.00334311191454104*G0_0_1_3_0 - 0.00544640544640641*G0_0_1_3_1 + 0.00237476808905419*G0_0_1_3_2 + 0.00543456543456625*G0_0_1_3_3 - 0.00929356357927939*G0_0_1_3_4 - 0.00538889681746916*G0_0_1_3_5 - 0.00278578564292895*G0_0_1_3_6 - 0.0193102135959311*G0_0_1_3_7 + 0.0464069264069341*G0_0_1_3_8 + 0.0294562580276915*G0_0_1_3_9 - 0.00216503073645967*G0_0_1_4_0 + 0.00105376105376124*G0_0_1_4_1 - 0.00258027686599157*G0_0_1_4_2 - 0.00929356357927939*G0_0_1_4_3 + 0.00776366490652329*G0_0_1_4_4 - 0.00278578564292897*G0_0_1_4_5 + 0.00557157128585792*G0_0_1_4_6 - 0.00101993244850406*G0_0_1_4_7 - 0.027096712811003*G0_0_1_4_8 - 0.0317853574996486*G0_0_1_4_9 - 0.00544640544640629*G0_0_1_5_0 + 0.00334311191454106*G0_0_1_5_1 + 0.00237476808905421*G0_0_1_5_2 - 0.00538889681746916*G0_0_1_5_3 - 0.00278578564292897*G0_0_1_5_4 + 0.00543456543456649*G0_0_1_5_5 - 0.00929356357927947*G0_0_1_5_6 + 0.0464069264069342*G0_0_1_5_7 - 0.0193102135959312*G0_0_1_5_8 + 0.0294562580276916*G0_0_1_5_9 + 0.0010537610537612*G0_0_1_6_0 - 0.00216503073645967*G0_0_1_6_1 - 0.00258027686599158*G0_0_1_6_2 - 0.00278578564292895*G0_0_1_6_3 + 0.00557157128585792*G0_0_1_6_4 - 0.00929356357927947*G0_0_1_6_5 + 0.00776366490652337*G0_0_1_6_6 - 0.027096712811003*G0_0_1_6_7 - 0.00101993244850401*G0_0_1_6_8 - 0.0317853574996486*G0_0_1_6_9 + 0.00864320864321011*G0_0_1_7_0 + 0.00761312761312891*G0_0_1_7_1 + 0.00593861165289836*G0_0_1_7_2 - 0.0193102135959311*G0_0_1_7_3 - 0.00101993244850406*G0_0_1_7_4 + 0.0464069264069342*G0_0_1_7_5 - 0.0270967128110031*G0_0_1_7_6 + 0.186267066267097*G0_0_1_7_7 - 0.0987051044194067*G0_0_1_7_8 + 0.0450292564578355*G0_0_1_7_9 + 0.00761312761312889*G0_0_1_8_0 + 0.00864320864321005*G0_0_1_8_1 + 0.00593861165289834*G0_0_1_8_2 + 0.0464069264069341*G0_0_1_8_3 - 0.027096712811003*G0_0_1_8_4 - 0.0193102135959312*G0_0_1_8_5 - 0.00101993244850401*G0_0_1_8_6 - 0.0987051044194067*G0_0_1_8_7 + 0.186267066267098*G0_0_1_8_8 + 0.0450292564578354*G0_0_1_8_9 + 0.00305472305472357*G0_0_1_9_0 + 0.00305472305472357*G0_0_1_9_1 + 0.0124523095951688*G0_0_1_9_2 + 0.0294562580276915*G0_0_1_9_3 - 0.0317853574996486*G0_0_1_9_4 + 0.0294562580276916*G0_0_1_9_5 - 0.0317853574996486*G0_0_1_9_6 + 0.0450292564578355*G0_0_1_9_7 + 0.0450292564578354*G0_0_1_9_8 + 0.113988868274602*G0_0_1_9_9 + 0.00449920449920508*G0_1_0_0_0 - 0.000959604769128739*G0_1_0_0_1 - 0.000269783126926037*G0_1_0_0_2 - 0.00334311191454104*G0_1_0_0_3 + 0.00216503073645967*G0_1_0_0_4 + 0.00544640544640628*G0_1_0_0_5 - 0.0010537610537612*G0_1_0_0_6 - 0.00864320864321011*G0_1_0_0_7 - 0.0076131276131289*G0_1_0_0_8 - 0.00305472305472357*G0_1_0_0_9 - 0.000959604769128739*G0_1_0_1_0 + 0.00449920449920534*G0_1_0_1_1 - 0.000269783126926027*G0_1_0_1_2 + 0.0054464054464064*G0_1_0_1_3 - 0.00105376105376124*G0_1_0_1_4 - 0.00334311191454106*G0_1_0_1_5 + 0.00216503073645967*G0_1_0_1_6 - 0.0076131276131289*G0_1_0_1_7 - 0.00864320864321006*G0_1_0_1_8 - 0.00305472305472357*G0_1_0_1_9 - 0.000269783126926037*G0_1_0_2_0 - 0.000269783126926027*G0_1_0_2_1 - 0.00129789082170056*G0_1_0_2_2 - 0.00237476808905419*G0_1_0_2_3 + 0.00258027686599157*G0_1_0_2_4 - 0.00237476808905421*G0_1_0_2_5 + 0.00258027686599158*G0_1_0_2_6 - 0.00593861165289836*G0_1_0_2_7 - 0.00593861165289834*G0_1_0_2_8 - 0.0124523095951688*G0_1_0_2_9 - 0.00334311191454104*G0_1_0_3_0 + 0.00544640544640641*G0_1_0_3_1 - 0.00237476808905419*G0_1_0_3_2 - 0.00543456543456625*G0_1_0_3_3 + 0.00929356357927939*G0_1_0_3_4 + 0.00538889681746916*G0_1_0_3_5 + 0.00278578564292895*G0_1_0_3_6 + 0.0193102135959311*G0_1_0_3_7 - 0.0464069264069341*G0_1_0_3_8 - 0.0294562580276915*G0_1_0_3_9 + 0.00216503073645967*G0_1_0_4_0 - 0.00105376105376124*G0_1_0_4_1 + 0.00258027686599157*G0_1_0_4_2 + 0.00929356357927938*G0_1_0_4_3 - 0.00776366490652329*G0_1_0_4_4 + 0.00278578564292897*G0_1_0_4_5 - 0.00557157128585792*G0_1_0_4_6 + 0.00101993244850406*G0_1_0_4_7 + 0.027096712811003*G0_1_0_4_8 + 0.0317853574996486*G0_1_0_4_9 + 0.00544640544640629*G0_1_0_5_0 - 0.00334311191454106*G0_1_0_5_1 - 0.00237476808905421*G0_1_0_5_2 + 0.00538889681746916*G0_1_0_5_3 + 0.00278578564292897*G0_1_0_5_4 - 0.00543456543456649*G0_1_0_5_5 + 0.00929356357927947*G0_1_0_5_6 - 0.0464069264069342*G0_1_0_5_7 + 0.0193102135959312*G0_1_0_5_8 - 0.0294562580276916*G0_1_0_5_9 - 0.0010537610537612*G0_1_0_6_0 + 0.00216503073645967*G0_1_0_6_1 + 0.00258027686599158*G0_1_0_6_2 + 0.00278578564292895*G0_1_0_6_3 - 0.00557157128585792*G0_1_0_6_4 + 0.00929356357927947*G0_1_0_6_5 - 0.00776366490652337*G0_1_0_6_6 + 0.0270967128110031*G0_1_0_6_7 + 0.00101993244850401*G0_1_0_6_8 + 0.0317853574996486*G0_1_0_6_9 - 0.00864320864321011*G0_1_0_7_0 - 0.00761312761312891*G0_1_0_7_1 - 0.00593861165289836*G0_1_0_7_2 + 0.0193102135959311*G0_1_0_7_3 + 0.00101993244850406*G0_1_0_7_4 - 0.0464069264069342*G0_1_0_7_5 + 0.0270967128110031*G0_1_0_7_6 - 0.186267066267097*G0_1_0_7_7 + 0.0987051044194067*G0_1_0_7_8 - 0.0450292564578355*G0_1_0_7_9 - 0.00761312761312889*G0_1_0_8_0 - 0.00864320864321006*G0_1_0_8_1 - 0.00593861165289834*G0_1_0_8_2 - 0.0464069264069341*G0_1_0_8_3 + 0.027096712811003*G0_1_0_8_4 + 0.0193102135959312*G0_1_0_8_5 + 0.00101993244850401*G0_1_0_8_6 + 0.0987051044194067*G0_1_0_8_7 - 0.186267066267098*G0_1_0_8_8 - 0.0450292564578354*G0_1_0_8_9 - 0.00305472305472357*G0_1_0_9_0 - 0.00305472305472357*G0_1_0_9_1 - 0.0124523095951688*G0_1_0_9_2 - 0.0294562580276915*G0_1_0_9_3 + 0.0317853574996486*G0_1_0_9_4 - 0.0294562580276916*G0_1_0_9_5 + 0.0317853574996486*G0_1_0_9_6 - 0.0450292564578355*G0_1_0_9_7 - 0.0450292564578354*G0_1_0_9_8 - 0.113988868274602*G0_1_0_9_9;
    A[119] = A[205] - 0.0374381174381239*G0_0_0_0_0 + 0.00181532752961356*G0_0_0_0_1 - 0.00810258524544382*G0_0_0_0_2 + 0.0139631796774679*G0_0_0_0_3 - 0.0213215356072537*G0_0_0_0_4 - 0.0212149755006935*G0_0_0_0_5 + 0.0127910185053062*G0_0_0_0_6 - 0.00451929023357675*G0_0_0_0_7 + 0.00390086104371889*G0_0_0_0_8 + 0.0147966319394915*G0_0_0_0_9 + 0.00181532752961356*G0_0_0_1_0 + 0.0774742717599993*G0_0_0_1_1 + 0.00166965309822474*G0_0_0_1_2 + 0.135523524094976*G0_0_0_1_3 - 0.0773093573093705*G0_0_0_1_4 - 0.0154359925788523*G0_0_0_1_5 - 0.0395433138290349*G0_0_0_1_6 - 0.0221112221112259*G0_0_0_1_7 + 0.0294429380143717*G0_0_0_1_8 - 0.0376537747966382*G0_0_0_1_9 - 0.00810258524544382*G0_0_0_2_0 + 0.00166965309822474*G0_0_0_2_1 - 0.0517171717171812*G0_0_0_2_2 + 0.0617668046239582*G0_0_0_2_3 - 0.10734408448696*G0_0_0_2_4 + 0.0126730412444721*G0_0_0_2_5 + 0.00312830027115748*G0_0_0_2_6 - 0.0124389895818488*G0_0_0_2_7 + 0.00562294848009231*G0_0_0_2_8 + 0.00100470957613827*G0_0_0_2_9 + 0.0139631796774679*G0_0_0_3_0 + 0.135523524094976*G0_0_0_3_1 + 0.0617668046239582*G0_0_0_3_2 + 0.465854145854225*G0_0_0_3_3 + 0.0263222491793966*G0_0_0_3_4 - 0.00325388896817537*G0_0_0_3_5 + 0.129556158127608*G0_0_0_3_6 - 0.0309633223918992*G0_0_0_3_7 + 0.036905951191672*G0_0_0_3_8 + 0.174887969173713*G0_0_0_3_9 - 0.0213215356072537*G0_0_0_4_0 - 0.0773093573093706*G0_0_0_4_1 - 0.10734408448696*G0_0_0_4_2 + 0.0263222491793966*G0_0_0_4_3 - 0.609265020693697*G0_0_0_4_4 + 0.0748908234622649*G0_0_0_4_5 - 0.204446981589874*G0_0_0_4_6 + 0.0451776794634014*G0_0_0_4_7 - 0.00594262879977276*G0_0_0_4_8 - 0.152795775652944*G0_0_0_4_9 - 0.0212149755006935*G0_0_0_5_0 - 0.0154359925788523*G0_0_0_5_1 + 0.0126730412444721*G0_0_0_5_2 - 0.00325388896817536*G0_0_0_5_3 + 0.0748908234622649*G0_0_0_5_4 - 0.487980590837816*G0_0_0_5_5 + 0.0441330098473033*G0_0_0_5_6 - 0.105477379763112*G0_0_0_5_7 + 0.0572341943770611*G0_0_0_5_8 - 0.158858284572597*G0_0_0_5_9 + 0.0127910185053062*G0_0_0_6_0 - 0.0395433138290349*G0_0_0_6_1 + 0.00312830027115747*G0_0_0_6_2 + 0.129556158127608*G0_0_0_6_3 - 0.204446981589874*G0_0_0_6_4 + 0.0441330098473033*G0_0_0_6_5 - 0.993429427715311*G0_0_0_6_6 + 0.0482431853860505*G0_0_0_6_7 + 0.0454174397031616*G0_0_0_6_8 - 0.262126444983632*G0_0_0_6_9 - 0.00451929023357674*G0_0_0_7_0 - 0.0221112221112259*G0_0_0_7_1 - 0.0124389895818488*G0_0_0_7_2 - 0.0309633223918992*G0_0_0_7_3 + 0.0451776794634014*G0_0_0_7_4 - 0.105477379763112*G0_0_0_7_5 + 0.0482431853860505*G0_0_0_7_6 - 0.147897816469269*G0_0_0_7_7 + 0.0383958898244676*G0_0_0_7_8 - 0.140876266590576*G0_0_0_7_9 + 0.00390086104371889*G0_0_0_8_0 + 0.0294429380143717*G0_0_0_8_1 + 0.00562294848009231*G0_0_0_8_2 + 0.036905951191672*G0_0_0_8_3 - 0.00594262879977277*G0_0_0_8_4 + 0.0572341943770611*G0_0_0_8_5 + 0.0454174397031616*G0_0_0_8_6 + 0.0383958898244676*G0_0_0_8_7 - 0.00959040959041112*G0_0_0_8_8 + 0.12484658198946*G0_0_0_8_9 + 0.0147966319394915*G0_0_0_9_0 - 0.0376537747966383*G0_0_0_9_1 + 0.00100470957613827*G0_0_0_9_2 + 0.174887969173713*G0_0_0_9_3 - 0.152795775652944*G0_0_0_9_4 - 0.158858284572597*G0_0_0_9_5 - 0.262126444983632*G0_0_0_9_6 - 0.140876266590576*G0_0_0_9_7 + 0.12484658198946*G0_0_0_9_8 - 0.373614956472162*G0_0_0_9_9 + 0.00450618164903957*G0_0_1_0_1 - 0.00450618164903957*G0_0_1_0_2 + 0.0202882831454296*G0_0_1_0_3 - 0.0202882831454296*G0_0_1_0_4 + 0.00816897388326092*G0_0_1_0_5 - 0.000456686170971986*G0_0_1_0_6 - 0.00816897388326104*G0_0_1_0_7 + 0.000456686170972034*G0_0_1_0_8 + 0.00450618164903957*G0_0_1_1_0 + 0.0905109705109859*G0_0_1_1_1 + 0.142543171114624*G0_0_1_1_3 - 0.0814157271300267*G0_0_1_1_4 - 0.00318538604252943*G0_0_1_1_5 - 0.0118110460967624*G0_0_1_1_6 - 0.0227696113410439*G0_0_1_1_7 + 0.0296579610865377*G0_0_1_1_8 - 0.0225146282289176*G0_0_1_1_9 - 0.00450618164903957*G0_0_1_2_0 - 0.0905109705109858*G0_0_1_2_2 + 0.0814157271300266*G0_0_1_2_3 - 0.142543171114624*G0_0_1_2_4 + 0.0227696113410437*G0_0_1_2_5 - 0.0296579610865375*G0_0_1_2_6 + 0.00318538604252942*G0_0_1_2_7 + 0.0118110460967624*G0_0_1_2_8 + 0.0225146282289177*G0_0_1_2_9 + 0.0202882831454296*G0_0_1_3_0 + 0.142543171114624*G0_0_1_3_1 + 0.0814157271300266*G0_0_1_3_2 + 0.596591979449223*G0_0_1_3_3 - 0.02565434565435*G0_0_1_3_5 + 0.0354331382902871*G0_0_1_3_6 - 0.0608648494362884*G0_0_1_3_7 + 0.0962979877265756*G0_0_1_3_8 + 0.18927358355933*G0_0_1_3_9 - 0.0202882831454296*G0_0_1_4_0 - 0.0814157271300267*G0_0_1_4_1 - 0.142543171114624*G0_0_1_4_2 - 0.596591979449224*G0_0_1_4_4 + 0.0608648494362884*G0_0_1_4_5 - 0.0962979877265754*G0_0_1_4_6 + 0.02565434565435*G0_0_1_4_7 - 0.0354331382902872*G0_0_1_4_8 - 0.18927358355933*G0_0_1_4_9 + 0.00816897388326092*G0_0_1_5_0 - 0.00318538604252943*G0_0_1_5_1 + 0.0227696113410437*G0_0_1_5_2 - 0.02565434565435*G0_0_1_5_3 + 0.0608648494362884*G0_0_1_5_4 - 0.0200713572142174*G0_0_1_5_5 - 0.0122106464963627*G0_0_1_5_6 + 0.00955615812758829*G0_0_1_5_8 - 0.0191123162551765*G0_0_1_5_9 - 0.000456686170971986*G0_0_1_6_0 - 0.0118110460967624*G0_0_1_6_1 - 0.0296579610865375*G0_0_1_6_2 + 0.0354331382902871*G0_0_1_6_3 - 0.0962979877265754*G0_0_1_6_4 - 0.0122106464963627*G0_0_1_6_5 - 0.0629199372056615*G0_0_1_6_6 - 0.00955615812758828*G0_0_1_6_7 - 0.138410161267327*G0_0_1_6_9 - 0.00816897388326104*G0_0_1_7_0 - 0.0227696113410439*G0_0_1_7_1 + 0.00318538604252942*G0_0_1_7_2 - 0.0608648494362884*G0_0_1_7_3 + 0.02565434565435*G0_0_1_7_4 - 0.00955615812758828*G0_0_1_7_6 + 0.0200713572142176*G0_0_1_7_7 + 0.0122106464963628*G0_0_1_7_8 + 0.0191123162551766*G0_0_1_7_9 + 0.000456686170972034*G0_0_1_8_0 + 0.0296579610865377*G0_0_1_8_1 + 0.0118110460967624*G0_0_1_8_2 + 0.0962979877265756*G0_0_1_8_3 - 0.0354331382902872*G0_0_1_8_4 + 0.00955615812758829*G0_0_1_8_5 + 0.0122106464963628*G0_0_1_8_7 + 0.0629199372056624*G0_0_1_8_8 + 0.138410161267328*G0_0_1_8_9 - 0.0225146282289176*G0_0_1_9_1 + 0.0225146282289177*G0_0_1_9_2 + 0.18927358355933*G0_0_1_9_3 - 0.18927358355933*G0_0_1_9_4 - 0.0191123162551765*G0_0_1_9_5 - 0.138410161267327*G0_0_1_9_6 + 0.0191123162551766*G0_0_1_9_7 + 0.138410161267328*G0_0_1_9_8 + 0.00348857491714696*G0_1_0_0_1 - 0.00348857491714697*G0_1_0_0_2 + 0.0216183816183854*G0_1_0_0_3 - 0.0216183816183854*G0_1_0_0_4 - 0.00397887826459294*G0_1_0_0_5 - 0.0228343085485984*G0_1_0_0_6 + 0.00397887826459347*G0_1_0_0_7 + 0.022834308548598*G0_1_0_0_8 + 0.00348857491714696*G0_1_0_1_0 + 0.0533434819149195*G0_1_0_1_1 + 0.114245754245774*G0_1_0_1_3 - 0.0679320679320795*G0_1_0_1_4 + 0.00683316683316801*G0_1_0_1_5 - 0.0309690309690363*G0_1_0_1_6 - 0.0171257314114486*G0_1_0_1_7 + 0.0460967603824824*G0_1_0_1_8 - 0.00639360639360745*G0_1_0_1_9 - 0.00348857491714697*G0_1_0_2_0 - 0.0533434819149201*G0_1_0_2_2 + 0.0679320679320796*G0_1_0_2_3 - 0.114245754245774*G0_1_0_2_4 + 0.0171257314114488*G0_1_0_2_5 - 0.0460967603824828*G0_1_0_2_6 - 0.00683316683316796*G0_1_0_2_7 + 0.0309690309690361*G0_1_0_2_8 + 0.00639360639360746*G0_1_0_2_9 + 0.0216183816183854*G0_1_0_3_0 + 0.114245754245774*G0_1_0_3_1 + 0.0679320679320796*G0_1_0_3_2 + 0.498461538461623*G0_1_0_3_3 - 0.0426773226773298*G0_1_0_3_5 + 0.0929070929071085*G0_1_0_3_6 - 0.0648551448551558*G0_1_0_3_7 + 0.157762237762264*G0_1_0_3_8 + 0.148891108891134*G0_1_0_3_9 - 0.0216183816183854*G0_1_0_4_0 - 0.0679320679320795*G0_1_0_4_1 - 0.114245754245774*G0_1_0_4_2 - 0.498461538461624*G0_1_0_4_4 + 0.0648551448551559*G0_1_0_4_5 - 0.157762237762265*G0_1_0_4_6 + 0.0426773226773298*G0_1_0_4_7 - 0.0929070929071085*G0_1_0_4_8 - 0.148891108891134*G0_1_0_4_9 - 0.00397887826459294*G0_1_0_5_0 + 0.00683316683316801*G0_1_0_5_1 + 0.0171257314114488*G0_1_0_5_2 - 0.0426773226773298*G0_1_0_5_3 + 0.0648551448551559*G0_1_0_5_4 + 0.00318538604252947*G0_1_0_5_5 + 0.128442985585864*G0_1_0_5_6 - 0.020499500499504*G0_1_0_5_8 + 0.0409990009990078*G0_1_0_5_9 - 0.0228343085485984*G0_1_0_6_0 - 0.0309690309690363*G0_1_0_6_1 - 0.0460967603824828*G0_1_0_6_2 + 0.0929070929071085*G0_1_0_6_3 - 0.157762237762265*G0_1_0_6_4 + 0.128442985585864*G0_1_0_6_5 - 0.750620807763792*G0_1_0_6_6 + 0.0204995004995038*G0_1_0_6_7 - 0.204995004995039*G0_1_0_6_9 + 0.00397887826459347*G0_1_0_7_0 - 0.0171257314114486*G0_1_0_7_1 - 0.00683316683316796*G0_1_0_7_2 - 0.0648551448551558*G0_1_0_7_3 + 0.0426773226773298*G0_1_0_7_4 + 0.0204995004995038*G0_1_0_7_6 - 0.00318538604252907*G0_1_0_7_7 - 0.128442985585864*G0_1_0_7_8 - 0.040999000999008*G0_1_0_7_9 + 0.022834308548598*G0_1_0_8_0 + 0.0460967603824824*G0_1_0_8_1 + 0.0309690309690361*G0_1_0_8_2 + 0.157762237762264*G0_1_0_8_3 - 0.0929070929071085*G0_1_0_8_4 - 0.020499500499504*G0_1_0_8_5 - 0.128442985585864*G0_1_0_8_7 + 0.750620807763792*G0_1_0_8_8 + 0.20499500499504*G0_1_0_8_9 - 0.00639360639360745*G0_1_0_9_1 + 0.00639360639360746*G0_1_0_9_2 + 0.148891108891134*G0_1_0_9_3 - 0.148891108891134*G0_1_0_9_4 + 0.0409990009990078*G0_1_0_9_5 - 0.204995004995039*G0_1_0_9_6 - 0.040999000999008*G0_1_0_9_7 + 0.20499500499504*G0_1_0_9_8 + 0.037438117438124*G0_1_1_0_0 + 0.00810258524544379*G0_1_1_0_1 - 0.00181532752961357*G0_1_1_0_2 + 0.0213215356072536*G0_1_1_0_3 - 0.0139631796774678*G0_1_1_0_4 + 0.00451929023357677*G0_1_1_0_5 - 0.00390086104371888*G0_1_1_0_6 + 0.0212149755006935*G0_1_1_0_7 - 0.0127910185053063*G0_1_1_0_8 - 0.0147966319394915*G0_1_1_0_9 + 0.00810258524544379*G0_1_1_1_0 + 0.0517171717171805*G0_1_1_1_1 - 0.00166965309822485*G0_1_1_1_2 + 0.10734408448696*G0_1_1_1_3 - 0.061766804623958*G0_1_1_1_4 + 0.0124389895818488*G0_1_1_1_5 - 0.0056229484800923*G0_1_1_1_6 - 0.012673041244472*G0_1_1_1_7 - 0.00312830027115793*G0_1_1_1_8 - 0.00100470957613826*G0_1_1_1_9 - 0.00181532752961357*G0_1_1_2_0 - 0.00166965309822485*G0_1_1_2_1 - 0.0774742717599992*G0_1_1_2_2 + 0.0773093573093704*G0_1_1_2_3 - 0.135523524094976*G0_1_1_2_4 + 0.0221112221112259*G0_1_1_2_5 - 0.0294429380143716*G0_1_1_2_6 + 0.0154359925788523*G0_1_1_2_7 + 0.0395433138290347*G0_1_1_2_8 + 0.0376537747966383*G0_1_1_2_9 + 0.0213215356072536*G0_1_1_3_0 + 0.10734408448696*G0_1_1_3_1 + 0.0773093573093704*G0_1_1_3_2 + 0.609265020693695*G0_1_1_3_3 - 0.0263222491793962*G0_1_1_3_4 - 0.0451776794634013*G0_1_1_3_5 + 0.00594262879977268*G0_1_1_3_6 - 0.0748908234622647*G0_1_1_3_7 + 0.204446981589873*G0_1_1_3_8 + 0.152795775652944*G0_1_1_3_9 - 0.0139631796774678*G0_1_1_4_0 - 0.061766804623958*G0_1_1_4_1 - 0.135523524094976*G0_1_1_4_2 - 0.0263222491793962*G0_1_1_4_3 - 0.465854145854226*G0_1_1_4_4 + 0.0309633223918991*G0_1_1_4_5 - 0.0369059511916718*G0_1_1_4_6 + 0.00325388896817519*G0_1_1_4_7 - 0.129556158127608*G0_1_1_4_8 - 0.174887969173713*G0_1_1_4_9 + 0.00451929023357677*G0_1_1_5_0 + 0.0124389895818488*G0_1_1_5_1 + 0.0221112221112258*G0_1_1_5_2 - 0.0451776794634013*G0_1_1_5_3 + 0.0309633223918991*G0_1_1_5_4 + 0.14789781646927*G0_1_1_5_5 - 0.0383958898244677*G0_1_1_5_6 + 0.105477379763112*G0_1_1_5_7 - 0.0482431853860506*G0_1_1_5_8 + 0.140876266590576*G0_1_1_5_9 - 0.00390086104371888*G0_1_1_6_0 - 0.0056229484800923*G0_1_1_6_1 - 0.0294429380143716*G0_1_1_6_2 + 0.00594262879977268*G0_1_1_6_3 - 0.0369059511916718*G0_1_1_6_4 - 0.0383958898244677*G0_1_1_6_5 + 0.00959040959041128*G0_1_1_6_6 - 0.0572341943770611*G0_1_1_6_7 - 0.0454174397031616*G0_1_1_6_8 - 0.12484658198946*G0_1_1_6_9 + 0.0212149755006935*G0_1_1_7_0 - 0.012673041244472*G0_1_1_7_1 + 0.0154359925788523*G0_1_1_7_2 - 0.0748908234622647*G0_1_1_7_3 + 0.00325388896817519*G0_1_1_7_4 + 0.105477379763112*G0_1_1_7_5 - 0.0572341943770611*G0_1_1_7_6 + 0.487980590837816*G0_1_1_7_7 - 0.044133009847303*G0_1_1_7_8 + 0.158858284572597*G0_1_1_7_9 - 0.0127910185053063*G0_1_1_8_0 - 0.00312830027115793*G0_1_1_8_1 + 0.0395433138290347*G0_1_1_8_2 + 0.204446981589873*G0_1_1_8_3 - 0.129556158127608*G0_1_1_8_4 - 0.0482431853860506*G0_1_1_8_5 - 0.0454174397031616*G0_1_1_8_6 - 0.044133009847303*G0_1_1_8_7 + 0.993429427715311*G0_1_1_8_8 + 0.262126444983632*G0_1_1_8_9 - 0.0147966319394915*G0_1_1_9_0 - 0.00100470957613826*G0_1_1_9_1 + 0.0376537747966383*G0_1_1_9_2 + 0.152795775652944*G0_1_1_9_3 - 0.174887969173713*G0_1_1_9_4 + 0.140876266590576*G0_1_1_9_5 - 0.12484658198946*G0_1_1_9_6 + 0.158858284572597*G0_1_1_9_7 + 0.262126444983632*G0_1_1_9_8 + 0.373614956472162*G0_1_1_9_9;
    A[214] = A[119] + 0.00217179645751113*G0_0_0_0_0 - 0.00177008177008201*G0_0_0_0_2 - 0.00617668046239585*G0_0_0_0_3 - 0.0220579420579458*G0_0_0_0_4 + 0.00453261024689675*G0_0_0_0_5 - 0.0270929070929116*G0_0_0_0_6 + 0.00698729841587104*G0_0_0_0_7 - 0.00197516768945375*G0_0_0_0_8 - 0.0288854003139766*G0_0_0_0_9 - 0.00217179645751106*G0_0_0_1_1 + 0.00177008177008213*G0_0_0_1_2 - 0.00453261024689677*G0_0_0_1_3 + 0.0270929070929117*G0_0_0_1_4 + 0.00617668046239579*G0_0_0_1_5 + 0.0220579420579459*G0_0_0_1_6 + 0.00197516768945374*G0_0_0_1_7 - 0.00698729841587101*G0_0_0_1_8 + 0.0288854003139766*G0_0_0_1_9 - 0.00177008177008201*G0_0_0_2_0 + 0.00177008177008213*G0_0_0_2_1 - 0.0133200133200158*G0_0_0_2_3 + 0.0921744921745083*G0_0_0_2_4 + 0.0133200133200153*G0_0_0_2_5 - 0.0921744921745071*G0_0_0_2_6 - 0.00303696303696356*G0_0_0_2_7 + 0.00303696303696353*G0_0_0_2_8 - 0.00617668046239585*G0_0_0_3_0 - 0.00453261024689677*G0_0_0_3_1 - 0.0133200133200158*G0_0_0_3_2 - 0.0872727272727418*G0_0_0_3_3 - 0.130429570429593*G0_0_0_3_4 - 0.0661738261738375*G0_0_0_3_6 + 0.0185300413871873*G0_0_0_3_7 - 0.00941915227629667*G0_0_0_3_8 - 0.123716283716304*G0_0_0_3_9 - 0.0220579420579458*G0_0_0_4_0 + 0.0270929070929117*G0_0_0_4_1 + 0.0921744921745083*G0_0_0_4_2 - 0.130429570429593*G0_0_0_4_3 - 0.268531468531513*G0_0_0_4_4 + 0.0661738261738371*G0_0_0_4_5 + 0.037642357642364*G0_0_0_4_7 - 0.00911088911089064*G0_0_0_4_8 - 0.132347652347675*G0_0_0_4_9 + 0.00453261024689675*G0_0_0_5_0 + 0.00617668046239579*G0_0_0_5_1 + 0.0133200133200153*G0_0_0_5_2 + 0.0661738261738372*G0_0_0_5_4 + 0.0872727272727422*G0_0_0_5_5 + 0.130429570429592*G0_0_0_5_6 + 0.00941915227629674*G0_0_0_5_7 - 0.0185300413871874*G0_0_0_5_8 + 0.123716283716304*G0_0_0_5_9 - 0.0270929070929116*G0_0_0_6_0 + 0.0220579420579459*G0_0_0_6_1 - 0.0921744921745071*G0_0_0_6_2 - 0.0661738261738375*G0_0_0_6_3 + 0.130429570429592*G0_0_0_6_5 + 0.268531468531515*G0_0_0_6_6 + 0.00911088911089068*G0_0_0_6_7 - 0.037642357642364*G0_0_0_6_8 + 0.132347652347675*G0_0_0_6_9 + 0.00698729841587104*G0_0_0_7_0 + 0.00197516768945374*G0_0_0_7_1 - 0.00303696303696356*G0_0_0_7_2 + 0.0185300413871873*G0_0_0_7_3 + 0.037642357642364*G0_0_0_7_4 + 0.00941915227629674*G0_0_0_7_5 + 0.00911088911089068*G0_0_0_7_6 + 0.0067817896389337*G0_0_0_7_7 + 0.0684344227201485*G0_0_0_7_9 - 0.00197516768945375*G0_0_0_8_0 - 0.00698729841587101*G0_0_0_8_1 + 0.00303696303696353*G0_0_0_8_2 - 0.00941915227629667*G0_0_0_8_3 - 0.00911088911089064*G0_0_0_8_4 - 0.0185300413871874*G0_0_0_8_5 - 0.037642357642364*G0_0_0_8_6 - 0.00678178963893352*G0_0_0_8_8 - 0.0684344227201485*G0_0_0_8_9 - 0.0288854003139766*G0_0_0_9_0 + 0.0288854003139766*G0_0_0_9_1 - 0.123716283716304*G0_0_0_9_3 - 0.132347652347675*G0_0_0_9_4 + 0.123716283716304*G0_0_0_9_5 + 0.132347652347675*G0_0_0_9_6 + 0.0684344227201486*G0_0_0_9_7 - 0.0684344227201485*G0_0_0_9_8 + 0.00153412724841325*G0_0_1_0_0 + 0.000768120768120898*G0_0_1_0_1 + 0.00607836607836714*G0_0_1_0_2 - 0.0139175110603706*G0_0_1_0_3 + 0.00722705865563135*G0_0_1_0_4 - 0.00166119594691045*G0_0_1_0_5 - 0.00387041529898738*G0_0_1_0_6 + 0.00505970220256026*G0_0_1_0_7 - 0.00393130678845036*G0_0_1_0_8 - 0.0149108034822345*G0_0_1_0_9 + 0.000768120768120898*G0_0_1_1_0 - 0.014421134421137*G0_0_1_1_1 + 0.00945720945721108*G0_0_1_1_2 - 0.00396175253318186*G0_0_1_1_3 + 0.0488768374482744*G0_0_1_1_4 - 0.00187241330098505*G0_0_1_1_5 + 0.0087855002140731*G0_0_1_1_6 + 0.00253841396698589*G0_0_1_1_7 - 0.0123952238237975*G0_0_1_1_8 + 0.0252547452547495*G0_0_1_1_9 + 0.00607836607836714*G0_0_1_2_0 + 0.00945720945721108*G0_0_1_2_1 + 0.0989824989825157*G0_0_1_2_2 - 0.0457942057942136*G0_0_1_2_3 + 0.164235764235792*G0_0_1_2_4 - 0.0234165834165873*G0_0_1_2_5 + 0.0267732267732313*G0_0_1_2_6 - 0.00447552447552522*G0_0_1_2_7 + 0.0124675324675346*G0_0_1_2_9 - 0.0139175110603706*G0_0_1_3_0 - 0.00396175253318186*G0_0_1_3_1 - 0.0457942057942136*G0_0_1_3_2 - 0.122380476666212*G0_0_1_3_3 - 0.251028971029014*G0_0_1_3_4 + 0.0293877551020458*G0_0_1_3_5 - 0.0377622377622441*G0_0_1_3_6 + 0.0303467960610869*G0_0_1_3_7 - 0.0188211788211821*G0_0_1_3_8 - 0.136457827886422*G0_0_1_3_9 + 0.00722705865563135*G0_0_1_4_0 + 0.0488768374482744*G0_0_1_4_1 + 0.164235764235792*G0_0_1_4_2 - 0.251028971029014*G0_0_1_4_3 + 0.488391608391691*G0_0_1_4_4 - 0.0330869130869187*G0_0_1_4_5 + 0.0708491508491627*G0_0_1_4_6 + 0.00157556728985332*G0_0_1_4_7 - 0.0115256172399048*G0_0_1_4_8 + 0.0287712287712332*G0_0_1_4_9 - 0.00166119594691045*G0_0_1_5_0 - 0.00187241330098505*G0_0_1_5_1 - 0.0234165834165873*G0_0_1_5_2 + 0.0293877551020458*G0_0_1_5_3 - 0.0330869130869187*G0_0_1_5_4 + 0.0277094334237235*G0_0_1_5_5 + 0.0224175824175861*G0_0_1_5_6 + 0.00376766091051869*G0_0_1_5_7 - 0.0057884972170696*G0_0_1_5_8 + 0.0563094048808428*G0_0_1_5_9 - 0.00387041529898738*G0_0_1_6_0 + 0.0087855002140731*G0_0_1_6_1 + 0.0267732267732313*G0_0_1_6_2 - 0.0377622377622441*G0_0_1_6_3 + 0.0708491508491627*G0_0_1_6_4 + 0.0224175824175861*G0_0_1_6_5 - 0.0210989010989054*G0_0_1_6_6 + 0.00202083630655091*G0_0_1_6_7 - 0.00753532182103732*G0_0_1_6_8 + 0.0381218781218843*G0_0_1_6_9 + 0.00505970220256026*G0_0_1_7_0 + 0.00253841396698589*G0_0_1_7_1 - 0.00447552447552522*G0_0_1_7_2 + 0.0303467960610869*G0_0_1_7_3 + 0.00157556728985332*G0_0_1_7_4 + 0.00376766091051869*G0_0_1_7_5 + 0.00202083630655091*G0_0_1_7_6 + 0.0192150706436455*G0_0_1_7_7 + 0.0104295704295723*G0_0_1_7_8 + 0.0406907378336019*G0_0_1_7_9 - 0.00393130678845036*G0_0_1_8_0 - 0.0123952238237975*G0_0_1_8_1 - 0.0188211788211821*G0_0_1_8_3 - 0.0115256172399048*G0_0_1_8_4 - 0.0057884972170696*G0_0_1_8_5 - 0.00753532182103732*G0_0_1_8_6 + 0.0104295704295723*G0_0_1_8_7 - 0.0193178250321143*G0_0_1_8_8 - 0.0527130012844387*G0_0_1_8_9 - 0.0149108034822345*G0_0_1_9_0 + 0.0252547452547495*G0_0_1_9_1 + 0.0124675324675346*G0_0_1_9_2 - 0.136457827886422*G0_0_1_9_3 + 0.0287712287712332*G0_0_1_9_4 + 0.0563094048808428*G0_0_1_9_5 + 0.0381218781218843*G0_0_1_9_6 + 0.0406907378336019*G0_0_1_9_7 - 0.0527130012844387*G0_0_1_9_8 + 0.114673897531059*G0_0_1_9_9 - 0.0122493379636261*G0_1_0_0_0 + 0.000768120768120879*G0_1_0_0_1 + 0.00768712768712903*G0_1_0_0_2 - 0.00804909376338087*G0_1_0_0_3 - 0.0132724418438727*G0_1_0_0_4 + 0.000570857713714835*G0_1_0_0_5 + 0.0217839303553628*G0_1_0_0_6 - 0.00540792540792656*G0_1_0_0_7 + 0.0005632462775322*G0_1_0_0_8 - 0.00363065505922714*G0_1_0_0_9 + 0.000768120768120879*G0_1_0_1_0 - 0.000637669209097858*G0_1_0_1_1 + 0.00784844784844922*G0_1_0_1_2 - 0.00619380619380726*G0_1_0_1_3 + 0.0232224917939243*G0_1_0_1_4 - 0.00774083059797478*G0_1_0_1_5 + 0.0292850007135772*G0_1_0_1_6 - 0.0019561390989966*G0_1_0_1_7 - 0.00192759621331081*G0_1_0_1_8 + 0.013974596831742*G0_1_0_1_9 + 0.00768712768712903*G0_1_0_2_0 + 0.00784844784844922*G0_1_0_2_1 + 0.0989824989825161*G0_1_0_2_2 - 0.036736596736603*G0_1_0_2_3 + 0.118947718947739*G0_1_0_2_4 - 0.032474192474198*G0_1_0_2_5 + 0.0720612720612844*G0_1_0_2_6 - 0.00299700299700352*G0_1_0_2_7 - 0.00143856143856167*G0_1_0_2_8 + 0.0124675324675345*G0_1_0_2_9 - 0.00804909376338087*G0_1_0_3_0 - 0.00619380619380726*G0_1_0_3_1 - 0.036736596736603*G0_1_0_3_2 - 0.0595632938490181*G0_1_0_3_3 - 0.108011988012006*G0_1_0_3_4 + 0.0293877551020457*G0_1_0_3_5 - 0.0992607392607559*G0_1_0_3_6 + 0.0127415441701178*G0_1_0_3_7 - 0.00565149136577809*G0_1_0_3_8 - 0.0674068788354616*G0_1_0_3_9 - 0.0132724418438727*G0_1_0_4_0 + 0.0232224917939243*G0_1_0_4_1 + 0.118947718947739*G0_1_0_4_2 - 0.108011988012006*G0_1_0_4_3 - 0.289630369630418*G0_1_0_4_4 + 0.0284115884115932*G0_1_0_4_5 + 0.0708491508491627*G0_1_0_4_6 + 0.0301070358213267*G0_1_0_4_7 - 0.00709005280433965*G0_1_0_4_8 - 0.0942257742257903*G0_1_0_4_9 + 0.000570857713714834*G0_1_0_5_0 - 0.00774083059797478*G0_1_0_5_1 - 0.032474192474198*G0_1_0_5_2 + 0.0293877551020457*G0_1_0_5_3 + 0.0284115884115932*G0_1_0_5_4 - 0.0351077493934696*G0_1_0_5_5 - 0.120599400599421*G0_1_0_5_6 - 0.00940202654488542*G0_1_0_5_7 + 0.0118167546738995*G0_1_0_5_8 - 0.0127415441701177*G0_1_0_5_9 + 0.0217839303553628*G0_1_0_6_0 + 0.0292850007135772*G0_1_0_6_1 + 0.0720612720612844*G0_1_0_6_2 - 0.0992607392607559*G0_1_0_6_3 + 0.0708491508491627*G0_1_0_6_4 - 0.120599400599421*G0_1_0_6_5 + 0.756923076923205*G0_1_0_6_6 - 0.00241472812901405*G0_1_0_6_7 - 0.0360667903525106*G0_1_0_6_8 + 0.161118881118908*G0_1_0_6_9 - 0.00540792540792656*G0_1_0_7_0 - 0.0019561390989966*G0_1_0_7_1 - 0.00299700299700352*G0_1_0_7_2 + 0.0127415441701178*G0_1_0_7_3 + 0.0301070358213267*G0_1_0_7_4 - 0.00940202654488542*G0_1_0_7_5 - 0.00241472812901405*G0_1_0_7_6 - 0.0125360353931815*G0_1_0_7_7 + 0.0104295704295724*G0_1_0_7_8 + 0.0157214214357097*G0_1_0_7_9 + 0.000563246277532199*G0_1_0_8_0 - 0.00192759621331081*G0_1_0_8_1 - 0.00143856143856167*G0_1_0_8_2 - 0.00565149136577809*G0_1_0_8_3 - 0.00709005280433965*G0_1_0_8_4 + 0.0118167546738995*G0_1_0_8_5 - 0.0360667903525106*G0_1_0_8_6 + 0.0104295704295724*G0_1_0_8_7 + 0.0124332810047112*G0_1_0_8_8 - 0.0277436848865467*G0_1_0_8_9 - 0.00363065505922714*G0_1_0_9_0 + 0.013974596831742*G0_1_0_9_1 + 0.0124675324675345*G0_1_0_9_2 - 0.0674068788354616*G0_1_0_9_3 - 0.0942257742257903*G0_1_0_9_4 - 0.0127415441701177*G0_1_0_9_5 + 0.161118881118908*G0_1_0_9_6 + 0.0157214214357097*G0_1_0_9_7 - 0.0277436848865467*G0_1_0_9_8 + 0.114673897531059*G0_1_0_9_9 - 0.0284211027068221*G0_1_1_0_0 + 0.00076812076812089*G0_1_1_0_1 + 0.00514829086257746*G0_1_1_0_2 + 0.000919080919081066*G0_1_1_0_3 + 0.00500071357214301*G0_1_1_0_4 - 0.00531849103277774*G0_1_1_0_5 + 0.00583036011607543*G0_1_1_0_6 - 0.0462147376433171*G0_1_1_0_7 + 0.0273859473859521*G0_1_1_0_8 + 0.0262822891394364*G0_1_1_0_9 + 0.00076812076812089*G0_1_1_1_0 + 0.0155340955340983*G0_1_1_1_1 + 0.0103872846730007*G0_1_1_1_2 - 0.000304457447314617*G0_1_1_1_3 + 0.0391760620332116*G0_1_1_1_4 - 0.0167090052804367*G0_1_1_1_5 + 0.0110118452975615*G0_1_1_1_6 - 0.0287788402074166*G0_1_1_1_7 + 0.0388792160220798*G0_1_1_1_8 - 0.0159383473669215*G0_1_1_1_9 + 0.00514829086257746*G0_1_1_2_0 + 0.0103872846730007*G0_1_1_2_1 + 0.0989824989825156*G0_1_1_2_2 - 0.0407326007326076*G0_1_1_2_3 + 0.155431235431262*G0_1_1_2_4 - 0.0284781884781933*G0_1_1_2_5 + 0.0355777555777616*G0_1_1_2_6 - 0.0158355929784528*G0_1_1_2_7 + 0.0114000285428876*G0_1_1_2_8 + 0.0124675324675345*G0_1_1_2_9 + 0.000919080919081069*G0_1_1_3_0 - 0.000304457447314617*G0_1_1_3_1 - 0.0407326007326076*G0_1_1_3_2 + 0.0390466676181029*G0_1_1_3_3 - 0.248305979734593*G0_1_1_3_4 + 0.0293877551020457*G0_1_1_3_5 - 0.044441273012709*G0_1_1_3_6 - 0.0141629798772679*G0_1_1_3_7 + 0.0597688026259555*G0_1_1_3_8 + 0.0761410018553005*G0_1_1_3_9 + 0.00500071357214301*G0_1_1_4_0 + 0.0391760620332116*G0_1_1_4_1 + 0.155431235431262*G0_1_1_4_2 - 0.248305979734593*G0_1_1_4_3 + 0.449550449550525*G0_1_1_4_4 - 0.0264078778364536*G0_1_1_4_5 + 0.0708491508491627*G0_1_1_4_6 + 0.0219551876694772*G0_1_1_4_7 - 0.0456058227486875*G0_1_1_4_8 + 0.0154131582703034*G0_1_1_4_9 - 0.00531849103277775*G0_1_1_5_0 - 0.0167090052804367*G0_1_1_5_1 - 0.0284781884781933*G0_1_1_5_2 + 0.0293877551020457*G0_1_1_5_3 - 0.0264078778364536*G0_1_1_5_4 - 0.133717710860591*G0_1_1_5_5 + 0.0196945911231659*G0_1_1_5_6 - 0.0748223205366189*G0_1_1_5_7 + 0.0387212787212852*G0_1_1_5_8 - 0.15628942486088*G0_1_1_5_9 + 0.00583036011607543*G0_1_1_6_0 + 0.0110118452975615*G0_1_1_6_1 + 0.0355777555777616*G0_1_1_6_2 - 0.044441273012709*G0_1_1_6_3 + 0.0708491508491627*G0_1_1_6_4 + 0.0196945911231659*G0_1_1_6_5 + 0.0177422577422606*G0_1_1_6_6 + 0.0361010418153336*G0_1_1_6_7 - 0.0279149422006611*G0_1_1_6_8 + 0.0514799486228144*G0_1_1_6_9 - 0.0462147376433171*G0_1_1_7_0 - 0.0287788402074166*G0_1_1_7_1 - 0.0158355929784528*G0_1_1_7_2 - 0.0141629798772679*G0_1_1_7_3 + 0.0219551876694772*G0_1_1_7_4 - 0.0748223205366189*G0_1_1_7_5 + 0.0361010418153336*G0_1_1_7_6 - 0.246713286713329*G0_1_1_7_7 + 0.0104295704295723*G0_1_1_7_8 - 0.151048951048977*G0_1_1_7_9 + 0.0273859473859521*G0_1_1_8_0 + 0.0388792160220798*G0_1_1_8_1 + 0.0114000285428876*G0_1_1_8_2 + 0.0597688026259555*G0_1_1_8_3 - 0.0456058227486875*G0_1_1_8_4 + 0.0387212787212852*G0_1_1_8_5 - 0.0279149422006611*G0_1_1_8_6 + 0.0104295704295723*G0_1_1_8_7 + 0.246610532324859*G0_1_1_8_8 + 0.13902668759814*G0_1_1_8_9 + 0.0262822891394364*G0_1_1_9_0 - 0.0159383473669215*G0_1_1_9_1 + 0.0124675324675345*G0_1_1_9_2 + 0.0761410018553005*G0_1_1_9_3 + 0.0154131582703034*G0_1_1_9_4 - 0.15628942486088*G0_1_1_9_5 + 0.0514799486228144*G0_1_1_9_6 - 0.151048951048977*G0_1_1_9_7 + 0.13902668759814*G0_1_1_9_8 + 0.11467389753106*G0_1_1_9_9;
    A[220] = A[164] - 0.00888000888001068*G0_0_1_0_0 + 0.000571914857629231*G0_0_1_0_2 + 0.00150135578707032*G0_0_1_0_3 - 0.00332239189382103*G0_0_1_0_4 - 0.0018914418914423*G0_0_1_0_5 - 0.000955235240949639*G0_0_1_0_6 + 0.0113220113220131*G0_0_1_0_7 - 0.00692260120831664*G0_0_1_0_8 + 0.0163493649207962*G0_0_1_0_9 + 0.00888000888001063*G0_0_1_1_1 - 0.000571914857629241*G0_0_1_1_2 + 0.00189144189144225*G0_0_1_1_3 + 0.000955235240949653*G0_0_1_1_4 - 0.00150135578707032*G0_0_1_1_5 + 0.00332239189382105*G0_0_1_1_6 + 0.00692260120831662*G0_0_1_1_7 - 0.0113220113220131*G0_0_1_1_8 - 0.0163493649207962*G0_0_1_1_9 + 0.000571914857629231*G0_0_1_2_0 - 0.000571914857629242*G0_0_1_2_1 + 0.00427001569858787*G0_0_1_2_3 - 0.00427001569858785*G0_0_1_2_5 + 0.00252319109462009*G0_0_1_2_7 - 0.00252319109462007*G0_0_1_2_8 + 0.00150135578707032*G0_0_1_3_0 + 0.00189144189144225*G0_0_1_3_1 + 0.00427001569858787*G0_0_1_3_2 - 0.00352790067075864*G0_0_1_3_3 - 0.0159098044812357*G0_0_1_3_4 - 0.00996717568146313*G0_0_1_3_6 - 0.00450406736121103*G0_0_1_3_7 - 0.00306550592264925*G0_0_1_3_8 + 0.0580562294848106*G0_0_1_3_9 - 0.00332239189382103*G0_0_1_4_0 + 0.000955235240949654*G0_0_1_4_1 - 0.0159098044812357*G0_0_1_4_3 - 0.0245925503068405*G0_0_1_4_4 + 0.0099671756814631*G0_0_1_4_5 + 0.00119880119880142*G0_0_1_4_7 + 0.00756957328386024*G0_0_1_4_8 - 0.0199343513629262*G0_0_1_4_9 - 0.0018914418914423*G0_0_1_5_0 - 0.00150135578707032*G0_0_1_5_1 - 0.00427001569858785*G0_0_1_5_2 + 0.0099671756814631*G0_0_1_5_4 + 0.00352790067075858*G0_0_1_5_5 + 0.0159098044812357*G0_0_1_5_6 + 0.00306550592264929*G0_0_1_5_7 + 0.004504067361211*G0_0_1_5_8 - 0.0580562294848106*G0_0_1_5_9 - 0.000955235240949639*G0_0_1_6_0 + 0.00332239189382105*G0_0_1_6_1 - 0.00996717568146313*G0_0_1_6_3 + 0.0159098044812357*G0_0_1_6_5 + 0.0245925503068408*G0_0_1_6_6 - 0.00756957328386025*G0_0_1_6_7 - 0.0011988011988015*G0_0_1_6_8 + 0.0199343513629263*G0_0_1_6_9 + 0.0113220113220131*G0_0_1_7_0 + 0.00692260120831662*G0_0_1_7_1 + 0.00252319109462009*G0_0_1_7_2 - 0.00450406736121103*G0_0_1_7_3 + 0.00119880119880142*G0_0_1_7_4 + 0.00306550592264929*G0_0_1_7_5 - 0.00756957328386025*G0_0_1_7_6 + 0.265106322249224*G0_0_1_7_7 - 0.033908948194668*G0_0_1_7_9 - 0.00692260120831664*G0_0_1_8_0 - 0.0113220113220131*G0_0_1_8_1 - 0.00252319109462007*G0_0_1_8_2 - 0.00306550592264925*G0_0_1_8_3 + 0.00756957328386024*G0_0_1_8_4 + 0.004504067361211*G0_0_1_8_5 - 0.0011988011988015*G0_0_1_8_6 - 0.265106322249224*G0_0_1_8_8 + 0.0339089481946681*G0_0_1_8_9 + 0.0163493649207962*G0_0_1_9_0 - 0.0163493649207962*G0_0_1_9_1 + 0.0580562294848106*G0_0_1_9_3 - 0.0199343513629262*G0_0_1_9_4 - 0.0580562294848106*G0_0_1_9_5 + 0.0199343513629263*G0_0_1_9_6 - 0.033908948194668*G0_0_1_9_7 + 0.0339089481946681*G0_0_1_9_8 + 0.00888000888001068*G0_1_0_0_0 - 0.000571914857629231*G0_1_0_0_2 - 0.00150135578707032*G0_1_0_0_3 + 0.00332239189382103*G0_1_0_0_4 + 0.0018914418914423*G0_1_0_0_5 + 0.000955235240949639*G0_1_0_0_6 - 0.0113220113220131*G0_1_0_0_7 + 0.00692260120831664*G0_1_0_0_8 - 0.0163493649207962*G0_1_0_0_9 - 0.00888000888001063*G0_1_0_1_1 + 0.000571914857629241*G0_1_0_1_2 - 0.00189144189144225*G0_1_0_1_3 - 0.000955235240949653*G0_1_0_1_4 + 0.00150135578707032*G0_1_0_1_5 - 0.00332239189382105*G0_1_0_1_6 - 0.00692260120831662*G0_1_0_1_7 + 0.0113220113220131*G0_1_0_1_8 + 0.0163493649207962*G0_1_0_1_9 - 0.000571914857629231*G0_1_0_2_0 + 0.000571914857629241*G0_1_0_2_1 - 0.00427001569858787*G0_1_0_2_3 + 0.00427001569858785*G0_1_0_2_5 - 0.00252319109462009*G0_1_0_2_7 + 0.00252319109462007*G0_1_0_2_8 - 0.00150135578707032*G0_1_0_3_0 - 0.00189144189144225*G0_1_0_3_1 - 0.00427001569858787*G0_1_0_3_2 + 0.00352790067075864*G0_1_0_3_3 + 0.0159098044812357*G0_1_0_3_4 + 0.00996717568146313*G0_1_0_3_6 + 0.00450406736121103*G0_1_0_3_7 + 0.00306550592264925*G0_1_0_3_8 - 0.0580562294848106*G0_1_0_3_9 + 0.00332239189382103*G0_1_0_4_0 - 0.000955235240949654*G0_1_0_4_1 + 0.0159098044812357*G0_1_0_4_3 + 0.0245925503068405*G0_1_0_4_4 - 0.0099671756814631*G0_1_0_4_5 - 0.00119880119880142*G0_1_0_4_7 - 0.00756957328386024*G0_1_0_4_8 + 0.0199343513629262*G0_1_0_4_9 + 0.0018914418914423*G0_1_0_5_0 + 0.00150135578707032*G0_1_0_5_1 + 0.00427001569858785*G0_1_0_5_2 - 0.0099671756814631*G0_1_0_5_4 - 0.00352790067075858*G0_1_0_5_5 - 0.0159098044812357*G0_1_0_5_6 - 0.00306550592264929*G0_1_0_5_7 - 0.004504067361211*G0_1_0_5_8 + 0.0580562294848106*G0_1_0_5_9 + 0.000955235240949639*G0_1_0_6_0 - 0.00332239189382105*G0_1_0_6_1 + 0.00996717568146313*G0_1_0_6_3 - 0.0159098044812357*G0_1_0_6_5 - 0.0245925503068408*G0_1_0_6_6 + 0.00756957328386025*G0_1_0_6_7 + 0.0011988011988015*G0_1_0_6_8 - 0.0199343513629263*G0_1_0_6_9 - 0.0113220113220131*G0_1_0_7_0 - 0.00692260120831662*G0_1_0_7_1 - 0.00252319109462009*G0_1_0_7_2 + 0.00450406736121103*G0_1_0_7_3 - 0.00119880119880142*G0_1_0_7_4 - 0.00306550592264929*G0_1_0_7_5 + 0.00756957328386025*G0_1_0_7_6 - 0.265106322249224*G0_1_0_7_7 + 0.033908948194668*G0_1_0_7_9 + 0.00692260120831664*G0_1_0_8_0 + 0.0113220113220131*G0_1_0_8_1 + 0.00252319109462007*G0_1_0_8_2 + 0.00306550592264925*G0_1_0_8_3 - 0.00756957328386024*G0_1_0_8_4 - 0.004504067361211*G0_1_0_8_5 + 0.0011988011988015*G0_1_0_8_6 + 0.265106322249224*G0_1_0_8_8 - 0.0339089481946681*G0_1_0_8_9 - 0.0163493649207962*G0_1_0_9_0 + 0.0163493649207962*G0_1_0_9_1 - 0.0580562294848106*G0_1_0_9_3 + 0.0199343513629262*G0_1_0_9_4 + 0.0580562294848106*G0_1_0_9_5 - 0.0199343513629263*G0_1_0_9_6 + 0.033908948194668*G0_1_0_9_7 - 0.0339089481946681*G0_1_0_9_8;
    A[197] = -A[182] - 0.00209991067133958*G0_0_1_0_0 - 0.0015986482653152*G0_0_1_0_2 - 0.00168593311450483*G0_0_1_0_3 + 0.00137862137862162*G0_0_1_0_4 + 0.00292945150088058*G0_0_1_0_5 - 0.00446220446220523*G0_0_1_0_6 - 0.00135388421102729*G0_0_1_0_7 + 0.000180771609343068*G0_0_1_0_8 - 0.00238237952523706*G0_0_1_0_9 + 0.00209991067133961*G0_0_1_1_1 + 0.0015986482653152*G0_0_1_1_2 - 0.00292945150088056*G0_0_1_1_3 + 0.00446220446220523*G0_0_1_1_4 + 0.00168593311450482*G0_0_1_1_5 - 0.00137862137862161*G0_0_1_1_6 - 0.000180771609343077*G0_0_1_1_7 + 0.00135388421102731*G0_0_1_1_8 + 0.00238237952523706*G0_0_1_1_9 - 0.0015986482653152*G0_0_1_2_0 + 0.0015986482653152*G0_0_1_2_1 - 0.0095016095016111*G0_0_1_2_3 + 0.0219336219336256*G0_0_1_2_4 + 0.00950160950161112*G0_0_1_2_5 - 0.0219336219336257*G0_0_1_2_6 + 0.000992340992341156*G0_0_1_2_7 - 0.000992340992341155*G0_0_1_2_8 - 0.00168593311450483*G0_0_1_3_0 - 0.00292945150088056*G0_0_1_3_1 - 0.0095016095016111*G0_0_1_3_2 - 0.0214985014985052*G0_0_1_3_3 - 0.0129270729270752*G0_0_1_3_4 + 0.0041358641358648*G0_0_1_3_6 + 0.00505779934351447*G0_0_1_3_7 - 0.00803482232053793*G0_0_1_3_8 - 0.0172627372627401*G0_0_1_3_9 + 0.00137862137862162*G0_0_1_4_0 + 0.00446220446220523*G0_0_1_4_1 + 0.0219336219336256*G0_0_1_4_2 - 0.0129270729270752*G0_0_1_4_3 + 0.0589410589410691*G0_0_1_4_4 - 0.00413586413586485*G0_0_1_4_5 - 0.00355644355644415*G0_0_1_4_7 + 0.00297702297702345*G0_0_1_4_8 + 0.00827172827172965*G0_0_1_4_9 + 0.00292945150088058*G0_0_1_5_0 + 0.00168593311450482*G0_0_1_5_1 + 0.00950160950161112*G0_0_1_5_2 - 0.00413586413586485*G0_0_1_5_4 + 0.021498501498505*G0_0_1_5_5 + 0.0129270729270751*G0_0_1_5_6 + 0.00803482232053794*G0_0_1_5_7 - 0.00505779934351447*G0_0_1_5_8 + 0.0172627372627401*G0_0_1_5_9 - 0.00446220446220523*G0_0_1_6_0 - 0.00137862137862161*G0_0_1_6_1 - 0.0219336219336257*G0_0_1_6_2 + 0.00413586413586481*G0_0_1_6_3 + 0.0129270729270751*G0_0_1_6_5 - 0.0589410589410689*G0_0_1_6_6 - 0.00297702297702348*G0_0_1_6_7 + 0.00355644355644414*G0_0_1_6_8 - 0.00827172827172964*G0_0_1_6_9 - 0.00135388421102729*G0_0_1_7_0 - 0.000180771609343077*G0_0_1_7_1 + 0.000992340992341156*G0_0_1_7_2 + 0.00505779934351447*G0_0_1_7_3 - 0.00355644355644415*G0_0_1_7_4 + 0.00803482232053794*G0_0_1_7_5 - 0.00297702297702348*G0_0_1_7_6 - 0.0014556871699731*G0_0_1_7_7 + 0.0131011845297581*G0_0_1_7_9 + 0.000180771609343068*G0_0_1_8_0 + 0.00135388421102731*G0_0_1_8_1 - 0.000992340992341155*G0_0_1_8_2 - 0.00803482232053792*G0_0_1_8_3 + 0.00297702297702345*G0_0_1_8_4 - 0.00505779934351447*G0_0_1_8_5 + 0.00355644355644414*G0_0_1_8_6 + 0.00145568716997323*G0_0_1_8_8 - 0.0131011845297581*G0_0_1_8_9 - 0.00238237952523706*G0_0_1_9_0 + 0.00238237952523706*G0_0_1_9_1 - 0.0172627372627401*G0_0_1_9_3 + 0.00827172827172966*G0_0_1_9_4 + 0.0172627372627401*G0_0_1_9_5 - 0.00827172827172964*G0_0_1_9_6 + 0.0131011845297581*G0_0_1_9_7 - 0.0131011845297581*G0_0_1_9_8 - 0.00662871520014493*G0_1_1_0_0 - 0.00156193013335898*G0_1_1_0_1 + 0.00135469468802825*G0_1_1_0_2 - 0.00317999460856658*G0_1_1_0_3 + 0.00424591281734212*G0_1_1_0_4 - 0.00254697683269155*G0_1_1_0_5 + 0.0029513343799063*G0_1_1_0_6 - 0.00683538683538801*G0_1_1_0_7 + 0.00315938030223797*G0_1_1_0_8 + 0.00056324627753208*G0_1_1_0_9 - 0.00156193013335898*G0_1_1_1_0 - 0.00452880452880531*G0_1_1_1_1 + 0.00295334295334345*G0_1_1_1_2 - 0.00547642833357212*G0_1_1_1_3 + 0.00741353884211154*G0_1_1_1_4 - 0.00149406149406174*G0_1_1_1_5 + 0.00286729143872049*G0_1_1_1_6 + 0.00297860869289493*G0_1_1_1_7 - 0.00548150262436073*G0_1_1_1_8 + 0.00294562580276915*G0_1_1_1_9 + 0.00135469468802825*G0_1_1_2_0 + 0.00295334295334345*G0_1_1_2_1 + 0.0332013665347053*G0_1_1_2_2 - 0.0170140970140999*G0_1_1_2_3 + 0.035952935952942*G0_1_1_2_4 - 0.00751248751248873*G0_1_1_2_5 + 0.0140193140193163*G0_1_1_2_6 - 0.00247308247308289*G0_1_1_2_7 - 0.00346542346542404*G0_1_1_2_8 - 0.00109224109224129*G0_1_1_2_9 - 0.00317999460856658*G0_1_1_3_0 - 0.00547642833357212*G0_1_1_3_1 - 0.0170140970140999*G0_1_1_3_2 - 0.0191979449122339*G0_1_1_3_3 - 0.0197202797202831*G0_1_1_3_4 + 0.00761524190095745*G0_1_1_3_5 - 0.00981018981019145*G0_1_1_3_6 + 0.00833166833166976*G0_1_1_3_7 - 0.0175196232339119*G0_1_1_3_8 - 0.0255002140716469*G0_1_1_3_9 + 0.00424591281734212*G0_1_1_4_0 + 0.00741353884211154*G0_1_1_4_1 + 0.035952935952942*G0_1_1_4_2 - 0.0197202797202831*G0_1_1_4_3 + 0.0798401598401735*G0_1_1_4_4 - 0.0139460539460563*G0_1_1_4_5 + 0.0237562437562477*G0_1_1_4_6 - 0.00205508776937383*G0_1_1_4_7 + 0.00918795490224217*G0_1_1_4_8 + 0.0311688311688364*G0_1_1_4_9 - 0.00254697683269155*G0_1_1_5_0 - 0.00149406149406174*G0_1_1_5_1 - 0.00751248751248873*G0_1_1_5_2 + 0.00761524190095745*G0_1_1_5_3 - 0.0139460539460563*G0_1_1_5_4 + 0.00230055658627127*G0_1_1_5_5 - 0.00679320679320787*G0_1_1_5_6 - 0.00948480091337393*G0_1_1_5_7 + 0.00327386898815525*G0_1_1_5_8 - 0.00823747680890674*G0_1_1_5_9 + 0.0029513343799063*G0_1_1_6_0 + 0.00286729143872049*G0_1_1_6_1 + 0.0140193140193163*G0_1_1_6_2 - 0.00981018981019145*G0_1_1_6_3 + 0.0237562437562477*G0_1_1_6_4 - 0.00679320679320787*G0_1_1_6_5 + 0.0208991008991042*G0_1_1_6_6 + 0.00621093192521868*G0_1_1_6_7 + 0.00150135578707031*G0_1_1_6_8 + 0.0228971028971068*G0_1_1_6_9 - 0.00683538683538801*G0_1_1_7_0 + 0.00297860869289492*G0_1_1_7_1 - 0.00247308247308289*G0_1_1_7_2 + 0.00833166833166976*G0_1_1_7_3 - 0.00205508776937383*G0_1_1_7_4 - 0.00948480091337393*G0_1_1_7_5 + 0.00621093192521868*G0_1_1_7_6 - 0.12192379049524*G0_1_1_7_7 + 0.00776081061795485*G0_1_1_7_8 - 0.0141116026830337*G0_1_1_7_9 + 0.00315938030223797*G0_1_1_8_0 - 0.00548150262436073*G0_1_1_8_1 - 0.00346542346542404*G0_1_1_8_2 - 0.0175196232339119*G0_1_1_8_3 + 0.00918795490224217*G0_1_1_8_4 + 0.00327386898815525*G0_1_1_8_5 + 0.00150135578707031*G0_1_1_8_6 + 0.00776081061795485*G0_1_1_8_7 - 0.120468103325267*G0_1_1_8_8 - 0.0272127872127918*G0_1_1_8_9 + 0.000563246277532081*G0_1_1_9_0 + 0.00294562580276915*G0_1_1_9_1 - 0.00109224109224129*G0_1_1_9_2 - 0.0255002140716469*G0_1_1_9_3 + 0.0311688311688364*G0_1_1_9_4 - 0.00823747680890674*G0_1_1_9_5 + 0.0228971028971068*G0_1_1_9_6 - 0.0141116026830337*G0_1_1_9_7 - 0.0272127872127918*G0_1_1_9_8 - 0.0139745968317418*G0_1_1_9_9;
    A[19] = -A[25] + 0.0167024069405051*G0_0_0_0_0 + 0.00303250761584151*G0_0_0_0_1 + 0.00242005128909933*G0_0_0_0_2 + 0.000175399996828616*G0_0_0_0_3 + 0.000919655741084456*G0_0_0_0_4 + 0.0106597767312072*G0_0_0_0_5 - 0.00285337678194871*G0_0_0_0_6 + 0.00550691372120037*G0_0_0_0_7 - 0.00495048602191542*G0_0_0_0_8 + 0.000553256267542097*G0_0_0_0_9 + 0.00303250761584151*G0_0_0_1_0 + 0.110111801778488*G0_0_0_1_1 + 0.00534883326550084*G0_0_0_1_2 + 0.0522463647463737*G0_0_0_1_3 - 0.0202702852702887*G0_0_0_1_4 + 0.000720806970807058*G0_0_0_1_5 + 0.00122363747363769*G0_0_0_1_6 - 0.00837107337107492*G0_0_0_1_7 + 0.0140623265623292*G0_0_0_1_8 + 0.00402430902430975*G0_0_0_1_9 + 0.00242005128909933*G0_0_0_2_0 + 0.00534883326550084*G0_0_0_2_1 + 0.0182152503581106*G0_0_0_2_2 + 0.00394284287141499*G0_0_0_2_3 + 0.00307585271871037*G0_0_0_2_4 - 0.00339822875537217*G0_0_0_2_5 + 0.0112466501752235*G0_0_0_2_6 + 0.00144008769008792*G0_0_0_2_7 - 0.000274150452721906*G0_0_0_2_8 + 0.00262927548641879*G0_0_0_2_9 + 0.000175399996828617*G0_0_0_3_0 + 0.0522463647463737*G0_0_0_3_1 + 0.00394284287141499*G0_0_0_3_2 + 0.067427572427584*G0_0_0_3_3 - 0.0392470029970097*G0_0_0_3_4 + 0.0004573997431141*G0_0_0_3_5 - 0.00727433281004831*G0_0_0_3_6 - 0.00412962037962116*G0_0_0_3_7 + 0.00691058941059074*G0_0_0_3_8 - 0.00381368631368687*G0_0_0_3_9 + 0.000919655741084456*G0_0_0_4_0 - 0.0202702852702887*G0_0_0_4_1 + 0.00307585271871037*G0_0_0_4_2 - 0.0392470029970097*G0_0_0_4_3 + 0.0315513058370253*G0_0_0_4_4 - 0.00636238761238867*G0_0_0_4_5 + 0.013636720422437*G0_0_0_4_6 - 0.00173790495219091*G0_0_0_4_7 - 0.00278096903096958*G0_0_0_4_8 + 0.00483694876552093*G0_0_0_4_9 + 0.0106597767312072*G0_0_0_5_0 + 0.000720806970807058*G0_0_0_5_1 - 0.00339822875537217*G0_0_0_5_2 + 0.0004573997431141*G0_0_0_5_3 - 0.00636238761238867*G0_0_0_5_4 + 0.0589481946624903*G0_0_0_5_5 - 0.0206249108034857*G0_0_0_5_6 + 0.0136895247609556*G0_0_0_5_7 - 0.00576584130155657*G0_0_0_5_8 + 0.0098719138004869*G0_0_0_5_9 - 0.00285337678194871*G0_0_0_6_0 + 0.00122363747363769*G0_0_0_6_1 + 0.0112466501752235*G0_0_0_6_2 - 0.00727433281004831*G0_0_0_6_3 + 0.013636720422437*G0_0_0_6_4 - 0.0206249108034857*G0_0_0_6_5 + 0.0613029827315645*G0_0_0_6_6 - 0.00792368345939906*G0_0_0_6_7 + 0.000377479663194007*G0_0_0_6_8 + 0.00666083916084024*G0_0_0_6_9 + 0.00550691372120037*G0_0_0_7_0 - 0.00837107337107491*G0_0_0_7_1 + 0.00144008769008792*G0_0_0_7_2 - 0.00412962037962115*G0_0_0_7_3 - 0.00173790495219092*G0_0_0_7_4 + 0.0136895247609556*G0_0_0_7_5 - 0.00792368345939906*G0_0_0_7_6 + 0.0239988582845766*G0_0_0_7_7 + 0.00525849150849227*G0_0_0_7_8 + 0.0141875981161719*G0_0_0_7_9 - 0.00495048602191542*G0_0_0_8_0 + 0.0140623265623292*G0_0_0_8_1 - 0.000274150452721906*G0_0_0_8_2 + 0.00691058941059074*G0_0_0_8_3 - 0.00278096903096958*G0_0_0_8_4 - 0.00576584130155657*G0_0_0_8_5 + 0.000377479663194008*G0_0_0_8_6 + 0.00525849150849228*G0_0_0_8_7 - 0.0323726273726325*G0_0_0_8_8 - 0.00651098901099004*G0_0_0_8_9 + 0.000553256267542097*G0_0_0_9_0 + 0.00402430902430975*G0_0_0_9_1 + 0.00262927548641879*G0_0_0_9_2 - 0.00381368631368686*G0_0_0_9_3 + 0.00483694876552093*G0_0_0_9_4 + 0.0098719138004869*G0_0_0_9_5 + 0.00666083916084024*G0_0_0_9_6 + 0.0141875981161719*G0_0_0_9_7 - 0.00651098901099004*G0_0_0_9_8 + 0.048512915655781*G0_0_0_9_9 - 0.00151284341760558*G0_0_1_0_0 - 0.00231632564965939*G0_0_1_0_1 + 0.000449550449550539*G0_0_1_0_3 - 0.000520431949003472*G0_0_1_0_4 - 0.000586873444016392*G0_0_1_0_5 + 0.000544851973423489*G0_0_1_0_6 + 0.00243106100248999*G0_0_1_0_7 - 0.00889332889333041*G0_0_1_0_8 - 0.00207601921887671*G0_0_1_0_9 - 0.00231632564965938*G0_0_1_1_0 + 0.00231632564965937*G0_0_1_1_2 + 0.0381840381840446*G0_0_1_1_3 - 0.0118992118992139*G0_0_1_1_4 - 0.00050283050283057*G0_0_1_1_5 + 0.000502830502830574*G0_0_1_1_6 + 0.0118992118992139*G0_0_1_1_7 - 0.0381840381840447*G0_0_1_1_8 + 0.00231632564965937*G0_0_1_2_1 + 0.00151284341760556*G0_0_1_2_2 + 0.0088933288933304*G0_0_1_2_3 - 0.00243106100248998*G0_0_1_2_4 - 0.000544851973423489*G0_0_1_2_5 + 0.000586873444016391*G0_0_1_2_6 + 0.000520431949003462*G0_0_1_2_7 - 0.00044955044955051*G0_0_1_2_8 + 0.00207601921887673*G0_0_1_2_9 + 0.000449550449550538*G0_0_1_3_0 + 0.0381840381840446*G0_0_1_3_1 + 0.0088933288933304*G0_0_1_3_2 + 0.0998001998002168*G0_0_1_3_3 - 0.0445054945055021*G0_0_1_3_4 - 0.00150849150849178*G0_0_1_3_6 - 0.00134865134865161*G0_0_1_3_7 + 0.00269730269730323*G0_0_1_3_9 - 0.000520431949003472*G0_0_1_4_0 - 0.0118992118992139*G0_0_1_4_1 - 0.00243106100248998*G0_0_1_4_2 - 0.0445054945055021*G0_0_1_4_3 + 0.00755244755244882*G0_0_1_4_4 + 0.00156129584701039*G0_0_1_4_5 + 0.00134865134865154*G0_0_1_4_8 - 0.00935064935065097*G0_0_1_4_9 - 0.000586873444016392*G0_0_1_5_0 - 0.000502830502830571*G0_0_1_5_1 - 0.000544851973423489*G0_0_1_5_2 + 0.00156129584701039*G0_0_1_5_4 - 0.00235478806907416*G0_0_1_5_5 + 0.00150849150849179*G0_0_1_5_8 + 0.00321107463964661*G0_0_1_5_9 + 0.000544851973423489*G0_0_1_6_0 + 0.000502830502830574*G0_0_1_6_1 + 0.000586873444016391*G0_0_1_6_2 - 0.00150849150849178*G0_0_1_6_3 + 0.00235478806907417*G0_0_1_6_6 - 0.00156129584701039*G0_0_1_6_7 - 0.00321107463964662*G0_0_1_6_9 + 0.00243106100248999*G0_0_1_7_0 + 0.0118992118992139*G0_0_1_7_1 + 0.000520431949003462*G0_0_1_7_2 - 0.00134865134865161*G0_0_1_7_3 - 0.00156129584701039*G0_0_1_7_6 - 0.00755244755244883*G0_0_1_7_7 + 0.044505494505502*G0_0_1_7_8 + 0.00935064935065093*G0_0_1_7_9 - 0.00889332889333042*G0_0_1_8_0 - 0.0381840381840447*G0_0_1_8_1 - 0.00044955044955051*G0_0_1_8_2 + 0.00134865134865154*G0_0_1_8_4 + 0.00150849150849179*G0_0_1_8_5 + 0.044505494505502*G0_0_1_8_7 - 0.0998001998002166*G0_0_1_8_8 - 0.00269730269730311*G0_0_1_8_9 - 0.00207601921887671*G0_0_1_9_0 + 0.00207601921887673*G0_0_1_9_2 + 0.00269730269730323*G0_0_1_9_3 - 0.00935064935065097*G0_0_1_9_4 + 0.00321107463964661*G0_0_1_9_5 - 0.00321107463964662*G0_0_1_9_6 + 0.00935064935065093*G0_0_1_9_7 - 0.00269730269730311*G0_0_1_9_8;
    A[54] = A[138] - 0.00505173838507272*G0_0_1_0_0 + 0.00111141063522036*G0_0_1_0_1 - 0.00028204599633176*G0_0_1_0_2 - 0.0013899328185045*G0_0_1_0_3 - 0.000347166061451838*G0_0_1_0_4 - 0.00431568431568511*G0_0_1_0_5 + 0.00160474446188762*G0_0_1_0_6 - 0.00229104229104273*G0_0_1_0_7 - 0.000206777349634496*G0_0_1_0_8 - 0.0015045272188132*G0_0_1_0_9 + 0.00111141063522036*G0_0_1_1_0 + 0.0885040885041038*G0_0_1_1_1 + 0.00303654017939784*G0_0_1_1_2 + 0.0311984311984366*G0_0_1_1_3 - 0.0125444925444947*G0_0_1_1_4 + 0.000241451670023113*G0_0_1_1_5 - 0.000324331752903229*G0_0_1_1_6 - 0.00560624560624662*G0_0_1_1_7 + 0.00929440929441102*G0_0_1_1_8 - 0.000497280497280557*G0_0_1_1_9 - 0.00028204599633176*G0_0_1_2_0 + 0.00303654017939784*G0_0_1_2_1 - 0.000341668913097501*G0_0_1_2_2 + 0.00162165876451617*G0_0_1_2_3 + 0.00182336182336216*G0_0_1_2_4 - 0.000386068957497614*G0_0_1_2_5 + 0.000231725946011734*G0_0_1_2_6 + 0.000317566031851792*G0_0_1_2_7 - 0.000468949040377683*G0_0_1_2_8 + 0.00352916924345556*G0_0_1_2_9 - 0.0013899328185045*G0_0_1_3_0 + 0.0311984311984365*G0_0_1_3_1 + 0.00162165876451617*G0_0_1_3_2 - 0.0853546453546604*G0_0_1_3_3 - 0.0149222206365089*G0_0_1_3_4 + 0.00210456210456245*G0_0_1_3_5 + 0.000209314495028808*G0_0_1_3_6 + 0.00340611769183256*G0_0_1_3_7 - 0.0040492840492847*G0_0_1_3_8 - 0.00532039389182345*G0_0_1_3_9 - 0.000347166061451838*G0_0_1_4_0 - 0.0125444925444947*G0_0_1_4_1 + 0.00182336182336216*G0_0_1_4_2 - 0.0149222206365089*G0_0_1_4_3 + 0.00810617953475234*G0_0_1_4_4 + 0.000277817420674613*G0_0_1_4_5 - 0.000487131915703417*G0_0_1_4_6 + 0.000426240426240517*G0_0_1_4_7 + 0.00064316635745215*G0_0_1_4_8 - 0.0111431425717159*G0_0_1_4_9 - 0.00431568431568511*G0_0_1_5_0 + 0.000241451670023112*G0_0_1_5_1 - 0.000386068957497614*G0_0_1_5_2 + 0.00210456210456245*G0_0_1_5_3 + 0.000277817420674612*G0_0_1_5_4 - 0.00895866038723337*G0_0_1_5_5 + 0.00183055040197929*G0_0_1_5_6 + 0.00320441463298659*G0_0_1_5_7 - 0.00148803577375031*G0_0_1_5_8 + 0.00748965320394019*G0_0_1_5_9 + 0.00160474446188762*G0_0_1_6_0 - 0.000324331752903229*G0_0_1_6_1 + 0.000231725946011734*G0_0_1_6_2 + 0.000209314495028809*G0_0_1_6_3 - 0.000487131915703417*G0_0_1_6_4 + 0.00183055040197928*G0_0_1_6_5 - 0.00114932686361273*G0_0_1_6_6 - 0.00171637885923628*G0_0_1_6_7 + 0.00157176157176183*G0_0_1_6_8 - 0.0110061367204243*G0_0_1_6_9 - 0.00229104229104273*G0_0_1_7_0 - 0.00560624560624662*G0_0_1_7_1 + 0.000317566031851793*G0_0_1_7_2 + 0.00340611769183256*G0_0_1_7_3 + 0.000426240426240516*G0_0_1_7_4 + 0.00320441463298659*G0_0_1_7_5 - 0.00171637885923628*G0_0_1_7_6 + 0.00223015080157967*G0_0_1_7_7 + 0.00639741211169887*G0_0_1_7_8 + 0.00794633937491214*G0_0_1_7_9 - 0.000206777349634496*G0_0_1_8_0 + 0.00929440929441102*G0_0_1_8_1 - 0.000468949040377683*G0_0_1_8_2 - 0.0040492840492847*G0_0_1_8_3 + 0.000643166357452149*G0_0_1_8_4 - 0.00148803577375031*G0_0_1_8_5 + 0.00157176157176183*G0_0_1_8_6 + 0.00639741211169887*G0_0_1_8_7 - 0.0456077256077333*G0_0_1_8_8 + 0.000205508776937376*G0_0_1_8_9 - 0.0015045272188132*G0_0_1_9_0 - 0.000497280497280556*G0_0_1_9_1 + 0.00352916924345556*G0_0_1_9_2 - 0.00532039389182345*G0_0_1_9_3 - 0.0111431425717159*G0_0_1_9_4 + 0.00748965320394019*G0_0_1_9_5 - 0.0110061367204243*G0_0_1_9_6 + 0.00794633937491214*G0_0_1_9_7 + 0.000205508776937379*G0_0_1_9_8 + 0.0287712287712336*G0_0_1_9_9 + 0.00505173838507272*G0_1_0_0_0 - 0.00111141063522036*G0_1_0_0_1 + 0.00028204599633176*G0_1_0_0_2 + 0.0013899328185045*G0_1_0_0_3 + 0.000347166061451838*G0_1_0_0_4 + 0.00431568431568511*G0_1_0_0_5 - 0.00160474446188762*G0_1_0_0_6 + 0.00229104229104273*G0_1_0_0_7 + 0.000206777349634496*G0_1_0_0_8 + 0.0015045272188132*G0_1_0_0_9 - 0.00111141063522036*G0_1_0_1_0 - 0.0885040885041038*G0_1_0_1_1 - 0.00303654017939784*G0_1_0_1_2 - 0.0311984311984366*G0_1_0_1_3 + 0.0125444925444947*G0_1_0_1_4 - 0.000241451670023113*G0_1_0_1_5 + 0.000324331752903229*G0_1_0_1_6 + 0.00560624560624662*G0_1_0_1_7 - 0.00929440929441102*G0_1_0_1_8 + 0.000497280497280557*G0_1_0_1_9 + 0.00028204599633176*G0_1_0_2_0 - 0.00303654017939784*G0_1_0_2_1 + 0.000341668913097501*G0_1_0_2_2 - 0.00162165876451617*G0_1_0_2_3 - 0.00182336182336216*G0_1_0_2_4 + 0.000386068957497614*G0_1_0_2_5 - 0.000231725946011734*G0_1_0_2_6 - 0.000317566031851792*G0_1_0_2_7 + 0.000468949040377683*G0_1_0_2_8 - 0.00352916924345556*G0_1_0_2_9 + 0.0013899328185045*G0_1_0_3_0 - 0.0311984311984365*G0_1_0_3_1 - 0.00162165876451617*G0_1_0_3_2 + 0.0853546453546604*G0_1_0_3_3 + 0.0149222206365089*G0_1_0_3_4 - 0.00210456210456245*G0_1_0_3_5 - 0.000209314495028808*G0_1_0_3_6 - 0.00340611769183256*G0_1_0_3_7 + 0.0040492840492847*G0_1_0_3_8 + 0.00532039389182345*G0_1_0_3_9 + 0.000347166061451838*G0_1_0_4_0 + 0.0125444925444947*G0_1_0_4_1 - 0.00182336182336216*G0_1_0_4_2 + 0.0149222206365089*G0_1_0_4_3 - 0.00810617953475234*G0_1_0_4_4 - 0.000277817420674612*G0_1_0_4_5 + 0.000487131915703416*G0_1_0_4_6 - 0.000426240426240517*G0_1_0_4_7 - 0.00064316635745215*G0_1_0_4_8 + 0.0111431425717159*G0_1_0_4_9 + 0.00431568431568511*G0_1_0_5_0 - 0.000241451670023113*G0_1_0_5_1 + 0.000386068957497614*G0_1_0_5_2 - 0.00210456210456245*G0_1_0_5_3 - 0.000277817420674612*G0_1_0_5_4 + 0.00895866038723337*G0_1_0_5_5 - 0.00183055040197929*G0_1_0_5_6 - 0.00320441463298659*G0_1_0_5_7 + 0.00148803577375031*G0_1_0_5_8 - 0.00748965320394019*G0_1_0_5_9 - 0.00160474446188762*G0_1_0_6_0 + 0.000324331752903229*G0_1_0_6_1 - 0.000231725946011734*G0_1_0_6_2 - 0.000209314495028808*G0_1_0_6_3 + 0.000487131915703417*G0_1_0_6_4 - 0.00183055040197928*G0_1_0_6_5 + 0.00114932686361273*G0_1_0_6_6 + 0.00171637885923628*G0_1_0_6_7 - 0.00157176157176183*G0_1_0_6_8 + 0.0110061367204243*G0_1_0_6_9 + 0.00229104229104273*G0_1_0_7_0 + 0.00560624560624662*G0_1_0_7_1 - 0.000317566031851793*G0_1_0_7_2 - 0.00340611769183256*G0_1_0_7_3 - 0.000426240426240516*G0_1_0_7_4 - 0.00320441463298659*G0_1_0_7_5 + 0.00171637885923628*G0_1_0_7_6 - 0.00223015080157967*G0_1_0_7_7 - 0.00639741211169887*G0_1_0_7_8 - 0.00794633937491214*G0_1_0_7_9 + 0.000206777349634496*G0_1_0_8_0 - 0.00929440929441102*G0_1_0_8_1 + 0.000468949040377683*G0_1_0_8_2 + 0.00404928404928469*G0_1_0_8_3 - 0.000643166357452149*G0_1_0_8_4 + 0.00148803577375031*G0_1_0_8_5 - 0.00157176157176183*G0_1_0_8_6 - 0.00639741211169887*G0_1_0_8_7 + 0.0456077256077333*G0_1_0_8_8 - 0.000205508776937383*G0_1_0_8_9 + 0.0015045272188132*G0_1_0_9_0 + 0.000497280497280556*G0_1_0_9_1 - 0.00352916924345556*G0_1_0_9_2 + 0.00532039389182345*G0_1_0_9_3 + 0.0111431425717159*G0_1_0_9_4 - 0.00748965320394019*G0_1_0_9_5 + 0.0110061367204243*G0_1_0_9_6 - 0.00794633937491214*G0_1_0_9_7 - 0.000205508776937379*G0_1_0_9_8 - 0.0287712287712336*G0_1_0_9_9;
    A[50] = -A[54] + 0.00698786222595871*G0_0_0_0_0 - 0.000670229241657935*G0_0_0_0_1 + 0.00855624093719478*G0_0_0_0_2 - 0.00270924842353463*G0_0_0_0_3 - 0.0021282421282425*G0_0_0_0_4 + 0.0045423359709082*G0_0_0_0_5 + 0.00681434967149369*G0_0_0_0_6 + 0.000435543292686247*G0_0_0_0_7 + 0.00283441426298615*G0_0_0_0_8 + 0.00114425257282418*G0_0_0_0_9 - 0.000670229241657935*G0_0_0_1_0 - 0.0267584267584313*G0_0_0_1_1 + 0.000457109028537681*G0_0_0_1_2 - 0.0388352388352455*G0_0_0_1_3 + 0.0139919339919363*G0_0_0_1_4 + 0.00102796674225263*G0_0_0_1_5 + 0.00359555788127278*G0_0_0_1_6 + 0.00488696488696574*G0_0_0_1_7 - 0.00636400636400749*G0_0_0_1_8 - 0.00520368520368612*G0_0_0_1_9 + 0.00855624093719478*G0_0_0_2_0 + 0.000457109028537681*G0_0_0_2_1 + 0.126818366818388*G0_0_0_2_2 - 0.020715792144367*G0_0_0_2_3 + 0.0299992071420692*G0_0_0_2_4 - 0.0336044907473535*G0_0_0_2_5 + 0.0828124256695824*G0_0_0_2_6 - 0.000920560920561056*G0_0_0_2_7 + 0.0017738874881735*G0_0_0_2_8 + 0.0125132010846317*G0_0_0_2_9 - 0.00270924842353463*G0_0_0_3_0 - 0.0388352388352455*G0_0_0_3_1 - 0.020715792144367*G0_0_0_3_2 - 0.223136863136901*G0_0_0_3_3 + 0.036454973597837*G0_0_0_3_4 + 0.00463536463536537*G0_0_0_3_5 - 0.0150135578707031*G0_0_0_3_6 + 0.00390086104371893*G0_0_0_3_7 + 0.00564768564768644*G0_0_0_3_8 + 0.00780933352362042*G0_0_0_3_9 - 0.0021282421282425*G0_0_0_4_0 + 0.0139919339919363*G0_0_0_4_1 + 0.0299992071420692*G0_0_0_4_2 + 0.036454973597837*G0_0_0_4_3 - 0.0777051519908796*G0_0_0_4_4 + 0.00215784215784258*G0_0_0_4_5 + 0.0128557157128606*G0_0_0_4_6 + 0.00668664668664779*G0_0_0_4_7 - 0.00954854669140536*G0_0_0_4_8 - 0.0418552875695804*G0_0_0_4_9 + 0.0045423359709082*G0_0_0_5_0 + 0.00102796674225263*G0_0_0_5_1 - 0.0336044907473535*G0_0_0_5_2 + 0.00463536463536537*G0_0_0_5_3 + 0.00215784215784258*G0_0_0_5_4 + 0.054711003282441*G0_0_0_5_5 - 0.0618238903953294*G0_0_0_5_6 + 0.00877598591884452*G0_0_0_5_7 - 0.00731078445364284*G0_0_0_5_8 + 0.0111888111888131*G0_0_0_5_9 + 0.00681434967149369*G0_0_0_6_0 + 0.00359555788127278*G0_0_0_6_1 + 0.0828124256695824*G0_0_0_6_2 - 0.0150135578707031*G0_0_0_6_3 + 0.0128557157128606*G0_0_0_6_4 - 0.0618238903953294*G0_0_0_6_5 + 0.177308405879864*G0_0_0_6_6 - 0.0014652014652017*G0_0_0_6_7 - 0.00594072594072688*G0_0_0_6_8 - 0.00751248751248893*G0_0_0_6_9 + 0.000435543292686247*G0_0_0_7_0 + 0.00488696488696574*G0_0_0_7_1 - 0.000920560920561056*G0_0_0_7_2 + 0.00390086104371893*G0_0_0_7_3 + 0.00668664668664779*G0_0_0_7_4 + 0.00877598591884452*G0_0_0_7_5 - 0.0014652014652017*G0_0_0_7_6 + 0.0141420484277651*G0_0_0_7_7 - 0.0197783169211773*G0_0_0_7_8 - 0.000502354788069098*G0_0_0_7_9 + 0.00283441426298615*G0_0_0_8_0 - 0.00636400636400749*G0_0_0_8_1 + 0.0017738874881735*G0_0_0_8_2 + 0.00564768564768644*G0_0_0_8_3 - 0.00954854669140536*G0_0_0_8_4 - 0.00731078445364284*G0_0_0_8_5 - 0.00594072594072688*G0_0_0_8_6 - 0.0197783169211773*G0_0_0_8_7 + 0.0520013320013406*G0_0_0_8_8 + 0.0347081489938691*G0_0_0_8_9 + 0.00114425257282418*G0_0_0_9_0 - 0.00520368520368612*G0_0_0_9_1 + 0.0125132010846317*G0_0_0_9_2 + 0.00780933352362042*G0_0_0_9_3 - 0.0418552875695804*G0_0_0_9_4 + 0.0111888111888131*G0_0_0_9_5 - 0.00751248751248892*G0_0_0_9_6 - 0.000502354788069095*G0_0_0_9_7 + 0.0347081489938691*G0_0_0_9_8 + 0.0421978021978093*G0_0_0_9_9 - 0.00154596726025325*G0_0_1_0_0 - 0.00113664113664134*G0_0_1_0_1 + 0.000333211761783248*G0_0_1_0_2 - 0.00969189540618282*G0_0_1_0_3 - 0.00539904539904633*G0_0_1_0_4 + 0.00068502925645795*G0_0_1_0_5 - 0.00114171542742991*G0_0_1_0_6 + 0.00128886986029866*G0_0_1_0_7 + 0.00106052677481266*G0_0_1_0_8 - 0.0112344798059103*G0_0_1_0_9 - 0.00113664113664134*G0_0_1_1_0 - 0.0194176194176227*G0_0_1_1_1 - 0.00349280349280409*G0_0_1_1_2 - 0.0483072483072566*G0_0_1_1_3 + 0.0105139305139323*G0_0_1_1_4 + 0.00280608280608329*G0_0_1_1_5 - 0.00220224220224258*G0_0_1_1_6 + 0.00340992340992402*G0_0_1_1_7 - 0.00681984681984803*G0_0_1_1_9 + 0.000333211761783248*G0_0_1_2_0 - 0.00349280349280409*G0_0_1_2_1 + 0.010300810300812*G0_0_1_2_2 - 0.0168060510917682*G0_0_1_2_3 + 0.00203986489700807*G0_0_1_2_4 - 0.00327799184942098*G0_0_1_2_5 + 0.00996590710876595*G0_0_1_2_6 + 0.00234939663511133*G0_0_1_2_7 - 0.00106052677481268*G0_0_1_2_8 + 0.00395794681509034*G0_0_1_2_9 - 0.00969189540618282*G0_0_1_3_0 - 0.0483072483072566*G0_0_1_3_1 - 0.0168060510917682*G0_0_1_3_2 - 0.417182817182889*G0_0_1_3_3 + 0.117962037962058*G0_0_1_3_4 + 0.00680462394748219*G0_0_1_3_5 + 0.0136549165120617*G0_0_1_3_6 + 0.0361238761238823*G0_0_1_3_7 - 0.0463536463536544*G0_0_1_3_8 - 0.0517882117882208*G0_0_1_3_9 - 0.00539904539904633*G0_0_1_4_0 + 0.0105139305139323*G0_0_1_4_1 + 0.00203986489700807*G0_0_1_4_2 + 0.117962037962058*G0_0_1_4_3 - 0.177970600827774*G0_0_1_4_4 + 0.0232453261024729*G0_0_1_4_5 - 0.0369002426145346*G0_0_1_4_6 + 0.00105037819323549*G0_0_1_4_7 + 0.010229770229772*G0_0_1_4_8 - 0.0583644926502168*G0_0_1_4_9 + 0.00068502925645795*G0_0_1_5_0 + 0.00280608280608329*G0_0_1_5_1 - 0.00327799184942098*G0_0_1_5_2 + 0.0068046239474822*G0_0_1_5_3 + 0.0232453261024729*G0_0_1_5_4 - 0.00917939203653635*G0_0_1_5_5 + 0.00342514628228972*G0_0_1_5_6 + 0.00137005851291592*G0_0_1_5_7 - 0.00137005851291592*G0_0_1_5_8 + 0.0364435564435627*G0_0_1_5_9 - 0.00114171542742991*G0_0_1_6_0 - 0.00220224220224258*G0_0_1_6_1 + 0.00996590710876595*G0_0_1_6_2 + 0.0136549165120617*G0_0_1_6_3 - 0.0369002426145346*G0_0_1_6_4 + 0.00342514628228972*G0_0_1_6_5 + 0.00945340373911968*G0_0_1_6_6 + 0.00137005851291592*G0_0_1_6_8 - 0.0391836734693945*G0_0_1_6_9 + 0.00128886986029866*G0_0_1_7_0 + 0.00340992340992402*G0_0_1_7_1 + 0.00234939663511133*G0_0_1_7_2 + 0.0361238761238823*G0_0_1_7_3 + 0.00105037819323548*G0_0_1_7_4 + 0.00137005851291592*G0_0_1_7_5 + 0.0112801484230075*G0_0_1_7_7 - 0.0102297702297719*G0_0_1_7_8 + 0.0337034394177309*G0_0_1_7_9 + 0.00106052677481266*G0_0_1_8_0 - 0.00106052677481268*G0_0_1_8_2 - 0.0463536463536544*G0_0_1_8_3 + 0.010229770229772*G0_0_1_8_4 - 0.00137005851291592*G0_0_1_8_5 + 0.00137005851291592*G0_0_1_8_6 - 0.0102297702297719*G0_0_1_8_7 + 0.046353646353654*G0_0_1_8_8 - 0.0112344798059103*G0_0_1_9_0 - 0.00681984681984803*G0_0_1_9_1 + 0.00395794681509034*G0_0_1_9_2 - 0.0517882117882208*G0_0_1_9_3 - 0.0583644926502168*G0_0_1_9_4 + 0.0364435564435627*G0_0_1_9_5 - 0.0391836734693945*G0_0_1_9_6 + 0.0337034394177309*G0_0_1_9_7 - 0.0674068788354617*G0_0_1_9_9 + 0.00480366194652004*G0_1_0_0_0 - 0.00197826864493568*G0_1_0_0_1 + 0.000885040885041029*G0_1_0_0_2 - 0.00236335093477995*G0_1_0_0_3 + 0.000886732315303901*G0_1_0_0_4 + 0.00242043670615147*G0_1_0_0_5 - 0.000371691800263328*G0_1_0_0_6 + 0.000999635285349801*G0_1_0_0_7 + 0.00364207221350134*G0_1_0_0_8 + 0.00272235700807174*G0_1_0_0_9 - 0.00197826864493568*G0_1_0_1_0 - 0.112420912420932*G0_1_0_1_1 - 0.00556973890307319*G0_1_0_1_2 - 0.070862470862483*G0_1_0_1_3 + 0.0306715506715559*G0_1_0_1_4 + 0.000399600399600505*G0_1_0_1_5 + 0.0014652014652017*G0_1_0_1_6 + 0.0100699300699319*G0_1_0_1_7 - 0.0147408147408175*G0_1_0_1_8 - 0.00326784326784389*G0_1_0_1_9 + 0.000885040885041029*G0_1_0_2_0 - 0.00556973890307319*G0_1_0_2_1 + 0.00614327471470411*G0_1_0_2_2 - 0.0108145822431555*G0_1_0_2_3 + 0.00885971171685597*G0_1_0_2_4 - 0.00183816183816209*G0_1_0_2_5 + 0.00428777571634778*G0_1_0_2_6 - 0.000133200133200132*G0_1_0_2_7 + 0.00275153418010604*G0_1_0_2_8 + 0.00348350062635833*G0_1_0_2_9 - 0.00236335093477995*G0_1_0_3_0 - 0.070862470862483*G0_1_0_3_1 - 0.0108145822431555*G0_1_0_3_2 - 0.14556110556113*G0_1_0_3_3 + 0.0341791541791601*G0_1_0_3_4 + 0.00368012939441571*G0_1_0_3_5 - 0.00586461157889822*G0_1_0_3_6 + 0.00562104562104669*G0_1_0_3_7 + 0.00410256410256454*G0_1_0_3_8 - 0.00143856143856181*G0_1_0_3_9 + 0.000886732315303901*G0_1_0_4_0 + 0.0306715506715559*G0_1_0_4_1 + 0.00885971171685597*G0_1_0_4_2 + 0.0341791541791601*G0_1_0_4_3 + 0.000190285904571442*G0_1_0_4_4 - 0.00412920412920479*G0_1_0_4_5 + 0.00999381570810302*G0_1_0_4_6 - 0.000395794681509089*G0_1_0_4_7 - 0.00972360972361123*G0_1_0_4_8 - 0.00219209362066542*G0_1_0_4_9 + 0.00242043670615147*G0_1_0_5_0 + 0.000399600399600505*G0_1_0_5_1 - 0.00183816183816209*G0_1_0_5_2 + 0.00368012939441571*G0_1_0_5_3 - 0.00412920412920479*G0_1_0_5_4 + 0.00754293325722032*G0_1_0_5_5 - 0.00769896769896899*G0_1_0_5_6 + 0.00373721516578726*G0_1_0_5_7 - 0.00266780838209456*G0_1_0_5_8 - 0.00283145426002611*G0_1_0_5_9 - 0.000371691800263328*G0_1_0_6_0 + 0.0014652014652017*G0_1_0_6_1 + 0.00428777571634778*G0_1_0_6_2 - 0.00586461157889822*G0_1_0_6_3 + 0.00999381570810302*G0_1_0_6_4 - 0.00769896769896898*G0_1_0_6_5 + 0.0160372960372986*G0_1_0_6_6 - 0.00106940678369271*G0_1_0_6_7 - 0.00559059987631506*G0_1_0_6_8 + 0.00127872127872145*G0_1_0_6_9 + 0.000999635285349801*G0_1_0_7_0 + 0.0100699300699319*G0_1_0_7_1 - 0.000133200133200132*G0_1_0_7_2 + 0.00562104562104669*G0_1_0_7_3 - 0.000395794681509089*G0_1_0_7_4 + 0.00373721516578726*G0_1_0_7_5 - 0.00106940678369271*G0_1_0_7_6 + 0.0168136625279511*G0_1_0_7_7 - 0.0259207459207501*G0_1_0_7_8 - 0.0060282574568298*G0_1_0_7_9 + 0.00364207221350134*G0_1_0_8_0 - 0.0147408147408175*G0_1_0_8_1 + 0.00275153418010604*G0_1_0_8_2 + 0.00410256410256453*G0_1_0_8_3 - 0.00972360972361122*G0_1_0_8_4 - 0.00266780838209456*G0_1_0_8_5 - 0.00559059987631506*G0_1_0_8_6 - 0.0259207459207501*G0_1_0_8_7 + 0.0973959373959534*G0_1_0_8_8 + 0.0292507492507541*G0_1_0_8_9 + 0.00272235700807174*G0_1_0_9_0 - 0.00326784326784389*G0_1_0_9_1 + 0.00348350062635833*G0_1_0_9_2 - 0.00143856143856181*G0_1_0_9_3 - 0.00219209362066541*G0_1_0_9_4 - 0.00283145426002611*G0_1_0_9_5 + 0.00127872127872145*G0_1_0_9_6 - 0.0060282574568298*G0_1_0_9_7 + 0.0292507492507541*G0_1_0_9_8 + 0.0178107606679065*G0_1_0_9_9 - 0.00133961276818445*G0_1_1_0_0 + 0.00359147025813755*G0_1_1_0_1 - 0.00511488511488601*G0_1_1_0_3 + 0.00101993244850405*G0_1_1_0_4 - 0.00186733901019649*G0_1_1_0_5 + 0.00146647003789886*G0_1_1_0_6 - 0.00786007643150637*G0_1_1_0_7 + 0.0144566544566569*G0_1_1_0_8 - 0.00076114361828663*G0_1_1_0_9 + 0.00359147025813755*G0_1_1_1_0 - 0.00359147025813753*G0_1_1_1_2 - 0.0561216561216656*G0_1_1_1_3 + 0.020601620601624*G0_1_1_1_4 - 0.00106560106560127*G0_1_1_1_5 + 0.00106560106560126*G0_1_1_1_6 - 0.0206016206016242*G0_1_1_1_7 + 0.0561216561216657*G0_1_1_1_8 - 0.00359147025813753*G0_1_1_2_1 + 0.00133961276818438*G0_1_1_2_2 - 0.0144566544566569*G0_1_1_2_3 + 0.00786007643150629*G0_1_1_2_4 - 0.00146647003789885*G0_1_1_2_5 + 0.00186733901019645*G0_1_1_2_6 - 0.00101993244850404*G0_1_1_2_7 + 0.00511488511488595*G0_1_1_2_8 + 0.000761143618286591*G0_1_1_2_9 - 0.00511488511488601*G0_1_1_3_0 - 0.0561216561216656*G0_1_1_3_1 - 0.0144566544566569*G0_1_1_3_2 - 0.242957042957085*G0_1_1_3_3 + 0.0600999000999104*G0_1_1_3_4 + 0.0092707292707308*G0_1_1_3_5 - 0.00319680319680369*G0_1_1_3_6 + 0.015344655344658*G0_1_1_3_7 - 0.030689310689316*G0_1_1_3_9 + 0.00101993244850405*G0_1_1_4_0 + 0.020601620601624*G0_1_1_4_1 + 0.00786007643150629*G0_1_1_4_2 + 0.0600999000999104*G0_1_1_4_3 - 0.0166233766233797*G0_1_1_4_4 - 0.0030597973455121*G0_1_1_4_5 + 0.00625660054231581*G0_1_1_4_6 - 0.0153446553446578*G0_1_1_4_8 + 0.00383616383616445*G0_1_1_4_9 - 0.00186733901019649*G0_1_1_5_0 - 0.00106560106560127*G0_1_1_5_1 - 0.00146647003789885*G0_1_1_5_2 + 0.0092707292707308*G0_1_1_5_3 - 0.0030597973455121*G0_1_1_5_4 - 0.00849436278007851*G0_1_1_5_5 - 0.00625660054231587*G0_1_1_5_7 + 0.00319680319680369*G0_1_1_5_8 - 0.00411017553874761*G0_1_1_5_9 + 0.00146647003789886*G0_1_1_6_0 + 0.00106560106560126*G0_1_1_6_1 + 0.00186733901019645*G0_1_1_6_2 - 0.00319680319680369*G0_1_1_6_3 + 0.00625660054231581*G0_1_1_6_4 + 0.00849436278007845*G0_1_1_6_6 + 0.00305979734551214*G0_1_1_6_7 - 0.00927072927073076*G0_1_1_6_8 + 0.00411017553874761*G0_1_1_6_9 - 0.00786007643150637*G0_1_1_7_0 - 0.0206016206016242*G0_1_1_7_1 - 0.00101993244850404*G0_1_1_7_2 + 0.015344655344658*G0_1_1_7_3 - 0.00625660054231587*G0_1_1_7_5 + 0.00305979734551214*G0_1_1_7_6 + 0.0166233766233795*G0_1_1_7_7 - 0.0600999000999103*G0_1_1_7_8 - 0.00383616383616442*G0_1_1_7_9 + 0.0144566544566569*G0_1_1_8_0 + 0.0561216561216657*G0_1_1_8_1 + 0.00511488511488595*G0_1_1_8_2 - 0.0153446553446579*G0_1_1_8_4 + 0.00319680319680369*G0_1_1_8_5 - 0.00927072927073076*G0_1_1_8_6 - 0.0600999000999103*G0_1_1_8_7 + 0.242957042957084*G0_1_1_8_8 + 0.0306893106893158*G0_1_1_8_9 - 0.00076114361828663*G0_1_1_9_0 + 0.000761143618286591*G0_1_1_9_2 - 0.030689310689316*G0_1_1_9_3 + 0.00383616383616445*G0_1_1_9_4 - 0.00411017553874761*G0_1_1_9_5 + 0.00411017553874761*G0_1_1_9_6 - 0.00383616383616442*G0_1_1_9_7 + 0.0306893106893158*G0_1_1_9_8;
    A[170] = -A[50] + 0.00245257388114573*G0_0_0_0_0 + 0.00012699822223634*G0_0_0_0_1 + 0.0079532460484855*G0_0_0_0_2 - 0.0023912595341171*G0_0_0_0_4 - 0.00142925857211596*G0_0_0_0_5 + 0.0101058729630175*G0_0_0_0_6 + 0.000287543144686058*G0_0_0_0_7 + 0.000385223242366166*G0_0_0_0_8 - 0.00125081267938433*G0_0_0_0_9 + 0.00012699822223634*G0_0_0_1_0 - 0.00284160284160324*G0_0_0_1_1 + 0.00305993829803406*G0_0_0_1_2 + 0.000503200503200611*G0_0_0_1_3 - 0.00359048359048423*G0_0_0_1_4 - 0.000795395081109498*G0_0_0_1_5 + 0.00363699792271282*G0_0_0_1_6 - 0.000121360121360144*G0_0_0_1_7 - 0.000592000592000671*G0_0_0_1_8 - 0.00143856143856169*G0_0_0_1_9 + 0.0079532460484855*G0_0_0_2_0 + 0.00305993829803406*G0_0_0_2_1 + 0.125800125800147*G0_0_0_2_2 - 0.0125089725089745*G0_0_0_2_3 + 0.0207555407555441*G0_0_0_2_4 - 0.0359048359048419*G0_0_0_2_5 + 0.0861597661597806*G0_0_0_2_6 - 0.00138147566719017*G0_0_0_2_7 + 0.000511234796949177*G0_0_0_2_8 + 0.00667776667776776*G0_0_0_2_9 + 0.00050320050320061*G0_0_0_3_1 - 0.0125089725089745*G0_0_0_3_2 - 0.00905760905761054*G0_0_0_3_3 + 0.0179667951096554*G0_0_0_3_4 + 0.00215403643975104*G0_0_0_3_5 - 0.0129051900480492*G0_0_0_3_6 - 0.00206650492364814*G0_0_0_3_7 + 0.00559440559440651*G0_0_0_3_8 + 0.00844869416298134*G0_0_0_3_9 - 0.0023912595341171*G0_0_0_4_0 - 0.00359048359048423*G0_0_0_4_1 + 0.0207555407555441*G0_0_0_4_2 + 0.0179667951096554*G0_0_0_4_3 - 0.086260406260421*G0_0_0_4_4 + 0.00517958232244041*G0_0_0_4_5 + 0.00772560772560888*G0_0_0_4_6 + 0.00665620094191635*G0_0_0_4_7 - 0.00352790067075837*G0_0_0_4_8 - 0.0303924646781841*G0_0_0_4_9 - 0.00142925857211596*G0_0_0_5_0 - 0.000795395081109498*G0_0_0_5_1 - 0.0359048359048419*G0_0_0_5_2 + 0.00215403643975104*G0_0_0_5_3 + 0.00517958232244041*G0_0_0_5_4 + 0.0166690452404765*G0_0_0_5_5 - 0.0559554730983396*G0_0_0_5_6 - 0.00254221968507725*G0_0_0_5_7 + 0.000391988963417586*G0_0_0_5_8 + 0.00296846011131781*G0_0_0_5_9 + 0.0101058729630175*G0_0_0_6_0 + 0.00363699792271282*G0_0_0_6_1 + 0.0861597661597806*G0_0_0_6_2 - 0.0129051900480492*G0_0_0_6_3 + 0.00772560772560888*G0_0_0_6_4 - 0.0559554730983396*G0_0_0_6_5 + 0.201878121878156*G0_0_0_6_6 + 0.00215023072165967*G0_0_0_6_7 - 0.00522525093953747*G0_0_0_6_8 + 0.00577708006279516*G0_0_0_6_9 + 0.000287543144686058*G0_0_0_7_0 - 0.000121360121360144*G0_0_0_7_1 - 0.00138147566719017*G0_0_0_7_2 - 0.00206650492364814*G0_0_0_7_3 + 0.00665620094191635*G0_0_0_7_4 - 0.00254221968507725*G0_0_0_7_5 + 0.00215023072165967*G0_0_0_7_6 - 0.00464297607154824*G0_0_0_7_7 - 0.00102373816659549*G0_0_0_7_8 - 0.000548023405166329*G0_0_0_7_9 + 0.000385223242366166*G0_0_0_8_0 - 0.000592000592000671*G0_0_0_8_1 + 0.000511234796949176*G0_0_0_8_2 + 0.00559440559440651*G0_0_0_8_3 - 0.00352790067075837*G0_0_0_8_4 + 0.000391988963417586*G0_0_0_8_5 - 0.00522525093953747*G0_0_0_8_6 - 0.00102373816659549*G0_0_0_8_7 + 0.0170496170496197*G0_0_0_8_8 + 0.0113714856572018*G0_0_0_8_9 - 0.00125081267938433*G0_0_0_9_0 - 0.00143856143856169*G0_0_0_9_1 + 0.00667776667776776*G0_0_0_9_2 + 0.00844869416298134*G0_0_0_9_3 - 0.0303924646781841*G0_0_0_9_4 + 0.00296846011131781*G0_0_0_9_5 + 0.00577708006279516*G0_0_0_9_6 - 0.000548023405166329*G0_0_0_9_7 + 0.0113714856572018*G0_0_0_9_8 - 0.0043841872413308*G0_0_0_9_9 - 0.00095622190860305*G0_0_1_0_0 - 0.00330632330632391*G0_0_1_0_1 - 0.00546966261252069*G0_0_1_0_3 - 0.0062561776847502*G0_0_1_0_4 + 0.00234855091997989*G0_0_1_0_5 - 0.00198869913155663*G0_0_1_0_6 + 0.000756915042629478*G0_0_1_0_7 - 0.0039964268535704*G0_0_1_0_8 - 0.0159814788386244*G0_0_1_0_9 - 0.00330632330632391*G0_0_1_1_0 - 0.0840048840048988*G0_0_1_1_1 - 0.0020710154043491*G0_0_1_1_2 - 0.0179376179376212*G0_0_1_1_3 - 0.00200688200688231*G0_0_1_1_4 + 0.00248936248936295*G0_0_1_1_5 - 0.00358456358456421*G0_0_1_1_6 + 0.0114907314907336*G0_0_1_1_7 - 0.0257520257520304*G0_0_1_1_8 - 0.00255744255744305*G0_0_1_1_9 - 0.0020710154043491*G0_0_1_2_1 + 0.00955094288427778*G0_0_1_2_2 - 0.00740635026349435*G0_0_1_2_3 - 0.00635216635216748*G0_0_1_2_4 - 0.00265850551564881*G0_0_1_2_5 + 0.00976208976209139*G0_0_1_2_6 + 0.00251219679791151*G0_0_1_2_7 - 0.00195317909603657*G0_0_1_2_8 - 0.00155019583591038*G0_0_1_2_9 - 0.00546966261252069*G0_0_1_3_0 - 0.0179376179376212*G0_0_1_3_1 - 0.00740635026349435*G0_0_1_3_2 - 0.140659340659365*G0_0_1_3_3 + 0.0923076923077079*G0_0_1_3_4 - 0.000551829123257823*G0_0_1_3_5 + 0.0207982493696815*G0_0_1_3_6 + 0.026453546453551*G0_0_1_3_7 - 0.0423576423576496*G0_0_1_3_8 - 0.0452347652347728*G0_0_1_3_9 - 0.0062561776847502*G0_0_1_4_0 - 0.00200688200688231*G0_0_1_4_1 - 0.00635216635216748*G0_0_1_4_2 + 0.092307692307708*G0_0_1_4_3 - 0.188497217068677*G0_0_1_4_4 + 0.0288130916702394*G0_0_1_4_5 - 0.0496113410399209*G0_0_1_4_6 + 0.000593692022263544*G0_0_1_4_7 + 0.0159040959040986*G0_0_1_4_8 - 0.0529755958327476*G0_0_1_4_9 + 0.00234855091997989*G0_0_1_5_0 + 0.00248936248936295*G0_0_1_5_1 - 0.00265850551564881*G0_0_1_5_2 - 0.000551829123257823*G0_0_1_5_3 + 0.0288130916702394*G0_0_1_5_4 - 0.00661433804291052*G0_0_1_5_5 + 0.00746301317730022*G0_0_1_5_6 - 0.00508443937015451*G0_0_1_5_7 + 0.00257647114790014*G0_0_1_5_8 + 0.0427914942200729*G0_0_1_5_9 - 0.00198869913155663*G0_0_1_6_0 - 0.00358456358456421*G0_0_1_6_1 + 0.00976208976209139*G0_0_1_6_2 + 0.0207982493696815*G0_0_1_6_3 - 0.0496113410399209*G0_0_1_6_4 + 0.00746301317730022*G0_0_1_6_5 + 0.00352409495266697*G0_0_1_6_6 + 0.00250796822225438*G0_0_1_6_7 + 0.00328433471290672*G0_0_1_6_8 - 0.0369459112316319*G0_0_1_6_9 + 0.000756915042629478*G0_0_1_7_0 + 0.0114907314907336*G0_0_1_7_1 + 0.00251219679791151*G0_0_1_7_2 + 0.026453546453551*G0_0_1_7_3 + 0.000593692022263542*G0_0_1_7_4 - 0.00508443937015451*G0_0_1_7_5 + 0.00250796822225437*G0_0_1_7_6 - 0.0158698444412757*G0_0_1_7_7 + 0.0242157842157884*G0_0_1_7_8 + 0.0429285000713645*G0_0_1_7_9 - 0.0039964268535704*G0_0_1_8_0 - 0.0257520257520304*G0_0_1_8_1 - 0.00195317909603657*G0_0_1_8_2 - 0.0423576423576496*G0_0_1_8_3 + 0.0159040959040986*G0_0_1_8_4 + 0.00257647114790014*G0_0_1_8_5 + 0.00328433471290672*G0_0_1_8_6 + 0.0242157842157884*G0_0_1_8_7 + 0.0799200799200932*G0_0_1_8_8 - 0.0241358641358682*G0_0_1_8_9 - 0.0159814788386244*G0_0_1_9_0 - 0.00255744255744305*G0_0_1_9_1 - 0.00155019583591038*G0_0_1_9_2 - 0.0452347652347728*G0_0_1_9_3 - 0.0529755958327476*G0_0_1_9_4 + 0.0427914942200729*G0_0_1_9_5 - 0.0369459112316319*G0_0_1_9_6 + 0.0429285000713645*G0_0_1_9_7 - 0.0241358641358682*G0_0_1_9_8 - 0.142760097045835*G0_0_1_9_9;
    A[86] = A[170] - 0.00034166891309752*G0_0_1_0_0 + 0.00303654017939788*G0_0_1_0_1 - 0.000282045996331756*G0_0_1_0_2 - 0.000468949040377691*G0_0_1_0_3 + 0.000317566031851801*G0_0_1_0_4 + 0.000231725946011699*G0_0_1_0_5 - 0.000386068957497585*G0_0_1_0_6 + 0.00182336182336211*G0_0_1_0_7 + 0.00162165876451621*G0_0_1_0_8 + 0.00352916924345556*G0_0_1_0_9 + 0.00303654017939788*G0_0_1_1_0 + 0.0885040885041042*G0_0_1_1_1 + 0.00111141063522036*G0_0_1_1_2 + 0.00929440929441105*G0_0_1_1_3 - 0.00560624560624662*G0_0_1_1_4 - 0.00032433175290328*G0_0_1_1_5 + 0.000241451670023159*G0_0_1_1_6 - 0.0125444925444948*G0_0_1_1_7 + 0.0311984311984368*G0_0_1_1_8 - 0.00049728049728054*G0_0_1_1_9 - 0.000282045996331756*G0_0_1_2_0 + 0.00111141063522036*G0_0_1_2_1 - 0.00505173838507255*G0_0_1_2_2 - 0.00020677734963453*G0_0_1_2_3 - 0.00229104229104267*G0_0_1_2_4 + 0.00160474446188758*G0_0_1_2_5 - 0.00431568431568502*G0_0_1_2_6 - 0.000347166061451841*G0_0_1_2_7 - 0.00138993281850446*G0_0_1_2_8 - 0.00150452721881318*G0_0_1_2_9 - 0.000468949040377691*G0_0_1_3_0 + 0.00929440929441105*G0_0_1_3_1 - 0.00020677734963453*G0_0_1_3_2 - 0.0456077256077334*G0_0_1_3_3 + 0.00639741211169885*G0_0_1_3_4 + 0.00157176157176184*G0_0_1_3_5 - 0.00148803577375035*G0_0_1_3_6 + 0.000643166357452145*G0_0_1_3_7 - 0.0040492840492846*G0_0_1_3_8 + 0.000205508776937327*G0_0_1_3_9 + 0.000317566031851801*G0_0_1_4_0 - 0.00560624560624662*G0_0_1_4_1 - 0.00229104229104267*G0_0_1_4_2 + 0.00639741211169885*G0_0_1_4_3 + 0.00223015080157972*G0_0_1_4_4 - 0.00171637885923631*G0_0_1_4_5 + 0.00320441463298666*G0_0_1_4_6 + 0.000426240426240519*G0_0_1_4_7 + 0.00340611769183247*G0_0_1_4_8 + 0.00794633937491217*G0_0_1_4_9 + 0.000231725946011699*G0_0_1_5_0 - 0.00032433175290328*G0_0_1_5_1 + 0.00160474446188758*G0_0_1_5_2 + 0.00157176157176184*G0_0_1_5_3 - 0.00171637885923631*G0_0_1_5_4 - 0.0011493268636128*G0_0_1_5_5 + 0.00183055040197922*G0_0_1_5_6 - 0.000487131915703417*G0_0_1_5_7 + 0.000209314495028808*G0_0_1_5_8 - 0.0110061367204243*G0_0_1_5_9 - 0.000386068957497585*G0_0_1_6_0 + 0.000241451670023159*G0_0_1_6_1 - 0.00431568431568502*G0_0_1_6_2 - 0.00148803577375035*G0_0_1_6_3 + 0.00320441463298666*G0_0_1_6_4 + 0.00183055040197922*G0_0_1_6_5 - 0.00895866038723323*G0_0_1_6_6 + 0.000277817420674601*G0_0_1_6_7 + 0.00210456210456243*G0_0_1_6_8 + 0.00748965320394023*G0_0_1_6_9 + 0.00182336182336211*G0_0_1_7_0 - 0.0125444925444948*G0_0_1_7_1 - 0.000347166061451841*G0_0_1_7_2 + 0.000643166357452145*G0_0_1_7_3 + 0.00042624042624052*G0_0_1_7_4 - 0.000487131915703417*G0_0_1_7_5 + 0.000277817420674601*G0_0_1_7_6 + 0.00810617953475237*G0_0_1_7_7 - 0.014922220636509*G0_0_1_7_8 - 0.0111431425717159*G0_0_1_7_9 + 0.00162165876451621*G0_0_1_8_0 + 0.0311984311984368*G0_0_1_8_1 - 0.00138993281850446*G0_0_1_8_2 - 0.0040492840492846*G0_0_1_8_3 + 0.00340611769183247*G0_0_1_8_4 + 0.000209314495028809*G0_0_1_8_5 + 0.00210456210456243*G0_0_1_8_6 - 0.014922220636509*G0_0_1_8_7 - 0.0853546453546593*G0_0_1_8_8 - 0.00532039389182334*G0_0_1_8_9 + 0.00352916924345556*G0_0_1_9_0 - 0.00049728049728054*G0_0_1_9_1 - 0.00150452721881318*G0_0_1_9_2 + 0.000205508776937327*G0_0_1_9_3 + 0.00794633937491217*G0_0_1_9_4 - 0.0110061367204243*G0_0_1_9_5 + 0.00748965320394024*G0_0_1_9_6 - 0.0111431425717159*G0_0_1_9_7 - 0.00532039389182334*G0_0_1_9_8 + 0.0287712287712337*G0_0_1_9_9 + 0.00034166891309752*G0_1_0_0_0 - 0.00303654017939788*G0_1_0_0_1 + 0.000282045996331756*G0_1_0_0_2 + 0.000468949040377691*G0_1_0_0_3 - 0.000317566031851801*G0_1_0_0_4 - 0.000231725946011699*G0_1_0_0_5 + 0.000386068957497586*G0_1_0_0_6 - 0.00182336182336211*G0_1_0_0_7 - 0.00162165876451621*G0_1_0_0_8 - 0.00352916924345556*G0_1_0_0_9 - 0.00303654017939788*G0_1_0_1_0 - 0.0885040885041042*G0_1_0_1_1 - 0.00111141063522036*G0_1_0_1_2 - 0.00929440929441105*G0_1_0_1_3 + 0.00560624560624662*G0_1_0_1_4 + 0.00032433175290328*G0_1_0_1_5 - 0.000241451670023158*G0_1_0_1_6 + 0.0125444925444948*G0_1_0_1_7 - 0.0311984311984368*G0_1_0_1_8 + 0.00049728049728054*G0_1_0_1_9 + 0.000282045996331756*G0_1_0_2_0 - 0.00111141063522036*G0_1_0_2_1 + 0.00505173838507255*G0_1_0_2_2 + 0.00020677734963453*G0_1_0_2_3 + 0.00229104229104267*G0_1_0_2_4 - 0.00160474446188758*G0_1_0_2_5 + 0.00431568431568502*G0_1_0_2_6 + 0.000347166061451841*G0_1_0_2_7 + 0.00138993281850446*G0_1_0_2_8 + 0.00150452721881318*G0_1_0_2_9 + 0.000468949040377691*G0_1_0_3_0 - 0.00929440929441104*G0_1_0_3_1 + 0.00020677734963453*G0_1_0_3_2 + 0.0456077256077334*G0_1_0_3_3 - 0.00639741211169885*G0_1_0_3_4 - 0.00157176157176184*G0_1_0_3_5 + 0.00148803577375035*G0_1_0_3_6 - 0.000643166357452145*G0_1_0_3_7 + 0.0040492840492846*G0_1_0_3_8 - 0.000205508776937327*G0_1_0_3_9 - 0.000317566031851801*G0_1_0_4_0 + 0.00560624560624662*G0_1_0_4_1 + 0.00229104229104267*G0_1_0_4_2 - 0.00639741211169885*G0_1_0_4_3 - 0.00223015080157971*G0_1_0_4_4 + 0.00171637885923631*G0_1_0_4_5 - 0.00320441463298665*G0_1_0_4_6 - 0.00042624042624052*G0_1_0_4_7 - 0.00340611769183247*G0_1_0_4_8 - 0.00794633937491217*G0_1_0_4_9 - 0.000231725946011699*G0_1_0_5_0 + 0.00032433175290328*G0_1_0_5_1 - 0.00160474446188758*G0_1_0_5_2 - 0.00157176157176184*G0_1_0_5_3 + 0.00171637885923631*G0_1_0_5_4 + 0.0011493268636128*G0_1_0_5_5 - 0.00183055040197922*G0_1_0_5_6 + 0.000487131915703417*G0_1_0_5_7 - 0.000209314495028808*G0_1_0_5_8 + 0.0110061367204243*G0_1_0_5_9 + 0.000386068957497586*G0_1_0_6_0 - 0.000241451670023158*G0_1_0_6_1 + 0.00431568431568502*G0_1_0_6_2 + 0.00148803577375034*G0_1_0_6_3 - 0.00320441463298666*G0_1_0_6_4 - 0.00183055040197923*G0_1_0_6_5 + 0.00895866038723323*G0_1_0_6_6 - 0.000277817420674601*G0_1_0_6_7 - 0.00210456210456243*G0_1_0_6_8 - 0.00748965320394023*G0_1_0_6_9 - 0.00182336182336211*G0_1_0_7_0 + 0.0125444925444948*G0_1_0_7_1 + 0.000347166061451841*G0_1_0_7_2 - 0.000643166357452144*G0_1_0_7_3 - 0.00042624042624052*G0_1_0_7_4 + 0.000487131915703417*G0_1_0_7_5 - 0.000277817420674601*G0_1_0_7_6 - 0.00810617953475237*G0_1_0_7_7 + 0.014922220636509*G0_1_0_7_8 + 0.0111431425717159*G0_1_0_7_9 - 0.00162165876451621*G0_1_0_8_0 - 0.0311984311984368*G0_1_0_8_1 + 0.00138993281850446*G0_1_0_8_2 + 0.0040492840492846*G0_1_0_8_3 - 0.00340611769183247*G0_1_0_8_4 - 0.000209314495028808*G0_1_0_8_5 - 0.00210456210456243*G0_1_0_8_6 + 0.014922220636509*G0_1_0_8_7 + 0.0853546453546594*G0_1_0_8_8 + 0.00532039389182334*G0_1_0_8_9 - 0.00352916924345556*G0_1_0_9_0 + 0.00049728049728054*G0_1_0_9_1 + 0.00150452721881318*G0_1_0_9_2 - 0.000205508776937327*G0_1_0_9_3 - 0.00794633937491217*G0_1_0_9_4 + 0.0110061367204243*G0_1_0_9_5 - 0.00748965320394023*G0_1_0_9_6 + 0.0111431425717159*G0_1_0_9_7 + 0.00532039389182334*G0_1_0_9_8 - 0.0287712287712337*G0_1_0_9_9;
    A[33] = -A[41] - 0.0036748789129748*G0_1_0_0_0 + 0.000628533723771934*G0_1_0_0_1 + 0.00342487318677853*G0_1_0_0_2 + 0.00109987895702201*G0_1_0_0_3 - 0.000899418042275349*G0_1_0_0_5 + 0.00476158761873129*G0_1_0_0_6 + 0.000525823382966314*G0_1_0_0_7 + 0.00108526394240699*G0_1_0_0_8 + 0.00346225203368118*G0_1_0_0_9 + 0.000628533723771933*G0_1_0_1_0 + 0.0153463820130514*G0_1_0_1_1 + 0.00182148539291428*G0_1_0_1_2 + 0.00367595367595435*G0_1_0_1_3 - 0.00171310171310203*G0_1_0_1_4 - 0.000738600024314444*G0_1_0_1_5 + 0.00171355099926558*G0_1_0_1_6 - 0.00169238169238201*G0_1_0_1_7 + 0.00497095497095589*G0_1_0_1_8 - 0.000668220668220766*G0_1_0_1_9 + 0.00342487318677853*G0_1_0_2_0 + 0.00182148539291428*G0_1_0_2_1 + 0.0591889591889691*G0_1_0_2_2 - 0.00446146446146518*G0_1_0_2_3 + 0.0103481703481721*G0_1_0_2_4 - 0.0148836348836374*G0_1_0_2_5 + 0.0359388759388819*G0_1_0_2_6 - 0.000948390234104674*G0_1_0_2_7 + 0.000161769447483763*G0_1_0_2_8 + 0.00259518259518301*G0_1_0_2_9 + 0.00109987895702201*G0_1_0_3_0 + 0.00367595367595435*G0_1_0_3_1 - 0.00446146446146518*G0_1_0_3_2 + 0.023010323010327*G0_1_0_3_3 - 0.00674349460063856*G0_1_0_3_4 + 0.000805385091099505*G0_1_0_3_5 - 0.00783525997811841*G0_1_0_3_6 - 0.00599424385138772*G0_1_0_3_7 + 0.00917415917416071*G0_1_0_3_8 + 0.0139931497074378*G0_1_0_3_9 - 0.00171310171310203*G0_1_0_4_1 + 0.0103481703481721*G0_1_0_4_2 - 0.00674349460063856*G0_1_0_4_3 - 0.0102564102564121*G0_1_0_4_4 - 0.00246777032491358*G0_1_0_4_5 + 0.010303030303032*G0_1_0_4_6 + 0.00288330716902194*G0_1_0_4_7 - 0.00317991532277298*G0_1_0_4_8 - 0.00285000713572188*G0_1_0_4_9 - 0.000899418042275349*G0_1_0_5_0 - 0.000738600024314445*G0_1_0_5_1 - 0.0148836348836374*G0_1_0_5_2 + 0.000805385091099505*G0_1_0_5_3 - 0.00246777032491358*G0_1_0_5_4 + 0.0146910232624542*G0_1_0_5_5 - 0.0263500784929401*G0_1_0_5_6 + 0.000328243185386086*G0_1_0_5_7 - 0.000478806907378411*G0_1_0_5_8 - 0.00942914228628672*G0_1_0_5_9 + 0.00476158761873129*G0_1_0_6_0 + 0.00171355099926558*G0_1_0_6_1 + 0.0359388759388819*G0_1_0_6_2 - 0.00783525997811841*G0_1_0_6_3 + 0.010303030303032*G0_1_0_6_4 - 0.0263500784929401*G0_1_0_6_5 + 0.0588811188811288*G0_1_0_6_6 + 0.000150563721992324*G0_1_0_6_7 - 0.00146567717996313*G0_1_0_6_8 + 0.00788497217068778*G0_1_0_6_9 + 0.000525823382966314*G0_1_0_7_0 - 0.00169238169238201*G0_1_0_7_1 - 0.000948390234104674*G0_1_0_7_2 - 0.00599424385138772*G0_1_0_7_3 + 0.00288330716902194*G0_1_0_7_4 + 0.000328243185386085*G0_1_0_7_5 + 0.000150563721992324*G0_1_0_7_6 + 0.00807763664906657*G0_1_0_7_7 - 0.00793849008134856*G0_1_0_7_8 - 0.0106878835450282*G0_1_0_7_9 + 0.00108526394240699*G0_1_0_8_0 + 0.00497095497095589*G0_1_0_8_1 + 0.000161769447483763*G0_1_0_8_2 + 0.00917415917416071*G0_1_0_8_3 - 0.00317991532277298*G0_1_0_8_4 - 0.000478806907378411*G0_1_0_8_5 - 0.00146567717996313*G0_1_0_8_6 - 0.00793849008134856*G0_1_0_8_7 - 0.0206793206793243*G0_1_0_8_8 + 0.00836449265020828*G0_1_0_8_9 + 0.00346225203368118*G0_1_0_9_0 - 0.000668220668220766*G0_1_0_9_1 + 0.00259518259518301*G0_1_0_9_2 + 0.0139931497074377*G0_1_0_9_3 - 0.00285000713572187*G0_1_0_9_4 - 0.00942914228628672*G0_1_0_9_5 + 0.00788497217068778*G0_1_0_9_6 - 0.0106878835450282*G0_1_0_9_7 + 0.00836449265020828*G0_1_0_9_8 + 0.0213900385328993*G0_1_0_9_9;
    A[36] = -A[33] + 0.00209991067133959*G0_1_0_0_0 + 0.00159864826531521*G0_1_0_0_2 + 0.00168593311450483*G0_1_0_0_3 - 0.00137862137862162*G0_1_0_0_4 - 0.00292945150088058*G0_1_0_0_5 + 0.00446220446220524*G0_1_0_0_6 + 0.00135388421102729*G0_1_0_0_7 - 0.000180771609343068*G0_1_0_0_8 + 0.00238237952523706*G0_1_0_0_9 - 0.00209991067133961*G0_1_0_1_1 - 0.0015986482653152*G0_1_0_1_2 + 0.00292945150088056*G0_1_0_1_3 - 0.00446220446220522*G0_1_0_1_4 - 0.00168593311450482*G0_1_0_1_5 + 0.00137862137862162*G0_1_0_1_6 + 0.000180771609343076*G0_1_0_1_7 - 0.00135388421102731*G0_1_0_1_8 - 0.00238237952523706*G0_1_0_1_9 + 0.00159864826531521*G0_1_0_2_0 - 0.0015986482653152*G0_1_0_2_1 + 0.00950160950161109*G0_1_0_2_3 - 0.0219336219336256*G0_1_0_2_4 - 0.00950160950161114*G0_1_0_2_5 + 0.0219336219336257*G0_1_0_2_6 - 0.000992340992341156*G0_1_0_2_7 + 0.000992340992341155*G0_1_0_2_8 + 0.00168593311450483*G0_1_0_3_0 + 0.00292945150088056*G0_1_0_3_1 + 0.00950160950161109*G0_1_0_3_2 + 0.0214985014985052*G0_1_0_3_3 + 0.0129270729270751*G0_1_0_3_4 - 0.00413586413586482*G0_1_0_3_6 - 0.00505779934351447*G0_1_0_3_7 + 0.00803482232053793*G0_1_0_3_8 + 0.0172627372627401*G0_1_0_3_9 - 0.00137862137862162*G0_1_0_4_0 - 0.00446220446220522*G0_1_0_4_1 - 0.0219336219336256*G0_1_0_4_2 + 0.0129270729270751*G0_1_0_4_3 - 0.058941058941069*G0_1_0_4_4 + 0.00413586413586484*G0_1_0_4_5 + 0.00355644355644415*G0_1_0_4_7 - 0.00297702297702345*G0_1_0_4_8 - 0.00827172827172965*G0_1_0_4_9 - 0.00292945150088058*G0_1_0_5_0 - 0.00168593311450482*G0_1_0_5_1 - 0.00950160950161113*G0_1_0_5_2 + 0.00413586413586484*G0_1_0_5_4 - 0.021498501498505*G0_1_0_5_5 - 0.0129270729270752*G0_1_0_5_6 - 0.00803482232053793*G0_1_0_5_7 + 0.00505779934351446*G0_1_0_5_8 - 0.0172627372627401*G0_1_0_5_9 + 0.00446220446220524*G0_1_0_6_0 + 0.00137862137862162*G0_1_0_6_1 + 0.0219336219336257*G0_1_0_6_2 - 0.00413586413586482*G0_1_0_6_3 - 0.0129270729270752*G0_1_0_6_5 + 0.058941058941069*G0_1_0_6_6 + 0.00297702297702348*G0_1_0_6_7 - 0.00355644355644414*G0_1_0_6_8 + 0.00827172827172965*G0_1_0_6_9 + 0.00135388421102729*G0_1_0_7_0 + 0.000180771609343076*G0_1_0_7_1 - 0.000992340992341156*G0_1_0_7_2 - 0.00505779934351447*G0_1_0_7_3 + 0.00355644355644415*G0_1_0_7_4 - 0.00803482232053793*G0_1_0_7_5 + 0.00297702297702348*G0_1_0_7_6 + 0.00145568716997309*G0_1_0_7_7 - 0.0131011845297581*G0_1_0_7_9 - 0.000180771609343068*G0_1_0_8_0 - 0.00135388421102731*G0_1_0_8_1 + 0.000992340992341155*G0_1_0_8_2 + 0.00803482232053793*G0_1_0_8_3 - 0.00297702297702345*G0_1_0_8_4 + 0.00505779934351446*G0_1_0_8_5 - 0.00355644355644414*G0_1_0_8_6 - 0.00145568716997323*G0_1_0_8_8 + 0.0131011845297581*G0_1_0_8_9 + 0.00238237952523706*G0_1_0_9_0 - 0.00238237952523706*G0_1_0_9_1 + 0.0172627372627401*G0_1_0_9_3 - 0.00827172827172965*G0_1_0_9_4 - 0.0172627372627401*G0_1_0_9_5 + 0.00827172827172965*G0_1_0_9_6 - 0.0131011845297581*G0_1_0_9_7 + 0.0131011845297581*G0_1_0_9_8 - 0.0216595045166511*G0_1_1_0_0 - 0.00283956783956834*G0_1_1_0_1 - 0.00180270346937045*G0_1_1_0_2 + 0.000987927416499021*G0_1_1_0_3 - 0.000975664547093294*G0_1_1_0_4 - 0.00556343127771792*G0_1_1_0_5 + 0.00319955177098088*G0_1_1_0_6 - 0.0138780795923676*G0_1_1_0_7 + 0.00411123268266193*G0_1_1_0_8 - 0.000303506017791806*G0_1_1_0_9 - 0.00283956783956834*G0_1_1_1_0 - 0.0237594151879909*G0_1_1_1_1 - 0.00340135173468566*G0_1_1_1_2 - 0.00263397977683742*G0_1_1_1_3 - 0.00126265269122432*G0_1_1_1_4 - 0.000698005698005798*G0_1_1_1_5 + 0.000402956831528321*G0_1_1_1_6 + 0.00429200429200507*G0_1_1_1_7 - 0.0152319638033951*G0_1_1_1_8 - 0.00268588554302887*G0_1_1_1_9 - 0.00180270346937045*G0_1_1_2_0 - 0.00340135173468566*G0_1_1_2_1 - 0.0534613534613625*G0_1_1_2_2 + 0.0133732933732956*G0_1_1_2_3 - 0.029942279942285*G0_1_1_2_4 + 0.00387168387168453*G0_1_1_2_5 - 0.00800865800865938*G0_1_1_2_6 - 0.000874495874496018*G0_1_1_2_7 + 0.000117845117845129*G0_1_1_2_8 - 0.0014496614496617*G0_1_1_2_9 + 0.000987927416499021*G0_1_1_3_0 - 0.00263397977683742*G0_1_1_3_1 + 0.0133732933732956*G0_1_1_3_2 + 0.00870177441606156*G0_1_1_3_3 + 0.0147335997336023*G0_1_1_3_4 - 0.00154464583036038*G0_1_1_3_5 + 0.0010106560106562*G0_1_1_3_6 - 0.000744255744255835*G0_1_1_3_7 - 0.00112173540744994*G0_1_1_3_8 + 0.00954616811759828*G0_1_1_3_9 - 0.000975664547093294*G0_1_1_4_0 - 0.00126265269122432*G0_1_1_4_1 - 0.029942279942285*G0_1_1_4_2 + 0.0147335997336023*G0_1_1_4_3 - 0.0446420246420323*G0_1_1_4_4 + 0.00514652014652103*G0_1_1_4_5 - 0.00615717615717724*G0_1_1_4_6 + 0.00166547737976336*G0_1_1_4_7 + 0.00186599115170578*G0_1_1_4_8 - 0.00594405594405695*G0_1_1_4_9 - 0.00556343127771792*G0_1_1_5_0 - 0.000698005698005798*G0_1_1_5_1 + 0.00387168387168453*G0_1_1_5_2 - 0.00154464583036038*G0_1_1_5_3 + 0.00514652014652103*G0_1_1_5_4 - 0.0127967270824434*G0_1_1_5_5 + 0.00180652680652711*G0_1_1_5_6 - 0.00915655772798782*G0_1_1_5_7 + 0.00431354359925861*G0_1_1_5_8 - 0.00771656914514183*G0_1_1_5_9 + 0.00319955177098088*G0_1_1_6_0 + 0.000402956831528321*G0_1_1_6_1 - 0.00800865800865938*G0_1_1_6_2 + 0.0010106560106562*G0_1_1_6_3 - 0.00615717615717724*G0_1_1_6_4 + 0.00180652680652711*G0_1_1_6_5 + 0.0142990342990367*G0_1_1_6_6 + 0.00484301412872923*G0_1_1_6_7 - 0.00189096617668078*G0_1_1_6_8 + 0.0023276723276727*G0_1_1_6_9 - 0.0138780795923676*G0_1_1_7_0 + 0.00429200429200507*G0_1_1_7_1 - 0.000874495874496018*G0_1_1_7_2 - 0.000744255744255835*G0_1_1_7_3 + 0.00166547737976336*G0_1_1_7_4 - 0.00915655772798782*G0_1_1_7_5 + 0.00484301412872923*G0_1_1_7_6 - 0.0392968935826145*G0_1_1_7_7 + 0.0218098568098606*G0_1_1_7_8 - 0.0087755102040831*G0_1_1_7_9 + 0.00411123268266193*G0_1_1_8_0 - 0.0152319638033951*G0_1_1_8_1 + 0.000117845117845129*G0_1_1_8_2 - 0.00112173540744994*G0_1_1_8_3 + 0.00186599115170578*G0_1_1_8_4 + 0.00431354359925861*G0_1_1_8_5 - 0.00189096617668078*G0_1_1_8_6 + 0.0218098568098606*G0_1_1_8_7 - 0.0407525807525878*G0_1_1_8_8 + 0.00432567432567502*G0_1_1_8_9 - 0.000303506017791806*G0_1_1_9_0 - 0.00268588554302887*G0_1_1_9_1 - 0.0014496614496617*G0_1_1_9_2 + 0.00954616811759828*G0_1_1_9_3 - 0.00594405594405695*G0_1_1_9_4 - 0.00771656914514183*G0_1_1_9_5 + 0.0023276723276727*G0_1_1_9_6 - 0.0087755102040831*G0_1_1_9_7 + 0.00432567432567502*G0_1_1_9_8 - 0.0127586699015292*G0_1_1_9_9;
    A[127] = A[113] - 0.000473600473600633*G0_0_1_0_0 + 0.000699335937431296*G0_0_1_0_1 + 0.00266005599338978*G0_0_1_0_2 - 0.00363446077731855*G0_0_1_0_3 + 0.0062661148375445*G0_0_1_0_4 - 0.0104162504162522*G0_0_1_0_5 + 0.0162047476333219*G0_0_1_0_6 - 0.00311688311688371*G0_0_1_0_7 + 0.000167451596023078*G0_0_1_0_8 + 0.00611198325484146*G0_0_1_0_9 + 0.000699335937431296*G0_0_1_1_0 + 0.00203309917595668*G0_0_1_1_1 - 0.000741974075307518*G0_0_1_1_2 - 0.00669362383648212*G0_0_1_1_3 + 0.00856349999207289*G0_0_1_1_4 - 0.00285999714571193*G0_0_1_1_5 + 0.0279244564958899*G0_0_1_1_6 - 0.00059813202670357*G0_0_1_1_7 - 0.00323739752311234*G0_0_1_1_8 + 0.0181494695780441*G0_0_1_1_9 + 0.00266005599338979*G0_0_1_2_0 - 0.00074197407530752*G0_0_1_2_1 + 0.000749867416534433*G0_0_1_2_2 + 0.00244200244200281*G0_0_1_2_3 - 0.00435120435120501*G0_0_1_2_4 - 0.0143412143412168*G0_0_1_2_5 + 0.0198912198912234*G0_0_1_2_6 - 0.00031968031968038*G0_0_1_2_7 + 0.00133200133200156*G0_0_1_2_8 - 0.00719280719280841*G0_0_1_2_9 - 0.00363446077731855*G0_0_1_3_0 - 0.00669362383648212*G0_0_1_3_1 + 0.00244200244200279*G0_0_1_3_2 + 0.0212815755672935*G0_0_1_3_3 - 0.0289310689310739*G0_0_1_3_4 + 0.0140088482945649*G0_0_1_3_5 - 0.0923076923077078*G0_0_1_3_6 + 0.00236905951191704*G0_0_1_3_7 + 0.0101612673041262*G0_0_1_3_8 - 0.0591865277579663*G0_0_1_3_9 + 0.0062661148375445*G0_0_1_4_0 + 0.00856349999207289*G0_0_1_4_1 - 0.00435120435120503*G0_0_1_4_2 - 0.0289310689310739*G0_0_1_4_3 + 0.0310089910089965*G0_0_1_4_4 - 0.027332667332672*G0_0_1_4_5 + 0.11964035964038*G0_0_1_4_6 - 0.00465249036677686*G0_0_1_4_7 - 0.0125303268160432*G0_0_1_4_8 + 0.0762437562437691*G0_0_1_4_9 - 0.0104162504162522*G0_0_1_5_0 - 0.00285999714571193*G0_0_1_5_1 - 0.0143412143412168*G0_0_1_5_2 + 0.0140088482945649*G0_0_1_5_3 - 0.027332667332672*G0_0_1_5_4 + 0.0684344227201487*G0_0_1_5_5 - 0.0659340659340771*G0_0_1_5_6 + 0.0075296132439002*G0_0_1_5_7 - 0.0184272869987187*G0_0_1_5_9 + 0.0162047476333219*G0_0_1_6_0 + 0.0279244564958899*G0_0_1_6_1 + 0.0198912198912234*G0_0_1_6_2 - 0.0923076923077078*G0_0_1_6_3 + 0.11964035964038*G0_0_1_6_4 - 0.0659340659340771*G0_0_1_6_5 + 0.624815184815291*G0_0_1_6_6 - 0.00757528186099734*G0_0_1_6_7 - 0.0396175253318177*G0_0_1_6_8 + 0.206193806193841*G0_0_1_6_9 - 0.00311688311688371*G0_0_1_7_0 - 0.000598132026703571*G0_0_1_7_1 - 0.00031968031968038*G0_0_1_7_2 + 0.00236905951191704*G0_0_1_7_3 - 0.00465249036677686*G0_0_1_7_4 + 0.0075296132439002*G0_0_1_7_5 - 0.00757528186099734*G0_0_1_7_6 - 0.00565149136577826*G0_0_1_7_7 + 0.000770657913515211*G0_0_1_7_8 - 0.00318538604252944*G0_0_1_7_9 + 0.000167451596023079*G0_0_1_8_0 - 0.00323739752311234*G0_0_1_8_1 + 0.00133200133200156*G0_0_1_8_2 + 0.0101612673041262*G0_0_1_8_3 - 0.0125303268160432*G0_0_1_8_4 - 0.0396175253318177*G0_0_1_8_6 + 0.00077065791351521*G0_0_1_8_7 + 0.00349364920793556*G0_0_1_8_8 - 0.0293877551020457*G0_0_1_8_9 + 0.00611198325484146*G0_0_1_9_0 + 0.0181494695780441*G0_0_1_9_1 - 0.00719280719280841*G0_0_1_9_2 - 0.0591865277579663*G0_0_1_9_3 + 0.0762437562437691*G0_0_1_9_4 - 0.0184272869987187*G0_0_1_9_5 + 0.206193806193841*G0_0_1_9_6 - 0.00318538604252944*G0_0_1_9_7 - 0.0293877551020458*G0_0_1_9_8 + 0.170161267304153*G0_0_1_9_9 + 0.000473600473600633*G0_1_0_0_0 - 0.000699335937431296*G0_1_0_0_1 - 0.00266005599338979*G0_1_0_0_2 + 0.00363446077731855*G0_1_0_0_3 - 0.0062661148375445*G0_1_0_0_4 + 0.0104162504162522*G0_1_0_0_5 - 0.0162047476333219*G0_1_0_0_6 + 0.00311688311688371*G0_1_0_0_7 - 0.000167451596023078*G0_1_0_0_8 - 0.00611198325484146*G0_1_0_0_9 - 0.000699335937431296*G0_1_0_1_0 - 0.00203309917595668*G0_1_0_1_1 + 0.000741974075307518*G0_1_0_1_2 + 0.00669362383648212*G0_1_0_1_3 - 0.00856349999207289*G0_1_0_1_4 + 0.00285999714571193*G0_1_0_1_5 - 0.0279244564958899*G0_1_0_1_6 + 0.00059813202670357*G0_1_0_1_7 + 0.00323739752311234*G0_1_0_1_8 - 0.0181494695780441*G0_1_0_1_9 - 0.00266005599338979*G0_1_0_2_0 + 0.00074197407530752*G0_1_0_2_1 - 0.000749867416534489*G0_1_0_2_2 - 0.00244200244200281*G0_1_0_2_3 + 0.00435120435120501*G0_1_0_2_4 + 0.0143412143412168*G0_1_0_2_5 - 0.0198912198912234*G0_1_0_2_6 + 0.00031968031968038*G0_1_0_2_7 - 0.00133200133200156*G0_1_0_2_8 + 0.00719280719280841*G0_1_0_2_9 + 0.00363446077731855*G0_1_0_3_0 + 0.00669362383648212*G0_1_0_3_1 - 0.00244200244200279*G0_1_0_3_2 - 0.0212815755672935*G0_1_0_3_3 + 0.0289310689310739*G0_1_0_3_4 - 0.0140088482945649*G0_1_0_3_5 + 0.0923076923077078*G0_1_0_3_6 - 0.00236905951191704*G0_1_0_3_7 - 0.0101612673041262*G0_1_0_3_8 + 0.0591865277579663*G0_1_0_3_9 - 0.0062661148375445*G0_1_0_4_0 - 0.00856349999207289*G0_1_0_4_1 + 0.00435120435120503*G0_1_0_4_2 + 0.0289310689310739*G0_1_0_4_3 - 0.0310089910089965*G0_1_0_4_4 + 0.027332667332672*G0_1_0_4_5 - 0.11964035964038*G0_1_0_4_6 + 0.00465249036677686*G0_1_0_4_7 + 0.0125303268160432*G0_1_0_4_8 - 0.0762437562437691*G0_1_0_4_9 + 0.0104162504162522*G0_1_0_5_0 + 0.00285999714571193*G0_1_0_5_1 + 0.0143412143412168*G0_1_0_5_2 - 0.0140088482945649*G0_1_0_5_3 + 0.027332667332672*G0_1_0_5_4 - 0.0684344227201487*G0_1_0_5_5 + 0.0659340659340771*G0_1_0_5_6 - 0.0075296132439002*G0_1_0_5_7 + 0.0184272869987187*G0_1_0_5_9 - 0.0162047476333219*G0_1_0_6_0 - 0.0279244564958899*G0_1_0_6_1 - 0.0198912198912234*G0_1_0_6_2 + 0.0923076923077078*G0_1_0_6_3 - 0.11964035964038*G0_1_0_6_4 + 0.0659340659340771*G0_1_0_6_5 - 0.624815184815291*G0_1_0_6_6 + 0.00757528186099734*G0_1_0_6_7 + 0.0396175253318177*G0_1_0_6_8 - 0.206193806193841*G0_1_0_6_9 + 0.00311688311688371*G0_1_0_7_0 + 0.000598132026703571*G0_1_0_7_1 + 0.00031968031968038*G0_1_0_7_2 - 0.00236905951191704*G0_1_0_7_3 + 0.00465249036677686*G0_1_0_7_4 - 0.0075296132439002*G0_1_0_7_5 + 0.00757528186099734*G0_1_0_7_6 + 0.00565149136577826*G0_1_0_7_7 - 0.00077065791351521*G0_1_0_7_8 + 0.00318538604252944*G0_1_0_7_9 - 0.000167451596023079*G0_1_0_8_0 + 0.00323739752311234*G0_1_0_8_1 - 0.00133200133200156*G0_1_0_8_2 - 0.0101612673041262*G0_1_0_8_3 + 0.0125303268160432*G0_1_0_8_4 + 0.0396175253318177*G0_1_0_8_6 - 0.00077065791351521*G0_1_0_8_7 - 0.00349364920793556*G0_1_0_8_8 + 0.0293877551020457*G0_1_0_8_9 - 0.00611198325484146*G0_1_0_9_0 - 0.0181494695780441*G0_1_0_9_1 + 0.00719280719280841*G0_1_0_9_2 + 0.0591865277579663*G0_1_0_9_3 - 0.0762437562437691*G0_1_0_9_4 + 0.0184272869987187*G0_1_0_9_5 - 0.206193806193841*G0_1_0_9_6 + 0.00318538604252944*G0_1_0_9_7 + 0.0293877551020458*G0_1_0_9_8 - 0.170161267304153*G0_1_0_9_9;
    A[62] = -A[107] - 0.00151284341760561*G0_0_1_0_0 - 0.00231632564965937*G0_0_1_0_2 - 0.000520431949003474*G0_0_1_0_3 + 0.000449550449550548*G0_0_1_0_4 + 0.00243106100248998*G0_0_1_0_5 - 0.00889332889333042*G0_0_1_0_6 - 0.000586873444016425*G0_0_1_0_7 + 0.000544851973423507*G0_0_1_0_8 - 0.00207601921887671*G0_0_1_0_9 + 0.0015128434176056*G0_0_1_1_1 + 0.00231632564965939*G0_0_1_1_2 - 0.00243106100248999*G0_0_1_1_3 + 0.00889332889333042*G0_0_1_1_4 + 0.000520431949003468*G0_0_1_1_5 - 0.000449550449550529*G0_0_1_1_6 - 0.000544851973423503*G0_0_1_1_7 + 0.000586873444016414*G0_0_1_1_8 + 0.00207601921887672*G0_0_1_1_9 - 0.00231632564965937*G0_0_1_2_0 + 0.00231632564965939*G0_0_1_2_1 - 0.011899211899214*G0_0_1_2_3 + 0.0381840381840448*G0_0_1_2_4 + 0.0118992118992139*G0_0_1_2_5 - 0.0381840381840446*G0_0_1_2_6 - 0.000502830502830593*G0_0_1_2_7 + 0.000502830502830584*G0_0_1_2_8 - 0.000520431949003474*G0_0_1_3_0 - 0.00243106100248999*G0_0_1_3_1 - 0.011899211899214*G0_0_1_3_2 + 0.0075524475524489*G0_0_1_3_3 - 0.0445054945055021*G0_0_1_3_4 + 0.00134865134865151*G0_0_1_3_6 + 0.00156129584701039*G0_0_1_3_7 - 0.00935064935065094*G0_0_1_3_9 + 0.000449550449550548*G0_0_1_4_0 + 0.00889332889333043*G0_0_1_4_1 + 0.0381840381840448*G0_0_1_4_2 - 0.0445054945055021*G0_0_1_4_3 + 0.0998001998002171*G0_0_1_4_4 - 0.00134865134865162*G0_0_1_4_5 - 0.00150849150849177*G0_0_1_4_8 + 0.00269730269730319*G0_0_1_4_9 + 0.00243106100248998*G0_0_1_5_0 + 0.000520431949003468*G0_0_1_5_1 + 0.0118992118992139*G0_0_1_5_2 - 0.00134865134865162*G0_0_1_5_4 - 0.0075524475524488*G0_0_1_5_5 + 0.0445054945055021*G0_0_1_5_6 - 0.00156129584701039*G0_0_1_5_8 + 0.00935064935065092*G0_0_1_5_9 - 0.00889332889333042*G0_0_1_6_0 - 0.000449550449550528*G0_0_1_6_1 - 0.0381840381840446*G0_0_1_6_2 + 0.00134865134865151*G0_0_1_6_3 + 0.0445054945055021*G0_0_1_6_5 - 0.0998001998002167*G0_0_1_6_6 + 0.00150849150849177*G0_0_1_6_7 - 0.00269730269730307*G0_0_1_6_9 - 0.000586873444016425*G0_0_1_7_0 - 0.000544851973423503*G0_0_1_7_1 - 0.000502830502830593*G0_0_1_7_2 + 0.00156129584701039*G0_0_1_7_3 + 0.00150849150849177*G0_0_1_7_6 - 0.00235478806907428*G0_0_1_7_7 + 0.0032110746396466*G0_0_1_7_9 + 0.000544851973423507*G0_0_1_8_0 + 0.000586873444016414*G0_0_1_8_1 + 0.000502830502830584*G0_0_1_8_2 - 0.00150849150849177*G0_0_1_8_4 - 0.00156129584701039*G0_0_1_8_5 + 0.00235478806907419*G0_0_1_8_8 - 0.00321107463964662*G0_0_1_8_9 - 0.00207601921887671*G0_0_1_9_0 + 0.00207601921887672*G0_0_1_9_1 - 0.00935064935065094*G0_0_1_9_3 + 0.00269730269730319*G0_0_1_9_4 + 0.00935064935065092*G0_0_1_9_5 - 0.00269730269730307*G0_0_1_9_6 + 0.0032110746396466*G0_0_1_9_7 - 0.00321107463964662*G0_0_1_9_8 + 0.016702406940505*G0_1_1_0_0 + 0.00242005128909933*G0_1_1_0_1 + 0.00303250761584147*G0_1_1_0_2 + 0.000919655741084461*G0_1_1_0_3 + 0.000175399996828614*G0_1_1_0_4 + 0.00550691372120036*G0_1_1_0_5 - 0.00495048602191544*G0_1_1_0_6 + 0.0106597767312071*G0_1_1_0_7 - 0.00285337678194867*G0_1_1_0_8 + 0.000553256267542094*G0_1_1_0_9 + 0.00242005128909933*G0_1_1_1_0 + 0.0182152503581108*G0_1_1_1_1 + 0.00534883326550085*G0_1_1_1_2 + 0.00307585271871043*G0_1_1_1_3 + 0.00394284287141496*G0_1_1_1_4 + 0.00144008769008792*G0_1_1_1_5 - 0.000274150452721921*G0_1_1_1_6 - 0.00339822875537224*G0_1_1_1_7 + 0.0112466501752236*G0_1_1_1_8 + 0.00262927548641881*G0_1_1_1_9 + 0.00303250761584147*G0_1_1_2_0 + 0.00534883326550085*G0_1_1_2_1 + 0.110111801778487*G0_1_1_2_2 - 0.0202702852702887*G0_1_1_2_3 + 0.0522463647463736*G0_1_1_2_4 - 0.00837107337107476*G0_1_1_2_5 + 0.0140623265623289*G0_1_1_2_6 + 0.00072080697080709*G0_1_1_2_7 + 0.00122363747363769*G0_1_1_2_8 + 0.00402430902430969*G0_1_1_2_9 + 0.000919655741084461*G0_1_1_3_0 + 0.00307585271871043*G0_1_1_3_1 - 0.0202702852702887*G0_1_1_3_2 + 0.0315513058370256*G0_1_1_3_3 - 0.0392470029970097*G0_1_1_3_4 - 0.00173790495219095*G0_1_1_3_5 - 0.00278096903096951*G0_1_1_3_6 - 0.00636238761238871*G0_1_1_3_7 + 0.013636720422437*G0_1_1_3_8 + 0.00483694876552099*G0_1_1_3_9 + 0.000175399996828614*G0_1_1_4_0 + 0.00394284287141496*G0_1_1_4_1 + 0.0522463647463736*G0_1_1_4_2 - 0.0392470029970097*G0_1_1_4_3 + 0.0674275724275841*G0_1_1_4_4 - 0.00412962037962109*G0_1_1_4_5 + 0.00691058941059061*G0_1_1_4_6 + 0.000457399743114114*G0_1_1_4_7 - 0.00727433281004833*G0_1_1_4_8 - 0.0038136863136869*G0_1_1_4_9 + 0.00550691372120036*G0_1_1_5_0 + 0.00144008769008792*G0_1_1_5_1 - 0.00837107337107475*G0_1_1_5_2 - 0.00173790495219095*G0_1_1_5_3 - 0.00412962037962109*G0_1_1_5_4 + 0.0239988582845765*G0_1_1_5_5 + 0.00525849150849249*G0_1_1_5_6 + 0.0136895247609556*G0_1_1_5_7 - 0.00792368345939906*G0_1_1_5_8 + 0.0141875981161719*G0_1_1_5_9 - 0.00495048602191544*G0_1_1_6_0 - 0.000274150452721922*G0_1_1_6_1 + 0.0140623265623289*G0_1_1_6_2 - 0.00278096903096951*G0_1_1_6_3 + 0.00691058941059061*G0_1_1_6_4 + 0.00525849150849249*G0_1_1_6_5 - 0.0323726273726329*G0_1_1_6_6 - 0.00576584130155654*G0_1_1_6_7 + 0.000377479663194005*G0_1_1_6_8 - 0.00651098901099003*G0_1_1_6_9 + 0.0106597767312071*G0_1_1_7_0 - 0.00339822875537224*G0_1_1_7_1 + 0.00072080697080709*G0_1_1_7_2 - 0.00636238761238871*G0_1_1_7_3 + 0.000457399743114115*G0_1_1_7_4 + 0.0136895247609556*G0_1_1_7_5 - 0.00576584130155654*G0_1_1_7_6 + 0.0589481946624903*G0_1_1_7_7 - 0.0206249108034858*G0_1_1_7_8 + 0.00987191380048687*G0_1_1_7_9 - 0.00285337678194867*G0_1_1_8_0 + 0.0112466501752236*G0_1_1_8_1 + 0.00122363747363769*G0_1_1_8_2 + 0.013636720422437*G0_1_1_8_3 - 0.00727433281004833*G0_1_1_8_4 - 0.00792368345939906*G0_1_1_8_5 + 0.000377479663194005*G0_1_1_8_6 - 0.0206249108034858*G0_1_1_8_7 + 0.0613029827315647*G0_1_1_8_8 + 0.00666083916084028*G0_1_1_8_9 + 0.000553256267542095*G0_1_1_9_0 + 0.00262927548641881*G0_1_1_9_1 + 0.00402430902430969*G0_1_1_9_2 + 0.00483694876552099*G0_1_1_9_3 - 0.0038136863136869*G0_1_1_9_4 + 0.0141875981161719*G0_1_1_9_5 - 0.00651098901099003*G0_1_1_9_6 + 0.00987191380048687*G0_1_1_9_7 + 0.00666083916084028*G0_1_1_9_8 + 0.0485129156557809*G0_1_1_9_9;
    A[44] = A[212] - 0.00151284341760561*G0_0_1_0_0 - 0.00231632564965936*G0_0_1_0_2 - 0.000520431949003479*G0_0_1_0_3 + 0.00044955044955056*G0_0_1_0_4 + 0.00243106100248997*G0_0_1_0_5 - 0.0088933288933304*G0_0_1_0_6 - 0.000586873444016426*G0_0_1_0_7 + 0.000544851973423506*G0_0_1_0_8 - 0.00207601921887671*G0_0_1_0_9 + 0.0015128434176056*G0_0_1_1_1 + 0.0023163256496594*G0_0_1_1_2 - 0.00243106100249*G0_0_1_1_3 + 0.00889332889333044*G0_0_1_1_4 + 0.000520431949003462*G0_0_1_1_5 - 0.000449550449550515*G0_0_1_1_6 - 0.000544851973423503*G0_0_1_1_7 + 0.000586873444016413*G0_0_1_1_8 + 0.00207601921887673*G0_0_1_1_9 - 0.00231632564965936*G0_0_1_2_0 + 0.0023163256496594*G0_0_1_2_1 - 0.011899211899214*G0_0_1_2_3 + 0.0381840381840449*G0_0_1_2_4 + 0.0118992118992138*G0_0_1_2_5 - 0.0381840381840445*G0_0_1_2_6 - 0.000502830502830597*G0_0_1_2_7 + 0.000502830502830581*G0_0_1_2_8 - 0.000520431949003479*G0_0_1_3_0 - 0.00243106100249*G0_0_1_3_1 - 0.011899211899214*G0_0_1_3_2 + 0.00755244755244894*G0_0_1_3_3 - 0.0445054945055022*G0_0_1_3_4 + 0.00134865134865147*G0_0_1_3_6 + 0.00156129584701039*G0_0_1_3_7 - 0.00935064935065096*G0_0_1_3_9 + 0.000449550449550559*G0_0_1_4_0 + 0.00889332889333044*G0_0_1_4_1 + 0.0381840381840449*G0_0_1_4_2 - 0.0445054945055022*G0_0_1_4_3 + 0.0998001998002172*G0_0_1_4_4 - 0.00134865134865167*G0_0_1_4_5 - 0.00150849150849177*G0_0_1_4_8 + 0.00269730269730321*G0_0_1_4_9 + 0.00243106100248997*G0_0_1_5_0 + 0.000520431949003462*G0_0_1_5_1 + 0.0118992118992138*G0_0_1_5_2 - 0.00134865134865167*G0_0_1_5_4 - 0.00755244755244877*G0_0_1_5_5 + 0.044505494505502*G0_0_1_5_6 - 0.00156129584701039*G0_0_1_5_8 + 0.00935064935065092*G0_0_1_5_9 - 0.0088933288933304*G0_0_1_6_0 - 0.000449550449550515*G0_0_1_6_1 - 0.0381840381840445*G0_0_1_6_2 + 0.00134865134865147*G0_0_1_6_3 + 0.044505494505502*G0_0_1_6_5 - 0.0998001998002165*G0_0_1_6_6 + 0.00150849150849176*G0_0_1_6_7 - 0.00269730269730304*G0_0_1_6_9 - 0.000586873444016426*G0_0_1_7_0 - 0.000544851973423503*G0_0_1_7_1 - 0.000502830502830597*G0_0_1_7_2 + 0.00156129584701039*G0_0_1_7_3 + 0.00150849150849176*G0_0_1_7_6 - 0.00235478806907428*G0_0_1_7_7 + 0.0032110746396466*G0_0_1_7_9 + 0.000544851973423506*G0_0_1_8_0 + 0.000586873444016413*G0_0_1_8_1 + 0.000502830502830581*G0_0_1_8_2 - 0.00150849150849177*G0_0_1_8_4 - 0.00156129584701039*G0_0_1_8_5 + 0.00235478806907419*G0_0_1_8_8 - 0.00321107463964662*G0_0_1_8_9 - 0.00207601921887671*G0_0_1_9_0 + 0.00207601921887672*G0_0_1_9_1 - 0.00935064935065096*G0_0_1_9_3 + 0.00269730269730321*G0_0_1_9_4 + 0.00935064935065092*G0_0_1_9_5 - 0.00269730269730304*G0_0_1_9_6 + 0.0032110746396466*G0_0_1_9_7 - 0.00321107463964662*G0_0_1_9_8 + 0.00151284341760561*G0_1_0_0_0 + 0.00231632564965936*G0_1_0_0_2 + 0.000520431949003479*G0_1_0_0_3 - 0.00044955044955056*G0_1_0_0_4 - 0.00243106100248997*G0_1_0_0_5 + 0.0088933288933304*G0_1_0_0_6 + 0.000586873444016426*G0_1_0_0_7 - 0.000544851973423506*G0_1_0_0_8 + 0.00207601921887671*G0_1_0_0_9 - 0.0015128434176056*G0_1_0_1_1 - 0.0023163256496594*G0_1_0_1_2 + 0.00243106100249*G0_1_0_1_3 - 0.00889332889333044*G0_1_0_1_4 - 0.000520431949003462*G0_1_0_1_5 + 0.000449550449550515*G0_1_0_1_6 + 0.000544851973423503*G0_1_0_1_7 - 0.000586873444016413*G0_1_0_1_8 - 0.00207601921887673*G0_1_0_1_9 + 0.00231632564965936*G0_1_0_2_0 - 0.0023163256496594*G0_1_0_2_1 + 0.011899211899214*G0_1_0_2_3 - 0.0381840381840449*G0_1_0_2_4 - 0.0118992118992138*G0_1_0_2_5 + 0.0381840381840445*G0_1_0_2_6 + 0.000502830502830597*G0_1_0_2_7 - 0.000502830502830581*G0_1_0_2_8 + 0.000520431949003479*G0_1_0_3_0 + 0.00243106100249*G0_1_0_3_1 + 0.011899211899214*G0_1_0_3_2 - 0.00755244755244894*G0_1_0_3_3 + 0.0445054945055022*G0_1_0_3_4 - 0.00134865134865147*G0_1_0_3_6 - 0.00156129584701039*G0_1_0_3_7 + 0.00935064935065096*G0_1_0_3_9 - 0.000449550449550559*G0_1_0_4_0 - 0.00889332889333044*G0_1_0_4_1 - 0.0381840381840449*G0_1_0_4_2 + 0.0445054945055022*G0_1_0_4_3 - 0.0998001998002172*G0_1_0_4_4 + 0.00134865134865167*G0_1_0_4_5 + 0.00150849150849177*G0_1_0_4_8 - 0.00269730269730321*G0_1_0_4_9 - 0.00243106100248997*G0_1_0_5_0 - 0.000520431949003462*G0_1_0_5_1 - 0.0118992118992138*G0_1_0_5_2 + 0.00134865134865167*G0_1_0_5_4 + 0.00755244755244877*G0_1_0_5_5 - 0.044505494505502*G0_1_0_5_6 + 0.00156129584701039*G0_1_0_5_8 - 0.00935064935065092*G0_1_0_5_9 + 0.0088933288933304*G0_1_0_6_0 + 0.000449550449550514*G0_1_0_6_1 + 0.0381840381840445*G0_1_0_6_2 - 0.00134865134865147*G0_1_0_6_3 - 0.044505494505502*G0_1_0_6_5 + 0.0998001998002165*G0_1_0_6_6 - 0.00150849150849176*G0_1_0_6_7 + 0.00269730269730304*G0_1_0_6_9 + 0.000586873444016426*G0_1_0_7_0 + 0.000544851973423503*G0_1_0_7_1 + 0.000502830502830597*G0_1_0_7_2 - 0.00156129584701039*G0_1_0_7_3 - 0.00150849150849176*G0_1_0_7_6 + 0.00235478806907428*G0_1_0_7_7 - 0.0032110746396466*G0_1_0_7_9 - 0.000544851973423506*G0_1_0_8_0 - 0.000586873444016413*G0_1_0_8_1 - 0.000502830502830581*G0_1_0_8_2 + 0.00150849150849177*G0_1_0_8_4 + 0.00156129584701039*G0_1_0_8_5 - 0.00235478806907419*G0_1_0_8_8 + 0.00321107463964662*G0_1_0_8_9 + 0.00207601921887671*G0_1_0_9_0 - 0.00207601921887673*G0_1_0_9_1 + 0.00935064935065096*G0_1_0_9_3 - 0.00269730269730321*G0_1_0_9_4 - 0.00935064935065092*G0_1_0_9_5 + 0.00269730269730304*G0_1_0_9_6 - 0.0032110746396466*G0_1_0_9_7 + 0.00321107463964662*G0_1_0_9_8;
    A[141] = A[99] + 0.294322960989678*G0_0_1_0_0 + 0.00879614212947701*G0_0_1_0_1 + 0.00879614212947697*G0_0_1_0_2 - 0.000666000666000888*G0_0_1_0_3 - 0.000666000666000769*G0_0_1_0_4 + 0.0811632811632953*G0_0_1_0_5 - 0.0395160395160464*G0_0_1_0_6 + 0.0811632811632952*G0_0_1_0_7 - 0.0395160395160464*G0_0_1_0_8 + 0.00426240426240517*G0_0_1_0_9 + 0.00879614212947701*G0_0_1_1_0 - 0.001841403746166*G0_0_1_1_1 - 0.00107419916943745*G0_0_1_1_2 + 0.000279085993371693*G0_0_1_1_3 + 0.00136371564943019*G0_0_1_1_4 - 0.0102031302031319*G0_0_1_1_5 + 0.00370296370296431*G0_0_1_1_6 - 0.00737928737928855*G0_0_1_1_7 + 0.00298368298368344*G0_0_1_1_8 - 0.00868464868465015*G0_0_1_1_9 + 0.00879614212947697*G0_0_1_2_0 - 0.00107419916943745*G0_0_1_2_1 - 0.00184140374616599*G0_0_1_2_2 + 0.00136371564943017*G0_0_1_2_3 + 0.000279085993371728*G0_0_1_2_4 - 0.00737928737928859*G0_0_1_2_5 + 0.00298368298368346*G0_0_1_2_6 - 0.0102031302031319*G0_0_1_2_7 + 0.00370296370296432*G0_0_1_2_8 - 0.00868464868465015*G0_0_1_2_9 - 0.000666000666000888*G0_0_1_3_0 + 0.000279085993371693*G0_0_1_3_1 + 0.00136371564943017*G0_0_1_3_2 - 0.00632510346796204*G0_0_1_3_3 - 0.000468103325246197*G0_0_1_3_4 + 0.0130269730269752*G0_0_1_3_5 - 0.0045554445554453*G0_0_1_3_6 + 0.00855144855144999*G0_0_1_3_7 - 0.00399600399600469*G0_0_1_3_8 + 0.00895104895105042*G0_0_1_3_9 - 0.00066600066600077*G0_0_1_4_0 + 0.00136371564943019*G0_0_1_4_1 + 0.000279085993371728*G0_0_1_4_2 - 0.000468103325246198*G0_0_1_4_3 - 0.00632510346796197*G0_0_1_4_4 + 0.00855144855145002*G0_0_1_4_5 - 0.00399600399600469*G0_0_1_4_6 + 0.0130269730269752*G0_0_1_4_7 - 0.00455544455544532*G0_0_1_4_8 + 0.00895104895105046*G0_0_1_4_9 + 0.0811632811632953*G0_0_1_5_0 - 0.0102031302031319*G0_0_1_5_1 - 0.00737928737928859*G0_0_1_5_2 + 0.0130269730269752*G0_0_1_5_3 + 0.00855144855145002*G0_0_1_5_4 - 0.148651348651373*G0_0_1_5_5 + 0.0307692307692358*G0_0_1_5_6 - 0.0743256743256865*G0_0_1_5_7 + 0.0371628371628433*G0_0_1_5_8 - 0.0871128871129017*G0_0_1_5_9 - 0.0395160395160464*G0_0_1_6_0 + 0.00370296370296431*G0_0_1_6_1 + 0.00298368298368346*G0_0_1_6_2 - 0.0045554445554453*G0_0_1_6_3 - 0.00399600399600469*G0_0_1_6_4 + 0.0307692307692358*G0_0_1_6_5 - 0.010389610389612*G0_0_1_6_6 + 0.0371628371628433*G0_0_1_6_7 - 0.0143856143856168*G0_0_1_6_8 + 0.0351648351648411*G0_0_1_6_9 + 0.0811632811632952*G0_0_1_7_0 - 0.00737928737928855*G0_0_1_7_1 - 0.0102031302031319*G0_0_1_7_2 + 0.00855144855144999*G0_0_1_7_3 + 0.0130269730269752*G0_0_1_7_4 - 0.0743256743256865*G0_0_1_7_5 + 0.0371628371628433*G0_0_1_7_6 - 0.148651348651373*G0_0_1_7_7 + 0.0307692307692358*G0_0_1_7_8 - 0.0871128871129017*G0_0_1_7_9 - 0.0395160395160464*G0_0_1_8_0 + 0.00298368298368344*G0_0_1_8_1 + 0.00370296370296432*G0_0_1_8_2 - 0.00399600399600469*G0_0_1_8_3 - 0.00455544455544532*G0_0_1_8_4 + 0.0371628371628433*G0_0_1_8_5 - 0.0143856143856168*G0_0_1_8_6 + 0.0307692307692357*G0_0_1_8_7 - 0.0103896103896121*G0_0_1_8_8 + 0.0351648351648411*G0_0_1_8_9 + 0.00426240426240517*G0_0_1_9_0 - 0.00868464868465015*G0_0_1_9_1 - 0.00868464868465015*G0_0_1_9_2 + 0.00895104895105042*G0_0_1_9_3 + 0.00895104895105046*G0_0_1_9_4 - 0.0871128871129017*G0_0_1_9_5 + 0.0351648351648411*G0_0_1_9_6 - 0.0871128871129017*G0_0_1_9_7 + 0.0351648351648411*G0_0_1_9_8 - 0.0671328671328785*G0_0_1_9_9 - 0.294322960989678*G0_1_0_0_0 - 0.008796142129477*G0_1_0_0_1 - 0.00879614212947697*G0_1_0_0_2 + 0.000666000666000888*G0_1_0_0_3 + 0.000666000666000769*G0_1_0_0_4 - 0.0811632811632952*G0_1_0_0_5 + 0.0395160395160464*G0_1_0_0_6 - 0.0811632811632952*G0_1_0_0_7 + 0.0395160395160464*G0_1_0_0_8 - 0.00426240426240517*G0_1_0_0_9 - 0.00879614212947701*G0_1_0_1_0 + 0.001841403746166*G0_1_0_1_1 + 0.00107419916943745*G0_1_0_1_2 - 0.000279085993371693*G0_1_0_1_3 - 0.00136371564943019*G0_1_0_1_4 + 0.0102031302031319*G0_1_0_1_5 - 0.00370296370296431*G0_1_0_1_6 + 0.00737928737928855*G0_1_0_1_7 - 0.00298368298368344*G0_1_0_1_8 + 0.00868464868465015*G0_1_0_1_9 - 0.00879614212947697*G0_1_0_2_0 + 0.00107419916943745*G0_1_0_2_1 + 0.00184140374616599*G0_1_0_2_2 - 0.00136371564943017*G0_1_0_2_3 - 0.000279085993371728*G0_1_0_2_4 + 0.00737928737928859*G0_1_0_2_5 - 0.00298368298368346*G0_1_0_2_6 + 0.0102031302031319*G0_1_0_2_7 - 0.00370296370296432*G0_1_0_2_8 + 0.00868464868465015*G0_1_0_2_9 + 0.000666000666000888*G0_1_0_3_0 - 0.000279085993371693*G0_1_0_3_1 - 0.00136371564943017*G0_1_0_3_2 + 0.00632510346796205*G0_1_0_3_3 + 0.000468103325246199*G0_1_0_3_4 - 0.0130269730269752*G0_1_0_3_5 + 0.0045554445554453*G0_1_0_3_6 - 0.00855144855144999*G0_1_0_3_7 + 0.00399600399600469*G0_1_0_3_8 - 0.00895104895105042*G0_1_0_3_9 + 0.000666000666000769*G0_1_0_4_0 - 0.00136371564943019*G0_1_0_4_1 - 0.000279085993371728*G0_1_0_4_2 + 0.000468103325246198*G0_1_0_4_3 + 0.00632510346796197*G0_1_0_4_4 - 0.00855144855145002*G0_1_0_4_5 + 0.00399600399600469*G0_1_0_4_6 - 0.0130269730269752*G0_1_0_4_7 + 0.00455544455544532*G0_1_0_4_8 - 0.00895104895105046*G0_1_0_4_9 - 0.0811632811632952*G0_1_0_5_0 + 0.0102031302031319*G0_1_0_5_1 + 0.00737928737928859*G0_1_0_5_2 - 0.0130269730269752*G0_1_0_5_3 - 0.00855144855145002*G0_1_0_5_4 + 0.148651348651373*G0_1_0_5_5 - 0.0307692307692358*G0_1_0_5_6 + 0.0743256743256865*G0_1_0_5_7 - 0.0371628371628433*G0_1_0_5_8 + 0.0871128871129017*G0_1_0_5_9 + 0.0395160395160464*G0_1_0_6_0 - 0.00370296370296431*G0_1_0_6_1 - 0.00298368298368346*G0_1_0_6_2 + 0.0045554445554453*G0_1_0_6_3 + 0.00399600399600469*G0_1_0_6_4 - 0.0307692307692358*G0_1_0_6_5 + 0.010389610389612*G0_1_0_6_6 - 0.0371628371628433*G0_1_0_6_7 + 0.0143856143856168*G0_1_0_6_8 - 0.0351648351648411*G0_1_0_6_9 - 0.0811632811632952*G0_1_0_7_0 + 0.00737928737928855*G0_1_0_7_1 + 0.0102031302031319*G0_1_0_7_2 - 0.00855144855144999*G0_1_0_7_3 - 0.0130269730269752*G0_1_0_7_4 + 0.0743256743256865*G0_1_0_7_5 - 0.0371628371628433*G0_1_0_7_6 + 0.148651348651373*G0_1_0_7_7 - 0.0307692307692358*G0_1_0_7_8 + 0.0871128871129017*G0_1_0_7_9 + 0.0395160395160464*G0_1_0_8_0 - 0.00298368298368344*G0_1_0_8_1 - 0.00370296370296432*G0_1_0_8_2 + 0.00399600399600469*G0_1_0_8_3 + 0.00455544455544532*G0_1_0_8_4 - 0.0371628371628433*G0_1_0_8_5 + 0.0143856143856168*G0_1_0_8_6 - 0.0307692307692358*G0_1_0_8_7 + 0.0103896103896121*G0_1_0_8_8 - 0.0351648351648411*G0_1_0_8_9 - 0.00426240426240517*G0_1_0_9_0 + 0.00868464868465015*G0_1_0_9_1 + 0.00868464868465015*G0_1_0_9_2 - 0.00895104895105042*G0_1_0_9_3 - 0.00895104895105046*G0_1_0_9_4 + 0.0871128871129017*G0_1_0_9_5 - 0.0351648351648411*G0_1_0_9_6 + 0.0871128871129017*G0_1_0_9_7 - 0.0351648351648411*G0_1_0_9_8 + 0.0671328671328785*G0_1_0_9_9;
    A[78] = A[50] + 0.00129789082170057*G0_0_1_0_0 + 0.000269783126926026*G0_0_1_0_1 + 0.000269783126926022*G0_0_1_0_2 + 0.00593861165289838*G0_0_1_0_3 + 0.00593861165289839*G0_0_1_0_4 - 0.00258027686599159*G0_0_1_0_5 + 0.00237476808905421*G0_0_1_0_6 - 0.00258027686599159*G0_0_1_0_7 + 0.00237476808905419*G0_0_1_0_8 + 0.0124523095951689*G0_0_1_0_9 + 0.000269783126926026*G0_0_1_1_0 - 0.00449920449920535*G0_0_1_1_1 + 0.000959604769128731*G0_0_1_1_2 + 0.00864320864321011*G0_0_1_1_3 + 0.00761312761312892*G0_0_1_1_4 - 0.00216503073645967*G0_0_1_1_5 + 0.00334311191454105*G0_0_1_1_6 + 0.00105376105376126*G0_0_1_1_7 - 0.00544640544640643*G0_0_1_1_8 + 0.00305472305472359*G0_0_1_1_9 + 0.000269783126926022*G0_0_1_2_0 + 0.000959604769128731*G0_0_1_2_1 - 0.00449920449920541*G0_0_1_2_2 + 0.00761312761312893*G0_0_1_2_3 + 0.00864320864321005*G0_0_1_2_4 + 0.00105376105376127*G0_0_1_2_5 - 0.00544640544640645*G0_0_1_2_6 - 0.00216503073645967*G0_0_1_2_7 + 0.00334311191454104*G0_0_1_2_8 + 0.00305472305472355*G0_0_1_2_9 + 0.00593861165289838*G0_0_1_3_0 + 0.00864320864321011*G0_0_1_3_1 + 0.00761312761312893*G0_0_1_3_2 + 0.186267066267098*G0_0_1_3_3 - 0.0987051044194067*G0_0_1_3_4 - 0.00101993244850403*G0_0_1_3_5 - 0.0193102135959311*G0_0_1_3_6 - 0.0270967128110031*G0_0_1_3_7 + 0.0464069264069342*G0_0_1_3_8 + 0.0450292564578355*G0_0_1_3_9 + 0.00593861165289839*G0_0_1_4_0 + 0.00761312761312892*G0_0_1_4_1 + 0.00864320864321005*G0_0_1_4_2 - 0.0987051044194067*G0_0_1_4_3 + 0.186267066267098*G0_0_1_4_4 - 0.0270967128110031*G0_0_1_4_5 + 0.0464069264069342*G0_0_1_4_6 - 0.00101993244850406*G0_0_1_4_7 - 0.0193102135959311*G0_0_1_4_8 + 0.0450292564578354*G0_0_1_4_9 - 0.00258027686599159*G0_0_1_5_0 - 0.00216503073645967*G0_0_1_5_1 + 0.00105376105376127*G0_0_1_5_2 - 0.00101993244850403*G0_0_1_5_3 - 0.0270967128110031*G0_0_1_5_4 + 0.00776366490652331*G0_0_1_5_5 - 0.00929356357927942*G0_0_1_5_6 + 0.00557157128585793*G0_0_1_5_7 - 0.00278578564292895*G0_0_1_5_8 - 0.0317853574996486*G0_0_1_5_9 + 0.00237476808905421*G0_0_1_6_0 + 0.00334311191454105*G0_0_1_6_1 - 0.00544640544640645*G0_0_1_6_2 - 0.0193102135959311*G0_0_1_6_3 + 0.0464069264069342*G0_0_1_6_4 - 0.00929356357927942*G0_0_1_6_5 + 0.00543456543456623*G0_0_1_6_6 - 0.00278578564292897*G0_0_1_6_7 - 0.00538889681746915*G0_0_1_6_8 + 0.0294562580276916*G0_0_1_6_9 - 0.00258027686599159*G0_0_1_7_0 + 0.00105376105376126*G0_0_1_7_1 - 0.00216503073645967*G0_0_1_7_2 - 0.0270967128110031*G0_0_1_7_3 - 0.00101993244850406*G0_0_1_7_4 + 0.00557157128585793*G0_0_1_7_5 - 0.00278578564292897*G0_0_1_7_6 + 0.00776366490652333*G0_0_1_7_7 - 0.00929356357927936*G0_0_1_7_8 - 0.0317853574996486*G0_0_1_7_9 + 0.00237476808905419*G0_0_1_8_0 - 0.00544640544640643*G0_0_1_8_1 + 0.00334311191454104*G0_0_1_8_2 + 0.0464069264069342*G0_0_1_8_3 - 0.0193102135959311*G0_0_1_8_4 - 0.00278578564292895*G0_0_1_8_5 - 0.00538889681746915*G0_0_1_8_6 - 0.00929356357927936*G0_0_1_8_7 + 0.00543456543456613*G0_0_1_8_8 + 0.0294562580276915*G0_0_1_8_9 + 0.0124523095951689*G0_0_1_9_0 + 0.00305472305472359*G0_0_1_9_1 + 0.00305472305472355*G0_0_1_9_2 + 0.0450292564578355*G0_0_1_9_3 + 0.0450292564578354*G0_0_1_9_4 - 0.0317853574996486*G0_0_1_9_5 + 0.0294562580276916*G0_0_1_9_6 - 0.0317853574996486*G0_0_1_9_7 + 0.0294562580276915*G0_0_1_9_8 + 0.113988868274602*G0_0_1_9_9 - 0.00129789082170057*G0_1_0_0_0 - 0.000269783126926026*G0_1_0_0_1 - 0.000269783126926022*G0_1_0_0_2 - 0.00593861165289838*G0_1_0_0_3 - 0.00593861165289839*G0_1_0_0_4 + 0.00258027686599159*G0_1_0_0_5 - 0.00237476808905421*G0_1_0_0_6 + 0.00258027686599159*G0_1_0_0_7 - 0.00237476808905419*G0_1_0_0_8 - 0.0124523095951689*G0_1_0_0_9 - 0.000269783126926026*G0_1_0_1_0 + 0.00449920449920535*G0_1_0_1_1 - 0.000959604769128731*G0_1_0_1_2 - 0.00864320864321011*G0_1_0_1_3 - 0.00761312761312892*G0_1_0_1_4 + 0.00216503073645967*G0_1_0_1_5 - 0.00334311191454105*G0_1_0_1_6 - 0.00105376105376126*G0_1_0_1_7 + 0.00544640544640643*G0_1_0_1_8 - 0.00305472305472359*G0_1_0_1_9 - 0.000269783126926022*G0_1_0_2_0 - 0.000959604769128731*G0_1_0_2_1 + 0.00449920449920541*G0_1_0_2_2 - 0.00761312761312893*G0_1_0_2_3 - 0.00864320864321005*G0_1_0_2_4 - 0.00105376105376127*G0_1_0_2_5 + 0.00544640544640645*G0_1_0_2_6 + 0.00216503073645967*G0_1_0_2_7 - 0.00334311191454104*G0_1_0_2_8 - 0.00305472305472355*G0_1_0_2_9 - 0.00593861165289838*G0_1_0_3_0 - 0.00864320864321011*G0_1_0_3_1 - 0.00761312761312893*G0_1_0_3_2 - 0.186267066267098*G0_1_0_3_3 + 0.0987051044194067*G0_1_0_3_4 + 0.00101993244850403*G0_1_0_3_5 + 0.0193102135959311*G0_1_0_3_6 + 0.0270967128110031*G0_1_0_3_7 - 0.0464069264069342*G0_1_0_3_8 - 0.0450292564578355*G0_1_0_3_9 - 0.00593861165289839*G0_1_0_4_0 - 0.00761312761312892*G0_1_0_4_1 - 0.00864320864321005*G0_1_0_4_2 + 0.0987051044194067*G0_1_0_4_3 - 0.186267066267098*G0_1_0_4_4 + 0.0270967128110031*G0_1_0_4_5 - 0.0464069264069342*G0_1_0_4_6 + 0.00101993244850406*G0_1_0_4_7 + 0.0193102135959311*G0_1_0_4_8 - 0.0450292564578354*G0_1_0_4_9 + 0.00258027686599159*G0_1_0_5_0 + 0.00216503073645967*G0_1_0_5_1 - 0.00105376105376127*G0_1_0_5_2 + 0.00101993244850403*G0_1_0_5_3 + 0.0270967128110031*G0_1_0_5_4 - 0.00776366490652331*G0_1_0_5_5 + 0.00929356357927942*G0_1_0_5_6 - 0.00557157128585793*G0_1_0_5_7 + 0.00278578564292895*G0_1_0_5_8 + 0.0317853574996486*G0_1_0_5_9 - 0.00237476808905421*G0_1_0_6_0 - 0.00334311191454105*G0_1_0_6_1 + 0.00544640544640645*G0_1_0_6_2 + 0.0193102135959311*G0_1_0_6_3 - 0.0464069264069342*G0_1_0_6_4 + 0.00929356357927942*G0_1_0_6_5 - 0.00543456543456623*G0_1_0_6_6 + 0.00278578564292897*G0_1_0_6_7 + 0.00538889681746915*G0_1_0_6_8 - 0.0294562580276916*G0_1_0_6_9 + 0.00258027686599159*G0_1_0_7_0 - 0.00105376105376126*G0_1_0_7_1 + 0.00216503073645967*G0_1_0_7_2 + 0.0270967128110031*G0_1_0_7_3 + 0.00101993244850406*G0_1_0_7_4 - 0.00557157128585793*G0_1_0_7_5 + 0.00278578564292897*G0_1_0_7_6 - 0.00776366490652333*G0_1_0_7_7 + 0.00929356357927936*G0_1_0_7_8 + 0.0317853574996486*G0_1_0_7_9 - 0.00237476808905419*G0_1_0_8_0 + 0.00544640544640643*G0_1_0_8_1 - 0.00334311191454104*G0_1_0_8_2 - 0.0464069264069342*G0_1_0_8_3 + 0.0193102135959311*G0_1_0_8_4 + 0.00278578564292895*G0_1_0_8_5 + 0.00538889681746915*G0_1_0_8_6 + 0.00929356357927936*G0_1_0_8_7 - 0.00543456543456613*G0_1_0_8_8 - 0.0294562580276915*G0_1_0_8_9 - 0.0124523095951689*G0_1_0_9_0 - 0.00305472305472359*G0_1_0_9_1 - 0.00305472305472355*G0_1_0_9_2 - 0.0450292564578355*G0_1_0_9_3 - 0.0450292564578354*G0_1_0_9_4 + 0.0317853574996486*G0_1_0_9_5 - 0.0294562580276916*G0_1_0_9_6 + 0.0317853574996486*G0_1_0_9_7 - 0.0294562580276915*G0_1_0_9_8 - 0.113988868274602*G0_1_0_9_9;
    A[172] = -A[52] + 0.00910102243435743*G0_0_0_0_0 + 0.000500628119675834*G0_0_0_0_1 + 0.00144874525826931*G0_0_0_0_2 + 0.000431631860203388*G0_0_0_0_3 - 0.000883243740386759*G0_0_0_0_4 + 0.0182021153449756*G0_0_0_0_5 - 0.00174841031983928*G0_0_0_0_6 + 0.00154702440416753*G0_0_0_0_7 - 0.00146805575377029*G0_0_0_0_8 + 0.00333190618904962*G0_0_0_0_9 + 0.000500628119675834*G0_0_0_1_0 + 0.00207200207200274*G0_0_0_1_1 + 0.000693239740858905*G0_0_0_1_2 - 0.000621600621600654*G0_0_0_1_3 - 0.00343878343878407*G0_0_0_1_4 - 0.00210868496582817*G0_0_0_1_5 - 0.00386312100597879*G0_0_0_1_6 - 0.00177822177822213*G0_0_0_1_7 - 0.000732600732600761*G0_0_0_1_8 + 0.00286380286380339*G0_0_0_1_9 + 0.00144874525826931*G0_0_0_2_0 + 0.000693239740858905*G0_0_0_2_1 + 0.0621689421689525*G0_0_0_2_2 - 0.00310990596704928*G0_0_0_2_3 + 0.00163201877487626*G0_0_0_2_5 + 0.0131956931956952*G0_0_0_2_6 - 0.000807129378558084*G0_0_0_2_7 + 0.00209282780711389*G0_0_0_2_8 - 0.00577708006279536*G0_0_0_2_9 + 0.000431631860203388*G0_0_0_3_0 - 0.000621600621600653*G0_0_0_3_1 - 0.00310990596704928*G0_0_0_3_2 + 0.0195804195804233*G0_0_0_3_3 + 0.0209932924218674*G0_0_0_3_4 + 0.00262023690595157*G0_0_0_3_5 + 0.0113800485229075*G0_0_0_3_6 - 0.00150421007563895*G0_0_0_3_7 + 0.00799200799200941*G0_0_0_3_8 - 0.00558298844013224*G0_0_0_3_9 - 0.000883243740386759*G0_0_0_4_0 - 0.00343878343878407*G0_0_0_4_1 + 0.0209932924218674*G0_0_0_4_3 - 0.0694562580276983*G0_0_0_4_4 + 0.00244041672613144*G0_0_0_4_5 - 0.0138204652490389*G0_0_0_4_6 + 0.00264021692593166*G0_0_0_4_7 - 0.00648779791637047*G0_0_0_4_8 + 0.0124504067361232*G0_0_0_4_9 + 0.0182021153449756*G0_0_0_5_0 - 0.00210868496582817*G0_0_0_5_1 + 0.00163201877487626*G0_0_0_5_2 + 0.00262023690595157*G0_0_0_5_3 + 0.00244041672613144*G0_0_0_5_4 - 0.0686285143428114*G0_0_0_5_5 - 0.0379991437134357*G0_0_0_5_6 - 0.00832881404310112*G0_0_0_5_7 + 0.00611674040245569*G0_0_0_5_8 - 0.0222291993720602*G0_0_0_5_9 - 0.00174841031983928*G0_0_0_6_0 - 0.00386312100597879*G0_0_0_6_1 + 0.0131956931956952*G0_0_0_6_2 + 0.0113800485229075*G0_0_0_6_3 - 0.0138204652490389*G0_0_0_6_4 - 0.0379991437134357*G0_0_0_6_5 - 0.263022691594164*G0_0_0_6_6 + 0.00221207364064541*G0_0_0_6_7 + 0.00276009704581171*G0_0_0_6_8 - 0.00542885685742883*G0_0_0_6_9 + 0.00154702440416753*G0_0_0_7_0 - 0.00177822177822213*G0_0_0_7_1 - 0.000807129378558084*G0_0_0_7_2 - 0.00150421007563895*G0_0_0_7_3 + 0.00264021692593165*G0_0_0_7_4 - 0.00832881404310112*G0_0_0_7_5 + 0.00221207364064541*G0_0_0_7_6 - 0.0206878835450299*G0_0_0_7_7 + 0.00637933495076458*G0_0_0_7_8 - 0.0144198658484397*G0_0_0_7_9 - 0.00146805575377029*G0_0_0_8_0 - 0.000732600732600761*G0_0_0_8_1 + 0.00209282780711389*G0_0_0_8_2 + 0.00799200799200941*G0_0_0_8_3 - 0.00648779791637047*G0_0_0_8_4 + 0.00611674040245569*G0_0_0_8_5 + 0.00276009704581171*G0_0_0_8_6 + 0.00637933495076458*G0_0_0_8_7 + 0.0179820179820209*G0_0_0_8_8 + 0.00438418724133079*G0_0_0_8_9 + 0.00333190618904962*G0_0_0_9_0 + 0.00286380286380339*G0_0_0_9_1 - 0.00577708006279536*G0_0_0_9_2 - 0.00558298844013224*G0_0_0_9_3 + 0.0124504067361233*G0_0_0_9_4 - 0.0222291993720602*G0_0_0_9_5 - 0.00542885685742883*G0_0_0_9_6 - 0.0144198658484397*G0_0_0_9_7 + 0.00438418724133079*G0_0_0_9_8 + 0.118373055515933*G0_0_0_9_9 - 0.0530679197345957*G0_0_1_0_0 - 0.000192611621183089*G0_0_1_0_1 - 0.0016611959469105*G0_0_1_0_3 + 0.00500642214928011*G0_0_1_0_5 - 0.00338042909471538*G0_0_1_0_6 + 0.00151150436864734*G0_0_1_0_7 + 0.00164185021327911*G0_0_1_0_8 + 0.00910898625184492*G0_0_1_0_9 - 0.000192611621183089*G0_0_1_1_0 + 0.000192611621183084*G0_0_1_1_2 + 0.000111000111000222*G0_0_1_1_3 - 0.00166056166056199*G0_0_1_1_4 + 0.00175443604015058*G0_0_1_1_5 - 0.00175443604015061*G0_0_1_1_6 + 0.00166056166056186*G0_0_1_1_7 - 0.000111000111000015*G0_0_1_1_8 + 0.000192611621183084*G0_0_1_2_1 + 0.0530679197345952*G0_0_1_2_2 - 0.00164185021327902*G0_0_1_2_3 - 0.00151150436864757*G0_0_1_2_4 + 0.00338042909471544*G0_0_1_2_5 - 0.00500642214928026*G0_0_1_2_6 + 0.00166119594691051*G0_0_1_2_8 - 0.00910898625184496*G0_0_1_2_9 - 0.0016611959469105*G0_0_1_3_0 + 0.000111000111000223*G0_0_1_3_1 - 0.00164185021327902*G0_0_1_3_2 + 0.00159840159840198*G0_0_1_3_3 + 0.0146139574711028*G0_0_1_3_4 - 0.000139860139860069*G0_0_1_3_5 + 0.00526330812045177*G0_0_1_3_6 + 0.00498358784073155*G0_0_1_3_7 - 0.00996717568146318*G0_0_1_3_9 - 0.00166056166056199*G0_0_1_4_1 - 0.00151150436864756*G0_0_1_4_2 + 0.0146139574711028*G0_0_1_4_3 - 0.0487683744826684*G0_0_1_4_4 + 0.000228343085485949*G0_0_1_4_5 - 0.00549165120593777*G0_0_1_4_6 - 0.00498358784073152*G0_0_1_4_8 + 0.026870272584563*G0_0_1_4_9 + 0.00500642214928011*G0_0_1_5_0 + 0.00175443604015058*G0_0_1_5_1 + 0.00338042909471544*G0_0_1_5_2 - 0.00013986013986007*G0_0_1_5_3 + 0.00022834308548595*G0_0_1_5_4 + 0.194394177251352*G0_0_1_5_5 + 0.00549165120593767*G0_0_1_5_7 - 0.00526330812045175*G0_0_1_5_8 - 0.0168003425146312*G0_0_1_5_9 - 0.00338042909471538*G0_0_1_6_0 - 0.00175443604015061*G0_0_1_6_1 - 0.00500642214928025*G0_0_1_6_2 + 0.00526330812045177*G0_0_1_6_3 - 0.00549165120593777*G0_0_1_6_4 - 0.194394177251353*G0_0_1_6_6 - 0.000228343085485963*G0_0_1_6_7 + 0.000139860139860097*G0_0_1_6_8 + 0.0168003425146314*G0_0_1_6_9 + 0.00151150436864734*G0_0_1_7_0 + 0.00166056166056186*G0_0_1_7_1 + 0.00498358784073156*G0_0_1_7_3 + 0.00549165120593768*G0_0_1_7_5 - 0.000228343085485963*G0_0_1_7_6 + 0.0487683744826681*G0_0_1_7_7 - 0.0146139574711026*G0_0_1_7_8 - 0.0268702725845629*G0_0_1_7_9 + 0.00164185021327911*G0_0_1_8_0 - 0.000111000111000015*G0_0_1_8_1 + 0.00166119594691051*G0_0_1_8_2 - 0.00498358784073152*G0_0_1_8_4 - 0.00526330812045175*G0_0_1_8_5 + 0.000139860139860097*G0_0_1_8_6 - 0.0146139574711026*G0_0_1_8_7 - 0.00159840159840216*G0_0_1_8_8 + 0.00996717568146298*G0_0_1_8_9 + 0.00910898625184492*G0_0_1_9_0 - 0.00910898625184496*G0_0_1_9_2 - 0.00996717568146318*G0_0_1_9_3 + 0.026870272584563*G0_0_1_9_4 - 0.0168003425146312*G0_0_1_9_5 + 0.0168003425146314*G0_0_1_9_6 - 0.0268702725845629*G0_0_1_9_7 + 0.00996717568146298*G0_0_1_9_8;
    A[158] = A[172] - 0.00528064528064626*G0_0_0_0_0 - 0.000513630989821567*G0_0_0_0_1 - 0.000109872490824881*G0_0_0_0_2 - 0.00936523793666812*G0_0_0_0_5 - 0.000347588919017504*G0_0_0_0_6 - 0.000615892044463578*G0_0_0_0_7 + 0.00142587571159023*G0_0_0_0_8 - 0.000829646543932405*G0_0_0_0_9 - 0.000513630989821567*G0_0_0_1_0 - 0.00676854010187488*G0_0_0_1_1 + 0.00011684964065919*G0_0_0_1_2 - 0.00663273234701924*G0_0_0_1_3 + 0.003387723387724*G0_0_0_1_4 + 0.00116518402232707*G0_0_0_1_5 + 0.000424971853543352*G0_0_0_1_6 + 0.00181723038865933*G0_0_0_1_7 - 0.000955235240949823*G0_0_0_1_8 - 0.00246991104134005*G0_0_0_1_9 - 0.000109872490824881*G0_0_0_2_0 + 0.000116849640659191*G0_0_0_2_1 + 0.00240352240352308*G0_0_0_2_2 - 0.00392750107035893*G0_0_0_2_3 + 0.00807192807192955*G0_0_0_2_4 - 0.0037321408749987*G0_0_0_2_5 - 0.00185592185592202*G0_0_0_2_6 - 0.000119245833531563*G0_0_0_2_7 - 0.000562611991183531*G0_0_0_2_8 + 0.00279339707911186*G0_0_0_2_9 - 0.00663273234701924*G0_0_0_3_1 - 0.00392750107035893*G0_0_0_3_2 - 0.00631368631368734*G0_0_0_3_3 - 0.000422434708149128*G0_0_0_3_4 - 0.0019980019980023*G0_0_0_3_5 - 0.00102183530754973*G0_0_0_3_6 - 0.00194662480376806*G0_0_0_3_8 + 0.00739831596974579*G0_0_0_3_9 + 0.003387723387724*G0_0_0_4_1 + 0.00807192807192955*G0_0_0_4_2 - 0.000422434708149128*G0_0_0_4_3 + 0.00875695732838743*G0_0_0_4_4 + 0.000228343085485945*G0_0_0_4_5 + 0.000793492222063794*G0_0_0_4_6 + 0.00194091622663089*G0_0_0_4_8 - 0.00883687740830748*G0_0_0_4_9 - 0.00936523793666812*G0_0_0_5_0 + 0.00116518402232707*G0_0_0_5_1 - 0.0037321408749987*G0_0_0_5_2 - 0.0019980019980023*G0_0_0_5_3 + 0.000228343085485945*G0_0_0_5_4 + 0.031271585557305*G0_0_0_5_5 + 0.0269387755102086*G0_0_0_5_6 + 0.00263165406022593*G0_0_0_5_7 - 0.00324247181390091*G0_0_0_5_8 + 0.00897388325959903*G0_0_0_5_9 - 0.000347588919017504*G0_0_0_6_0 + 0.000424971853543352*G0_0_0_6_1 - 0.00185592185592202*G0_0_0_6_2 - 0.00102183530754973*G0_0_0_6_3 + 0.000793492222063792*G0_0_0_6_4 + 0.0269387755102086*G0_0_0_6_5 + 0.069256457827898*G0_0_0_6_6 + 0.000610817753674987*G0_0_0_6_7 - 0.0063365206222361*G0_0_0_6_9 - 0.000615892044463578*G0_0_0_7_0 + 0.00181723038865933*G0_0_0_7_1 - 0.000119245833531563*G0_0_0_7_2 + 0.00263165406022593*G0_0_0_7_5 + 0.000610817753674987*G0_0_0_7_6 + 0.00438418724133094*G0_0_0_7_7 - 0.00609676038247564*G0_0_0_7_8 + 0.00126730412444723*G0_0_0_7_9 + 0.00142587571159023*G0_0_0_8_0 - 0.000955235240949823*G0_0_0_8_1 - 0.000562611991183531*G0_0_0_8_2 - 0.00194662480376806*G0_0_0_8_3 + 0.00194091622663089*G0_0_0_8_4 - 0.00324247181390091*G0_0_0_8_5 - 0.00609676038247564*G0_0_0_8_7 + 0.00109604681033246*G0_0_0_8_8 + 0.00352790067075837*G0_0_0_8_9 - 0.000829646543932405*G0_0_0_9_0 - 0.00246991104134005*G0_0_0_9_1 + 0.00279339707911186*G0_0_0_9_2 + 0.00739831596974579*G0_0_0_9_3 - 0.00883687740830748*G0_0_0_9_4 + 0.00897388325959904*G0_0_0_9_5 - 0.0063365206222361*G0_0_0_9_6 + 0.00126730412444723*G0_0_0_9_7 + 0.00352790067075837*G0_0_0_9_8 - 0.054665334665344*G0_0_0_9_9 - 0.000276125990411759*G0_0_1_0_1 + 0.000276125990411764*G0_0_1_0_2 + 0.000496646210932001*G0_0_1_0_3 - 0.000496646210932005*G0_0_1_0_4 - 0.00056514913657779*G0_0_1_0_5 + 0.00127110984253862*G0_0_1_0_6 + 0.000565149136577853*G0_0_1_0_7 - 0.00127110984253866*G0_0_1_0_8 - 0.000276125990411759*G0_0_1_1_0 - 0.00332901666235072*G0_0_1_1_1 - 0.00739895025609442*G0_0_1_1_3 + 0.00345115202258121*G0_0_1_1_4 - 0.00105608677037265*G0_0_1_1_5 + 0.000673612102183645*G0_0_1_1_6 + 0.00205318491032817*G0_0_1_1_7 - 0.00435374149659948*G0_0_1_1_8 - 0.00291137433994627*G0_0_1_1_9 + 0.000276125990411764*G0_0_1_2_0 + 0.00332901666235078*G0_0_1_2_2 - 0.00345115202258122*G0_0_1_2_3 + 0.00739895025609445*G0_0_1_2_4 - 0.00205318491032815*G0_0_1_2_5 + 0.00435374149659945*G0_0_1_2_6 + 0.00105608677037267*G0_0_1_2_7 - 0.00067361210218365*G0_0_1_2_8 + 0.00291137433994628*G0_0_1_2_9 + 0.000496646210932001*G0_0_1_3_0 - 0.00739895025609442*G0_0_1_3_1 - 0.00345115202258122*G0_0_1_3_2 - 0.00369915798487304*G0_0_1_3_3 + 0.000839160839160948*G0_0_1_3_5 - 0.00202083630655092*G0_0_1_3_6 - 0.00148993863279603*G0_0_1_3_7 - 0.000530897673754944*G0_0_1_3_8 + 0.0117140002854308*G0_0_1_3_9 - 0.000496646210932005*G0_0_1_4_0 + 0.00345115202258121*G0_0_1_4_1 + 0.00739895025609445*G0_0_1_4_2 + 0.00369915798487291*G0_0_1_4_4 + 0.00148993863279602*G0_0_1_4_5 + 0.000530897673754911*G0_0_1_4_6 - 0.000839160839160994*G0_0_1_4_7 + 0.00202083630655095*G0_0_1_4_8 - 0.0117140002854309*G0_0_1_4_9 - 0.000565149136577791*G0_0_1_5_0 - 0.00105608677037265*G0_0_1_5_1 - 0.00205318491032815*G0_0_1_5_2 + 0.000839160839160949*G0_0_1_5_3 + 0.00148993863279602*G0_0_1_5_4 - 0.0865762808620093*G0_0_1_5_5 - 0.00276295133438042*G0_0_1_5_6 + 0.00316826031111794*G0_0_1_5_8 - 0.00633652062223586*G0_0_1_5_9 + 0.00127110984253862*G0_0_1_6_0 + 0.000673612102183645*G0_0_1_6_1 + 0.00435374149659945*G0_0_1_6_2 - 0.00202083630655092*G0_0_1_6_3 + 0.000530897673754911*G0_0_1_6_4 - 0.00276295133438041*G0_0_1_6_5 + 0.0387155701441481*G0_0_1_6_6 - 0.00316826031111801*G0_0_1_6_7 - 0.004692450406737*G0_0_1_6_9 + 0.00056514913657785*G0_0_1_7_0 + 0.00205318491032818*G0_0_1_7_1 + 0.00105608677037267*G0_0_1_7_2 - 0.00148993863279603*G0_0_1_7_3 - 0.000839160839160995*G0_0_1_7_4 - 0.00316826031111801*G0_0_1_7_6 + 0.0865762808620099*G0_0_1_7_7 + 0.00276295133438034*G0_0_1_7_8 + 0.00633652062223609*G0_0_1_7_9 - 0.00127110984253865*G0_0_1_8_0 - 0.00435374149659948*G0_0_1_8_1 - 0.00067361210218365*G0_0_1_8_2 - 0.000530897673754944*G0_0_1_8_3 + 0.00202083630655095*G0_0_1_8_4 + 0.00316826031111794*G0_0_1_8_5 + 0.00276295133438035*G0_0_1_8_7 - 0.0387155701441482*G0_0_1_8_8 + 0.00469245040673687*G0_0_1_8_9 - 0.00291137433994627*G0_0_1_9_1 + 0.00291137433994628*G0_0_1_9_2 + 0.0117140002854308*G0_0_1_9_3 - 0.0117140002854309*G0_0_1_9_4 - 0.00633652062223586*G0_0_1_9_5 - 0.004692450406737*G0_0_1_9_6 + 0.00633652062223609*G0_0_1_9_7 + 0.00469245040673687*G0_0_1_9_8 - 0.000268021220402243*G0_1_0_0_1 + 0.000268021220402216*G0_1_0_0_2 - 0.000285428856857477*G0_1_0_0_3 + 0.000285428856857473*G0_1_0_0_4 + 0.000482691911263437*G0_1_0_0_5 - 0.000131931560503038*G0_1_0_0_6 - 0.000482691911263386*G0_1_0_0_7 + 0.000131931560502974*G0_1_0_0_8 - 0.000268021220402243*G0_1_0_1_0 - 0.00763088763088931*G0_1_0_1_1 - 0.00855144855145007*G0_1_0_1_3 + 0.00441843870415377*G0_1_0_1_4 - 0.000194091622663072*G0_1_0_1_5 - 0.00102183530754977*G0_1_0_1_6 + 0.00106179534750993*G0_1_0_1_7 - 0.00317016317016396*G0_1_0_1_8 - 0.00324247181390095*G0_1_0_1_9 + 0.000268021220402216*G0_1_0_2_0 + 0.0076308876308889*G0_1_0_2_2 - 0.00441843870415371*G0_1_0_2_3 + 0.00855144855144996*G0_1_0_2_4 - 0.00106179534750979*G0_1_0_2_5 + 0.00317016317016365*G0_1_0_2_6 + 0.000194091622663089*G0_1_0_2_7 + 0.00102183530754974*G0_1_0_2_8 + 0.0032424718139009*G0_1_0_2_9 - 0.000285428856857477*G0_1_0_3_0 - 0.00855144855145007*G0_1_0_3_1 - 0.00441843870415371*G0_1_0_3_2 - 0.00472670186955972*G0_1_0_3_3 + 0.000719280719280814*G0_1_0_3_5 + 0.00306550592264932*G0_1_0_3_6 + 0.00085628657057245*G0_1_0_3_7 + 0.00220921935207676*G0_1_0_3_8 + 0.00801484230055791*G0_1_0_3_9 + 0.000285428856857473*G0_1_0_4_0 + 0.00441843870415377*G0_1_0_4_1 + 0.00855144855144996*G0_1_0_4_2 + 0.00472670186955974*G0_1_0_4_4 - 0.000856286570572398*G0_1_0_4_5 - 0.00220921935207692*G0_1_0_4_6 - 0.000719280719280852*G0_1_0_4_7 - 0.00306550592264921*G0_1_0_4_8 - 0.00801484230055791*G0_1_0_4_9 + 0.000482691911263437*G0_1_0_5_0 - 0.000194091622663072*G0_1_0_5_1 - 0.00106179534750979*G0_1_0_5_2 + 0.000719280719280814*G0_1_0_5_3 - 0.000856286570572398*G0_1_0_5_4 - 0.00385899814471304*G0_1_0_5_5 + 0.000582274867989238*G0_1_0_5_8 - 0.00116454973597846*G0_1_0_5_9 - 0.000131931560503038*G0_1_0_6_0 - 0.00102183530754977*G0_1_0_6_1 + 0.00317016317016365*G0_1_0_6_2 + 0.00306550592264931*G0_1_0_6_3 - 0.00220921935207692*G0_1_0_6_4 - 0.021567004424151*G0_1_0_6_6 - 0.000582274867989249*G0_1_0_6_7 - 0.0158584272870013*G0_1_0_6_9 - 0.000482691911263386*G0_1_0_7_0 + 0.00106179534750993*G0_1_0_7_1 + 0.000194091622663089*G0_1_0_7_2 + 0.00085628657057245*G0_1_0_7_3 - 0.000719280719280852*G0_1_0_7_4 - 0.000582274867989249*G0_1_0_7_6 + 0.00385899814471297*G0_1_0_7_7 + 0.00116454973597851*G0_1_0_7_9 + 0.000131931560502974*G0_1_0_8_0 - 0.00317016317016396*G0_1_0_8_1 + 0.00102183530754974*G0_1_0_8_2 + 0.00220921935207676*G0_1_0_8_3 - 0.00306550592264921*G0_1_0_8_4 + 0.000582274867989238*G0_1_0_8_5 + 0.0215670044241501*G0_1_0_8_8 + 0.0158584272870013*G0_1_0_8_9 - 0.00324247181390095*G0_1_0_9_1 + 0.0032424718139009*G0_1_0_9_2 + 0.00801484230055791*G0_1_0_9_3 - 0.00801484230055792*G0_1_0_9_4 - 0.00116454973597846*G0_1_0_9_5 - 0.0158584272870014*G0_1_0_9_6 + 0.00116454973597851*G0_1_0_9_7 + 0.0158584272870013*G0_1_0_9_8 + 0.00528064528064593*G0_1_1_0_0 + 0.000109872490824862*G0_1_1_0_1 + 0.000513630989821545*G0_1_1_0_2 + 0.000615892044463522*G0_1_1_0_5 - 0.00142587571159021*G0_1_1_0_6 + 0.00936523793666799*G0_1_1_0_7 + 0.000347588919017547*G0_1_1_0_8 + 0.000829646543932402*G0_1_1_0_9 + 0.000109872490824862*G0_1_1_1_0 - 0.00240352240352305*G0_1_1_1_1 - 0.000116849640659196*G0_1_1_1_2 - 0.00807192807192952*G0_1_1_1_3 + 0.00392750107035892*G0_1_1_1_4 + 0.000119245833531559*G0_1_1_1_5 + 0.000562611991183539*G0_1_1_1_6 + 0.00373214087499872*G0_1_1_1_7 + 0.00185592185592197*G0_1_1_1_8 - 0.00279339707911185*G0_1_1_1_9 + 0.000513630989821545*G0_1_1_2_0 - 0.000116849640659196*G0_1_1_2_1 + 0.00676854010187457*G0_1_1_2_2 - 0.00338772338772396*G0_1_1_2_3 + 0.00663273234701917*G0_1_1_2_4 - 0.00181723038865927*G0_1_1_2_5 + 0.000955235240949674*G0_1_1_2_6 - 0.00116518402232708*G0_1_1_2_7 - 0.000424971853543369*G0_1_1_2_8 + 0.00246991104133999*G0_1_1_2_9 - 0.00807192807192952*G0_1_1_3_1 - 0.00338772338772396*G0_1_1_3_2 - 0.00875695732838756*G0_1_1_3_3 + 0.000422434708149095*G0_1_1_3_4 - 0.00194091622663088*G0_1_1_3_6 - 0.000228343085485905*G0_1_1_3_7 - 0.00079349222206392*G0_1_1_3_8 + 0.00883687740830737*G0_1_1_3_9 + 0.00392750107035892*G0_1_1_4_1 + 0.00663273234701917*G0_1_1_4_2 + 0.000422434708149095*G0_1_1_4_3 + 0.00631368631368735*G0_1_1_4_4 + 0.00194662480376804*G0_1_1_4_6 + 0.00199800199800231*G0_1_1_4_7 + 0.00102183530754984*G0_1_1_4_8 - 0.00739831596974568*G0_1_1_4_9 + 0.000615892044463523*G0_1_1_5_0 + 0.000119245833531559*G0_1_1_5_1 - 0.00181723038865927*G0_1_1_5_2 - 0.00438418724133091*G0_1_1_5_5 + 0.00609676038247572*G0_1_1_5_6 - 0.00263165406022601*G0_1_1_5_7 - 0.000610817753674941*G0_1_1_5_8 - 0.0012673041244473*G0_1_1_5_9 - 0.00142587571159021*G0_1_1_6_0 + 0.00056261199118354*G0_1_1_6_1 + 0.000955235240949674*G0_1_1_6_2 - 0.00194091622663088*G0_1_1_6_3 + 0.00194662480376804*G0_1_1_6_4 + 0.00609676038247572*G0_1_1_6_5 - 0.00109604681033235*G0_1_1_6_6 + 0.00324247181390095*G0_1_1_6_7 - 0.00352790067075822*G0_1_1_6_9 + 0.00936523793666799*G0_1_1_7_0 + 0.00373214087499872*G0_1_1_7_1 - 0.00116518402232708*G0_1_1_7_2 - 0.000228343085485904*G0_1_1_7_3 + 0.00199800199800231*G0_1_1_7_4 - 0.00263165406022601*G0_1_1_7_5 + 0.00324247181390095*G0_1_1_7_6 - 0.0312715855573055*G0_1_1_7_7 - 0.0269387755102083*G0_1_1_7_8 - 0.00897388325959911*G0_1_1_7_9 + 0.000347588919017548*G0_1_1_8_0 + 0.00185592185592197*G0_1_1_8_1 - 0.000424971853543369*G0_1_1_8_2 - 0.00079349222206392*G0_1_1_8_3 + 0.00102183530754984*G0_1_1_8_4 - 0.000610817753674941*G0_1_1_8_5 - 0.0269387755102083*G0_1_1_8_7 - 0.0692564578278987*G0_1_1_8_8 + 0.00633652062223585*G0_1_1_8_9 + 0.000829646543932402*G0_1_1_9_0 - 0.00279339707911185*G0_1_1_9_1 + 0.00246991104133999*G0_1_1_9_2 + 0.00883687740830737*G0_1_1_9_3 - 0.00739831596974568*G0_1_1_9_4 - 0.0012673041244473*G0_1_1_9_5 - 0.00352790067075822*G0_1_1_9_6 - 0.00897388325959911*G0_1_1_9_7 + 0.00633652062223585*G0_1_1_9_8 + 0.0546653346653438*G0_1_1_9_9;
    A[155] = -A[158] - 0.0530679197345956*G0_0_1_0_0 - 0.000192611621183075*G0_0_1_0_2 - 0.00166119594691052*G0_0_1_0_4 + 0.00151150436864748*G0_0_1_0_5 + 0.00164185021327907*G0_0_1_0_6 + 0.00500642214928007*G0_0_1_0_7 - 0.00338042909471536*G0_0_1_0_8 + 0.00910898625184489*G0_0_1_0_9 + 0.053067919734596*G0_0_1_1_1 + 0.000192611621183102*G0_0_1_1_2 - 0.00151150436864733*G0_0_1_1_3 - 0.00164185021327913*G0_0_1_1_4 + 0.00166119594691052*G0_0_1_1_6 + 0.00338042909471527*G0_0_1_1_7 - 0.00500642214927992*G0_0_1_1_8 - 0.00910898625184491*G0_0_1_1_9 - 0.000192611621183075*G0_0_1_2_0 + 0.000192611621183102*G0_0_1_2_1 - 0.00166056166056197*G0_0_1_2_3 + 0.00011100011100019*G0_0_1_2_4 + 0.00166056166056192*G0_0_1_2_5 - 0.000111000111000071*G0_0_1_2_6 + 0.00175443604015061*G0_0_1_2_7 - 0.00175443604015062*G0_0_1_2_8 - 0.00151150436864733*G0_0_1_3_1 - 0.00166056166056197*G0_0_1_3_2 - 0.0487683744826689*G0_0_1_3_3 + 0.0146139574711028*G0_0_1_3_4 - 0.00498358784073155*G0_0_1_3_6 + 0.000228343085485959*G0_0_1_3_7 - 0.00549165120593785*G0_0_1_3_8 + 0.0268702725845627*G0_0_1_3_9 - 0.00166119594691052*G0_0_1_4_0 - 0.00164185021327913*G0_0_1_4_1 + 0.000111000111000191*G0_0_1_4_2 + 0.0146139574711028*G0_0_1_4_3 + 0.0015984015984018*G0_0_1_4_4 + 0.00498358784073154*G0_0_1_4_5 - 0.000139860139860144*G0_0_1_4_7 + 0.00526330812045186*G0_0_1_4_8 - 0.00996717568146308*G0_0_1_4_9 + 0.00151150436864748*G0_0_1_5_0 + 0.00166056166056192*G0_0_1_5_2 + 0.00498358784073155*G0_0_1_5_4 + 0.0487683744826684*G0_0_1_5_5 - 0.0146139574711028*G0_0_1_5_6 + 0.0054916512059378*G0_0_1_5_7 - 0.000228343085485946*G0_0_1_5_8 - 0.0268702725845628*G0_0_1_5_9 + 0.00164185021327907*G0_0_1_6_0 + 0.00166119594691052*G0_0_1_6_1 - 0.000111000111000071*G0_0_1_6_2 - 0.00498358784073155*G0_0_1_6_3 - 0.0146139574711028*G0_0_1_6_5 - 0.00159840159840176*G0_0_1_6_6 - 0.00526330812045183*G0_0_1_6_7 + 0.000139860139860128*G0_0_1_6_8 + 0.00996717568146308*G0_0_1_6_9 + 0.00500642214928006*G0_0_1_7_0 + 0.00338042909471527*G0_0_1_7_1 + 0.00175443604015061*G0_0_1_7_2 + 0.000228343085485959*G0_0_1_7_3 - 0.000139860139860145*G0_0_1_7_4 + 0.0054916512059378*G0_0_1_7_5 - 0.00526330812045183*G0_0_1_7_6 + 0.194394177251353*G0_0_1_7_7 - 0.0168003425146309*G0_0_1_7_9 - 0.00338042909471536*G0_0_1_8_0 - 0.00500642214927992*G0_0_1_8_1 - 0.00175443604015062*G0_0_1_8_2 - 0.00549165120593785*G0_0_1_8_3 + 0.00526330812045186*G0_0_1_8_4 - 0.000228343085485946*G0_0_1_8_5 + 0.000139860139860128*G0_0_1_8_6 - 0.194394177251353*G0_0_1_8_8 + 0.0168003425146309*G0_0_1_8_9 + 0.00910898625184489*G0_0_1_9_0 - 0.00910898625184491*G0_0_1_9_1 + 0.0268702725845627*G0_0_1_9_3 - 0.00996717568146308*G0_0_1_9_4 - 0.0268702725845628*G0_0_1_9_5 + 0.00996717568146307*G0_0_1_9_6 - 0.0168003425146309*G0_0_1_9_7 + 0.0168003425146309*G0_0_1_9_8 + 0.00910102243435721*G0_1_1_0_0 + 0.00144874525826934*G0_1_1_0_1 + 0.00050062811967582*G0_1_1_0_2 - 0.000883243740386764*G0_1_1_0_3 + 0.000431631860203376*G0_1_1_0_4 + 0.00154702440416748*G0_1_1_0_5 - 0.00146805575377026*G0_1_1_0_6 + 0.0182021153449755*G0_1_1_0_7 - 0.00174841031983919*G0_1_1_0_8 + 0.00333190618904962*G0_1_1_0_9 + 0.00144874525826934*G0_1_1_1_0 + 0.0621689421689534*G0_1_1_1_1 + 0.00069323974085892*G0_1_1_1_2 - 0.00310990596704941*G0_1_1_1_4 - 0.000807129378558118*G0_1_1_1_5 + 0.00209282780711391*G0_1_1_1_6 + 0.00163201877487606*G0_1_1_1_7 + 0.0131956931956957*G0_1_1_1_8 - 0.00577708006279529*G0_1_1_1_9 + 0.00050062811967582*G0_1_1_2_0 + 0.00069323974085892*G0_1_1_2_1 + 0.00207200207200244*G0_1_1_2_2 - 0.00343878343878402*G0_1_1_2_3 - 0.000621600621600719*G0_1_1_2_4 - 0.00177822177822209*G0_1_1_2_5 - 0.000732600732600857*G0_1_1_2_6 - 0.00210868496582819*G0_1_1_2_7 - 0.00386312100597878*G0_1_1_2_8 + 0.00286380286380333*G0_1_1_2_9 - 0.000883243740386764*G0_1_1_3_0 - 0.00343878343878402*G0_1_1_3_2 - 0.0694562580276987*G0_1_1_3_3 + 0.0209932924218674*G0_1_1_3_4 + 0.00264021692593166*G0_1_1_3_5 - 0.0064877979163705*G0_1_1_3_6 + 0.00244041672613144*G0_1_1_3_7 - 0.0138204652490389*G0_1_1_3_8 + 0.012450406736123*G0_1_1_3_9 + 0.000431631860203376*G0_1_1_4_0 - 0.00310990596704941*G0_1_1_4_1 - 0.000621600621600719*G0_1_1_4_2 + 0.0209932924218674*G0_1_1_4_3 + 0.019580419580423*G0_1_1_4_4 - 0.00150421007563892*G0_1_1_4_5 + 0.00799200799200943*G0_1_1_4_6 + 0.00262023690595164*G0_1_1_4_7 + 0.0113800485229075*G0_1_1_4_8 - 0.00558298844013215*G0_1_1_4_9 + 0.00154702440416748*G0_1_1_5_0 - 0.000807129378558118*G0_1_1_5_1 - 0.00177822177822209*G0_1_1_5_2 + 0.00264021692593166*G0_1_1_5_3 - 0.00150421007563892*G0_1_1_5_4 - 0.0206878835450299*G0_1_1_5_5 + 0.0063793349507646*G0_1_1_5_6 - 0.00832881404310118*G0_1_1_5_7 + 0.00221207364064548*G0_1_1_5_8 - 0.0144198658484397*G0_1_1_5_9 - 0.00146805575377026*G0_1_1_6_0 + 0.00209282780711391*G0_1_1_6_1 - 0.000732600732600858*G0_1_1_6_2 - 0.0064877979163705*G0_1_1_6_3 + 0.00799200799200943*G0_1_1_6_4 + 0.0063793349507646*G0_1_1_6_5 + 0.0179820179820214*G0_1_1_6_6 + 0.00611674040245572*G0_1_1_6_7 + 0.00276009704581172*G0_1_1_6_8 + 0.004384187241331*G0_1_1_6_9 + 0.0182021153449755*G0_1_1_7_0 + 0.00163201877487606*G0_1_1_7_1 - 0.00210868496582819*G0_1_1_7_2 + 0.00244041672613144*G0_1_1_7_3 + 0.00262023690595164*G0_1_1_7_4 - 0.00832881404310118*G0_1_1_7_5 + 0.00611674040245572*G0_1_1_7_6 - 0.0686285143428118*G0_1_1_7_7 - 0.0379991437134358*G0_1_1_7_8 - 0.0222291993720603*G0_1_1_7_9 - 0.00174841031983919*G0_1_1_8_0 + 0.0131956931956957*G0_1_1_8_1 - 0.00386312100597878*G0_1_1_8_2 - 0.0138204652490389*G0_1_1_8_3 + 0.0113800485229075*G0_1_1_8_4 + 0.00221207364064548*G0_1_1_8_5 + 0.00276009704581172*G0_1_1_8_6 - 0.0379991437134358*G0_1_1_8_7 - 0.263022691594165*G0_1_1_8_8 - 0.00542885685742931*G0_1_1_8_9 + 0.00333190618904962*G0_1_1_9_0 - 0.00577708006279529*G0_1_1_9_1 + 0.00286380286380333*G0_1_1_9_2 + 0.012450406736123*G0_1_1_9_3 - 0.00558298844013215*G0_1_1_9_4 - 0.0144198658484397*G0_1_1_9_5 + 0.004384187241331*G0_1_1_9_6 - 0.0222291993720603*G0_1_1_9_7 - 0.0054288568574293*G0_1_1_9_8 + 0.118373055515933*G0_1_1_9_9;
    A[85] = A[155] + 0.00143066809733496*G0_0_1_0_0 - 0.000396887063553818*G0_0_1_0_1 - 0.000196170672361178*G0_0_1_0_2 + 0.000769072197643771*G0_0_1_0_4 + 0.000344100344100432*G0_0_1_0_6 - 0.00237793952079709*G0_0_1_0_7 + 0.00396333824905322*G0_0_1_0_8 - 0.00232719661291128*G0_0_1_0_9 - 0.000396887063553818*G0_0_1_1_0 - 0.0516372516372608*G0_0_1_1_1 - 0.000388782293544267*G0_0_1_1_2 + 0.00158064158064174*G0_0_1_1_3 + 0.00198595055737952*G0_0_1_1_4 - 0.000110048681477261*G0_0_1_1_5 - 0.000892123749266745*G0_0_1_1_6 + 0.000582909154337897*G0_0_1_1_7 + 0.00262848262848289*G0_0_1_1_8 + 0.00678178963893363*G0_0_1_1_9 - 0.000196170672361178*G0_0_1_2_0 - 0.000388782293544267*G0_0_1_2_1 - 0.00287120287120331*G0_0_1_2_2 + 0.00297194868623488*G0_0_1_2_3 - 0.00119436119436134*G0_0_1_2_4 + 0.00131138702567293*G0_0_1_2_5 - 0.0010833610833612*G0_0_1_2_6 - 0.00092637521208965*G0_0_1_2_7 + 0.000828060828060969*G0_0_1_2_8 - 0.00265829408686594*G0_0_1_2_9 + 0.00158064158064173*G0_0_1_3_1 + 0.00297194868623488*G0_0_1_3_2 + 0.0516055373198322*G0_0_1_3_3 - 0.0174539745968348*G0_0_1_3_4 + 0.000665049236477948*G0_0_1_3_5 + 0.00177822177822201*G0_0_1_3_6 - 0.000796346510632355*G0_0_1_3_7 + 0.00417867846439347*G0_0_1_3_8 - 0.0187526758955361*G0_0_1_3_9 + 0.000769072197643771*G0_0_1_4_0 + 0.00198595055737953*G0_0_1_4_1 - 0.00119436119436134*G0_0_1_4_2 - 0.0174539745968348*G0_0_1_4_3 + 0.00021121735407479*G0_0_1_4_4 - 0.00320536606250952*G0_0_1_4_5 + 0.0014271442842875*G0_0_1_4_6 + 0.000685029256457918*G0_0_1_4_7 - 0.00338233195376111*G0_0_1_4_8 + 0.0143856143856169*G0_0_1_4_9 - 0.000110048681477261*G0_0_1_5_1 + 0.00131138702567293*G0_0_1_5_2 + 0.000665049236477947*G0_0_1_5_3 - 0.00320536606250952*G0_0_1_5_4 + 0.00283716283716336*G0_0_1_5_5 - 0.00284001712573196*G0_0_1_5_6 - 0.00131297274154438*G0_0_1_5_7 - 0.000568003425146378*G0_0_1_5_8 + 0.00811759668902656*G0_0_1_5_9 + 0.000344100344100432*G0_0_1_6_0 - 0.000892123749266745*G0_0_1_6_1 - 0.0010833610833612*G0_0_1_6_2 + 0.00177822177822201*G0_0_1_6_3 + 0.0014271442842875*G0_0_1_6_4 - 0.00284001712573196*G0_0_1_6_5 + 0.00180961895247667*G0_0_1_6_6 + 0.00188097616669074*G0_0_1_6_7 + 0.000545169116597771*G0_0_1_6_8 + 0.00441843870415381*G0_0_1_6_9 - 0.00237793952079709*G0_0_1_7_0 + 0.000582909154337899*G0_0_1_7_1 - 0.000926375212089649*G0_0_1_7_2 - 0.000796346510632356*G0_0_1_7_3 + 0.000685029256457918*G0_0_1_7_4 - 0.00131297274154438*G0_0_1_7_5 + 0.00188097616669074*G0_0_1_7_6 - 0.0600713572142243*G0_0_1_7_7 - 0.0147652347652372*G0_0_1_7_8 + 0.0032196375053523*G0_0_1_7_9 + 0.00396333824905322*G0_0_1_8_0 + 0.00262848262848289*G0_0_1_8_1 + 0.000828060828060969*G0_0_1_8_2 + 0.00417867846439347*G0_0_1_8_3 - 0.00338233195376111*G0_0_1_8_4 - 0.000568003425146378*G0_0_1_8_5 + 0.000545169116597771*G0_0_1_8_6 - 0.0147652347652372*G0_0_1_8_7 + 0.134322820037129*G0_0_1_8_8 - 0.0135807050092786*G0_0_1_8_9 - 0.00232719661291128*G0_0_1_9_0 + 0.00678178963893363*G0_0_1_9_1 - 0.00265829408686594*G0_0_1_9_2 - 0.0187526758955361*G0_0_1_9_3 + 0.0143856143856169*G0_0_1_9_4 + 0.00811759668902657*G0_0_1_9_5 + 0.00441843870415381*G0_0_1_9_6 + 0.0032196375053523*G0_0_1_9_7 - 0.0135807050092786*G0_0_1_9_8 - 0.0293877551020457*G0_0_1_9_9 - 0.00143066809733496*G0_1_0_0_0 + 0.000396887063553818*G0_1_0_0_1 + 0.000196170672361178*G0_1_0_0_2 - 0.000769072197643771*G0_1_0_0_4 - 0.000344100344100432*G0_1_0_0_6 + 0.00237793952079709*G0_1_0_0_7 - 0.00396333824905322*G0_1_0_0_8 + 0.00232719661291128*G0_1_0_0_9 + 0.000396887063553818*G0_1_0_1_0 + 0.0516372516372608*G0_1_0_1_1 + 0.000388782293544267*G0_1_0_1_2 - 0.00158064158064174*G0_1_0_1_3 - 0.00198595055737952*G0_1_0_1_4 + 0.000110048681477261*G0_1_0_1_5 + 0.000892123749266744*G0_1_0_1_6 - 0.000582909154337898*G0_1_0_1_7 - 0.00262848262848289*G0_1_0_1_8 - 0.00678178963893363*G0_1_0_1_9 + 0.000196170672361178*G0_1_0_2_0 + 0.000388782293544267*G0_1_0_2_1 + 0.00287120287120331*G0_1_0_2_2 - 0.00297194868623488*G0_1_0_2_3 + 0.00119436119436134*G0_1_0_2_4 - 0.00131138702567293*G0_1_0_2_5 + 0.0010833610833612*G0_1_0_2_6 + 0.000926375212089649*G0_1_0_2_7 - 0.000828060828060969*G0_1_0_2_8 + 0.00265829408686594*G0_1_0_2_9 - 0.00158064158064173*G0_1_0_3_1 - 0.00297194868623488*G0_1_0_3_2 - 0.0516055373198322*G0_1_0_3_3 + 0.0174539745968348*G0_1_0_3_4 - 0.000665049236477947*G0_1_0_3_5 - 0.00177822177822201*G0_1_0_3_6 + 0.000796346510632355*G0_1_0_3_7 - 0.00417867846439347*G0_1_0_3_8 + 0.0187526758955361*G0_1_0_3_9 - 0.000769072197643771*G0_1_0_4_0 - 0.00198595055737952*G0_1_0_4_1 + 0.00119436119436134*G0_1_0_4_2 + 0.0174539745968348*G0_1_0_4_3 - 0.00021121735407479*G0_1_0_4_4 + 0.00320536606250952*G0_1_0_4_5 - 0.0014271442842875*G0_1_0_4_6 - 0.000685029256457918*G0_1_0_4_7 + 0.00338233195376111*G0_1_0_4_8 - 0.0143856143856169*G0_1_0_4_9 + 0.000110048681477261*G0_1_0_5_1 - 0.00131138702567293*G0_1_0_5_2 - 0.000665049236477947*G0_1_0_5_3 + 0.00320536606250952*G0_1_0_5_4 - 0.00283716283716336*G0_1_0_5_5 + 0.00284001712573196*G0_1_0_5_6 + 0.00131297274154438*G0_1_0_5_7 + 0.000568003425146378*G0_1_0_5_8 - 0.00811759668902656*G0_1_0_5_9 - 0.000344100344100432*G0_1_0_6_0 + 0.000892123749266744*G0_1_0_6_1 + 0.0010833610833612*G0_1_0_6_2 - 0.00177822177822201*G0_1_0_6_3 - 0.0014271442842875*G0_1_0_6_4 + 0.00284001712573196*G0_1_0_6_5 - 0.00180961895247667*G0_1_0_6_6 - 0.00188097616669074*G0_1_0_6_7 - 0.000545169116597772*G0_1_0_6_8 - 0.00441843870415381*G0_1_0_6_9 + 0.00237793952079709*G0_1_0_7_0 - 0.000582909154337898*G0_1_0_7_1 + 0.000926375212089649*G0_1_0_7_2 + 0.000796346510632356*G0_1_0_7_3 - 0.000685029256457917*G0_1_0_7_4 + 0.00131297274154438*G0_1_0_7_5 - 0.00188097616669074*G0_1_0_7_6 + 0.0600713572142243*G0_1_0_7_7 + 0.0147652347652372*G0_1_0_7_8 - 0.0032196375053523*G0_1_0_7_9 - 0.00396333824905322*G0_1_0_8_0 - 0.00262848262848289*G0_1_0_8_1 - 0.000828060828060969*G0_1_0_8_2 - 0.00417867846439347*G0_1_0_8_3 + 0.00338233195376111*G0_1_0_8_4 + 0.000568003425146378*G0_1_0_8_5 - 0.000545169116597771*G0_1_0_8_6 + 0.0147652347652372*G0_1_0_8_7 - 0.134322820037129*G0_1_0_8_8 + 0.0135807050092786*G0_1_0_8_9 + 0.00232719661291128*G0_1_0_9_0 - 0.00678178963893363*G0_1_0_9_1 + 0.00265829408686594*G0_1_0_9_2 + 0.0187526758955361*G0_1_0_9_3 - 0.0143856143856169*G0_1_0_9_4 - 0.00811759668902657*G0_1_0_9_5 - 0.00441843870415381*G0_1_0_9_6 - 0.0032196375053523*G0_1_0_9_7 + 0.0135807050092786*G0_1_0_9_8 + 0.0293877551020457*G0_1_0_9_9;
    A[130] = -A[85] - 0.0530679197345956*G0_1_0_0_0 - 0.000192611621183075*G0_1_0_0_2 - 0.00166119594691052*G0_1_0_0_4 + 0.00151150436864748*G0_1_0_0_5 + 0.00164185021327907*G0_1_0_0_6 + 0.00500642214928007*G0_1_0_0_7 - 0.00338042909471536*G0_1_0_0_8 + 0.00910898625184488*G0_1_0_0_9 + 0.053067919734596*G0_1_0_1_1 + 0.000192611621183102*G0_1_0_1_2 - 0.00151150436864733*G0_1_0_1_3 - 0.00164185021327913*G0_1_0_1_4 + 0.00166119594691052*G0_1_0_1_6 + 0.00338042909471527*G0_1_0_1_7 - 0.00500642214927992*G0_1_0_1_8 - 0.00910898625184491*G0_1_0_1_9 - 0.000192611621183075*G0_1_0_2_0 + 0.000192611621183102*G0_1_0_2_1 - 0.00166056166056197*G0_1_0_2_3 + 0.000111000111000191*G0_1_0_2_4 + 0.00166056166056192*G0_1_0_2_5 - 0.000111000111000071*G0_1_0_2_6 + 0.00175443604015061*G0_1_0_2_7 - 0.00175443604015062*G0_1_0_2_8 - 0.00151150436864733*G0_1_0_3_1 - 0.00166056166056197*G0_1_0_3_2 - 0.0487683744826689*G0_1_0_3_3 + 0.0146139574711028*G0_1_0_3_4 - 0.00498358784073155*G0_1_0_3_6 + 0.000228343085485959*G0_1_0_3_7 - 0.00549165120593785*G0_1_0_3_8 + 0.0268702725845627*G0_1_0_3_9 - 0.00166119594691052*G0_1_0_4_0 - 0.00164185021327913*G0_1_0_4_1 + 0.000111000111000191*G0_1_0_4_2 + 0.0146139574711028*G0_1_0_4_3 + 0.0015984015984018*G0_1_0_4_4 + 0.00498358784073155*G0_1_0_4_5 - 0.000139860139860143*G0_1_0_4_7 + 0.00526330812045186*G0_1_0_4_8 - 0.00996717568146308*G0_1_0_4_9 + 0.00151150436864748*G0_1_0_5_0 + 0.00166056166056192*G0_1_0_5_2 + 0.00498358784073155*G0_1_0_5_4 + 0.0487683744826684*G0_1_0_5_5 - 0.0146139574711028*G0_1_0_5_6 + 0.0054916512059378*G0_1_0_5_7 - 0.000228343085485946*G0_1_0_5_8 - 0.0268702725845628*G0_1_0_5_9 + 0.00164185021327907*G0_1_0_6_0 + 0.00166119594691052*G0_1_0_6_1 - 0.000111000111000072*G0_1_0_6_2 - 0.00498358784073155*G0_1_0_6_3 - 0.0146139574711028*G0_1_0_6_5 - 0.00159840159840176*G0_1_0_6_6 - 0.00526330812045183*G0_1_0_6_7 + 0.000139860139860127*G0_1_0_6_8 + 0.00996717568146308*G0_1_0_6_9 + 0.00500642214928006*G0_1_0_7_0 + 0.00338042909471527*G0_1_0_7_1 + 0.00175443604015061*G0_1_0_7_2 + 0.000228343085485959*G0_1_0_7_3 - 0.000139860139860144*G0_1_0_7_4 + 0.00549165120593779*G0_1_0_7_5 - 0.00526330812045183*G0_1_0_7_6 + 0.194394177251353*G0_1_0_7_7 - 0.0168003425146309*G0_1_0_7_9 - 0.00338042909471536*G0_1_0_8_0 - 0.00500642214927992*G0_1_0_8_1 - 0.00175443604015062*G0_1_0_8_2 - 0.00549165120593784*G0_1_0_8_3 + 0.00526330812045186*G0_1_0_8_4 - 0.000228343085485946*G0_1_0_8_5 + 0.000139860139860128*G0_1_0_8_6 - 0.194394177251353*G0_1_0_8_8 + 0.0168003425146309*G0_1_0_8_9 + 0.00910898625184489*G0_1_0_9_0 - 0.00910898625184491*G0_1_0_9_1 + 0.0268702725845627*G0_1_0_9_3 - 0.00996717568146308*G0_1_0_9_4 - 0.0268702725845628*G0_1_0_9_5 + 0.00996717568146308*G0_1_0_9_6 - 0.0168003425146309*G0_1_0_9_7 + 0.0168003425146309*G0_1_0_9_8 + 0.00910102243435721*G0_1_1_0_0 + 0.00144874525826934*G0_1_1_0_1 + 0.00050062811967582*G0_1_1_0_2 - 0.000883243740386764*G0_1_1_0_3 + 0.000431631860203376*G0_1_1_0_4 + 0.00154702440416748*G0_1_1_0_5 - 0.00146805575377026*G0_1_1_0_6 + 0.0182021153449755*G0_1_1_0_7 - 0.00174841031983919*G0_1_1_0_8 + 0.00333190618904961*G0_1_1_0_9 + 0.00144874525826934*G0_1_1_1_0 + 0.0621689421689534*G0_1_1_1_1 + 0.00069323974085892*G0_1_1_1_2 - 0.00310990596704941*G0_1_1_1_4 - 0.000807129378558118*G0_1_1_1_5 + 0.0020928278071139*G0_1_1_1_6 + 0.00163201877487606*G0_1_1_1_7 + 0.0131956931956957*G0_1_1_1_8 - 0.00577708006279529*G0_1_1_1_9 + 0.00050062811967582*G0_1_1_2_0 + 0.00069323974085892*G0_1_1_2_1 + 0.00207200207200244*G0_1_1_2_2 - 0.00343878343878402*G0_1_1_2_3 - 0.000621600621600719*G0_1_1_2_4 - 0.00177822177822209*G0_1_1_2_5 - 0.000732600732600858*G0_1_1_2_6 - 0.00210868496582819*G0_1_1_2_7 - 0.00386312100597879*G0_1_1_2_8 + 0.00286380286380333*G0_1_1_2_9 - 0.000883243740386764*G0_1_1_3_0 - 0.00343878343878402*G0_1_1_3_2 - 0.0694562580276987*G0_1_1_3_3 + 0.0209932924218674*G0_1_1_3_4 + 0.00264021692593166*G0_1_1_3_5 - 0.0064877979163705*G0_1_1_3_6 + 0.00244041672613144*G0_1_1_3_7 - 0.0138204652490389*G0_1_1_3_8 + 0.012450406736123*G0_1_1_3_9 + 0.000431631860203376*G0_1_1_4_0 - 0.00310990596704941*G0_1_1_4_1 - 0.000621600621600719*G0_1_1_4_2 + 0.0209932924218674*G0_1_1_4_3 + 0.019580419580423*G0_1_1_4_4 - 0.00150421007563892*G0_1_1_4_5 + 0.00799200799200943*G0_1_1_4_6 + 0.00262023690595164*G0_1_1_4_7 + 0.0113800485229075*G0_1_1_4_8 - 0.00558298844013215*G0_1_1_4_9 + 0.00154702440416748*G0_1_1_5_0 - 0.000807129378558118*G0_1_1_5_1 - 0.00177822177822209*G0_1_1_5_2 + 0.00264021692593166*G0_1_1_5_3 - 0.00150421007563892*G0_1_1_5_4 - 0.0206878835450299*G0_1_1_5_5 + 0.0063793349507646*G0_1_1_5_6 - 0.00832881404310119*G0_1_1_5_7 + 0.00221207364064548*G0_1_1_5_8 - 0.0144198658484397*G0_1_1_5_9 - 0.00146805575377026*G0_1_1_6_0 + 0.00209282780711391*G0_1_1_6_1 - 0.000732600732600858*G0_1_1_6_2 - 0.0064877979163705*G0_1_1_6_3 + 0.00799200799200943*G0_1_1_6_4 + 0.0063793349507646*G0_1_1_6_5 + 0.0179820179820214*G0_1_1_6_6 + 0.00611674040245572*G0_1_1_6_7 + 0.00276009704581172*G0_1_1_6_8 + 0.004384187241331*G0_1_1_6_9 + 0.0182021153449755*G0_1_1_7_0 + 0.00163201877487606*G0_1_1_7_1 - 0.00210868496582818*G0_1_1_7_2 + 0.00244041672613144*G0_1_1_7_3 + 0.00262023690595163*G0_1_1_7_4 - 0.00832881404310118*G0_1_1_7_5 + 0.00611674040245572*G0_1_1_7_6 - 0.0686285143428118*G0_1_1_7_7 - 0.0379991437134357*G0_1_1_7_8 - 0.0222291993720603*G0_1_1_7_9 - 0.00174841031983919*G0_1_1_8_0 + 0.0131956931956957*G0_1_1_8_1 - 0.00386312100597879*G0_1_1_8_2 - 0.0138204652490389*G0_1_1_8_3 + 0.0113800485229075*G0_1_1_8_4 + 0.00221207364064548*G0_1_1_8_5 + 0.00276009704581172*G0_1_1_8_6 - 0.0379991437134357*G0_1_1_8_7 - 0.263022691594165*G0_1_1_8_8 - 0.00542885685742931*G0_1_1_8_9 + 0.00333190618904962*G0_1_1_9_0 - 0.00577708006279529*G0_1_1_9_1 + 0.00286380286380333*G0_1_1_9_2 + 0.012450406736123*G0_1_1_9_3 - 0.00558298844013215*G0_1_1_9_4 - 0.0144198658484397*G0_1_1_9_5 + 0.004384187241331*G0_1_1_9_6 - 0.0222291993720603*G0_1_1_9_7 - 0.00542885685742931*G0_1_1_9_8 + 0.118373055515933*G0_1_1_9_9;
    A[105] = A[7] - 0.139942464942489*G0_0_1_0_0 - 0.00711678753345543*G0_0_1_0_1 - 0.00480046188379602*G0_0_1_0_2 + 0.000651154401154562*G0_0_1_0_3 + 0.00115398490398509*G0_0_1_0_4 - 0.0372433122433185*G0_0_1_0_5 + 0.0208860583860619*G0_0_1_0_6 - 0.0754273504273632*G0_0_1_0_7 + 0.0327852702852758*G0_0_1_0_8 - 0.0053280053280063*G0_0_1_0_9 - 0.00711678753345543*G0_0_1_1_0 - 0.00096585953728827*G0_0_1_1_1 - 0.000270961401913823*G0_0_1_1_2 + 0.000334784263355755*G0_0_1_1_3 + 0.000204616811759708*G0_0_1_1_4 - 0.00348720723720783*G0_0_1_1_5 + 0.00113685917257365*G0_0_1_1_6 - 0.00970904095904262*G0_0_1_1_7 + 0.00396722325293822*G0_0_1_1_8 - 0.00247906855049755*G0_0_1_1_9 - 0.00480046188379602*G0_0_1_2_0 - 0.000270961401913823*G0_0_1_2_1 + 0.0005469838803174*G0_0_1_2_2 - 0.000340235161663809*G0_0_1_2_3 + 0.000921657707372195*G0_0_1_2_4 - 0.000815712065712206*G0_0_1_2_5 + 0.00153616225044825*G0_0_1_2_6 - 0.00393675768675834*G0_0_1_2_7 + 0.00165729112157711*G0_0_1_2_8 - 0.000403049331620826*G0_0_1_2_9 + 0.000651154401154562*G0_0_1_3_0 + 0.000334784263355755*G0_0_1_3_1 - 0.000340235161663809*G0_0_1_3_2 + 0.000387826459255128*G0_0_1_3_3 + 0.00220154845154885*G0_0_1_3_5 + 0.00069448408734132*G0_0_1_3_6 + 0.00215159840159881*G0_0_1_3_7 - 0.00128478664192973*G0_0_1_3_8 + 0.00313400884829509*G0_0_1_3_9 + 0.00115398490398509*G0_0_1_4_0 + 0.000204616811759708*G0_0_1_4_1 + 0.000921657707372195*G0_0_1_4_2 + 0.00274261452832936*G0_0_1_4_4 + 0.000643106893106984*G0_0_1_4_5 - 0.00133759098044831*G0_0_1_4_6 + 0.00212162837162872*G0_0_1_4_7 - 0.000866811759669047*G0_0_1_4_8 - 0.0372433122433185*G0_0_1_5_0 - 0.00348720723720783*G0_0_1_5_1 - 0.000815712065712206*G0_0_1_5_2 + 0.00220154845154885*G0_0_1_5_3 + 0.000643106893106985*G0_0_1_5_4 - 0.0110639360639379*G0_0_1_5_5 + 0.00098026973026984*G0_0_1_5_6 - 0.0304820179820231*G0_0_1_5_7 + 0.0145666833166858*G0_0_1_5_8 - 0.0131493506493529*G0_0_1_5_9 + 0.0208860583860619*G0_0_1_6_0 + 0.00113685917257365*G0_0_1_6_1 + 0.00153616225044825*G0_0_1_6_2 + 0.00069448408734132*G0_0_1_6_3 - 0.00133759098044831*G0_0_1_6_4 + 0.00098026973026984*G0_0_1_6_5 - 0.0097227772227788*G0_0_1_6_6 + 0.0159153346653373*G0_0_1_6_7 - 0.00624375624375729*G0_0_1_6_8 - 0.000179820179820184*G0_0_1_6_9 - 0.0754273504273632*G0_0_1_7_0 - 0.00970904095904262*G0_0_1_7_1 - 0.00393675768675834*G0_0_1_7_2 + 0.00215159840159881*G0_0_1_7_3 + 0.00212162837162872*G0_0_1_7_4 - 0.0304820179820231*G0_0_1_7_5 + 0.0159153346653373*G0_0_1_7_6 - 0.110864135864155*G0_0_1_7_7 + 0.0454857642357719*G0_0_1_7_8 - 0.0158466533466561*G0_0_1_7_9 + 0.0327852702852759*G0_0_1_8_0 + 0.00396722325293822*G0_0_1_8_1 + 0.00165729112157711*G0_0_1_8_2 - 0.00128478664192973*G0_0_1_8_3 - 0.000866811759669047*G0_0_1_8_4 + 0.0145666833166858*G0_0_1_8_5 - 0.00624375624375729*G0_0_1_8_6 + 0.0454857642357719*G0_0_1_8_7 - 0.0172752247752277*G0_0_1_8_8 + 0.00917082917083074*G0_0_1_8_9 - 0.0053280053280063*G0_0_1_9_0 - 0.00247906855049755*G0_0_1_9_1 - 0.000403049331620826*G0_0_1_9_2 + 0.00313400884829509*G0_0_1_9_3 - 0.0131493506493529*G0_0_1_9_5 - 0.000179820179820184*G0_0_1_9_6 - 0.0158466533466561*G0_0_1_9_7 + 0.00917082917083074*G0_0_1_9_8 - 0.0220279720279758*G0_0_1_9_9 + 0.139942464942489*G0_1_0_0_0 + 0.00711678753345543*G0_1_0_0_1 + 0.00480046188379602*G0_1_0_0_2 - 0.000651154401154562*G0_1_0_0_3 - 0.00115398490398509*G0_1_0_0_4 + 0.0372433122433185*G0_1_0_0_5 - 0.0208860583860619*G0_1_0_0_6 + 0.0754273504273632*G0_1_0_0_7 - 0.0327852702852758*G0_1_0_0_8 + 0.0053280053280063*G0_1_0_0_9 + 0.00711678753345543*G0_1_0_1_0 + 0.00096585953728827*G0_1_0_1_1 + 0.000270961401913823*G0_1_0_1_2 - 0.000334784263355755*G0_1_0_1_3 - 0.000204616811759707*G0_1_0_1_4 + 0.00348720723720783*G0_1_0_1_5 - 0.00113685917257365*G0_1_0_1_6 + 0.00970904095904262*G0_1_0_1_7 - 0.00396722325293822*G0_1_0_1_8 + 0.00247906855049755*G0_1_0_1_9 + 0.00480046188379602*G0_1_0_2_0 + 0.000270961401913823*G0_1_0_2_1 - 0.000546983880317396*G0_1_0_2_2 + 0.000340235161663809*G0_1_0_2_3 - 0.000921657707372195*G0_1_0_2_4 + 0.000815712065712206*G0_1_0_2_5 - 0.00153616225044825*G0_1_0_2_6 + 0.00393675768675834*G0_1_0_2_7 - 0.00165729112157711*G0_1_0_2_8 + 0.000403049331620826*G0_1_0_2_9 - 0.000651154401154562*G0_1_0_3_0 - 0.000334784263355755*G0_1_0_3_1 + 0.000340235161663809*G0_1_0_3_2 - 0.000387826459255128*G0_1_0_3_3 - 0.00220154845154885*G0_1_0_3_5 - 0.00069448408734132*G0_1_0_3_6 - 0.00215159840159881*G0_1_0_3_7 + 0.00128478664192973*G0_1_0_3_8 - 0.00313400884829509*G0_1_0_3_9 - 0.00115398490398509*G0_1_0_4_0 - 0.000204616811759707*G0_1_0_4_1 - 0.000921657707372193*G0_1_0_4_2 - 0.00274261452832937*G0_1_0_4_4 - 0.000643106893106984*G0_1_0_4_5 + 0.00133759098044831*G0_1_0_4_6 - 0.00212162837162872*G0_1_0_4_7 + 0.000866811759669047*G0_1_0_4_8 + 0.0372433122433185*G0_1_0_5_0 + 0.00348720723720783*G0_1_0_5_1 + 0.000815712065712206*G0_1_0_5_2 - 0.00220154845154885*G0_1_0_5_3 - 0.000643106893106985*G0_1_0_5_4 + 0.0110639360639379*G0_1_0_5_5 - 0.000980269730269839*G0_1_0_5_6 + 0.0304820179820231*G0_1_0_5_7 - 0.0145666833166858*G0_1_0_5_8 + 0.0131493506493529*G0_1_0_5_9 - 0.0208860583860619*G0_1_0_6_0 - 0.00113685917257365*G0_1_0_6_1 - 0.00153616225044825*G0_1_0_6_2 - 0.00069448408734132*G0_1_0_6_3 + 0.00133759098044831*G0_1_0_6_4 - 0.000980269730269839*G0_1_0_6_5 + 0.0097227772227788*G0_1_0_6_6 - 0.0159153346653373*G0_1_0_6_7 + 0.00624375624375729*G0_1_0_6_8 + 0.000179820179820184*G0_1_0_6_9 + 0.0754273504273632*G0_1_0_7_0 + 0.00970904095904262*G0_1_0_7_1 + 0.00393675768675834*G0_1_0_7_2 - 0.00215159840159881*G0_1_0_7_3 - 0.00212162837162872*G0_1_0_7_4 + 0.0304820179820231*G0_1_0_7_5 - 0.0159153346653373*G0_1_0_7_6 + 0.110864135864155*G0_1_0_7_7 - 0.0454857642357719*G0_1_0_7_8 + 0.0158466533466561*G0_1_0_7_9 - 0.0327852702852759*G0_1_0_8_0 - 0.00396722325293822*G0_1_0_8_1 - 0.00165729112157711*G0_1_0_8_2 + 0.00128478664192973*G0_1_0_8_3 + 0.000866811759669047*G0_1_0_8_4 - 0.0145666833166858*G0_1_0_8_5 + 0.00624375624375729*G0_1_0_8_6 - 0.0454857642357719*G0_1_0_8_7 + 0.0172752247752277*G0_1_0_8_8 - 0.00917082917083074*G0_1_0_8_9 + 0.0053280053280063*G0_1_0_9_0 + 0.00247906855049755*G0_1_0_9_1 + 0.000403049331620826*G0_1_0_9_2 - 0.00313400884829508*G0_1_0_9_3 + 0.0131493506493529*G0_1_0_9_5 + 0.000179820179820184*G0_1_0_9_6 + 0.0158466533466561*G0_1_0_9_7 - 0.00917082917083074*G0_1_0_9_8 + 0.0220279720279758*G0_1_0_9_9;
    A[10] = A[105] + 0.139942464942489*G0_0_0_0_0 + 0.00465351007017756*G0_0_0_0_1 + 0.00726373934707394*G0_0_0_0_2 + 0.00133436008436028*G0_0_0_0_3 - 0.00313949938949993*G0_0_0_0_4 + 0.0800740925741065*G0_0_0_0_5 - 0.0372835497835563*G0_0_0_0_6 + 0.0325965700965758*G0_0_0_0_7 - 0.0163877788877818*G0_0_0_0_8 + 0.00532800532800632*G0_0_0_0_9 + 0.00465351007017756*G0_0_0_1_0 + 0.0169847700800111*G0_0_0_1_1 + 0.000270961401913825*G0_0_0_1_2 + 0.0139981843553296*G0_0_0_1_3 - 0.00836385836385978*G0_0_0_1_4 + 0.00534534909535*G0_0_0_1_5 - 0.00337069676355448*G0_0_0_1_6 - 0.0015506715506718*G0_0_0_1_7 + 0.00442442478156839*G0_0_0_1_8 + 0.000450739736454112*G0_0_0_1_9 + 0.00726373934707394*G0_0_0_2_0 + 0.000270961401913825*G0_0_0_2_1 - 0.0165658944230401*G0_0_0_2_2 + 0.00849947671376386*G0_0_0_2_3 - 0.0152546263260575*G0_0_0_2_4 + 0.0120754245754266*G0_0_0_2_5 - 0.00992781028495484*G0_0_0_2_6 + 0.00207861582861619*G0_0_0_2_7 + 0.000576546469403701*G0_0_0_2_8 + 0.00243137814566428*G0_0_0_2_9 + 0.00133436008436028*G0_0_0_3_0 + 0.0139981843553296*G0_0_0_3_1 + 0.00849947671376386*G0_0_0_3_2 + 0.0424425574425645*G0_0_0_3_3 - 0.00796703296703431*G0_0_0_3_5 + 0.00600702868560112*G0_0_0_3_6 - 0.00810814185814323*G0_0_0_3_7 + 0.0139428428714166*G0_0_0_3_8 + 0.0148640645069241*G0_0_0_3_9 - 0.00313949938949993*G0_0_0_4_0 - 0.00836385836385978*G0_0_0_4_1 - 0.0152546263260575*G0_0_0_4_2 - 0.045572998430149*G0_0_0_4_4 + 0.00531343656343745*G0_0_0_4_5 - 0.0113204652490386*G0_0_0_4_6 + 0.00364385614385675*G0_0_0_4_7 - 0.00583470101327342*G0_0_0_4_8 - 0.0179210075638677*G0_0_0_4_9 + 0.0800740925741065*G0_0_0_5_0 + 0.00534534909535*G0_0_0_5_1 + 0.0120754245754266*G0_0_0_5_2 - 0.00796703296703431*G0_0_0_5_3 + 0.00531343656343745*G0_0_0_5_4 + 0.127022977022999*G0_0_0_5_5 - 0.0366620879120942*G0_0_0_5_6 + 0.0304820179820232*G0_0_0_5_7 - 0.0201411088911123*G0_0_0_5_8 + 0.024298201798206*G0_0_0_5_9 - 0.0372835497835563*G0_0_0_6_0 - 0.00337069676355448*G0_0_0_6_1 - 0.00992781028495484*G0_0_0_6_2 + 0.00600702868560112*G0_0_0_6_3 - 0.0113204652490386*G0_0_0_6_4 - 0.0366620879120942*G0_0_0_6_5 - 0.00445554445554508*G0_0_0_6_6 - 0.0103409090909109*G0_0_0_6_7 + 0.00624375624375731*G0_0_0_6_8 - 0.0193081918081951*G0_0_0_6_9 + 0.0325965700965758*G0_0_0_7_0 - 0.0015506715506718*G0_0_0_7_1 + 0.00207861582861619*G0_0_0_7_2 - 0.00810814185814323*G0_0_0_7_3 + 0.00364385614385675*G0_0_0_7_4 + 0.0304820179820232*G0_0_0_7_5 - 0.0103409090909109*G0_0_0_7_6 - 0.00509490509490579*G0_0_0_7_7 - 0.00980394605394778*G0_0_0_7_8 + 0.00469780219780302*G0_0_0_7_9 - 0.0163877788877818*G0_0_0_8_0 + 0.00442442478156839*G0_0_0_8_1 + 0.000576546469403701*G0_0_0_8_2 + 0.0139428428714167*G0_0_0_8_3 - 0.00583470101327342*G0_0_0_8_4 - 0.0201411088911123*G0_0_0_8_5 + 0.00624375624375731*G0_0_0_8_6 - 0.00980394605394778*G0_0_0_8_7 + 0.0314535464535518*G0_0_0_8_8 + 0.0103171828171845*G0_0_0_8_9 + 0.00532800532800632*G0_0_0_9_0 + 0.000450739736454112*G0_0_0_9_1 + 0.00243137814566428*G0_0_0_9_2 + 0.0148640645069241*G0_0_0_9_3 - 0.0179210075638677*G0_0_0_9_4 + 0.024298201798206*G0_0_0_9_5 - 0.0193081918081951*G0_0_0_9_6 + 0.00469780219780302*G0_0_0_9_7 + 0.0103171828171845*G0_0_0_9_8 + 0.0220279720279758*G0_0_0_9_9 - 0.000146951813618489*G0_0_1_0_1 + 0.000146951813618513*G0_0_1_0_2 + 0.00248834498834542*G0_0_1_0_3 - 0.00248834498834543*G0_0_1_0_4 + 0.00464674214674306*G0_0_1_0_5 - 0.00449827949828033*G0_0_1_0_6 - 0.0046467421467428*G0_0_1_0_7 + 0.00449827949828019*G0_0_1_0_8 - 0.000146951813618489*G0_0_1_1_0 + 0.0175317539603284*G0_0_1_1_1 + 0.0149198420627017*G0_0_1_1_3 - 0.00870409352552357*G0_0_1_1_4 + 0.00140859140859165*G0_0_1_1_5 - 0.00171340564197737*G0_0_1_1_6 - 0.00236638361638401*G0_0_1_1_7 + 0.00596058703201662*G0_0_1_1_8 + 0.000146951813618512*G0_0_1_2_0 - 0.0175317539603284*G0_0_1_2_2 + 0.00870409352552358*G0_0_1_2_3 - 0.0149198420627018*G0_0_1_2_4 + 0.00236638361638403*G0_0_1_2_5 - 0.00596058703201665*G0_0_1_2_6 - 0.00140859140859164*G0_0_1_2_7 + 0.00171340564197735*G0_0_1_2_8 + 0.00248834498834542*G0_0_1_3_0 + 0.0149198420627017*G0_0_1_3_1 + 0.00870409352552358*G0_0_1_3_2 + 0.0451851719708938*G0_0_1_3_3 - 0.00584540459540558*G0_0_1_3_5 + 0.00514021692593209*G0_0_1_3_6 - 0.00746503496503622*G0_0_1_3_7 + 0.0126052518909683*G0_0_1_3_8 + 0.0147869987155726*G0_0_1_3_9 - 0.00248834498834543*G0_0_1_4_0 - 0.00870409352552357*G0_0_1_4_1 - 0.0149198420627018*G0_0_1_4_2 - 0.045185171970894*G0_0_1_4_4 + 0.00746503496503624*G0_0_1_4_5 - 0.0126052518909683*G0_0_1_4_6 + 0.00584540459540558*G0_0_1_4_7 - 0.00514021692593207*G0_0_1_4_8 - 0.0147869987155726*G0_0_1_4_9 + 0.00464674214674306*G0_0_1_5_0 + 0.00140859140859165*G0_0_1_5_1 + 0.00236638361638403*G0_0_1_5_2 - 0.00584540459540558*G0_0_1_5_3 + 0.00746503496503623*G0_0_1_5_4 + 0.016158841158844*G0_0_1_5_5 + 0.00882367632367782*G0_0_1_5_6 - 0.00422577422577498*G0_0_1_5_8 + 0.00845154845154994*G0_0_1_5_9 - 0.00449827949828033*G0_0_1_6_0 - 0.00171340564197737*G0_0_1_6_1 - 0.00596058703201665*G0_0_1_6_2 + 0.00514021692593209*G0_0_1_6_3 - 0.0126052518909683*G0_0_1_6_4 + 0.00882367632367782*G0_0_1_6_5 - 0.0217307692307729*G0_0_1_6_6 + 0.00422577422577491*G0_0_1_6_7 - 0.0101373626373644*G0_0_1_6_9 - 0.0046467421467428*G0_0_1_7_0 - 0.00236638361638401*G0_0_1_7_1 - 0.00140859140859164*G0_0_1_7_2 - 0.00746503496503622*G0_0_1_7_3 + 0.00584540459540558*G0_0_1_7_4 + 0.00422577422577491*G0_0_1_7_6 - 0.0161588411588437*G0_0_1_7_7 - 0.00882367632367788*G0_0_1_7_8 - 0.00845154845154986*G0_0_1_7_9 + 0.00449827949828019*G0_0_1_8_0 + 0.00596058703201662*G0_0_1_8_1 + 0.00171340564197735*G0_0_1_8_2 + 0.0126052518909683*G0_0_1_8_3 - 0.00514021692593207*G0_0_1_8_4 - 0.00422577422577498*G0_0_1_8_5 - 0.00882367632367788*G0_0_1_8_7 + 0.0217307692307729*G0_0_1_8_8 + 0.0101373626373643*G0_0_1_8_9 + 0.0147869987155726*G0_0_1_9_3 - 0.0147869987155726*G0_0_1_9_4 + 0.00845154845154993*G0_0_1_9_5 - 0.0101373626373644*G0_0_1_9_6 - 0.00845154845154986*G0_0_1_9_7 + 0.0101373626373643*G0_0_1_9_8 - 0.00246327746327787*G0_1_0_0_1 + 0.00246327746327791*G0_1_0_0_2 + 0.00198551448551484*G0_1_0_0_3 - 0.00198551448551484*G0_1_0_0_4 + 0.0428307803307879*G0_1_0_0_5 - 0.0163974913974943*G0_1_0_0_6 - 0.0428307803307875*G0_1_0_0_7 + 0.0163974913974941*G0_1_0_0_8 - 0.00246327746327787*G0_1_0_1_0 + 0.0160189105427228*G0_1_0_1_1 + 0.0143329686186853*G0_1_0_1_3 - 0.00815924155210008*G0_1_0_1_4 + 0.00185814185814217*G0_1_0_1_5 - 0.00223383759098083*G0_1_0_1_6 - 0.0112597125097144*G0_1_0_1_7 + 0.00839164803450661*G0_1_0_1_8 - 0.00202832881404344*G0_1_0_1_9 + 0.00246327746327791*G0_1_0_2_0 - 0.0160189105427228*G0_1_0_2_2 + 0.00815924155210006*G0_1_0_2_3 - 0.0143329686186853*G0_1_0_2_4 + 0.0112597125097144*G0_1_0_2_5 - 0.00839164803450661*G0_1_0_2_6 - 0.00185814185814215*G0_1_0_2_7 + 0.00223383759098081*G0_1_0_2_8 + 0.00202832881404345*G0_1_0_2_9 + 0.00198551448551484*G0_1_0_3_0 + 0.0143329686186853*G0_1_0_3_1 + 0.00815924155210006*G0_1_0_3_2 + 0.0428303839018196*G0_1_0_3_3 - 0.00576548451548546*G0_1_0_3_5 + 0.00670151277294246*G0_1_0_3_6 - 0.00595654345654441*G0_1_0_3_7 + 0.0126580562294869*G0_1_0_3_8 + 0.0179980733552192*G0_1_0_3_9 - 0.00198551448551484*G0_1_0_4_0 - 0.00815924155210008*G0_1_0_4_1 - 0.0143329686186853*G0_1_0_4_2 - 0.0428303839018197*G0_1_0_4_4 + 0.00595654345654444*G0_1_0_4_5 - 0.0126580562294869*G0_1_0_4_6 + 0.00576548451548546*G0_1_0_4_7 - 0.00670151277294245*G0_1_0_4_8 - 0.0179980733552192*G0_1_0_4_9 + 0.0428307803307879*G0_1_0_5_0 + 0.00185814185814217*G0_1_0_5_1 + 0.0112597125097144*G0_1_0_5_2 - 0.00576548451548546*G0_1_0_5_3 + 0.00595654345654444*G0_1_0_5_4 + 0.115959040959061*G0_1_0_5_5 - 0.0356818181818243*G0_1_0_5_6 - 0.00557442557442656*G0_1_0_5_8 + 0.0111488511488531*G0_1_0_5_9 - 0.0163974913974943*G0_1_0_6_0 - 0.00223383759098083*G0_1_0_6_1 - 0.00839164803450661*G0_1_0_6_2 + 0.00670151277294246*G0_1_0_6_3 - 0.0126580562294869*G0_1_0_6_4 - 0.0356818181818243*G0_1_0_6_5 - 0.014178321678324*G0_1_0_6_6 + 0.00557442557442647*G0_1_0_6_7 - 0.0194880119880153*G0_1_0_6_9 - 0.0428307803307875*G0_1_0_7_0 - 0.0112597125097144*G0_1_0_7_1 - 0.00185814185814215*G0_1_0_7_2 - 0.00595654345654442*G0_1_0_7_3 + 0.00576548451548546*G0_1_0_7_4 + 0.00557442557442646*G0_1_0_7_6 - 0.11595904095906*G0_1_0_7_7 + 0.0356818181818242*G0_1_0_7_8 - 0.011148851148853*G0_1_0_7_9 + 0.0163974913974941*G0_1_0_8_0 + 0.00839164803450661*G0_1_0_8_1 + 0.00223383759098081*G0_1_0_8_2 + 0.0126580562294869*G0_1_0_8_3 - 0.00670151277294245*G0_1_0_8_4 - 0.00557442557442656*G0_1_0_8_5 + 0.0356818181818242*G0_1_0_8_7 + 0.014178321678324*G0_1_0_8_8 + 0.0194880119880152*G0_1_0_8_9 - 0.00202832881404344*G0_1_0_9_1 + 0.00202832881404345*G0_1_0_9_2 + 0.0179980733552192*G0_1_0_9_3 - 0.0179980733552192*G0_1_0_9_4 + 0.0111488511488531*G0_1_0_9_5 - 0.0194880119880153*G0_1_0_9_6 - 0.011148851148853*G0_1_0_9_7 + 0.0194880119880152*G0_1_0_9_8 - 0.139942464942489*G0_1_1_0_0 - 0.00726373934707391*G0_1_1_0_1 - 0.00465351007017751*G0_1_1_0_2 + 0.00313949938949998*G0_1_1_0_3 - 0.00133436008436034*G0_1_1_0_4 - 0.0325965700965755*G0_1_1_0_5 + 0.0163877788877816*G0_1_1_0_6 - 0.080074092574106*G0_1_1_0_7 + 0.037283549783556*G0_1_1_0_8 - 0.0053280053280063*G0_1_1_0_9 - 0.00726373934707391*G0_1_1_1_0 + 0.0165658944230401*G0_1_1_1_1 - 0.000270961401913835*G0_1_1_1_2 + 0.0152546263260575*G0_1_1_1_3 - 0.00849947671376387*G0_1_1_1_4 - 0.00207861582861618*G0_1_1_1_5 - 0.000576546469403717*G0_1_1_1_6 - 0.0120754245754266*G0_1_1_1_7 + 0.00992781028495484*G0_1_1_1_8 - 0.00243137814566427*G0_1_1_1_9 - 0.00465351007017751*G0_1_1_2_0 - 0.000270961401913835*G0_1_1_2_1 - 0.0169847700800111*G0_1_1_2_2 + 0.00836385836385978*G0_1_1_2_3 - 0.0139981843553296*G0_1_1_2_4 + 0.00155067155067183*G0_1_1_2_5 - 0.00442442478156842*G0_1_1_2_6 - 0.00534534909534998*G0_1_1_2_7 + 0.00337069676355446*G0_1_1_2_8 - 0.000450739736454103*G0_1_1_2_9 + 0.00313949938949998*G0_1_1_3_0 + 0.0152546263260575*G0_1_1_3_1 + 0.00836385836385978*G0_1_1_3_2 + 0.0455729984301489*G0_1_1_3_3 - 0.00364385614385673*G0_1_1_3_5 + 0.00583470101327342*G0_1_1_3_6 - 0.00531343656343741*G0_1_1_3_7 + 0.0113204652490385*G0_1_1_3_8 + 0.0179210075638677*G0_1_1_3_9 - 0.00133436008436034*G0_1_1_4_0 - 0.00849947671376387*G0_1_1_4_1 - 0.0139981843553296*G0_1_1_4_2 - 0.0424425574425647*G0_1_1_4_4 + 0.00810814185814323*G0_1_1_4_5 - 0.0139428428714167*G0_1_1_4_6 + 0.00796703296703429*G0_1_1_4_7 - 0.0060070286856011*G0_1_1_4_8 - 0.0148640645069242*G0_1_1_4_9 - 0.0325965700965755*G0_1_1_5_0 - 0.00207861582861618*G0_1_1_5_1 + 0.00155067155067183*G0_1_1_5_2 - 0.00364385614385673*G0_1_1_5_3 + 0.00810814185814323*G0_1_1_5_4 + 0.00509490509490601*G0_1_1_5_5 + 0.00980394605394768*G0_1_1_5_6 - 0.030482017982023*G0_1_1_5_7 + 0.0103409090909108*G0_1_1_5_8 - 0.00469780219780299*G0_1_1_5_9 + 0.0163877788877816*G0_1_1_6_0 - 0.000576546469403717*G0_1_1_6_1 - 0.00442442478156842*G0_1_1_6_2 + 0.00583470101327342*G0_1_1_6_3 - 0.0139428428714167*G0_1_1_6_4 + 0.00980394605394768*G0_1_1_6_5 - 0.0314535464535518*G0_1_1_6_6 + 0.0201411088911122*G0_1_1_6_7 - 0.00624375624375727*G0_1_1_6_8 - 0.0103171828171846*G0_1_1_6_9 - 0.080074092574106*G0_1_1_7_0 - 0.0120754245754266*G0_1_1_7_1 - 0.00534534909534998*G0_1_1_7_2 - 0.0053134365634374*G0_1_1_7_3 + 0.00796703296703429*G0_1_1_7_4 - 0.030482017982023*G0_1_1_7_5 + 0.0201411088911122*G0_1_1_7_6 - 0.127022977022998*G0_1_1_7_7 + 0.0366620879120941*G0_1_1_7_8 - 0.0242982017982059*G0_1_1_7_9 + 0.037283549783556*G0_1_1_8_0 + 0.00992781028495484*G0_1_1_8_1 + 0.00337069676355446*G0_1_1_8_2 + 0.0113204652490385*G0_1_1_8_3 - 0.0060070286856011*G0_1_1_8_4 + 0.0103409090909108*G0_1_1_8_5 - 0.00624375624375727*G0_1_1_8_6 + 0.0366620879120941*G0_1_1_8_7 + 0.0044555444555451*G0_1_1_8_8 + 0.019308191808195*G0_1_1_8_9 - 0.0053280053280063*G0_1_1_9_0 - 0.00243137814566427*G0_1_1_9_1 - 0.000450739736454103*G0_1_1_9_2 + 0.0179210075638677*G0_1_1_9_3 - 0.0148640645069242*G0_1_1_9_4 - 0.00469780219780299*G0_1_1_9_5 - 0.0103171828171846*G0_1_1_9_6 - 0.0242982017982059*G0_1_1_9_7 + 0.019308191808195*G0_1_1_9_8 - 0.0220279720279759*G0_1_1_9_9;
    A[150] = A[10] + 0.139942464942489*G0_0_1_0_0 + 0.00480046188379604*G0_0_1_0_1 + 0.00711678753345542*G0_0_1_0_2 - 0.00115398490398513*G0_0_1_0_3 - 0.00065115440115451*G0_0_1_0_4 + 0.0754273504273634*G0_0_1_0_5 - 0.0327852702852759*G0_0_1_0_6 + 0.0372433122433186*G0_0_1_0_7 - 0.020886058386062*G0_0_1_0_8 + 0.0053280053280063*G0_0_1_0_9 + 0.00480046188379604*G0_0_1_1_0 - 0.00054698388031731*G0_0_1_1_1 + 0.000270961401913828*G0_0_1_1_2 - 0.000921657707372145*G0_0_1_1_3 + 0.000340235161663789*G0_0_1_1_4 + 0.00393675768675835*G0_0_1_1_5 - 0.00165729112157712*G0_0_1_1_6 + 0.00081571206571221*G0_0_1_1_7 - 0.00153616225044823*G0_0_1_1_8 + 0.000403049331620832*G0_0_1_1_9 + 0.00711678753345542*G0_0_1_2_0 + 0.000270961401913828*G0_0_1_2_1 + 0.000965859537288261*G0_0_1_2_2 - 0.000204616811759702*G0_0_1_2_3 - 0.000334784263355757*G0_0_1_2_4 + 0.00970904095904262*G0_0_1_2_5 - 0.00396722325293822*G0_0_1_2_6 + 0.00348720723720782*G0_0_1_2_7 - 0.00113685917257366*G0_0_1_2_8 + 0.00247906855049754*G0_0_1_2_9 - 0.00115398490398513*G0_0_1_3_0 - 0.000921657707372145*G0_0_1_3_1 - 0.000204616811759702*G0_0_1_3_2 - 0.00274261452832927*G0_0_1_3_3 - 0.00212162837162873*G0_0_1_3_5 + 0.000866811759669051*G0_0_1_3_6 - 0.000643106893107003*G0_0_1_3_7 + 0.00133759098044833*G0_0_1_3_8 - 0.00065115440115451*G0_0_1_4_0 + 0.000340235161663789*G0_0_1_4_1 - 0.000334784263355757*G0_0_1_4_2 - 0.000387826459255114*G0_0_1_4_4 - 0.00215159840159878*G0_0_1_4_5 + 0.00128478664192972*G0_0_1_4_6 - 0.00220154845154883*G0_0_1_4_7 - 0.000694484087341328*G0_0_1_4_8 - 0.00313400884829508*G0_0_1_4_9 + 0.0754273504273634*G0_0_1_5_0 + 0.00393675768675835*G0_0_1_5_1 + 0.00970904095904262*G0_0_1_5_2 - 0.00212162837162873*G0_0_1_5_3 - 0.00215159840159878*G0_0_1_5_4 + 0.110864135864155*G0_0_1_5_5 - 0.045485764235772*G0_0_1_5_6 + 0.0304820179820231*G0_0_1_5_7 - 0.0159153346653374*G0_0_1_5_8 + 0.0158466533466561*G0_0_1_5_9 - 0.0327852702852759*G0_0_1_6_0 - 0.00165729112157711*G0_0_1_6_1 - 0.00396722325293822*G0_0_1_6_2 + 0.000866811759669051*G0_0_1_6_3 + 0.00128478664192972*G0_0_1_6_4 - 0.045485764235772*G0_0_1_6_5 + 0.0172752247752277*G0_0_1_6_6 - 0.0145666833166858*G0_0_1_6_7 + 0.00624375624375731*G0_0_1_6_8 - 0.00917082917083073*G0_0_1_6_9 + 0.0372433122433186*G0_0_1_7_0 + 0.00081571206571221*G0_0_1_7_1 + 0.00348720723720782*G0_0_1_7_2 - 0.000643106893107003*G0_0_1_7_3 - 0.00220154845154883*G0_0_1_7_4 + 0.0304820179820231*G0_0_1_7_5 - 0.0145666833166858*G0_0_1_7_6 + 0.0110639360639379*G0_0_1_7_7 - 0.000980269730269891*G0_0_1_7_8 + 0.0131493506493529*G0_0_1_7_9 - 0.020886058386062*G0_0_1_8_0 - 0.00153616225044823*G0_0_1_8_1 - 0.00113685917257366*G0_0_1_8_2 + 0.00133759098044833*G0_0_1_8_3 - 0.000694484087341328*G0_0_1_8_4 - 0.0159153346653374*G0_0_1_8_5 + 0.00624375624375731*G0_0_1_8_6 - 0.000980269730269892*G0_0_1_8_7 + 0.00972277722277874*G0_0_1_8_8 + 0.000179820179820158*G0_0_1_8_9 + 0.0053280053280063*G0_0_1_9_0 + 0.000403049331620833*G0_0_1_9_1 + 0.00247906855049754*G0_0_1_9_2 - 0.00313400884829508*G0_0_1_9_4 + 0.0158466533466561*G0_0_1_9_5 - 0.00917082917083073*G0_0_1_9_6 + 0.0131493506493529*G0_0_1_9_7 + 0.000179820179820158*G0_0_1_9_8 + 0.0220279720279758*G0_0_1_9_9 - 0.139942464942489*G0_1_0_0_0 - 0.00480046188379604*G0_1_0_0_1 - 0.00711678753345542*G0_1_0_0_2 + 0.00115398490398513*G0_1_0_0_3 + 0.00065115440115451*G0_1_0_0_4 - 0.0754273504273634*G0_1_0_0_5 + 0.0327852702852759*G0_1_0_0_6 - 0.0372433122433186*G0_1_0_0_7 + 0.020886058386062*G0_1_0_0_8 - 0.0053280053280063*G0_1_0_0_9 - 0.00480046188379604*G0_1_0_1_0 + 0.000546983880317313*G0_1_0_1_1 - 0.000270961401913828*G0_1_0_1_2 + 0.000921657707372145*G0_1_0_1_3 - 0.000340235161663789*G0_1_0_1_4 - 0.00393675768675835*G0_1_0_1_5 + 0.00165729112157711*G0_1_0_1_6 - 0.000815712065712211*G0_1_0_1_7 + 0.00153616225044823*G0_1_0_1_8 - 0.000403049331620832*G0_1_0_1_9 - 0.00711678753345542*G0_1_0_2_0 - 0.000270961401913827*G0_1_0_2_1 - 0.000965859537288261*G0_1_0_2_2 + 0.000204616811759702*G0_1_0_2_3 + 0.000334784263355757*G0_1_0_2_4 - 0.00970904095904262*G0_1_0_2_5 + 0.00396722325293822*G0_1_0_2_6 - 0.00348720723720783*G0_1_0_2_7 + 0.00113685917257366*G0_1_0_2_8 - 0.00247906855049754*G0_1_0_2_9 + 0.00115398490398513*G0_1_0_3_0 + 0.000921657707372146*G0_1_0_3_1 + 0.000204616811759702*G0_1_0_3_2 + 0.00274261452832929*G0_1_0_3_3 + 0.00212162837162873*G0_1_0_3_5 - 0.000866811759669051*G0_1_0_3_6 + 0.000643106893107003*G0_1_0_3_7 - 0.00133759098044833*G0_1_0_3_8 + 0.00065115440115451*G0_1_0_4_0 - 0.000340235161663789*G0_1_0_4_1 + 0.000334784263355757*G0_1_0_4_2 + 0.000387826459255114*G0_1_0_4_4 + 0.00215159840159878*G0_1_0_4_5 - 0.00128478664192972*G0_1_0_4_6 + 0.00220154845154883*G0_1_0_4_7 + 0.000694484087341328*G0_1_0_4_8 + 0.00313400884829508*G0_1_0_4_9 - 0.0754273504273634*G0_1_0_5_0 - 0.00393675768675835*G0_1_0_5_1 - 0.00970904095904262*G0_1_0_5_2 + 0.00212162837162873*G0_1_0_5_3 + 0.00215159840159878*G0_1_0_5_4 - 0.110864135864155*G0_1_0_5_5 + 0.045485764235772*G0_1_0_5_6 - 0.0304820179820231*G0_1_0_5_7 + 0.0159153346653374*G0_1_0_5_8 - 0.0158466533466561*G0_1_0_5_9 + 0.0327852702852759*G0_1_0_6_0 + 0.00165729112157711*G0_1_0_6_1 + 0.00396722325293822*G0_1_0_6_2 - 0.000866811759669051*G0_1_0_6_3 - 0.00128478664192972*G0_1_0_6_4 + 0.045485764235772*G0_1_0_6_5 - 0.0172752247752277*G0_1_0_6_6 + 0.0145666833166858*G0_1_0_6_7 - 0.00624375624375731*G0_1_0_6_8 + 0.00917082917083073*G0_1_0_6_9 - 0.0372433122433186*G0_1_0_7_0 - 0.00081571206571221*G0_1_0_7_1 - 0.00348720723720783*G0_1_0_7_2 + 0.000643106893107003*G0_1_0_7_3 + 0.00220154845154883*G0_1_0_7_4 - 0.0304820179820231*G0_1_0_7_5 + 0.0145666833166858*G0_1_0_7_6 - 0.0110639360639379*G0_1_0_7_7 + 0.000980269730269892*G0_1_0_7_8 - 0.0131493506493529*G0_1_0_7_9 + 0.020886058386062*G0_1_0_8_0 + 0.00153616225044823*G0_1_0_8_1 + 0.00113685917257366*G0_1_0_8_2 - 0.00133759098044833*G0_1_0_8_3 + 0.000694484087341328*G0_1_0_8_4 + 0.0159153346653374*G0_1_0_8_5 - 0.00624375624375731*G0_1_0_8_6 + 0.00098026973026989*G0_1_0_8_7 - 0.00972277722277874*G0_1_0_8_8 - 0.000179820179820158*G0_1_0_8_9 - 0.00532800532800631*G0_1_0_9_0 - 0.000403049331620833*G0_1_0_9_1 - 0.00247906855049754*G0_1_0_9_2 + 0.00313400884829508*G0_1_0_9_4 - 0.0158466533466561*G0_1_0_9_5 + 0.00917082917083073*G0_1_0_9_6 - 0.0131493506493529*G0_1_0_9_7 - 0.000179820179820158*G0_1_0_9_8 - 0.0220279720279758*G0_1_0_9_9;
    A[98] = A[126] - 0.00449920449920519*G0_0_1_0_0 + 0.000269783126926035*G0_0_1_0_1 + 0.000959604769128738*G0_0_1_0_2 - 0.00216503073645967*G0_0_1_0_3 + 0.00334311191454105*G0_0_1_0_4 + 0.00864320864321014*G0_0_1_0_5 + 0.00761312761312892*G0_0_1_0_6 - 0.00544640544640632*G0_0_1_0_7 + 0.00105376105376121*G0_0_1_0_8 + 0.00305472305472359*G0_0_1_0_9 + 0.000269783126926035*G0_0_1_1_0 + 0.00129789082170057*G0_0_1_1_1 + 0.00026978312692602*G0_0_1_1_2 - 0.00258027686599158*G0_0_1_1_3 + 0.0023747680890542*G0_0_1_1_4 + 0.00593861165289836*G0_0_1_1_5 + 0.00593861165289839*G0_0_1_1_6 + 0.0023747680890542*G0_0_1_1_7 - 0.00258027686599158*G0_0_1_1_8 + 0.0124523095951688*G0_0_1_1_9 + 0.000959604769128739*G0_0_1_2_0 + 0.000269783126926019*G0_0_1_2_1 - 0.00449920449920554*G0_0_1_2_2 + 0.00105376105376127*G0_0_1_2_3 - 0.00544640544640643*G0_0_1_2_4 + 0.00761312761312895*G0_0_1_2_5 + 0.00864320864321003*G0_0_1_2_6 + 0.00334311191454106*G0_0_1_2_7 - 0.00216503073645967*G0_0_1_2_8 + 0.00305472305472356*G0_0_1_2_9 - 0.00216503073645967*G0_0_1_3_0 - 0.00258027686599158*G0_0_1_3_1 + 0.00105376105376127*G0_0_1_3_2 + 0.00776366490652339*G0_0_1_3_3 - 0.00929356357927942*G0_0_1_3_4 - 0.00101993244850404*G0_0_1_3_5 - 0.0270967128110031*G0_0_1_3_6 - 0.00278578564292897*G0_0_1_3_7 + 0.00557157128585795*G0_0_1_3_8 - 0.0317853574996485*G0_0_1_3_9 + 0.00334311191454105*G0_0_1_4_0 + 0.0023747680890542*G0_0_1_4_1 - 0.00544640544640644*G0_0_1_4_2 - 0.00929356357927943*G0_0_1_4_3 + 0.00543456543456641*G0_0_1_4_4 - 0.0193102135959311*G0_0_1_4_5 + 0.0464069264069342*G0_0_1_4_6 - 0.00538889681746916*G0_0_1_4_7 - 0.00278578564292897*G0_0_1_4_8 + 0.0294562580276915*G0_0_1_4_9 + 0.00864320864321014*G0_0_1_5_0 + 0.00593861165289836*G0_0_1_5_1 + 0.00761312761312895*G0_0_1_5_2 - 0.00101993244850404*G0_0_1_5_3 - 0.0193102135959311*G0_0_1_5_4 + 0.186267066267098*G0_0_1_5_5 - 0.0987051044194068*G0_0_1_5_6 + 0.0464069264069342*G0_0_1_5_7 - 0.0270967128110031*G0_0_1_5_8 + 0.0450292564578355*G0_0_1_5_9 + 0.00761312761312891*G0_0_1_6_0 + 0.00593861165289839*G0_0_1_6_1 + 0.00864320864321003*G0_0_1_6_2 - 0.0270967128110031*G0_0_1_6_3 + 0.0464069264069342*G0_0_1_6_4 - 0.0987051044194068*G0_0_1_6_5 + 0.186267066267098*G0_0_1_6_6 - 0.0193102135959311*G0_0_1_6_7 - 0.00101993244850403*G0_0_1_6_8 + 0.0450292564578354*G0_0_1_6_9 - 0.00544640544640632*G0_0_1_7_0 + 0.0023747680890542*G0_0_1_7_1 + 0.00334311191454106*G0_0_1_7_2 - 0.00278578564292897*G0_0_1_7_3 - 0.00538889681746916*G0_0_1_7_4 + 0.0464069264069342*G0_0_1_7_5 - 0.0193102135959311*G0_0_1_7_6 + 0.00543456543456646*G0_0_1_7_7 - 0.00929356357927946*G0_0_1_7_8 + 0.0294562580276916*G0_0_1_7_9 + 0.00105376105376121*G0_0_1_8_0 - 0.00258027686599159*G0_0_1_8_1 - 0.00216503073645967*G0_0_1_8_2 + 0.00557157128585795*G0_0_1_8_3 - 0.00278578564292897*G0_0_1_8_4 - 0.0270967128110031*G0_0_1_8_5 - 0.00101993244850403*G0_0_1_8_6 - 0.00929356357927946*G0_0_1_8_7 + 0.00776366490652346*G0_0_1_8_8 - 0.0317853574996486*G0_0_1_8_9 + 0.00305472305472359*G0_0_1_9_0 + 0.0124523095951689*G0_0_1_9_1 + 0.00305472305472356*G0_0_1_9_2 - 0.0317853574996485*G0_0_1_9_3 + 0.0294562580276915*G0_0_1_9_4 + 0.0450292564578355*G0_0_1_9_5 + 0.0450292564578354*G0_0_1_9_6 + 0.0294562580276916*G0_0_1_9_7 - 0.0317853574996486*G0_0_1_9_8 + 0.113988868274602*G0_0_1_9_9 + 0.00449920449920519*G0_1_0_0_0 - 0.000269783126926035*G0_1_0_0_1 - 0.000959604769128738*G0_1_0_0_2 + 0.00216503073645967*G0_1_0_0_3 - 0.00334311191454105*G0_1_0_0_4 - 0.00864320864321013*G0_1_0_0_5 - 0.00761312761312892*G0_1_0_0_6 + 0.00544640544640632*G0_1_0_0_7 - 0.00105376105376121*G0_1_0_0_8 - 0.00305472305472359*G0_1_0_0_9 - 0.000269783126926035*G0_1_0_1_0 - 0.00129789082170057*G0_1_0_1_1 - 0.00026978312692602*G0_1_0_1_2 + 0.00258027686599158*G0_1_0_1_3 - 0.0023747680890542*G0_1_0_1_4 - 0.00593861165289836*G0_1_0_1_5 - 0.00593861165289839*G0_1_0_1_6 - 0.0023747680890542*G0_1_0_1_7 + 0.00258027686599158*G0_1_0_1_8 - 0.0124523095951688*G0_1_0_1_9 - 0.000959604769128738*G0_1_0_2_0 - 0.00026978312692602*G0_1_0_2_1 + 0.00449920449920554*G0_1_0_2_2 - 0.00105376105376127*G0_1_0_2_3 + 0.00544640544640643*G0_1_0_2_4 - 0.00761312761312895*G0_1_0_2_5 - 0.00864320864321003*G0_1_0_2_6 - 0.00334311191454106*G0_1_0_2_7 + 0.00216503073645967*G0_1_0_2_8 - 0.00305472305472356*G0_1_0_2_9 + 0.00216503073645967*G0_1_0_3_0 + 0.00258027686599158*G0_1_0_3_1 - 0.00105376105376127*G0_1_0_3_2 - 0.00776366490652338*G0_1_0_3_3 + 0.00929356357927943*G0_1_0_3_4 + 0.00101993244850404*G0_1_0_3_5 + 0.0270967128110031*G0_1_0_3_6 + 0.00278578564292897*G0_1_0_3_7 - 0.00557157128585795*G0_1_0_3_8 + 0.0317853574996485*G0_1_0_3_9 - 0.00334311191454105*G0_1_0_4_0 - 0.0023747680890542*G0_1_0_4_1 + 0.00544640544640645*G0_1_0_4_2 + 0.00929356357927944*G0_1_0_4_3 - 0.00543456543456639*G0_1_0_4_4 + 0.0193102135959311*G0_1_0_4_5 - 0.0464069264069342*G0_1_0_4_6 + 0.00538889681746916*G0_1_0_4_7 + 0.00278578564292897*G0_1_0_4_8 - 0.0294562580276915*G0_1_0_4_9 - 0.00864320864321013*G0_1_0_5_0 - 0.00593861165289836*G0_1_0_5_1 - 0.00761312761312895*G0_1_0_5_2 + 0.00101993244850404*G0_1_0_5_3 + 0.0193102135959311*G0_1_0_5_4 - 0.186267066267098*G0_1_0_5_5 + 0.0987051044194068*G0_1_0_5_6 - 0.0464069264069342*G0_1_0_5_7 + 0.0270967128110031*G0_1_0_5_8 - 0.0450292564578355*G0_1_0_5_9 - 0.00761312761312891*G0_1_0_6_0 - 0.00593861165289839*G0_1_0_6_1 - 0.00864320864321003*G0_1_0_6_2 + 0.0270967128110031*G0_1_0_6_3 - 0.0464069264069342*G0_1_0_6_4 + 0.0987051044194068*G0_1_0_6_5 - 0.186267066267098*G0_1_0_6_6 + 0.0193102135959311*G0_1_0_6_7 + 0.00101993244850403*G0_1_0_6_8 - 0.0450292564578354*G0_1_0_6_9 + 0.00544640544640632*G0_1_0_7_0 - 0.0023747680890542*G0_1_0_7_1 - 0.00334311191454106*G0_1_0_7_2 + 0.00278578564292897*G0_1_0_7_3 + 0.00538889681746916*G0_1_0_7_4 - 0.0464069264069342*G0_1_0_7_5 + 0.0193102135959311*G0_1_0_7_6 - 0.00543456543456646*G0_1_0_7_7 + 0.00929356357927946*G0_1_0_7_8 - 0.0294562580276916*G0_1_0_7_9 - 0.00105376105376121*G0_1_0_8_0 + 0.00258027686599158*G0_1_0_8_1 + 0.00216503073645967*G0_1_0_8_2 - 0.00557157128585795*G0_1_0_8_3 + 0.00278578564292897*G0_1_0_8_4 + 0.0270967128110031*G0_1_0_8_5 + 0.00101993244850403*G0_1_0_8_6 + 0.00929356357927946*G0_1_0_8_7 - 0.00776366490652346*G0_1_0_8_8 + 0.0317853574996486*G0_1_0_8_9 - 0.00305472305472359*G0_1_0_9_0 - 0.0124523095951689*G0_1_0_9_1 - 0.00305472305472356*G0_1_0_9_2 + 0.0317853574996485*G0_1_0_9_3 - 0.0294562580276915*G0_1_0_9_4 - 0.0450292564578355*G0_1_0_9_5 - 0.0450292564578354*G0_1_0_9_6 - 0.0294562580276916*G0_1_0_9_7 + 0.0317853574996486*G0_1_0_9_8 - 0.113988868274602*G0_1_0_9_9;
    A[95] = -A[98] - 0.00955094288427775*G0_0_1_0_0 + 0.00207101540434909*G0_0_1_0_2 - 0.0025121967979115*G0_0_1_0_3 + 0.00195317909603655*G0_0_1_0_4 + 0.00635216635216747*G0_0_1_0_5 + 0.00740635026349438*G0_0_1_0_6 - 0.00976208976209134*G0_0_1_0_7 + 0.0026585055156488*G0_0_1_0_8 + 0.00155019583591041*G0_0_1_0_9 + 0.000956221908603065*G0_0_1_1_1 + 0.00330632330632386*G0_0_1_1_2 - 0.000756915042629431*G0_0_1_1_3 + 0.00399642685357037*G0_0_1_1_4 + 0.00625617768475015*G0_0_1_1_5 + 0.0054696626125207*G0_0_1_1_6 + 0.00198869913155659*G0_0_1_1_7 - 0.00234855091997983*G0_0_1_1_8 + 0.0159814788386244*G0_0_1_1_9 + 0.0020710154043491*G0_0_1_2_0 + 0.00330632330632386*G0_0_1_2_1 + 0.0840048840048979*G0_0_1_2_2 - 0.0114907314907334*G0_0_1_2_3 + 0.02575202575203*G0_0_1_2_4 + 0.00200688200688241*G0_0_1_2_5 + 0.0179376179376209*G0_0_1_2_6 + 0.0035845635845642*G0_0_1_2_7 - 0.00248936248936289*G0_0_1_2_8 + 0.00255744255744298*G0_0_1_2_9 - 0.0025121967979115*G0_0_1_3_0 - 0.00075691504262943*G0_0_1_3_1 - 0.0114907314907334*G0_0_1_3_2 + 0.0158698444412759*G0_0_1_3_3 - 0.0242157842157883*G0_0_1_3_4 - 0.000593692022263525*G0_0_1_3_5 - 0.0264535464535509*G0_0_1_3_6 - 0.00250796822225438*G0_0_1_3_7 + 0.00508443937015458*G0_0_1_3_8 - 0.0429285000713644*G0_0_1_3_9 + 0.00195317909603655*G0_0_1_4_0 + 0.00399642685357037*G0_0_1_4_1 + 0.02575202575203*G0_0_1_4_2 - 0.0242157842157883*G0_0_1_4_3 - 0.0799200799200935*G0_0_1_4_4 - 0.0159040959040986*G0_0_1_4_5 + 0.0423576423576495*G0_0_1_4_6 - 0.00328433471290669*G0_0_1_4_7 - 0.00257647114790018*G0_0_1_4_8 + 0.0241358641358682*G0_0_1_4_9 + 0.00635216635216747*G0_0_1_5_0 + 0.00625617768475015*G0_0_1_5_1 + 0.00200688200688241*G0_0_1_5_2 - 0.000593692022263526*G0_0_1_5_3 - 0.0159040959040986*G0_0_1_5_4 + 0.188497217068677*G0_0_1_5_5 - 0.092307692307708*G0_0_1_5_6 + 0.0496113410399208*G0_0_1_5_7 - 0.0288130916702394*G0_0_1_5_8 + 0.0529755958327476*G0_0_1_5_9 + 0.00740635026349438*G0_0_1_6_0 + 0.0054696626125207*G0_0_1_6_1 + 0.0179376179376209*G0_0_1_6_2 - 0.0264535464535509*G0_0_1_6_3 + 0.0423576423576495*G0_0_1_6_4 - 0.092307692307708*G0_0_1_6_5 + 0.140659340659364*G0_0_1_6_6 - 0.0207982493696814*G0_0_1_6_7 + 0.000551829123257784*G0_0_1_6_8 + 0.0452347652347729*G0_0_1_6_9 - 0.00976208976209134*G0_0_1_7_0 + 0.00198869913155659*G0_0_1_7_1 + 0.0035845635845642*G0_0_1_7_2 - 0.00250796822225438*G0_0_1_7_3 - 0.00328433471290669*G0_0_1_7_4 + 0.0496113410399208*G0_0_1_7_5 - 0.0207982493696814*G0_0_1_7_6 - 0.00352409495266671*G0_0_1_7_7 - 0.00746301317730025*G0_0_1_7_8 + 0.0369459112316317*G0_0_1_7_9 + 0.0026585055156488*G0_0_1_8_0 - 0.00234855091997983*G0_0_1_8_1 - 0.00248936248936289*G0_0_1_8_2 + 0.00508443937015458*G0_0_1_8_3 - 0.00257647114790018*G0_0_1_8_4 - 0.0288130916702394*G0_0_1_8_5 + 0.000551829123257784*G0_0_1_8_6 - 0.00746301317730025*G0_0_1_8_7 + 0.00661433804291098*G0_0_1_8_8 - 0.0427914942200728*G0_0_1_8_9 + 0.00155019583591041*G0_0_1_9_0 + 0.0159814788386244*G0_0_1_9_1 + 0.00255744255744298*G0_0_1_9_2 - 0.0429285000713644*G0_0_1_9_3 + 0.0241358641358682*G0_0_1_9_4 + 0.0529755958327476*G0_0_1_9_5 + 0.0452347652347729*G0_0_1_9_6 + 0.0369459112316317*G0_0_1_9_7 - 0.0427914942200728*G0_0_1_9_8 + 0.142760097045836*G0_0_1_9_9 + 0.116249182915869*G0_1_1_0_0 + 0.00794098317907978*G0_1_1_0_1 + 0.00513095370238314*G0_1_1_0_2 - 0.00389367246510175*G0_1_1_0_3 + 0.00246441389298575*G0_1_1_0_4 + 0.0271077071077117*G0_1_1_0_5 - 0.00510262224548019*G0_1_1_0_6 + 0.0763976763976893*G0_1_1_0_7 - 0.0332463303891931*G0_1_1_0_8 + 0.00822796251367828*G0_1_1_0_9 + 0.00794098317907978*G0_1_1_1_0 + 0.00340879578974881*G0_1_1_1_1 + 0.00343332152856021*G0_1_1_1_2 - 0.000469371897943396*G0_1_1_1_3 + 0.00438165009593655*G0_1_1_1_4 + 0.00386491815063307*G0_1_1_1_5 + 0.00549376549376644*G0_1_1_1_6 + 0.0120945720945741*G0_1_1_1_7 - 0.0037778094920958*G0_1_1_1_8 + 0.0147306661592401*G0_1_1_1_9 + 0.00513095370238314*G0_1_1_2_0 + 0.00343332152856021*G0_1_1_2_1 + 0.0811632811632949*G0_1_1_2_2 - 0.0116120916120936*G0_1_1_2_3 + 0.0251600251600294*G0_1_1_2_4 - 0.00158360158360185*G0_1_1_2_5 + 0.0184408184408216*G0_1_1_2_6 + 0.007221561507277*G0_1_1_2_7 - 0.0032847575704724*G0_1_1_2_8 + 0.0011188811188813*G0_1_1_2_9 - 0.00389367246510175*G0_1_1_3_0 - 0.000469371897943396*G0_1_1_3_1 - 0.0116120916120935*G0_1_1_3_2 + 0.0112268683697275*G0_1_1_3_3 - 0.0252395223823838*G0_1_1_3_4 + 0.00606250891965281*G0_1_1_3_5 - 0.028520051377199*G0_1_1_3_6 - 0.000357737500594774*G0_1_1_3_7 + 0.0025422196850773*G0_1_1_3_8 - 0.0434765234765308*G0_1_1_3_9 + 0.00246441389298575*G0_1_1_4_0 + 0.00438165009593654*G0_1_1_4_1 + 0.0251600251600294*G0_1_1_4_2 - 0.0252395223823838*G0_1_1_4_3 - 0.0628704628704734*G0_1_1_4_4 - 0.019431996574857*G0_1_1_4_5 + 0.0479520479520561*G0_1_1_4_6 - 0.00850958565244421*G0_1_1_4_7 - 0.00218448218448257*G0_1_1_4_8 + 0.0355073497930701*G0_1_1_4_9 + 0.0271077071077117*G0_1_1_5_0 + 0.00386491815063307*G0_1_1_5_1 - 0.00158360158360185*G0_1_1_5_2 + 0.0060625089196528*G0_1_1_5_3 - 0.019431996574857*G0_1_1_5_4 + 0.102236810808256*G0_1_1_5_5 - 0.0743408971980526*G0_1_1_5_6 + 0.0573369487655298*G0_1_1_5_7 - 0.023633509347799*G0_1_1_5_8 + 0.0225831311545635*G0_1_1_5_9 - 0.0051026222454802*G0_1_1_6_0 + 0.00549376549376644*G0_1_1_6_1 + 0.0184408184408216*G0_1_1_6_2 - 0.028520051377199*G0_1_1_6_3 + 0.0479520479520561*G0_1_1_6_4 - 0.0743408971980526*G0_1_1_6_5 + 0.131601731601754*G0_1_1_6_6 - 0.0337034394177308*G0_1_1_6_7 + 0.00270586556300887*G0_1_1_6_8 + 0.0536834593977542*G0_1_1_6_9 + 0.0763976763976893*G0_1_1_7_0 + 0.0120945720945741*G0_1_1_7_1 + 0.007221561507277*G0_1_1_7_2 - 0.000357737500594774*G0_1_1_7_3 - 0.00850958565244421*G0_1_1_7_4 + 0.0573369487655298*G0_1_1_7_5 - 0.0337034394177308*G0_1_1_7_6 + 0.198354026925489*G0_1_1_7_7 - 0.0634184862756399*G0_1_1_7_8 + 0.0427229912944271*G0_1_1_7_9 - 0.0332463303891931*G0_1_1_8_0 - 0.0037778094920958*G0_1_1_8_1 - 0.0032847575704724*G0_1_1_8_2 + 0.0025422196850773*G0_1_1_8_3 - 0.00218448218448257*G0_1_1_8_4 - 0.023633509347799*G0_1_1_8_5 + 0.00270586556300887*G0_1_1_8_6 - 0.0634184862756399*G0_1_1_8_7 + 0.0232833832833874*G0_1_1_8_8 - 0.0398230341087551*G0_1_1_8_9 + 0.00822796251367828*G0_1_1_9_0 + 0.0147306661592401*G0_1_1_9_1 + 0.00111888111888131*G0_1_1_9_2 - 0.0434765234765308*G0_1_1_9_3 + 0.0355073497930701*G0_1_1_9_4 + 0.0225831311545635*G0_1_1_9_5 + 0.0536834593977542*G0_1_1_9_6 + 0.0427229912944271*G0_1_1_9_7 - 0.0398230341087551*G0_1_1_9_8 + 0.138375909804505*G0_1_1_9_9;
    A[173] = -A[170] + 0.0223759309473634*G0_0_1_0_0 - 0.00349900540376795*G0_0_1_0_1 - 0.000180419228038306*G0_0_1_0_2 + 0.000402560402560463*G0_0_1_0_3 - 0.000383954669669022*G0_0_1_0_4 - 0.00268260839689454*G0_0_1_0_5 - 0.00178319035461924*G0_0_1_0_6 - 0.00427424427424492*G0_0_1_0_7 - 0.00379091807663304*G0_0_1_0_8 - 0.00931386074243373*G0_0_1_0_9 - 0.00349900540376795*G0_0_1_1_0 - 0.093555826889177*G0_0_1_1_1 - 0.00156598251836376*G0_0_1_1_2 - 0.0109934509934531*G0_0_1_1_3 + 0.00540538826253213*G0_0_1_1_4 + 0.00119922405636717*G0_0_1_1_5 - 0.00110704110704132*G0_0_1_1_6 + 0.0124738753310205*G0_0_1_1_7 - 0.0361061161061226*G0_0_1_1_8 + 0.000662194947909297*G0_0_1_1_9 - 0.000180419228038306*G0_0_1_2_0 - 0.00156598251836375*G0_0_1_2_1 + 0.000592000592000684*G0_0_1_2_4 - 0.00167536167536196*G0_0_1_2_5 - 0.000592000592000688*G0_0_1_2_6 + 0.00122205836491572*G0_0_1_2_7 + 0.000524343381486314*G0_0_1_2_8 + 0.00166944166944196*G0_0_1_2_9 + 0.000402560402560463*G0_0_1_3_0 - 0.0109934509934531*G0_0_1_3_1 + 0.0366490652205001*G0_0_1_3_3 + 0.00283145426002621*G0_0_1_3_4 - 0.004148232719662*G0_0_1_3_5 + 0.00681223538366515*G0_0_1_3_6 + 0.00228343085485984*G0_0_1_3_7 - 0.00420151277294215*G0_0_1_3_8 - 0.00655344655344758*G0_0_1_3_9 - 0.000383954669669022*G0_0_1_4_0 + 0.00540538826253213*G0_0_1_4_1 + 0.000592000592000684*G0_0_1_4_2 + 0.00283145426002621*G0_0_1_4_3 - 0.0111888111888131*G0_0_1_4_4 + 0.00464297607154829*G0_0_1_4_5 - 0.0114552114552134*G0_0_1_4_6 - 0.00300271157414067*G0_0_1_4_7 + 0.0019180819180823*G0_0_1_4_8 - 0.0142942771514225*G0_0_1_4_9 - 0.00268260839689454*G0_0_1_5_0 + 0.00119922405636717*G0_0_1_5_1 - 0.00167536167536196*G0_0_1_5_2 - 0.004148232719662*G0_0_1_5_3 + 0.00464297607154829*G0_0_1_5_4 - 0.0304533561676469*G0_0_1_5_5 + 0.018640407211839*G0_0_1_5_6 + 0.00028162313876607*G0_0_1_5_7 - 0.000106560106560139*G0_0_1_5_8 + 0.0281547024404215*G0_0_1_5_9 - 0.00178319035461924*G0_0_1_6_0 - 0.00110704110704132*G0_0_1_6_1 - 0.000592000592000688*G0_0_1_6_2 + 0.00681223538366515*G0_0_1_6_3 - 0.0114552114552134*G0_0_1_6_4 + 0.018640407211839*G0_0_1_6_5 + 0.0340992340992398*G0_0_1_6_6 - 0.000175063032205915*G0_0_1_6_7 - 0.00087150944293812*G0_0_1_6_8 - 0.0186327957756562*G0_0_1_6_9 - 0.00427424427424491*G0_0_1_7_0 + 0.0124738753310205*G0_0_1_7_1 + 0.00122205836491572*G0_0_1_7_2 + 0.00228343085485984*G0_0_1_7_3 - 0.00300271157414067*G0_0_1_7_4 + 0.000281623138766071*G0_0_1_7_5 - 0.000175063032205916*G0_0_1_7_6 - 0.0397088625660121*G0_0_1_7_7 + 0.0353931782503271*G0_0_1_7_8 + 0.028291708291713*G0_0_1_7_9 - 0.00379091807663304*G0_0_1_8_0 - 0.0361061161061226*G0_0_1_8_1 + 0.000524343381486314*G0_0_1_8_2 - 0.00420151277294215*G0_0_1_8_3 + 0.0019180819180823*G0_0_1_8_4 - 0.00010656010656014*G0_0_1_8_5 - 0.00087150944293812*G0_0_1_8_6 + 0.0353931782503271*G0_0_1_8_7 + 0.110495219066666*G0_0_1_8_8 - 0.00582274867989247*G0_0_1_8_9 - 0.00931386074243373*G0_0_1_9_0 + 0.000662194947909297*G0_0_1_9_1 + 0.00166944166944196*G0_0_1_9_2 - 0.00655344655344758*G0_0_1_9_3 - 0.0142942771514225*G0_0_1_9_4 + 0.0281547024404215*G0_0_1_9_5 - 0.0186327957756562*G0_0_1_9_6 + 0.028291708291713*G0_0_1_9_7 - 0.00582274867989247*G0_0_1_9_8 - 0.0411017553874767*G0_0_1_9_9 - 0.0024525738811458*G0_1_1_0_0 - 0.00795324604848557*G0_1_1_0_1 - 0.000126998222236343*G0_1_1_0_2 + 0.00239125953411707*G0_1_1_0_3 - 0.000287543144686057*G0_1_1_0_5 - 0.00038522324236616*G0_1_1_0_6 + 0.00142925857211596*G0_1_1_0_7 - 0.0101058729630176*G0_1_1_0_8 + 0.00125081267938431*G0_1_1_0_9 - 0.00795324604848557*G0_1_1_1_0 - 0.125800125800148*G0_1_1_1_1 - 0.00305993829803407*G0_1_1_1_2 - 0.0207555407555445*G0_1_1_1_3 + 0.0125089725089747*G0_1_1_1_4 + 0.00138147566719024*G0_1_1_1_5 - 0.000511234796949189*G0_1_1_1_6 + 0.0359048359048422*G0_1_1_1_7 - 0.0861597661597812*G0_1_1_1_8 - 0.00667776667776785*G0_1_1_1_9 - 0.000126998222236343*G0_1_1_2_0 - 0.00305993829803407*G0_1_1_2_1 + 0.00284160284160331*G0_1_1_2_2 + 0.00359048359048419*G0_1_1_2_3 - 0.000503200503200588*G0_1_1_2_4 + 0.000121360121360146*G0_1_1_2_5 + 0.000592000592000682*G0_1_1_2_6 + 0.000795395081109506*G0_1_1_2_7 - 0.00363699792271283*G0_1_1_2_8 + 0.00143856143856166*G0_1_1_2_9 + 0.00239125953411707*G0_1_1_3_0 - 0.0207555407555445*G0_1_1_3_1 + 0.00359048359048419*G0_1_1_3_2 + 0.086260406260421*G0_1_1_3_3 - 0.0179667951096553*G0_1_1_3_4 - 0.00665620094191631*G0_1_1_3_5 + 0.00352790067075838*G0_1_1_3_6 - 0.00517958232244026*G0_1_1_3_7 - 0.00772560772560919*G0_1_1_3_8 + 0.030392464678184*G0_1_1_3_9 + 0.0125089725089747*G0_1_1_4_1 - 0.000503200503200588*G0_1_1_4_2 - 0.0179667951096553*G0_1_1_4_3 + 0.00905760905761058*G0_1_1_4_4 + 0.0020665049236481*G0_1_1_4_5 - 0.0055944055944065*G0_1_1_4_6 - 0.00215403643975114*G0_1_1_4_7 + 0.0129051900480495*G0_1_1_4_8 - 0.0084486941629812*G0_1_1_4_9 - 0.000287543144686057*G0_1_1_5_0 + 0.00138147566719024*G0_1_1_5_1 + 0.000121360121360147*G0_1_1_5_2 - 0.00665620094191631*G0_1_1_5_3 + 0.0020665049236481*G0_1_1_5_4 + 0.00464297607154827*G0_1_1_5_5 + 0.00102373816659548*G0_1_1_5_6 + 0.0025422196850772*G0_1_1_5_7 - 0.00215023072165957*G0_1_1_5_8 + 0.000548023405166315*G0_1_1_5_9 - 0.00038522324236616*G0_1_1_6_0 - 0.000511234796949189*G0_1_1_6_1 + 0.000592000592000682*G0_1_1_6_2 + 0.00352790067075838*G0_1_1_6_3 - 0.0055944055944065*G0_1_1_6_4 + 0.00102373816659548*G0_1_1_6_5 - 0.0170496170496198*G0_1_1_6_6 - 0.000391988963417583*G0_1_1_6_7 + 0.00522525093953748*G0_1_1_6_8 - 0.0113714856572018*G0_1_1_6_9 + 0.00142925857211596*G0_1_1_7_0 + 0.0359048359048422*G0_1_1_7_1 + 0.000795395081109506*G0_1_1_7_2 - 0.00517958232244026*G0_1_1_7_3 - 0.00215403643975113*G0_1_1_7_4 + 0.0025422196850772*G0_1_1_7_5 - 0.000391988963417583*G0_1_1_7_6 - 0.0166690452404768*G0_1_1_7_7 + 0.05595547309834*G0_1_1_7_8 - 0.00296846011131775*G0_1_1_7_9 - 0.0101058729630176*G0_1_1_8_0 - 0.0861597661597812*G0_1_1_8_1 - 0.00363699792271283*G0_1_1_8_2 - 0.00772560772560919*G0_1_1_8_3 + 0.0129051900480495*G0_1_1_8_4 - 0.00215023072165957*G0_1_1_8_5 + 0.00522525093953748*G0_1_1_8_6 + 0.05595547309834*G0_1_1_8_7 - 0.201878121878157*G0_1_1_8_8 - 0.00577708006279546*G0_1_1_8_9 + 0.00125081267938431*G0_1_1_9_0 - 0.00667776667776785*G0_1_1_9_1 + 0.00143856143856166*G0_1_1_9_2 + 0.030392464678184*G0_1_1_9_3 - 0.0084486941629812*G0_1_1_9_4 + 0.000548023405166315*G0_1_1_9_5 - 0.0113714856572018*G0_1_1_9_6 - 0.00296846011131775*G0_1_1_9_7 - 0.00577708006279546*G0_1_1_9_8 + 0.00438418724133077*G0_1_1_9_9;
    A[118] = A[202] - 0.00888000888001035*G0_0_1_0_0 + 0.000571914857629218*G0_0_1_0_1 - 0.00332239189382105*G0_0_1_0_3 + 0.00150135578707033*G0_0_1_0_4 + 0.0113220113220133*G0_0_1_0_5 - 0.00692260120831673*G0_0_1_0_6 - 0.00189144189144224*G0_0_1_0_7 - 0.000955235240949716*G0_0_1_0_8 + 0.0163493649207963*G0_0_1_0_9 + 0.000571914857629218*G0_0_1_1_0 - 0.000571914857629257*G0_0_1_1_2 + 0.0042700156985879*G0_0_1_1_4 + 0.00252319109462009*G0_0_1_1_5 - 0.0025231910946201*G0_0_1_1_6 - 0.00427001569858778*G0_0_1_1_7 - 0.000571914857629257*G0_0_1_2_1 + 0.0088800088800103*G0_0_1_2_2 + 0.000955235240949688*G0_0_1_2_3 + 0.00189144189144219*G0_0_1_2_4 + 0.00692260120831674*G0_0_1_2_5 - 0.0113220113220134*G0_0_1_2_6 - 0.00150135578707031*G0_0_1_2_7 + 0.003322391893821*G0_0_1_2_8 - 0.0163493649207963*G0_0_1_2_9 - 0.00332239189382105*G0_0_1_3_0 + 0.000955235240949688*G0_0_1_3_2 - 0.0245925503068407*G0_0_1_3_3 - 0.0159098044812357*G0_0_1_3_4 + 0.00119880119880146*G0_0_1_3_5 + 0.00756957328386022*G0_0_1_3_6 + 0.00996717568146317*G0_0_1_3_7 - 0.0199343513629262*G0_0_1_3_9 + 0.00150135578707033*G0_0_1_4_0 + 0.0042700156985879*G0_0_1_4_1 + 0.00189144189144219*G0_0_1_4_2 - 0.0159098044812357*G0_0_1_4_3 - 0.00352790067075854*G0_0_1_4_4 - 0.004504067361211*G0_0_1_4_5 - 0.00306550592264929*G0_0_1_4_6 - 0.009967175681463*G0_0_1_4_8 + 0.0580562294848107*G0_0_1_4_9 + 0.0113220113220133*G0_0_1_5_0 + 0.0025231910946201*G0_0_1_5_1 + 0.00692260120831674*G0_0_1_5_2 + 0.00119880119880146*G0_0_1_5_3 - 0.004504067361211*G0_0_1_5_4 + 0.265106322249224*G0_0_1_5_5 + 0.0030655059226493*G0_0_1_5_7 - 0.00756957328386028*G0_0_1_5_8 - 0.0339089481946681*G0_0_1_5_9 - 0.00692260120831673*G0_0_1_6_0 - 0.0025231910946201*G0_0_1_6_1 - 0.0113220113220134*G0_0_1_6_2 + 0.00756957328386022*G0_0_1_6_3 - 0.00306550592264929*G0_0_1_6_4 - 0.265106322249224*G0_0_1_6_6 + 0.00450406736121093*G0_0_1_6_7 - 0.00119880119880143*G0_0_1_6_8 + 0.0339089481946683*G0_0_1_6_9 - 0.00189144189144224*G0_0_1_7_0 - 0.00427001569858778*G0_0_1_7_1 - 0.00150135578707031*G0_0_1_7_2 + 0.00996717568146317*G0_0_1_7_3 + 0.0030655059226493*G0_0_1_7_5 + 0.00450406736121093*G0_0_1_7_6 + 0.00352790067075812*G0_0_1_7_7 + 0.015909804481236*G0_0_1_7_8 - 0.0580562294848107*G0_0_1_7_9 - 0.000955235240949717*G0_0_1_8_0 + 0.003322391893821*G0_0_1_8_2 - 0.009967175681463*G0_0_1_8_4 - 0.00756957328386028*G0_0_1_8_5 - 0.00119880119880143*G0_0_1_8_6 + 0.015909804481236*G0_0_1_8_7 + 0.0245925503068394*G0_0_1_8_8 + 0.0199343513629261*G0_0_1_8_9 + 0.0163493649207963*G0_0_1_9_0 - 0.0163493649207963*G0_0_1_9_2 - 0.0199343513629262*G0_0_1_9_3 + 0.0580562294848107*G0_0_1_9_4 - 0.0339089481946681*G0_0_1_9_5 + 0.0339089481946683*G0_0_1_9_6 - 0.0580562294848107*G0_0_1_9_7 + 0.0199343513629261*G0_0_1_9_8 + 0.00888000888001035*G0_1_0_0_0 - 0.000571914857629218*G0_1_0_0_1 + 0.00332239189382105*G0_1_0_0_3 - 0.00150135578707033*G0_1_0_0_4 - 0.0113220113220133*G0_1_0_0_5 + 0.00692260120831674*G0_1_0_0_6 + 0.00189144189144224*G0_1_0_0_7 + 0.000955235240949716*G0_1_0_0_8 - 0.0163493649207963*G0_1_0_0_9 - 0.000571914857629218*G0_1_0_1_0 + 0.000571914857629257*G0_1_0_1_2 - 0.0042700156985879*G0_1_0_1_4 - 0.00252319109462009*G0_1_0_1_5 + 0.0025231910946201*G0_1_0_1_6 + 0.00427001569858778*G0_1_0_1_7 + 0.000571914857629257*G0_1_0_2_1 - 0.00888000888001029*G0_1_0_2_2 - 0.000955235240949689*G0_1_0_2_3 - 0.00189144189144219*G0_1_0_2_4 - 0.00692260120831674*G0_1_0_2_5 + 0.0113220113220134*G0_1_0_2_6 + 0.00150135578707031*G0_1_0_2_7 - 0.003322391893821*G0_1_0_2_8 + 0.0163493649207963*G0_1_0_2_9 + 0.00332239189382105*G0_1_0_3_0 - 0.000955235240949689*G0_1_0_3_2 + 0.0245925503068407*G0_1_0_3_3 + 0.0159098044812357*G0_1_0_3_4 - 0.00119880119880146*G0_1_0_3_5 - 0.00756957328386022*G0_1_0_3_6 - 0.00996717568146317*G0_1_0_3_7 + 0.0199343513629262*G0_1_0_3_9 - 0.00150135578707033*G0_1_0_4_0 - 0.0042700156985879*G0_1_0_4_1 - 0.00189144189144219*G0_1_0_4_2 + 0.0159098044812357*G0_1_0_4_3 + 0.00352790067075854*G0_1_0_4_4 + 0.004504067361211*G0_1_0_4_5 + 0.00306550592264929*G0_1_0_4_6 + 0.009967175681463*G0_1_0_4_8 - 0.0580562294848107*G0_1_0_4_9 - 0.0113220113220133*G0_1_0_5_0 - 0.0025231910946201*G0_1_0_5_1 - 0.00692260120831674*G0_1_0_5_2 - 0.00119880119880146*G0_1_0_5_3 + 0.004504067361211*G0_1_0_5_4 - 0.265106322249224*G0_1_0_5_5 - 0.0030655059226493*G0_1_0_5_7 + 0.00756957328386028*G0_1_0_5_8 + 0.0339089481946681*G0_1_0_5_9 + 0.00692260120831674*G0_1_0_6_0 + 0.0025231910946201*G0_1_0_6_1 + 0.0113220113220134*G0_1_0_6_2 - 0.00756957328386022*G0_1_0_6_3 + 0.00306550592264929*G0_1_0_6_4 + 0.265106322249224*G0_1_0_6_6 - 0.00450406736121093*G0_1_0_6_7 + 0.00119880119880142*G0_1_0_6_8 - 0.0339089481946683*G0_1_0_6_9 + 0.00189144189144225*G0_1_0_7_0 + 0.00427001569858778*G0_1_0_7_1 + 0.00150135578707031*G0_1_0_7_2 - 0.00996717568146317*G0_1_0_7_3 - 0.00306550592264929*G0_1_0_7_5 - 0.00450406736121093*G0_1_0_7_6 - 0.00352790067075813*G0_1_0_7_7 - 0.015909804481236*G0_1_0_7_8 + 0.0580562294848107*G0_1_0_7_9 + 0.000955235240949716*G0_1_0_8_0 - 0.003322391893821*G0_1_0_8_2 + 0.009967175681463*G0_1_0_8_4 + 0.00756957328386028*G0_1_0_8_5 + 0.00119880119880143*G0_1_0_8_6 - 0.015909804481236*G0_1_0_8_7 - 0.0245925503068394*G0_1_0_8_8 - 0.0199343513629261*G0_1_0_8_9 - 0.0163493649207963*G0_1_0_9_0 + 0.0163493649207963*G0_1_0_9_2 + 0.0199343513629262*G0_1_0_9_3 - 0.0580562294848107*G0_1_0_9_4 + 0.0339089481946681*G0_1_0_9_5 - 0.0339089481946683*G0_1_0_9_6 + 0.0580562294848107*G0_1_0_9_7 - 0.0199343513629261*G0_1_0_9_8;
    A[217] = A[119] + 0.0145632145632174*G0_0_1_0_0 - 0.000544006258292049*G0_0_1_0_1 + 0.000473600473600527*G0_0_1_0_2 + 0.00419009561866775*G0_0_1_0_3 + 0.00285999714571192*G0_0_1_0_4 - 0.00375624375624423*G0_0_1_0_5 - 0.0235992578849763*G0_0_1_0_6 + 0.00839160839161008*G0_0_1_0_7 - 0.00122163550735013*G0_0_1_0_8 - 0.00666761809619059*G0_0_1_0_9 - 0.000544006258292048*G0_0_1_1_0 + 0.000779749351177997*G0_0_1_1_1 + 0.00208236208236241*G0_0_1_1_2 - 0.00152419009561893*G0_0_1_1_3 + 0.00205508776937382*G0_0_1_1_4 + 0.0100585129156575*G0_0_1_1_5 - 0.0176395033537921*G0_0_1_1_6 + 0.00327291755863247*G0_0_1_1_7 - 0.0020760192188768*G0_0_1_1_8 + 0.00461253032681678*G0_0_1_1_9 + 0.000473600473600526*G0_0_1_2_0 + 0.00208236208236241*G0_0_1_2_1 + 0.0379472379472437*G0_0_1_2_2 - 0.0114285714285732*G0_0_1_2_3 + 0.026773226773231*G0_0_1_2_4 - 0.00237096237096258*G0_0_1_2_5 - 0.018514818514822*G0_0_1_2_6 + 0.00151848151848175*G0_0_1_2_8 - 0.0115084915084935*G0_0_1_2_9 + 0.00419009561866775*G0_0_1_3_0 - 0.00152419009561893*G0_0_1_3_1 - 0.0114285714285732*G0_0_1_3_2 + 0.00952190666476531*G0_0_1_3_3 - 0.0135464535464556*G0_0_1_3_4 - 0.0247638076209546*G0_0_1_3_5 + 0.0597002997003098*G0_0_1_3_6 - 0.00578849721706961*G0_0_1_3_7 + 0.00356215213358124*G0_0_1_3_8 - 0.00226059654631116*G0_0_1_3_9 + 0.00285999714571192*G0_0_1_4_0 + 0.00205508776937382*G0_0_1_4_1 + 0.026773226773231*G0_0_1_4_2 - 0.0135464535464556*G0_0_1_4_3 + 0.107652347652366*G0_0_1_4_4 - 0.00179820179820211*G0_0_1_4_5 - 0.0579020979021078*G0_0_1_4_6 - 0.00774083059797482*G0_0_1_4_7 + 0.00222634508348836*G0_0_1_4_8 + 0.0381218781218846*G0_0_1_4_9 - 0.00375624375624423*G0_0_1_5_0 + 0.0100585129156575*G0_0_1_5_1 - 0.00237096237096258*G0_0_1_5_2 - 0.0247638076209546*G0_0_1_5_3 - 0.0017982017982021*G0_0_1_5_4 + 0.0723390894819587*G0_0_1_5_5 + 0.129470529470551*G0_0_1_5_6 + 0.0167318395889854*G0_0_1_5_7 - 0.0233937491080388*G0_0_1_5_8 + 0.0667903525046493*G0_0_1_5_9 - 0.0235992578849763*G0_0_1_6_0 - 0.0176395033537921*G0_0_1_6_1 - 0.018514818514822*G0_0_1_6_2 + 0.0597002997003098*G0_0_1_6_3 - 0.0579020979021078*G0_0_1_6_4 + 0.129470529470551*G0_0_1_6_5 - 0.670369630369745*G0_0_1_6_6 + 0.00666190951905334*G0_0_1_6_7 + 0.0207906379334986*G0_0_1_6_8 - 0.084875124875139*G0_0_1_6_9 + 0.00839160839161008*G0_0_1_7_0 + 0.00327291755863247*G0_0_1_7_1 - 0.00578849721706961*G0_0_1_7_3 - 0.00774083059797482*G0_0_1_7_4 + 0.0167318395889854*G0_0_1_7_5 + 0.00666190951905334*G0_0_1_7_6 + 0.0490823462252124*G0_0_1_7_7 - 0.011183102611676*G0_0_1_7_8 + 0.00667903525046501*G0_0_1_7_9 - 0.00122163550735013*G0_0_1_8_0 - 0.0020760192188768*G0_0_1_8_1 + 0.00151848151848175*G0_0_1_8_2 + 0.00356215213358124*G0_0_1_8_3 + 0.00222634508348836*G0_0_1_8_4 - 0.0233937491080388*G0_0_1_8_5 + 0.0207906379334986*G0_0_1_8_6 - 0.011183102611676*G0_0_1_8_7 + 0.0173312401883857*G0_0_1_8_8 - 0.0182902811474271*G0_0_1_8_9 - 0.00666761809619059*G0_0_1_9_0 + 0.00461253032681679*G0_0_1_9_1 - 0.0115084915084935*G0_0_1_9_2 - 0.00226059654631116*G0_0_1_9_3 + 0.0381218781218846*G0_0_1_9_4 + 0.0667903525046493*G0_0_1_9_5 - 0.0848751248751391*G0_0_1_9_6 + 0.00667903525046501*G0_0_1_9_7 - 0.0182902811474271*G0_0_1_9_8 + 0.231813900385368*G0_0_1_9_9 - 0.0145632145632174*G0_1_0_0_0 + 0.000544006258292048*G0_1_0_0_1 - 0.000473600473600527*G0_1_0_0_2 - 0.00419009561866775*G0_1_0_0_3 - 0.00285999714571192*G0_1_0_0_4 + 0.00375624375624423*G0_1_0_0_5 + 0.0235992578849763*G0_1_0_0_6 - 0.00839160839161008*G0_1_0_0_7 + 0.00122163550735013*G0_1_0_0_8 + 0.00666761809619059*G0_1_0_0_9 + 0.000544006258292048*G0_1_0_1_0 - 0.000779749351177997*G0_1_0_1_1 - 0.00208236208236241*G0_1_0_1_2 + 0.00152419009561893*G0_1_0_1_3 - 0.00205508776937381*G0_1_0_1_4 - 0.0100585129156575*G0_1_0_1_5 + 0.0176395033537921*G0_1_0_1_6 - 0.00327291755863247*G0_1_0_1_7 + 0.0020760192188768*G0_1_0_1_8 - 0.00461253032681679*G0_1_0_1_9 - 0.000473600473600526*G0_1_0_2_0 - 0.00208236208236241*G0_1_0_2_1 - 0.0379472379472437*G0_1_0_2_2 + 0.0114285714285732*G0_1_0_2_3 - 0.026773226773231*G0_1_0_2_4 + 0.00237096237096258*G0_1_0_2_5 + 0.018514818514822*G0_1_0_2_6 - 0.00151848151848175*G0_1_0_2_8 + 0.0115084915084935*G0_1_0_2_9 - 0.00419009561866775*G0_1_0_3_0 + 0.00152419009561893*G0_1_0_3_1 + 0.0114285714285732*G0_1_0_3_2 - 0.00952190666476532*G0_1_0_3_3 + 0.0135464535464556*G0_1_0_3_4 + 0.0247638076209546*G0_1_0_3_5 - 0.0597002997003098*G0_1_0_3_6 + 0.00578849721706961*G0_1_0_3_7 - 0.00356215213358125*G0_1_0_3_8 + 0.00226059654631116*G0_1_0_3_9 - 0.00285999714571192*G0_1_0_4_0 - 0.00205508776937381*G0_1_0_4_1 - 0.026773226773231*G0_1_0_4_2 + 0.0135464535464556*G0_1_0_4_3 - 0.107652347652366*G0_1_0_4_4 + 0.0017982017982021*G0_1_0_4_5 + 0.0579020979021078*G0_1_0_4_6 + 0.00774083059797482*G0_1_0_4_7 - 0.00222634508348836*G0_1_0_4_8 - 0.0381218781218845*G0_1_0_4_9 + 0.00375624375624423*G0_1_0_5_0 - 0.0100585129156575*G0_1_0_5_1 + 0.00237096237096258*G0_1_0_5_2 + 0.0247638076209546*G0_1_0_5_3 + 0.0017982017982021*G0_1_0_5_4 - 0.0723390894819587*G0_1_0_5_5 - 0.129470529470551*G0_1_0_5_6 - 0.0167318395889854*G0_1_0_5_7 + 0.0233937491080388*G0_1_0_5_8 - 0.0667903525046494*G0_1_0_5_9 + 0.0235992578849763*G0_1_0_6_0 + 0.0176395033537921*G0_1_0_6_1 + 0.018514818514822*G0_1_0_6_2 - 0.0597002997003098*G0_1_0_6_3 + 0.0579020979021078*G0_1_0_6_4 - 0.129470529470551*G0_1_0_6_5 + 0.670369630369745*G0_1_0_6_6 - 0.00666190951905334*G0_1_0_6_7 - 0.0207906379334986*G0_1_0_6_8 + 0.084875124875139*G0_1_0_6_9 - 0.00839160839161008*G0_1_0_7_0 - 0.00327291755863247*G0_1_0_7_1 + 0.00578849721706961*G0_1_0_7_3 + 0.00774083059797482*G0_1_0_7_4 - 0.0167318395889854*G0_1_0_7_5 - 0.00666190951905334*G0_1_0_7_6 - 0.0490823462252124*G0_1_0_7_7 + 0.011183102611676*G0_1_0_7_8 - 0.00667903525046501*G0_1_0_7_9 + 0.00122163550735013*G0_1_0_8_0 + 0.0020760192188768*G0_1_0_8_1 - 0.00151848151848175*G0_1_0_8_2 - 0.00356215213358125*G0_1_0_8_3 - 0.00222634508348836*G0_1_0_8_4 + 0.0233937491080388*G0_1_0_8_5 - 0.0207906379334986*G0_1_0_8_6 + 0.011183102611676*G0_1_0_8_7 - 0.0173312401883857*G0_1_0_8_8 + 0.0182902811474271*G0_1_0_8_9 + 0.00666761809619059*G0_1_0_9_0 - 0.00461253032681679*G0_1_0_9_1 + 0.0115084915084935*G0_1_0_9_2 + 0.00226059654631116*G0_1_0_9_3 - 0.0381218781218845*G0_1_0_9_4 - 0.0667903525046493*G0_1_0_9_5 + 0.0848751248751391*G0_1_0_9_6 - 0.00667903525046501*G0_1_0_9_7 + 0.0182902811474271*G0_1_0_9_8 - 0.231813900385368*G0_1_0_9_9;
    A[22] = A[106] + 0.00967520134186972*G0_0_1_0_0 + 0.000185528756957352*G0_0_1_0_3 - 0.000928595214309644*G0_0_1_0_5 + 0.000606595785167316*G0_0_1_0_6 - 0.000383703597989341*G0_0_1_0_7 - 0.00160208838780294*G0_0_1_0_9 - 0.00104090354090379*G0_0_1_1_3 + 0.000616605616605753*G0_0_1_1_4 - 0.000284596356024968*G0_0_1_1_5 + 0.000284596356024976*G0_0_1_1_6 - 0.000616605616605662*G0_0_1_1_7 + 0.0010409035409036*G0_0_1_1_8 - 0.00967520134186967*G0_0_1_2_2 + 0.00038370359798936*G0_0_1_2_4 - 0.000606595785167317*G0_0_1_2_5 + 0.000928595214309663*G0_0_1_2_6 - 0.000185528756957367*G0_0_1_2_8 + 0.00160208838780294*G0_0_1_2_9 + 0.000185528756957352*G0_0_1_3_0 - 0.00104090354090379*G0_0_1_3_1 - 0.00304195804195858*G0_0_1_3_3 - 0.00113350934779522*G0_0_1_3_4 + 0.000148601398601407*G0_0_1_3_5 - 0.000853789068074906*G0_0_1_3_6 - 0.000556586270872062*G0_0_1_3_7 + 0.00111317254174416*G0_0_1_3_9 + 0.000616605616605753*G0_0_1_4_1 + 0.00038370359798936*G0_0_1_4_2 - 0.00113350934779522*G0_0_1_4_3 + 0.00807371200228473*G0_0_1_4_4 + 0.000928357356928922*G0_0_1_4_6 + 0.000556586270872107*G0_0_1_4_8 - 0.00465712858570081*G0_0_1_4_9 - 0.000928595214309645*G0_0_1_5_0 - 0.000284596356024968*G0_0_1_5_1 - 0.000606595785167317*G0_0_1_5_2 + 0.000148601398601407*G0_0_1_5_3 - 0.0354342086485002*G0_0_1_5_5 - 0.000928357356928907*G0_0_1_5_7 + 0.000853789068074906*G0_0_1_5_8 + 0.003098687027259*G0_0_1_5_9 + 0.000606595785167317*G0_0_1_6_0 + 0.000284596356024976*G0_0_1_6_1 + 0.000928595214309663*G0_0_1_6_2 - 0.000853789068074906*G0_0_1_6_3 + 0.000928357356928923*G0_0_1_6_4 + 0.0354342086485003*G0_0_1_6_6 - 0.000148601398601405*G0_0_1_6_8 - 0.00309868702725902*G0_0_1_6_9 - 0.000383703597989341*G0_0_1_7_0 - 0.000616605616605662*G0_0_1_7_1 - 0.000556586270872062*G0_0_1_7_3 - 0.000928357356928907*G0_0_1_7_5 - 0.00807371200228476*G0_0_1_7_7 + 0.00113350934779529*G0_0_1_7_8 + 0.00465712858570081*G0_0_1_7_9 + 0.0010409035409036*G0_0_1_8_1 - 0.000185528756957367*G0_0_1_8_2 + 0.000556586270872107*G0_0_1_8_4 + 0.000853789068074906*G0_0_1_8_5 - 0.000148601398601404*G0_0_1_8_6 + 0.00113350934779529*G0_0_1_8_7 + 0.00304195804195841*G0_0_1_8_8 - 0.00111317254174418*G0_0_1_8_9 - 0.00160208838780294*G0_0_1_9_0 + 0.00160208838780294*G0_0_1_9_2 + 0.00111317254174416*G0_0_1_9_3 - 0.00465712858570081*G0_0_1_9_4 + 0.003098687027259*G0_0_1_9_5 - 0.00309868702725902*G0_0_1_9_6 + 0.00465712858570081*G0_0_1_9_7 - 0.00111317254174418*G0_0_1_9_8 - 0.00967520134186972*G0_1_0_0_0 - 0.000185528756957352*G0_1_0_0_3 + 0.000928595214309645*G0_1_0_0_5 - 0.000606595785167317*G0_1_0_0_6 + 0.000383703597989341*G0_1_0_0_7 + 0.00160208838780294*G0_1_0_0_9 + 0.00104090354090379*G0_1_0_1_3 - 0.000616605616605753*G0_1_0_1_4 + 0.000284596356024968*G0_1_0_1_5 - 0.000284596356024976*G0_1_0_1_6 + 0.000616605616605662*G0_1_0_1_7 - 0.0010409035409036*G0_1_0_1_8 + 0.00967520134186967*G0_1_0_2_2 - 0.00038370359798936*G0_1_0_2_4 + 0.000606595785167317*G0_1_0_2_5 - 0.000928595214309663*G0_1_0_2_6 + 0.000185528756957367*G0_1_0_2_8 - 0.00160208838780294*G0_1_0_2_9 - 0.000185528756957352*G0_1_0_3_0 + 0.00104090354090379*G0_1_0_3_1 + 0.00304195804195858*G0_1_0_3_3 + 0.00113350934779522*G0_1_0_3_4 - 0.000148601398601407*G0_1_0_3_5 + 0.000853789068074906*G0_1_0_3_6 + 0.000556586270872062*G0_1_0_3_7 - 0.00111317254174416*G0_1_0_3_9 - 0.000616605616605753*G0_1_0_4_1 - 0.000383703597989361*G0_1_0_4_2 + 0.00113350934779522*G0_1_0_4_3 - 0.00807371200228474*G0_1_0_4_4 - 0.000928357356928923*G0_1_0_4_6 - 0.000556586270872107*G0_1_0_4_8 + 0.00465712858570081*G0_1_0_4_9 + 0.000928595214309645*G0_1_0_5_0 + 0.000284596356024968*G0_1_0_5_1 + 0.000606595785167317*G0_1_0_5_2 - 0.000148601398601407*G0_1_0_5_3 + 0.0354342086485002*G0_1_0_5_5 + 0.000928357356928907*G0_1_0_5_7 - 0.000853789068074906*G0_1_0_5_8 - 0.003098687027259*G0_1_0_5_9 - 0.000606595785167317*G0_1_0_6_0 - 0.000284596356024976*G0_1_0_6_1 - 0.000928595214309664*G0_1_0_6_2 + 0.000853789068074906*G0_1_0_6_3 - 0.000928357356928923*G0_1_0_6_4 - 0.0354342086485003*G0_1_0_6_6 + 0.000148601398601404*G0_1_0_6_8 + 0.00309868702725902*G0_1_0_6_9 + 0.000383703597989341*G0_1_0_7_0 + 0.000616605616605662*G0_1_0_7_1 + 0.000556586270872062*G0_1_0_7_3 + 0.000928357356928907*G0_1_0_7_5 + 0.00807371200228476*G0_1_0_7_7 - 0.00113350934779529*G0_1_0_7_8 - 0.00465712858570081*G0_1_0_7_9 - 0.0010409035409036*G0_1_0_8_1 + 0.000185528756957367*G0_1_0_8_2 - 0.000556586270872107*G0_1_0_8_4 - 0.000853789068074906*G0_1_0_8_5 + 0.000148601398601404*G0_1_0_8_6 - 0.00113350934779529*G0_1_0_8_7 - 0.00304195804195841*G0_1_0_8_8 + 0.00111317254174418*G0_1_0_8_9 + 0.00160208838780294*G0_1_0_9_0 - 0.00160208838780294*G0_1_0_9_2 - 0.00111317254174416*G0_1_0_9_3 + 0.00465712858570081*G0_1_0_9_4 - 0.003098687027259*G0_1_0_9_5 + 0.00309868702725902*G0_1_0_9_6 - 0.00465712858570081*G0_1_0_9_7 + 0.00111317254174418*G0_1_0_9_8;
    A[9] = A[135] + 0.228459195125901*G0_0_1_0_0 + 0.0117478200811554*G0_0_1_0_1 + 0.0117478200811554*G0_0_1_0_2 - 0.00252247752247802*G0_0_1_0_3 - 0.00252247752247794*G0_0_1_0_4 + 0.113297813297833*G0_0_1_0_5 - 0.0524753024753114*G0_0_1_0_6 + 0.113297813297832*G0_0_1_0_7 - 0.0524753024753114*G0_0_1_0_8 + 0.0166944166944196*G0_0_1_0_9 + 0.0117478200811554*G0_0_1_1_0 + 0.00113558399272704*G0_0_1_1_1 + 0.000944003086860387*G0_0_1_1_2 - 0.00052074909217776*G0_0_1_1_3 - 0.000326736755308237*G0_0_1_1_4 + 0.00868964368964514*G0_0_1_1_5 - 0.00417748917748988*G0_0_1_1_6 + 0.0135714285714309*G0_0_1_1_7 - 0.00592851592851694*G0_0_1_1_8 + 0.00253857253857297*G0_0_1_1_9 + 0.0117478200811554*G0_0_1_2_0 + 0.000944003086860387*G0_0_1_2_1 + 0.00113558399272704*G0_0_1_2_2 - 0.000326736755308239*G0_0_1_2_3 - 0.000520749092177757*G0_0_1_2_4 + 0.0135714285714309*G0_0_1_2_5 - 0.00592851592851693*G0_0_1_2_6 + 0.00868964368964515*G0_0_1_2_7 - 0.00417748917748988*G0_0_1_2_8 + 0.00253857253857297*G0_0_1_2_9 - 0.00252247752247802*G0_0_1_3_0 - 0.000520749092177759*G0_0_1_3_1 - 0.000326736755308239*G0_0_1_3_2 - 0.000705484991199448*G0_0_1_3_3 + 0.000204319490033815*G0_0_1_3_4 - 0.00380785880785945*G0_0_1_3_5 + 0.00164668664668693*G0_0_1_3_6 - 0.00331834831834892*G0_0_1_3_7 + 0.00167166167166196*G0_0_1_3_8 - 0.000979020979021162*G0_0_1_3_9 - 0.00252247752247794*G0_0_1_4_0 - 0.000326736755308238*G0_0_1_4_1 - 0.000520749092177757*G0_0_1_4_2 + 0.000204319490033816*G0_0_1_4_3 - 0.000705484991199441*G0_0_1_4_4 - 0.00331834831834889*G0_0_1_4_5 + 0.00167166167166196*G0_0_1_4_6 - 0.00380785880785945*G0_0_1_4_7 + 0.00164668664668693*G0_0_1_4_8 - 0.000979020979021148*G0_0_1_4_9 + 0.113297813297833*G0_0_1_5_0 + 0.00868964368964514*G0_0_1_5_1 + 0.0135714285714309*G0_0_1_5_2 - 0.00380785880785945*G0_0_1_5_3 - 0.00331834831834889*G0_0_1_5_4 + 0.147818847818873*G0_0_1_5_5 - 0.0619963369963475*G0_0_1_5_6 + 0.0739094239094363*G0_0_1_5_7 - 0.0369547119547182*G0_0_1_5_8 + 0.0238261738261779*G0_0_1_5_9 - 0.0524753024753114*G0_0_1_6_0 - 0.00417748917748988*G0_0_1_6_1 - 0.00592851592851694*G0_0_1_6_2 + 0.00164668664668693*G0_0_1_6_3 + 0.00167166167166196*G0_0_1_6_4 - 0.0619963369963475*G0_0_1_6_5 + 0.0270496170496216*G0_0_1_6_6 - 0.0369547119547182*G0_0_1_6_7 + 0.017975357975361*G0_0_1_6_8 - 0.0109090909090928*G0_0_1_6_9 + 0.113297813297832*G0_0_1_7_0 + 0.0135714285714309*G0_0_1_7_1 + 0.00868964368964515*G0_0_1_7_2 - 0.00331834831834892*G0_0_1_7_3 - 0.00380785880785945*G0_0_1_7_4 + 0.0739094239094363*G0_0_1_7_5 - 0.0369547119547182*G0_0_1_7_6 + 0.147818847818873*G0_0_1_7_7 - 0.0619963369963475*G0_0_1_7_8 + 0.0238261738261779*G0_0_1_7_9 - 0.0524753024753114*G0_0_1_8_0 - 0.00592851592851694*G0_0_1_8_1 - 0.00417748917748988*G0_0_1_8_2 + 0.00167166167166196*G0_0_1_8_3 + 0.00164668664668693*G0_0_1_8_4 - 0.0369547119547182*G0_0_1_8_5 + 0.017975357975361*G0_0_1_8_6 - 0.0619963369963474*G0_0_1_8_7 + 0.0270496170496216*G0_0_1_8_8 - 0.0109090909090928*G0_0_1_8_9 + 0.0166944166944196*G0_0_1_9_0 + 0.00253857253857297*G0_0_1_9_1 + 0.00253857253857297*G0_0_1_9_2 - 0.000979020979021162*G0_0_1_9_3 - 0.000979020979021148*G0_0_1_9_4 + 0.0238261738261779*G0_0_1_9_5 - 0.0109090909090928*G0_0_1_9_6 + 0.0238261738261779*G0_0_1_9_7 - 0.0109090909090928*G0_0_1_9_8 + 0.00803196803196941*G0_0_1_9_9 - 0.228459195125901*G0_1_0_0_0 - 0.0117478200811554*G0_1_0_0_1 - 0.0117478200811554*G0_1_0_0_2 + 0.00252247752247802*G0_1_0_0_3 + 0.00252247752247794*G0_1_0_0_4 - 0.113297813297833*G0_1_0_0_5 + 0.0524753024753114*G0_1_0_0_6 - 0.113297813297832*G0_1_0_0_7 + 0.0524753024753114*G0_1_0_0_8 - 0.0166944166944196*G0_1_0_0_9 - 0.0117478200811554*G0_1_0_1_0 - 0.00113558399272704*G0_1_0_1_1 - 0.000944003086860387*G0_1_0_1_2 + 0.00052074909217776*G0_1_0_1_3 + 0.000326736755308237*G0_1_0_1_4 - 0.00868964368964514*G0_1_0_1_5 + 0.00417748917748988*G0_1_0_1_6 - 0.0135714285714309*G0_1_0_1_7 + 0.00592851592851694*G0_1_0_1_8 - 0.00253857253857297*G0_1_0_1_9 - 0.0117478200811554*G0_1_0_2_0 - 0.000944003086860387*G0_1_0_2_1 - 0.00113558399272704*G0_1_0_2_2 + 0.000326736755308239*G0_1_0_2_3 + 0.000520749092177758*G0_1_0_2_4 - 0.0135714285714309*G0_1_0_2_5 + 0.00592851592851694*G0_1_0_2_6 - 0.00868964368964515*G0_1_0_2_7 + 0.00417748917748988*G0_1_0_2_8 - 0.00253857253857297*G0_1_0_2_9 + 0.00252247752247802*G0_1_0_3_0 + 0.000520749092177758*G0_1_0_3_1 + 0.000326736755308238*G0_1_0_3_2 + 0.000705484991199448*G0_1_0_3_3 - 0.000204319490033818*G0_1_0_3_4 + 0.00380785880785945*G0_1_0_3_5 - 0.00164668664668693*G0_1_0_3_6 + 0.00331834831834892*G0_1_0_3_7 - 0.00167166167166196*G0_1_0_3_8 + 0.000979020979021161*G0_1_0_3_9 + 0.00252247752247794*G0_1_0_4_0 + 0.000326736755308237*G0_1_0_4_1 + 0.000520749092177758*G0_1_0_4_2 - 0.000204319490033816*G0_1_0_4_3 + 0.000705484991199441*G0_1_0_4_4 + 0.00331834831834889*G0_1_0_4_5 - 0.00167166167166196*G0_1_0_4_6 + 0.00380785880785945*G0_1_0_4_7 - 0.00164668664668693*G0_1_0_4_8 + 0.000979020979021149*G0_1_0_4_9 - 0.113297813297833*G0_1_0_5_0 - 0.00868964368964514*G0_1_0_5_1 - 0.0135714285714309*G0_1_0_5_2 + 0.00380785880785945*G0_1_0_5_3 + 0.00331834831834889*G0_1_0_5_4 - 0.147818847818873*G0_1_0_5_5 + 0.0619963369963475*G0_1_0_5_6 - 0.0739094239094363*G0_1_0_5_7 + 0.0369547119547182*G0_1_0_5_8 - 0.0238261738261779*G0_1_0_5_9 + 0.0524753024753114*G0_1_0_6_0 + 0.00417748917748988*G0_1_0_6_1 + 0.00592851592851694*G0_1_0_6_2 - 0.00164668664668693*G0_1_0_6_3 - 0.00167166167166196*G0_1_0_6_4 + 0.0619963369963475*G0_1_0_6_5 - 0.0270496170496217*G0_1_0_6_6 + 0.0369547119547182*G0_1_0_6_7 - 0.017975357975361*G0_1_0_6_8 + 0.0109090909090928*G0_1_0_6_9 - 0.113297813297832*G0_1_0_7_0 - 0.0135714285714309*G0_1_0_7_1 - 0.00868964368964515*G0_1_0_7_2 + 0.00331834831834892*G0_1_0_7_3 + 0.00380785880785945*G0_1_0_7_4 - 0.0739094239094363*G0_1_0_7_5 + 0.0369547119547182*G0_1_0_7_6 - 0.147818847818873*G0_1_0_7_7 + 0.0619963369963475*G0_1_0_7_8 - 0.0238261738261779*G0_1_0_7_9 + 0.0524753024753114*G0_1_0_8_0 + 0.00592851592851694*G0_1_0_8_1 + 0.00417748917748988*G0_1_0_8_2 - 0.00167166167166196*G0_1_0_8_3 - 0.00164668664668693*G0_1_0_8_4 + 0.0369547119547182*G0_1_0_8_5 - 0.017975357975361*G0_1_0_8_6 + 0.0619963369963474*G0_1_0_8_7 - 0.0270496170496216*G0_1_0_8_8 + 0.0109090909090928*G0_1_0_8_9 - 0.0166944166944196*G0_1_0_9_0 - 0.00253857253857298*G0_1_0_9_1 - 0.00253857253857297*G0_1_0_9_2 + 0.000979020979021162*G0_1_0_9_3 + 0.000979020979021148*G0_1_0_9_4 - 0.0238261738261779*G0_1_0_9_5 + 0.0109090909090928*G0_1_0_9_6 - 0.0238261738261779*G0_1_0_9_7 + 0.0109090909090928*G0_1_0_9_8 - 0.00803196803196942*G0_1_0_9_9;
    A[90] = A[9] + 0.228459195125901*G0_0_0_0_0 + 0.0103159186492537*G0_0_0_0_1 + 0.0131797215130571*G0_0_0_0_2 - 0.00186202686202723*G0_0_0_0_3 - 0.00318292818292872*G0_0_0_0_4 + 0.138381988382012*G0_0_0_0_5 - 0.0613516113516218*G0_0_0_0_6 + 0.0882136382136531*G0_0_0_0_7 - 0.043598993599001*G0_0_0_0_8 + 0.0166944166944196*G0_0_0_0_9 + 0.0103159186492537*G0_0_0_1_0 + 0.00815223577128477*G0_0_0_1_1 + 0.000944003086860386*G0_0_0_1_2 + 0.005869474440904*G0_0_0_1_3 - 0.0038520738520745*G0_0_0_1_4 + 0.00946220446220604*G0_0_0_1_5 - 0.00509863152720381*G0_0_0_1_6 + 0.00708661708661827*G0_0_0_1_7 - 0.00198415341272517*G0_0_0_1_8 + 0.0014404642976074*G0_0_0_1_9 + 0.0131797215130571*G0_0_0_2_0 + 0.000944003086860386*G0_0_0_2_1 - 0.00588106778583067*G0_0_0_2_2 + 0.00319860034145802*G0_0_0_2_3 - 0.00691097262525951*G0_0_0_2_4 + 0.0200562400562435*G0_0_0_2_5 - 0.00987287844430869*G0_0_0_2_6 + 0.00791708291708424*G0_0_0_2_7 - 0.00325634682777595*G0_0_0_2_8 + 0.00363668077953854*G0_0_0_2_9 - 0.00186202686202723*G0_0_0_3_0 + 0.005869474440904*G0_0_0_3_1 + 0.00319860034145802*G0_0_0_3_2 + 0.017968697968701*G0_0_0_3_3 + 0.000204319490033817*G0_0_0_3_4 - 0.00595737595737695*G0_0_0_3_5 + 0.00441011369582872*G0_0_0_3_6 - 0.00529970029970121*G0_0_0_3_7 + 0.00641644070215607*G0_0_0_3_8 + 0.00627800770658019*G0_0_0_3_9 - 0.00318292818292872*G0_0_0_4_0 - 0.0038520738520745*G0_0_0_4_1 - 0.00691097262525951*G0_0_0_4_2 + 0.000204319490033817*G0_0_0_4_3 - 0.0193796679510998*G0_0_0_4_4 - 0.00133699633699658*G0_0_0_4_5 - 0.00307311735883215*G0_0_0_4_6 - 0.00165834165834194*G0_0_0_4_7 - 0.00111674040245487*G0_0_0_4_8 - 0.00823604966462248*G0_0_0_4_9 + 0.138381988382012*G0_0_0_5_0 + 0.00946220446220604*G0_0_0_5_1 + 0.0200562400562435*G0_0_0_5_2 - 0.00595737595737695*G0_0_0_5_3 - 0.00133699633699658*G0_0_0_5_4 + 0.214985014985051*G0_0_0_5_5 - 0.086308691308706*G0_0_0_5_6 + 0.0739094239094363*G0_0_0_5_7 - 0.0392723942724009*G0_0_0_5_8 + 0.0284615384615433*G0_0_0_5_9 - 0.0613516113516218*G0_0_0_6_0 - 0.00509863152720381*G0_0_0_6_1 - 0.00987287844430869*G0_0_0_6_2 + 0.00441011369582872*G0_0_0_6_3 - 0.00307311735883215*G0_0_0_6_4 - 0.086308691308706*G0_0_0_6_5 + 0.0248151848151891*G0_0_0_6_6 - 0.0346370296370354*G0_0_0_6_7 + 0.017975357975361*G0_0_0_6_8 - 0.0197302697302731*G0_0_0_6_9 + 0.0882136382136531*G0_0_0_7_0 + 0.00708661708661828*G0_0_0_7_1 + 0.00791708291708425*G0_0_0_7_2 - 0.00529970029970121*G0_0_0_7_3 - 0.00165834165834194*G0_0_0_7_4 + 0.0739094239094363*G0_0_0_7_5 - 0.0346370296370354*G0_0_0_7_6 + 0.0806526806526942*G0_0_0_7_7 - 0.037683982683989*G0_0_0_7_8 + 0.0191908091908125*G0_0_0_7_9 - 0.043598993599001*G0_0_0_8_0 - 0.00198415341272517*G0_0_0_8_1 - 0.00325634682777595*G0_0_0_8_2 + 0.00641644070215607*G0_0_0_8_3 - 0.00111674040245487*G0_0_0_8_4 - 0.0392723942724009*G0_0_0_8_5 + 0.017975357975361*G0_0_0_8_6 - 0.037683982683989*G0_0_0_8_7 + 0.0292840492840542*G0_0_0_8_8 - 0.00208791208791246*G0_0_0_8_9 + 0.0166944166944196*G0_0_0_9_0 + 0.0014404642976074*G0_0_0_9_1 + 0.00363668077953854*G0_0_0_9_2 + 0.00627800770658019*G0_0_0_9_3 - 0.00823604966462248*G0_0_0_9_4 + 0.0284615384615433*G0_0_0_9_5 - 0.0197302697302731*G0_0_0_9_6 + 0.0191908091908125*G0_0_0_9_7 - 0.00208791208791246*G0_0_0_9_8 + 0.00803196803196941*G0_0_0_9_9 - 0.00143190143190168*G0_0_1_0_1 + 0.00143190143190168*G0_0_1_0_2 + 0.000660450660450789*G0_0_1_0_3 - 0.000660450660450782*G0_0_1_0_4 + 0.0250841750841794*G0_0_1_0_5 - 0.00887630887631039*G0_0_1_0_6 - 0.0250841750841794*G0_0_1_0_7 + 0.00887630887631039*G0_0_1_0_8 - 0.00143190143190168*G0_0_1_1_0 + 0.00701665177855773*G0_0_1_1_1 + 0.00639022353308175*G0_0_1_1_3 - 0.00352533709676626*G0_0_1_1_4 + 0.000772560772560892*G0_0_1_1_5 - 0.000921142349713933*G0_0_1_1_6 - 0.0064848114848126*G0_0_1_1_7 + 0.00394436251579176*G0_0_1_1_8 - 0.00109810824096558*G0_0_1_1_9 + 0.00143190143190168*G0_0_1_2_0 - 0.00701665177855774*G0_0_1_2_2 + 0.00352533709676627*G0_0_1_2_3 - 0.00639022353308177*G0_0_1_2_4 + 0.00648481148481259*G0_0_1_2_5 - 0.00394436251579176*G0_0_1_2_6 - 0.000772560772560905*G0_0_1_2_7 + 0.000921142349713931*G0_0_1_2_8 + 0.00109810824096557*G0_0_1_2_9 + 0.000660450660450789*G0_0_1_3_0 + 0.00639022353308175*G0_0_1_3_1 + 0.00352533709676627*G0_0_1_3_2 + 0.0186741829599004*G0_0_1_3_3 - 0.00214951714951749*G0_0_1_3_5 + 0.00276342704914179*G0_0_1_3_6 - 0.00198135198135229*G0_0_1_3_7 + 0.0047447790304941*G0_0_1_3_8 + 0.00725702868560135*G0_0_1_3_9 - 0.000660450660450782*G0_0_1_4_0 - 0.00352533709676626*G0_0_1_4_1 - 0.00639022353308177*G0_0_1_4_2 - 0.0186741829599004*G0_0_1_4_4 + 0.00198135198135231*G0_0_1_4_5 - 0.00474477903049412*G0_0_1_4_6 + 0.00214951714951751*G0_0_1_4_7 - 0.00276342704914179*G0_0_1_4_8 - 0.00725702868560133*G0_0_1_4_9 + 0.0250841750841794*G0_0_1_5_0 + 0.000772560772560892*G0_0_1_5_1 + 0.00648481148481259*G0_0_1_5_2 - 0.00214951714951749*G0_0_1_5_3 + 0.00198135198135231*G0_0_1_5_4 + 0.0671661671661785*G0_0_1_5_5 - 0.0243123543123584*G0_0_1_5_6 - 0.00231768231768269*G0_0_1_5_8 + 0.0046353646353654*G0_0_1_5_9 - 0.00887630887631039*G0_0_1_6_0 - 0.000921142349713933*G0_0_1_6_1 - 0.00394436251579176*G0_0_1_6_2 + 0.0027634270491418*G0_0_1_6_3 - 0.00474477903049412*G0_0_1_6_4 - 0.0243123543123584*G0_0_1_6_5 - 0.00223443223443262*G0_0_1_6_6 + 0.00231768231768273*G0_0_1_6_7 - 0.00882117882118031*G0_0_1_6_9 - 0.0250841750841794*G0_0_1_7_0 - 0.0064848114848126*G0_0_1_7_1 - 0.000772560772560905*G0_0_1_7_2 - 0.00198135198135229*G0_0_1_7_3 + 0.00214951714951751*G0_0_1_7_4 + 0.00231768231768273*G0_0_1_7_6 - 0.0671661671661786*G0_0_1_7_7 + 0.0243123543123584*G0_0_1_7_8 - 0.00463536463536549*G0_0_1_7_9 + 0.0088763088763104*G0_0_1_8_0 + 0.00394436251579176*G0_0_1_8_1 + 0.00092114234971393*G0_0_1_8_2 + 0.0047447790304941*G0_0_1_8_3 - 0.00276342704914179*G0_0_1_8_4 - 0.00231768231768269*G0_0_1_8_5 + 0.0243123543123584*G0_0_1_8_7 + 0.00223443223443258*G0_0_1_8_8 + 0.00882117882118034*G0_0_1_8_9 - 0.00109810824096558*G0_0_1_9_1 + 0.00109810824096557*G0_0_1_9_2 + 0.00725702868560135*G0_0_1_9_3 - 0.00725702868560133*G0_0_1_9_4 + 0.0046353646353654*G0_0_1_9_5 - 0.00882117882118031*G0_0_1_9_6 - 0.00463536463536549*G0_0_1_9_7 + 0.00882117882118034*G0_0_1_9_8 - 0.00143190143190167*G0_1_0_0_1 + 0.00143190143190169*G0_1_0_0_2 + 0.000660450660450785*G0_1_0_0_3 - 0.000660450660450784*G0_1_0_0_4 + 0.0250841750841795*G0_1_0_0_5 - 0.00887630887631048*G0_1_0_0_6 - 0.0250841750841793*G0_1_0_0_7 + 0.00887630887631033*G0_1_0_0_8 - 0.00143190143190167*G0_1_0_1_0 + 0.00701665177855774*G0_1_0_1_1 + 0.00639022353308176*G0_1_0_1_3 - 0.00352533709676626*G0_1_0_1_4 + 0.000772560772560897*G0_1_0_1_5 - 0.000921142349713933*G0_1_0_1_6 - 0.00648481148481258*G0_1_0_1_7 + 0.00394436251579176*G0_1_0_1_8 - 0.00109810824096557*G0_1_0_1_9 + 0.00143190143190169*G0_1_0_2_0 - 0.00701665177855773*G0_1_0_2_2 + 0.00352533709676626*G0_1_0_2_3 - 0.00639022353308176*G0_1_0_2_4 + 0.0064848114848126*G0_1_0_2_5 - 0.00394436251579176*G0_1_0_2_6 - 0.000772560772560897*G0_1_0_2_7 + 0.000921142349713927*G0_1_0_2_8 + 0.00109810824096557*G0_1_0_2_9 + 0.000660450660450785*G0_1_0_3_0 + 0.00639022353308176*G0_1_0_3_1 + 0.00352533709676626*G0_1_0_3_2 + 0.0186741829599004*G0_1_0_3_3 - 0.0021495171495175*G0_1_0_3_5 + 0.00276342704914179*G0_1_0_3_6 - 0.00198135198135229*G0_1_0_3_7 + 0.0047447790304941*G0_1_0_3_8 + 0.00725702868560133*G0_1_0_3_9 - 0.000660450660450784*G0_1_0_4_0 - 0.00352533709676626*G0_1_0_4_1 - 0.00639022353308176*G0_1_0_4_2 - 0.0186741829599004*G0_1_0_4_4 + 0.0019813519813523*G0_1_0_4_5 - 0.00474477903049411*G0_1_0_4_6 + 0.0021495171495175*G0_1_0_4_7 - 0.00276342704914179*G0_1_0_4_8 - 0.00725702868560132*G0_1_0_4_9 + 0.0250841750841795*G0_1_0_5_0 + 0.000772560772560897*G0_1_0_5_1 + 0.0064848114848126*G0_1_0_5_2 - 0.0021495171495175*G0_1_0_5_3 + 0.0019813519813523*G0_1_0_5_4 + 0.0671661671661787*G0_1_0_5_5 - 0.0243123543123585*G0_1_0_5_6 - 0.00231768231768274*G0_1_0_5_8 + 0.00463536463536543*G0_1_0_5_9 - 0.00887630887631048*G0_1_0_6_0 - 0.000921142349713933*G0_1_0_6_1 - 0.00394436251579176*G0_1_0_6_2 + 0.00276342704914179*G0_1_0_6_3 - 0.00474477903049411*G0_1_0_6_4 - 0.0243123543123585*G0_1_0_6_5 - 0.00223443223443255*G0_1_0_6_6 + 0.00231768231768267*G0_1_0_6_7 - 0.00882117882118031*G0_1_0_6_9 - 0.0250841750841793*G0_1_0_7_0 - 0.00648481148481258*G0_1_0_7_1 - 0.000772560772560896*G0_1_0_7_2 - 0.00198135198135229*G0_1_0_7_3 + 0.0021495171495175*G0_1_0_7_4 + 0.00231768231768267*G0_1_0_7_6 - 0.0671661671661784*G0_1_0_7_7 + 0.0243123543123584*G0_1_0_7_8 - 0.00463536463536544*G0_1_0_7_9 + 0.00887630887631034*G0_1_0_8_0 + 0.00394436251579176*G0_1_0_8_1 + 0.000921142349713927*G0_1_0_8_2 + 0.0047447790304941*G0_1_0_8_3 - 0.00276342704914179*G0_1_0_8_4 - 0.00231768231768274*G0_1_0_8_5 + 0.0243123543123584*G0_1_0_8_7 + 0.00223443223443259*G0_1_0_8_8 + 0.0088211788211803*G0_1_0_8_9 - 0.00109810824096557*G0_1_0_9_1 + 0.00109810824096557*G0_1_0_9_2 + 0.00725702868560133*G0_1_0_9_3 - 0.00725702868560132*G0_1_0_9_4 + 0.00463536463536543*G0_1_0_9_5 - 0.00882117882118031*G0_1_0_9_6 - 0.00463536463536543*G0_1_0_9_7 + 0.0088211788211803*G0_1_0_9_8 - 0.228459195125901*G0_1_1_0_0 - 0.0131797215130571*G0_1_1_0_1 - 0.0103159186492537*G0_1_1_0_2 + 0.0031829281829288*G0_1_1_0_3 + 0.00186202686202716*G0_1_1_0_4 - 0.0882136382136531*G0_1_1_0_5 + 0.0435989935990009*G0_1_1_0_6 - 0.138381988382012*G0_1_1_0_7 + 0.0613516113516217*G0_1_1_0_8 - 0.0166944166944196*G0_1_1_0_9 - 0.0131797215130571*G0_1_1_1_0 + 0.00588106778583069*G0_1_1_1_1 - 0.000944003086860391*G0_1_1_1_2 + 0.00691097262525952*G0_1_1_1_3 - 0.00319860034145803*G0_1_1_1_4 - 0.00791708291708424*G0_1_1_1_5 + 0.00325634682777594*G0_1_1_1_6 - 0.0200562400562435*G0_1_1_1_7 + 0.00987287844430869*G0_1_1_1_8 - 0.00363668077953855*G0_1_1_1_9 - 0.0103159186492537*G0_1_1_2_0 - 0.000944003086860391*G0_1_1_2_1 - 0.00815223577128481*G0_1_1_2_2 + 0.00385207385207451*G0_1_1_2_3 - 0.00586947444090402*G0_1_1_2_4 - 0.00708661708661827*G0_1_1_2_5 + 0.00198415341272516*G0_1_1_2_6 - 0.00946220446220604*G0_1_1_2_7 + 0.00509863152720381*G0_1_1_2_8 - 0.0014404642976074*G0_1_1_2_9 + 0.0031829281829288*G0_1_1_3_0 + 0.00691097262525952*G0_1_1_3_1 + 0.00385207385207451*G0_1_1_3_2 + 0.0193796679510998*G0_1_1_3_3 - 0.000204319490033796*G0_1_1_3_4 + 0.00165834165834195*G0_1_1_3_5 + 0.00111674040245487*G0_1_1_3_6 + 0.00133699633699663*G0_1_1_3_7 + 0.00307311735883213*G0_1_1_3_8 + 0.00823604966462249*G0_1_1_3_9 + 0.00186202686202716*G0_1_1_4_0 - 0.00319860034145803*G0_1_1_4_1 - 0.00586947444090402*G0_1_1_4_2 - 0.000204319490033798*G0_1_1_4_3 - 0.017968697968701*G0_1_1_4_4 + 0.00529970029970119*G0_1_1_4_5 - 0.00641644070215607*G0_1_1_4_6 + 0.00595737595737694*G0_1_1_4_7 - 0.00441011369582871*G0_1_1_4_8 - 0.00627800770658018*G0_1_1_4_9 - 0.0882136382136531*G0_1_1_5_0 - 0.00791708291708425*G0_1_1_5_1 - 0.00708661708661827*G0_1_1_5_2 + 0.00165834165834196*G0_1_1_5_3 + 0.00529970029970119*G0_1_1_5_4 - 0.0806526806526942*G0_1_1_5_5 + 0.037683982683989*G0_1_1_5_6 - 0.0739094239094363*G0_1_1_5_7 + 0.0346370296370354*G0_1_1_5_8 - 0.0191908091908125*G0_1_1_5_9 + 0.0435989935990009*G0_1_1_6_0 + 0.00325634682777594*G0_1_1_6_1 + 0.00198415341272516*G0_1_1_6_2 + 0.00111674040245487*G0_1_1_6_3 - 0.00641644070215607*G0_1_1_6_4 + 0.037683982683989*G0_1_1_6_5 - 0.0292840492840542*G0_1_1_6_6 + 0.0392723942724008*G0_1_1_6_7 - 0.017975357975361*G0_1_1_6_8 + 0.00208791208791246*G0_1_1_6_9 - 0.138381988382012*G0_1_1_7_0 - 0.0200562400562435*G0_1_1_7_1 - 0.00946220446220604*G0_1_1_7_2 + 0.00133699633699663*G0_1_1_7_3 + 0.00595737595737694*G0_1_1_7_4 - 0.0739094239094363*G0_1_1_7_5 + 0.0392723942724008*G0_1_1_7_6 - 0.214985014985051*G0_1_1_7_7 + 0.0863086913087059*G0_1_1_7_8 - 0.0284615384615434*G0_1_1_7_9 + 0.0613516113516217*G0_1_1_8_0 + 0.00987287844430869*G0_1_1_8_1 + 0.00509863152720381*G0_1_1_8_2 + 0.00307311735883213*G0_1_1_8_3 - 0.00441011369582871*G0_1_1_8_4 + 0.0346370296370354*G0_1_1_8_5 - 0.017975357975361*G0_1_1_8_6 + 0.0863086913087059*G0_1_1_8_7 - 0.024815184815189*G0_1_1_8_8 + 0.0197302697302731*G0_1_1_8_9 - 0.0166944166944196*G0_1_1_9_0 - 0.00363668077953855*G0_1_1_9_1 - 0.0014404642976074*G0_1_1_9_2 + 0.00823604966462249*G0_1_1_9_3 - 0.00627800770658018*G0_1_1_9_4 - 0.0191908091908125*G0_1_1_9_5 + 0.00208791208791246*G0_1_1_9_6 - 0.0284615384615434*G0_1_1_9_7 + 0.0197302697302731*G0_1_1_9_8 - 0.00803196803196941*G0_1_1_9_9;
    A[6] = A[90] - 0.228459195125901*G0_0_1_0_0 - 0.0117478200811554*G0_0_1_0_1 - 0.0117478200811554*G0_0_1_0_2 + 0.00252247752247801*G0_0_1_0_3 + 0.00252247752247794*G0_0_1_0_4 - 0.113297813297833*G0_0_1_0_5 + 0.0524753024753113*G0_0_1_0_6 - 0.113297813297832*G0_0_1_0_7 + 0.0524753024753113*G0_0_1_0_8 - 0.0166944166944196*G0_0_1_0_9 - 0.0117478200811554*G0_0_1_1_0 - 0.00113558399272703*G0_0_1_1_1 - 0.000944003086860385*G0_0_1_1_2 + 0.000520749092177765*G0_0_1_1_3 + 0.000326736755308237*G0_0_1_1_4 - 0.00868964368964514*G0_0_1_1_5 + 0.00417748917748988*G0_0_1_1_6 - 0.0135714285714309*G0_0_1_1_7 + 0.00592851592851693*G0_0_1_1_8 - 0.00253857253857297*G0_0_1_1_9 - 0.0117478200811554*G0_0_1_2_0 - 0.000944003086860385*G0_0_1_2_1 - 0.00113558399272702*G0_0_1_2_2 + 0.000326736755308235*G0_0_1_2_3 + 0.000520749092177765*G0_0_1_2_4 - 0.0135714285714309*G0_0_1_2_5 + 0.00592851592851693*G0_0_1_2_6 - 0.00868964368964514*G0_0_1_2_7 + 0.00417748917748988*G0_0_1_2_8 - 0.00253857253857297*G0_0_1_2_9 + 0.00252247752247801*G0_0_1_3_0 + 0.000520749092177765*G0_0_1_3_1 + 0.000326736755308235*G0_0_1_3_2 + 0.000705484991199455*G0_0_1_3_3 - 0.00020431949003383*G0_0_1_3_4 + 0.00380785880785945*G0_0_1_3_5 - 0.00164668664668693*G0_0_1_3_6 + 0.00331834831834891*G0_0_1_3_7 - 0.00167166167166196*G0_0_1_3_8 + 0.000979020979021141*G0_0_1_3_9 + 0.00252247752247794*G0_0_1_4_0 + 0.000326736755308237*G0_0_1_4_1 + 0.000520749092177766*G0_0_1_4_2 - 0.000204319490033831*G0_0_1_4_3 + 0.000705484991199448*G0_0_1_4_4 + 0.00331834831834888*G0_0_1_4_5 - 0.00167166167166195*G0_0_1_4_6 + 0.00380785880785944*G0_0_1_4_7 - 0.00164668664668692*G0_0_1_4_8 + 0.000979020979021157*G0_0_1_4_9 - 0.113297813297833*G0_0_1_5_0 - 0.00868964368964514*G0_0_1_5_1 - 0.0135714285714309*G0_0_1_5_2 + 0.00380785880785945*G0_0_1_5_3 + 0.00331834831834888*G0_0_1_5_4 - 0.147818847818873*G0_0_1_5_5 + 0.0619963369963474*G0_0_1_5_6 - 0.0739094239094362*G0_0_1_5_7 + 0.0369547119547181*G0_0_1_5_8 - 0.0238261738261779*G0_0_1_5_9 + 0.0524753024753113*G0_0_1_6_0 + 0.00417748917748988*G0_0_1_6_1 + 0.00592851592851693*G0_0_1_6_2 - 0.00164668664668693*G0_0_1_6_3 - 0.00167166167166194*G0_0_1_6_4 + 0.0619963369963474*G0_0_1_6_5 - 0.0270496170496216*G0_0_1_6_6 + 0.0369547119547181*G0_0_1_6_7 - 0.017975357975361*G0_0_1_6_8 + 0.0109090909090928*G0_0_1_6_9 - 0.113297813297832*G0_0_1_7_0 - 0.0135714285714309*G0_0_1_7_1 - 0.00868964368964514*G0_0_1_7_2 + 0.00331834831834891*G0_0_1_7_3 + 0.00380785880785944*G0_0_1_7_4 - 0.0739094239094362*G0_0_1_7_5 + 0.0369547119547181*G0_0_1_7_6 - 0.147818847818873*G0_0_1_7_7 + 0.0619963369963474*G0_0_1_7_8 - 0.0238261738261779*G0_0_1_7_9 + 0.0524753024753113*G0_0_1_8_0 + 0.00592851592851693*G0_0_1_8_1 + 0.00417748917748988*G0_0_1_8_2 - 0.00167166167166196*G0_0_1_8_3 - 0.00164668664668692*G0_0_1_8_4 + 0.0369547119547181*G0_0_1_8_5 - 0.017975357975361*G0_0_1_8_6 + 0.0619963369963474*G0_0_1_8_7 - 0.0270496170496216*G0_0_1_8_8 + 0.0109090909090928*G0_0_1_8_9 - 0.0166944166944196*G0_0_1_9_0 - 0.00253857253857297*G0_0_1_9_1 - 0.00253857253857297*G0_0_1_9_2 + 0.00097902097902114*G0_0_1_9_3 + 0.000979020979021159*G0_0_1_9_4 - 0.0238261738261779*G0_0_1_9_5 + 0.0109090909090928*G0_0_1_9_6 - 0.0238261738261779*G0_0_1_9_7 + 0.0109090909090928*G0_0_1_9_8 - 0.00803196803196939*G0_0_1_9_9 + 0.228459195125901*G0_1_0_0_0 + 0.0117478200811554*G0_1_0_0_1 + 0.0117478200811554*G0_1_0_0_2 - 0.00252247752247801*G0_1_0_0_3 - 0.00252247752247794*G0_1_0_0_4 + 0.113297813297833*G0_1_0_0_5 - 0.0524753024753113*G0_1_0_0_6 + 0.113297813297832*G0_1_0_0_7 - 0.0524753024753113*G0_1_0_0_8 + 0.0166944166944196*G0_1_0_0_9 + 0.0117478200811554*G0_1_0_1_0 + 0.00113558399272703*G0_1_0_1_1 + 0.000944003086860385*G0_1_0_1_2 - 0.000520749092177765*G0_1_0_1_3 - 0.000326736755308237*G0_1_0_1_4 + 0.00868964368964514*G0_1_0_1_5 - 0.00417748917748988*G0_1_0_1_6 + 0.0135714285714309*G0_1_0_1_7 - 0.00592851592851693*G0_1_0_1_8 + 0.00253857253857297*G0_1_0_1_9 + 0.0117478200811554*G0_1_0_2_0 + 0.000944003086860385*G0_1_0_2_1 + 0.00113558399272702*G0_1_0_2_2 - 0.000326736755308235*G0_1_0_2_3 - 0.000520749092177765*G0_1_0_2_4 + 0.0135714285714309*G0_1_0_2_5 - 0.00592851592851693*G0_1_0_2_6 + 0.00868964368964514*G0_1_0_2_7 - 0.00417748917748988*G0_1_0_2_8 + 0.00253857253857297*G0_1_0_2_9 - 0.00252247752247801*G0_1_0_3_0 - 0.000520749092177765*G0_1_0_3_1 - 0.000326736755308235*G0_1_0_3_2 - 0.000705484991199452*G0_1_0_3_3 + 0.00020431949003383*G0_1_0_3_4 - 0.00380785880785945*G0_1_0_3_5 + 0.00164668664668693*G0_1_0_3_6 - 0.00331834831834891*G0_1_0_3_7 + 0.00167166167166196*G0_1_0_3_8 - 0.000979020979021141*G0_1_0_3_9 - 0.00252247752247794*G0_1_0_4_0 - 0.000326736755308237*G0_1_0_4_1 - 0.000520749092177766*G0_1_0_4_2 + 0.000204319490033831*G0_1_0_4_3 - 0.000705484991199448*G0_1_0_4_4 - 0.00331834831834888*G0_1_0_4_5 + 0.00167166167166194*G0_1_0_4_6 - 0.00380785880785944*G0_1_0_4_7 + 0.00164668664668692*G0_1_0_4_8 - 0.000979020979021156*G0_1_0_4_9 + 0.113297813297833*G0_1_0_5_0 + 0.00868964368964514*G0_1_0_5_1 + 0.0135714285714309*G0_1_0_5_2 - 0.00380785880785945*G0_1_0_5_3 - 0.00331834831834888*G0_1_0_5_4 + 0.147818847818873*G0_1_0_5_5 - 0.0619963369963474*G0_1_0_5_6 + 0.0739094239094362*G0_1_0_5_7 - 0.0369547119547181*G0_1_0_5_8 + 0.0238261738261779*G0_1_0_5_9 - 0.0524753024753113*G0_1_0_6_0 - 0.00417748917748988*G0_1_0_6_1 - 0.00592851592851693*G0_1_0_6_2 + 0.00164668664668693*G0_1_0_6_3 + 0.00167166167166194*G0_1_0_6_4 - 0.0619963369963474*G0_1_0_6_5 + 0.0270496170496216*G0_1_0_6_6 - 0.0369547119547181*G0_1_0_6_7 + 0.017975357975361*G0_1_0_6_8 - 0.0109090909090928*G0_1_0_6_9 + 0.113297813297832*G0_1_0_7_0 + 0.0135714285714309*G0_1_0_7_1 + 0.00868964368964514*G0_1_0_7_2 - 0.00331834831834891*G0_1_0_7_3 - 0.00380785880785944*G0_1_0_7_4 + 0.0739094239094362*G0_1_0_7_5 - 0.0369547119547181*G0_1_0_7_6 + 0.147818847818873*G0_1_0_7_7 - 0.0619963369963474*G0_1_0_7_8 + 0.0238261738261779*G0_1_0_7_9 - 0.0524753024753113*G0_1_0_8_0 - 0.00592851592851693*G0_1_0_8_1 - 0.00417748917748988*G0_1_0_8_2 + 0.00167166167166196*G0_1_0_8_3 + 0.00164668664668692*G0_1_0_8_4 - 0.0369547119547181*G0_1_0_8_5 + 0.017975357975361*G0_1_0_8_6 - 0.0619963369963474*G0_1_0_8_7 + 0.0270496170496216*G0_1_0_8_8 - 0.0109090909090928*G0_1_0_8_9 + 0.0166944166944196*G0_1_0_9_0 + 0.00253857253857297*G0_1_0_9_1 + 0.00253857253857297*G0_1_0_9_2 - 0.000979020979021142*G0_1_0_9_3 - 0.000979020979021158*G0_1_0_9_4 + 0.0238261738261779*G0_1_0_9_5 - 0.0109090909090928*G0_1_0_9_6 + 0.0238261738261779*G0_1_0_9_7 - 0.0109090909090928*G0_1_0_9_8 + 0.00803196803196939*G0_1_0_9_9;
    A[49] = -A[169] - 0.000348434634148947*G0_0_0_0_0 - 0.00117043450376804*G0_0_0_0_1 - 0.00707077754696922*G0_0_0_0_2 + 0.00632224917939311*G0_0_0_0_3 - 0.00716711859569125*G0_0_0_0_4 + 0.00969379826522849*G0_0_0_0_5 - 0.0145857317285914*G0_0_0_0_6 + 0.00190095618667079*G0_0_0_0_7 - 0.00192664478378797*G0_0_0_0_8 - 0.00482374768089139*G0_0_0_0_9 - 0.00117043450376804*G0_0_0_1_0 + 0.0139514806181495*G0_0_0_1_1 - 0.00173036839703536*G0_0_0_1_2 + 0.000710400710400794*G0_0_0_1_3 - 0.016239316239319*G0_0_0_1_4 + 0.00429570429570502*G0_0_0_1_5 - 0.0104895104895123*G0_0_0_1_6 + 0.00192030192030225*G0_0_0_1_7 + 0.00295260295260343*G0_0_0_1_8 - 0.0113886113886133*G0_0_0_1_9 - 0.00707077754696922*G0_0_0_2_0 - 0.00173036839703537*G0_0_0_2_1 - 0.096102416102432*G0_0_0_2_2 + 0.0055658627087207*G0_0_0_2_3 - 0.0294105894105943*G0_0_0_2_4 + 0.0330761302189929*G0_0_0_2_5 - 0.0708447108447227*G0_0_0_2_6 + 0.00287997716569192*G0_0_0_2_7 - 0.00586556300842114*G0_0_0_2_8 - 0.00673612102183642*G0_0_0_2_9 + 0.00632224917939311*G0_0_0_3_0 + 0.000710400710400797*G0_0_0_3_1 + 0.0055658627087207*G0_0_0_3_2 + 0.0683316683316797*G0_0_0_3_3 + 0.0878121878122028*G0_0_0_3_4 - 0.0216640502354824*G0_0_0_3_5 + 0.0429427715142072*G0_0_0_3_6 - 0.00749250749250871*G0_0_0_3_7 - 0.0215784215784252*G0_0_0_3_8 + 0.0491508491508573*G0_0_0_3_9 - 0.00716711859569125*G0_0_0_4_0 - 0.016239316239319*G0_0_0_4_1 - 0.0294105894105943*G0_0_0_4_2 + 0.0878121878122028*G0_0_0_4_3 - 0.140345368916821*G0_0_0_4_4 + 0.0329755958327442*G0_0_0_4_5 - 0.0759183673469515*G0_0_0_4_6 + 0.000693592122163656*G0_0_0_4_7 + 0.0290709290709339*G0_0_0_4_8 - 0.0457428285999791*G0_0_0_4_9 + 0.00969379826522849*G0_0_0_5_0 + 0.00429570429570502*G0_0_0_5_1 + 0.0330761302189929*G0_0_0_5_2 - 0.0216640502354824*G0_0_0_5_3 + 0.0329755958327442*G0_0_0_5_4 - 0.0455886970172761*G0_0_0_5_5 + 0.0570201227344181*G0_0_0_5_6 - 0.00142143570715025*G0_0_0_5_7 - 0.0014128728414445*G0_0_0_5_8 + 0.0172969887255631*G0_0_0_5_9 - 0.0145857317285914*G0_0_0_6_0 - 0.0104895104895123*G0_0_0_6_1 - 0.0708447108447227*G0_0_0_6_2 + 0.0429427715142072*G0_0_0_6_3 - 0.0759183673469515*G0_0_0_6_4 + 0.0570201227344181*G0_0_0_6_5 - 0.29331240188388*G0_0_0_6_6 + 0.00283430854859473*G0_0_0_6_7 + 0.0187954902240648*G0_0_0_6_8 - 0.0656771799629052*G0_0_0_6_9 + 0.00190095618667079*G0_0_0_7_0 + 0.00192030192030225*G0_0_0_7_1 + 0.00287997716569192*G0_0_0_7_2 - 0.00749250749250872*G0_0_0_7_3 + 0.000693592122163655*G0_0_0_7_4 - 0.00142143570715025*G0_0_0_7_5 + 0.00283430854859473*G0_0_0_7_6 - 0.000685029256458069*G0_0_0_7_7 + 0.00869130869131019*G0_0_0_7_8 + 0.0088026259454846*G0_0_0_7_9 - 0.00192664478378797*G0_0_0_8_0 + 0.00295260295260343*G0_0_0_8_1 - 0.00586556300842114*G0_0_0_8_2 - 0.0215784215784252*G0_0_0_8_3 + 0.0290709290709339*G0_0_0_8_4 - 0.0014128728414445*G0_0_0_8_5 + 0.0187954902240648*G0_0_0_8_6 + 0.00869130869131019*G0_0_0_8_7 - 0.0659340659340768*G0_0_0_8_8 - 0.023976023976028*G0_0_0_8_9 - 0.00482374768089139*G0_0_0_9_0 - 0.0113886113886133*G0_0_0_9_1 - 0.00673612102183642*G0_0_0_9_2 + 0.0491508491508573*G0_0_0_9_3 - 0.0457428285999791*G0_0_0_9_4 + 0.0172969887255631*G0_0_0_9_5 - 0.0656771799629052*G0_0_0_9_6 + 0.0088026259454846*G0_0_0_9_7 - 0.023976023976028*G0_0_0_9_8 - 0.110152704438438*G0_0_0_9_9 + 0.00255659684231161*G0_0_1_0_0 + 0.00504261170927931*G0_0_1_0_1 + 0.00031886984267942*G0_0_1_0_2 + 0.0262382062382108*G0_0_1_0_3 - 0.0019849991278566*G0_0_1_0_4 - 0.00316064887493513*G0_0_1_0_5 - 0.000746872175443724*G0_0_1_0_6 - 0.00676466390752223*G0_0_1_0_7 + 0.00941058941059104*G0_0_1_0_8 + 0.0195632938490114*G0_0_1_0_9 + 0.00504261170927931*G0_0_1_1_0 + 0.196588596588631*G0_0_1_1_1 + 0.00603519936853374*G0_0_1_1_2 + 0.0391164391164461*G0_0_1_1_3 - 0.0287490287490337*G0_0_1_1_4 + 0.00192918192918218*G0_0_1_1_5 - 0.000574980574980651*G0_0_1_1_6 - 0.0241314241314285*G0_0_1_1_7 + 0.0565212565212666*G0_0_1_1_8 - 0.0101232101232117*G0_0_1_1_9 + 0.00031886984267942*G0_0_1_2_0 + 0.00603519936853374*G0_0_1_2_1 - 0.00360133693467079*G0_0_1_2_2 + 0.00894882894883042*G0_0_1_2_3 - 0.00805607091321513*G0_0_1_2_4 + 0.00137925566497017*G0_0_1_2_5 - 0.00490874205159999*G0_0_1_2_6 - 0.00297448583162919*G0_0_1_2_7 + 0.000823620823620973*G0_0_1_2_8 + 0.00427952999381641*G0_0_1_2_9 + 0.0262382062382108*G0_0_1_3_0 + 0.0391164391164461*G0_0_1_3_1 + 0.00894882894883042*G0_0_1_3_2 + 0.491108891108975*G0_0_1_3_3 - 0.0304295704295754*G0_0_1_3_4 - 0.0388211788211853*G0_0_1_3_5 - 0.00513486513486598*G0_0_1_3_6 - 0.0855744255744401*G0_0_1_3_7 + 0.0949050949051111*G0_0_1_3_8 + 0.201518481518516*G0_0_1_3_9 - 0.0019849991278566*G0_0_1_4_0 - 0.0287490287490337*G0_0_1_4_1 - 0.00805607091321513*G0_0_1_4_2 - 0.0304295704295754*G0_0_1_4_3 + 0.0551048951049044*G0_0_1_4_4 - 0.000904809476238214*G0_0_1_4_5 + 0.0060396746111042*G0_0_1_4_6 + 0.0108691308691327*G0_0_1_4_7 - 0.00933066933067095*G0_0_1_4_8 - 0.0110289710289728*G0_0_1_4_9 - 0.00316064887493513*G0_0_1_5_0 + 0.00192918192918218*G0_0_1_5_1 + 0.00137925566497017*G0_0_1_5_2 - 0.0388211788211853*G0_0_1_5_3 - 0.000904809476238215*G0_0_1_5_4 + 0.00041672613101172*G0_0_1_5_5 + 0.00131582703011293*G0_0_1_5_6 + 0.0105837020122752*G0_0_1_5_7 - 0.0126473526473548*G0_0_1_5_8 - 0.0333951762523247*G0_0_1_5_9 - 0.000746872175443724*G0_0_1_6_0 - 0.000574980574980651*G0_0_1_6_1 - 0.00490874205159999*G0_0_1_6_2 - 0.00513486513486598*G0_0_1_6_3 + 0.0060396746111042*G0_0_1_6_4 + 0.00131582703011293*G0_0_1_6_5 - 0.0164349935778536*G0_0_1_6_6 + 0.00206365063507954*G0_0_1_6_7 + 0.00305694305694356*G0_0_1_6_8 - 0.00256885971171726*G0_0_1_6_9 - 0.00676466390752223*G0_0_1_7_0 - 0.0241314241314285*G0_0_1_7_1 - 0.00297448583162919*G0_0_1_7_2 - 0.0855744255744401*G0_0_1_7_3 + 0.0108691308691327*G0_0_1_7_4 + 0.0105837020122752*G0_0_1_7_5 + 0.00206365063507954*G0_0_1_7_6 + 0.0173826173826204*G0_0_1_7_7 - 0.0341058941059*G0_0_1_7_8 - 0.0628171828171934*G0_0_1_7_9 + 0.00941058941059104*G0_0_1_8_0 + 0.0565212565212666*G0_0_1_8_1 + 0.000823620823620973*G0_0_1_8_2 + 0.0949050949051111*G0_0_1_8_3 - 0.00933066933067095*G0_0_1_8_4 - 0.0126473526473548*G0_0_1_8_5 + 0.00305694305694356*G0_0_1_8_6 - 0.0341058941059*G0_0_1_8_7 - 0.11148851148853*G0_0_1_8_8 + 0.0490309690309772*G0_0_1_8_9 + 0.0195632938490114*G0_0_1_9_0 - 0.0101232101232117*G0_0_1_9_1 + 0.00427952999381641*G0_0_1_9_2 + 0.201518481518516*G0_0_1_9_3 - 0.0110289710289728*G0_0_1_9_4 - 0.0333951762523247*G0_0_1_9_5 - 0.00256885971171726*G0_0_1_9_6 - 0.0628171828171934*G0_0_1_9_7 + 0.0490309690309772*G0_0_1_9_8 + 0.20571428571432*G0_0_1_9_9;
    A[34] = -A[37] - 0.00151284341760561*G0_1_0_0_0 - 0.00231632564965937*G0_1_0_0_2 - 0.000520431949003474*G0_1_0_0_3 + 0.000449550449550548*G0_1_0_0_4 + 0.00243106100248998*G0_1_0_0_5 - 0.00889332889333042*G0_1_0_0_6 - 0.000586873444016425*G0_1_0_0_7 + 0.000544851973423507*G0_1_0_0_8 - 0.00207601921887671*G0_1_0_0_9 + 0.0015128434176056*G0_1_0_1_1 + 0.00231632564965938*G0_1_0_1_2 - 0.00243106100248999*G0_1_0_1_3 + 0.00889332889333042*G0_1_0_1_4 + 0.000520431949003468*G0_1_0_1_5 - 0.000449550449550528*G0_1_0_1_6 - 0.000544851973423503*G0_1_0_1_7 + 0.000586873444016414*G0_1_0_1_8 + 0.00207601921887672*G0_1_0_1_9 - 0.00231632564965937*G0_1_0_2_0 + 0.00231632564965939*G0_1_0_2_1 - 0.011899211899214*G0_1_0_2_3 + 0.0381840381840448*G0_1_0_2_4 + 0.0118992118992139*G0_1_0_2_5 - 0.0381840381840446*G0_1_0_2_6 - 0.000502830502830593*G0_1_0_2_7 + 0.000502830502830584*G0_1_0_2_8 - 0.000520431949003474*G0_1_0_3_0 - 0.00243106100248999*G0_1_0_3_1 - 0.011899211899214*G0_1_0_3_2 + 0.00755244755244891*G0_1_0_3_3 - 0.0445054945055021*G0_1_0_3_4 + 0.00134865134865151*G0_1_0_3_6 + 0.00156129584701039*G0_1_0_3_7 - 0.00935064935065094*G0_1_0_3_9 + 0.000449550449550548*G0_1_0_4_0 + 0.00889332889333043*G0_1_0_4_1 + 0.0381840381840448*G0_1_0_4_2 - 0.0445054945055021*G0_1_0_4_3 + 0.0998001998002171*G0_1_0_4_4 - 0.00134865134865162*G0_1_0_4_5 - 0.00150849150849177*G0_1_0_4_8 + 0.00269730269730319*G0_1_0_4_9 + 0.00243106100248998*G0_1_0_5_0 + 0.000520431949003468*G0_1_0_5_1 + 0.0118992118992139*G0_1_0_5_2 - 0.00134865134865162*G0_1_0_5_4 - 0.0075524475524488*G0_1_0_5_5 + 0.0445054945055021*G0_1_0_5_6 - 0.00156129584701039*G0_1_0_5_8 + 0.00935064935065092*G0_1_0_5_9 - 0.00889332889333042*G0_1_0_6_0 - 0.000449550449550528*G0_1_0_6_1 - 0.0381840381840446*G0_1_0_6_2 + 0.00134865134865151*G0_1_0_6_3 + 0.0445054945055021*G0_1_0_6_5 - 0.0998001998002167*G0_1_0_6_6 + 0.00150849150849177*G0_1_0_6_7 - 0.00269730269730307*G0_1_0_6_9 - 0.000586873444016425*G0_1_0_7_0 - 0.000544851973423503*G0_1_0_7_1 - 0.000502830502830593*G0_1_0_7_2 + 0.00156129584701039*G0_1_0_7_3 + 0.00150849150849177*G0_1_0_7_6 - 0.00235478806907428*G0_1_0_7_7 + 0.00321107463964659*G0_1_0_7_9 + 0.000544851973423507*G0_1_0_8_0 + 0.000586873444016414*G0_1_0_8_1 + 0.000502830502830584*G0_1_0_8_2 - 0.00150849150849177*G0_1_0_8_4 - 0.00156129584701039*G0_1_0_8_5 + 0.00235478806907419*G0_1_0_8_8 - 0.00321107463964662*G0_1_0_8_9 - 0.00207601921887671*G0_1_0_9_0 + 0.00207601921887672*G0_1_0_9_1 - 0.00935064935065094*G0_1_0_9_3 + 0.00269730269730319*G0_1_0_9_4 + 0.00935064935065092*G0_1_0_9_5 - 0.00269730269730307*G0_1_0_9_6 + 0.00321107463964659*G0_1_0_9_7 - 0.00321107463964662*G0_1_0_9_8 + 0.016702406940505*G0_1_1_0_0 + 0.00242005128909933*G0_1_1_0_1 + 0.00303250761584147*G0_1_1_0_2 + 0.00091965574108446*G0_1_1_0_3 + 0.000175399996828614*G0_1_1_0_4 + 0.00550691372120036*G0_1_1_0_5 - 0.00495048602191544*G0_1_1_0_6 + 0.0106597767312071*G0_1_1_0_7 - 0.00285337678194867*G0_1_1_0_8 + 0.000553256267542094*G0_1_1_0_9 + 0.00242005128909933*G0_1_1_1_0 + 0.0182152503581108*G0_1_1_1_1 + 0.00534883326550085*G0_1_1_1_2 + 0.00307585271871043*G0_1_1_1_3 + 0.00394284287141496*G0_1_1_1_4 + 0.00144008769008792*G0_1_1_1_5 - 0.000274150452721921*G0_1_1_1_6 - 0.00339822875537224*G0_1_1_1_7 + 0.0112466501752236*G0_1_1_1_8 + 0.00262927548641881*G0_1_1_1_9 + 0.00303250761584147*G0_1_1_2_0 + 0.00534883326550085*G0_1_1_2_1 + 0.110111801778487*G0_1_1_2_2 - 0.0202702852702887*G0_1_1_2_3 + 0.0522463647463736*G0_1_1_2_4 - 0.00837107337107476*G0_1_1_2_5 + 0.0140623265623289*G0_1_1_2_6 + 0.00072080697080709*G0_1_1_2_7 + 0.00122363747363769*G0_1_1_2_8 + 0.00402430902430969*G0_1_1_2_9 + 0.00091965574108446*G0_1_1_3_0 + 0.00307585271871043*G0_1_1_3_1 - 0.0202702852702887*G0_1_1_3_2 + 0.0315513058370256*G0_1_1_3_3 - 0.0392470029970097*G0_1_1_3_4 - 0.00173790495219095*G0_1_1_3_5 - 0.00278096903096951*G0_1_1_3_6 - 0.00636238761238871*G0_1_1_3_7 + 0.013636720422437*G0_1_1_3_8 + 0.00483694876552099*G0_1_1_3_9 + 0.000175399996828614*G0_1_1_4_0 + 0.00394284287141496*G0_1_1_4_1 + 0.0522463647463736*G0_1_1_4_2 - 0.0392470029970097*G0_1_1_4_3 + 0.0674275724275841*G0_1_1_4_4 - 0.00412962037962109*G0_1_1_4_5 + 0.00691058941059061*G0_1_1_4_6 + 0.000457399743114114*G0_1_1_4_7 - 0.00727433281004833*G0_1_1_4_8 - 0.0038136863136869*G0_1_1_4_9 + 0.00550691372120036*G0_1_1_5_0 + 0.00144008769008792*G0_1_1_5_1 - 0.00837107337107476*G0_1_1_5_2 - 0.00173790495219095*G0_1_1_5_3 - 0.00412962037962109*G0_1_1_5_4 + 0.0239988582845765*G0_1_1_5_5 + 0.00525849150849248*G0_1_1_5_6 + 0.0136895247609556*G0_1_1_5_7 - 0.00792368345939906*G0_1_1_5_8 + 0.0141875981161719*G0_1_1_5_9 - 0.00495048602191544*G0_1_1_6_0 - 0.000274150452721921*G0_1_1_6_1 + 0.0140623265623289*G0_1_1_6_2 - 0.00278096903096951*G0_1_1_6_3 + 0.00691058941059061*G0_1_1_6_4 + 0.00525849150849248*G0_1_1_6_5 - 0.0323726273726329*G0_1_1_6_6 - 0.00576584130155654*G0_1_1_6_7 + 0.000377479663194004*G0_1_1_6_8 - 0.00651098901099003*G0_1_1_6_9 + 0.0106597767312071*G0_1_1_7_0 - 0.00339822875537224*G0_1_1_7_1 + 0.00072080697080709*G0_1_1_7_2 - 0.00636238761238871*G0_1_1_7_3 + 0.000457399743114114*G0_1_1_7_4 + 0.0136895247609556*G0_1_1_7_5 - 0.00576584130155654*G0_1_1_7_6 + 0.0589481946624903*G0_1_1_7_7 - 0.0206249108034858*G0_1_1_7_8 + 0.00987191380048687*G0_1_1_7_9 - 0.00285337678194867*G0_1_1_8_0 + 0.0112466501752236*G0_1_1_8_1 + 0.00122363747363769*G0_1_1_8_2 + 0.013636720422437*G0_1_1_8_3 - 0.00727433281004833*G0_1_1_8_4 - 0.00792368345939906*G0_1_1_8_5 + 0.000377479663194005*G0_1_1_8_6 - 0.0206249108034858*G0_1_1_8_7 + 0.0613029827315647*G0_1_1_8_8 + 0.00666083916084028*G0_1_1_8_9 + 0.000553256267542095*G0_1_1_9_0 + 0.00262927548641881*G0_1_1_9_1 + 0.00402430902430969*G0_1_1_9_2 + 0.00483694876552099*G0_1_1_9_3 - 0.0038136863136869*G0_1_1_9_4 + 0.0141875981161719*G0_1_1_9_5 - 0.00651098901099003*G0_1_1_9_6 + 0.00987191380048687*G0_1_1_9_7 + 0.00666083916084028*G0_1_1_9_8 + 0.0485129156557809*G0_1_1_9_9;
    A[124] = -A[79] + 0.00255659684231164*G0_1_0_0_0 + 0.000318869842679434*G0_1_0_0_1 + 0.00504261170927922*G0_1_0_0_2 - 0.00198499912785659*G0_1_0_0_3 + 0.0262382062382107*G0_1_0_0_4 - 0.00676466390752218*G0_1_0_0_5 + 0.00941058941059096*G0_1_0_0_6 - 0.00316064887493507*G0_1_0_0_7 - 0.000746872175443755*G0_1_0_0_8 + 0.0195632938490115*G0_1_0_0_9 + 0.000318869842679434*G0_1_0_1_0 - 0.00360133693467081*G0_1_0_1_1 + 0.00603519936853371*G0_1_0_1_2 - 0.0080560709132151*G0_1_0_1_3 + 0.00894882894883049*G0_1_0_1_4 - 0.00297448583162919*G0_1_0_1_5 + 0.000823620823620947*G0_1_0_1_6 + 0.00137925566497017*G0_1_0_1_7 - 0.00490874205159998*G0_1_0_1_8 + 0.00427952999381645*G0_1_0_1_9 + 0.00504261170927922*G0_1_0_2_0 + 0.00603519936853371*G0_1_0_2_1 + 0.196588596588629*G0_1_0_2_2 - 0.0287490287490334*G0_1_0_2_3 + 0.0391164391164455*G0_1_0_2_4 - 0.024131424131428*G0_1_0_2_5 + 0.0565212565212658*G0_1_0_2_6 + 0.00192918192918227*G0_1_0_2_7 - 0.000574980574980646*G0_1_0_2_8 - 0.0101232101232119*G0_1_0_2_9 - 0.00198499912785659*G0_1_0_3_0 - 0.0080560709132151*G0_1_0_3_1 - 0.0287490287490334*G0_1_0_3_2 + 0.0551048951049044*G0_1_0_3_3 - 0.0304295704295755*G0_1_0_3_4 + 0.0108691308691327*G0_1_0_3_5 - 0.00933066933067087*G0_1_0_3_6 - 0.000904809476238232*G0_1_0_3_7 + 0.00603967461110426*G0_1_0_3_8 - 0.0110289710289728*G0_1_0_3_9 + 0.0262382062382107*G0_1_0_4_0 + 0.00894882894883048*G0_1_0_4_1 + 0.0391164391164455*G0_1_0_4_2 - 0.0304295704295755*G0_1_0_4_3 + 0.491108891108974*G0_1_0_4_4 - 0.08557442557444*G0_1_0_4_5 + 0.0949050949051109*G0_1_0_4_6 - 0.0388211788211854*G0_1_0_4_7 - 0.00513486513486604*G0_1_0_4_8 + 0.201518481518515*G0_1_0_4_9 - 0.00676466390752218*G0_1_0_5_0 - 0.00297448583162919*G0_1_0_5_1 - 0.024131424131428*G0_1_0_5_2 + 0.0108691308691327*G0_1_0_5_3 - 0.08557442557444*G0_1_0_5_4 + 0.0173826173826203*G0_1_0_5_5 - 0.0341058941058997*G0_1_0_5_6 + 0.0105837020122753*G0_1_0_5_7 + 0.00206365063507955*G0_1_0_5_8 - 0.0628171828171934*G0_1_0_5_9 + 0.00941058941059096*G0_1_0_6_0 + 0.000823620823620947*G0_1_0_6_1 + 0.0565212565212658*G0_1_0_6_2 - 0.00933066933067086*G0_1_0_6_3 + 0.0949050949051109*G0_1_0_6_4 - 0.0341058941058997*G0_1_0_6_5 - 0.111488511488531*G0_1_0_6_6 - 0.0126473526473548*G0_1_0_6_7 + 0.00305694305694355*G0_1_0_6_8 + 0.0490309690309774*G0_1_0_6_9 - 0.00316064887493507*G0_1_0_7_0 + 0.00137925566497017*G0_1_0_7_1 + 0.00192918192918227*G0_1_0_7_2 - 0.000904809476238232*G0_1_0_7_3 - 0.0388211788211854*G0_1_0_7_4 + 0.0105837020122753*G0_1_0_7_5 - 0.0126473526473548*G0_1_0_7_6 + 0.000416726131012351*G0_1_0_7_7 + 0.00131582703011289*G0_1_0_7_8 - 0.0333951762523247*G0_1_0_7_9 - 0.000746872175443755*G0_1_0_8_0 - 0.00490874205159998*G0_1_0_8_1 - 0.000574980574980646*G0_1_0_8_2 + 0.00603967461110426*G0_1_0_8_3 - 0.00513486513486604*G0_1_0_8_4 + 0.00206365063507955*G0_1_0_8_5 + 0.00305694305694355*G0_1_0_8_6 + 0.00131582703011289*G0_1_0_8_7 - 0.0164349935778531*G0_1_0_8_8 - 0.00256885971171724*G0_1_0_8_9 + 0.0195632938490115*G0_1_0_9_0 + 0.00427952999381645*G0_1_0_9_1 - 0.0101232101232119*G0_1_0_9_2 - 0.0110289710289728*G0_1_0_9_3 + 0.201518481518515*G0_1_0_9_4 - 0.0628171828171934*G0_1_0_9_5 + 0.0490309690309773*G0_1_0_9_6 - 0.0333951762523247*G0_1_0_9_7 - 0.00256885971171724*G0_1_0_9_8 + 0.205714285714321*G0_1_0_9_9 - 0.000348434634148923*G0_1_1_0_0 - 0.00707077754696928*G0_1_1_0_1 - 0.00117043450376804*G0_1_1_0_2 - 0.00716711859569126*G0_1_1_0_3 + 0.00632224917939315*G0_1_1_0_4 + 0.00190095618667082*G0_1_1_0_5 - 0.00192664478378798*G0_1_1_0_6 + 0.00969379826522854*G0_1_1_0_7 - 0.0145857317285914*G0_1_1_0_8 - 0.00482374768089135*G0_1_1_0_9 - 0.00707077754696928*G0_1_1_1_0 - 0.0961024161024332*G0_1_1_1_1 - 0.00173036839703538*G0_1_1_1_2 - 0.0294105894105946*G0_1_1_1_3 + 0.0055658627087209*G0_1_1_1_4 + 0.00287997716569199*G0_1_1_1_5 - 0.00586556300842118*G0_1_1_1_6 + 0.0330761302189932*G0_1_1_1_7 - 0.0708447108447233*G0_1_1_1_8 - 0.00673612102183651*G0_1_1_1_9 - 0.00117043450376804*G0_1_1_2_0 - 0.00173036839703538*G0_1_1_2_1 + 0.0139514806181494*G0_1_1_2_2 - 0.0162393162393189*G0_1_1_2_3 + 0.000710400710400738*G0_1_1_2_4 + 0.00192030192030229*G0_1_1_2_5 + 0.00295260295260338*G0_1_1_2_6 + 0.00429570429570503*G0_1_1_2_7 - 0.0104895104895122*G0_1_1_2_8 - 0.0113886113886133*G0_1_1_2_9 - 0.00716711859569126*G0_1_1_3_0 - 0.0294105894105946*G0_1_1_3_1 - 0.0162393162393189*G0_1_1_3_2 - 0.140345368916822*G0_1_1_3_3 + 0.0878121878122027*G0_1_1_3_4 + 0.000693592122163667*G0_1_1_3_5 + 0.029070929070934*G0_1_1_3_6 + 0.0329755958327443*G0_1_1_3_7 - 0.0759183673469517*G0_1_1_3_8 - 0.0457428285999792*G0_1_1_3_9 + 0.00632224917939315*G0_1_1_4_0 + 0.0055658627087209*G0_1_1_4_1 + 0.000710400710400738*G0_1_1_4_2 + 0.0878121878122027*G0_1_1_4_3 + 0.0683316683316803*G0_1_1_4_4 - 0.00749250749250881*G0_1_1_4_5 - 0.0215784215784252*G0_1_1_4_6 - 0.0216640502354825*G0_1_1_4_7 + 0.0429427715142073*G0_1_1_4_8 + 0.0491508491508576*G0_1_1_4_9 + 0.00190095618667082*G0_1_1_5_0 + 0.00287997716569199*G0_1_1_5_1 + 0.00192030192030229*G0_1_1_5_2 + 0.000693592122163669*G0_1_1_5_3 - 0.00749250749250882*G0_1_1_5_4 - 0.000685029256457868*G0_1_1_5_5 + 0.00869130869131011*G0_1_1_5_6 - 0.00142143570715018*G0_1_1_5_7 + 0.00283430854859477*G0_1_1_5_8 + 0.00880262594548458*G0_1_1_5_9 - 0.00192664478378798*G0_1_1_6_0 - 0.00586556300842118*G0_1_1_6_1 + 0.00295260295260338*G0_1_1_6_2 + 0.029070929070934*G0_1_1_6_3 - 0.0215784215784252*G0_1_1_6_4 + 0.00869130869131011*G0_1_1_6_5 - 0.0659340659340773*G0_1_1_6_6 - 0.00141287284144455*G0_1_1_6_7 + 0.0187954902240648*G0_1_1_6_8 - 0.0239760239760281*G0_1_1_6_9 + 0.00969379826522854*G0_1_1_7_0 + 0.0330761302189932*G0_1_1_7_1 + 0.00429570429570503*G0_1_1_7_2 + 0.0329755958327443*G0_1_1_7_3 - 0.0216640502354825*G0_1_1_7_4 - 0.00142143570715018*G0_1_1_7_5 - 0.00141287284144455*G0_1_1_7_6 - 0.0455886970172759*G0_1_1_7_7 + 0.0570201227344183*G0_1_1_7_8 + 0.0172969887255631*G0_1_1_7_9 - 0.0145857317285915*G0_1_1_8_0 - 0.0708447108447233*G0_1_1_8_1 - 0.0104895104895122*G0_1_1_8_2 - 0.0759183673469517*G0_1_1_8_3 + 0.0429427715142073*G0_1_1_8_4 + 0.00283430854859477*G0_1_1_8_5 + 0.0187954902240648*G0_1_1_8_6 + 0.0570201227344183*G0_1_1_8_7 - 0.29331240188388*G0_1_1_8_8 - 0.0656771799629053*G0_1_1_8_9 - 0.00482374768089135*G0_1_1_9_0 - 0.00673612102183651*G0_1_1_9_1 - 0.0113886113886133*G0_1_1_9_2 - 0.0457428285999792*G0_1_1_9_3 + 0.0491508491508576*G0_1_1_9_4 + 0.00880262594548457*G0_1_1_9_5 - 0.0239760239760281*G0_1_1_9_6 + 0.0172969887255631*G0_1_1_9_7 - 0.0656771799629053*G0_1_1_9_8 - 0.110152704438437*G0_1_1_9_9;
    A[67] = A[109] - 0.0014134014134018*G0_0_1_0_0 + 0.00025717668574813*G0_0_1_0_1 - 0.000920005920006065*G0_0_1_0_2 - 0.00175800390086137*G0_0_1_0_3 + 0.00128752200180795*G0_0_1_0_4 + 0.00104514533085976*G0_0_1_0_5 + 0.00583535512107047*G0_0_1_0_6 + 0.000609866324152031*G0_0_1_0_7 - 0.000452642595499788*G0_0_1_0_8 - 0.00381761096046879*G0_0_1_0_9 + 0.00025717668574813*G0_0_1_1_0 - 0.00141340141340196*G0_0_1_1_1 - 0.000920005920006068*G0_0_1_1_2 + 0.00104514533085971*G0_0_1_1_3 + 0.00583535512107047*G0_0_1_1_4 - 0.00175800390086135*G0_0_1_1_5 + 0.00128752200180794*G0_0_1_1_6 - 0.000452642595499751*G0_0_1_1_7 + 0.000609866324151956*G0_0_1_1_8 - 0.00381761096046879*G0_0_1_1_9 - 0.000920005920006065*G0_0_1_2_0 - 0.000920005920006068*G0_0_1_2_1 - 0.119010619010639*G0_0_1_2_2 + 0.00475191475191543*G0_0_1_2_3 + 0.000166500166500442*G0_0_1_2_4 + 0.00475191475191544*G0_0_1_2_5 + 0.000166500166500444*G0_0_1_2_6 - 0.00113719613719634*G0_0_1_2_7 - 0.00113719613719635*G0_0_1_2_8 + 0.0115084915084935*G0_0_1_2_9 - 0.00175800390086137*G0_0_1_3_0 + 0.00104514533085971*G0_0_1_3_1 + 0.00475191475191543*G0_0_1_3_2 - 0.0131482802911401*G0_0_1_3_3 - 0.0348101898101957*G0_0_1_3_4 + 0.00624232909947304*G0_0_1_3_5 - 0.00579920079920171*G0_0_1_3_6 + 0.00333737690880611*G0_0_1_3_7 - 0.00481233052661718*G0_0_1_3_8 + 0.0047780790637941*G0_0_1_3_9 + 0.00128752200180795*G0_0_1_4_0 + 0.00583535512107047*G0_0_1_4_1 + 0.000166500166500438*G0_0_1_4_2 - 0.0348101898101957*G0_0_1_4_3 + 0.188751248751281*G0_0_1_4_4 - 0.00579920079920175*G0_0_1_4_5 + 0.0115984015984035*G0_0_1_4_6 + 0.000742828599971606*G0_0_1_4_7 + 0.00147495361781106*G0_0_1_4_8 - 0.022927072927077*G0_0_1_4_9 + 0.00104514533085976*G0_0_1_5_0 - 0.00175800390086135*G0_0_1_5_1 + 0.00475191475191544*G0_0_1_5_2 + 0.00624232909947304*G0_0_1_5_3 - 0.00579920079920175*G0_0_1_5_4 - 0.0131482802911397*G0_0_1_5_5 - 0.0348101898101958*G0_0_1_5_6 - 0.00481233052661713*G0_0_1_5_7 + 0.00333737690880607*G0_0_1_5_8 + 0.00477807906379418*G0_0_1_5_9 + 0.00583535512107047*G0_0_1_6_0 + 0.00128752200180794*G0_0_1_6_1 + 0.000166500166500451*G0_0_1_6_2 - 0.00579920079920171*G0_0_1_6_3 + 0.0115984015984035*G0_0_1_6_4 - 0.0348101898101958*G0_0_1_6_5 + 0.188751248751281*G0_0_1_6_6 + 0.00147495361781107*G0_0_1_6_7 + 0.000742828599971645*G0_0_1_6_8 - 0.0229270729270771*G0_0_1_6_9 + 0.000609866324152031*G0_0_1_7_0 - 0.000452642595499751*G0_0_1_7_1 - 0.00113719613719634*G0_0_1_7_2 + 0.00333737690880611*G0_0_1_7_3 + 0.000742828599971606*G0_0_1_7_4 - 0.00481233052661713*G0_0_1_7_5 + 0.00147495361781107*G0_0_1_7_6 + 0.00149422006564836*G0_0_1_7_7 + 0.0023612102183537*G0_0_1_7_8 + 0.00850292564578421*G0_0_1_7_9 - 0.000452642595499788*G0_0_1_8_0 + 0.000609866324151956*G0_0_1_8_1 - 0.00113719613719635*G0_0_1_8_2 - 0.00481233052661718*G0_0_1_8_3 + 0.00147495361781106*G0_0_1_8_4 + 0.00333737690880607*G0_0_1_8_5 + 0.000742828599971645*G0_0_1_8_6 + 0.0023612102183537*G0_0_1_8_7 + 0.00149422006564841*G0_0_1_8_8 + 0.00850292564578423*G0_0_1_8_9 - 0.00381761096046879*G0_0_1_9_0 - 0.00381761096046879*G0_0_1_9_1 + 0.0115084915084935*G0_0_1_9_2 + 0.0047780790637941*G0_0_1_9_3 - 0.022927072927077*G0_0_1_9_4 + 0.00477807906379418*G0_0_1_9_5 - 0.0229270729270771*G0_0_1_9_6 + 0.00850292564578421*G0_0_1_9_7 + 0.00850292564578423*G0_0_1_9_8 - 0.120685029256479*G0_0_1_9_9 + 0.0014134014134018*G0_1_0_0_0 - 0.00025717668574813*G0_1_0_0_1 + 0.000920005920006065*G0_1_0_0_2 + 0.00175800390086137*G0_1_0_0_3 - 0.00128752200180795*G0_1_0_0_4 - 0.00104514533085976*G0_1_0_0_5 - 0.00583535512107047*G0_1_0_0_6 - 0.000609866324152031*G0_1_0_0_7 + 0.000452642595499788*G0_1_0_0_8 + 0.00381761096046879*G0_1_0_0_9 - 0.00025717668574813*G0_1_0_1_0 + 0.00141340141340196*G0_1_0_1_1 + 0.000920005920006068*G0_1_0_1_2 - 0.00104514533085971*G0_1_0_1_3 - 0.00583535512107047*G0_1_0_1_4 + 0.00175800390086135*G0_1_0_1_5 - 0.00128752200180794*G0_1_0_1_6 + 0.000452642595499751*G0_1_0_1_7 - 0.000609866324151956*G0_1_0_1_8 + 0.00381761096046879*G0_1_0_1_9 + 0.000920005920006065*G0_1_0_2_0 + 0.000920005920006068*G0_1_0_2_1 + 0.119010619010639*G0_1_0_2_2 - 0.00475191475191543*G0_1_0_2_3 - 0.000166500166500438*G0_1_0_2_4 - 0.00475191475191544*G0_1_0_2_5 - 0.000166500166500444*G0_1_0_2_6 + 0.00113719613719634*G0_1_0_2_7 + 0.00113719613719635*G0_1_0_2_8 - 0.0115084915084935*G0_1_0_2_9 + 0.00175800390086137*G0_1_0_3_0 - 0.00104514533085971*G0_1_0_3_1 - 0.00475191475191543*G0_1_0_3_2 + 0.0131482802911401*G0_1_0_3_3 + 0.0348101898101957*G0_1_0_3_4 - 0.00624232909947304*G0_1_0_3_5 + 0.00579920079920172*G0_1_0_3_6 - 0.00333737690880611*G0_1_0_3_7 + 0.00481233052661718*G0_1_0_3_8 - 0.0047780790637941*G0_1_0_3_9 - 0.00128752200180795*G0_1_0_4_0 - 0.00583535512107047*G0_1_0_4_1 - 0.000166500166500438*G0_1_0_4_2 + 0.0348101898101957*G0_1_0_4_3 - 0.188751248751281*G0_1_0_4_4 + 0.00579920079920175*G0_1_0_4_5 - 0.0115984015984035*G0_1_0_4_6 - 0.000742828599971606*G0_1_0_4_7 - 0.00147495361781106*G0_1_0_4_8 + 0.022927072927077*G0_1_0_4_9 - 0.00104514533085976*G0_1_0_5_0 + 0.00175800390086135*G0_1_0_5_1 - 0.00475191475191544*G0_1_0_5_2 - 0.00624232909947303*G0_1_0_5_3 + 0.00579920079920175*G0_1_0_5_4 + 0.0131482802911397*G0_1_0_5_5 + 0.0348101898101958*G0_1_0_5_6 + 0.00481233052661713*G0_1_0_5_7 - 0.00333737690880607*G0_1_0_5_8 - 0.00477807906379418*G0_1_0_5_9 - 0.00583535512107047*G0_1_0_6_0 - 0.00128752200180794*G0_1_0_6_1 - 0.000166500166500451*G0_1_0_6_2 + 0.00579920079920171*G0_1_0_6_3 - 0.0115984015984035*G0_1_0_6_4 + 0.0348101898101958*G0_1_0_6_5 - 0.188751248751281*G0_1_0_6_6 - 0.00147495361781107*G0_1_0_6_7 - 0.000742828599971645*G0_1_0_6_8 + 0.0229270729270771*G0_1_0_6_9 - 0.000609866324152031*G0_1_0_7_0 + 0.000452642595499751*G0_1_0_7_1 + 0.00113719613719634*G0_1_0_7_2 - 0.00333737690880611*G0_1_0_7_3 - 0.000742828599971605*G0_1_0_7_4 + 0.00481233052661713*G0_1_0_7_5 - 0.00147495361781107*G0_1_0_7_6 - 0.00149422006564836*G0_1_0_7_7 - 0.0023612102183537*G0_1_0_7_8 - 0.00850292564578421*G0_1_0_7_9 + 0.000452642595499788*G0_1_0_8_0 - 0.000609866324151956*G0_1_0_8_1 + 0.00113719613719635*G0_1_0_8_2 + 0.00481233052661718*G0_1_0_8_3 - 0.00147495361781106*G0_1_0_8_4 - 0.00333737690880607*G0_1_0_8_5 - 0.000742828599971644*G0_1_0_8_6 - 0.0023612102183537*G0_1_0_8_7 - 0.00149422006564841*G0_1_0_8_8 - 0.00850292564578423*G0_1_0_8_9 + 0.00381761096046879*G0_1_0_9_0 + 0.00381761096046879*G0_1_0_9_1 - 0.0115084915084935*G0_1_0_9_2 - 0.0047780790637941*G0_1_0_9_3 + 0.022927072927077*G0_1_0_9_4 - 0.00477807906379418*G0_1_0_9_5 + 0.0229270729270771*G0_1_0_9_6 - 0.00850292564578421*G0_1_0_9_7 - 0.00850292564578423*G0_1_0_9_8 + 0.120685029256479*G0_1_0_9_9;
    A[161] = -A[153] - 0.0925010791677621*G0_0_0_0_0 - 0.00776556776556914*G0_0_0_0_1 - 0.00738964738964867*G0_0_0_0_2 - 0.00668918383204207*G0_0_0_0_3 + 0.00585446299732113*G0_0_0_0_4 - 0.0659359687931231*G0_0_0_0_5 + 0.0316968745540229*G0_0_0_0_6 - 0.0213545184973793*G0_0_0_0_7 - 0.00338296624010963*G0_0_0_0_8 - 0.011015651015653*G0_0_0_0_9 - 0.00776556776556914*G0_0_0_1_0 - 0.182637115970481*G0_0_0_1_1 - 0.00621304621304727*G0_0_0_1_2 - 0.0535686535686627*G0_0_0_1_3 + 0.0260517260517305*G0_0_0_1_4 - 0.00991452991453152*G0_0_0_1_5 + 0.00236652236652274*G0_0_0_1_6 + 0.0125097125097148*G0_0_0_1_7 - 0.0384060384060452*G0_0_0_1_8 - 0.00126540126540151*G0_0_0_1_9 - 0.00738964738964867*G0_0_0_2_0 - 0.00621304621304727*G0_0_0_2_1 - 0.00290503147646061*G0_0_0_2_2 - 0.0113372341943789*G0_0_0_2_3 + 0.00866562009419295*G0_0_0_2_4 - 0.0138388595531476*G0_0_0_2_5 + 0.0128544471401636*G0_0_0_2_6 - 0.00518211946783462*G0_0_0_2_7 - 0.0199159570588175*G0_0_0_2_8 - 0.0243870415299028*G0_0_0_2_9 - 0.00668918383204206*G0_0_0_3_0 - 0.0535686535686627*G0_0_0_3_1 - 0.0113372341943789*G0_0_0_3_2 + 0.0455544455544539*G0_0_0_3_3 + 0.0427972027972099*G0_0_0_3_4 + 0.0157385471671212*G0_0_0_3_5 + 0.0112344798059102*G0_0_0_3_6 + 0.0384015984016048*G0_0_0_3_7 - 0.116483516483536*G0_0_0_3_8 - 0.0730069930070051*G0_0_0_3_9 + 0.00585446299732113*G0_0_0_4_0 + 0.0260517260517305*G0_0_0_4_1 + 0.00866562009419294*G0_0_0_4_2 + 0.0427972027972099*G0_0_0_4_3 - 0.0180676466390782*G0_0_0_4_4 + 0.000770657913515211*G0_0_0_4_5 - 0.0120051377194254*G0_0_0_4_6 - 0.010175538746969*G0_0_0_4_7 + 0.0780819180819311*G0_0_0_4_8 + 0.071619808762678*G0_0_0_4_9 - 0.0659359687931231*G0_0_0_5_0 - 0.00991452991453152*G0_0_0_5_1 - 0.0138388595531476*G0_0_0_5_2 + 0.0157385471671212*G0_0_0_5_3 + 0.000770657913515212*G0_0_0_5_4 - 0.276877408306027*G0_0_0_5_5 + 0.0557042957043053*G0_0_0_5_6 - 0.0819580419580557*G0_0_0_5_7 + 0.0480776366490733*G0_0_0_5_8 - 0.0631083202511881*G0_0_0_5_9 + 0.0316968745540229*G0_0_0_6_0 + 0.00236652236652274*G0_0_0_6_1 + 0.0128544471401636*G0_0_0_6_2 + 0.0112344798059102*G0_0_0_6_3 - 0.0120051377194254*G0_0_0_6_4 + 0.0557042957043053*G0_0_0_6_5 - 0.0460054231482881*G0_0_0_6_6 + 0.0338804053089824*G0_0_0_6_7 + 0.0171571285857028*G0_0_0_6_8 + 0.0506921649778878*G0_0_0_6_9 - 0.0213545184973793*G0_0_0_7_0 + 0.0125097125097148*G0_0_0_7_1 - 0.00518211946783463*G0_0_0_7_2 + 0.0384015984016048*G0_0_0_7_3 - 0.010175538746969*G0_0_0_7_4 - 0.0819580419580557*G0_0_0_7_5 + 0.0338804053089824*G0_0_0_7_6 - 0.195450264021725*G0_0_0_7_7 + 0.118241758241778*G0_0_0_7_8 - 0.0347138575710063*G0_0_0_7_9 - 0.00338296624010963*G0_0_0_8_0 - 0.0384060384060452*G0_0_0_8_1 - 0.0199159570588175*G0_0_0_8_2 - 0.116483516483536*G0_0_0_8_3 + 0.0780819180819311*G0_0_0_8_4 + 0.0480776366490733*G0_0_0_8_5 + 0.0171571285857028*G0_0_0_8_6 + 0.118241758241778*G0_0_0_8_7 - 0.422777222777294*G0_0_0_8_8 - 0.152367632367658*G0_0_0_8_9 - 0.011015651015653*G0_0_0_9_0 - 0.00126540126540151*G0_0_0_9_1 - 0.0243870415299028*G0_0_0_9_2 - 0.0730069930070051*G0_0_0_9_3 + 0.071619808762678*G0_0_0_9_4 - 0.0631083202511881*G0_0_0_9_5 + 0.0506921649778878*G0_0_0_9_6 - 0.0347138575710063*G0_0_0_9_7 - 0.152367632367658*G0_0_0_9_8 - 0.315866990152758*G0_0_0_9_9 + 0.00360133693467082*G0_1_0_0_0 - 0.00603519936853378*G0_1_0_0_1 - 0.000318869842679422*G0_1_0_0_2 - 0.000823620823620955*G0_1_0_0_3 + 0.0029744858316292*G0_1_0_0_4 + 0.0049087420516*G0_1_0_0_5 - 0.00137925566497017*G0_1_0_0_6 + 0.00805607091321515*G0_1_0_0_7 - 0.0089488289488305*G0_1_0_0_8 - 0.00427952999381644*G0_1_0_0_9 - 0.00603519936853378*G0_1_0_1_0 - 0.196588596588631*G0_1_0_1_1 - 0.00504261170927923*G0_1_0_1_2 - 0.0565212565212662*G0_1_0_1_3 + 0.0241314241314282*G0_1_0_1_4 + 0.000574980574980733*G0_1_0_1_5 - 0.00192918192918228*G0_1_0_1_6 + 0.0287490287490338*G0_1_0_1_7 - 0.039116439116446*G0_1_0_1_8 + 0.0101232101232118*G0_1_0_1_9 - 0.000318869842679422*G0_1_0_2_0 - 0.00504261170927923*G0_1_0_2_1 - 0.00255659684231155*G0_1_0_2_2 - 0.00941058941059098*G0_1_0_2_3 + 0.00676466390752218*G0_1_0_2_4 + 0.000746872175443716*G0_1_0_2_5 + 0.00316064887493514*G0_1_0_2_6 + 0.0019849991278566*G0_1_0_2_7 - 0.0262382062382106*G0_1_0_2_8 - 0.0195632938490114*G0_1_0_2_9 - 0.000823620823620955*G0_1_0_3_0 - 0.0565212565212662*G0_1_0_3_1 - 0.00941058941059098*G0_1_0_3_2 + 0.111488511488531*G0_1_0_3_3 + 0.0341058941058998*G0_1_0_3_4 - 0.00305694305694354*G0_1_0_3_5 + 0.0126473526473548*G0_1_0_3_6 + 0.00933066933067089*G0_1_0_3_7 - 0.0949050949051108*G0_1_0_3_8 - 0.0490309690309772*G0_1_0_3_9 + 0.0029744858316292*G0_1_0_4_0 + 0.0241314241314282*G0_1_0_4_1 + 0.00676466390752218*G0_1_0_4_2 + 0.0341058941058998*G0_1_0_4_3 - 0.0173826173826203*G0_1_0_4_4 - 0.00206365063507956*G0_1_0_4_5 - 0.0105837020122752*G0_1_0_4_6 - 0.0108691308691327*G0_1_0_4_7 + 0.0855744255744399*G0_1_0_4_8 + 0.0628171828171935*G0_1_0_4_9 + 0.0049087420516*G0_1_0_5_0 + 0.000574980574980734*G0_1_0_5_1 + 0.000746872175443716*G0_1_0_5_2 - 0.00305694305694353*G0_1_0_5_3 - 0.00206365063507956*G0_1_0_5_4 + 0.0164349935778536*G0_1_0_5_5 - 0.00131582703011293*G0_1_0_5_6 - 0.00603967461110423*G0_1_0_5_7 + 0.00513486513486603*G0_1_0_5_8 + 0.00256885971171727*G0_1_0_5_9 - 0.00137925566497017*G0_1_0_6_0 - 0.00192918192918228*G0_1_0_6_1 + 0.00316064887493514*G0_1_0_6_2 + 0.0126473526473548*G0_1_0_6_3 - 0.0105837020122752*G0_1_0_6_4 - 0.00131582703011293*G0_1_0_6_5 - 0.000416726131011697*G0_1_0_6_6 + 0.000904809476238221*G0_1_0_6_7 + 0.0388211788211853*G0_1_0_6_8 + 0.0333951762523248*G0_1_0_6_9 + 0.00805607091321515*G0_1_0_7_0 + 0.0287490287490338*G0_1_0_7_1 + 0.0019849991278566*G0_1_0_7_2 + 0.00933066933067089*G0_1_0_7_3 - 0.0108691308691327*G0_1_0_7_4 - 0.00603967461110423*G0_1_0_7_5 + 0.000904809476238219*G0_1_0_7_6 - 0.0551048951049044*G0_1_0_7_7 + 0.0304295704295755*G0_1_0_7_8 + 0.0110289710289728*G0_1_0_7_9 - 0.0089488289488305*G0_1_0_8_0 - 0.039116439116446*G0_1_0_8_1 - 0.0262382062382106*G0_1_0_8_2 - 0.0949050949051108*G0_1_0_8_3 + 0.0855744255744399*G0_1_0_8_4 + 0.00513486513486603*G0_1_0_8_5 + 0.0388211788211853*G0_1_0_8_6 + 0.0304295704295755*G0_1_0_8_7 - 0.491108891108974*G0_1_0_8_8 - 0.201518481518516*G0_1_0_8_9 - 0.00427952999381644*G0_1_0_9_0 + 0.0101232101232118*G0_1_0_9_1 - 0.0195632938490114*G0_1_0_9_2 - 0.0490309690309772*G0_1_0_9_3 + 0.0628171828171935*G0_1_0_9_4 + 0.00256885971171727*G0_1_0_9_5 + 0.0333951762523248*G0_1_0_9_6 + 0.0110289710289728*G0_1_0_9_7 - 0.201518481518516*G0_1_0_9_8 - 0.205714285714321*G0_1_0_9_9;
    A[96] = A[144] - 0.294322960989679*G0_0_0_0_0 - 0.00984398317731824*G0_0_0_0_1 - 0.00774830108163578*G0_0_0_0_2 - 0.00356088356088408*G0_0_0_0_3 + 0.00489288489288574*G0_0_0_0_4 - 0.0909016909017069*G0_0_0_0_5 + 0.0430088430088507*G0_0_0_0_6 - 0.0714248714248838*G0_0_0_0_7 + 0.0360232360232422*G0_0_0_0_8 - 0.00426240426240518*G0_0_0_0_9 - 0.00984398317731824*G0_0_0_1_0 - 0.0377780949209585*G0_0_0_1_1 + 0.00107419916943744*G0_0_0_1_2 - 0.0357323100180304*G0_0_0_1_3 + 0.0184763384763416*G0_0_0_1_4 + 0.0213386613386649*G0_0_0_1_5 + 0.000447806162091979*G0_0_0_1_6 + 0.0113960113960133*G0_0_0_1_7 - 0.0152490895348064*G0_0_0_1_8 + 0.0164204049918363*G0_0_0_1_9 - 0.00774830108163578*G0_0_0_2_0 + 0.00107419916943744*G0_0_0_2_1 + 0.0414609024132901*G0_0_0_2_2 - 0.0212037697752019*G0_0_0_2_3 + 0.0351741380312868*G0_0_0_2_4 + 0.00336256336256389*G0_0_0_2_5 + 0.0092817235674394*G0_0_0_2_6 - 0.000932400932401097*G0_0_0_2_7 - 0.00785373356802059*G0_0_0_2_8 + 0.000948892377463971*G0_0_0_2_9 - 0.00356088356088408*G0_0_0_3_0 - 0.0357323100180304*G0_0_0_3_1 - 0.0212037697752019*G0_0_0_3_2 - 0.0936663336663495*G0_0_0_3_3 + 0.000468103325246286*G0_0_0_3_4 - 0.0233899433899472*G0_0_0_3_5 - 0.00789686503972352*G0_0_0_3_6 + 0.00412920412920492*G0_0_0_3_7 - 0.021136958279819*G0_0_0_3_8 - 0.0575196232339186*G0_0_0_3_9 + 0.00489288489288574*G0_0_0_4_0 + 0.0184763384763416*G0_0_0_4_1 + 0.0351741380312868*G0_0_0_4_2 + 0.000468103325246286*G0_0_0_4_3 + 0.106316540602273*G0_0_0_4_4 - 0.0212321012321049*G0_0_0_4_5 + 0.0291289662718283*G0_0_0_4_6 - 0.00266400266400316*G0_0_0_4_7 + 0.0170077541506142*G0_0_0_4_8 + 0.0396175253318177*G0_0_0_4_9 - 0.0909016909017069*G0_0_0_5_0 + 0.0213386613386649*G0_0_0_5_1 + 0.00336256336256388*G0_0_0_5_2 - 0.0233899433899472*G0_0_0_5_3 - 0.0212321012321049*G0_0_0_5_4 + 0.466200466200544*G0_0_0_5_5 - 0.055917415917425*G0_0_0_5_6 + 0.0743256743256866*G0_0_0_5_7 - 0.0705694305694423*G0_0_0_5_8 + 0.1539260739261*G0_0_0_5_9 + 0.0430088430088507*G0_0_0_6_0 + 0.000447806162091981*G0_0_0_6_1 + 0.0092817235674394*G0_0_0_6_2 - 0.00789686503972352*G0_0_0_6_3 + 0.0291289662718283*G0_0_0_6_4 - 0.055917415917425*G0_0_0_6_5 + 0.0784282384282515*G0_0_0_6_6 - 0.00375624375624434*G0_0_0_6_7 + 0.0143856143856167*G0_0_0_6_8 + 0.0129470529470551*G0_0_0_6_9 - 0.0714248714248838*G0_0_0_7_0 + 0.0113960113960133*G0_0_0_7_1 - 0.000932400932401094*G0_0_0_7_2 + 0.00412920412920493*G0_0_0_7_3 - 0.00266400266400316*G0_0_0_7_4 + 0.0743256743256866*G0_0_0_7_5 - 0.00375624375624434*G0_0_0_7_6 - 0.168897768897798*G0_0_0_7_7 - 0.00562104562104643*G0_0_0_7_8 + 0.0202997002997037*G0_0_0_7_9 + 0.0360232360232423*G0_0_0_8_0 - 0.0152490895348064*G0_0_0_8_1 - 0.00785373356802059*G0_0_0_8_2 - 0.021136958279819*G0_0_0_8_3 + 0.0170077541506142*G0_0_0_8_4 - 0.0705694305694424*G0_0_0_8_5 + 0.0143856143856167*G0_0_0_8_6 - 0.00562104562104643*G0_0_0_8_7 - 0.0576490176490274*G0_0_0_8_8 - 0.0832767232767373*G0_0_0_8_9 - 0.00426240426240518*G0_0_0_9_0 + 0.0164204049918363*G0_0_0_9_1 + 0.000948892377463977*G0_0_0_9_2 - 0.0575196232339186*G0_0_0_9_3 + 0.0396175253318177*G0_0_0_9_4 + 0.1539260739261*G0_0_0_9_5 + 0.0129470529470551*G0_0_0_9_6 + 0.0202997002997037*G0_0_0_9_7 - 0.0832767232767373*G0_0_0_9_8 + 0.0671328671328787*G0_0_0_9_9 - 0.00104784104784121*G0_0_1_0_1 + 0.00104784104784123*G0_0_1_0_2 - 0.00422688422688497*G0_0_1_0_3 + 0.00422688422688497*G0_0_1_0_4 - 0.0097384097384114*G0_0_1_0_5 + 0.00349280349280411*G0_0_1_0_6 + 0.00973840973841154*G0_0_1_0_7 - 0.00349280349280415*G0_0_1_0_8 - 0.00104784104784121*G0_0_1_1_0 - 0.0396194986671244*G0_0_1_1_1 - 0.0354532240246586*G0_0_1_1_3 + 0.0198400541257718*G0_0_1_1_4 + 0.011135531135533*G0_0_1_1_5 + 0.00415076986505628*G0_0_1_1_6 + 0.00401672401672475*G0_0_1_1_7 - 0.012265406551123*G0_0_1_1_8 + 0.00773575630718618*G0_0_1_1_9 + 0.00104784104784123*G0_0_1_2_0 + 0.0396194986671243*G0_0_1_2_2 - 0.0198400541257717*G0_0_1_2_3 + 0.0354532240246586*G0_0_1_2_4 - 0.00401672401672466*G0_0_1_2_5 + 0.0122654065511229*G0_0_1_2_6 - 0.011135531135533*G0_0_1_2_7 - 0.00415076986505628*G0_0_1_2_8 - 0.00773575630718617*G0_0_1_2_9 - 0.00422688422688497*G0_0_1_3_0 - 0.0354532240246586*G0_0_1_3_1 - 0.0198400541257717*G0_0_1_3_2 - 0.0999914371343114*G0_0_1_3_3 - 0.0103629703629721*G0_0_1_3_5 - 0.0124523095951688*G0_0_1_3_6 + 0.0126806526806549*G0_0_1_3_7 - 0.0251329622758237*G0_0_1_3_8 - 0.0485685742828682*G0_0_1_3_9 + 0.00422688422688497*G0_0_1_4_0 + 0.0198400541257718*G0_0_1_4_1 + 0.0354532240246586*G0_0_1_4_2 + 0.0999914371343112*G0_0_1_4_4 - 0.0126806526806548*G0_0_1_4_5 + 0.0251329622758237*G0_0_1_4_6 + 0.0103629703629721*G0_0_1_4_7 + 0.0124523095951688*G0_0_1_4_8 + 0.0485685742828681*G0_0_1_4_9 - 0.0097384097384114*G0_0_1_5_0 + 0.011135531135533*G0_0_1_5_1 - 0.00401672401672467*G0_0_1_5_2 - 0.010362970362972*G0_0_1_5_3 - 0.0126806526806549*G0_0_1_5_4 + 0.317549117549171*G0_0_1_5_5 - 0.0251481851481894*G0_0_1_5_6 - 0.0334065934065991*G0_0_1_5_8 + 0.0668131868131982*G0_0_1_5_9 + 0.00349280349280411*G0_0_1_6_0 + 0.00415076986505628*G0_0_1_6_1 + 0.0122654065511229*G0_0_1_6_2 - 0.0124523095951688*G0_0_1_6_3 + 0.0251329622758237*G0_0_1_6_4 - 0.0251481851481894*G0_0_1_6_5 + 0.0680386280386396*G0_0_1_6_6 + 0.0334065934065989*G0_0_1_6_7 + 0.0481118881118962*G0_0_1_6_9 + 0.00973840973841156*G0_0_1_7_0 + 0.00401672401672476*G0_0_1_7_1 - 0.011135531135533*G0_0_1_7_2 + 0.0126806526806549*G0_0_1_7_3 + 0.0103629703629721*G0_0_1_7_4 + 0.0334065934065989*G0_0_1_7_6 - 0.317549117549171*G0_0_1_7_7 + 0.0251481851481892*G0_0_1_7_8 - 0.0668131868131979*G0_0_1_7_9 - 0.00349280349280415*G0_0_1_8_0 - 0.012265406551123*G0_0_1_8_1 - 0.00415076986505628*G0_0_1_8_2 - 0.0251329622758237*G0_0_1_8_3 + 0.0124523095951688*G0_0_1_8_4 - 0.0334065934065991*G0_0_1_8_5 + 0.0251481851481892*G0_0_1_8_7 - 0.0680386280386394*G0_0_1_8_8 - 0.0481118881118963*G0_0_1_8_9 + 0.00773575630718618*G0_0_1_9_1 - 0.00773575630718617*G0_0_1_9_2 - 0.0485685742828682*G0_0_1_9_3 + 0.0485685742828681*G0_0_1_9_4 + 0.0668131868131982*G0_0_1_9_5 + 0.0481118881118962*G0_0_1_9_6 - 0.0668131868131979*G0_0_1_9_7 - 0.0481118881118963*G0_0_1_9_8 - 0.00104784104784121*G0_1_0_0_1 + 0.00104784104784123*G0_1_0_0_2 - 0.00422688422688497*G0_1_0_0_3 + 0.00422688422688497*G0_1_0_0_4 - 0.0097384097384114*G0_1_0_0_5 + 0.0034928034928041*G0_1_0_0_6 + 0.00973840973841153*G0_1_0_0_7 - 0.00349280349280415*G0_1_0_0_8 - 0.00104784104784121*G0_1_0_1_0 - 0.0396194986671245*G0_1_0_1_1 - 0.0354532240246586*G0_1_0_1_3 + 0.0198400541257718*G0_1_0_1_4 + 0.011135531135533*G0_1_0_1_5 + 0.00415076986505628*G0_1_0_1_6 + 0.00401672401672476*G0_1_0_1_7 - 0.012265406551123*G0_1_0_1_8 + 0.00773575630718618*G0_1_0_1_9 + 0.00104784104784123*G0_1_0_2_0 + 0.0396194986671243*G0_1_0_2_2 - 0.0198400541257717*G0_1_0_2_3 + 0.0354532240246586*G0_1_0_2_4 - 0.00401672401672466*G0_1_0_2_5 + 0.0122654065511229*G0_1_0_2_6 - 0.011135531135533*G0_1_0_2_7 - 0.00415076986505628*G0_1_0_2_8 - 0.00773575630718617*G0_1_0_2_9 - 0.00422688422688498*G0_1_0_3_0 - 0.0354532240246586*G0_1_0_3_1 - 0.0198400541257717*G0_1_0_3_2 - 0.0999914371343114*G0_1_0_3_3 - 0.0103629703629721*G0_1_0_3_5 - 0.0124523095951688*G0_1_0_3_6 + 0.0126806526806549*G0_1_0_3_7 - 0.0251329622758237*G0_1_0_3_8 - 0.0485685742828682*G0_1_0_3_9 + 0.00422688422688497*G0_1_0_4_0 + 0.0198400541257718*G0_1_0_4_1 + 0.0354532240246586*G0_1_0_4_2 + 0.0999914371343112*G0_1_0_4_4 - 0.0126806526806549*G0_1_0_4_5 + 0.0251329622758237*G0_1_0_4_6 + 0.0103629703629721*G0_1_0_4_7 + 0.0124523095951688*G0_1_0_4_8 + 0.0485685742828681*G0_1_0_4_9 - 0.00973840973841139*G0_1_0_5_0 + 0.011135531135533*G0_1_0_5_1 - 0.00401672401672466*G0_1_0_5_2 - 0.010362970362972*G0_1_0_5_3 - 0.0126806526806549*G0_1_0_5_4 + 0.317549117549171*G0_1_0_5_5 - 0.0251481851481894*G0_1_0_5_6 - 0.0334065934065991*G0_1_0_5_8 + 0.0668131868131982*G0_1_0_5_9 + 0.0034928034928041*G0_1_0_6_0 + 0.00415076986505628*G0_1_0_6_1 + 0.0122654065511229*G0_1_0_6_2 - 0.0124523095951688*G0_1_0_6_3 + 0.0251329622758237*G0_1_0_6_4 - 0.0251481851481894*G0_1_0_6_5 + 0.0680386280386396*G0_1_0_6_6 + 0.0334065934065989*G0_1_0_6_7 + 0.0481118881118961*G0_1_0_6_9 + 0.00973840973841155*G0_1_0_7_0 + 0.00401672401672476*G0_1_0_7_1 - 0.011135531135533*G0_1_0_7_2 + 0.0126806526806549*G0_1_0_7_3 + 0.0103629703629721*G0_1_0_7_4 + 0.0334065934065989*G0_1_0_7_6 - 0.317549117549171*G0_1_0_7_7 + 0.0251481851481892*G0_1_0_7_8 - 0.0668131868131979*G0_1_0_7_9 - 0.00349280349280415*G0_1_0_8_0 - 0.012265406551123*G0_1_0_8_1 - 0.00415076986505628*G0_1_0_8_2 - 0.0251329622758237*G0_1_0_8_3 + 0.0124523095951688*G0_1_0_8_4 - 0.0334065934065991*G0_1_0_8_5 + 0.0251481851481892*G0_1_0_8_7 - 0.0680386280386394*G0_1_0_8_8 - 0.0481118881118963*G0_1_0_8_9 + 0.00773575630718618*G0_1_0_9_1 - 0.00773575630718617*G0_1_0_9_2 - 0.0485685742828682*G0_1_0_9_3 + 0.0485685742828681*G0_1_0_9_4 + 0.0668131868131982*G0_1_0_9_5 + 0.0481118881118961*G0_1_0_9_6 - 0.0668131868131979*G0_1_0_9_7 - 0.0481118881118963*G0_1_0_9_8 + 0.294322960989678*G0_1_1_0_0 + 0.00774830108163577*G0_1_1_0_1 + 0.00984398317731818*G0_1_1_0_2 - 0.00489288489288585*G0_1_1_0_3 + 0.0035608835608842*G0_1_1_0_4 + 0.0714248714248837*G0_1_1_0_5 - 0.0360232360232422*G0_1_1_0_6 + 0.0909016909017065*G0_1_1_0_7 - 0.0430088430088504*G0_1_1_0_8 + 0.00426240426240515*G0_1_1_0_9 + 0.00774830108163577*G0_1_1_1_0 - 0.0414609024132904*G0_1_1_1_1 - 0.00107419916943744*G0_1_1_1_2 - 0.0351741380312869*G0_1_1_1_3 + 0.021203769775202*G0_1_1_1_4 + 0.000932400932401123*G0_1_1_1_5 + 0.0078537335680206*G0_1_1_1_6 - 0.00336256336256385*G0_1_1_1_7 - 0.00928172356743947*G0_1_1_1_8 - 0.00094889237746397*G0_1_1_1_9 + 0.00984398317731818*G0_1_1_2_0 - 0.00107419916943744*G0_1_1_2_1 + 0.0377780949209584*G0_1_1_2_2 - 0.0184763384763416*G0_1_1_2_3 + 0.0357323100180304*G0_1_1_2_4 - 0.0113960113960133*G0_1_1_2_5 + 0.0152490895348064*G0_1_1_2_6 - 0.0213386613386649*G0_1_1_2_7 - 0.000447806162091954*G0_1_1_2_8 - 0.0164204049918363*G0_1_1_2_9 - 0.00489288489288585*G0_1_1_3_0 - 0.0351741380312869*G0_1_1_3_1 - 0.0184763384763416*G0_1_1_3_2 - 0.106316540602273*G0_1_1_3_3 - 0.000468103325246241*G0_1_1_3_4 + 0.00266400266400315*G0_1_1_3_5 - 0.0170077541506141*G0_1_1_3_6 + 0.0212321012321049*G0_1_1_3_7 - 0.0291289662718283*G0_1_1_3_8 - 0.0396175253318178*G0_1_1_3_9 + 0.0035608835608842*G0_1_1_4_0 + 0.021203769775202*G0_1_1_4_1 + 0.0357323100180304*G0_1_1_4_2 - 0.000468103325246255*G0_1_1_4_3 + 0.0936663336663494*G0_1_1_4_4 - 0.00412920412920483*G0_1_1_4_5 + 0.021136958279819*G0_1_1_4_6 + 0.0233899433899473*G0_1_1_4_7 + 0.00789686503972351*G0_1_1_4_8 + 0.0575196232339186*G0_1_1_4_9 + 0.0714248714248837*G0_1_1_5_0 + 0.00093240093240112*G0_1_1_5_1 - 0.0113960113960133*G0_1_1_5_2 + 0.00266400266400314*G0_1_1_5_3 - 0.00412920412920483*G0_1_1_5_4 + 0.168897768897798*G0_1_1_5_5 + 0.00562104562104646*G0_1_1_5_6 - 0.0743256743256867*G0_1_1_5_7 + 0.00375624375624431*G0_1_1_5_8 - 0.0202997002997036*G0_1_1_5_9 - 0.0360232360232422*G0_1_1_6_0 + 0.0078537335680206*G0_1_1_6_1 + 0.0152490895348064*G0_1_1_6_2 - 0.0170077541506141*G0_1_1_6_3 + 0.021136958279819*G0_1_1_6_4 + 0.00562104562104646*G0_1_1_6_5 + 0.0576490176490274*G0_1_1_6_6 + 0.0705694305694423*G0_1_1_6_7 - 0.0143856143856168*G0_1_1_6_8 + 0.0832767232767372*G0_1_1_6_9 + 0.0909016909017064*G0_1_1_7_0 - 0.00336256336256385*G0_1_1_7_1 - 0.0213386613386649*G0_1_1_7_2 + 0.0212321012321049*G0_1_1_7_3 + 0.0233899433899473*G0_1_1_7_4 - 0.0743256743256867*G0_1_1_7_5 + 0.0705694305694423*G0_1_1_7_6 - 0.466200466200544*G0_1_1_7_7 + 0.0559174159174251*G0_1_1_7_8 - 0.1539260739261*G0_1_1_7_9 - 0.0430088430088504*G0_1_1_8_0 - 0.00928172356743947*G0_1_1_8_1 - 0.000447806162091955*G0_1_1_8_2 - 0.0291289662718283*G0_1_1_8_3 + 0.00789686503972351*G0_1_1_8_4 + 0.00375624375624431*G0_1_1_8_5 - 0.0143856143856168*G0_1_1_8_6 + 0.0559174159174251*G0_1_1_8_7 - 0.0784282384282515*G0_1_1_8_8 - 0.0129470529470552*G0_1_1_8_9 + 0.00426240426240515*G0_1_1_9_0 - 0.00094889237746397*G0_1_1_9_1 - 0.0164204049918363*G0_1_1_9_2 - 0.0396175253318178*G0_1_1_9_3 + 0.0575196232339186*G0_1_1_9_4 - 0.0202997002997036*G0_1_1_9_5 + 0.0832767232767372*G0_1_1_9_6 - 0.1539260739261*G0_1_1_9_7 - 0.0129470529470552*G0_1_1_9_8 - 0.0671328671328785*G0_1_1_9_9;
    A[81] = -A[126] - 0.00955094288427775*G0_1_0_0_0 + 0.00207101540434909*G0_1_0_0_2 - 0.0025121967979115*G0_1_0_0_3 + 0.00195317909603655*G0_1_0_0_4 + 0.00635216635216747*G0_1_0_0_5 + 0.00740635026349438*G0_1_0_0_6 - 0.00976208976209135*G0_1_0_0_7 + 0.0026585055156488*G0_1_0_0_8 + 0.00155019583591041*G0_1_0_0_9 + 0.000956221908603066*G0_1_0_1_1 + 0.00330632330632386*G0_1_0_1_2 - 0.00075691504262943*G0_1_0_1_3 + 0.00399642685357037*G0_1_0_1_4 + 0.00625617768475015*G0_1_0_1_5 + 0.0054696626125207*G0_1_0_1_6 + 0.00198869913155659*G0_1_0_1_7 - 0.00234855091997983*G0_1_0_1_8 + 0.0159814788386244*G0_1_0_1_9 + 0.00207101540434909*G0_1_0_2_0 + 0.00330632330632386*G0_1_0_2_1 + 0.0840048840048979*G0_1_0_2_2 - 0.0114907314907334*G0_1_0_2_3 + 0.02575202575203*G0_1_0_2_4 + 0.00200688200688241*G0_1_0_2_5 + 0.0179376179376209*G0_1_0_2_6 + 0.0035845635845642*G0_1_0_2_7 - 0.00248936248936289*G0_1_0_2_8 + 0.00255744255744298*G0_1_0_2_9 - 0.0025121967979115*G0_1_0_3_0 - 0.000756915042629429*G0_1_0_3_1 - 0.0114907314907334*G0_1_0_3_2 + 0.0158698444412759*G0_1_0_3_3 - 0.0242157842157883*G0_1_0_3_4 - 0.000593692022263525*G0_1_0_3_5 - 0.0264535464535509*G0_1_0_3_6 - 0.00250796822225438*G0_1_0_3_7 + 0.00508443937015458*G0_1_0_3_8 - 0.0429285000713644*G0_1_0_3_9 + 0.00195317909603655*G0_1_0_4_0 + 0.00399642685357037*G0_1_0_4_1 + 0.02575202575203*G0_1_0_4_2 - 0.0242157842157883*G0_1_0_4_3 - 0.0799200799200935*G0_1_0_4_4 - 0.0159040959040986*G0_1_0_4_5 + 0.0423576423576495*G0_1_0_4_6 - 0.00328433471290669*G0_1_0_4_7 - 0.00257647114790018*G0_1_0_4_8 + 0.0241358641358682*G0_1_0_4_9 + 0.00635216635216747*G0_1_0_5_0 + 0.00625617768475015*G0_1_0_5_1 + 0.00200688200688241*G0_1_0_5_2 - 0.000593692022263526*G0_1_0_5_3 - 0.0159040959040986*G0_1_0_5_4 + 0.188497217068677*G0_1_0_5_5 - 0.092307692307708*G0_1_0_5_6 + 0.0496113410399208*G0_1_0_5_7 - 0.0288130916702394*G0_1_0_5_8 + 0.0529755958327476*G0_1_0_5_9 + 0.00740635026349438*G0_1_0_6_0 + 0.0054696626125207*G0_1_0_6_1 + 0.0179376179376209*G0_1_0_6_2 - 0.0264535464535509*G0_1_0_6_3 + 0.0423576423576495*G0_1_0_6_4 - 0.092307692307708*G0_1_0_6_5 + 0.140659340659364*G0_1_0_6_6 - 0.0207982493696814*G0_1_0_6_7 + 0.000551829123257784*G0_1_0_6_8 + 0.0452347652347729*G0_1_0_6_9 - 0.00976208976209134*G0_1_0_7_0 + 0.00198869913155659*G0_1_0_7_1 + 0.0035845635845642*G0_1_0_7_2 - 0.00250796822225438*G0_1_0_7_3 - 0.00328433471290669*G0_1_0_7_4 + 0.0496113410399208*G0_1_0_7_5 - 0.0207982493696814*G0_1_0_7_6 - 0.00352409495266672*G0_1_0_7_7 - 0.00746301317730025*G0_1_0_7_8 + 0.0369459112316317*G0_1_0_7_9 + 0.0026585055156488*G0_1_0_8_0 - 0.00234855091997983*G0_1_0_8_1 - 0.00248936248936289*G0_1_0_8_2 + 0.00508443937015458*G0_1_0_8_3 - 0.00257647114790018*G0_1_0_8_4 - 0.0288130916702394*G0_1_0_8_5 + 0.000551829123257784*G0_1_0_8_6 - 0.00746301317730025*G0_1_0_8_7 + 0.00661433804291098*G0_1_0_8_8 - 0.0427914942200728*G0_1_0_8_9 + 0.00155019583591041*G0_1_0_9_0 + 0.0159814788386244*G0_1_0_9_1 + 0.00255744255744298*G0_1_0_9_2 - 0.0429285000713644*G0_1_0_9_3 + 0.0241358641358682*G0_1_0_9_4 + 0.0529755958327476*G0_1_0_9_5 + 0.0452347652347729*G0_1_0_9_6 + 0.0369459112316317*G0_1_0_9_7 - 0.0427914942200728*G0_1_0_9_8 + 0.142760097045836*G0_1_0_9_9 + 0.116249182915869*G0_1_1_0_0 + 0.00794098317907978*G0_1_1_0_1 + 0.00513095370238314*G0_1_1_0_2 - 0.00389367246510175*G0_1_1_0_3 + 0.00246441389298575*G0_1_1_0_4 + 0.0271077071077117*G0_1_1_0_5 - 0.00510262224548019*G0_1_1_0_6 + 0.0763976763976893*G0_1_1_0_7 - 0.0332463303891931*G0_1_1_0_8 + 0.00822796251367828*G0_1_1_0_9 + 0.00794098317907978*G0_1_1_1_0 + 0.00340879578974881*G0_1_1_1_1 + 0.00343332152856021*G0_1_1_1_2 - 0.000469371897943396*G0_1_1_1_3 + 0.00438165009593654*G0_1_1_1_4 + 0.00386491815063307*G0_1_1_1_5 + 0.00549376549376644*G0_1_1_1_6 + 0.0120945720945741*G0_1_1_1_7 - 0.0037778094920958*G0_1_1_1_8 + 0.0147306661592401*G0_1_1_1_9 + 0.00513095370238314*G0_1_1_2_0 + 0.00343332152856021*G0_1_1_2_1 + 0.0811632811632949*G0_1_1_2_2 - 0.0116120916120936*G0_1_1_2_3 + 0.0251600251600294*G0_1_1_2_4 - 0.00158360158360185*G0_1_1_2_5 + 0.0184408184408216*G0_1_1_2_6 + 0.007221561507277*G0_1_1_2_7 - 0.0032847575704724*G0_1_1_2_8 + 0.00111888111888131*G0_1_1_2_9 - 0.00389367246510175*G0_1_1_3_0 - 0.000469371897943396*G0_1_1_3_1 - 0.0116120916120936*G0_1_1_3_2 + 0.0112268683697275*G0_1_1_3_3 - 0.0252395223823838*G0_1_1_3_4 + 0.0060625089196528*G0_1_1_3_5 - 0.028520051377199*G0_1_1_3_6 - 0.000357737500594774*G0_1_1_3_7 + 0.0025422196850773*G0_1_1_3_8 - 0.0434765234765308*G0_1_1_3_9 + 0.00246441389298575*G0_1_1_4_0 + 0.00438165009593654*G0_1_1_4_1 + 0.0251600251600294*G0_1_1_4_2 - 0.0252395223823838*G0_1_1_4_3 - 0.0628704628704734*G0_1_1_4_4 - 0.019431996574857*G0_1_1_4_5 + 0.0479520479520561*G0_1_1_4_6 - 0.00850958565244421*G0_1_1_4_7 - 0.00218448218448257*G0_1_1_4_8 + 0.0355073497930701*G0_1_1_4_9 + 0.0271077071077117*G0_1_1_5_0 + 0.00386491815063307*G0_1_1_5_1 - 0.00158360158360185*G0_1_1_5_2 + 0.0060625089196528*G0_1_1_5_3 - 0.019431996574857*G0_1_1_5_4 + 0.102236810808256*G0_1_1_5_5 - 0.0743408971980526*G0_1_1_5_6 + 0.0573369487655298*G0_1_1_5_7 - 0.023633509347799*G0_1_1_5_8 + 0.0225831311545635*G0_1_1_5_9 - 0.00510262224548019*G0_1_1_6_0 + 0.00549376549376644*G0_1_1_6_1 + 0.0184408184408216*G0_1_1_6_2 - 0.028520051377199*G0_1_1_6_3 + 0.0479520479520561*G0_1_1_6_4 - 0.0743408971980526*G0_1_1_6_5 + 0.131601731601754*G0_1_1_6_6 - 0.0337034394177308*G0_1_1_6_7 + 0.00270586556300887*G0_1_1_6_8 + 0.0536834593977542*G0_1_1_6_9 + 0.0763976763976893*G0_1_1_7_0 + 0.0120945720945741*G0_1_1_7_1 + 0.007221561507277*G0_1_1_7_2 - 0.000357737500594774*G0_1_1_7_3 - 0.00850958565244421*G0_1_1_7_4 + 0.0573369487655298*G0_1_1_7_5 - 0.0337034394177308*G0_1_1_7_6 + 0.198354026925489*G0_1_1_7_7 - 0.0634184862756399*G0_1_1_7_8 + 0.0427229912944271*G0_1_1_7_9 - 0.0332463303891931*G0_1_1_8_0 - 0.0037778094920958*G0_1_1_8_1 - 0.0032847575704724*G0_1_1_8_2 + 0.0025422196850773*G0_1_1_8_3 - 0.00218448218448257*G0_1_1_8_4 - 0.023633509347799*G0_1_1_8_5 + 0.00270586556300887*G0_1_1_8_6 - 0.0634184862756399*G0_1_1_8_7 + 0.0232833832833874*G0_1_1_8_8 - 0.0398230341087551*G0_1_1_8_9 + 0.00822796251367828*G0_1_1_9_0 + 0.0147306661592401*G0_1_1_9_1 + 0.00111888111888131*G0_1_1_9_2 - 0.0434765234765308*G0_1_1_9_3 + 0.0355073497930701*G0_1_1_9_4 + 0.0225831311545635*G0_1_1_9_5 + 0.0536834593977542*G0_1_1_9_6 + 0.0427229912944271*G0_1_1_9_7 - 0.0398230341087551*G0_1_1_9_8 + 0.138375909804505*G0_1_1_9_9;
    A[156] = A[100] - 0.195838729172097*G0_0_1_0_0 - 0.00337514337514399*G0_0_1_0_1 - 0.00578458578458679*G0_0_1_0_2 + 0.00025530025530037*G0_0_1_0_3 - 0.000597180597180701*G0_0_1_0_4 - 0.0608724608724715*G0_0_1_0_5 + 0.0265734265734313*G0_0_1_0_6 - 0.0192252192252228*G0_0_1_0_7 + 0.014407814407817*G0_0_1_0_8 + 0.00293040293040329*G0_0_1_0_9 - 0.00337514337514399*G0_0_1_1_0 + 0.00312773646107041*G0_0_1_1_1 + 0.000380466094751884*G0_0_1_1_2 + 0.00179185893471649*G0_0_1_1_3 - 0.00121180406894717*G0_0_1_1_4 + 0.00544249401392348*G0_0_1_1_5 - 0.000659974945689333*G0_0_1_1_6 + 0.00725591868449128*G0_0_1_1_7 - 0.002360179503037*G0_0_1_1_8 + 0.001832453261025*G0_0_1_1_9 - 0.00578458578458679*G0_0_1_2_0 + 0.000380466094751884*G0_0_1_2_1 - 0.000523497666354829*G0_0_1_2_2 + 0.000148740148740178*G0_0_1_2_3 - 0.000847089418518165*G0_0_1_2_5 + 0.00168625025767909*G0_0_1_2_7 - 0.000874998017855289*G0_0_1_2_8 - 0.00141382427096736*G0_0_1_2_9 + 0.00025530025530037*G0_0_1_3_0 + 0.00179185893471649*G0_0_1_3_1 + 0.000148740148740178*G0_0_1_3_2 + 0.0107835022120759*G0_0_1_3_3 - 0.00054516911659789*G0_0_1_3_4 - 0.0077094334237204*G0_0_1_3_5 + 0.000305408876837497*G0_0_1_3_6 - 0.00244041672613147*G0_0_1_3_7 + 0.0014899386327961*G0_0_1_3_8 - 0.00061652633081208*G0_0_1_3_9 - 0.0005971805971807*G0_0_1_4_0 - 0.00121180406894717*G0_0_1_4_1 - 0.000545169116597889*G0_0_1_4_3 + 0.00307692307692372*G0_0_1_4_4 + 0.000117025831311558*G0_0_1_4_5 - 0.000422434708149076*G0_0_1_4_6 - 0.000796346510632344*G0_0_1_4_7 + 0.00095047809333536*G0_0_1_4_8 + 0.00400742115027893*G0_0_1_4_9 - 0.0608724608724715*G0_0_1_5_0 + 0.00544249401392348*G0_0_1_5_1 - 0.000847089418518165*G0_0_1_5_2 - 0.0077094334237204*G0_0_1_5_3 + 0.000117025831311558*G0_0_1_5_4 + 0.142497502497526*G0_0_1_5_5 + 0.00517482517482626*G0_0_1_5_6 + 0.0247352647352687*G0_0_1_5_7 - 0.018001998002001*G0_0_1_5_8 + 0.0272127872127918*G0_0_1_5_9 + 0.0265734265734313*G0_0_1_6_0 - 0.000659974945689333*G0_0_1_6_1 + 0.000305408876837497*G0_0_1_6_3 - 0.000422434708149076*G0_0_1_6_4 + 0.00517482517482626*G0_0_1_6_5 + 0.00389895818467298*G0_0_1_6_6 - 0.00673326673326778*G0_0_1_6_7 + 0.00313971742543219*G0_0_1_6_8 + 0.00363065505922707*G0_0_1_6_9 - 0.0192252192252228*G0_0_1_7_0 + 0.00725591868449128*G0_0_1_7_1 + 0.00168625025767909*G0_0_1_7_2 - 0.00244041672613147*G0_0_1_7_3 - 0.000796346510632343*G0_0_1_7_4 + 0.0247352647352687*G0_0_1_7_5 - 0.00673326673326778*G0_0_1_7_6 + 0.133706293706316*G0_0_1_7_7 - 0.0355044955045013*G0_0_1_7_8 + 0.00467532467532549*G0_0_1_7_9 + 0.014407814407817*G0_0_1_8_0 - 0.002360179503037*G0_0_1_8_1 - 0.000874998017855289*G0_0_1_8_2 + 0.0014899386327961*G0_0_1_8_3 + 0.000950478093335359*G0_0_1_8_4 - 0.018001998002001*G0_0_1_8_5 + 0.00313971742543219*G0_0_1_8_6 - 0.0355044955045013*G0_0_1_8_7 + 0.0133295276152444*G0_0_1_8_8 - 0.00739831596974572*G0_0_1_8_9 + 0.00293040293040329*G0_0_1_9_0 + 0.001832453261025*G0_0_1_9_1 - 0.00141382427096736*G0_0_1_9_2 - 0.000616526330812084*G0_0_1_9_3 + 0.00400742115027893*G0_0_1_9_4 + 0.0272127872127918*G0_0_1_9_5 + 0.00363065505922707*G0_0_1_9_6 + 0.00467532467532549*G0_0_1_9_7 - 0.00739831596974572*G0_0_1_9_8 - 0.0355530184101673*G0_0_1_9_9 + 0.195838729172097*G0_1_0_0_0 + 0.00337514337514399*G0_1_0_0_1 + 0.00578458578458679*G0_1_0_0_2 - 0.00025530025530037*G0_1_0_0_3 + 0.000597180597180701*G0_1_0_0_4 + 0.0608724608724715*G0_1_0_0_5 - 0.0265734265734313*G0_1_0_0_6 + 0.0192252192252228*G0_1_0_0_7 - 0.014407814407817*G0_1_0_0_8 - 0.00293040293040329*G0_1_0_0_9 + 0.00337514337514399*G0_1_0_1_0 - 0.00312773646107041*G0_1_0_1_1 - 0.000380466094751884*G0_1_0_1_2 - 0.00179185893471649*G0_1_0_1_3 + 0.00121180406894717*G0_1_0_1_4 - 0.00544249401392348*G0_1_0_1_5 + 0.000659974945689332*G0_1_0_1_6 - 0.00725591868449128*G0_1_0_1_7 + 0.002360179503037*G0_1_0_1_8 - 0.001832453261025*G0_1_0_1_9 + 0.00578458578458679*G0_1_0_2_0 - 0.000380466094751884*G0_1_0_2_1 + 0.000523497666354829*G0_1_0_2_2 - 0.000148740148740178*G0_1_0_2_3 + 0.000847089418518165*G0_1_0_2_5 - 0.00168625025767909*G0_1_0_2_7 + 0.000874998017855289*G0_1_0_2_8 + 0.00141382427096736*G0_1_0_2_9 - 0.000255300255300369*G0_1_0_3_0 - 0.00179185893471649*G0_1_0_3_1 - 0.000148740148740178*G0_1_0_3_2 - 0.0107835022120759*G0_1_0_3_3 + 0.000545169116597888*G0_1_0_3_4 + 0.0077094334237204*G0_1_0_3_5 - 0.000305408876837497*G0_1_0_3_6 + 0.00244041672613147*G0_1_0_3_7 - 0.0014899386327961*G0_1_0_3_8 + 0.00061652633081208*G0_1_0_3_9 + 0.0005971805971807*G0_1_0_4_0 + 0.00121180406894717*G0_1_0_4_1 + 0.000545169116597887*G0_1_0_4_3 - 0.00307692307692372*G0_1_0_4_4 - 0.000117025831311558*G0_1_0_4_5 + 0.000422434708149076*G0_1_0_4_6 + 0.000796346510632343*G0_1_0_4_7 - 0.00095047809333536*G0_1_0_4_8 - 0.00400742115027893*G0_1_0_4_9 + 0.0608724608724715*G0_1_0_5_0 - 0.00544249401392348*G0_1_0_5_1 + 0.000847089418518165*G0_1_0_5_2 + 0.0077094334237204*G0_1_0_5_3 - 0.000117025831311558*G0_1_0_5_4 - 0.142497502497526*G0_1_0_5_5 - 0.00517482517482627*G0_1_0_5_6 - 0.0247352647352687*G0_1_0_5_7 + 0.018001998002001*G0_1_0_5_8 - 0.0272127872127918*G0_1_0_5_9 - 0.0265734265734313*G0_1_0_6_0 + 0.000659974945689333*G0_1_0_6_1 - 0.000305408876837497*G0_1_0_6_3 + 0.000422434708149076*G0_1_0_6_4 - 0.00517482517482627*G0_1_0_6_5 - 0.00389895818467298*G0_1_0_6_6 + 0.00673326673326778*G0_1_0_6_7 - 0.00313971742543219*G0_1_0_6_8 - 0.00363065505922707*G0_1_0_6_9 + 0.0192252192252228*G0_1_0_7_0 - 0.00725591868449128*G0_1_0_7_1 - 0.00168625025767909*G0_1_0_7_2 + 0.00244041672613147*G0_1_0_7_3 + 0.000796346510632343*G0_1_0_7_4 - 0.0247352647352687*G0_1_0_7_5 + 0.00673326673326778*G0_1_0_7_6 - 0.133706293706316*G0_1_0_7_7 + 0.0355044955045013*G0_1_0_7_8 - 0.00467532467532549*G0_1_0_7_9 - 0.014407814407817*G0_1_0_8_0 + 0.002360179503037*G0_1_0_8_1 + 0.000874998017855289*G0_1_0_8_2 - 0.0014899386327961*G0_1_0_8_3 - 0.000950478093335359*G0_1_0_8_4 + 0.018001998002001*G0_1_0_8_5 - 0.00313971742543219*G0_1_0_8_6 + 0.0355044955045013*G0_1_0_8_7 - 0.0133295276152444*G0_1_0_8_8 + 0.00739831596974572*G0_1_0_8_9 - 0.00293040293040329*G0_1_0_9_0 - 0.001832453261025*G0_1_0_9_1 + 0.00141382427096736*G0_1_0_9_2 + 0.000616526330812084*G0_1_0_9_3 - 0.00400742115027893*G0_1_0_9_4 - 0.0272127872127918*G0_1_0_9_5 - 0.00363065505922707*G0_1_0_9_6 - 0.00467532467532549*G0_1_0_9_7 + 0.00739831596974572*G0_1_0_9_8 + 0.0355530184101673*G0_1_0_9_9;
    A[142] = A[156] - 0.0329941663275051*G0_0_0_0_0 - 0.00127012317488528*G0_0_0_0_1 - 0.00441900251424136*G0_0_0_0_2 + 0.00384884956313594*G0_0_0_0_3 - 0.00185972757401361*G0_0_0_0_4 - 0.058155178155188*G0_0_0_0_5 + 0.0204329004329039*G0_0_0_0_6 - 0.00551448551448639*G0_0_0_0_7 + 0.00631368631368738*G0_0_0_0_8 - 0.00783216783216919*G0_0_0_0_9 - 0.00127012317488528*G0_0_0_1_0 + 0.00672681815539083*G0_0_0_1_1 + 0.000375427042093779*G0_0_0_1_2 + 0.00921998636284516*G0_0_0_1_3 - 0.0064690864690876*G0_0_0_1_4 - 0.00113854399568702*G0_0_0_1_5 - 0.00176268176268207*G0_0_0_1_6 + 0.00538699395842341*G0_0_0_1_7 - 0.000713572142143649*G0_0_0_1_8 + 0.00394652966081606*G0_0_0_1_9 - 0.00441900251424136*G0_0_0_2_0 + 0.000375427042093779*G0_0_0_2_1 - 0.00337440337440391*G0_0_0_2_2 + 0.00550814265100073*G0_0_0_2_3 - 0.00902589474018198*G0_0_0_2_4 - 0.00909820338391924*G0_0_0_2_5 + 0.00153116724545323*G0_0_0_2_6 + 0.00353107210250125*G0_0_0_2_7 + 0.000583543440686408*G0_0_0_2_8 + 0.00653822368108193*G0_0_0_2_9 + 0.00384884956313594*G0_0_0_3_0 + 0.00921998636284516*G0_0_0_3_1 + 0.00550814265100073*G0_0_0_3_2 + 0.0540259740259834*G0_0_0_3_3 - 0.00171828171828207*G0_0_0_3_4 - 0.00340231197374118*G0_0_0_3_5 + 0.00396175253318178*G0_0_0_3_6 - 0.0128728414442722*G0_0_0_3_7 + 0.0159497645211958*G0_0_0_3_8 + 0.0139060939060963*G0_0_0_3_9 - 0.00185972757401361*G0_0_0_4_0 - 0.0064690864690876*G0_0_0_4_1 - 0.00902589474018198*G0_0_0_4_2 - 0.00171828171828207*G0_0_0_4_3 - 0.0504752390466762*G0_0_0_4_4 + 0.00425288996717643*G0_0_0_4_5 - 0.0082146425003582*G0_0_0_4_6 - 0.00184387041529927*G0_0_0_4_7 - 0.00307692307692363*G0_0_0_4_8 - 0.0281204509775986*G0_0_0_4_9 - 0.058155178155188*G0_0_0_5_0 - 0.00113854399568703*G0_0_0_5_1 - 0.00909820338391924*G0_0_0_5_2 - 0.00340231197374118*G0_0_0_5_3 + 0.00425288996717643*G0_0_0_5_4 - 0.297942057942108*G0_0_0_5_5 + 0.0539574711003375*G0_0_0_5_6 + 0.00983016983017147*G0_0_0_5_7 + 0.00208933923219672*G0_0_0_5_8 + 0.019317825032114*G0_0_0_5_9 + 0.0204329004329039*G0_0_0_6_0 - 0.00176268176268207*G0_0_0_6_1 + 0.00153116724545323*G0_0_0_6_2 + 0.00396175253318178*G0_0_0_6_3 - 0.0082146425003582*G0_0_0_6_4 + 0.0539574711003375*G0_0_0_6_5 - 0.0246838875410346*G0_0_0_6_6 - 0.0119195090623682*G0_0_0_6_7 + 0.00243185386042568*G0_0_0_6_8 - 0.0275381761096093*G0_0_0_6_9 - 0.00551448551448638*G0_0_0_7_0 + 0.00538699395842341*G0_0_0_7_1 + 0.00353107210250125*G0_0_0_7_2 - 0.0128728414442722*G0_0_0_7_3 - 0.00184387041529927*G0_0_0_7_4 + 0.00983016983017147*G0_0_0_7_5 - 0.0119195090623682*G0_0_0_7_6 + 0.0752847152847276*G0_0_0_7_7 - 0.0332581704010332*G0_0_0_7_8 + 0.0473355216212438*G0_0_0_7_9 + 0.00631368631368738*G0_0_0_8_0 - 0.000713572142143649*G0_0_0_8_1 + 0.000583543440686408*G0_0_0_8_2 + 0.0159497645211958*G0_0_0_8_3 - 0.00307692307692363*G0_0_0_8_4 + 0.00208933923219672*G0_0_0_8_5 + 0.00243185386042568*G0_0_0_8_6 - 0.0332581704010332*G0_0_0_8_7 + 0.0279491936634844*G0_0_0_8_8 - 0.00568574282860088*G0_0_0_8_9 - 0.00783216783216919*G0_0_0_9_0 + 0.00394652966081606*G0_0_0_9_1 + 0.00653822368108193*G0_0_0_9_2 + 0.0139060939060963*G0_0_0_9_3 - 0.0281204509775986*G0_0_0_9_4 + 0.0193178250321139*G0_0_0_9_5 - 0.0275381761096093*G0_0_0_9_6 + 0.0473355216212438*G0_0_0_9_7 - 0.00568574282860088*G0_0_0_9_8 + 0.0854916512059513*G0_0_0_9_9 - 0.00283103140246044*G0_0_1_0_1 + 0.00283103140246049*G0_0_1_0_2 + 0.00232148803577417*G0_0_1_0_3 - 0.00232148803577417*G0_0_1_0_4 + 0.0428105228105304*G0_0_1_0_5 - 0.0157176157176186*G0_0_1_0_6 - 0.0428105228105299*G0_0_1_0_7 + 0.0157176157176183*G0_0_1_0_8 - 0.00283103140246044*G0_0_1_1_0 + 0.0030146925385026*G0_0_1_1_1 + 0.00835862550148407*G0_0_1_1_3 - 0.00534005676862911*G0_0_1_1_4 + 0.00106179534750983*G0_0_1_1_5 - 0.00203035060177953*G0_0_1_1_6 - 0.00919651776794789*G0_0_1_1_7 + 0.00392559821131316*G0_0_1_1_8 - 0.00333761476618675*G0_0_1_1_9 + 0.00283103140246049*G0_0_1_2_0 - 0.00301469253850254*G0_0_1_2_2 + 0.00534005676862909*G0_0_1_2_3 - 0.00835862550148405*G0_0_1_2_4 + 0.00919651776794793*G0_0_1_2_5 - 0.00392559821131318*G0_0_1_2_6 - 0.0010617953475098*G0_0_1_2_7 + 0.0020303506017795*G0_0_1_2_8 + 0.00333761476618677*G0_0_1_2_9 + 0.00232148803577417*G0_0_1_3_0 + 0.00835862550148407*G0_0_1_3_1 + 0.00534005676862909*G0_0_1_3_2 + 0.0502468959611901*G0_0_1_3_3 - 0.00507492507492593*G0_0_1_3_5 + 0.00609105180533855*G0_0_1_3_6 - 0.0069644641073224*G0_0_1_3_7 + 0.0130555159126609*G0_0_1_3_8 + 0.0239417725132051*G0_0_1_3_9 - 0.00232148803577417*G0_0_1_4_0 - 0.00534005676862911*G0_0_1_4_1 - 0.00835862550148405*G0_0_1_4_2 - 0.0502468959611902*G0_0_1_4_4 + 0.00696446410732242*G0_0_1_4_5 - 0.013055515912661*G0_0_1_4_6 + 0.00507492507492592*G0_0_1_4_7 - 0.00609105180533853*G0_0_1_4_8 - 0.0239417725132051*G0_0_1_4_9 + 0.0428105228105304*G0_0_1_5_0 + 0.00106179534750983*G0_0_1_5_1 + 0.00919651776794793*G0_0_1_5_2 - 0.00507492507492594*G0_0_1_5_3 + 0.00696446410732242*G0_0_1_5_4 + 0.0567432567432669*G0_0_1_5_5 - 0.0373112601684095*G0_0_1_5_6 - 0.00318538604252952*G0_0_1_5_8 + 0.00637077208505901*G0_0_1_5_9 - 0.0157176157176186*G0_0_1_6_0 - 0.00203035060177953*G0_0_1_6_1 - 0.00392559821131318*G0_0_1_6_2 + 0.00609105180533855*G0_0_1_6_3 - 0.013055515912661*G0_0_1_6_4 - 0.0373112601684095*G0_0_1_6_5 - 0.00785500214071773*G0_0_1_6_6 + 0.0031853860425294*G0_0_1_6_7 - 0.0221949479092374*G0_0_1_6_9 - 0.0428105228105299*G0_0_1_7_0 - 0.00919651776794789*G0_0_1_7_1 - 0.0010617953475098*G0_0_1_7_2 - 0.00696446410732239*G0_0_1_7_3 + 0.00507492507492592*G0_0_1_7_4 + 0.0031853860425294*G0_0_1_7_6 - 0.0567432567432662*G0_0_1_7_7 + 0.0373112601684093*G0_0_1_7_8 - 0.00637077208505888*G0_0_1_7_9 + 0.0157176157176183*G0_0_1_8_0 + 0.00392559821131316*G0_0_1_8_1 + 0.0020303506017795*G0_0_1_8_2 + 0.0130555159126609*G0_0_1_8_3 - 0.00609105180533853*G0_0_1_8_4 - 0.00318538604252952*G0_0_1_8_5 + 0.0373112601684093*G0_0_1_8_7 + 0.00785500214071778*G0_0_1_8_8 + 0.0221949479092374*G0_0_1_8_9 - 0.00333761476618675*G0_0_1_9_1 + 0.00333761476618677*G0_0_1_9_2 + 0.0239417725132051*G0_0_1_9_3 - 0.0239417725132051*G0_0_1_9_4 + 0.006370772085059*G0_0_1_9_5 - 0.0221949479092374*G0_0_1_9_6 - 0.00637077208505887*G0_0_1_9_7 + 0.0221949479092374*G0_0_1_9_8 - 0.000421588993017645*G0_1_0_0_1 + 0.000421588993017628*G0_1_0_0_2 + 0.00317396888825516*G0_1_0_0_3 - 0.00317396888825516*G0_1_0_0_4 + 0.0011632811632813*G0_1_0_0_5 - 0.00355200355200414*G0_1_0_0_6 - 0.0011632811632815*G0_1_0_0_7 + 0.00355200355200421*G0_1_0_0_8 - 0.000421588993017645*G0_1_0_1_0 + 0.0066659266659279*G0_1_0_1_1 + 0.0102272330843778*G0_1_0_1_3 - 0.00670060098631646*G0_1_0_1_4 + 0.00481803910375421*G0_1_0_1_5 - 0.00181532752961356*G0_1_0_1_6 - 0.00109350966493846*G0_1_0_1_7 + 0.00149437863723607*G0_1_0_1_8 + 0.000421588993017628*G0_1_0_2_0 - 0.00666592666592774*G0_1_0_2_2 + 0.00670060098631643*G0_1_0_2_3 - 0.0102272330843777*G0_1_0_2_4 + 0.00109350966493841*G0_1_0_2_5 - 0.00149437863723603*G0_1_0_2_6 - 0.00481803910375421*G0_1_0_2_7 + 0.00181532752961357*G0_1_0_2_8 + 0.00317396888825516*G0_1_0_3_0 + 0.0102272330843778*G0_1_0_3_1 + 0.00670060098631643*G0_1_0_3_2 + 0.0579534750963422*G0_1_0_3_3 - 0.011988011988014*G0_1_0_3_5 + 0.00544598258884067*G0_1_0_3_6 - 0.00952190666476543*G0_1_0_3_7 + 0.0149678892536061*G0_1_0_3_8 + 0.0193178250321141*G0_1_0_3_9 - 0.00317396888825516*G0_1_0_4_0 - 0.00670060098631646*G0_1_0_4_1 - 0.0102272330843777*G0_1_0_4_2 - 0.0579534750963423*G0_1_0_4_4 + 0.00952190666476545*G0_1_0_4_5 - 0.0149678892536061*G0_1_0_4_6 + 0.011988011988014*G0_1_0_4_7 - 0.00544598258884069*G0_1_0_4_8 - 0.0193178250321141*G0_1_0_4_9 + 0.0011632811632813*G0_1_0_5_0 + 0.00481803910375421*G0_1_0_5_1 + 0.00109350966493841*G0_1_0_5_2 - 0.011988011988014*G0_1_0_5_3 + 0.00952190666476545*G0_1_0_5_4 + 0.0655344655344768*G0_1_0_5_5 + 0.00336806051091833*G0_1_0_5_6 - 0.0144541173112626*G0_1_0_5_8 + 0.0289082346225253*G0_1_0_5_9 - 0.00355200355200414*G0_1_0_6_0 - 0.00181532752961356*G0_1_0_6_1 - 0.00149437863723603*G0_1_0_6_2 + 0.00544598258884067*G0_1_0_6_3 - 0.0149678892536061*G0_1_0_6_4 + 0.00336806051091834*G0_1_0_6_5 - 0.0172855715712889*G0_1_0_6_6 + 0.0144541173112626*G0_1_0_6_7 - 0.0111659768802645*G0_1_0_6_9 - 0.0011632811632815*G0_1_0_7_0 - 0.00109350966493846*G0_1_0_7_1 - 0.00481803910375421*G0_1_0_7_2 - 0.00952190666476543*G0_1_0_7_3 + 0.011988011988014*G0_1_0_7_4 + 0.0144541173112626*G0_1_0_7_6 - 0.0655344655344767*G0_1_0_7_7 - 0.00336806051091812*G0_1_0_7_8 - 0.0289082346225252*G0_1_0_7_9 + 0.00355200355200421*G0_1_0_8_0 + 0.00149437863723607*G0_1_0_8_1 + 0.00181532752961357*G0_1_0_8_2 + 0.0149678892536061*G0_1_0_8_3 - 0.00544598258884069*G0_1_0_8_4 - 0.0144541173112626*G0_1_0_8_5 - 0.00336806051091813*G0_1_0_8_7 + 0.0172855715712891*G0_1_0_8_8 + 0.0111659768802646*G0_1_0_8_9 + 0.0193178250321141*G0_1_0_9_3 - 0.0193178250321141*G0_1_0_9_4 + 0.0289082346225253*G0_1_0_9_5 - 0.0111659768802645*G0_1_0_9_6 - 0.0289082346225252*G0_1_0_9_7 + 0.0111659768802646*G0_1_0_9_8 + 0.0329941663275054*G0_1_1_0_0 + 0.00441900251424137*G0_1_1_0_1 + 0.0012701231748853*G0_1_1_0_2 + 0.00185972757401359*G0_1_1_0_3 - 0.00384884956313594*G0_1_1_0_4 + 0.00551448551448648*G0_1_1_0_5 - 0.00631368631368741*G0_1_1_0_6 + 0.058155178155188*G0_1_1_0_7 - 0.0204329004329039*G0_1_1_0_8 + 0.00783216783216916*G0_1_1_0_9 + 0.00441900251424137*G0_1_1_1_0 + 0.00337440337440397*G0_1_1_1_1 - 0.000375427042093777*G0_1_1_1_2 + 0.00902589474018198*G0_1_1_1_3 - 0.00550814265100073*G0_1_1_1_4 - 0.00353107210250125*G0_1_1_1_5 - 0.000583543440686407*G0_1_1_1_6 + 0.00909820338391922*G0_1_1_1_7 - 0.00153116724545323*G0_1_1_1_8 - 0.00653822368108193*G0_1_1_1_9 + 0.0012701231748853*G0_1_1_2_0 - 0.000375427042093777*G0_1_1_2_1 - 0.00672681815539069*G0_1_1_2_2 + 0.00646908646908756*G0_1_1_2_3 - 0.00921998636284509*G0_1_1_2_4 - 0.00538699395842344*G0_1_1_2_5 + 0.000713572142143683*G0_1_1_2_6 + 0.00113854399568703*G0_1_1_2_7 + 0.00176268176268206*G0_1_1_2_8 - 0.00394652966081604*G0_1_1_2_9 + 0.00185972757401359*G0_1_1_3_0 + 0.00902589474018198*G0_1_1_3_1 + 0.00646908646908756*G0_1_1_3_2 + 0.050475239046676*G0_1_1_3_3 + 0.00171828171828206*G0_1_1_3_4 + 0.00184387041529927*G0_1_1_3_5 + 0.00307692307692363*G0_1_1_3_6 - 0.00425288996717648*G0_1_1_3_7 + 0.00821464250035818*G0_1_1_3_8 + 0.0281204509775986*G0_1_1_3_9 - 0.00384884956313594*G0_1_1_4_0 - 0.00550814265100073*G0_1_1_4_1 - 0.00921998636284509*G0_1_1_4_2 + 0.00171828171828206*G0_1_1_4_3 - 0.0540259740259835*G0_1_1_4_4 + 0.0128728414442722*G0_1_1_4_5 - 0.0159497645211959*G0_1_1_4_6 + 0.00340231197374116*G0_1_1_4_7 - 0.00396175253318178*G0_1_1_4_8 - 0.0139060939060963*G0_1_1_4_9 + 0.00551448551448648*G0_1_1_5_0 - 0.00353107210250125*G0_1_1_5_1 - 0.00538699395842344*G0_1_1_5_2 + 0.00184387041529927*G0_1_1_5_3 + 0.0128728414442722*G0_1_1_5_4 - 0.0752847152847277*G0_1_1_5_5 + 0.0332581704010332*G0_1_1_5_6 - 0.00983016983017149*G0_1_1_5_7 + 0.0119195090623682*G0_1_1_5_8 - 0.0473355216212438*G0_1_1_5_9 - 0.00631368631368741*G0_1_1_6_0 - 0.000583543440686407*G0_1_1_6_1 + 0.000713572142143683*G0_1_1_6_2 + 0.00307692307692363*G0_1_1_6_3 - 0.0159497645211959*G0_1_1_6_4 + 0.0332581704010332*G0_1_1_6_5 - 0.0279491936634842*G0_1_1_6_6 - 0.00208933923219668*G0_1_1_6_7 - 0.0024318538604257*G0_1_1_6_8 + 0.00568574282860086*G0_1_1_6_9 + 0.058155178155188*G0_1_1_7_0 + 0.00909820338391922*G0_1_1_7_1 + 0.00113854399568703*G0_1_1_7_2 - 0.00425288996717648*G0_1_1_7_3 + 0.00340231197374116*G0_1_1_7_4 - 0.00983016983017149*G0_1_1_7_5 - 0.00208933923219669*G0_1_1_7_6 + 0.297942057942108*G0_1_1_7_7 - 0.0539574711003373*G0_1_1_7_8 - 0.0193178250321139*G0_1_1_7_9 - 0.0204329004329039*G0_1_1_8_0 - 0.00153116724545322*G0_1_1_8_1 + 0.00176268176268207*G0_1_1_8_2 + 0.00821464250035817*G0_1_1_8_3 - 0.00396175253318178*G0_1_1_8_4 + 0.0119195090623682*G0_1_1_8_5 - 0.0024318538604257*G0_1_1_8_6 - 0.0539574711003373*G0_1_1_8_7 + 0.0246838875410346*G0_1_1_8_8 + 0.0275381761096093*G0_1_1_8_9 + 0.00783216783216916*G0_1_1_9_0 - 0.00653822368108193*G0_1_1_9_1 - 0.00394652966081604*G0_1_1_9_2 + 0.0281204509775986*G0_1_1_9_3 - 0.0139060939060963*G0_1_1_9_4 - 0.0473355216212438*G0_1_1_9_5 + 0.00568574282860086*G0_1_1_9_6 - 0.0193178250321139*G0_1_1_9_7 + 0.0275381761096093*G0_1_1_9_8 - 0.0854916512059515*G0_1_1_9_9;
    A[112] = A[160] - 0.180045880045912*G0_0_0_0_0 - 0.0119945927088805*G0_0_0_0_1 - 0.0028250321107469*G0_0_0_0_2 - 0.0160508539079995*G0_0_0_0_3 + 0.0197704676276139*G0_0_0_0_4 - 0.132304362304385*G0_0_0_0_5 + 0.055268065268075*G0_0_0_0_6 - 0.0501132201132287*G0_0_0_0_7 + 0.00964701964702131*G0_0_0_0_8 - 0.0124675324675347*G0_0_0_0_9 - 0.0119945927088805*G0_0_0_1_0 - 0.182217676503422*G0_0_0_1_1 - 0.00105495034066479*G0_0_0_1_2 - 0.136836972551282*G0_0_0_1_3 + 0.0823609723609864*G0_0_0_1_4 - 0.00987417344560364*G0_0_0_1_5 + 0.0418284096855597*G0_0_0_1_6 + 0.0116221873364752*G0_0_0_1_7 - 0.0571005185290998*G0_0_0_1_8 + 0.016417867846442*G0_0_0_1_9 - 0.00282503211074691*G0_0_0_2_0 - 0.00105495034066479*G0_0_0_2_1 + 0.207620844763737*G0_0_0_2_2 - 0.0798220826792389*G0_0_0_2_3 + 0.151707815993556*G0_0_0_2_4 - 0.0665020693592234*G0_0_0_2_5 + 0.0595333238190481*G0_0_0_2_6 - 0.0183428476285649*G0_0_0_2_7 - 0.0153058845916014*G0_0_0_2_8 - 0.0364521193092683*G0_0_0_2_9 - 0.0160508539079995*G0_0_0_3_0 - 0.136836972551282*G0_0_0_3_1 - 0.0798220826792389*G0_0_0_3_2 - 0.279380619380667*G0_0_0_3_3 - 0.0192514628228946*G0_0_0_3_4 + 0.0307620950478145*G0_0_0_3_5 - 0.109234337091498*G0_0_0_3_6 + 0.0644034536891789*G0_0_0_3_7 - 0.126571999429164*G0_0_0_3_8 - 0.178060510917684*G0_0_0_3_9 + 0.0197704676276139*G0_0_0_4_0 + 0.0823609723609864*G0_0_0_4_1 + 0.151707815993556*G0_0_0_4_2 - 0.0192514628228946*G0_0_0_4_3 + 0.348885400314031*G0_0_0_4_4 - 0.0430605109176611*G0_0_0_4_5 + 0.152294848009159*G0_0_0_4_6 - 0.0102668759811635*G0_0_0_4_7 + 0.0621685457399848*G0_0_0_4_8 + 0.195477379763127*G0_0_0_4_9 - 0.132304362304385*G0_0_0_5_0 - 0.00987417344560364*G0_0_0_5_1 - 0.0665020693592234*G0_0_0_5_2 + 0.0307620950478145*G0_0_0_5_3 - 0.0430605109176611*G0_0_0_5_4 - 0.192107892107925*G0_0_0_5_5 + 0.111178107606698*G0_0_0_5_6 - 0.117152847152867*G0_0_0_5_7 + 0.0458734123019915*G0_0_0_5_8 - 0.0543442272013793*G0_0_0_5_9 + 0.055268065268075*G0_0_0_6_0 + 0.0418284096855597*G0_0_0_6_1 + 0.0595333238190481*G0_0_0_6_2 - 0.109234337091498*G0_0_0_6_3 + 0.152294848009159*G0_0_0_6_4 + 0.111178107606698*G0_0_0_6_5 + 0.617416868845545*G0_0_0_6_6 + 0.0712794348508754*G0_0_0_6_7 - 0.0479092336235274*G0_0_0_6_8 + 0.327825032110802*G0_0_0_6_9 - 0.0501132201132287*G0_0_0_7_0 + 0.0116221873364752*G0_0_0_7_1 - 0.0183428476285649*G0_0_0_7_2 + 0.0644034536891789*G0_0_0_7_3 - 0.0102668759811635*G0_0_0_7_4 - 0.117152847152867*G0_0_0_7_5 + 0.0712794348508754*G0_0_0_7_6 - 0.460399600399677*G0_0_0_7_7 + 0.163736977308433*G0_0_0_7_8 - 0.105156272299147*G0_0_0_7_9 + 0.00964701964702131*G0_0_0_8_0 - 0.0571005185290998*G0_0_0_8_1 - 0.0153058845916014*G0_0_0_8_2 - 0.126571999429164*G0_0_0_8_3 + 0.0621685457399848*G0_0_0_8_4 + 0.0458734123019915*G0_0_0_8_5 - 0.0479092336235275*G0_0_0_8_6 + 0.163736977308433*G0_0_0_8_7 - 0.467181390038612*G0_0_0_8_8 - 0.173590695019296*G0_0_0_8_9 - 0.0124675324675347*G0_0_0_9_0 + 0.016417867846442*G0_0_0_9_1 - 0.0364521193092683*G0_0_0_9_2 - 0.178060510917684*G0_0_0_9_3 + 0.195477379763127*G0_0_0_9_4 - 0.0543442272013793*G0_0_0_9_5 + 0.327825032110802*G0_0_0_9_6 - 0.105156272299147*G0_0_0_9_7 - 0.173590695019296*G0_0_0_9_8 - 0.00354502640216986*G0_0_0_9_9 - 0.00546982118410788*G0_0_1_0_1 + 0.00546982118410784*G0_0_1_0_2 - 0.0194291422862885*G0_0_1_0_3 + 0.0194291422862885*G0_0_1_0_4 + 0.00499167499167571*G0_0_1_0_5 + 0.016150516150519*G0_0_1_0_6 - 0.00499167499167591*G0_0_1_0_7 - 0.0161505161505189*G0_0_1_0_8 - 0.00546982118410788*G0_0_1_1_0 - 0.193833362404824*G0_0_1_1_1 - 0.140778745064483*G0_0_1_1_3 + 0.0801039436753859*G0_0_1_1_4 - 0.00679463393749219*G0_0_1_1_5 + 0.0254788069073827*G0_0_1_1_6 + 0.0255156748013935*G0_0_1_1_7 - 0.0560506160506258*G0_0_1_1_8 + 0.0119922934208668*G0_0_1_1_9 + 0.00546982118410784*G0_0_1_2_0 + 0.193833362404823*G0_0_1_2_2 - 0.0801039436753857*G0_0_1_2_3 + 0.140778745064483*G0_0_1_2_4 - 0.0255156748013934*G0_0_1_2_5 + 0.0560506160506255*G0_0_1_2_6 + 0.00679463393749223*G0_0_1_2_7 - 0.0254788069073826*G0_0_1_2_8 - 0.0119922934208669*G0_0_1_2_9 - 0.0194291422862885*G0_0_1_3_0 - 0.140778745064483*G0_0_1_3_1 - 0.0801039436753857*G0_0_1_3_2 - 0.310742115027882*G0_0_1_3_3 + 0.0393356643356709*G0_0_1_3_5 - 0.0764364207221479*G0_0_1_3_6 + 0.0582874268588653*G0_0_1_3_7 - 0.134723847581013*G0_0_1_3_8 - 0.152551733980331*G0_0_1_3_9 + 0.0194291422862885*G0_0_1_4_0 + 0.0801039436753859*G0_0_1_4_1 + 0.140778745064483*G0_0_1_4_2 + 0.310742115027882*G0_0_1_4_4 - 0.0582874268588653*G0_0_1_4_5 + 0.134723847581013*G0_0_1_4_6 - 0.039335664335671*G0_0_1_4_7 + 0.0764364207221479*G0_0_1_4_8 + 0.152551733980331*G0_0_1_4_9 + 0.00499167499167571*G0_0_1_5_0 - 0.00679463393749219*G0_0_1_5_1 - 0.0255156748013934*G0_0_1_5_2 + 0.0393356643356709*G0_0_1_5_3 - 0.0582874268588653*G0_0_1_5_4 - 0.00011988011987998*G0_0_1_5_5 - 0.0914942200656641*G0_0_1_5_6 + 0.0203839018124767*G0_0_1_5_8 - 0.0407678036249534*G0_0_1_5_9 + 0.016150516150519*G0_0_1_6_0 + 0.0254788069073827*G0_0_1_6_1 + 0.0560506160506255*G0_0_1_6_2 - 0.0764364207221479*G0_0_1_6_3 + 0.134723847581013*G0_0_1_6_4 - 0.0914942200656641*G0_0_1_6_5 + 0.498662765805708*G0_0_1_6_6 - 0.0203839018124766*G0_0_1_6_7 + 0.188849721706897*G0_0_1_6_9 - 0.00499167499167591*G0_0_1_7_0 + 0.0255156748013935*G0_0_1_7_1 + 0.00679463393749223*G0_0_1_7_2 + 0.0582874268588653*G0_0_1_7_3 - 0.039335664335671*G0_0_1_7_4 - 0.0203839018124766*G0_0_1_7_6 + 0.000119880119880175*G0_0_1_7_7 + 0.091494220065664*G0_0_1_7_8 + 0.0407678036249534*G0_0_1_7_9 - 0.0161505161505189*G0_0_1_8_0 - 0.0560506160506257*G0_0_1_8_1 - 0.0254788069073826*G0_0_1_8_2 - 0.134723847581013*G0_0_1_8_3 + 0.0764364207221479*G0_0_1_8_4 + 0.0203839018124767*G0_0_1_8_5 + 0.091494220065664*G0_0_1_8_7 - 0.498662765805708*G0_0_1_8_8 - 0.188849721706897*G0_0_1_8_9 + 0.0119922934208668*G0_0_1_9_1 - 0.0119922934208669*G0_0_1_9_2 - 0.152551733980331*G0_0_1_9_3 + 0.152551733980331*G0_0_1_9_4 - 0.0407678036249534*G0_0_1_9_5 + 0.188849721706897*G0_0_1_9_6 + 0.0407678036249534*G0_0_1_9_7 - 0.188849721706897*G0_0_1_9_8 - 0.00546982118410788*G0_1_0_0_1 + 0.00546982118410784*G0_1_0_0_2 - 0.0194291422862885*G0_1_0_0_3 + 0.0194291422862885*G0_1_0_0_4 + 0.00499167499167571*G0_1_0_0_5 + 0.016150516150519*G0_1_0_0_6 - 0.00499167499167591*G0_1_0_0_7 - 0.0161505161505189*G0_1_0_0_8 - 0.00546982118410788*G0_1_0_1_0 - 0.193833362404824*G0_1_0_1_1 - 0.140778745064483*G0_1_0_1_3 + 0.0801039436753859*G0_1_0_1_4 - 0.00679463393749219*G0_1_0_1_5 + 0.0254788069073827*G0_1_0_1_6 + 0.0255156748013935*G0_1_0_1_7 - 0.0560506160506257*G0_1_0_1_8 + 0.0119922934208668*G0_1_0_1_9 + 0.00546982118410784*G0_1_0_2_0 + 0.193833362404823*G0_1_0_2_2 - 0.0801039436753857*G0_1_0_2_3 + 0.140778745064483*G0_1_0_2_4 - 0.0255156748013934*G0_1_0_2_5 + 0.0560506160506255*G0_1_0_2_6 + 0.00679463393749223*G0_1_0_2_7 - 0.0254788069073826*G0_1_0_2_8 - 0.0119922934208669*G0_1_0_2_9 - 0.0194291422862885*G0_1_0_3_0 - 0.140778745064483*G0_1_0_3_1 - 0.0801039436753857*G0_1_0_3_2 - 0.310742115027882*G0_1_0_3_3 + 0.0393356643356709*G0_1_0_3_5 - 0.0764364207221479*G0_1_0_3_6 + 0.0582874268588653*G0_1_0_3_7 - 0.134723847581013*G0_1_0_3_8 - 0.152551733980331*G0_1_0_3_9 + 0.0194291422862885*G0_1_0_4_0 + 0.0801039436753859*G0_1_0_4_1 + 0.140778745064483*G0_1_0_4_2 + 0.310742115027882*G0_1_0_4_4 - 0.0582874268588653*G0_1_0_4_5 + 0.134723847581013*G0_1_0_4_6 - 0.039335664335671*G0_1_0_4_7 + 0.0764364207221479*G0_1_0_4_8 + 0.152551733980331*G0_1_0_4_9 + 0.00499167499167571*G0_1_0_5_0 - 0.00679463393749219*G0_1_0_5_1 - 0.0255156748013934*G0_1_0_5_2 + 0.0393356643356709*G0_1_0_5_3 - 0.0582874268588653*G0_1_0_5_4 - 0.000119880119879984*G0_1_0_5_5 - 0.0914942200656641*G0_1_0_5_6 + 0.0203839018124767*G0_1_0_5_8 - 0.0407678036249534*G0_1_0_5_9 + 0.016150516150519*G0_1_0_6_0 + 0.0254788069073827*G0_1_0_6_1 + 0.0560506160506255*G0_1_0_6_2 - 0.0764364207221479*G0_1_0_6_3 + 0.134723847581013*G0_1_0_6_4 - 0.0914942200656641*G0_1_0_6_5 + 0.498662765805708*G0_1_0_6_6 - 0.0203839018124766*G0_1_0_6_7 + 0.188849721706897*G0_1_0_6_9 - 0.00499167499167591*G0_1_0_7_0 + 0.0255156748013935*G0_1_0_7_1 + 0.00679463393749223*G0_1_0_7_2 + 0.0582874268588653*G0_1_0_7_3 - 0.039335664335671*G0_1_0_7_4 - 0.0203839018124766*G0_1_0_7_6 + 0.000119880119880175*G0_1_0_7_7 + 0.091494220065664*G0_1_0_7_8 + 0.0407678036249534*G0_1_0_7_9 - 0.0161505161505189*G0_1_0_8_0 - 0.0560506160506257*G0_1_0_8_1 - 0.0254788069073826*G0_1_0_8_2 - 0.134723847581013*G0_1_0_8_3 + 0.0764364207221479*G0_1_0_8_4 + 0.0203839018124767*G0_1_0_8_5 + 0.091494220065664*G0_1_0_8_7 - 0.498662765805708*G0_1_0_8_8 - 0.188849721706897*G0_1_0_8_9 + 0.0119922934208668*G0_1_0_9_1 - 0.0119922934208669*G0_1_0_9_2 - 0.152551733980331*G0_1_0_9_3 + 0.152551733980331*G0_1_0_9_4 - 0.0407678036249534*G0_1_0_9_5 + 0.188849721706897*G0_1_0_9_6 + 0.0407678036249534*G0_1_0_9_7 - 0.188849721706897*G0_1_0_9_8 + 0.180045880045911*G0_1_1_0_0 + 0.00282503211074684*G0_1_1_0_1 + 0.0119945927088805*G0_1_1_0_2 - 0.019770467627614*G0_1_1_0_3 + 0.0160508539079996*G0_1_1_0_4 + 0.0501132201132286*G0_1_1_0_5 - 0.00964701964702114*G0_1_1_0_6 + 0.132304362304385*G0_1_1_0_7 - 0.0552680652680747*G0_1_1_0_8 + 0.0124675324675347*G0_1_1_0_9 + 0.00282503211074684*G0_1_1_1_0 - 0.207620844763737*G0_1_1_1_1 + 0.00105495034066482*G0_1_1_1_2 - 0.151707815993556*G0_1_1_1_3 + 0.0798220826792391*G0_1_1_1_4 + 0.018342847628565*G0_1_1_1_5 + 0.0153058845916015*G0_1_1_1_6 + 0.0665020693592236*G0_1_1_1_7 - 0.0595333238190484*G0_1_1_1_8 + 0.0364521193092683*G0_1_1_1_9 + 0.0119945927088805*G0_1_1_2_0 + 0.00105495034066482*G0_1_1_2_1 + 0.182217676503421*G0_1_1_2_2 - 0.0823609723609862*G0_1_1_2_3 + 0.136836972551281*G0_1_1_2_4 - 0.011622187336475*G0_1_1_2_5 + 0.0571005185290996*G0_1_1_2_6 + 0.00987417344560366*G0_1_1_2_7 - 0.0418284096855596*G0_1_1_2_8 - 0.0164178678464421*G0_1_1_2_9 - 0.019770467627614*G0_1_1_3_0 - 0.151707815993556*G0_1_1_3_1 - 0.0823609723609862*G0_1_1_3_2 - 0.348885400314031*G0_1_1_3_3 + 0.0192514628228947*G0_1_1_3_4 + 0.0102668759811635*G0_1_1_3_5 - 0.0621685457399847*G0_1_1_3_6 + 0.0430605109176611*G0_1_1_3_7 - 0.152294848009159*G0_1_1_3_8 - 0.195477379763127*G0_1_1_3_9 + 0.0160508539079996*G0_1_1_4_0 + 0.0798220826792391*G0_1_1_4_1 + 0.136836972551281*G0_1_1_4_2 + 0.0192514628228947*G0_1_1_4_3 + 0.279380619380667*G0_1_1_4_4 - 0.0644034536891789*G0_1_1_4_5 + 0.126571999429164*G0_1_1_4_6 - 0.0307620950478145*G0_1_1_4_7 + 0.109234337091498*G0_1_1_4_8 + 0.178060510917684*G0_1_1_4_9 + 0.0501132201132286*G0_1_1_5_0 + 0.018342847628565*G0_1_1_5_1 - 0.011622187336475*G0_1_1_5_2 + 0.0102668759811635*G0_1_1_5_3 - 0.0644034536891789*G0_1_1_5_4 + 0.460399600399678*G0_1_1_5_5 - 0.163736977308434*G0_1_1_5_6 + 0.117152847152867*G0_1_1_5_7 - 0.0712794348508753*G0_1_1_5_8 + 0.105156272299147*G0_1_1_5_9 - 0.00964701964702114*G0_1_1_6_0 + 0.0153058845916015*G0_1_1_6_1 + 0.0571005185290996*G0_1_1_6_2 - 0.0621685457399847*G0_1_1_6_3 + 0.126571999429164*G0_1_1_6_4 - 0.163736977308434*G0_1_1_6_5 + 0.467181390038612*G0_1_1_6_6 - 0.0458734123019914*G0_1_1_6_7 + 0.0479092336235274*G0_1_1_6_8 + 0.173590695019296*G0_1_1_6_9 + 0.132304362304385*G0_1_1_7_0 + 0.0665020693592236*G0_1_1_7_1 + 0.00987417344560366*G0_1_1_7_2 + 0.0430605109176611*G0_1_1_7_3 - 0.0307620950478145*G0_1_1_7_4 + 0.117152847152867*G0_1_1_7_5 - 0.0458734123019914*G0_1_1_7_6 + 0.192107892107924*G0_1_1_7_7 - 0.111178107606698*G0_1_1_7_8 + 0.0543442272013792*G0_1_1_7_9 - 0.0552680652680747*G0_1_1_8_0 - 0.0595333238190484*G0_1_1_8_1 - 0.0418284096855596*G0_1_1_8_2 - 0.152294848009159*G0_1_1_8_3 + 0.109234337091498*G0_1_1_8_4 - 0.0712794348508753*G0_1_1_8_5 + 0.0479092336235274*G0_1_1_8_6 - 0.111178107606698*G0_1_1_8_7 - 0.617416868845545*G0_1_1_8_8 - 0.327825032110802*G0_1_1_8_9 + 0.0124675324675347*G0_1_1_9_0 + 0.0364521193092683*G0_1_1_9_1 - 0.0164178678464421*G0_1_1_9_2 - 0.195477379763127*G0_1_1_9_3 + 0.178060510917684*G0_1_1_9_4 + 0.105156272299147*G0_1_1_9_5 + 0.173590695019296*G0_1_1_9_6 + 0.0543442272013792*G0_1_1_9_7 - 0.327825032110802*G0_1_1_9_8 + 0.00354502640216942*G0_1_1_9_9;
    A[210] = A[14] - 0.000797104130437604*G0_0_1_0_1 + 0.000801544134877603*G0_0_1_0_2 + 0.000493950493950587*G0_0_1_0_3 - 0.000498390498390587*G0_0_1_0_4 + 0.0109668109668128*G0_0_1_0_5 - 0.00674880674880789*G0_0_1_0_6 - 0.0109668109668128*G0_0_1_0_7 + 0.00275280275280323*G0_0_1_0_8 + 0.00399600399600467*G0_0_1_0_9 - 0.000797104130437604*G0_0_1_1_0 + 0.000273025034929861*G0_0_1_1_1 - 0.000408321836893327*G0_0_1_1_3 + 0.000216291644863099*G0_0_1_1_4 + 0.00124462838748574*G0_0_1_1_5 - 0.00139891854177592*G0_0_1_1_6 - 0.0022269793698369*G0_0_1_1_7 - 0.00142825428539737*G0_0_1_1_8 - 0.00371628371628435*G0_0_1_1_9 + 0.000801544134877603*G0_0_1_2_0 + 0.0023729357062694*G0_0_1_2_2 + 0.00094556237413391*G0_0_1_2_4 + 0.00223522509236832*G0_0_1_2_5 - 0.00435770578627795*G0_0_1_2_6 - 0.000133992991135872*G0_0_1_2_7 + 0.000287014572728908*G0_0_1_2_8 - 0.00133390419104728*G0_0_1_2_9 + 0.000493950493950587*G0_0_1_3_0 - 0.000408321836893327*G0_0_1_3_1 - 0.00175538746967352*G0_0_1_3_3 - 0.00102754388468687*G0_0_1_3_4 - 0.00287141429998621*G0_0_1_3_5 + 0.00472384758099123*G0_0_1_3_6 - 0.000954759526188249*G0_0_1_3_7 + 0.00128871128871151*G0_0_1_3_8 + 0.0130583702012296*G0_0_1_3_9 - 0.000498390498390587*G0_0_1_4_0 + 0.000216291644863099*G0_0_1_4_1 + 0.000945562374133908*G0_0_1_4_2 - 0.00102754388468687*G0_0_1_4_3 - 0.000299700299700445*G0_0_1_4_4 + 0.00202226345083522*G0_0_1_4_5 - 0.00674611103182646*G0_0_1_4_6 + 0.00068502925645794*G0_0_1_4_7 - 0.000333951762523249*G0_0_1_4_8 + 0.0109668109668128*G0_0_1_5_0 + 0.00124462838748574*G0_0_1_5_1 + 0.00223522509236832*G0_0_1_5_2 - 0.00287141429998621*G0_0_1_5_3 + 0.00202226345083522*G0_0_1_5_4 + 0.0271928071928118*G0_0_1_5_5 + 0.00438561438561516*G0_0_1_5_6 + 0.00227772227772264*G0_0_1_5_7 - 0.00320679320679373*G0_0_1_5_8 - 0.00557442557442654*G0_0_1_5_9 - 0.00674880674880789*G0_0_1_6_0 - 0.00139891854177592*G0_0_1_6_1 - 0.00435770578627795*G0_0_1_6_2 + 0.00472384758099123*G0_0_1_6_3 - 0.00674611103182646*G0_0_1_6_4 + 0.00438561438561516*G0_0_1_6_5 - 0.0318824033109801*G0_0_1_6_6 + 0.000929070929071096*G0_0_1_6_7 + 0.00140430997573877*G0_0_1_6_8 - 0.00544598258884061*G0_0_1_6_9 - 0.0109668109668128*G0_0_1_7_0 - 0.0022269793698369*G0_0_1_7_1 - 0.000133992991135872*G0_0_1_7_2 - 0.000954759526188249*G0_0_1_7_3 + 0.00068502925645794*G0_0_1_7_4 + 0.00227772227772264*G0_0_1_7_5 + 0.000929070929071095*G0_0_1_7_6 - 0.0317482517482572*G0_0_1_7_7 + 0.0173126873126902*G0_0_1_7_8 - 0.0138461538461562*G0_0_1_7_9 + 0.00275280275280323*G0_0_1_8_0 - 0.00142825428539737*G0_0_1_8_1 + 0.000287014572728908*G0_0_1_8_2 + 0.00128871128871151*G0_0_1_8_3 - 0.000333951762523248*G0_0_1_8_4 - 0.00320679320679373*G0_0_1_8_5 + 0.00140430997573877*G0_0_1_8_6 + 0.0173126873126902*G0_0_1_8_7 - 0.010383901812475*G0_0_1_8_8 + 0.0118167546738995*G0_0_1_8_9 + 0.00399600399600467*G0_0_1_9_0 - 0.00371628371628435*G0_0_1_9_1 - 0.00133390419104728*G0_0_1_9_2 + 0.0130583702012296*G0_0_1_9_3 - 0.00557442557442654*G0_0_1_9_5 - 0.00544598258884061*G0_0_1_9_6 - 0.0138461538461562*G0_0_1_9_7 + 0.0118167546738995*G0_0_1_9_8 + 0.0267161410018598*G0_0_1_9_9 + 0.000797104130437604*G0_1_0_0_1 - 0.000801544134877603*G0_1_0_0_2 - 0.000493950493950587*G0_1_0_0_3 + 0.000498390498390587*G0_1_0_0_4 - 0.0109668109668128*G0_1_0_0_5 + 0.00674880674880789*G0_1_0_0_6 + 0.0109668109668128*G0_1_0_0_7 - 0.00275280275280323*G0_1_0_0_8 - 0.00399600399600467*G0_1_0_0_9 + 0.000797104130437604*G0_1_0_1_0 - 0.000273025034929861*G0_1_0_1_1 + 0.000408321836893326*G0_1_0_1_3 - 0.000216291644863098*G0_1_0_1_4 - 0.00124462838748574*G0_1_0_1_5 + 0.00139891854177592*G0_1_0_1_6 + 0.0022269793698369*G0_1_0_1_7 + 0.00142825428539737*G0_1_0_1_8 + 0.00371628371628435*G0_1_0_1_9 - 0.000801544134877603*G0_1_0_2_0 - 0.0023729357062694*G0_1_0_2_2 - 0.000945562374133912*G0_1_0_2_4 - 0.00223522509236832*G0_1_0_2_5 + 0.00435770578627795*G0_1_0_2_6 + 0.000133992991135872*G0_1_0_2_7 - 0.000287014572728908*G0_1_0_2_8 + 0.00133390419104728*G0_1_0_2_9 - 0.000493950493950587*G0_1_0_3_0 + 0.000408321836893326*G0_1_0_3_1 + 0.00175538746967351*G0_1_0_3_3 + 0.00102754388468688*G0_1_0_3_4 + 0.00287141429998621*G0_1_0_3_5 - 0.00472384758099123*G0_1_0_3_6 + 0.000954759526188249*G0_1_0_3_7 - 0.00128871128871151*G0_1_0_3_8 - 0.0130583702012296*G0_1_0_3_9 + 0.000498390498390587*G0_1_0_4_0 - 0.000216291644863098*G0_1_0_4_1 - 0.00094556237413391*G0_1_0_4_2 + 0.00102754388468688*G0_1_0_4_3 + 0.000299700299700445*G0_1_0_4_4 - 0.00202226345083522*G0_1_0_4_5 + 0.00674611103182646*G0_1_0_4_6 - 0.00068502925645794*G0_1_0_4_7 + 0.000333951762523248*G0_1_0_4_8 - 0.0109668109668128*G0_1_0_5_0 - 0.00124462838748574*G0_1_0_5_1 - 0.00223522509236832*G0_1_0_5_2 + 0.00287141429998621*G0_1_0_5_3 - 0.00202226345083522*G0_1_0_5_4 - 0.0271928071928118*G0_1_0_5_5 - 0.00438561438561516*G0_1_0_5_6 - 0.00227772227772264*G0_1_0_5_7 + 0.00320679320679373*G0_1_0_5_8 + 0.00557442557442654*G0_1_0_5_9 + 0.00674880674880789*G0_1_0_6_0 + 0.00139891854177592*G0_1_0_6_1 + 0.00435770578627795*G0_1_0_6_2 - 0.00472384758099123*G0_1_0_6_3 + 0.00674611103182646*G0_1_0_6_4 - 0.00438561438561516*G0_1_0_6_5 + 0.0318824033109801*G0_1_0_6_6 - 0.000929070929071097*G0_1_0_6_7 - 0.00140430997573877*G0_1_0_6_8 + 0.00544598258884061*G0_1_0_6_9 + 0.0109668109668128*G0_1_0_7_0 + 0.0022269793698369*G0_1_0_7_1 + 0.000133992991135872*G0_1_0_7_2 + 0.000954759526188248*G0_1_0_7_3 - 0.00068502925645794*G0_1_0_7_4 - 0.00227772227772264*G0_1_0_7_5 - 0.000929070929071095*G0_1_0_7_6 + 0.0317482517482572*G0_1_0_7_7 - 0.0173126873126902*G0_1_0_7_8 + 0.0138461538461562*G0_1_0_7_9 - 0.00275280275280323*G0_1_0_8_0 + 0.00142825428539737*G0_1_0_8_1 - 0.000287014572728908*G0_1_0_8_2 - 0.00128871128871151*G0_1_0_8_3 + 0.000333951762523248*G0_1_0_8_4 + 0.00320679320679373*G0_1_0_8_5 - 0.00140430997573877*G0_1_0_8_6 - 0.0173126873126902*G0_1_0_8_7 + 0.010383901812475*G0_1_0_8_8 - 0.0118167546738995*G0_1_0_8_9 - 0.00399600399600467*G0_1_0_9_0 + 0.00371628371628435*G0_1_0_9_1 + 0.00133390419104728*G0_1_0_9_2 - 0.0130583702012296*G0_1_0_9_3 + 0.00557442557442654*G0_1_0_9_5 + 0.00544598258884061*G0_1_0_9_6 + 0.0138461538461562*G0_1_0_9_7 - 0.0118167546738995*G0_1_0_9_8 - 0.0267161410018598*G0_1_0_9_9;
    A[17] = 0.000626774019631273*G0_0_1_0_0 - 0.000620316081625717*G0_0_1_0_1 - 0.000620316081625712*G0_0_1_0_2 - 2.49915428487123e-06*G0_0_1_0_3 - 2.49915428486799e-06*G0_0_1_0_4 + 0.000135291296005608*G0_0_1_0_5 - 0.000873214087499952*G0_0_1_0_6 + 0.000135291296005611*G0_0_1_0_7 - 0.000873214087499958*G0_0_1_0_8 - 0.000436963829821046*G0_0_1_0_9 - 0.000620316081625717*G0_0_1_1_0 - 0.0108191962358648*G0_0_1_1_1 - 0.000523948604305839*G0_0_1_1_2 - 0.00189433251933287*G0_0_1_1_3 + 0.00115463240463261*G0_0_1_1_4 + 0.000174902808831416*G0_0_1_1_5 - 0.000227512236440849*G0_0_1_1_6 + 0.00269179894179942*G0_0_1_1_7 - 0.00659231971732089*G0_0_1_1_8 - 0.000290959040959097*G0_0_1_1_9 - 0.000620316081625712*G0_0_1_2_0 - 0.000523948604305839*G0_0_1_2_1 - 0.0108191962358647*G0_0_1_2_2 + 0.00115463240463259*G0_0_1_2_3 - 0.00189433251933284*G0_0_1_2_4 + 0.00269179894179939*G0_0_1_2_5 - 0.00659231971732082*G0_0_1_2_6 + 0.00017490280883141*G0_0_1_2_7 - 0.000227512236440849*G0_0_1_2_8 - 0.000290959040959089*G0_0_1_2_9 - 2.49915428487123e-06*G0_0_1_3_0 - 0.00189433251933287*G0_0_1_3_1 + 0.0011546324046326*G0_0_1_3_2 + 0.00248709623709665*G0_0_1_3_3 - 0.000727858451072852*G0_0_1_3_4 - 0.000513325959754615*G0_0_1_3_5 + 0.00119197766519215*G0_0_1_3_6 + 0.000516938418724229*G0_0_1_3_7 - 0.00170891608391639*G0_0_1_3_8 - 0.000160999714571169*G0_0_1_3_9 - 2.49915428486801e-06*G0_0_1_4_0 + 0.00115463240463261*G0_0_1_4_1 - 0.00189433251933284*G0_0_1_4_2 - 0.000727858451072852*G0_0_1_4_3 + 0.00248709623709665*G0_0_1_4_4 + 0.000516938418724219*G0_0_1_4_5 - 0.00170891608391637*G0_0_1_4_6 - 0.000513325959754622*G0_0_1_4_7 + 0.00119197766519216*G0_0_1_4_8 - 0.000160999714571171*G0_0_1_4_9 + 0.000135291296005608*G0_0_1_5_0 + 0.000174902808831416*G0_0_1_5_1 + 0.00269179894179939*G0_0_1_5_2 - 0.000513325959754615*G0_0_1_5_3 + 0.000516938418724219*G0_0_1_5_4 - 0.00261839351125108*G0_0_1_5_5 + 0.00481814316635826*G0_0_1_5_6 + 3.05349412492319e-05*G0_0_1_5_7 - 1.52674706246116e-05*G0_0_1_5_8 + 0.00134142643071237*G0_0_1_5_9 - 0.000873214087499952*G0_0_1_6_0 - 0.000227512236440849*G0_0_1_6_1 - 0.00659231971732082*G0_0_1_6_2 + 0.00119197766519215*G0_0_1_6_3 - 0.00170891608391637*G0_0_1_6_4 + 0.00481814316635826*G0_0_1_6_5 - 0.0107513320013338*G0_0_1_6_6 - 1.52674706246164e-05*G0_0_1_6_7 + 0.000427816231387729*G0_0_1_6_8 - 0.00151107820750703*G0_0_1_6_9 + 0.000135291296005611*G0_0_1_7_0 + 0.00269179894179942*G0_0_1_7_1 + 0.00017490280883141*G0_0_1_7_2 + 0.000516938418724228*G0_0_1_7_3 - 0.000513325959754622*G0_0_1_7_4 + 3.05349412492319e-05*G0_0_1_7_5 - 1.52674706246164e-05*G0_0_1_7_6 - 0.0026183935112511*G0_0_1_7_7 + 0.00481814316635829*G0_0_1_7_8 + 0.00134142643071237*G0_0_1_7_9 - 0.000873214087499958*G0_0_1_8_0 - 0.00659231971732089*G0_0_1_8_1 - 0.000227512236440849*G0_0_1_8_2 - 0.00170891608391639*G0_0_1_8_3 + 0.00119197766519216*G0_0_1_8_4 - 1.52674706246116e-05*G0_0_1_8_5 + 0.000427816231387729*G0_0_1_8_6 + 0.00481814316635829*G0_0_1_8_7 - 0.0107513320013339*G0_0_1_8_8 - 0.00151107820750704*G0_0_1_8_9 - 0.000436963829821046*G0_0_1_9_0 - 0.000290959040959097*G0_0_1_9_1 - 0.000290959040959089*G0_0_1_9_2 - 0.000160999714571169*G0_0_1_9_3 - 0.000160999714571171*G0_0_1_9_4 + 0.00134142643071237*G0_0_1_9_5 - 0.00151107820750703*G0_0_1_9_6 + 0.00134142643071237*G0_0_1_9_7 - 0.00151107820750704*G0_0_1_9_8 - 0.00183352361923822*G0_0_1_9_9;
    A[2] = -A[17] + 0.011445970255496*G0_0_1_0_0 - 0.000177401963116286*G0_0_1_0_3 + 0.000225013082155981*G0_0_1_0_4 + 0.00202962381533845*G0_0_1_0_5 - 0.00202784649213255*G0_0_1_0_6 + 0.00672761101332644*G0_0_1_0_7 - 0.00356501302929936*G0_0_1_0_8 - 0.000146004788861948*G0_0_1_0_9 - 0.0114459702554961*G0_0_1_1_1 - 0.00202962381533848*G0_0_1_1_3 + 0.00202784649213256*G0_0_1_1_4 + 0.000177401963116286*G0_0_1_1_5 - 0.000225013082155981*G0_0_1_1_6 + 0.00356501302929937*G0_0_1_1_7 - 0.00672761101332649*G0_0_1_1_8 + 0.00014600478886195*G0_0_1_1_9 - 0.0015371665371668*G0_0_1_2_3 + 0.00469798719798799*G0_0_1_2_4 + 0.00153716653716679*G0_0_1_2_5 - 0.00469798719798798*G0_0_1_2_6 + 0.000402415045272256*G0_0_1_2_7 - 0.000402415045272258*G0_0_1_2_8 - 0.000177401963116286*G0_0_1_3_0 - 0.00202962381533848*G0_0_1_3_1 - 0.0015371665371668*G0_0_1_3_2 + 0.00510548974834775*G0_0_1_3_3 - 0.00554600161743111*G0_0_1_3_4 + 0.000675039246467929*G0_0_1_3_6 + 0.000532205889348839*G0_0_1_3_7 - 0.00173945102516562*G0_0_1_3_8 - 0.00150242614528354*G0_0_1_3_9 + 0.000225013082155981*G0_0_1_4_0 + 0.00202784649213256*G0_0_1_4_1 + 0.00469798719798799*G0_0_1_4_2 - 0.00554600161743111*G0_0_1_4_3 + 0.0132384282384305*G0_0_1_4_4 - 0.000675039246467933*G0_0_1_4_5 - 0.000941142191142353*G0_0_1_4_7 + 0.00120724513581678*G0_0_1_4_8 + 0.00135007849293586*G0_0_1_4_9 + 0.00202962381533845*G0_0_1_5_0 + 0.000177401963116286*G0_0_1_5_1 + 0.00153716653716679*G0_0_1_5_2 - 0.000675039246467934*G0_0_1_5_4 - 0.00510548974834773*G0_0_1_5_5 + 0.00554600161743111*G0_0_1_5_6 + 0.0017394510251656*G0_0_1_5_7 - 0.000532205889348833*G0_0_1_5_8 + 0.00150242614528354*G0_0_1_5_9 - 0.00202784649213255*G0_0_1_6_0 - 0.000225013082155981*G0_0_1_6_1 - 0.00469798719798798*G0_0_1_6_2 + 0.000675039246467929*G0_0_1_6_3 + 0.00554600161743112*G0_0_1_6_5 - 0.0132384282384305*G0_0_1_6_6 - 0.00120724513581677*G0_0_1_6_7 + 0.000941142191142346*G0_0_1_6_8 - 0.00135007849293586*G0_0_1_6_9 + 0.00672761101332644*G0_0_1_7_0 + 0.00356501302929937*G0_0_1_7_1 + 0.000402415045272256*G0_0_1_7_2 + 0.000532205889348839*G0_0_1_7_3 - 0.000941142191142352*G0_0_1_7_4 + 0.0017394510251656*G0_0_1_7_5 - 0.00120724513581677*G0_0_1_7_6 + 0.00813293849008271*G0_0_1_7_7 + 0.00285250463821941*G0_0_1_7_9 - 0.00356501302929936*G0_0_1_8_0 - 0.00672761101332649*G0_0_1_8_1 - 0.000402415045272257*G0_0_1_8_2 - 0.00173945102516562*G0_0_1_8_3 + 0.00120724513581678*G0_0_1_8_4 - 0.000532205889348833*G0_0_1_8_5 + 0.000941142191142346*G0_0_1_8_6 - 0.00813293849008276*G0_0_1_8_8 - 0.00285250463821941*G0_0_1_8_9 - 0.000146004788861948*G0_0_1_9_0 + 0.00014600478886195*G0_0_1_9_1 - 0.00150242614528354*G0_0_1_9_3 + 0.00135007849293586*G0_0_1_9_4 + 0.00150242614528354*G0_0_1_9_5 - 0.00135007849293586*G0_0_1_9_6 + 0.00285250463821941*G0_0_1_9_7 - 0.00285250463821941*G0_0_1_9_8 + 0.0108191962358647*G0_1_1_0_0 + 0.000620316081625712*G0_1_1_0_1 + 0.00052394860430584*G0_1_1_0_2 - 0.000174902808831416*G0_1_1_0_3 + 0.000227512236440852*G0_1_1_0_4 + 0.00189433251933284*G0_1_1_0_5 - 0.0011546324046326*G0_1_1_0_6 + 0.00659231971732084*G0_1_1_0_7 - 0.0026917989417994*G0_1_1_0_8 + 0.000290959040959099*G0_1_1_0_9 + 0.000620316081625712*G0_1_1_1_0 - 0.00062677401963128*G0_1_1_1_1 + 0.000620316081625715*G0_1_1_1_2 - 0.000135291296005611*G0_1_1_1_3 + 0.000873214087499956*G0_1_1_1_4 + 0.000873214087499954*G0_1_1_1_7 - 0.000135291296005612*G0_1_1_1_8 + 0.000436963829821047*G0_1_1_1_9 + 0.00052394860430584*G0_1_1_2_0 + 0.000620316081625715*G0_1_1_2_1 + 0.0108191962358648*G0_1_1_2_2 - 0.00269179894179941*G0_1_1_2_3 + 0.00659231971732087*G0_1_1_2_4 - 0.00115463240463262*G0_1_1_2_5 + 0.00189433251933288*G0_1_1_2_6 + 0.000227512236440846*G0_1_1_2_7 - 0.00017490280883141*G0_1_1_2_8 + 0.000290959040959094*G0_1_1_2_9 - 0.000174902808831416*G0_1_1_3_0 - 0.000135291296005611*G0_1_1_3_1 - 0.00269179894179941*G0_1_1_3_2 + 0.00261839351125111*G0_1_1_3_3 - 0.00481814316635828*G0_1_1_3_4 + 0.00051332595975462*G0_1_1_3_5 - 0.000516938418724229*G0_1_1_3_6 - 0.00134142643071237*G0_1_1_3_9 + 0.000227512236440852*G0_1_1_4_0 + 0.000873214087499956*G0_1_1_4_1 + 0.00659231971732087*G0_1_1_4_2 - 0.00481814316635828*G0_1_1_4_3 + 0.0107513320013339*G0_1_1_4_4 - 0.00119197766519216*G0_1_1_4_5 + 0.00170891608391639*G0_1_1_4_6 - 0.000427816231387732*G0_1_1_4_7 + 0.00151107820750704*G0_1_1_4_9 + 0.00189433251933284*G0_1_1_5_0 - 0.00115463240463262*G0_1_1_5_2 + 0.00051332595975462*G0_1_1_5_3 - 0.00119197766519216*G0_1_1_5_4 - 0.00248709623709664*G0_1_1_5_5 + 0.00072785845107284*G0_1_1_5_6 + 0.00170891608391637*G0_1_1_5_7 - 0.000516938418724222*G0_1_1_5_8 + 0.000160999714571166*G0_1_1_5_9 - 0.0011546324046326*G0_1_1_6_0 + 0.00189433251933288*G0_1_1_6_2 - 0.000516938418724229*G0_1_1_6_3 + 0.00170891608391639*G0_1_1_6_4 + 0.00072785845107284*G0_1_1_6_5 - 0.00248709623709662*G0_1_1_6_6 - 0.00119197766519215*G0_1_1_6_7 + 0.000513325959754618*G0_1_1_6_8 + 0.000160999714571176*G0_1_1_6_9 + 0.00659231971732084*G0_1_1_7_0 + 0.000873214087499954*G0_1_1_7_1 + 0.000227512236440846*G0_1_1_7_2 - 0.000427816231387732*G0_1_1_7_4 + 0.00170891608391637*G0_1_1_7_5 - 0.00119197766519215*G0_1_1_7_6 + 0.0107513320013338*G0_1_1_7_7 - 0.00481814316635827*G0_1_1_7_8 + 0.00151107820750704*G0_1_1_7_9 - 0.0026917989417994*G0_1_1_8_0 - 0.000135291296005612*G0_1_1_8_1 - 0.00017490280883141*G0_1_1_8_2 - 0.000516938418724222*G0_1_1_8_5 + 0.000513325959754618*G0_1_1_8_6 - 0.00481814316635827*G0_1_1_8_7 + 0.00261839351125108*G0_1_1_8_8 - 0.00134142643071237*G0_1_1_8_9 + 0.000290959040959099*G0_1_1_9_0 + 0.000436963829821047*G0_1_1_9_1 + 0.000290959040959094*G0_1_1_9_2 - 0.00134142643071237*G0_1_1_9_3 + 0.00151107820750704*G0_1_1_9_4 + 0.000160999714571166*G0_1_1_9_5 + 0.000160999714571176*G0_1_1_9_6 + 0.00151107820750704*G0_1_1_9_7 - 0.00134142643071237*G0_1_1_9_8 + 0.00183352361923823*G0_1_1_9_9;
    A[134] = -A[89] - 0.0061579337769826*G0_1_0_0_0 + 0.00099258765925452*G0_1_0_0_2 - 0.000989486703772596*G0_1_0_0_3 - 0.0254145854145898*G0_1_0_0_4 - 0.00129140700569298*G0_1_0_0_5 - 0.000461760461760412*G0_1_0_0_6 - 0.00174809317666501*G0_1_0_0_7 + 0.00212612784041398*G0_1_0_0_8 - 0.015283763855195*G0_1_0_0_9 + 0.00615793377698253*G0_1_0_1_1 - 0.000992587659254466*G0_1_0_1_2 + 0.00129140700569296*G0_1_0_1_3 + 0.000461760461760493*G0_1_0_1_4 + 0.000989486703772584*G0_1_0_1_5 + 0.0254145854145898*G0_1_0_1_6 - 0.00212612784041395*G0_1_0_1_7 + 0.00174809317666496*G0_1_0_1_8 + 0.015283763855195*G0_1_0_1_9 + 0.00099258765925452*G0_1_0_2_0 - 0.000992587659254466*G0_1_0_2_1 + 0.0046176046176053*G0_1_0_2_3 + 0.0174048174048206*G0_1_0_2_4 - 0.00461760461760554*G0_1_0_2_5 - 0.0174048174048201*G0_1_0_2_6 - 0.00250416250416295*G0_1_0_2_7 + 0.00250416250416293*G0_1_0_2_8 - 0.000989486703772596*G0_1_0_3_0 + 0.00129140700569296*G0_1_0_3_1 + 0.0046176046176053*G0_1_0_3_2 - 0.037722277722284*G0_1_0_3_3 - 0.00367632367632438*G0_1_0_3_4 - 0.0762437562437691*G0_1_0_3_6 + 0.00296846011131773*G0_1_0_3_7 + 0.00454402740117105*G0_1_0_3_8 - 0.0517882117882205*G0_1_0_3_9 - 0.0254145854145898*G0_1_0_4_0 + 0.000461760461760493*G0_1_0_4_1 + 0.0174048174048206*G0_1_0_4_2 - 0.00367632367632438*G0_1_0_4_3 - 0.602597402597505*G0_1_0_4_4 + 0.0762437562437691*G0_1_0_4_5 + 0.041878121878129*G0_1_0_4_7 - 0.00751248751248877*G0_1_0_4_8 - 0.152487512487538*G0_1_0_4_9 - 0.00129140700569299*G0_1_0_5_0 + 0.000989486703772583*G0_1_0_5_1 - 0.00461760461760554*G0_1_0_5_2 + 0.0762437562437691*G0_1_0_5_4 + 0.0377222777222842*G0_1_0_5_5 + 0.00367632367632428*G0_1_0_5_6 - 0.00454402740117109*G0_1_0_5_7 - 0.00296846011131775*G0_1_0_5_8 + 0.0517882117882206*G0_1_0_5_9 - 0.000461760461760412*G0_1_0_6_0 + 0.0254145854145898*G0_1_0_6_1 - 0.0174048174048201*G0_1_0_6_2 - 0.0762437562437691*G0_1_0_6_3 + 0.00367632367632429*G0_1_0_6_5 + 0.602597402597506*G0_1_0_6_6 + 0.00751248751248891*G0_1_0_6_7 - 0.0418781218781289*G0_1_0_6_8 + 0.152487512487538*G0_1_0_6_9 - 0.00174809317666501*G0_1_0_7_0 - 0.00212612784041395*G0_1_0_7_1 - 0.00250416250416295*G0_1_0_7_2 + 0.00296846011131773*G0_1_0_7_3 + 0.041878121878129*G0_1_0_7_4 - 0.00454402740117109*G0_1_0_7_5 + 0.00751248751248891*G0_1_0_7_6 - 0.016851719708866*G0_1_0_7_7 + 0.0308263165406074*G0_1_0_7_9 + 0.00212612784041398*G0_1_0_8_0 + 0.00174809317666496*G0_1_0_8_1 + 0.00250416250416293*G0_1_0_8_2 + 0.00454402740117105*G0_1_0_8_3 - 0.00751248751248877*G0_1_0_8_4 - 0.00296846011131775*G0_1_0_8_5 - 0.0418781218781289*G0_1_0_8_6 + 0.0168517197088654*G0_1_0_8_8 - 0.0308263165406074*G0_1_0_8_9 - 0.015283763855195*G0_1_0_9_0 + 0.015283763855195*G0_1_0_9_1 - 0.0517882117882205*G0_1_0_9_3 - 0.152487512487538*G0_1_0_9_4 + 0.0517882117882206*G0_1_0_9_5 + 0.152487512487538*G0_1_0_9_6 + 0.0308263165406074*G0_1_0_9_7 - 0.0308263165406074*G0_1_0_9_8 - 0.0202949079139591*G0_1_1_0_0 - 0.00494038589276771*G0_1_1_0_1 + 0.000836694170027642*G0_1_1_0_2 - 0.00267668839097455*G0_1_1_0_3 - 0.0275584732727637*G0_1_1_0_4 + 0.00600034885749271*G0_1_1_0_5 - 0.0100217243074403*G0_1_1_0_6 - 0.00939504939505112*G0_1_1_0_7 + 0.00636823493966458*G0_1_1_0_8 - 0.0111735883164474*G0_1_1_0_9 - 0.00494038589276771*G0_1_1_1_0 - 0.0141369741369766*G0_1_1_1_1 - 0.000155893489226845*G0_1_1_1_2 + 0.00729175586318563*G0_1_1_1_3 - 0.00955996384567978*G0_1_1_1_4 - 0.00168720168720194*G0_1_1_1_5 - 0.00214388785817395*G0_1_1_1_6 + 0.00424210709925069*G0_1_1_1_7 - 0.00764695621838618*G0_1_1_1_8 + 0.00411017553874761*G0_1_1_1_9 + 0.000836694170027641*G0_1_1_2_0 - 0.000155893489226845*G0_1_1_2_1 + 0.0479915146581894*G0_1_1_2_2 - 0.00568320568320665*G0_1_1_2_3 + 0.0244200244200286*G0_1_1_2_4 - 0.010300810300812*G0_1_1_2_5 + 0.00701520701520816*G0_1_1_2_6 - 0.00919968919969074*G0_1_1_2_7 - 0.0066955266955278*G0_1_1_2_8 - 0.0277056277056323*G0_1_1_2_9 - 0.00267668839097455*G0_1_1_3_0 + 0.00729175586318563*G0_1_1_3_1 - 0.00568320568320665*G0_1_1_3_2 - 0.117551020408183*G0_1_1_3_3 + 0.0608991008991111*G0_1_1_3_4 - 0.00214642500356826*G0_1_1_3_5 + 0.0238161838161879*G0_1_1_3_6 + 0.0254145854145898*G0_1_1_3_7 - 0.0628856857428391*G0_1_1_3_8 - 0.0631596974454223*G0_1_1_3_9 - 0.0275584732727637*G0_1_1_4_0 - 0.00955996384567978*G0_1_1_4_1 + 0.0244200244200286*G0_1_1_4_2 + 0.0608991008991111*G0_1_1_4_3 - 0.637762237762346*G0_1_1_4_4 + 0.100059940059957*G0_1_1_4_5 - 0.123876123876145*G0_1_1_4_6 + 0.0464449835878485*G0_1_1_4_7 + 0.0374711003282495*G0_1_1_4_8 - 0.117002997003017*G0_1_1_4_9 + 0.00600034885749271*G0_1_1_5_0 - 0.00168720168720194*G0_1_1_5_1 - 0.010300810300812*G0_1_1_5_2 - 0.00214642500356825*G0_1_1_5_3 + 0.100059940059957*G0_1_1_5_4 - 0.079828742685899*G0_1_1_5_5 + 0.0645754245754355*G0_1_1_5_6 - 0.0674297131440102*G0_1_1_5_7 + 0.022446125303272*G0_1_1_5_8 - 0.0113714856572018*G0_1_1_5_9 - 0.0100217243074403*G0_1_1_6_0 - 0.00214388785817395*G0_1_1_6_1 + 0.00701520701520816*G0_1_1_6_2 + 0.0238161838161879*G0_1_1_6_3 - 0.123876123876145*G0_1_1_6_4 + 0.0645754245754355*G0_1_1_6_5 - 0.0351648351648413*G0_1_1_6_6 + 0.0449835878407383*G0_1_1_6_7 + 0.00456686170971956*G0_1_1_6_8 + 0.0354845154845213*G0_1_1_6_9 - 0.00939504939505112*G0_1_1_7_0 + 0.00424210709925069*G0_1_1_7_1 - 0.00919968919969074*G0_1_1_7_2 + 0.0254145854145898*G0_1_1_7_3 + 0.0464449835878485*G0_1_1_7_4 - 0.0674297131440102*G0_1_1_7_5 + 0.0449835878407383*G0_1_1_7_6 - 0.336806051091822*G0_1_1_7_7 + 0.034959326387904*G0_1_1_7_8 - 0.0564464107321345*G0_1_1_7_9 + 0.00636823493966458*G0_1_1_8_0 - 0.00764695621838617*G0_1_1_8_1 - 0.0066955266955278*G0_1_1_8_2 - 0.0628856857428391*G0_1_1_8_3 + 0.0374711003282495*G0_1_1_8_4 + 0.022446125303272*G0_1_1_8_5 + 0.00456686170971956*G0_1_1_8_6 + 0.034959326387904*G0_1_1_8_7 - 0.319954331382957*G0_1_1_8_8 - 0.0872727272727419*G0_1_1_8_9 - 0.0111735883164474*G0_1_1_9_0 + 0.0041101755387476*G0_1_1_9_1 - 0.0277056277056323*G0_1_1_9_2 - 0.0631596974454223*G0_1_1_9_3 - 0.117002997003017*G0_1_1_9_4 - 0.0113714856572018*G0_1_1_9_5 + 0.0354845154845213*G0_1_1_9_6 - 0.0564464107321345*G0_1_1_9_7 - 0.0872727272727419*G0_1_1_9_8 - 0.435678607107252*G0_1_1_9_9;
    A[218] = A[134] - 0.00667776667776796*G0_0_1_0_0 - 0.0017221579126344*G0_0_1_0_1 - 0.00790123456790255*G0_0_1_0_2 + 0.00535845107273769*G0_0_1_0_3 - 0.0171181199752657*G0_0_1_0_4 + 0.0023443223443227*G0_0_1_0_5 - 0.0129851101279694*G0_0_1_0_6 - 0.0029836829836836*G0_0_1_0_7 + 0.00257266542980877*G0_0_1_0_8 - 0.00983397554826292*G0_0_1_0_9 - 0.0017221579126344*G0_0_1_1_0 - 0.000519832900785334*G0_0_1_1_1 - 0.00889382222715703*G0_0_1_1_2 + 0.00363572935001567*G0_0_1_1_3 - 0.0125233496662089*G0_0_1_1_4 + 0.00634793777651027*G0_0_1_1_5 + 0.00829646543932404*G0_0_1_1_6 + 0.000446537589394774*G0_0_1_1_7 - 0.00123558980701855*G0_0_1_1_8 + 0.0054497883069321*G0_0_1_1_9 - 0.00790123456790255*G0_0_1_2_0 - 0.00889382222715703*G0_0_1_2_1 - 0.0996139662806488*G0_0_1_2_2 + 0.037828837828844*G0_0_1_2_3 - 0.0745920745920868*G0_0_1_2_4 + 0.0332112332112386*G0_0_1_2_5 - 0.0919968919969071*G0_0_1_2_6 + 0.00175824175824203*G0_0_1_2_7 + 0.00426240426240497*G0_0_1_2_8 - 0.0223776223776261*G0_0_1_2_9 + 0.00535845107273769*G0_0_1_3_0 + 0.00363572935001568*G0_0_1_3_1 + 0.037828837828844*G0_0_1_3_2 - 0.0245697159982914*G0_0_1_3_3 + 0.0615384615384717*G0_0_1_3_4 - 0.0242500356786111*G0_0_1_3_5 - 0.0115084915084935*G0_0_1_3_6 - 0.00269444840873458*G0_0_1_3_7 + 0.00210075638647106*G0_0_1_3_8 - 0.0109604681033271*G0_0_1_3_9 - 0.0171181199752657*G0_0_1_4_0 - 0.0125233496662089*G0_0_1_4_1 - 0.0745920745920867*G0_0_1_4_2 + 0.0615384615384717*G0_0_1_4_3 - 0.230489510489549*G0_0_1_4_4 + 0.0647352647352755*G0_0_1_4_5 - 0.0532267732267821*G0_0_1_4_6 + 0.0163493649207962*G0_0_1_4_7 + 0.000593692022263517*G0_0_1_4_8 - 0.0623376623376727*G0_0_1_4_9 + 0.0023443223443227*G0_0_1_5_0 + 0.00634793777651027*G0_0_1_5_1 + 0.0332112332112386*G0_0_1_5_2 - 0.0242500356786111*G0_0_1_5_3 + 0.0647352647352755*G0_0_1_5_4 + 0.0131525617239926*G0_0_1_5_5 + 0.0652147852147961*G0_0_1_5_6 - 0.00244327101470005*G0_0_1_5_7 - 0.0056629085200523*G0_0_1_5_8 + 0.0408277436848934*G0_0_1_5_9 - 0.0129851101279694*G0_0_1_6_0 + 0.00829646543932404*G0_0_1_6_1 - 0.0919968919969071*G0_0_1_6_2 - 0.0115084915084935*G0_0_1_6_3 - 0.053226773226782*G0_0_1_6_4 + 0.0652147852147961*G0_0_1_6_5 + 0.372107892107956*G0_0_1_6_6 + 0.00810617953475241*G0_0_1_6_7 - 0.0255287569573327*G0_0_1_6_8 + 0.0901498501498654*G0_0_1_6_9 - 0.0029836829836836*G0_0_1_7_0 + 0.000446537589394774*G0_0_1_7_1 + 0.00175824175824203*G0_0_1_7_2 - 0.00269444840873458*G0_0_1_7_3 + 0.0163493649207962*G0_0_1_7_4 - 0.00244327101470005*G0_0_1_7_5 + 0.00810617953475241*G0_0_1_7_6 - 0.0191351505637255*G0_0_1_7_7 + 0.00162123590695053*G0_0_1_7_8 + 0.0132895675752841*G0_0_1_7_9 + 0.00257266542980877*G0_0_1_8_0 - 0.00123558980701855*G0_0_1_8_1 + 0.00426240426240497*G0_0_1_8_2 + 0.00210075638647106*G0_0_1_8_3 + 0.000593692022263519*G0_0_1_8_4 - 0.0056629085200523*G0_0_1_8_5 - 0.0255287569573327*G0_0_1_8_6 + 0.00162123590695053*G0_0_1_8_7 - 0.0022834308548596*G0_0_1_8_8 - 0.0175367489653233*G0_0_1_8_9 - 0.00983397554826292*G0_0_1_9_0 + 0.0054497883069321*G0_0_1_9_1 - 0.0223776223776261*G0_0_1_9_2 - 0.0109604681033271*G0_0_1_9_3 - 0.0623376623376727*G0_0_1_9_4 + 0.0408277436848934*G0_0_1_9_5 + 0.0901498501498654*G0_0_1_9_6 + 0.0132895675752841*G0_0_1_9_7 - 0.0175367489653233*G0_0_1_9_8 + 0.00657628086199614*G0_0_1_9_9 + 0.00667776667776796*G0_1_0_0_0 + 0.0017221579126344*G0_1_0_0_1 + 0.00790123456790255*G0_1_0_0_2 - 0.00535845107273769*G0_1_0_0_3 + 0.0171181199752657*G0_1_0_0_4 - 0.0023443223443227*G0_1_0_0_5 + 0.0129851101279694*G0_1_0_0_6 + 0.0029836829836836*G0_1_0_0_7 - 0.00257266542980877*G0_1_0_0_8 + 0.00983397554826292*G0_1_0_0_9 + 0.0017221579126344*G0_1_0_1_0 + 0.000519832900785333*G0_1_0_1_1 + 0.00889382222715703*G0_1_0_1_2 - 0.00363572935001567*G0_1_0_1_3 + 0.0125233496662089*G0_1_0_1_4 - 0.00634793777651027*G0_1_0_1_5 - 0.00829646543932404*G0_1_0_1_6 - 0.000446537589394774*G0_1_0_1_7 + 0.00123558980701855*G0_1_0_1_8 - 0.0054497883069321*G0_1_0_1_9 + 0.00790123456790255*G0_1_0_2_0 + 0.00889382222715703*G0_1_0_2_1 + 0.0996139662806489*G0_1_0_2_2 - 0.037828837828844*G0_1_0_2_3 + 0.0745920745920867*G0_1_0_2_4 - 0.0332112332112386*G0_1_0_2_5 + 0.0919968919969071*G0_1_0_2_6 - 0.00175824175824203*G0_1_0_2_7 - 0.00426240426240497*G0_1_0_2_8 + 0.0223776223776261*G0_1_0_2_9 - 0.00535845107273769*G0_1_0_3_0 - 0.00363572935001568*G0_1_0_3_1 - 0.037828837828844*G0_1_0_3_2 + 0.0245697159982914*G0_1_0_3_3 - 0.0615384615384717*G0_1_0_3_4 + 0.0242500356786111*G0_1_0_3_5 + 0.0115084915084935*G0_1_0_3_6 + 0.00269444840873458*G0_1_0_3_7 - 0.00210075638647106*G0_1_0_3_8 + 0.0109604681033271*G0_1_0_3_9 + 0.0171181199752657*G0_1_0_4_0 + 0.0125233496662089*G0_1_0_4_1 + 0.0745920745920867*G0_1_0_4_2 - 0.0615384615384717*G0_1_0_4_3 + 0.230489510489549*G0_1_0_4_4 - 0.0647352647352756*G0_1_0_4_5 + 0.053226773226782*G0_1_0_4_6 - 0.0163493649207962*G0_1_0_4_7 - 0.000593692022263514*G0_1_0_4_8 + 0.0623376623376727*G0_1_0_4_9 - 0.0023443223443227*G0_1_0_5_0 - 0.00634793777651027*G0_1_0_5_1 - 0.0332112332112386*G0_1_0_5_2 + 0.0242500356786111*G0_1_0_5_3 - 0.0647352647352756*G0_1_0_5_4 - 0.0131525617239926*G0_1_0_5_5 - 0.0652147852147961*G0_1_0_5_6 + 0.00244327101470004*G0_1_0_5_7 + 0.0056629085200523*G0_1_0_5_8 - 0.0408277436848934*G0_1_0_5_9 + 0.0129851101279694*G0_1_0_6_0 - 0.00829646543932404*G0_1_0_6_1 + 0.0919968919969071*G0_1_0_6_2 + 0.0115084915084935*G0_1_0_6_3 + 0.053226773226782*G0_1_0_6_4 - 0.0652147852147961*G0_1_0_6_5 - 0.372107892107956*G0_1_0_6_6 - 0.00810617953475241*G0_1_0_6_7 + 0.0255287569573327*G0_1_0_6_8 - 0.0901498501498654*G0_1_0_6_9 + 0.0029836829836836*G0_1_0_7_0 - 0.000446537589394774*G0_1_0_7_1 - 0.00175824175824203*G0_1_0_7_2 + 0.00269444840873458*G0_1_0_7_3 - 0.0163493649207962*G0_1_0_7_4 + 0.00244327101470004*G0_1_0_7_5 - 0.00810617953475241*G0_1_0_7_6 + 0.0191351505637255*G0_1_0_7_7 - 0.00162123590695053*G0_1_0_7_8 - 0.0132895675752841*G0_1_0_7_9 - 0.00257266542980877*G0_1_0_8_0 + 0.00123558980701855*G0_1_0_8_1 - 0.00426240426240497*G0_1_0_8_2 - 0.00210075638647106*G0_1_0_8_3 - 0.000593692022263519*G0_1_0_8_4 + 0.0056629085200523*G0_1_0_8_5 + 0.0255287569573327*G0_1_0_8_6 - 0.00162123590695052*G0_1_0_8_7 + 0.0022834308548596*G0_1_0_8_8 + 0.0175367489653233*G0_1_0_8_9 + 0.00983397554826292*G0_1_0_9_0 - 0.0054497883069321*G0_1_0_9_1 + 0.0223776223776261*G0_1_0_9_2 + 0.0109604681033271*G0_1_0_9_3 + 0.0623376623376727*G0_1_0_9_4 - 0.0408277436848934*G0_1_0_9_5 - 0.0901498501498654*G0_1_0_9_6 - 0.0132895675752841*G0_1_0_9_7 + 0.0175367489653233*G0_1_0_9_8 - 0.00657628086199614*G0_1_0_9_9;
    A[215] = -A[218] - 0.0061579337769826*G0_0_1_0_0 + 0.00099258765925452*G0_0_1_0_2 - 0.000989486703772596*G0_0_1_0_3 - 0.0254145854145898*G0_0_1_0_4 - 0.00129140700569298*G0_0_1_0_5 - 0.000461760461760412*G0_0_1_0_6 - 0.00174809317666501*G0_0_1_0_7 + 0.00212612784041398*G0_0_1_0_8 - 0.015283763855195*G0_0_1_0_9 + 0.00615793377698254*G0_0_1_1_1 - 0.000992587659254466*G0_0_1_1_2 + 0.00129140700569296*G0_0_1_1_3 + 0.000461760461760493*G0_0_1_1_4 + 0.000989486703772584*G0_0_1_1_5 + 0.0254145854145898*G0_0_1_1_6 - 0.00212612784041395*G0_0_1_1_7 + 0.00174809317666496*G0_0_1_1_8 + 0.015283763855195*G0_0_1_1_9 + 0.00099258765925452*G0_0_1_2_0 - 0.000992587659254465*G0_0_1_2_1 + 0.0046176046176053*G0_0_1_2_3 + 0.0174048174048206*G0_0_1_2_4 - 0.00461760461760554*G0_0_1_2_5 - 0.0174048174048201*G0_0_1_2_6 - 0.00250416250416295*G0_0_1_2_7 + 0.00250416250416293*G0_0_1_2_8 - 0.000989486703772595*G0_0_1_3_0 + 0.00129140700569296*G0_0_1_3_1 + 0.0046176046176053*G0_0_1_3_2 - 0.037722277722284*G0_0_1_3_3 - 0.00367632367632439*G0_0_1_3_4 - 0.0762437562437691*G0_0_1_3_6 + 0.00296846011131773*G0_0_1_3_7 + 0.00454402740117105*G0_0_1_3_8 - 0.0517882117882205*G0_0_1_3_9 - 0.0254145854145898*G0_0_1_4_0 + 0.00046176046176049*G0_0_1_4_1 + 0.0174048174048205*G0_0_1_4_2 - 0.00367632367632437*G0_0_1_4_3 - 0.602597402597505*G0_0_1_4_4 + 0.0762437562437691*G0_0_1_4_5 + 0.041878121878129*G0_0_1_4_7 - 0.00751248751248877*G0_0_1_4_8 - 0.152487512487538*G0_0_1_4_9 - 0.00129140700569298*G0_0_1_5_0 + 0.000989486703772582*G0_0_1_5_1 - 0.00461760461760554*G0_0_1_5_2 + 0.0762437562437691*G0_0_1_5_4 + 0.0377222777222842*G0_0_1_5_5 + 0.00367632367632428*G0_0_1_5_6 - 0.0045440274011711*G0_0_1_5_7 - 0.00296846011131775*G0_0_1_5_8 + 0.0517882117882206*G0_0_1_5_9 - 0.000461760461760414*G0_0_1_6_0 + 0.0254145854145898*G0_0_1_6_1 - 0.0174048174048201*G0_0_1_6_2 - 0.0762437562437691*G0_0_1_6_3 + 0.00367632367632429*G0_0_1_6_5 + 0.602597402597506*G0_0_1_6_6 + 0.00751248751248891*G0_0_1_6_7 - 0.0418781218781289*G0_0_1_6_8 + 0.152487512487538*G0_0_1_6_9 - 0.00174809317666501*G0_0_1_7_0 - 0.00212612784041395*G0_0_1_7_1 - 0.00250416250416295*G0_0_1_7_2 + 0.00296846011131773*G0_0_1_7_3 + 0.041878121878129*G0_0_1_7_4 - 0.0045440274011711*G0_0_1_7_5 + 0.00751248751248891*G0_0_1_7_6 - 0.016851719708866*G0_0_1_7_7 + 0.0308263165406074*G0_0_1_7_9 + 0.00212612784041398*G0_0_1_8_0 + 0.00174809317666496*G0_0_1_8_1 + 0.00250416250416293*G0_0_1_8_2 + 0.00454402740117105*G0_0_1_8_3 - 0.00751248751248877*G0_0_1_8_4 - 0.00296846011131775*G0_0_1_8_5 - 0.0418781218781289*G0_0_1_8_6 + 0.0168517197088654*G0_0_1_8_8 - 0.0308263165406074*G0_0_1_8_9 - 0.015283763855195*G0_0_1_9_0 + 0.015283763855195*G0_0_1_9_1 - 0.0517882117882205*G0_0_1_9_3 - 0.152487512487538*G0_0_1_9_4 + 0.0517882117882205*G0_0_1_9_5 + 0.152487512487538*G0_0_1_9_6 + 0.0308263165406074*G0_0_1_9_7 - 0.0308263165406074*G0_0_1_9_8 - 0.0202949079139591*G0_1_1_0_0 - 0.00494038589276771*G0_1_1_0_1 + 0.000836694170027642*G0_1_1_0_2 - 0.00267668839097455*G0_1_1_0_3 - 0.0275584732727637*G0_1_1_0_4 + 0.00600034885749271*G0_1_1_0_5 - 0.0100217243074403*G0_1_1_0_6 - 0.00939504939505112*G0_1_1_0_7 + 0.00636823493966458*G0_1_1_0_8 - 0.0111735883164474*G0_1_1_0_9 - 0.00494038589276771*G0_1_1_1_0 - 0.0141369741369766*G0_1_1_1_1 - 0.000155893489226845*G0_1_1_1_2 + 0.00729175586318563*G0_1_1_1_3 - 0.00955996384567978*G0_1_1_1_4 - 0.00168720168720194*G0_1_1_1_5 - 0.00214388785817395*G0_1_1_1_6 + 0.00424210709925069*G0_1_1_1_7 - 0.00764695621838618*G0_1_1_1_8 + 0.0041101755387476*G0_1_1_1_9 + 0.000836694170027641*G0_1_1_2_0 - 0.000155893489226845*G0_1_1_2_1 + 0.0479915146581894*G0_1_1_2_2 - 0.00568320568320664*G0_1_1_2_3 + 0.0244200244200286*G0_1_1_2_4 - 0.010300810300812*G0_1_1_2_5 + 0.00701520701520816*G0_1_1_2_6 - 0.00919968919969074*G0_1_1_2_7 - 0.0066955266955278*G0_1_1_2_8 - 0.0277056277056324*G0_1_1_2_9 - 0.00267668839097455*G0_1_1_3_0 + 0.00729175586318564*G0_1_1_3_1 - 0.00568320568320663*G0_1_1_3_2 - 0.117551020408183*G0_1_1_3_3 + 0.0608991008991111*G0_1_1_3_4 - 0.00214642500356826*G0_1_1_3_5 + 0.0238161838161879*G0_1_1_3_6 + 0.0254145854145898*G0_1_1_3_7 - 0.0628856857428391*G0_1_1_3_8 - 0.0631596974454223*G0_1_1_3_9 - 0.0275584732727637*G0_1_1_4_0 - 0.00955996384567978*G0_1_1_4_1 + 0.0244200244200286*G0_1_1_4_2 + 0.0608991008991111*G0_1_1_4_3 - 0.637762237762346*G0_1_1_4_4 + 0.100059940059957*G0_1_1_4_5 - 0.123876123876145*G0_1_1_4_6 + 0.0464449835878485*G0_1_1_4_7 + 0.0374711003282495*G0_1_1_4_8 - 0.117002997003017*G0_1_1_4_9 + 0.00600034885749271*G0_1_1_5_0 - 0.00168720168720194*G0_1_1_5_1 - 0.010300810300812*G0_1_1_5_2 - 0.00214642500356825*G0_1_1_5_3 + 0.100059940059957*G0_1_1_5_4 - 0.079828742685899*G0_1_1_5_5 + 0.0645754245754355*G0_1_1_5_6 - 0.0674297131440102*G0_1_1_5_7 + 0.022446125303272*G0_1_1_5_8 - 0.0113714856572018*G0_1_1_5_9 - 0.0100217243074403*G0_1_1_6_0 - 0.00214388785817395*G0_1_1_6_1 + 0.00701520701520815*G0_1_1_6_2 + 0.0238161838161879*G0_1_1_6_3 - 0.123876123876145*G0_1_1_6_4 + 0.0645754245754355*G0_1_1_6_5 - 0.0351648351648413*G0_1_1_6_6 + 0.0449835878407383*G0_1_1_6_7 + 0.00456686170971956*G0_1_1_6_8 + 0.0354845154845212*G0_1_1_6_9 - 0.00939504939505112*G0_1_1_7_0 + 0.00424210709925069*G0_1_1_7_1 - 0.00919968919969074*G0_1_1_7_2 + 0.0254145854145898*G0_1_1_7_3 + 0.0464449835878485*G0_1_1_7_4 - 0.0674297131440102*G0_1_1_7_5 + 0.0449835878407383*G0_1_1_7_6 - 0.336806051091822*G0_1_1_7_7 + 0.034959326387904*G0_1_1_7_8 - 0.0564464107321345*G0_1_1_7_9 + 0.00636823493966458*G0_1_1_8_0 - 0.00764695621838617*G0_1_1_8_1 - 0.0066955266955278*G0_1_1_8_2 - 0.0628856857428391*G0_1_1_8_3 + 0.0374711003282495*G0_1_1_8_4 + 0.022446125303272*G0_1_1_8_5 + 0.00456686170971956*G0_1_1_8_6 + 0.034959326387904*G0_1_1_8_7 - 0.319954331382957*G0_1_1_8_8 - 0.0872727272727419*G0_1_1_8_9 - 0.0111735883164474*G0_1_1_9_0 + 0.0041101755387476*G0_1_1_9_1 - 0.0277056277056323*G0_1_1_9_2 - 0.0631596974454223*G0_1_1_9_3 - 0.117002997003017*G0_1_1_9_4 - 0.0113714856572018*G0_1_1_9_5 + 0.0354845154845212*G0_1_1_9_6 - 0.0564464107321345*G0_1_1_9_7 - 0.0872727272727419*G0_1_1_9_8 - 0.435678607107252*G0_1_1_9_9;
    A[69] = A[139] - 0.00287120287120355*G0_0_1_0_0 - 0.00038878229354429*G0_0_1_0_1 - 0.000196170672361191*G0_0_1_0_2 + 0.000828060828060987*G0_0_1_0_3 - 0.000926375212089673*G0_0_1_0_4 - 0.00108336108336129*G0_0_1_0_5 + 0.00131138702567297*G0_0_1_0_6 - 0.00119436119436154*G0_0_1_0_7 + 0.00297194868623497*G0_0_1_0_8 - 0.00265829408686597*G0_0_1_0_9 - 0.00038878229354429*G0_0_1_1_0 - 0.0516372516372607*G0_0_1_1_1 - 0.000396887063553806*G0_0_1_1_2 + 0.00262848262848303*G0_0_1_1_3 + 0.000582909154337844*G0_0_1_1_4 - 0.000892123749266744*G0_0_1_1_5 - 0.000110048681477274*G0_0_1_1_6 + 0.00198595055737948*G0_0_1_1_7 + 0.00158064158064176*G0_0_1_1_8 + 0.00678178963893364*G0_0_1_1_9 - 0.000196170672361191*G0_0_1_2_0 - 0.000396887063553806*G0_0_1_2_1 + 0.00143066809733491*G0_0_1_2_2 + 0.00396333824905323*G0_0_1_2_3 - 0.00237793952079709*G0_0_1_2_4 + 0.000344100344100429*G0_0_1_2_5 + 0.000769072197643739*G0_0_1_2_7 - 0.00232719661291129*G0_0_1_2_9 + 0.000828060828060988*G0_0_1_3_0 + 0.00262848262848303*G0_0_1_3_1 + 0.00396333824905323*G0_0_1_3_2 + 0.134322820037129*G0_0_1_3_3 - 0.0147652347652373*G0_0_1_3_4 + 0.000545169116597801*G0_0_1_3_5 - 0.000568003425146377*G0_0_1_3_6 - 0.00338233195376111*G0_0_1_3_7 + 0.00417867846439347*G0_0_1_3_8 - 0.0135807050092787*G0_0_1_3_9 - 0.000926375212089673*G0_0_1_4_0 + 0.000582909154337844*G0_0_1_4_1 - 0.00237793952079709*G0_0_1_4_2 - 0.0147652347652373*G0_0_1_4_3 - 0.0600713572142248*G0_0_1_4_4 + 0.0018809761666908*G0_0_1_4_5 - 0.00131297274154443*G0_0_1_4_6 + 0.000685029256457979*G0_0_1_4_7 - 0.000796346510632373*G0_0_1_4_8 + 0.00321963750535229*G0_0_1_4_9 - 0.00108336108336129*G0_0_1_5_0 - 0.000892123749266744*G0_0_1_5_1 + 0.000344100344100428*G0_0_1_5_2 + 0.000545169116597801*G0_0_1_5_3 + 0.0018809761666908*G0_0_1_5_4 + 0.00180961895247647*G0_0_1_5_5 - 0.00284001712573187*G0_0_1_5_6 + 0.0014271442842873*G0_0_1_5_7 + 0.00177822177822209*G0_0_1_5_8 + 0.00441843870415371*G0_0_1_5_9 + 0.00131138702567297*G0_0_1_6_0 - 0.000110048681477274*G0_0_1_6_1 - 0.000568003425146378*G0_0_1_6_3 - 0.00131297274154443*G0_0_1_6_4 - 0.00284001712573187*G0_0_1_6_5 + 0.00283716283716322*G0_0_1_6_6 - 0.0032053660625094*G0_0_1_6_7 + 0.000665049236477907*G0_0_1_6_8 + 0.00811759668902665*G0_0_1_6_9 - 0.00119436119436154*G0_0_1_7_0 + 0.00198595055737948*G0_0_1_7_1 + 0.000769072197643739*G0_0_1_7_2 - 0.00338233195376111*G0_0_1_7_3 + 0.00068502925645798*G0_0_1_7_4 + 0.0014271442842873*G0_0_1_7_5 - 0.0032053660625094*G0_0_1_7_6 + 0.00021121735407403*G0_0_1_7_7 - 0.0174539745968346*G0_0_1_7_8 + 0.0143856143856167*G0_0_1_7_9 + 0.00297194868623497*G0_0_1_8_0 + 0.00158064158064176*G0_0_1_8_1 + 0.00417867846439348*G0_0_1_8_3 - 0.000796346510632373*G0_0_1_8_4 + 0.00177822177822209*G0_0_1_8_5 + 0.000665049236477907*G0_0_1_8_6 - 0.0174539745968346*G0_0_1_8_7 + 0.0516055373198319*G0_0_1_8_8 - 0.0187526758955361*G0_0_1_8_9 - 0.00265829408686597*G0_0_1_9_0 + 0.00678178963893364*G0_0_1_9_1 - 0.00232719661291129*G0_0_1_9_2 - 0.0135807050092787*G0_0_1_9_3 + 0.00321963750535228*G0_0_1_9_4 + 0.00441843870415371*G0_0_1_9_5 + 0.00811759668902665*G0_0_1_9_6 + 0.0143856143856167*G0_0_1_9_7 - 0.0187526758955361*G0_0_1_9_8 - 0.0293877551020458*G0_0_1_9_9 + 0.00287120287120355*G0_1_0_0_0 + 0.00038878229354429*G0_1_0_0_1 + 0.000196170672361191*G0_1_0_0_2 - 0.000828060828060987*G0_1_0_0_3 + 0.000926375212089673*G0_1_0_0_4 + 0.00108336108336129*G0_1_0_0_5 - 0.00131138702567297*G0_1_0_0_6 + 0.00119436119436154*G0_1_0_0_7 - 0.00297194868623497*G0_1_0_0_8 + 0.00265829408686597*G0_1_0_0_9 + 0.00038878229354429*G0_1_0_1_0 + 0.0516372516372607*G0_1_0_1_1 + 0.000396887063553806*G0_1_0_1_2 - 0.00262848262848303*G0_1_0_1_3 - 0.000582909154337844*G0_1_0_1_4 + 0.000892123749266744*G0_1_0_1_5 + 0.000110048681477275*G0_1_0_1_6 - 0.00198595055737948*G0_1_0_1_7 - 0.00158064158064176*G0_1_0_1_8 - 0.00678178963893364*G0_1_0_1_9 + 0.000196170672361191*G0_1_0_2_0 + 0.000396887063553806*G0_1_0_2_1 - 0.00143066809733491*G0_1_0_2_2 - 0.00396333824905323*G0_1_0_2_3 + 0.00237793952079709*G0_1_0_2_4 - 0.000344100344100428*G0_1_0_2_5 - 0.000769072197643739*G0_1_0_2_7 + 0.00232719661291129*G0_1_0_2_9 - 0.000828060828060987*G0_1_0_3_0 - 0.00262848262848303*G0_1_0_3_1 - 0.00396333824905323*G0_1_0_3_2 - 0.134322820037129*G0_1_0_3_3 + 0.0147652347652373*G0_1_0_3_4 - 0.000545169116597802*G0_1_0_3_5 + 0.000568003425146377*G0_1_0_3_6 + 0.00338233195376111*G0_1_0_3_7 - 0.00417867846439347*G0_1_0_3_8 + 0.0135807050092787*G0_1_0_3_9 + 0.000926375212089674*G0_1_0_4_0 - 0.000582909154337843*G0_1_0_4_1 + 0.00237793952079709*G0_1_0_4_2 + 0.0147652347652373*G0_1_0_4_3 + 0.0600713572142248*G0_1_0_4_4 - 0.0018809761666908*G0_1_0_4_5 + 0.00131297274154444*G0_1_0_4_6 - 0.000685029256457981*G0_1_0_4_7 + 0.000796346510632373*G0_1_0_4_8 - 0.00321963750535228*G0_1_0_4_9 + 0.00108336108336129*G0_1_0_5_0 + 0.000892123749266744*G0_1_0_5_1 - 0.000344100344100428*G0_1_0_5_2 - 0.000545169116597802*G0_1_0_5_3 - 0.0018809761666908*G0_1_0_5_4 - 0.00180961895247647*G0_1_0_5_5 + 0.00284001712573187*G0_1_0_5_6 - 0.0014271442842873*G0_1_0_5_7 - 0.00177822177822209*G0_1_0_5_8 - 0.00441843870415371*G0_1_0_5_9 - 0.00131138702567297*G0_1_0_6_0 + 0.000110048681477274*G0_1_0_6_1 + 0.000568003425146378*G0_1_0_6_3 + 0.00131297274154444*G0_1_0_6_4 + 0.00284001712573187*G0_1_0_6_5 - 0.00283716283716322*G0_1_0_6_6 + 0.0032053660625094*G0_1_0_6_7 - 0.000665049236477907*G0_1_0_6_8 - 0.00811759668902665*G0_1_0_6_9 + 0.00119436119436154*G0_1_0_7_0 - 0.00198595055737948*G0_1_0_7_1 - 0.000769072197643739*G0_1_0_7_2 + 0.00338233195376111*G0_1_0_7_3 - 0.00068502925645798*G0_1_0_7_4 - 0.0014271442842873*G0_1_0_7_5 + 0.0032053660625094*G0_1_0_7_6 - 0.00021121735407403*G0_1_0_7_7 + 0.0174539745968346*G0_1_0_7_8 - 0.0143856143856167*G0_1_0_7_9 - 0.00297194868623497*G0_1_0_8_0 - 0.00158064158064176*G0_1_0_8_1 - 0.00417867846439348*G0_1_0_8_3 + 0.000796346510632373*G0_1_0_8_4 - 0.00177822177822209*G0_1_0_8_5 - 0.000665049236477907*G0_1_0_8_6 + 0.0174539745968346*G0_1_0_8_7 - 0.0516055373198319*G0_1_0_8_8 + 0.0187526758955361*G0_1_0_8_9 + 0.00265829408686597*G0_1_0_9_0 - 0.00678178963893364*G0_1_0_9_1 + 0.00232719661291129*G0_1_0_9_2 + 0.0135807050092787*G0_1_0_9_3 - 0.00321963750535228*G0_1_0_9_4 - 0.00441843870415371*G0_1_0_9_5 - 0.00811759668902664*G0_1_0_9_6 - 0.0143856143856167*G0_1_0_9_7 + 0.0187526758955361*G0_1_0_9_8 + 0.0293877551020458*G0_1_0_9_9;
    A[94] = A[69] - 0.00473600473600571*G0_0_0_0_0 - 0.000526633859967292*G0_0_0_0_1 + 0.00131533369628628*G0_0_0_0_2 + 0.000343466057751828*G0_0_0_0_3 - 0.00298463441320638*G0_0_0_0_4 - 0.00622044622044728*G0_0_0_0_5 - 0.00114266685695277*G0_0_0_0_6 - 0.00126984126984156*G0_0_0_0_7 + 0.00232941661513132*G0_0_0_0_8 - 0.000858189429618168*G0_0_0_0_9 - 0.000526633859967292*G0_0_0_1_0 - 0.00818934152267618*G0_0_0_1_1 + 0.00084060560251049*G0_0_0_1_2 - 0.00819497962355242*G0_0_0_1_3 + 0.00203574203574235*G0_0_0_1_4 + 0.000474763331906276*G0_0_0_1_5 - 0.000895295181009631*G0_0_0_1_6 + 0.000910518053375347*G0_0_0_1_7 - 0.00105798962941839*G0_0_0_1_8 + 0.000454783311926232*G0_0_0_1_9 + 0.00131533369628628*G0_0_0_2_0 + 0.00084060560251049*G0_0_0_2_1 + 0.0669759869759978*G0_0_0_2_2 - 0.00785690499976336*G0_0_0_2_3 + 0.0149184149184172*G0_0_0_2_4 - 0.00894026608312464*G0_0_0_2_5 + 0.0107448107448124*G0_0_0_2_6 - 0.00135198135198157*G0_0_0_2_7 + 0.0012739641311072*G0_0_0_2_8 - 0.000190285904571659*G0_0_0_2_9 + 0.000343466057751828*G0_0_0_3_0 - 0.00819497962355242*G0_0_0_3_1 - 0.00785690499976336*G0_0_0_3_2 - 0.00647352647352784*G0_0_0_3_3 + 0.0116369344940794*G0_0_0_3_4 - 0.00137576709005304*G0_0_0_3_5 + 0.00298273155416066*G0_0_0_3_6 - 0.000733552162123684*G0_0_0_3_7 + 0.00425859854431349*G0_0_0_3_8 + 0.000102754388468662*G0_0_0_3_9 - 0.00298463441320638*G0_0_0_4_0 + 0.00203574203574235*G0_0_0_4_1 + 0.0149184149184172*G0_0_0_4_2 + 0.0116369344940794*G0_0_0_4_3 - 0.108765520194111*G0_0_0_4_4 + 0.00925074925075089*G0_0_0_4_5 - 0.0122334808049116*G0_0_0_4_6 + 0.00635650064221601*G0_0_0_4_7 - 0.00352504638218981*G0_0_0_4_8 - 0.0179306407877868*G0_0_0_4_9 - 0.00622044622044729*G0_0_0_5_0 + 0.000474763331906276*G0_0_0_5_1 - 0.00894026608312464*G0_0_0_5_2 - 0.00137576709005304*G0_0_0_5_3 + 0.00925074925075089*G0_0_0_5_4 + 0.00734123019837424*G0_0_0_5_5 + 0.0243898958184714*G0_0_0_5_6 - 0.00322534608248949*G0_0_0_5_7 - 0.00112744398458702*G0_0_0_5_8 + 0.00482945625802853*G0_0_0_5_9 - 0.00114266685695277*G0_0_0_6_0 - 0.000895295181009631*G0_0_0_6_1 + 0.0107448107448124*G0_0_0_6_2 + 0.00298273155416066*G0_0_0_6_3 - 0.0122334808049116*G0_0_0_6_4 + 0.0243898958184714*G0_0_0_6_5 - 0.0676865991151822*G0_0_0_6_6 + 0.0043527900670765*G0_0_0_6_7 - 0.00071642643071227*G0_0_0_6_8 - 0.00539460539460633*G0_0_0_6_9 - 0.00126984126984156*G0_0_0_7_0 + 0.000910518053375347*G0_0_0_7_1 - 0.00135198135198157*G0_0_0_7_2 - 0.000733552162123683*G0_0_0_7_3 + 0.00635650064221601*G0_0_0_7_4 - 0.00322534608248948*G0_0_0_7_5 + 0.0043527900670765*G0_0_0_7_6 - 0.00856286570572414*G0_0_0_7_7 - 0.00581418581418671*G0_0_0_7_8 - 0.00613101184529853*G0_0_0_7_9 + 0.00232941661513132*G0_0_0_8_0 - 0.00105798962941839*G0_0_0_8_1 + 0.0012739641311072*G0_0_0_8_2 + 0.00425859854431349*G0_0_0_8_3 - 0.00352504638218981*G0_0_0_8_4 - 0.00112744398458702*G0_0_0_8_5 - 0.000716426430712269*G0_0_0_8_6 - 0.00581418581418671*G0_0_0_8_7 + 0.0168174682460424*G0_0_0_8_8 + 0.00568574282860092*G0_0_0_8_9 - 0.000858189429618169*G0_0_0_9_0 + 0.000454783311926232*G0_0_0_9_1 - 0.00019028590457166*G0_0_0_9_2 + 0.000102754388468662*G0_0_0_9_3 - 0.0179306407877868*G0_0_0_9_4 + 0.00482945625802853*G0_0_0_9_5 - 0.00539460539460633*G0_0_0_9_6 - 0.00613101184529853*G0_0_0_9_7 + 0.00568574282860092*G0_0_0_9_8 + 0.00904238618524475*G0_0_0_9_9 - 0.000630480630480741*G0_0_1_0_1 + 0.000630480630480743*G0_0_1_0_2 - 0.000372960372960467*G0_0_1_0_3 + 0.000372960372960449*G0_0_1_0_4 + 0.000186480186480248*G0_0_1_0_5 - 0.00191808191808226*G0_0_1_0_6 - 0.000186480186480122*G0_0_1_0_7 + 0.00191808191808218*G0_0_1_0_8 - 0.000630480630480741*G0_0_1_1_0 - 0.00768416768416899*G0_0_1_1_1 - 0.0133732933732957*G0_0_1_1_3 + 0.00687312687312805*G0_0_1_1_4 + 0.00175824175824208*G0_0_1_1_5 - 0.000985680985681158*G0_0_1_1_6 + 0.00186480186480225*G0_0_1_1_7 - 0.00282384282384343*G0_0_1_1_8 - 0.00362304362304425*G0_0_1_1_9 + 0.000630480630480743*G0_0_1_2_0 + 0.00768416768416895*G0_0_1_2_2 - 0.00687312687312803*G0_0_1_2_3 + 0.0133732933732956*G0_0_1_2_4 - 0.00186480186480217*G0_0_1_2_5 + 0.00282384282384331*G0_0_1_2_6 - 0.00175824175824202*G0_0_1_2_7 + 0.000985680985681128*G0_0_1_2_8 + 0.00362304362304424*G0_0_1_2_9 - 0.000372960372960467*G0_0_1_3_0 - 0.0133732933732957*G0_0_1_3_1 - 0.00687312687312803*G0_0_1_3_2 - 0.0604195804195913*G0_0_1_3_3 - 0.00207792207792244*G0_0_1_3_5 + 0.00295704295704347*G0_0_1_3_6 + 0.00111888111888139*G0_0_1_3_7 + 0.001838161838162*G0_0_1_3_8 + 0.00863136863136993*G0_0_1_3_9 + 0.000372960372960449*G0_0_1_4_0 + 0.00687312687312805*G0_0_1_4_1 + 0.0133732933732956*G0_0_1_4_2 + 0.0604195804195906*G0_0_1_4_4 - 0.00111888111888132*G0_0_1_4_5 - 0.00183816183816215*G0_0_1_4_6 + 0.00207792207792238*G0_0_1_4_7 - 0.00295704295704338*G0_0_1_4_8 - 0.00863136863137009*G0_0_1_4_9 + 0.000186480186480248*G0_0_1_5_0 + 0.00175824175824208*G0_0_1_5_1 - 0.00186480186480217*G0_0_1_5_2 - 0.00207792207792244*G0_0_1_5_3 - 0.00111888111888132*G0_0_1_5_4 + 0.015024975024978*G0_0_1_5_5 + 0.00567432567432657*G0_0_1_5_6 - 0.00527472527472623*G0_0_1_5_8 + 0.0105494505494525*G0_0_1_5_9 - 0.00191808191808226*G0_0_1_6_0 - 0.000985680985681158*G0_0_1_6_1 + 0.00282384282384331*G0_0_1_6_2 + 0.00295704295704347*G0_0_1_6_3 - 0.00183816183816215*G0_0_1_6_4 + 0.00567432567432657*G0_0_1_6_5 - 0.018061938061941*G0_0_1_6_6 + 0.00527472527472608*G0_0_1_6_7 - 0.0167832167832197*G0_0_1_6_9 - 0.000186480186480122*G0_0_1_7_0 + 0.00186480186480225*G0_0_1_7_1 - 0.00175824175824202*G0_0_1_7_2 + 0.00111888111888139*G0_0_1_7_3 + 0.00207792207792237*G0_0_1_7_4 + 0.00527472527472608*G0_0_1_7_6 - 0.015024975024977*G0_0_1_7_7 - 0.0056743256743266*G0_0_1_7_8 - 0.0105494505494521*G0_0_1_7_9 + 0.00191808191808218*G0_0_1_8_0 - 0.00282384282384343*G0_0_1_8_1 + 0.000985680985681128*G0_0_1_8_2 + 0.00183816183816199*G0_0_1_8_3 - 0.00295704295704338*G0_0_1_8_4 - 0.00527472527472623*G0_0_1_8_5 - 0.0056743256743266*G0_0_1_8_7 + 0.0180619380619406*G0_0_1_8_8 + 0.0167832167832195*G0_0_1_8_9 - 0.00362304362304425*G0_0_1_9_1 + 0.00362304362304424*G0_0_1_9_2 + 0.00863136863136993*G0_0_1_9_3 - 0.00863136863137009*G0_0_1_9_4 + 0.0105494505494525*G0_0_1_9_5 - 0.0167832167832197*G0_0_1_9_6 - 0.0105494505494521*G0_0_1_9_7 + 0.0167832167832195*G0_0_1_9_8 - 0.000823092251663828*G0_1_0_0_1 + 0.000823092251663817*G0_1_0_0_2 + 0.0013814756671902*G0_1_0_0_3 - 0.0013814756671902*G0_1_0_0_4 + 0.000297480297480393*G0_1_0_0_5 - 0.00357864357864421*G0_1_0_0_6 - 0.000297480297480265*G0_1_0_0_7 + 0.00357864357864415*G0_1_0_0_8 - 0.000823092251663828*G0_1_0_1_0 - 0.0607520874187646*G0_1_0_1_1 - 0.00836687122401556*G0_1_0_1_3 + 0.00349269777841265*G0_1_0_1_4 - 0.00106179534750983*G0_1_0_1_6 + 0.0035066520780813*G0_1_0_1_7 - 0.00131233845519593*G0_1_0_1_8 + 0.00548594262880069*G0_1_0_1_9 + 0.000823092251663817*G0_1_0_2_0 + 0.0607520874187641*G0_1_0_2_2 - 0.00349269777841258*G0_1_0_2_3 + 0.00836687122401533*G0_1_0_2_4 - 0.00350665207808118*G0_1_0_2_5 + 0.00131233845519573*G0_1_0_2_6 + 0.00106179534750981*G0_1_0_2_8 - 0.0054859426288007*G0_1_0_2_9 + 0.0013814756671902*G0_1_0_3_0 - 0.00836687122401556*G0_1_0_3_1 - 0.00349269777841258*G0_1_0_3_2 + 0.133974596831763*G0_1_0_3_3 - 0.00221778221778256*G0_1_0_3_5 + 0.00318538604252943*G0_1_0_3_6 - 0.00414442700157055*G0_1_0_3_7 + 0.00732981304409996*G0_1_0_3_8 - 0.00816897388326092*G0_1_0_3_9 - 0.0013814756671902*G0_1_0_4_0 + 0.00349269777841265*G0_1_0_4_1 + 0.00836687122401533*G0_1_0_4_2 - 0.133974596831762*G0_1_0_4_4 + 0.00414442700157055*G0_1_0_4_5 - 0.00732981304410002*G0_1_0_4_6 + 0.00221778221778257*G0_1_0_4_7 - 0.00318538604252942*G0_1_0_4_8 + 0.00816897388326103*G0_1_0_4_9 + 0.000297480297480393*G0_1_0_5_0 - 0.00350665207808118*G0_1_0_5_2 - 0.00221778221778256*G0_1_0_5_3 + 0.00414442700157055*G0_1_0_5_4 + 0.0166233766233795*G0_1_0_5_5 + 0.0202882831454294*G0_1_0_5_6 - 0.000291137433994635*G0_1_0_5_8 + 0.000582274867989225*G0_1_0_5_9 - 0.00357864357864421*G0_1_0_6_0 - 0.00106179534750983*G0_1_0_6_1 + 0.00131233845519573*G0_1_0_6_2 + 0.00318538604252943*G0_1_0_6_3 - 0.00732981304410001*G0_1_0_6_4 + 0.0202882831454294*G0_1_0_6_5 - 0.0668303125446096*G0_1_0_6_6 + 0.000291137433994569*G0_1_0_6_7 + 0.0100870558013433*G0_1_0_6_9 - 0.000297480297480266*G0_1_0_7_0 + 0.0035066520780813*G0_1_0_7_1 - 0.00414442700157055*G0_1_0_7_3 + 0.00221778221778257*G0_1_0_7_4 + 0.000291137433994569*G0_1_0_7_6 - 0.0166233766233789*G0_1_0_7_7 - 0.0202882831454295*G0_1_0_7_8 - 0.000582274867989215*G0_1_0_7_9 + 0.00357864357864415*G0_1_0_8_0 - 0.00131233845519593*G0_1_0_8_1 + 0.00106179534750981*G0_1_0_8_2 + 0.00732981304409996*G0_1_0_8_3 - 0.00318538604252942*G0_1_0_8_4 - 0.000291137433994635*G0_1_0_8_5 - 0.0202882831454295*G0_1_0_8_7 + 0.0668303125446097*G0_1_0_8_8 - 0.0100870558013432*G0_1_0_8_9 + 0.00548594262880069*G0_1_0_9_1 - 0.0054859426288007*G0_1_0_9_2 - 0.00816897388326092*G0_1_0_9_3 + 0.00816897388326103*G0_1_0_9_4 + 0.000582274867989223*G0_1_0_9_5 + 0.0100870558013433*G0_1_0_9_6 - 0.000582274867989212*G0_1_0_9_7 - 0.0100870558013432*G0_1_0_9_8 + 0.00473600473600574*G0_1_1_0_0 - 0.00131533369628631*G0_1_1_0_1 + 0.000526633859967286*G0_1_1_0_2 + 0.00298463441320636*G0_1_1_0_3 - 0.000343466057751828*G0_1_1_0_4 + 0.00126984126984153*G0_1_1_0_5 - 0.00232941661513133*G0_1_1_0_6 + 0.00622044622044743*G0_1_1_0_7 + 0.00114266685695269*G0_1_1_0_8 + 0.000858189429618161*G0_1_1_0_9 - 0.00131533369628631*G0_1_1_1_0 - 0.0669759869759986*G0_1_1_1_1 - 0.000840605602510516*G0_1_1_1_2 - 0.0149184149184175*G0_1_1_1_3 + 0.00785690499976348*G0_1_1_1_4 + 0.00135198135198162*G0_1_1_1_5 - 0.00127396413110721*G0_1_1_1_6 + 0.00894026608312484*G0_1_1_1_7 - 0.0107448107448127*G0_1_1_1_8 + 0.000190285904571633*G0_1_1_1_9 + 0.000526633859967286*G0_1_1_2_0 - 0.000840605602510516*G0_1_1_2_1 + 0.00818934152267614*G0_1_1_2_2 - 0.00203574203574235*G0_1_1_2_3 + 0.00819497962355235*G0_1_1_2_4 - 0.000910518053375334*G0_1_1_2_5 + 0.00105798962941835*G0_1_1_2_6 - 0.000474763331906249*G0_1_1_2_7 + 0.000895295181009605*G0_1_1_2_8 - 0.000454783311926255*G0_1_1_2_9 + 0.00298463441320636*G0_1_1_3_0 - 0.0149184149184175*G0_1_1_3_1 - 0.00203574203574235*G0_1_1_3_2 + 0.108765520194111*G0_1_1_3_3 - 0.0116369344940792*G0_1_1_3_4 - 0.00635650064221601*G0_1_1_3_5 + 0.00352504638218984*G0_1_1_3_6 - 0.00925074925075083*G0_1_1_3_7 + 0.0122334808049114*G0_1_1_3_8 + 0.0179306407877868*G0_1_1_3_9 - 0.000343466057751828*G0_1_1_4_0 + 0.00785690499976348*G0_1_1_4_1 + 0.00819497962355235*G0_1_1_4_2 - 0.0116369344940792*G0_1_1_4_3 + 0.00647352647352749*G0_1_1_4_4 + 0.000733552162123712*G0_1_1_4_5 - 0.00425859854431356*G0_1_1_4_6 + 0.001375767090053*G0_1_1_4_7 - 0.00298273155416058*G0_1_1_4_8 - 0.000102754388468672*G0_1_1_4_9 + 0.00126984126984153*G0_1_1_5_0 + 0.00135198135198161*G0_1_1_5_1 - 0.000910518053375334*G0_1_1_5_2 - 0.00635650064221601*G0_1_1_5_3 + 0.000733552162123712*G0_1_1_5_4 + 0.00856286570572446*G0_1_1_5_5 + 0.00581418581418682*G0_1_1_5_6 + 0.00322534608248956*G0_1_1_5_7 - 0.00435279006707655*G0_1_1_5_8 + 0.00613101184529864*G0_1_1_5_9 - 0.00232941661513133*G0_1_1_6_0 - 0.00127396413110721*G0_1_1_6_1 + 0.00105798962941835*G0_1_1_6_2 + 0.00352504638218984*G0_1_1_6_3 - 0.00425859854431356*G0_1_1_6_4 + 0.00581418581418682*G0_1_1_6_5 - 0.0168174682460425*G0_1_1_6_6 + 0.00112744398458698*G0_1_1_6_7 + 0.000716426430712286*G0_1_1_6_8 - 0.00568574282860092*G0_1_1_6_9 + 0.00622044622044743*G0_1_1_7_0 + 0.00894026608312484*G0_1_1_7_1 - 0.000474763331906249*G0_1_1_7_2 - 0.00925074925075083*G0_1_1_7_3 + 0.001375767090053*G0_1_1_7_4 + 0.00322534608248956*G0_1_1_7_5 + 0.00112744398458698*G0_1_1_7_6 - 0.00734123019837368*G0_1_1_7_7 - 0.0243898958184714*G0_1_1_7_8 - 0.00482945625802844*G0_1_1_7_9 + 0.00114266685695269*G0_1_1_8_0 - 0.0107448107448127*G0_1_1_8_1 + 0.000895295181009604*G0_1_1_8_2 + 0.0122334808049114*G0_1_1_8_3 - 0.00298273155416058*G0_1_1_8_4 - 0.00435279006707655*G0_1_1_8_5 + 0.000716426430712287*G0_1_1_8_6 - 0.0243898958184714*G0_1_1_8_7 + 0.0676865991151818*G0_1_1_8_8 + 0.00539460539460628*G0_1_1_8_9 + 0.000858189429618161*G0_1_1_9_0 + 0.000190285904571631*G0_1_1_9_1 - 0.000454783311926256*G0_1_1_9_2 + 0.0179306407877868*G0_1_1_9_3 - 0.00010275438846867*G0_1_1_9_4 + 0.00613101184529864*G0_1_1_9_5 - 0.00568574282860092*G0_1_1_9_6 - 0.00482945625802843*G0_1_1_9_7 + 0.00539460539460628*G0_1_1_9_8 - 0.00904238618524477*G0_1_1_9_9;
    A[66] = A[94] + 0.00287120287120355*G0_0_1_0_0 + 0.000196170672361203*G0_0_1_0_1 + 0.000388782293544265*G0_0_1_0_2 + 0.000926375212089679*G0_0_1_0_3 - 0.00082806082806098*G0_0_1_0_4 + 0.00119436119436144*G0_0_1_0_5 - 0.00297194868623493*G0_0_1_0_6 + 0.0010833610833614*G0_0_1_0_7 - 0.001311387025673*G0_0_1_0_8 + 0.002658294086866*G0_0_1_0_9 + 0.000196170672361203*G0_0_1_1_0 - 0.00143066809733494*G0_0_1_1_1 + 0.000396887063553796*G0_0_1_1_2 + 0.00237793952079709*G0_0_1_1_3 - 0.00396333824905324*G0_0_1_1_4 - 0.000769072197643769*G0_0_1_1_5 - 0.000344100344100429*G0_0_1_1_7 + 0.00232719661291129*G0_0_1_1_9 + 0.000388782293544266*G0_0_1_2_0 + 0.000396887063553796*G0_0_1_2_1 + 0.0516372516372602*G0_0_1_2_2 - 0.000582909154337784*G0_0_1_2_3 - 0.00262848262848317*G0_0_1_2_4 - 0.00198595055737944*G0_0_1_2_5 - 0.00158064158064189*G0_0_1_2_6 + 0.000892123749266761*G0_0_1_2_7 + 0.000110048681477283*G0_0_1_2_8 - 0.00678178963893364*G0_0_1_2_9 + 0.000926375212089679*G0_0_1_3_0 + 0.00237793952079709*G0_0_1_3_1 - 0.000582909154337784*G0_0_1_3_2 + 0.0600713572142251*G0_0_1_3_3 + 0.0147652347652373*G0_0_1_3_4 - 0.000685029256457925*G0_0_1_3_5 + 0.000796346510632347*G0_0_1_3_6 - 0.00188097616669083*G0_0_1_3_7 + 0.00131297274154449*G0_0_1_3_8 - 0.00321963750535219*G0_0_1_3_9 - 0.000828060828060981*G0_0_1_4_0 - 0.00396333824905324*G0_0_1_4_1 - 0.00262848262848317*G0_0_1_4_2 + 0.0147652347652373*G0_0_1_4_3 - 0.134322820037128*G0_0_1_4_4 + 0.00338233195376107*G0_0_1_4_5 - 0.00417867846439343*G0_0_1_4_6 - 0.000545169116597788*G0_0_1_4_7 + 0.000568003425146337*G0_0_1_4_8 + 0.0135807050092788*G0_0_1_4_9 + 0.00119436119436144*G0_0_1_5_0 - 0.000769072197643769*G0_0_1_5_1 - 0.00198595055737944*G0_0_1_5_2 - 0.000685029256457925*G0_0_1_5_3 + 0.00338233195376107*G0_0_1_5_4 - 0.000211217354074957*G0_0_1_5_5 + 0.0174539745968347*G0_0_1_5_6 - 0.0014271442842874*G0_0_1_5_7 + 0.0032053660625095*G0_0_1_5_8 - 0.014385614385617*G0_0_1_5_9 - 0.00297194868623493*G0_0_1_6_0 - 0.00158064158064189*G0_0_1_6_2 + 0.000796346510632344*G0_0_1_6_3 - 0.00417867846439343*G0_0_1_6_4 + 0.0174539745968347*G0_0_1_6_5 - 0.0516055373198318*G0_0_1_6_6 - 0.0017782217782221*G0_0_1_6_7 - 0.000665049236477942*G0_0_1_6_8 + 0.0187526758955363*G0_0_1_6_9 + 0.0010833610833614*G0_0_1_7_0 - 0.000344100344100429*G0_0_1_7_1 + 0.00089212374926676*G0_0_1_7_2 - 0.00188097616669083*G0_0_1_7_3 - 0.000545169116597788*G0_0_1_7_4 - 0.0014271442842874*G0_0_1_7_5 - 0.0017782217782221*G0_0_1_7_6 - 0.00180961895247601*G0_0_1_7_7 + 0.0028400171257317*G0_0_1_7_8 - 0.00441843870415379*G0_0_1_7_9 - 0.001311387025673*G0_0_1_8_0 + 0.000110048681477283*G0_0_1_8_2 + 0.00131297274154449*G0_0_1_8_3 + 0.000568003425146338*G0_0_1_8_4 + 0.0032053660625095*G0_0_1_8_5 - 0.000665049236477941*G0_0_1_8_6 + 0.0028400171257317*G0_0_1_8_7 - 0.00283716283716286*G0_0_1_8_8 - 0.00811759668902655*G0_0_1_8_9 + 0.002658294086866*G0_0_1_9_0 + 0.00232719661291129*G0_0_1_9_1 - 0.00678178963893364*G0_0_1_9_2 - 0.00321963750535219*G0_0_1_9_3 + 0.0135807050092788*G0_0_1_9_4 - 0.014385614385617*G0_0_1_9_5 + 0.0187526758955363*G0_0_1_9_6 - 0.00441843870415378*G0_0_1_9_7 - 0.00811759668902655*G0_0_1_9_8 + 0.0293877551020457*G0_0_1_9_9 - 0.00287120287120355*G0_1_0_0_0 - 0.000196170672361203*G0_1_0_0_1 - 0.000388782293544265*G0_1_0_0_2 - 0.000926375212089679*G0_1_0_0_3 + 0.00082806082806098*G0_1_0_0_4 - 0.00119436119436143*G0_1_0_0_5 + 0.00297194868623493*G0_1_0_0_6 - 0.0010833610833614*G0_1_0_0_7 + 0.001311387025673*G0_1_0_0_8 - 0.002658294086866*G0_1_0_0_9 - 0.000196170672361203*G0_1_0_1_0 + 0.00143066809733494*G0_1_0_1_1 - 0.000396887063553796*G0_1_0_1_2 - 0.00237793952079709*G0_1_0_1_3 + 0.00396333824905324*G0_1_0_1_4 + 0.00076907219764377*G0_1_0_1_5 + 0.000344100344100429*G0_1_0_1_7 - 0.00232719661291129*G0_1_0_1_9 - 0.000388782293544266*G0_1_0_2_0 - 0.000396887063553796*G0_1_0_2_1 - 0.0516372516372602*G0_1_0_2_2 + 0.000582909154337783*G0_1_0_2_3 + 0.00262848262848317*G0_1_0_2_4 + 0.00198595055737944*G0_1_0_2_5 + 0.00158064158064189*G0_1_0_2_6 - 0.00089212374926676*G0_1_0_2_7 - 0.000110048681477283*G0_1_0_2_8 + 0.00678178963893364*G0_1_0_2_9 - 0.000926375212089679*G0_1_0_3_0 - 0.00237793952079709*G0_1_0_3_1 + 0.000582909154337783*G0_1_0_3_2 - 0.0600713572142251*G0_1_0_3_3 - 0.0147652347652373*G0_1_0_3_4 + 0.000685029256457925*G0_1_0_3_5 - 0.000796346510632344*G0_1_0_3_6 + 0.00188097616669083*G0_1_0_3_7 - 0.00131297274154449*G0_1_0_3_8 + 0.0032196375053522*G0_1_0_3_9 + 0.00082806082806098*G0_1_0_4_0 + 0.00396333824905324*G0_1_0_4_1 + 0.00262848262848317*G0_1_0_4_2 - 0.0147652347652373*G0_1_0_4_3 + 0.134322820037128*G0_1_0_4_4 - 0.00338233195376107*G0_1_0_4_5 + 0.00417867846439343*G0_1_0_4_6 + 0.000545169116597789*G0_1_0_4_7 - 0.000568003425146337*G0_1_0_4_8 - 0.0135807050092788*G0_1_0_4_9 - 0.00119436119436144*G0_1_0_5_0 + 0.00076907219764377*G0_1_0_5_1 + 0.00198595055737944*G0_1_0_5_2 + 0.000685029256457924*G0_1_0_5_3 - 0.00338233195376107*G0_1_0_5_4 + 0.000211217354074957*G0_1_0_5_5 - 0.0174539745968347*G0_1_0_5_6 + 0.0014271442842874*G0_1_0_5_7 - 0.00320536606250951*G0_1_0_5_8 + 0.014385614385617*G0_1_0_5_9 + 0.00297194868623493*G0_1_0_6_0 + 0.00158064158064189*G0_1_0_6_2 - 0.000796346510632343*G0_1_0_6_3 + 0.00417867846439342*G0_1_0_6_4 - 0.0174539745968347*G0_1_0_6_5 + 0.0516055373198318*G0_1_0_6_6 + 0.0017782217782221*G0_1_0_6_7 + 0.000665049236477942*G0_1_0_6_8 - 0.0187526758955363*G0_1_0_6_9 - 0.0010833610833614*G0_1_0_7_0 + 0.000344100344100429*G0_1_0_7_1 - 0.00089212374926676*G0_1_0_7_2 + 0.00188097616669083*G0_1_0_7_3 + 0.000545169116597788*G0_1_0_7_4 + 0.0014271442842874*G0_1_0_7_5 + 0.0017782217782221*G0_1_0_7_6 + 0.00180961895247601*G0_1_0_7_7 - 0.0028400171257317*G0_1_0_7_8 + 0.00441843870415379*G0_1_0_7_9 + 0.001311387025673*G0_1_0_8_0 - 0.000110048681477283*G0_1_0_8_2 - 0.00131297274154449*G0_1_0_8_3 - 0.000568003425146337*G0_1_0_8_4 - 0.00320536606250951*G0_1_0_8_5 + 0.000665049236477941*G0_1_0_8_6 - 0.0028400171257317*G0_1_0_8_7 + 0.00283716283716286*G0_1_0_8_8 + 0.00811759668902655*G0_1_0_8_9 - 0.002658294086866*G0_1_0_9_0 - 0.00232719661291129*G0_1_0_9_1 + 0.00678178963893364*G0_1_0_9_2 + 0.0032196375053522*G0_1_0_9_3 - 0.0135807050092788*G0_1_0_9_4 + 0.014385614385617*G0_1_0_9_5 - 0.0187526758955363*G0_1_0_9_6 + 0.00441843870415379*G0_1_0_9_7 + 0.00811759668902655*G0_1_0_9_8 - 0.0293877551020457*G0_1_0_9_9;
    A[48] = -A[56] + 0.00656838752076961*G0_0_0_0_0 - 0.000819920819920961*G0_0_0_0_1 + 0.00527909480290522*G0_0_0_0_2 + 0.0262167462167507*G0_0_0_0_3 - 0.00145589859875595*G0_0_0_0_4 - 0.00471317042745692*G0_0_0_0_5 + 0.00338159195302113*G0_0_0_0_6 - 0.00947454661740536*G0_0_0_0_7 + 0.0150812150812176*G0_0_0_0_8 + 0.0226846169703351*G0_0_0_0_9 - 0.00081992081992096*G0_0_0_1_0 - 0.0348096348096406*G0_0_0_1_1 + 0.000227920227920276*G0_0_0_1_2 - 0.0194768194768227*G0_0_0_1_3 + 0.00836200836200976*G0_0_0_1_4 + 0.00186776186776218*G0_0_0_1_5 + 0.00609464609464713*G0_0_0_1_6 + 0.0048692048692057*G0_0_0_1_7 - 0.00973840973841143*G0_0_0_1_8 - 0.00275280275280321*G0_0_0_1_9 + 0.00527909480290522*G0_0_0_2_0 + 0.000227920227920276*G0_0_0_2_1 + 0.0461878861878939*G0_0_0_2_2 + 0.0110644910644929*G0_0_0_2_3 + 0.00279085993371753*G0_0_0_2_4 - 0.0164584621727506*G0_0_0_2_5 + 0.0307400535972016*G0_0_0_2_6 - 0.00560666846381224*G0_0_0_2_7 + 0.0150812150812176*G0_0_0_2_8 + 0.0149488606631488*G0_0_0_2_9 + 0.0262167462167507*G0_0_0_3_0 - 0.0194768194768227*G0_0_0_3_1 + 0.0110644910644929*G0_0_0_3_2 + 0.476323676323757*G0_0_0_3_3 - 0.0878321678321825*G0_0_0_3_4 - 0.0334065934065989*G0_0_0_3_5 - 0.0357242757242816*G0_0_0_3_6 - 0.0960905760905922*G0_0_0_3_7 + 0.158774558774585*G0_0_0_3_8 + 0.200439560439594*G0_0_0_3_9 - 0.00145589859875595*G0_0_0_4_0 + 0.00836200836200976*G0_0_0_4_1 + 0.00279085993371753*G0_0_0_4_2 - 0.0878321678321825*G0_0_0_4_3 + 0.11140859140861*G0_0_0_4_4 - 0.0130726416440725*G0_0_0_4_5 + 0.0487969173683541*G0_0_0_4_6 + 0.0193140193140225*G0_0_0_4_7 - 0.0626839826839931*G0_0_0_4_8 - 0.0187012987013017*G0_0_0_4_9 - 0.00471317042745692*G0_0_0_5_0 + 0.00186776186776218*G0_0_0_5_1 - 0.0164584621727506*G0_0_0_5_2 - 0.0334065934065989*G0_0_0_5_3 - 0.0130726416440725*G0_0_0_5_4 + 0.0950820607963623*G0_0_0_5_5 - 0.0291936634793827*G0_0_0_5_6 + 0.0236639550925305*G0_0_0_5_7 - 0.0230436230436269*G0_0_0_5_8 - 0.0219666048237514*G0_0_0_5_9 + 0.00338159195302113*G0_0_0_6_0 + 0.00609464609464713*G0_0_0_6_1 + 0.0307400535972016*G0_0_0_6_2 - 0.0357242757242816*G0_0_0_6_3 + 0.0487969173683541*G0_0_0_6_4 - 0.0291936634793827*G0_0_0_6_5 + 0.195073497930673*G0_0_0_6_6 - 0.000620332048903588*G0_0_0_6_7 - 0.0230436230436268*G0_0_0_6_8 + 0.0266019694591167*G0_0_0_6_9 - 0.00947454661740535*G0_0_0_7_0 + 0.0048692048692057*G0_0_0_7_1 - 0.00560666846381224*G0_0_0_7_2 - 0.0960905760905922*G0_0_0_7_3 + 0.0193140193140225*G0_0_0_7_4 + 0.0236639550925305*G0_0_0_7_5 - 0.000620332048903588*G0_0_0_7_6 + 0.0433699633699706*G0_0_0_7_7 - 0.0626839826839931*G0_0_0_7_8 - 0.066813186813198*G0_0_0_7_9 + 0.0150812150812176*G0_0_0_8_0 - 0.00973840973841142*G0_0_0_8_1 + 0.0150812150812176*G0_0_0_8_2 + 0.158774558774585*G0_0_0_8_3 - 0.0626839826839931*G0_0_0_8_4 - 0.0230436230436269*G0_0_0_8_5 - 0.0230436230436268*G0_0_0_8_6 - 0.0626839826839931*G0_0_0_8_7 + 0.158774558774585*G0_0_0_8_8 + 0.133626373626396*G0_0_0_8_9 + 0.0226846169703351*G0_0_0_9_0 - 0.00275280275280321*G0_0_0_9_1 + 0.0149488606631488*G0_0_0_9_2 + 0.200439560439594*G0_0_0_9_3 - 0.0187012987013017*G0_0_0_9_4 - 0.0219666048237514*G0_0_0_9_5 + 0.0266019694591167*G0_0_0_9_6 - 0.066813186813198*G0_0_0_9_7 + 0.133626373626396*G0_0_0_9_8 + 0.326073926073981*G0_0_0_9_9 + 0.001841403746166*G0_1_0_0_0 - 0.00879614212947705*G0_1_0_0_1 + 0.00107419916943744*G0_1_0_0_2 + 0.0102031302031319*G0_1_0_0_3 - 0.0037029637029643*G0_1_0_0_4 - 0.000279085993371721*G0_1_0_0_5 - 0.00136371564943018*G0_1_0_0_6 - 0.00298368298368344*G0_1_0_0_7 + 0.00737928737928854*G0_1_0_0_8 + 0.00868464868465015*G0_1_0_0_9 - 0.00879614212947705*G0_1_0_1_0 - 0.294322960989679*G0_1_0_1_1 - 0.00879614212947696*G0_1_0_1_2 - 0.0811632811632952*G0_1_0_1_3 + 0.0395160395160463*G0_1_0_1_4 + 0.00066600066600089*G0_1_0_1_5 + 0.000666000666000743*G0_1_0_1_6 + 0.0395160395160465*G0_1_0_1_7 - 0.0811632811632956*G0_1_0_1_8 - 0.00426240426240507*G0_1_0_1_9 + 0.00107419916943744*G0_1_0_2_0 - 0.00879614212947696*G0_1_0_2_1 + 0.0018414037461659*G0_1_0_2_2 + 0.0073792873792886*G0_1_0_2_3 - 0.00298368298368348*G0_1_0_2_4 - 0.00136371564943014*G0_1_0_2_5 - 0.000279085993371782*G0_1_0_2_6 - 0.0037029637029643*G0_1_0_2_7 + 0.0102031302031319*G0_1_0_2_8 + 0.00868464868465012*G0_1_0_2_9 + 0.0102031302031319*G0_1_0_3_0 - 0.0811632811632952*G0_1_0_3_1 + 0.0073792873792886*G0_1_0_3_2 + 0.148651348651374*G0_1_0_3_3 - 0.0307692307692359*G0_1_0_3_4 - 0.0130269730269752*G0_1_0_3_5 - 0.00855144855144997*G0_1_0_3_6 - 0.0371628371628432*G0_1_0_3_7 + 0.0743256743256864*G0_1_0_3_8 + 0.0871128871129017*G0_1_0_3_9 - 0.0037029637029643*G0_1_0_4_0 + 0.0395160395160463*G0_1_0_4_1 - 0.00298368298368348*G0_1_0_4_2 - 0.0307692307692359*G0_1_0_4_3 + 0.0103896103896121*G0_1_0_4_4 + 0.00455544455544528*G0_1_0_4_5 + 0.00399600399600466*G0_1_0_4_6 + 0.0143856143856167*G0_1_0_4_7 - 0.0371628371628432*G0_1_0_4_8 - 0.035164835164841*G0_1_0_4_9 - 0.000279085993371721*G0_1_0_5_0 + 0.000666000666000889*G0_1_0_5_1 - 0.00136371564943014*G0_1_0_5_2 - 0.0130269730269752*G0_1_0_5_3 + 0.00455544455544528*G0_1_0_5_4 + 0.00632510346796175*G0_1_0_5_5 + 0.00046810332524626*G0_1_0_5_6 + 0.00399600399600465*G0_1_0_5_7 - 0.00855144855144993*G0_1_0_5_8 - 0.00895104895105042*G0_1_0_5_9 - 0.00136371564943018*G0_1_0_6_0 + 0.000666000666000744*G0_1_0_6_1 - 0.000279085993371782*G0_1_0_6_2 - 0.00855144855144997*G0_1_0_6_3 + 0.00399600399600466*G0_1_0_6_4 + 0.00046810332524626*G0_1_0_6_5 + 0.00632510346796167*G0_1_0_6_6 + 0.00455544455544531*G0_1_0_6_7 - 0.0130269730269752*G0_1_0_6_8 - 0.00895104895105043*G0_1_0_6_9 - 0.00298368298368344*G0_1_0_7_0 + 0.0395160395160465*G0_1_0_7_1 - 0.0037029637029643*G0_1_0_7_2 - 0.0371628371628432*G0_1_0_7_3 + 0.0143856143856167*G0_1_0_7_4 + 0.00399600399600465*G0_1_0_7_5 + 0.00455544455544531*G0_1_0_7_6 + 0.010389610389612*G0_1_0_7_7 - 0.0307692307692356*G0_1_0_7_8 - 0.035164835164841*G0_1_0_7_9 + 0.00737928737928854*G0_1_0_8_0 - 0.0811632811632956*G0_1_0_8_1 + 0.0102031302031319*G0_1_0_8_2 + 0.0743256743256864*G0_1_0_8_3 - 0.0371628371628432*G0_1_0_8_4 - 0.00855144855144993*G0_1_0_8_5 - 0.0130269730269752*G0_1_0_8_6 - 0.0307692307692356*G0_1_0_8_7 + 0.148651348651373*G0_1_0_8_8 + 0.0871128871129015*G0_1_0_8_9 + 0.00868464868465015*G0_1_0_9_0 - 0.00426240426240507*G0_1_0_9_1 + 0.00868464868465012*G0_1_0_9_2 + 0.0871128871129017*G0_1_0_9_3 - 0.035164835164841*G0_1_0_9_4 - 0.00895104895105042*G0_1_0_9_5 - 0.00895104895105043*G0_1_0_9_6 - 0.035164835164841*G0_1_0_9_7 + 0.0871128871129015*G0_1_0_9_8 + 0.0671328671328785*G0_1_0_9_9;
    A[39] = -A[41] - 0.0211211715973657*G0_1_0_0_0 + 0.000152545866831614*G0_1_0_0_3 - 0.000410541839113339*G0_1_0_0_4 - 0.00164592021734908*G0_1_0_0_5 + 0.00201248486962808*G0_1_0_0_6 - 0.0057990157990168*G0_1_0_0_7 + 0.00295841724413204*G0_1_0_0_8 + 0.00174809317666488*G0_1_0_0_9 + 0.0211211715973659*G0_1_0_1_1 + 0.00164592021734913*G0_1_0_1_3 - 0.00201248486962809*G0_1_0_1_4 - 0.00015254586683162*G0_1_0_1_5 + 0.000410541839113343*G0_1_0_1_6 - 0.00295841724413207*G0_1_0_1_7 + 0.00579901579901687*G0_1_0_1_8 - 0.00174809317666489*G0_1_0_1_9 + 0.000920560920561058*G0_1_0_2_3 - 0.00365708365708423*G0_1_0_2_4 - 0.000920560920561094*G0_1_0_2_5 + 0.00365708365708431*G0_1_0_2_6 - 0.000117818689247281*G0_1_0_2_7 + 0.000117818689247278*G0_1_0_2_8 + 0.000152545866831614*G0_1_0_3_0 + 0.00164592021734913*G0_1_0_3_1 + 0.000920560920561058*G0_1_0_3_2 - 0.0131792017506326*G0_1_0_3_3 + 0.00667951096522636*G0_1_0_3_4 - 0.00123162551734001*G0_1_0_3_6 - 0.000457637600494824*G0_1_0_3_7 + 0.000811093668236657*G0_1_0_3_8 + 0.00615955473098429*G0_1_0_3_9 - 0.000410541839113339*G0_1_0_4_0 - 0.00201248486962809*G0_1_0_4_1 - 0.00365708365708423*G0_1_0_4_2 + 0.00667951096522636*G0_1_0_4_3 - 0.0101964701964719*G0_1_0_4_4 + 0.00123162551734*G0_1_0_4_5 + 0.000792540792540926*G0_1_0_4_7 - 0.000353456067741835*G0_1_0_4_8 - 0.00246325103468001*G0_1_0_4_9 - 0.00164592021734908*G0_1_0_5_0 - 0.00015254586683162*G0_1_0_5_1 - 0.000920560920561094*G0_1_0_5_2 + 0.00123162551734*G0_1_0_5_4 + 0.0131792017506325*G0_1_0_5_5 - 0.00667951096522639*G0_1_0_5_6 - 0.000811093668236666*G0_1_0_5_7 + 0.000457637600494824*G0_1_0_5_8 - 0.00615955473098431*G0_1_0_5_9 + 0.00201248486962807*G0_1_0_6_0 + 0.000410541839113343*G0_1_0_6_1 + 0.00365708365708431*G0_1_0_6_2 - 0.00123162551734001*G0_1_0_6_3 - 0.00667951096522639*G0_1_0_6_5 + 0.0101964701964719*G0_1_0_6_6 + 0.000353456067741843*G0_1_0_6_7 - 0.000792540792540923*G0_1_0_6_8 + 0.00246325103468002*G0_1_0_6_9 - 0.0057990157990168*G0_1_0_7_0 - 0.00295841724413207*G0_1_0_7_1 - 0.000117818689247281*G0_1_0_7_2 - 0.000457637600494824*G0_1_0_7_3 + 0.000792540792540926*G0_1_0_7_4 - 0.000811093668236666*G0_1_0_7_5 + 0.000353456067741843*G0_1_0_7_6 + 0.0273012701584176*G0_1_0_7_7 - 0.00595119166547834*G0_1_0_7_9 + 0.00295841724413204*G0_1_0_8_0 + 0.00579901579901687*G0_1_0_8_1 + 0.000117818689247278*G0_1_0_8_2 + 0.000811093668236658*G0_1_0_8_3 - 0.000353456067741836*G0_1_0_8_4 + 0.000457637600494824*G0_1_0_8_5 - 0.000792540792540923*G0_1_0_8_6 - 0.0273012701584177*G0_1_0_8_8 + 0.00595119166547832*G0_1_0_8_9 + 0.00174809317666488*G0_1_0_9_0 - 0.00174809317666489*G0_1_0_9_1 + 0.00615955473098429*G0_1_0_9_3 - 0.00246325103468001*G0_1_0_9_4 - 0.00615955473098431*G0_1_0_9_5 + 0.00246325103468002*G0_1_0_9_6 - 0.00595119166547834*G0_1_0_9_7 + 0.00595119166547832*G0_1_0_9_8 + 0.00631312250359977*G0_1_1_0_0 + 0.00221103411579641*G0_1_1_0_1 - 0.000249327392184577*G0_1_1_0_3 - 0.000737886452172296*G0_1_1_0_4 + 0.00188747760176363*G0_1_1_0_5 - 0.00148645005787888*G0_1_1_0_6 + 0.00890712462141183*G0_1_1_0_7 - 0.00241885099027995*G0_1_1_0_8 + 0.000971726686012566*G0_1_1_0_9 + 0.00221103411579641*G0_1_1_1_0 + 0.0274342941009657*G0_1_1_1_1 + 0.00353339781911277*G0_1_1_1_3 - 0.00349893492750698*G0_1_1_1_4 - 0.000401873259016194*G0_1_1_1_5 - 0.00032734461305895*G0_1_1_1_6 - 0.00537726823441206*G0_1_1_1_7 + 0.0147061404204287*G0_1_1_1_8 - 0.00077636649065232*G0_1_1_1_9 - 0.00572760572760663*G0_1_1_2_2 + 0.00151034151034176*G0_1_1_2_3 - 0.00599659599659701*G0_1_1_2_4 + 0.000589780589780674*G0_1_1_2_5 - 0.0023395123395127*G0_1_1_2_6 + 0.000712726427012259*G0_1_1_2_7 + 0.000830545116259545*G0_1_1_2_8 - 0.00114552114552133*G0_1_1_2_9 - 0.000249327392184577*G0_1_1_3_0 + 0.00353339781911277*G0_1_1_3_1 + 0.00151034151034176*G0_1_1_3_2 - 0.023392797678516*G0_1_1_3_3 + 0.0116164787593379*G0_1_1_3_4 + 0.000739260739260851*G0_1_1_3_5 + 0.00145711431425742*G0_1_1_3_6 + 0.00122306265163425*G0_1_1_3_7 + 0.000793492222063834*G0_1_1_3_8 - 0.000117025831311572*G0_1_1_3_9 - 0.000737886452172295*G0_1_1_4_0 - 0.00349893492750698*G0_1_1_4_1 - 0.00599659599659701*G0_1_1_4_2 + 0.0116164787593379*G0_1_1_4_3 - 0.0142390942390967*G0_1_1_4_4 + 0.00268873983159743*G0_1_1_4_5 - 0.00414585414585484*G0_1_1_4_6 - 0.000199800199800219*G0_1_1_4_7 - 0.0020165548736981*G0_1_1_4_8 - 0.00194091622663086*G0_1_1_4_9 + 0.00188747760176363*G0_1_1_5_0 - 0.000401873259016194*G0_1_1_5_1 + 0.000589780589780674*G0_1_1_5_2 + 0.000739260739260851*G0_1_1_5_3 + 0.00268873983159743*G0_1_1_5_4 - 0.0102135959278833*G0_1_1_5_5 + 0.00493696779411145*G0_1_1_5_6 + 0.00168070025212908*G0_1_1_5_8 - 0.00627658056229587*G0_1_1_5_9 - 0.00148645005787888*G0_1_1_6_0 - 0.00032734461305895*G0_1_1_6_1 - 0.0023395123395127*G0_1_1_6_2 + 0.00145711431425742*G0_1_1_6_3 - 0.00414585414585484*G0_1_1_6_4 + 0.00493696779411145*G0_1_1_6_5 - 0.00404262404262467*G0_1_1_6_6 - 0.00166309880595623*G0_1_1_6_7 - 0.000992340992341152*G0_1_1_6_8 + 0.000522334808049165*G0_1_1_6_9 + 0.00890712462141183*G0_1_1_7_0 - 0.00537726823441206*G0_1_1_7_1 + 0.000712726427012259*G0_1_1_7_2 + 0.00122306265163425*G0_1_1_7_3 - 0.000199800199800219*G0_1_1_7_4 - 0.00166309880595623*G0_1_1_7_6 + 0.0599762142619387*G0_1_1_7_7 - 0.013871366728512*G0_1_1_7_8 + 0.000411017553874809*G0_1_1_7_9 - 0.00241885099027995*G0_1_1_8_0 + 0.0147061404204287*G0_1_1_8_1 + 0.000830545116259545*G0_1_1_8_2 + 0.000793492222063834*G0_1_1_8_3 - 0.0020165548736981*G0_1_1_8_4 + 0.00168070025212908*G0_1_1_8_5 - 0.000992340992341152*G0_1_1_8_6 - 0.013871366728512*G0_1_1_8_7 + 0.0326749441035212*G0_1_1_8_8 + 0.00636220921935316*G0_1_1_8_9 + 0.000971726686012566*G0_1_1_9_0 - 0.00077636649065232*G0_1_1_9_1 - 0.00114552114552133*G0_1_1_9_2 - 0.000117025831311572*G0_1_1_9_3 - 0.00194091622663086*G0_1_1_9_4 - 0.00627658056229587*G0_1_1_9_5 + 0.000522334808049166*G0_1_1_9_6 + 0.000411017553874808*G0_1_1_9_7 + 0.00636220921935316*G0_1_1_9_8 - 0.00863136863137007*G0_1_1_9_9;
    A[137] = A[39] - 0.01704591704592*G0_0_1_0_0 - 0.000591824401348312*G0_0_1_0_1 - 0.000135455373550629*G0_0_1_0_2 - 0.00212343212343249*G0_0_1_0_5 + 0.00158611230039829*G0_0_1_0_6 - 0.00662670662670775*G0_0_1_0_7 + 0.00222769294197904*G0_0_1_0_8 + 0.000466359037787674*G0_0_1_0_9 - 0.000591824401348312*G0_0_1_1_0 + 0.00407525455144576*G0_0_1_1_1 - 0.000140194902099683*G0_0_1_1_2 - 0.000477511906083404*G0_0_1_1_3 - 0.000426372569229786*G0_0_1_1_4 - 0.000111370111370133*G0_0_1_1_5 + 0.000364661793233287*G0_0_1_1_6 - 0.000730724302153002*G0_0_1_1_7 - 0.000827690827690956*G0_0_1_1_8 - 0.00128173413887721*G0_0_1_1_9 - 0.000135455373550629*G0_0_1_2_0 - 0.000140194902099683*G0_0_1_2_1 + 0.000292670292670325*G0_0_1_2_3 - 0.0018285418285421*G0_0_1_2_4 - 0.000627890627890753*G0_0_1_2_5 + 0.00182854182854218*G0_0_1_2_6 + 0.000196734482448798*G0_0_1_2_8 + 0.000335220335220398*G0_0_1_2_9 - 0.000477511906083404*G0_0_1_3_1 + 0.000292670292670325*G0_0_1_3_2 - 0.00549878692735933*G0_0_1_3_3 + 0.00410732125017907*G0_0_1_3_4 - 0.000853907996765293*G0_0_1_3_6 + 0.000116550116550138*G0_0_1_3_7 + 0.000233575947861689*G0_0_1_3_8 + 0.00361210218353134*G0_0_1_3_9 - 0.000426372569229786*G0_0_1_4_1 - 0.0018285418285421*G0_0_1_4_2 + 0.00410732125017907*G0_0_1_4_3 - 0.00557442557442651*G0_0_1_4_4 + 0.000377717520574717*G0_0_1_4_5 + 0.000476190476190576*G0_0_1_4_6 - 0.000169592312449487*G0_0_1_4_7 - 0.000350126064411831*G0_0_1_4_8 - 0.00176109604681063*G0_0_1_4_9 - 0.00212343212343249*G0_0_1_5_0 - 0.000111370111370133*G0_0_1_5_1 - 0.000627890627890753*G0_0_1_5_2 + 0.000377717520574717*G0_0_1_5_4 + 0.00768041482327328*G0_0_1_5_5 - 0.00257218971504732*G0_0_1_5_6 - 0.000577517720374955*G0_0_1_5_7 + 0.000574187717044955*G0_0_1_5_8 - 0.00254745254745295*G0_0_1_5_9 + 0.00158611230039829*G0_0_1_6_0 + 0.000364661793233287*G0_0_1_6_1 + 0.00182854182854218*G0_0_1_6_2 - 0.000853907996765293*G0_0_1_6_3 + 0.000476190476190576*G0_0_1_6_4 - 0.00257218971504732*G0_0_1_6_5 + 0.00462204462204546*G0_0_1_6_6 - 0.000962133104990407*G0_0_1_6_8 + 0.000702154987869389*G0_0_1_6_9 - 0.00662670662670775*G0_0_1_7_0 - 0.000730724302153002*G0_0_1_7_1 + 0.000116550116550138*G0_0_1_7_3 - 0.000169592312449486*G0_0_1_7_4 - 0.000577517720374954*G0_0_1_7_5 + 0.0201679273107879*G0_0_1_7_7 + 0.00651729223157905*G0_0_1_7_8 - 0.00140573712002304*G0_0_1_7_9 + 0.00222769294197904*G0_0_1_8_0 - 0.000827690827690956*G0_0_1_8_1 + 0.000196734482448798*G0_0_1_8_2 + 0.000233575947861689*G0_0_1_8_3 - 0.000350126064411831*G0_0_1_8_4 + 0.000574187717044955*G0_0_1_8_5 - 0.000962133104990407*G0_0_1_8_6 + 0.00651729223157905*G0_0_1_8_7 - 0.00713334284762984*G0_0_1_8_8 + 0.00454545454545529*G0_0_1_8_9 + 0.000466359037787674*G0_0_1_9_0 - 0.00128173413887721*G0_0_1_9_1 + 0.000335220335220398*G0_0_1_9_2 + 0.00361210218353134*G0_0_1_9_3 - 0.00176109604681063*G0_0_1_9_4 - 0.00254745254745295*G0_0_1_9_5 + 0.000702154987869389*G0_0_1_9_6 - 0.00140573712002304*G0_0_1_9_7 + 0.00454545454545529*G0_0_1_9_8 - 0.00428143285286215*G0_0_1_9_9 + 0.01704591704592*G0_1_0_0_0 + 0.000591824401348312*G0_1_0_0_1 + 0.000135455373550629*G0_1_0_0_2 + 0.00212343212343249*G0_1_0_0_5 - 0.00158611230039829*G0_1_0_0_6 + 0.00662670662670775*G0_1_0_0_7 - 0.00222769294197904*G0_1_0_0_8 - 0.000466359037787674*G0_1_0_0_9 + 0.000591824401348312*G0_1_0_1_0 - 0.00407525455144576*G0_1_0_1_1 + 0.000140194902099683*G0_1_0_1_2 + 0.000477511906083404*G0_1_0_1_3 + 0.000426372569229786*G0_1_0_1_4 + 0.000111370111370133*G0_1_0_1_5 - 0.000364661793233287*G0_1_0_1_6 + 0.000730724302153002*G0_1_0_1_7 + 0.000827690827690956*G0_1_0_1_8 + 0.00128173413887721*G0_1_0_1_9 + 0.000135455373550629*G0_1_0_2_0 + 0.000140194902099683*G0_1_0_2_1 - 0.000292670292670325*G0_1_0_2_3 + 0.0018285418285421*G0_1_0_2_4 + 0.000627890627890753*G0_1_0_2_5 - 0.00182854182854218*G0_1_0_2_6 - 0.000196734482448798*G0_1_0_2_8 - 0.000335220335220398*G0_1_0_2_9 + 0.000477511906083404*G0_1_0_3_1 - 0.000292670292670325*G0_1_0_3_2 + 0.00549878692735933*G0_1_0_3_3 - 0.00410732125017907*G0_1_0_3_4 + 0.000853907996765293*G0_1_0_3_6 - 0.000116550116550138*G0_1_0_3_7 - 0.000233575947861689*G0_1_0_3_8 - 0.00361210218353134*G0_1_0_3_9 + 0.000426372569229786*G0_1_0_4_1 + 0.0018285418285421*G0_1_0_4_2 - 0.00410732125017908*G0_1_0_4_3 + 0.00557442557442651*G0_1_0_4_4 - 0.000377717520574717*G0_1_0_4_5 - 0.000476190476190576*G0_1_0_4_6 + 0.000169592312449486*G0_1_0_4_7 + 0.000350126064411831*G0_1_0_4_8 + 0.00176109604681063*G0_1_0_4_9 + 0.00212343212343249*G0_1_0_5_0 + 0.000111370111370133*G0_1_0_5_1 + 0.000627890627890753*G0_1_0_5_2 - 0.000377717520574717*G0_1_0_5_4 - 0.00768041482327327*G0_1_0_5_5 + 0.00257218971504732*G0_1_0_5_6 + 0.000577517720374955*G0_1_0_5_7 - 0.000574187717044955*G0_1_0_5_8 + 0.00254745254745295*G0_1_0_5_9 - 0.00158611230039829*G0_1_0_6_0 - 0.000364661793233287*G0_1_0_6_1 - 0.00182854182854218*G0_1_0_6_2 + 0.000853907996765293*G0_1_0_6_3 - 0.000476190476190576*G0_1_0_6_4 + 0.00257218971504732*G0_1_0_6_5 - 0.00462204462204546*G0_1_0_6_6 + 0.000962133104990407*G0_1_0_6_8 - 0.000702154987869389*G0_1_0_6_9 + 0.00662670662670775*G0_1_0_7_0 + 0.000730724302153002*G0_1_0_7_1 - 0.000116550116550138*G0_1_0_7_3 + 0.000169592312449486*G0_1_0_7_4 + 0.000577517720374954*G0_1_0_7_5 - 0.0201679273107879*G0_1_0_7_7 - 0.00651729223157905*G0_1_0_7_8 + 0.00140573712002304*G0_1_0_7_9 - 0.00222769294197904*G0_1_0_8_0 + 0.000827690827690956*G0_1_0_8_1 - 0.000196734482448798*G0_1_0_8_2 - 0.000233575947861689*G0_1_0_8_3 + 0.000350126064411831*G0_1_0_8_4 - 0.000574187717044955*G0_1_0_8_5 + 0.000962133104990407*G0_1_0_8_6 - 0.00651729223157905*G0_1_0_8_7 + 0.00713334284762984*G0_1_0_8_8 - 0.00454545454545529*G0_1_0_8_9 - 0.000466359037787674*G0_1_0_9_0 + 0.00128173413887721*G0_1_0_9_1 - 0.000335220335220398*G0_1_0_9_2 - 0.00361210218353134*G0_1_0_9_3 + 0.00176109604681063*G0_1_0_9_4 + 0.00254745254745295*G0_1_0_9_5 - 0.000702154987869389*G0_1_0_9_6 + 0.00140573712002304*G0_1_0_9_7 - 0.00454545454545529*G0_1_0_9_8 + 0.00428143285286215*G0_1_0_9_9;
    A[167] = -A[137] - 0.0211211715973657*G0_0_1_0_0 + 0.000152545866831614*G0_0_1_0_3 - 0.000410541839113339*G0_0_1_0_4 - 0.00164592021734908*G0_0_1_0_5 + 0.00201248486962808*G0_0_1_0_6 - 0.0057990157990168*G0_0_1_0_7 + 0.00295841724413204*G0_0_1_0_8 + 0.00174809317666488*G0_0_1_0_9 + 0.0211211715973659*G0_0_1_1_1 + 0.00164592021734913*G0_0_1_1_3 - 0.00201248486962809*G0_0_1_1_4 - 0.00015254586683162*G0_0_1_1_5 + 0.000410541839113343*G0_0_1_1_6 - 0.00295841724413207*G0_0_1_1_7 + 0.00579901579901687*G0_0_1_1_8 - 0.00174809317666489*G0_0_1_1_9 + 0.000920560920561058*G0_0_1_2_3 - 0.00365708365708423*G0_0_1_2_4 - 0.000920560920561094*G0_0_1_2_5 + 0.00365708365708431*G0_0_1_2_6 - 0.000117818689247281*G0_0_1_2_7 + 0.000117818689247278*G0_0_1_2_8 + 0.000152545866831614*G0_0_1_3_0 + 0.00164592021734913*G0_0_1_3_1 + 0.000920560920561058*G0_0_1_3_2 - 0.0131792017506326*G0_0_1_3_3 + 0.00667951096522636*G0_0_1_3_4 - 0.00123162551734001*G0_0_1_3_6 - 0.000457637600494824*G0_0_1_3_7 + 0.000811093668236657*G0_0_1_3_8 + 0.00615955473098429*G0_0_1_3_9 - 0.000410541839113339*G0_0_1_4_0 - 0.00201248486962809*G0_0_1_4_1 - 0.00365708365708423*G0_0_1_4_2 + 0.00667951096522636*G0_0_1_4_3 - 0.0101964701964719*G0_0_1_4_4 + 0.00123162551734*G0_0_1_4_5 + 0.000792540792540926*G0_0_1_4_7 - 0.000353456067741836*G0_0_1_4_8 - 0.00246325103468001*G0_0_1_4_9 - 0.00164592021734908*G0_0_1_5_0 - 0.000152545866831619*G0_0_1_5_1 - 0.000920560920561094*G0_0_1_5_2 + 0.00123162551734*G0_0_1_5_4 + 0.0131792017506325*G0_0_1_5_5 - 0.00667951096522639*G0_0_1_5_6 - 0.000811093668236666*G0_0_1_5_7 + 0.000457637600494824*G0_0_1_5_8 - 0.00615955473098431*G0_0_1_5_9 + 0.00201248486962807*G0_0_1_6_0 + 0.000410541839113343*G0_0_1_6_1 + 0.00365708365708431*G0_0_1_6_2 - 0.00123162551734001*G0_0_1_6_3 - 0.00667951096522639*G0_0_1_6_5 + 0.0101964701964719*G0_0_1_6_6 + 0.000353456067741843*G0_0_1_6_7 - 0.000792540792540923*G0_0_1_6_8 + 0.00246325103468002*G0_0_1_6_9 - 0.0057990157990168*G0_0_1_7_0 - 0.00295841724413207*G0_0_1_7_1 - 0.000117818689247281*G0_0_1_7_2 - 0.000457637600494824*G0_0_1_7_3 + 0.000792540792540926*G0_0_1_7_4 - 0.000811093668236666*G0_0_1_7_5 + 0.000353456067741843*G0_0_1_7_6 + 0.0273012701584176*G0_0_1_7_7 - 0.00595119166547834*G0_0_1_7_9 + 0.00295841724413204*G0_0_1_8_0 + 0.00579901579901687*G0_0_1_8_1 + 0.000117818689247278*G0_0_1_8_2 + 0.000811093668236657*G0_0_1_8_3 - 0.000353456067741836*G0_0_1_8_4 + 0.000457637600494824*G0_0_1_8_5 - 0.000792540792540923*G0_0_1_8_6 - 0.0273012701584177*G0_0_1_8_8 + 0.00595119166547832*G0_0_1_8_9 + 0.00174809317666488*G0_0_1_9_0 - 0.00174809317666489*G0_0_1_9_1 + 0.00615955473098429*G0_0_1_9_3 - 0.00246325103468001*G0_0_1_9_4 - 0.00615955473098431*G0_0_1_9_5 + 0.00246325103468002*G0_0_1_9_6 - 0.00595119166547834*G0_0_1_9_7 + 0.00595119166547832*G0_0_1_9_8 + 0.00631312250359977*G0_1_1_0_0 + 0.00221103411579641*G0_1_1_0_1 - 0.000249327392184577*G0_1_1_0_3 - 0.000737886452172296*G0_1_1_0_4 + 0.00188747760176363*G0_1_1_0_5 - 0.00148645005787888*G0_1_1_0_6 + 0.00890712462141183*G0_1_1_0_7 - 0.00241885099027995*G0_1_1_0_8 + 0.000971726686012566*G0_1_1_0_9 + 0.00221103411579641*G0_1_1_1_0 + 0.0274342941009657*G0_1_1_1_1 + 0.00353339781911277*G0_1_1_1_3 - 0.00349893492750698*G0_1_1_1_4 - 0.000401873259016194*G0_1_1_1_5 - 0.00032734461305895*G0_1_1_1_6 - 0.00537726823441206*G0_1_1_1_7 + 0.0147061404204287*G0_1_1_1_8 - 0.00077636649065232*G0_1_1_1_9 - 0.00572760572760663*G0_1_1_2_2 + 0.00151034151034176*G0_1_1_2_3 - 0.00599659599659701*G0_1_1_2_4 + 0.000589780589780674*G0_1_1_2_5 - 0.0023395123395127*G0_1_1_2_6 + 0.000712726427012259*G0_1_1_2_7 + 0.000830545116259545*G0_1_1_2_8 - 0.00114552114552133*G0_1_1_2_9 - 0.000249327392184577*G0_1_1_3_0 + 0.00353339781911277*G0_1_1_3_1 + 0.00151034151034176*G0_1_1_3_2 - 0.023392797678516*G0_1_1_3_3 + 0.0116164787593379*G0_1_1_3_4 + 0.000739260739260852*G0_1_1_3_5 + 0.00145711431425742*G0_1_1_3_6 + 0.00122306265163425*G0_1_1_3_7 + 0.000793492222063834*G0_1_1_3_8 - 0.000117025831311572*G0_1_1_3_9 - 0.000737886452172295*G0_1_1_4_0 - 0.00349893492750698*G0_1_1_4_1 - 0.00599659599659701*G0_1_1_4_2 + 0.0116164787593379*G0_1_1_4_3 - 0.0142390942390967*G0_1_1_4_4 + 0.00268873983159743*G0_1_1_4_5 - 0.00414585414585484*G0_1_1_4_6 - 0.000199800199800219*G0_1_1_4_7 - 0.0020165548736981*G0_1_1_4_8 - 0.00194091622663086*G0_1_1_4_9 + 0.00188747760176363*G0_1_1_5_0 - 0.000401873259016194*G0_1_1_5_1 + 0.000589780589780674*G0_1_1_5_2 + 0.000739260739260852*G0_1_1_5_3 + 0.00268873983159743*G0_1_1_5_4 - 0.0102135959278833*G0_1_1_5_5 + 0.00493696779411145*G0_1_1_5_6 + 0.00168070025212908*G0_1_1_5_8 - 0.00627658056229588*G0_1_1_5_9 - 0.00148645005787888*G0_1_1_6_0 - 0.00032734461305895*G0_1_1_6_1 - 0.0023395123395127*G0_1_1_6_2 + 0.00145711431425742*G0_1_1_6_3 - 0.00414585414585484*G0_1_1_6_4 + 0.00493696779411145*G0_1_1_6_5 - 0.00404262404262467*G0_1_1_6_6 - 0.00166309880595623*G0_1_1_6_7 - 0.000992340992341152*G0_1_1_6_8 + 0.000522334808049165*G0_1_1_6_9 + 0.00890712462141183*G0_1_1_7_0 - 0.00537726823441206*G0_1_1_7_1 + 0.000712726427012259*G0_1_1_7_2 + 0.00122306265163425*G0_1_1_7_3 - 0.000199800199800219*G0_1_1_7_4 - 0.00166309880595623*G0_1_1_7_6 + 0.0599762142619387*G0_1_1_7_7 - 0.013871366728512*G0_1_1_7_8 + 0.000411017553874808*G0_1_1_7_9 - 0.00241885099027995*G0_1_1_8_0 + 0.0147061404204287*G0_1_1_8_1 + 0.000830545116259545*G0_1_1_8_2 + 0.000793492222063834*G0_1_1_8_3 - 0.0020165548736981*G0_1_1_8_4 + 0.00168070025212908*G0_1_1_8_5 - 0.000992340992341152*G0_1_1_8_6 - 0.013871366728512*G0_1_1_8_7 + 0.0326749441035212*G0_1_1_8_8 + 0.00636220921935316*G0_1_1_8_9 + 0.000971726686012566*G0_1_1_9_0 - 0.00077636649065232*G0_1_1_9_1 - 0.00114552114552133*G0_1_1_9_2 - 0.000117025831311572*G0_1_1_9_3 - 0.00194091622663086*G0_1_1_9_4 - 0.00627658056229588*G0_1_1_9_5 + 0.000522334808049165*G0_1_1_9_6 + 0.000411017553874808*G0_1_1_9_7 + 0.00636220921935316*G0_1_1_9_8 - 0.00863136863137007*G0_1_1_9_9;
    A[47] = -A[167] - 0.0036748789129748*G0_0_1_0_0 + 0.000628533723771933*G0_0_1_0_1 + 0.00342487318677853*G0_0_1_0_2 + 0.00109987895702201*G0_0_1_0_3 - 0.00089941804227535*G0_0_1_0_5 + 0.00476158761873129*G0_0_1_0_6 + 0.000525823382966314*G0_0_1_0_7 + 0.00108526394240699*G0_0_1_0_8 + 0.00346225203368118*G0_0_1_0_9 + 0.000628533723771933*G0_0_1_1_0 + 0.0153463820130514*G0_0_1_1_1 + 0.00182148539291428*G0_0_1_1_2 + 0.00367595367595435*G0_0_1_1_3 - 0.00171310171310203*G0_0_1_1_4 - 0.000738600024314444*G0_0_1_1_5 + 0.00171355099926558*G0_0_1_1_6 - 0.00169238169238201*G0_0_1_1_7 + 0.00497095497095589*G0_0_1_1_8 - 0.000668220668220766*G0_0_1_1_9 + 0.00342487318677853*G0_0_1_2_0 + 0.00182148539291428*G0_0_1_2_1 + 0.0591889591889691*G0_0_1_2_2 - 0.00446146446146518*G0_0_1_2_3 + 0.0103481703481721*G0_0_1_2_4 - 0.0148836348836374*G0_0_1_2_5 + 0.0359388759388819*G0_0_1_2_6 - 0.000948390234104674*G0_0_1_2_7 + 0.000161769447483763*G0_0_1_2_8 + 0.00259518259518301*G0_0_1_2_9 + 0.00109987895702201*G0_0_1_3_0 + 0.00367595367595435*G0_0_1_3_1 - 0.00446146446146518*G0_0_1_3_2 + 0.023010323010327*G0_0_1_3_3 - 0.00674349460063856*G0_0_1_3_4 + 0.000805385091099504*G0_0_1_3_5 - 0.00783525997811841*G0_0_1_3_6 - 0.00599424385138772*G0_0_1_3_7 + 0.00917415917416071*G0_0_1_3_8 + 0.0139931497074377*G0_0_1_3_9 - 0.00171310171310203*G0_0_1_4_1 + 0.0103481703481721*G0_0_1_4_2 - 0.00674349460063856*G0_0_1_4_3 - 0.0102564102564121*G0_0_1_4_4 - 0.00246777032491358*G0_0_1_4_5 + 0.010303030303032*G0_0_1_4_6 + 0.00288330716902194*G0_0_1_4_7 - 0.00317991532277298*G0_0_1_4_8 - 0.00285000713572188*G0_0_1_4_9 - 0.00089941804227535*G0_0_1_5_0 - 0.000738600024314444*G0_0_1_5_1 - 0.0148836348836374*G0_0_1_5_2 + 0.000805385091099505*G0_0_1_5_3 - 0.00246777032491358*G0_0_1_5_4 + 0.0146910232624542*G0_0_1_5_5 - 0.0263500784929401*G0_0_1_5_6 + 0.000328243185386086*G0_0_1_5_7 - 0.000478806907378411*G0_0_1_5_8 - 0.00942914228628672*G0_0_1_5_9 + 0.00476158761873129*G0_0_1_6_0 + 0.00171355099926558*G0_0_1_6_1 + 0.0359388759388819*G0_0_1_6_2 - 0.00783525997811841*G0_0_1_6_3 + 0.010303030303032*G0_0_1_6_4 - 0.0263500784929401*G0_0_1_6_5 + 0.0588811188811288*G0_0_1_6_6 + 0.000150563721992324*G0_0_1_6_7 - 0.00146567717996313*G0_0_1_6_8 + 0.00788497217068778*G0_0_1_6_9 + 0.000525823382966314*G0_0_1_7_0 - 0.00169238169238201*G0_0_1_7_1 - 0.000948390234104674*G0_0_1_7_2 - 0.00599424385138772*G0_0_1_7_3 + 0.00288330716902194*G0_0_1_7_4 + 0.000328243185386085*G0_0_1_7_5 + 0.000150563721992324*G0_0_1_7_6 + 0.00807763664906658*G0_0_1_7_7 - 0.00793849008134856*G0_0_1_7_8 - 0.0106878835450282*G0_0_1_7_9 + 0.00108526394240699*G0_0_1_8_0 + 0.00497095497095589*G0_0_1_8_1 + 0.000161769447483764*G0_0_1_8_2 + 0.00917415917416071*G0_0_1_8_3 - 0.00317991532277298*G0_0_1_8_4 - 0.000478806907378411*G0_0_1_8_5 - 0.00146567717996313*G0_0_1_8_6 - 0.00793849008134856*G0_0_1_8_7 - 0.0206793206793243*G0_0_1_8_8 + 0.00836449265020828*G0_0_1_8_9 + 0.00346225203368118*G0_0_1_9_0 - 0.000668220668220766*G0_0_1_9_1 + 0.00259518259518301*G0_0_1_9_2 + 0.0139931497074377*G0_0_1_9_3 - 0.00285000713572187*G0_0_1_9_4 - 0.00942914228628672*G0_0_1_9_5 + 0.00788497217068778*G0_0_1_9_6 - 0.0106878835450282*G0_0_1_9_7 + 0.00836449265020828*G0_0_1_9_8 + 0.0213900385328993*G0_0_1_9_9;
    A[92] = -A[47] + 0.00209991067133959*G0_0_1_0_0 + 0.00159864826531521*G0_0_1_0_2 + 0.00168593311450483*G0_0_1_0_3 - 0.00137862137862162*G0_0_1_0_4 - 0.00292945150088058*G0_0_1_0_5 + 0.00446220446220524*G0_0_1_0_6 + 0.00135388421102729*G0_0_1_0_7 - 0.000180771609343068*G0_0_1_0_8 + 0.00238237952523706*G0_0_1_0_9 - 0.00209991067133961*G0_0_1_1_1 - 0.0015986482653152*G0_0_1_1_2 + 0.00292945150088056*G0_0_1_1_3 - 0.00446220446220522*G0_0_1_1_4 - 0.00168593311450482*G0_0_1_1_5 + 0.00137862137862162*G0_0_1_1_6 + 0.000180771609343076*G0_0_1_1_7 - 0.00135388421102731*G0_0_1_1_8 - 0.00238237952523706*G0_0_1_1_9 + 0.00159864826531521*G0_0_1_2_0 - 0.0015986482653152*G0_0_1_2_1 + 0.00950160950161109*G0_0_1_2_3 - 0.0219336219336256*G0_0_1_2_4 - 0.00950160950161113*G0_0_1_2_5 + 0.0219336219336257*G0_0_1_2_6 - 0.000992340992341156*G0_0_1_2_7 + 0.000992340992341155*G0_0_1_2_8 + 0.00168593311450483*G0_0_1_3_0 + 0.00292945150088056*G0_0_1_3_1 + 0.00950160950161109*G0_0_1_3_2 + 0.0214985014985052*G0_0_1_3_3 + 0.0129270729270751*G0_0_1_3_4 - 0.00413586413586482*G0_0_1_3_6 - 0.00505779934351447*G0_0_1_3_7 + 0.00803482232053793*G0_0_1_3_8 + 0.0172627372627401*G0_0_1_3_9 - 0.00137862137862162*G0_0_1_4_0 - 0.00446220446220522*G0_0_1_4_1 - 0.0219336219336256*G0_0_1_4_2 + 0.0129270729270751*G0_0_1_4_3 - 0.058941058941069*G0_0_1_4_4 + 0.00413586413586484*G0_0_1_4_5 + 0.00355644355644415*G0_0_1_4_7 - 0.00297702297702345*G0_0_1_4_8 - 0.00827172827172965*G0_0_1_4_9 - 0.00292945150088058*G0_0_1_5_0 - 0.00168593311450482*G0_0_1_5_1 - 0.00950160950161113*G0_0_1_5_2 + 0.00413586413586484*G0_0_1_5_4 - 0.021498501498505*G0_0_1_5_5 - 0.0129270729270752*G0_0_1_5_6 - 0.00803482232053793*G0_0_1_5_7 + 0.00505779934351446*G0_0_1_5_8 - 0.0172627372627401*G0_0_1_5_9 + 0.00446220446220524*G0_0_1_6_0 + 0.00137862137862162*G0_0_1_6_1 + 0.0219336219336257*G0_0_1_6_2 - 0.00413586413586482*G0_0_1_6_3 - 0.0129270729270752*G0_0_1_6_5 + 0.058941058941069*G0_0_1_6_6 + 0.00297702297702348*G0_0_1_6_7 - 0.00355644355644414*G0_0_1_6_8 + 0.00827172827172965*G0_0_1_6_9 + 0.00135388421102729*G0_0_1_7_0 + 0.000180771609343076*G0_0_1_7_1 - 0.000992340992341156*G0_0_1_7_2 - 0.00505779934351447*G0_0_1_7_3 + 0.00355644355644415*G0_0_1_7_4 - 0.00803482232053793*G0_0_1_7_5 + 0.00297702297702348*G0_0_1_7_6 + 0.00145568716997309*G0_0_1_7_7 - 0.0131011845297581*G0_0_1_7_9 - 0.000180771609343068*G0_0_1_8_0 - 0.00135388421102731*G0_0_1_8_1 + 0.000992340992341155*G0_0_1_8_2 + 0.00803482232053793*G0_0_1_8_3 - 0.00297702297702346*G0_0_1_8_4 + 0.00505779934351446*G0_0_1_8_5 - 0.00355644355644414*G0_0_1_8_6 - 0.00145568716997323*G0_0_1_8_8 + 0.0131011845297581*G0_0_1_8_9 + 0.00238237952523706*G0_0_1_9_0 - 0.00238237952523706*G0_0_1_9_1 + 0.0172627372627401*G0_0_1_9_3 - 0.00827172827172965*G0_0_1_9_4 - 0.0172627372627401*G0_0_1_9_5 + 0.00827172827172965*G0_0_1_9_6 - 0.0131011845297581*G0_0_1_9_7 + 0.0131011845297581*G0_0_1_9_8 - 0.0216595045166511*G0_1_1_0_0 - 0.00283956783956834*G0_1_1_0_1 - 0.00180270346937045*G0_1_1_0_2 + 0.000987927416499021*G0_1_1_0_3 - 0.000975664547093294*G0_1_1_0_4 - 0.00556343127771792*G0_1_1_0_5 + 0.00319955177098088*G0_1_1_0_6 - 0.0138780795923676*G0_1_1_0_7 + 0.00411123268266193*G0_1_1_0_8 - 0.000303506017791806*G0_1_1_0_9 - 0.00283956783956834*G0_1_1_1_0 - 0.0237594151879909*G0_1_1_1_1 - 0.00340135173468566*G0_1_1_1_2 - 0.00263397977683742*G0_1_1_1_3 - 0.00126265269122432*G0_1_1_1_4 - 0.000698005698005798*G0_1_1_1_5 + 0.000402956831528321*G0_1_1_1_6 + 0.00429200429200507*G0_1_1_1_7 - 0.0152319638033951*G0_1_1_1_8 - 0.00268588554302887*G0_1_1_1_9 - 0.00180270346937045*G0_1_1_2_0 - 0.00340135173468566*G0_1_1_2_1 - 0.0534613534613625*G0_1_1_2_2 + 0.0133732933732956*G0_1_1_2_3 - 0.029942279942285*G0_1_1_2_4 + 0.00387168387168453*G0_1_1_2_5 - 0.00800865800865938*G0_1_1_2_6 - 0.000874495874496018*G0_1_1_2_7 + 0.000117845117845129*G0_1_1_2_8 - 0.0014496614496617*G0_1_1_2_9 + 0.000987927416499021*G0_1_1_3_0 - 0.00263397977683742*G0_1_1_3_1 + 0.0133732933732956*G0_1_1_3_2 + 0.00870177441606156*G0_1_1_3_3 + 0.0147335997336023*G0_1_1_3_4 - 0.00154464583036038*G0_1_1_3_5 + 0.0010106560106562*G0_1_1_3_6 - 0.000744255744255835*G0_1_1_3_7 - 0.00112173540744994*G0_1_1_3_8 + 0.00954616811759828*G0_1_1_3_9 - 0.000975664547093294*G0_1_1_4_0 - 0.00126265269122432*G0_1_1_4_1 - 0.029942279942285*G0_1_1_4_2 + 0.0147335997336023*G0_1_1_4_3 - 0.0446420246420323*G0_1_1_4_4 + 0.00514652014652103*G0_1_1_4_5 - 0.00615717615717723*G0_1_1_4_6 + 0.00166547737976336*G0_1_1_4_7 + 0.00186599115170578*G0_1_1_4_8 - 0.00594405594405695*G0_1_1_4_9 - 0.00556343127771792*G0_1_1_5_0 - 0.000698005698005798*G0_1_1_5_1 + 0.00387168387168453*G0_1_1_5_2 - 0.00154464583036038*G0_1_1_5_3 + 0.00514652014652103*G0_1_1_5_4 - 0.0127967270824434*G0_1_1_5_5 + 0.00180652680652711*G0_1_1_5_6 - 0.00915655772798782*G0_1_1_5_7 + 0.00431354359925861*G0_1_1_5_8 - 0.00771656914514183*G0_1_1_5_9 + 0.00319955177098088*G0_1_1_6_0 + 0.000402956831528321*G0_1_1_6_1 - 0.00800865800865938*G0_1_1_6_2 + 0.0010106560106562*G0_1_1_6_3 - 0.00615717615717723*G0_1_1_6_4 + 0.00180652680652711*G0_1_1_6_5 + 0.0142990342990367*G0_1_1_6_6 + 0.00484301412872923*G0_1_1_6_7 - 0.00189096617668078*G0_1_1_6_8 + 0.0023276723276727*G0_1_1_6_9 - 0.0138780795923676*G0_1_1_7_0 + 0.00429200429200507*G0_1_1_7_1 - 0.000874495874496018*G0_1_1_7_2 - 0.000744255744255835*G0_1_1_7_3 + 0.00166547737976336*G0_1_1_7_4 - 0.00915655772798782*G0_1_1_7_5 + 0.00484301412872923*G0_1_1_7_6 - 0.0392968935826145*G0_1_1_7_7 + 0.0218098568098606*G0_1_1_7_8 - 0.0087755102040831*G0_1_1_7_9 + 0.00411123268266193*G0_1_1_8_0 - 0.0152319638033951*G0_1_1_8_1 + 0.000117845117845129*G0_1_1_8_2 - 0.00112173540744994*G0_1_1_8_3 + 0.00186599115170578*G0_1_1_8_4 + 0.00431354359925861*G0_1_1_8_5 - 0.00189096617668078*G0_1_1_8_6 + 0.0218098568098606*G0_1_1_8_7 - 0.0407525807525878*G0_1_1_8_8 + 0.00432567432567502*G0_1_1_8_9 - 0.000303506017791806*G0_1_1_9_0 - 0.00268588554302887*G0_1_1_9_1 - 0.0014496614496617*G0_1_1_9_2 + 0.00954616811759828*G0_1_1_9_3 - 0.00594405594405695*G0_1_1_9_4 - 0.00771656914514183*G0_1_1_9_5 + 0.0023276723276727*G0_1_1_9_6 - 0.0087755102040831*G0_1_1_9_7 + 0.00432567432567502*G0_1_1_9_8 - 0.0127586699015292*G0_1_1_9_9;
    A[121] = -A[91] + 0.00631312250359978*G0_0_0_0_0 + 0.0022110341157964*G0_0_0_0_2 - 0.000737886452172291*G0_0_0_0_3 - 0.000249327392184578*G0_0_0_0_4 + 0.00890712462141186*G0_0_0_0_5 - 0.00241885099027998*G0_0_0_0_6 + 0.00188747760176364*G0_0_0_0_7 - 0.00148645005787887*G0_0_0_0_8 + 0.00097172668601257*G0_0_0_0_9 - 0.00572760572760661*G0_0_0_1_1 - 0.00599659599659702*G0_0_0_1_3 + 0.00151034151034176*G0_0_0_1_4 + 0.000712726427012255*G0_0_0_1_5 + 0.000830545116259544*G0_0_0_1_6 + 0.000589780589780657*G0_0_0_1_7 - 0.00233951233951265*G0_0_0_1_8 - 0.00114552114552134*G0_0_0_1_9 + 0.0022110341157964*G0_0_0_2_0 + 0.0274342941009653*G0_0_0_2_2 - 0.00349893492750694*G0_0_0_2_3 + 0.00353339781911269*G0_0_0_2_4 - 0.00537726823441197*G0_0_0_2_5 + 0.0147061404204286*G0_0_0_2_6 - 0.000401873259016183*G0_0_0_2_7 - 0.000327344613058947*G0_0_0_2_8 - 0.000776366490652341*G0_0_0_2_9 - 0.000737886452172291*G0_0_0_3_0 - 0.00599659599659702*G0_0_0_3_1 - 0.00349893492750694*G0_0_0_3_2 - 0.0142390942390967*G0_0_0_3_3 + 0.0116164787593379*G0_0_0_3_4 - 0.00019980019980022*G0_0_0_3_5 - 0.00201655487369806*G0_0_0_3_6 + 0.00268873983159743*G0_0_0_3_7 - 0.00414585414585483*G0_0_0_3_8 - 0.00194091622663085*G0_0_0_3_9 - 0.000249327392184578*G0_0_0_4_0 + 0.00151034151034176*G0_0_0_4_1 + 0.00353339781911269*G0_0_0_4_2 + 0.0116164787593379*G0_0_0_4_3 - 0.0233927976785158*G0_0_0_4_4 + 0.00122306265163428*G0_0_0_4_5 + 0.000793492222063781*G0_0_0_4_6 + 0.000739260739260863*G0_0_0_4_7 + 0.0014571143142574*G0_0_0_4_8 - 0.000117025831311538*G0_0_0_4_9 + 0.00890712462141186*G0_0_0_5_0 + 0.000712726427012255*G0_0_0_5_1 - 0.00537726823441197*G0_0_0_5_2 - 0.000199800199800219*G0_0_0_5_3 + 0.00122306265163428*G0_0_0_5_4 + 0.0599762142619385*G0_0_0_5_5 - 0.0138713667285119*G0_0_0_5_6 - 0.00166309880595622*G0_0_0_5_8 + 0.00041101755387475*G0_0_0_5_9 - 0.00241885099027998*G0_0_0_6_0 + 0.000830545116259544*G0_0_0_6_1 + 0.0147061404204286*G0_0_0_6_2 - 0.00201655487369806*G0_0_0_6_3 + 0.000793492222063781*G0_0_0_6_4 - 0.0138713667285119*G0_0_0_6_5 + 0.032674944103521*G0_0_0_6_6 + 0.00168070025212911*G0_0_0_6_7 - 0.000992340992341159*G0_0_0_6_8 + 0.00636220921935314*G0_0_0_6_9 + 0.00188747760176364*G0_0_0_7_0 + 0.000589780589780657*G0_0_0_7_1 - 0.000401873259016183*G0_0_0_7_2 + 0.00268873983159743*G0_0_0_7_3 + 0.000739260739260863*G0_0_0_7_4 + 0.00168070025212911*G0_0_0_7_6 - 0.0102135959278833*G0_0_0_7_7 + 0.00493696779411141*G0_0_0_7_8 - 0.00627658056229592*G0_0_0_7_9 - 0.00148645005787887*G0_0_0_8_0 - 0.00233951233951265*G0_0_0_8_1 - 0.000327344613058947*G0_0_0_8_2 - 0.00414585414585483*G0_0_0_8_3 + 0.0014571143142574*G0_0_0_8_4 - 0.00166309880595622*G0_0_0_8_5 - 0.000992340992341158*G0_0_0_8_6 + 0.00493696779411141*G0_0_0_8_7 - 0.00404262404262456*G0_0_0_8_8 + 0.0005223348080492*G0_0_0_8_9 + 0.00097172668601257*G0_0_0_9_0 - 0.00114552114552134*G0_0_0_9_1 - 0.000776366490652341*G0_0_0_9_2 - 0.00194091622663085*G0_0_0_9_3 - 0.000117025831311538*G0_0_0_9_4 + 0.00041101755387475*G0_0_0_9_5 + 0.00636220921935314*G0_0_0_9_6 - 0.00627658056229592*G0_0_0_9_7 + 0.0005223348080492*G0_0_0_9_8 - 0.0086313686313701*G0_0_0_9_9 - 0.0211211715973658*G0_1_0_0_0 - 0.000410541839113327*G0_1_0_0_3 + 0.000152545866831605*G0_1_0_0_4 - 0.00579901579901682*G0_1_0_0_5 + 0.00295841724413205*G0_1_0_0_6 - 0.00164592021734912*G0_1_0_0_7 + 0.00201248486962811*G0_1_0_0_8 + 0.00174809317666489*G0_1_0_0_9 - 0.00365708365708419*G0_1_0_1_3 + 0.000920560920561033*G0_1_0_1_4 - 0.000117818689247291*G0_1_0_1_5 + 0.00011781868924728*G0_1_0_1_6 - 0.000920560920561148*G0_1_0_1_7 + 0.00365708365708443*G0_1_0_1_8 + 0.0211211715973656*G0_1_0_2_2 - 0.00201248486962806*G0_1_0_2_3 + 0.00164592021734906*G0_1_0_2_4 - 0.00295841724413202*G0_1_0_2_5 + 0.00579901579901675*G0_1_0_2_6 - 0.000152545866831612*G0_1_0_2_7 + 0.000410541839113345*G0_1_0_2_8 - 0.0017480931766649*G0_1_0_2_9 - 0.000410541839113327*G0_1_0_3_0 - 0.00365708365708419*G0_1_0_3_1 - 0.00201248486962806*G0_1_0_3_2 - 0.0101964701964719*G0_1_0_3_3 + 0.00667951096522635*G0_1_0_3_4 + 0.000792540792540938*G0_1_0_3_5 - 0.000353456067741849*G0_1_0_3_6 + 0.00123162551733999*G0_1_0_3_7 - 0.00246325103468002*G0_1_0_3_9 + 0.000152545866831605*G0_1_0_4_0 + 0.000920560920561033*G0_1_0_4_1 + 0.00164592021734906*G0_1_0_4_2 + 0.00667951096522636*G0_1_0_4_3 - 0.0131792017506325*G0_1_0_4_4 - 0.000457637600494825*G0_1_0_4_5 + 0.000811093668236668*G0_1_0_4_6 - 0.00123162551734004*G0_1_0_4_8 + 0.00615955473098435*G0_1_0_4_9 - 0.00579901579901682*G0_1_0_5_0 - 0.000117818689247291*G0_1_0_5_1 - 0.00295841724413202*G0_1_0_5_2 + 0.000792540792540937*G0_1_0_5_3 - 0.000457637600494825*G0_1_0_5_4 + 0.0273012701584175*G0_1_0_5_5 - 0.000811093668236695*G0_1_0_5_7 + 0.000353456067741859*G0_1_0_5_8 - 0.00595119166547841*G0_1_0_5_9 + 0.00295841724413205*G0_1_0_6_0 + 0.00011781868924728*G0_1_0_6_1 + 0.00579901579901675*G0_1_0_6_2 - 0.000353456067741849*G0_1_0_6_3 + 0.000811093668236667*G0_1_0_6_4 - 0.0273012701584177*G0_1_0_6_6 + 0.000457637600494828*G0_1_0_6_7 - 0.000792540792540937*G0_1_0_6_8 + 0.0059511916654784*G0_1_0_6_9 - 0.00164592021734912*G0_1_0_7_0 - 0.000920560920561148*G0_1_0_7_1 - 0.000152545866831612*G0_1_0_7_2 + 0.00123162551733999*G0_1_0_7_3 - 0.000811093668236695*G0_1_0_7_5 + 0.000457637600494828*G0_1_0_7_6 + 0.0131792017506325*G0_1_0_7_7 - 0.00667951096522643*G0_1_0_7_8 - 0.00615955473098435*G0_1_0_7_9 + 0.00201248486962811*G0_1_0_8_0 + 0.00365708365708442*G0_1_0_8_1 + 0.000410541839113345*G0_1_0_8_2 - 0.00123162551734004*G0_1_0_8_4 + 0.000353456067741859*G0_1_0_8_5 - 0.000792540792540937*G0_1_0_8_6 - 0.00667951096522643*G0_1_0_8_7 + 0.0101964701964721*G0_1_0_8_8 + 0.00246325103468005*G0_1_0_8_9 + 0.00174809317666489*G0_1_0_9_0 - 0.0017480931766649*G0_1_0_9_2 - 0.00246325103468002*G0_1_0_9_3 + 0.00615955473098435*G0_1_0_9_4 - 0.00595119166547841*G0_1_0_9_5 + 0.0059511916654784*G0_1_0_9_6 - 0.00615955473098435*G0_1_0_9_7 + 0.00246325103468005*G0_1_0_9_8;
    A[76] = -A[121] - 0.0036748789129748*G0_1_0_0_0 + 0.00342487318677856*G0_1_0_0_1 + 0.000628533723771926*G0_1_0_0_2 + 0.001099878957022*G0_1_0_0_4 + 0.000525823382966322*G0_1_0_0_5 + 0.00108526394240698*G0_1_0_0_6 - 0.000899418042275366*G0_1_0_0_7 + 0.00476158761873132*G0_1_0_0_8 + 0.00346225203368119*G0_1_0_0_9 + 0.00342487318677856*G0_1_0_1_0 + 0.0591889591889697*G0_1_0_1_1 + 0.00182148539291428*G0_1_0_1_2 + 0.0103481703481722*G0_1_0_1_3 - 0.00446146446146527*G0_1_0_1_4 - 0.000948390234104711*G0_1_0_1_5 + 0.00016176944748377*G0_1_0_1_6 - 0.0148836348836375*G0_1_0_1_7 + 0.0359388759388823*G0_1_0_1_8 + 0.00259518259518306*G0_1_0_1_9 + 0.000628533723771926*G0_1_0_2_0 + 0.00182148539291428*G0_1_0_2_1 + 0.0153463820130513*G0_1_0_2_2 - 0.00171310171310199*G0_1_0_2_3 + 0.00367595367595429*G0_1_0_2_4 - 0.00169238169238197*G0_1_0_2_5 + 0.00497095497095579*G0_1_0_2_6 - 0.000738600024314437*G0_1_0_2_7 + 0.00171355099926558*G0_1_0_2_8 - 0.000668220668220782*G0_1_0_2_9 + 0.0103481703481722*G0_1_0_3_1 - 0.00171310171310199*G0_1_0_3_2 - 0.010256410256412*G0_1_0_3_3 - 0.0067434946006386*G0_1_0_3_4 + 0.00288330716902193*G0_1_0_3_5 - 0.003179915322773*G0_1_0_3_6 - 0.00246777032491363*G0_1_0_3_7 + 0.0103030303030321*G0_1_0_3_8 - 0.0028500071357219*G0_1_0_3_9 + 0.001099878957022*G0_1_0_4_0 - 0.00446146446146527*G0_1_0_4_1 + 0.00367595367595429*G0_1_0_4_2 - 0.0067434946006386*G0_1_0_4_3 + 0.0230103230103268*G0_1_0_4_4 - 0.0059942438513877*G0_1_0_4_5 + 0.0091741591741607*G0_1_0_4_6 + 0.000805385091099534*G0_1_0_4_7 - 0.00783525997811847*G0_1_0_4_8 + 0.0139931497074377*G0_1_0_4_9 + 0.000525823382966322*G0_1_0_5_0 - 0.000948390234104711*G0_1_0_5_1 - 0.00169238169238197*G0_1_0_5_2 + 0.00288330716902193*G0_1_0_5_3 - 0.0059942438513877*G0_1_0_5_4 + 0.00807763664906653*G0_1_0_5_5 - 0.00793849008134855*G0_1_0_5_6 + 0.000328243185386097*G0_1_0_5_7 + 0.000150563721992301*G0_1_0_5_8 - 0.0106878835450282*G0_1_0_5_9 + 0.00108526394240698*G0_1_0_6_0 + 0.00016176944748377*G0_1_0_6_1 + 0.00497095497095579*G0_1_0_6_2 - 0.003179915322773*G0_1_0_6_3 + 0.0091741591741607*G0_1_0_6_4 - 0.00793849008134855*G0_1_0_6_5 - 0.0206793206793242*G0_1_0_6_6 - 0.000478806907378421*G0_1_0_6_7 - 0.00146567717996313*G0_1_0_6_8 + 0.00836449265020835*G0_1_0_6_9 - 0.000899418042275366*G0_1_0_7_0 - 0.0148836348836375*G0_1_0_7_1 - 0.000738600024314437*G0_1_0_7_2 - 0.00246777032491363*G0_1_0_7_3 + 0.000805385091099534*G0_1_0_7_4 + 0.000328243185386097*G0_1_0_7_5 - 0.000478806907378421*G0_1_0_7_6 + 0.0146910232624543*G0_1_0_7_7 - 0.0263500784929402*G0_1_0_7_8 - 0.00942914228628674*G0_1_0_7_9 + 0.00476158761873132*G0_1_0_8_0 + 0.0359388759388823*G0_1_0_8_1 + 0.00171355099926558*G0_1_0_8_2 + 0.0103030303030321*G0_1_0_8_3 - 0.00783525997811847*G0_1_0_8_4 + 0.000150563721992301*G0_1_0_8_5 - 0.00146567717996313*G0_1_0_8_6 - 0.0263500784929402*G0_1_0_8_7 + 0.058881118881129*G0_1_0_8_8 + 0.00788497217068781*G0_1_0_8_9 + 0.00346225203368119*G0_1_0_9_0 + 0.00259518259518306*G0_1_0_9_1 - 0.000668220668220782*G0_1_0_9_2 - 0.0028500071357219*G0_1_0_9_3 + 0.0139931497074377*G0_1_0_9_4 - 0.0106878835450282*G0_1_0_9_5 + 0.00836449265020835*G0_1_0_9_6 - 0.00942914228628674*G0_1_0_9_7 + 0.00788497217068781*G0_1_0_9_8 + 0.0213900385328993*G0_1_0_9_9;
    A[136] = -A[76] - 0.0216595045166512*G0_0_0_0_0 - 0.00180270346937046*G0_0_0_0_1 - 0.00283956783956833*G0_0_0_0_2 - 0.000975664547093292*G0_0_0_0_3 + 0.00098792741649902*G0_0_0_0_4 - 0.0138780795923677*G0_0_0_0_5 + 0.00411123268266197*G0_0_0_0_6 - 0.00556343127771796*G0_0_0_0_7 + 0.00319955177098089*G0_0_0_0_8 - 0.000303506017791802*G0_0_0_0_9 - 0.00180270346937046*G0_0_0_1_0 - 0.0534613534613627*G0_0_0_1_1 - 0.00340135173468565*G0_0_0_1_2 - 0.0299422799422851*G0_0_0_1_3 + 0.0133732933732957*G0_0_0_1_4 - 0.000874495874496006*G0_0_0_1_5 + 0.000117845117845132*G0_0_0_1_6 + 0.00387168387168458*G0_0_0_1_7 - 0.00800865800865948*G0_0_0_1_8 - 0.00144966144966172*G0_0_0_1_9 - 0.00283956783956833*G0_0_0_2_0 - 0.00340135173468565*G0_0_0_2_1 - 0.0237594151879906*G0_0_0_2_2 - 0.00126265269122434*G0_0_0_2_3 - 0.00263397977683736*G0_0_0_2_4 + 0.004292004292005*G0_0_0_2_5 - 0.0152319638033949*G0_0_0_2_6 - 0.000698005698005812*G0_0_0_2_7 + 0.000402956831528317*G0_0_0_2_8 - 0.00268588554302885*G0_0_0_2_9 - 0.000975664547093292*G0_0_0_3_0 - 0.0299422799422851*G0_0_0_3_1 - 0.00126265269122434*G0_0_0_3_2 - 0.0446420246420323*G0_0_0_3_3 + 0.0147335997336023*G0_0_0_3_4 + 0.00166547737976338*G0_0_0_3_5 + 0.00186599115170575*G0_0_0_3_6 + 0.00514652014652106*G0_0_0_3_7 - 0.00615717615717728*G0_0_0_3_8 - 0.00594405594405699*G0_0_0_3_9 + 0.00098792741649902*G0_0_0_4_0 + 0.0133732933732957*G0_0_0_4_1 - 0.00263397977683736*G0_0_0_4_2 + 0.0147335997336023*G0_0_0_4_3 + 0.00870177441606156*G0_0_0_4_4 - 0.000744255744255869*G0_0_0_4_5 - 0.00112173540744988*G0_0_0_4_6 - 0.0015446458303604*G0_0_0_4_7 + 0.00101065601065622*G0_0_0_4_8 + 0.00954616811759831*G0_0_0_4_9 - 0.0138780795923677*G0_0_0_5_0 - 0.000874495874496006*G0_0_0_5_1 + 0.004292004292005*G0_0_0_5_2 + 0.00166547737976338*G0_0_0_5_3 - 0.000744255744255869*G0_0_0_5_4 - 0.0392968935826145*G0_0_0_5_5 + 0.0218098568098605*G0_0_0_5_6 - 0.00915655772798784*G0_0_0_5_7 + 0.00484301412872924*G0_0_0_5_8 - 0.00877551020408312*G0_0_0_5_9 + 0.00411123268266197*G0_0_0_6_0 + 0.000117845117845132*G0_0_0_6_1 - 0.0152319638033949*G0_0_0_6_2 + 0.00186599115170575*G0_0_0_6_3 - 0.00112173540744988*G0_0_0_6_4 + 0.0218098568098605*G0_0_0_6_5 - 0.0407525807525876*G0_0_0_6_6 + 0.0043135435992586*G0_0_0_6_7 - 0.00189096617668078*G0_0_0_6_8 + 0.00432567432567508*G0_0_0_6_9 - 0.00556343127771796*G0_0_0_7_0 + 0.00387168387168458*G0_0_0_7_1 - 0.000698005698005812*G0_0_0_7_2 + 0.00514652014652106*G0_0_0_7_3 - 0.00154464583036039*G0_0_0_7_4 - 0.00915655772798784*G0_0_0_7_5 + 0.0043135435992586*G0_0_0_7_6 - 0.0127967270824435*G0_0_0_7_7 + 0.00180652680652717*G0_0_0_7_8 - 0.00771656914514186*G0_0_0_7_9 + 0.00319955177098089*G0_0_0_8_0 - 0.00800865800865948*G0_0_0_8_1 + 0.000402956831528317*G0_0_0_8_2 - 0.00615717615717728*G0_0_0_8_3 + 0.00101065601065622*G0_0_0_8_4 + 0.00484301412872924*G0_0_0_8_5 - 0.00189096617668078*G0_0_0_8_6 + 0.00180652680652717*G0_0_0_8_7 + 0.0142990342990366*G0_0_0_8_8 + 0.0023276723276727*G0_0_0_8_9 - 0.000303506017791803*G0_0_0_9_0 - 0.00144966144966172*G0_0_0_9_1 - 0.00268588554302885*G0_0_0_9_2 - 0.00594405594405699*G0_0_0_9_3 + 0.00954616811759831*G0_0_0_9_4 - 0.00877551020408312*G0_0_0_9_5 + 0.00432567432567508*G0_0_0_9_6 - 0.00771656914514186*G0_0_0_9_7 + 0.00232767232767269*G0_0_0_9_8 - 0.0127586699015292*G0_0_0_9_9 + 0.00209991067133961*G0_1_0_0_0 + 0.00159864826531521*G0_1_0_0_1 - 0.00137862137862162*G0_1_0_0_3 + 0.00168593311450483*G0_1_0_0_4 + 0.0013538842110273*G0_1_0_0_5 - 0.000180771609343068*G0_1_0_0_6 - 0.00292945150088056*G0_1_0_0_7 + 0.00446220446220523*G0_1_0_0_8 + 0.00238237952523707*G0_1_0_0_9 + 0.00159864826531521*G0_1_0_1_0 - 0.0015986482653152*G0_1_0_1_2 - 0.0219336219336256*G0_1_0_1_3 + 0.00950160950161108*G0_1_0_1_4 - 0.000992340992341171*G0_1_0_1_5 + 0.000992340992341167*G0_1_0_1_6 - 0.00950160950161114*G0_1_0_1_7 + 0.0219336219336257*G0_1_0_1_8 - 0.0015986482653152*G0_1_0_2_1 - 0.0020999106713396*G0_1_0_2_2 - 0.00446220446220522*G0_1_0_2_3 + 0.00292945150088056*G0_1_0_2_4 + 0.000180771609343071*G0_1_0_2_5 - 0.0013538842110273*G0_1_0_2_6 - 0.00168593311450482*G0_1_0_2_7 + 0.00137862137862161*G0_1_0_2_8 - 0.00238237952523708*G0_1_0_2_9 - 0.00137862137862162*G0_1_0_3_0 - 0.0219336219336256*G0_1_0_3_1 - 0.00446220446220522*G0_1_0_3_2 - 0.058941058941069*G0_1_0_3_3 + 0.0129270729270752*G0_1_0_3_4 + 0.00355644355644415*G0_1_0_3_5 - 0.00297702297702347*G0_1_0_3_6 + 0.00413586413586486*G0_1_0_3_7 - 0.00827172827172971*G0_1_0_3_9 + 0.00168593311450483*G0_1_0_4_0 + 0.00950160950161108*G0_1_0_4_1 + 0.00292945150088056*G0_1_0_4_2 + 0.0129270729270752*G0_1_0_4_3 + 0.021498501498505*G0_1_0_4_4 - 0.00505779934351447*G0_1_0_4_5 + 0.00803482232053794*G0_1_0_4_6 - 0.00413586413586482*G0_1_0_4_8 + 0.0172627372627402*G0_1_0_4_9 + 0.0013538842110273*G0_1_0_5_0 - 0.000992340992341171*G0_1_0_5_1 + 0.000180771609343071*G0_1_0_5_2 + 0.00355644355644415*G0_1_0_5_3 - 0.00505779934351447*G0_1_0_5_4 + 0.0014556871699731*G0_1_0_5_5 - 0.00803482232053794*G0_1_0_5_7 + 0.00297702297702346*G0_1_0_5_8 - 0.0131011845297582*G0_1_0_5_9 - 0.000180771609343068*G0_1_0_6_0 + 0.000992340992341167*G0_1_0_6_1 - 0.0013538842110273*G0_1_0_6_2 - 0.00297702297702347*G0_1_0_6_3 + 0.00803482232053794*G0_1_0_6_4 - 0.00145568716997317*G0_1_0_6_6 + 0.00505779934351446*G0_1_0_6_7 - 0.00355644355644414*G0_1_0_6_8 + 0.0131011845297582*G0_1_0_6_9 - 0.00292945150088056*G0_1_0_7_0 - 0.00950160950161114*G0_1_0_7_1 - 0.00168593311450482*G0_1_0_7_2 + 0.00413586413586486*G0_1_0_7_3 - 0.00803482232053794*G0_1_0_7_5 + 0.00505779934351446*G0_1_0_7_6 - 0.021498501498505*G0_1_0_7_7 - 0.0129270729270751*G0_1_0_7_8 - 0.0172627372627402*G0_1_0_7_9 + 0.00446220446220523*G0_1_0_8_0 + 0.0219336219336257*G0_1_0_8_1 + 0.0013786213786216*G0_1_0_8_2 - 0.00413586413586482*G0_1_0_8_4 + 0.00297702297702346*G0_1_0_8_5 - 0.00355644355644414*G0_1_0_8_6 - 0.0129270729270752*G0_1_0_8_7 + 0.0589410589410689*G0_1_0_8_8 + 0.00827172827172966*G0_1_0_8_9 + 0.00238237952523707*G0_1_0_9_0 - 0.00238237952523708*G0_1_0_9_2 - 0.00827172827172971*G0_1_0_9_3 + 0.0172627372627402*G0_1_0_9_4 - 0.0131011845297582*G0_1_0_9_5 + 0.0131011845297582*G0_1_0_9_6 - 0.0172627372627402*G0_1_0_9_7 + 0.00827172827172966*G0_1_0_9_8;
    A[64] = A[160] - 0.182217676503423*G0_0_0_0_0 - 0.0119945927088805*G0_0_0_0_1 - 0.00105495034066486*G0_0_0_0_2 - 0.00987417344560368*G0_0_0_0_3 + 0.0418284096855597*G0_0_0_0_4 - 0.136836972551282*G0_0_0_0_5 + 0.0823609723609866*G0_0_0_0_6 - 0.0571005185290997*G0_0_0_0_7 + 0.0116221873364751*G0_0_0_0_8 + 0.0164178678464419*G0_0_0_0_9 - 0.0119945927088805*G0_0_0_1_0 - 0.180045880045911*G0_0_0_1_1 - 0.00282503211074689*G0_0_0_1_2 - 0.132304362304385*G0_0_0_1_3 + 0.0552680652680747*G0_0_0_1_4 - 0.0160508539079994*G0_0_0_1_5 + 0.0197704676276138*G0_0_0_1_6 + 0.00964701964702142*G0_0_0_1_7 - 0.0501132201132288*G0_0_0_1_8 - 0.0124675324675346*G0_0_0_1_9 - 0.00105495034066487*G0_0_0_2_0 - 0.00282503211074689*G0_0_0_2_1 + 0.207620844763736*G0_0_0_2_2 - 0.0665020693592232*G0_0_0_2_3 + 0.0595333238190478*G0_0_0_2_4 - 0.0798220826792388*G0_0_0_2_5 + 0.151707815993555*G0_0_0_2_6 - 0.0153058845916014*G0_0_0_2_7 - 0.018342847628565*G0_0_0_2_8 - 0.0364521193092684*G0_0_0_2_9 - 0.00987417344560368*G0_0_0_3_0 - 0.132304362304385*G0_0_0_3_1 - 0.0665020693592232*G0_0_0_3_2 - 0.192107892107925*G0_0_0_3_3 + 0.111178107606698*G0_0_0_3_4 + 0.0307620950478144*G0_0_0_3_5 - 0.0430605109176609*G0_0_0_3_6 + 0.0458734123019916*G0_0_0_3_7 - 0.117152847152867*G0_0_0_3_8 - 0.0543442272013793*G0_0_0_3_9 + 0.0418284096855597*G0_0_0_4_0 + 0.0552680652680747*G0_0_0_4_1 + 0.0595333238190478*G0_0_0_4_2 + 0.111178107606698*G0_0_0_4_3 + 0.617416868845545*G0_0_0_4_4 - 0.109234337091498*G0_0_0_4_5 + 0.152294848009159*G0_0_0_4_6 - 0.0479092336235275*G0_0_0_4_7 + 0.0712794348508754*G0_0_0_4_8 + 0.327825032110802*G0_0_0_4_9 - 0.136836972551282*G0_0_0_5_0 - 0.0160508539079994*G0_0_0_5_1 - 0.0798220826792388*G0_0_0_5_2 + 0.0307620950478144*G0_0_0_5_3 - 0.109234337091498*G0_0_0_5_4 - 0.279380619380667*G0_0_0_5_5 - 0.0192514628228942*G0_0_0_5_6 - 0.126571999429163*G0_0_0_5_7 + 0.0644034536891789*G0_0_0_5_8 - 0.178060510917684*G0_0_0_5_9 + 0.0823609723609866*G0_0_0_6_0 + 0.0197704676276138*G0_0_0_6_1 + 0.151707815993555*G0_0_0_6_2 - 0.0430605109176609*G0_0_0_6_3 + 0.152294848009159*G0_0_0_6_4 - 0.0192514628228943*G0_0_0_6_5 + 0.34888540031403*G0_0_0_6_6 + 0.0621685457399847*G0_0_0_6_7 - 0.0102668759811634*G0_0_0_6_8 + 0.195477379763127*G0_0_0_6_9 - 0.0571005185290997*G0_0_0_7_0 + 0.00964701964702143*G0_0_0_7_1 - 0.0153058845916014*G0_0_0_7_2 + 0.0458734123019916*G0_0_0_7_3 - 0.0479092336235274*G0_0_0_7_4 - 0.126571999429163*G0_0_0_7_5 + 0.0621685457399847*G0_0_0_7_6 - 0.467181390038611*G0_0_0_7_7 + 0.163736977308433*G0_0_0_7_8 - 0.173590695019296*G0_0_0_7_9 + 0.0116221873364751*G0_0_0_8_0 - 0.0501132201132288*G0_0_0_8_1 - 0.0183428476285649*G0_0_0_8_2 - 0.117152847152867*G0_0_0_8_3 + 0.0712794348508754*G0_0_0_8_4 + 0.0644034536891789*G0_0_0_8_5 - 0.0102668759811634*G0_0_0_8_6 + 0.163736977308433*G0_0_0_8_7 - 0.460399600399678*G0_0_0_8_8 - 0.105156272299147*G0_0_0_8_9 + 0.0164178678464419*G0_0_0_9_0 - 0.0124675324675346*G0_0_0_9_1 - 0.0364521193092684*G0_0_0_9_2 - 0.0543442272013794*G0_0_0_9_3 + 0.327825032110802*G0_0_0_9_4 - 0.178060510917684*G0_0_0_9_5 + 0.195477379763127*G0_0_0_9_6 - 0.173590695019296*G0_0_0_9_7 - 0.105156272299147*G0_0_0_9_8 - 0.00354502640217025*G0_0_0_9_9 + 0.011615685901402*G0_0_1_0_0 - 0.00652477152477269*G0_0_1_0_1 - 0.00105495034066482*G0_0_1_0_2 - 0.00307953950811151*G0_0_1_0_3 + 0.016349602778177*G0_0_1_0_4 + 0.00394177251320169*G0_0_1_0_5 + 0.00225702868560053*G0_0_1_0_6 - 0.00104990247847405*G0_0_1_0_7 - 0.0138934874649185*G0_0_1_0_8 + 0.00442557442557517*G0_0_1_0_9 - 0.00652477152477269*G0_0_1_1_0 - 0.180045880045911*G0_0_1_1_1 - 0.00829485329485471*G0_0_1_1_2 - 0.137296037296061*G0_0_1_1_3 + 0.0391175491175558*G0_0_1_1_4 + 0.00337828837828899*G0_0_1_1_5 + 0.00034132534132539*G0_0_1_1_6 + 0.0257975357975403*G0_0_1_1_7 - 0.0451215451215531*G0_0_1_1_8 - 0.0124675324675346*G0_0_1_1_9 - 0.00105495034066482*G0_0_1_2_0 - 0.00829485329485471*G0_0_1_2_1 + 0.013787482358913*G0_0_1_2_2 - 0.04098639455783*G0_0_1_2_3 + 0.0034827077684225*G0_0_1_2_4 + 0.000281860996146796*G0_0_1_2_5 + 0.0109290709290727*G0_0_1_2_6 + 0.0101729223157812*G0_0_1_2_7 - 0.0251374815660572*G0_0_1_2_8 - 0.0244598258884015*G0_0_1_2_9 - 0.00307953950811151*G0_0_1_3_0 - 0.137296037296061*G0_0_1_3_1 - 0.04098639455783*G0_0_1_3_2 - 0.191988011988045*G0_0_1_3_3 + 0.202672327672362*G0_0_1_3_4 - 0.00857356928785641*G0_0_1_3_5 + 0.0152269159412043*G0_0_1_3_6 + 0.0254895104895149*G0_0_1_3_7 - 0.117152847152867*G0_0_1_3_8 - 0.0135764235764262*G0_0_1_3_9 + 0.016349602778177*G0_0_1_4_0 + 0.0391175491175558*G0_0_1_4_1 + 0.00348270776842251*G0_0_1_4_2 + 0.202672327672362*G0_0_1_4_3 + 0.118754103039838*G0_0_1_4_4 - 0.0327979163693505*G0_0_1_4_5 + 0.0175710004281463*G0_0_1_4_6 - 0.0479092336235275*G0_0_1_4_7 + 0.0916633366633522*G0_0_1_4_8 + 0.138975310403906*G0_0_1_4_9 + 0.00394177251320169*G0_0_1_5_0 + 0.00337828837828899*G0_0_1_5_1 + 0.000281860996146796*G0_0_1_5_2 - 0.00857356928785641*G0_0_1_5_3 - 0.0327979163693505*G0_0_1_5_4 + 0.0313614956472153*G0_0_1_5_5 - 0.0192514628228946*G0_0_1_5_6 + 0.00815184815184951*G0_0_1_5_7 + 0.0061160268303136*G0_0_1_5_8 - 0.0255087769373527*G0_0_1_5_9 + 0.00225702868560053*G0_0_1_6_0 + 0.00034132534132539*G0_0_1_6_1 + 0.0109290709290727*G0_0_1_6_2 + 0.0152269159412043*G0_0_1_6_3 + 0.0175710004281463*G0_0_1_6_4 - 0.0192514628228946*G0_0_1_6_5 + 0.0381432852861489*G0_0_1_6_6 - 0.0142678749821631*G0_0_1_6_7 + 0.0290687883545075*G0_0_1_6_8 + 0.042925645782796*G0_0_1_6_9 - 0.00104990247847405*G0_0_1_7_0 + 0.0257975357975403*G0_0_1_7_1 + 0.0101729223157812*G0_0_1_7_2 + 0.0254895104895149*G0_0_1_7_3 - 0.0479092336235275*G0_0_1_7_4 + 0.00815184815184951*G0_0_1_7_5 - 0.0142678749821631*G0_0_1_7_6 + 0.0314813757670955*G0_0_1_7_7 + 0.0722427572427694*G0_0_1_7_8 + 0.0152590266876007*G0_0_1_7_9 - 0.0138934874649185*G0_0_1_8_0 - 0.0451215451215531*G0_0_1_8_1 - 0.0251374815660572*G0_0_1_8_2 - 0.117152847152867*G0_0_1_8_3 + 0.0916633366633522*G0_0_1_8_4 + 0.0061160268303136*G0_0_1_8_5 + 0.0290687883545075*G0_0_1_8_6 + 0.0722427572427694*G0_0_1_8_7 - 0.460519480519559*G0_0_1_8_8 - 0.145924075924101*G0_0_1_8_9 + 0.00442557442557517*G0_0_1_9_0 - 0.0124675324675346*G0_0_1_9_1 - 0.0244598258884015*G0_0_1_9_2 - 0.0135764235764262*G0_0_1_9_3 + 0.138975310403906*G0_0_1_9_4 - 0.0255087769373526*G0_0_1_9_5 + 0.042925645782796*G0_0_1_9_6 + 0.0152590266876007*G0_0_1_9_7 - 0.145924075924101*G0_0_1_9_8 - 0.00354502640217039*G0_0_1_9_9 + 0.011615685901402*G0_1_0_0_0 - 0.00652477152477269*G0_1_0_0_1 - 0.00105495034066482*G0_1_0_0_2 - 0.00307953950811151*G0_1_0_0_3 + 0.016349602778177*G0_1_0_0_4 + 0.00394177251320169*G0_1_0_0_5 + 0.00225702868560053*G0_1_0_0_6 - 0.00104990247847405*G0_1_0_0_7 - 0.0138934874649185*G0_1_0_0_8 + 0.00442557442557517*G0_1_0_0_9 - 0.00652477152477269*G0_1_0_1_0 - 0.180045880045911*G0_1_0_1_1 - 0.00829485329485471*G0_1_0_1_2 - 0.137296037296061*G0_1_0_1_3 + 0.0391175491175558*G0_1_0_1_4 + 0.00337828837828899*G0_1_0_1_5 + 0.00034132534132539*G0_1_0_1_6 + 0.0257975357975403*G0_1_0_1_7 - 0.0451215451215531*G0_1_0_1_8 - 0.0124675324675346*G0_1_0_1_9 - 0.00105495034066482*G0_1_0_2_0 - 0.00829485329485471*G0_1_0_2_1 + 0.013787482358913*G0_1_0_2_2 - 0.04098639455783*G0_1_0_2_3 + 0.00348270776842251*G0_1_0_2_4 + 0.000281860996146796*G0_1_0_2_5 + 0.0109290709290727*G0_1_0_2_6 + 0.0101729223157812*G0_1_0_2_7 - 0.0251374815660572*G0_1_0_2_8 - 0.0244598258884015*G0_1_0_2_9 - 0.00307953950811151*G0_1_0_3_0 - 0.137296037296061*G0_1_0_3_1 - 0.04098639455783*G0_1_0_3_2 - 0.191988011988045*G0_1_0_3_3 + 0.202672327672362*G0_1_0_3_4 - 0.00857356928785641*G0_1_0_3_5 + 0.0152269159412043*G0_1_0_3_6 + 0.0254895104895149*G0_1_0_3_7 - 0.117152847152867*G0_1_0_3_8 - 0.0135764235764262*G0_1_0_3_9 + 0.016349602778177*G0_1_0_4_0 + 0.0391175491175558*G0_1_0_4_1 + 0.00348270776842251*G0_1_0_4_2 + 0.202672327672362*G0_1_0_4_3 + 0.118754103039838*G0_1_0_4_4 - 0.0327979163693505*G0_1_0_4_5 + 0.0175710004281463*G0_1_0_4_6 - 0.0479092336235275*G0_1_0_4_7 + 0.0916633366633522*G0_1_0_4_8 + 0.138975310403906*G0_1_0_4_9 + 0.00394177251320169*G0_1_0_5_0 + 0.00337828837828899*G0_1_0_5_1 + 0.000281860996146796*G0_1_0_5_2 - 0.00857356928785641*G0_1_0_5_3 - 0.0327979163693505*G0_1_0_5_4 + 0.0313614956472153*G0_1_0_5_5 - 0.0192514628228946*G0_1_0_5_6 + 0.00815184815184951*G0_1_0_5_7 + 0.0061160268303136*G0_1_0_5_8 - 0.0255087769373526*G0_1_0_5_9 + 0.00225702868560053*G0_1_0_6_0 + 0.00034132534132539*G0_1_0_6_1 + 0.0109290709290727*G0_1_0_6_2 + 0.0152269159412043*G0_1_0_6_3 + 0.0175710004281463*G0_1_0_6_4 - 0.0192514628228946*G0_1_0_6_5 + 0.0381432852861489*G0_1_0_6_6 - 0.0142678749821631*G0_1_0_6_7 + 0.0290687883545075*G0_1_0_6_8 + 0.042925645782796*G0_1_0_6_9 - 0.00104990247847405*G0_1_0_7_0 + 0.0257975357975403*G0_1_0_7_1 + 0.0101729223157812*G0_1_0_7_2 + 0.0254895104895149*G0_1_0_7_3 - 0.0479092336235275*G0_1_0_7_4 + 0.00815184815184951*G0_1_0_7_5 - 0.0142678749821631*G0_1_0_7_6 + 0.0314813757670955*G0_1_0_7_7 + 0.0722427572427694*G0_1_0_7_8 + 0.0152590266876008*G0_1_0_7_9 - 0.0138934874649185*G0_1_0_8_0 - 0.0451215451215531*G0_1_0_8_1 - 0.0251374815660572*G0_1_0_8_2 - 0.117152847152867*G0_1_0_8_3 + 0.0916633366633522*G0_1_0_8_4 + 0.0061160268303136*G0_1_0_8_5 + 0.0290687883545075*G0_1_0_8_6 + 0.0722427572427694*G0_1_0_8_7 - 0.460519480519559*G0_1_0_8_8 - 0.145924075924101*G0_1_0_8_9 + 0.00442557442557517*G0_1_0_9_0 - 0.0124675324675346*G0_1_0_9_1 - 0.0244598258884015*G0_1_0_9_2 - 0.0135764235764262*G0_1_0_9_3 + 0.138975310403906*G0_1_0_9_4 - 0.0255087769373526*G0_1_0_9_5 + 0.042925645782796*G0_1_0_9_6 + 0.0152590266876008*G0_1_0_9_7 - 0.145924075924101*G0_1_0_9_8 - 0.00354502640217039*G0_1_0_9_9 - 0.00217179645751104*G0_1_1_0_0 + 0.0017700817700821*G0_1_1_0_1 + 0.0220579420579458*G0_1_1_0_3 + 0.00617668046239585*G0_1_1_0_4 - 0.006987298415871*G0_1_1_0_5 + 0.00197516768945374*G0_1_1_0_6 - 0.00453261024689669*G0_1_1_0_7 + 0.0270929070929117*G0_1_1_0_8 + 0.0288854003139766*G0_1_1_0_9 + 0.0017700817700821*G0_1_1_1_0 - 0.00177008177008206*G0_1_1_1_2 - 0.0921744921745077*G0_1_1_1_3 + 0.0133200133200155*G0_1_1_1_4 + 0.00303696303696351*G0_1_1_1_5 - 0.00303696303696353*G0_1_1_1_6 - 0.0133200133200157*G0_1_1_1_7 + 0.092174492174508*G0_1_1_1_8 - 0.00177008177008206*G0_1_1_2_1 + 0.00217179645751106*G0_1_1_2_2 - 0.0270929070929117*G0_1_1_2_3 + 0.00453261024689662*G0_1_1_2_4 - 0.00197516768945372*G0_1_1_2_5 + 0.00698729841587099*G0_1_1_2_6 - 0.00617668046239578*G0_1_1_2_7 - 0.0220579420579458*G0_1_1_2_8 - 0.0288854003139767*G0_1_1_2_9 + 0.0220579420579458*G0_1_1_3_0 - 0.0921744921745076*G0_1_1_3_1 - 0.0270929070929117*G0_1_1_3_2 + 0.268531468531514*G0_1_1_3_3 + 0.130429570429593*G0_1_1_3_4 - 0.037642357642364*G0_1_1_3_5 + 0.00911088911089072*G0_1_1_3_6 - 0.0661738261738373*G0_1_1_3_7 + 0.132347652347675*G0_1_1_3_9 + 0.00617668046239585*G0_1_1_4_0 + 0.0133200133200155*G0_1_1_4_1 + 0.00453261024689662*G0_1_1_4_2 + 0.130429570429593*G0_1_1_4_3 + 0.0872727272727423*G0_1_1_4_4 - 0.0185300413871874*G0_1_1_4_5 + 0.00941915227629672*G0_1_1_4_6 + 0.0661738261738374*G0_1_1_4_8 + 0.123716283716305*G0_1_1_4_9 - 0.006987298415871*G0_1_1_5_0 + 0.00303696303696351*G0_1_1_5_1 - 0.00197516768945372*G0_1_1_5_2 - 0.037642357642364*G0_1_1_5_3 - 0.0185300413871874*G0_1_1_5_4 - 0.00678178963893364*G0_1_1_5_5 - 0.00941915227629668*G0_1_1_5_7 - 0.0091108891108907*G0_1_1_5_8 - 0.0684344227201485*G0_1_1_5_9 + 0.00197516768945374*G0_1_1_6_0 - 0.00303696303696353*G0_1_1_6_1 + 0.006987298415871*G0_1_1_6_2 + 0.00911088911089072*G0_1_1_6_3 + 0.00941915227629671*G0_1_1_6_4 + 0.00678178963893366*G0_1_1_6_6 + 0.0185300413871873*G0_1_1_6_7 + 0.0376423576423641*G0_1_1_6_8 + 0.0684344227201486*G0_1_1_6_9 - 0.00453261024689669*G0_1_1_7_0 - 0.0133200133200157*G0_1_1_7_1 - 0.00617668046239578*G0_1_1_7_2 - 0.0661738261738373*G0_1_1_7_3 - 0.00941915227629667*G0_1_1_7_5 + 0.0185300413871873*G0_1_1_7_6 - 0.0872727272727421*G0_1_1_7_7 - 0.130429570429593*G0_1_1_7_8 - 0.123716283716305*G0_1_1_7_9 + 0.0270929070929117*G0_1_1_8_0 + 0.092174492174508*G0_1_1_8_1 - 0.0220579420579458*G0_1_1_8_2 + 0.0661738261738374*G0_1_1_8_4 - 0.0091108891108907*G0_1_1_8_5 + 0.0376423576423641*G0_1_1_8_6 - 0.130429570429593*G0_1_1_8_7 - 0.268531468531515*G0_1_1_8_8 - 0.132347652347675*G0_1_1_8_9 + 0.0288854003139766*G0_1_1_9_0 - 0.0288854003139767*G0_1_1_9_2 + 0.132347652347675*G0_1_1_9_3 + 0.123716283716305*G0_1_1_9_4 - 0.0684344227201485*G0_1_1_9_5 + 0.0684344227201486*G0_1_1_9_6 - 0.123716283716305*G0_1_1_9_7 - 0.132347652347675*G0_1_1_9_8;
    A[162] = A[187] - 0.0989824989825159*G0_0_0_0_0 - 0.00514829086257743*G0_0_0_0_1 - 0.0103872846730008*G0_0_0_0_2 + 0.0158355929784528*G0_0_0_0_3 - 0.0114000285428877*G0_0_0_0_4 - 0.155431235431262*G0_0_0_0_5 + 0.0407326007326077*G0_0_0_0_6 - 0.0355777555777616*G0_0_0_0_7 + 0.0284781884781933*G0_0_0_0_8 - 0.0124675324675347*G0_0_0_0_9 - 0.00514829086257743*G0_0_0_1_0 + 0.0284211027068221*G0_0_0_1_1 - 0.000768120768120915*G0_0_0_1_2 + 0.0462147376433171*G0_0_0_1_3 - 0.0273859473859521*G0_0_0_1_4 - 0.00500071357214294*G0_0_0_1_5 - 0.000919080919081088*G0_0_0_1_6 - 0.00583036011607543*G0_0_0_1_7 + 0.00531849103277772*G0_0_0_1_8 - 0.0262822891394364*G0_0_0_1_9 - 0.0103872846730008*G0_0_0_2_0 - 0.000768120768120915*G0_0_0_2_1 - 0.0155340955340984*G0_0_0_2_2 + 0.0287788402074166*G0_0_0_2_3 - 0.03887921602208*G0_0_0_2_4 - 0.0391760620332115*G0_0_0_2_5 + 0.000304457447314523*G0_0_0_2_6 - 0.0110118452975614*G0_0_0_2_7 + 0.0167090052804367*G0_0_0_2_8 + 0.0159383473669215*G0_0_0_2_9 + 0.0158355929784528*G0_0_0_3_0 + 0.0462147376433171*G0_0_0_3_1 + 0.0287788402074166*G0_0_0_3_2 + 0.246713286713328*G0_0_0_3_3 - 0.0104295704295721*G0_0_0_3_4 - 0.0219551876694771*G0_0_0_3_5 + 0.014162979877268*G0_0_0_3_6 - 0.0361010418153336*G0_0_0_3_7 + 0.0748223205366189*G0_0_0_3_8 + 0.151048951048976*G0_0_0_3_9 - 0.0114000285428877*G0_0_0_4_0 - 0.0273859473859521*G0_0_0_4_1 - 0.03887921602208*G0_0_0_4_2 - 0.0104295704295721*G0_0_0_4_3 - 0.246610532324861*G0_0_0_4_4 + 0.0456058227486877*G0_0_0_4_5 - 0.0597688026259557*G0_0_0_4_6 + 0.0279149422006612*G0_0_0_4_7 - 0.0387212787212852*G0_0_0_4_8 - 0.13902668759814*G0_0_0_4_9 - 0.155431235431262*G0_0_0_5_0 - 0.00500071357214294*G0_0_0_5_1 - 0.0391760620332115*G0_0_0_5_2 - 0.0219551876694771*G0_0_0_5_3 + 0.0456058227486877*G0_0_0_5_4 - 0.449550449550525*G0_0_0_5_5 + 0.248305979734593*G0_0_0_5_6 - 0.0708491508491626*G0_0_0_5_7 + 0.0264078778364537*G0_0_0_5_8 - 0.0154131582703037*G0_0_0_5_9 + 0.0407326007326077*G0_0_0_6_0 - 0.000919080919081087*G0_0_0_6_1 + 0.000304457447314522*G0_0_0_6_2 + 0.014162979877268*G0_0_0_6_3 - 0.0597688026259557*G0_0_0_6_4 + 0.248305979734593*G0_0_0_6_5 - 0.0390466676181023*G0_0_0_6_6 + 0.044441273012709*G0_0_0_6_7 - 0.0293877551020458*G0_0_0_6_8 - 0.0761410018553003*G0_0_0_6_9 - 0.0355777555777616*G0_0_0_7_0 - 0.00583036011607543*G0_0_0_7_1 - 0.0110118452975614*G0_0_0_7_2 - 0.0361010418153336*G0_0_0_7_3 + 0.0279149422006612*G0_0_0_7_4 - 0.0708491508491626*G0_0_0_7_5 + 0.044441273012709*G0_0_0_7_6 - 0.0177422577422606*G0_0_0_7_7 - 0.0196945911231659*G0_0_0_7_8 - 0.0514799486228143*G0_0_0_7_9 + 0.0284781884781933*G0_0_0_8_0 + 0.00531849103277772*G0_0_0_8_1 + 0.0167090052804367*G0_0_0_8_2 + 0.0748223205366188*G0_0_0_8_3 - 0.0387212787212852*G0_0_0_8_4 + 0.0264078778364537*G0_0_0_8_5 - 0.0293877551020458*G0_0_0_8_6 - 0.0196945911231659*G0_0_0_8_7 + 0.133717710860591*G0_0_0_8_8 + 0.15628942486088*G0_0_0_8_9 - 0.0124675324675347*G0_0_0_9_0 - 0.0262822891394364*G0_0_0_9_1 + 0.0159383473669215*G0_0_0_9_2 + 0.151048951048977*G0_0_0_9_3 - 0.13902668759814*G0_0_0_9_4 - 0.0154131582703037*G0_0_0_9_5 - 0.0761410018553003*G0_0_0_9_6 - 0.0514799486228143*G0_0_0_9_7 + 0.15628942486088*G0_0_0_9_8 - 0.114673897531059*G0_0_0_9_9 + 0.00253883682455152*G0_0_1_0_1 - 0.00253883682455157*G0_0_1_0_2 + 0.0128385899814493*G0_0_1_0_3 - 0.0128385899814493*G0_0_1_0_4 - 0.0364835164835228*G0_0_1_0_5 + 0.00399600399600471*G0_0_1_0_6 + 0.0364835164835224*G0_0_1_0_7 - 0.00399600399600458*G0_0_1_0_8 + 0.00253883682455152*G0_0_1_1_0 + 0.0161717647431961*G0_0_1_1_1 + 0.0408068122353907*G0_0_1_1_3 - 0.02682270110842*G0_0_1_1_4 - 0.0182731554160156*G0_0_1_1_5 - 0.00896817468246192*G0_0_1_1_6 + 0.0159535702392872*G0_0_1_1_7 + 0.00588934874649263*G0_0_1_1_8 - 0.0299129441986635*G0_0_1_1_9 - 0.00253883682455157*G0_0_1_2_0 - 0.0161717647431963*G0_0_1_2_2 + 0.02682270110842*G0_0_1_2_3 - 0.0408068122353908*G0_0_1_2_4 - 0.0159535702392872*G0_0_1_2_5 - 0.00588934874649267*G0_0_1_2_6 + 0.0182731554160156*G0_0_1_2_7 + 0.00896817468246188*G0_0_1_2_8 + 0.0299129441986634*G0_0_1_2_9 + 0.0128385899814493*G0_0_1_3_0 + 0.0408068122353907*G0_0_1_3_1 + 0.02682270110842*G0_0_1_3_2 + 0.234177251320148*G0_0_1_3_3 + 0.0081518481518494*G0_0_1_3_5 + 0.0269045240473858*G0_0_1_3_6 - 0.038515769944348*G0_0_1_3_7 + 0.0654202939917335*G0_0_1_3_8 + 0.166770372484686*G0_0_1_3_9 - 0.0128385899814493*G0_0_1_4_0 - 0.02682270110842*G0_0_1_4_1 - 0.0408068122353908*G0_0_1_4_2 - 0.234177251320149*G0_0_1_4_4 + 0.038515769944348*G0_0_1_4_5 - 0.0654202939917337*G0_0_1_4_6 - 0.00815184815184947*G0_0_1_4_7 - 0.0269045240473856*G0_0_1_4_8 - 0.166770372484686*G0_0_1_4_9 - 0.0364835164835228*G0_0_1_5_0 - 0.0182731554160156*G0_0_1_5_1 - 0.0159535702392872*G0_0_1_5_2 + 0.00815184815184939*G0_0_1_5_3 + 0.038515769944348*G0_0_1_5_4 - 0.739180819180944*G0_0_1_5_5 + 0.140293991722587*G0_0_1_5_6 + 0.054819466248047*G0_0_1_5_8 - 0.109638932496094*G0_0_1_5_9 + 0.00399600399600471*G0_0_1_6_0 - 0.00896817468246192*G0_0_1_6_1 - 0.00588934874649267*G0_0_1_6_2 + 0.0269045240473858*G0_0_1_6_3 - 0.0654202939917337*G0_0_1_6_4 + 0.140293991722587*G0_0_1_6_5 - 0.0986099614671207*G0_0_1_6_6 - 0.0548194662480467*G0_0_1_6_7 - 0.143547880690762*G0_0_1_6_9 + 0.0364835164835224*G0_0_1_7_0 + 0.0159535702392872*G0_0_1_7_1 + 0.0182731554160156*G0_0_1_7_2 - 0.038515769944348*G0_0_1_7_3 - 0.00815184815184946*G0_0_1_7_4 - 0.0548194662480467*G0_0_1_7_6 + 0.739180819180943*G0_0_1_7_7 - 0.140293991722587*G0_0_1_7_8 + 0.109638932496094*G0_0_1_7_9 - 0.00399600399600458*G0_0_1_8_0 + 0.00588934874649263*G0_0_1_8_1 + 0.00896817468246188*G0_0_1_8_2 + 0.0654202939917335*G0_0_1_8_3 - 0.0269045240473856*G0_0_1_8_4 + 0.054819466248047*G0_0_1_8_5 - 0.140293991722587*G0_0_1_8_7 + 0.0986099614671201*G0_0_1_8_8 + 0.143547880690762*G0_0_1_8_9 - 0.0299129441986635*G0_0_1_9_1 + 0.0299129441986634*G0_0_1_9_2 + 0.166770372484686*G0_0_1_9_3 - 0.166770372484686*G0_0_1_9_4 - 0.109638932496094*G0_0_1_9_5 - 0.143547880690762*G0_0_1_9_6 + 0.109638932496094*G0_0_1_9_7 + 0.143547880690762*G0_0_1_9_8 + 0.000930075215789647*G0_1_0_0_1 - 0.000930075215789675*G0_1_0_0_2 + 0.0113600685029276*G0_1_0_0_3 - 0.0113600685029277*G0_1_0_0_4 + 0.00880452880453019*G0_1_0_0_5 - 0.00506160506160596*G0_1_0_0_6 - 0.00880452880453044*G0_1_0_0_7 + 0.00506160506160601*G0_1_0_0_8 + 0.000930075215789647*G0_1_0_1_0 + 0.0299552299552353*G0_1_0_1_1 + 0.0512744398458773*G0_1_0_1_3 - 0.0313172541744024*G0_1_0_1_4 + 0.00222634508348834*G0_1_0_1_5 - 0.0148365919794517*G0_1_0_1_6 - 0.00970077541506283*G0_1_0_1_7 + 0.00365729508586721*G0_1_0_1_8 - 0.041193092621671*G0_1_0_1_9 - 0.000930075215789675*G0_1_0_2_0 - 0.0299552299552352*G0_1_0_2_2 + 0.0313172541744024*G0_1_0_2_3 - 0.0512744398458773*G0_1_0_2_4 + 0.00970077541506277*G0_1_0_2_5 - 0.00365729508586722*G0_1_0_2_6 - 0.00222634508348833*G0_1_0_2_7 + 0.0148365919794516*G0_1_0_2_8 + 0.041193092621671*G0_1_0_2_9 + 0.0113600685029276*G0_1_0_3_0 + 0.0512744398458773*G0_1_0_3_1 + 0.0313172541744024*G0_1_0_3_2 + 0.265928357356974*G0_1_0_3_3 - 0.0203796203796238*G0_1_0_3_5 + 0.0445097759383549*G0_1_0_3_6 - 0.0340802055087827*G0_1_0_3_7 + 0.0785899814471376*G0_1_0_3_8 + 0.191739688882578*G0_1_0_3_9 - 0.0113600685029277*G0_1_0_4_0 - 0.0313172541744024*G0_1_0_4_1 - 0.0512744398458773*G0_1_0_4_2 - 0.265928357356975*G0_1_0_4_4 + 0.0340802055087828*G0_1_0_4_5 - 0.0785899814471377*G0_1_0_4_6 + 0.0203796203796239*G0_1_0_4_7 - 0.0445097759383549*G0_1_0_4_8 - 0.191739688882578*G0_1_0_4_9 + 0.00880452880453019*G0_1_0_5_0 + 0.00222634508348834*G0_1_0_5_1 + 0.00970077541506277*G0_1_0_5_2 - 0.0203796203796238*G0_1_0_5_3 + 0.0340802055087828*G0_1_0_5_4 + 0.0388411588411659*G0_1_0_5_5 - 0.00272299129442002*G0_1_0_5_6 - 0.00667903525046499*G0_1_0_5_8 + 0.0133580705009302*G0_1_0_5_9 - 0.00506160506160596*G0_1_0_6_0 - 0.0148365919794517*G0_1_0_6_1 - 0.00365729508586722*G0_1_0_6_2 + 0.0445097759383549*G0_1_0_6_3 - 0.0785899814471377*G0_1_0_6_4 - 0.00272299129442002*G0_1_0_6_5 - 0.161427144284314*G0_1_0_6_6 + 0.00667903525046499*G0_1_0_6_7 - 0.212598829741723*G0_1_0_6_9 - 0.00880452880453044*G0_1_0_7_0 - 0.00970077541506283*G0_1_0_7_1 - 0.00222634508348833*G0_1_0_7_2 - 0.0340802055087827*G0_1_0_7_3 + 0.0203796203796239*G0_1_0_7_4 + 0.006679035250465*G0_1_0_7_6 - 0.0388411588411658*G0_1_0_7_7 + 0.00272299129442045*G0_1_0_7_8 - 0.0133580705009299*G0_1_0_7_9 + 0.00506160506160601*G0_1_0_8_0 + 0.00365729508586721*G0_1_0_8_1 + 0.0148365919794516*G0_1_0_8_2 + 0.0785899814471376*G0_1_0_8_3 - 0.0445097759383549*G0_1_0_8_4 - 0.00667903525046499*G0_1_0_8_5 + 0.00272299129442046*G0_1_0_8_7 + 0.161427144284314*G0_1_0_8_8 + 0.212598829741723*G0_1_0_8_9 - 0.041193092621671*G0_1_0_9_1 + 0.041193092621671*G0_1_0_9_2 + 0.191739688882578*G0_1_0_9_3 - 0.191739688882578*G0_1_0_9_4 + 0.0133580705009302*G0_1_0_9_5 - 0.212598829741723*G0_1_0_9_6 - 0.0133580705009299*G0_1_0_9_7 + 0.212598829741723*G0_1_0_9_8 + 0.0989824989825156*G0_1_1_0_0 + 0.0103872846730007*G0_1_1_0_1 + 0.00514829086257741*G0_1_1_0_2 + 0.0114000285428876*G0_1_1_0_3 - 0.0158355929784528*G0_1_1_0_4 + 0.0355777555777615*G0_1_1_0_5 - 0.0284781884781933*G0_1_1_0_6 + 0.155431235431262*G0_1_1_0_7 - 0.0407326007326076*G0_1_1_0_8 + 0.0124675324675346*G0_1_1_0_9 + 0.0103872846730007*G0_1_1_1_0 + 0.0155340955340982*G0_1_1_1_1 + 0.000768120768120879*G0_1_1_1_2 + 0.0388792160220799*G0_1_1_1_3 - 0.0287788402074166*G0_1_1_1_4 + 0.0110118452975614*G0_1_1_1_5 - 0.0167090052804367*G0_1_1_1_6 + 0.0391760620332115*G0_1_1_1_7 - 0.000304457447314619*G0_1_1_1_8 - 0.0159383473669215*G0_1_1_1_9 + 0.00514829086257741*G0_1_1_2_0 + 0.000768120768120878*G0_1_1_2_1 - 0.028421102706822*G0_1_1_2_2 + 0.0273859473859521*G0_1_1_2_3 - 0.0462147376433171*G0_1_1_2_4 + 0.00583036011607539*G0_1_1_2_5 - 0.00531849103277768*G0_1_1_2_6 + 0.00500071357214293*G0_1_1_2_7 + 0.000919080919081049*G0_1_1_2_8 + 0.0262822891394364*G0_1_1_2_9 + 0.0114000285428876*G0_1_1_3_0 + 0.0388792160220799*G0_1_1_3_1 + 0.0273859473859521*G0_1_1_3_2 + 0.24661053232486*G0_1_1_3_3 + 0.0104295704295723*G0_1_1_3_4 - 0.0279149422006612*G0_1_1_3_5 + 0.0387212787212853*G0_1_1_3_6 - 0.0456058227486877*G0_1_1_3_7 + 0.0597688026259555*G0_1_1_3_8 + 0.13902668759814*G0_1_1_3_9 - 0.0158355929784528*G0_1_1_4_0 - 0.0287788402074166*G0_1_1_4_1 - 0.0462147376433171*G0_1_1_4_2 + 0.0104295704295723*G0_1_1_4_3 - 0.246713286713329*G0_1_1_4_4 + 0.0361010418153337*G0_1_1_4_5 - 0.074822320536619*G0_1_1_4_6 + 0.0219551876694771*G0_1_1_4_7 - 0.0141629798772679*G0_1_1_4_8 - 0.151048951048977*G0_1_1_4_9 + 0.0355777555777615*G0_1_1_5_0 + 0.0110118452975614*G0_1_1_5_1 + 0.00583036011607539*G0_1_1_5_2 - 0.0279149422006612*G0_1_1_5_3 + 0.0361010418153337*G0_1_1_5_4 + 0.0177422577422603*G0_1_1_5_5 + 0.019694591123166*G0_1_1_5_6 + 0.0708491508491624*G0_1_1_5_7 - 0.0444412730127089*G0_1_1_5_8 + 0.0514799486228144*G0_1_1_5_9 - 0.0284781884781933*G0_1_1_6_0 - 0.0167090052804367*G0_1_1_6_1 - 0.00531849103277768*G0_1_1_6_2 + 0.0387212787212853*G0_1_1_6_3 - 0.074822320536619*G0_1_1_6_4 + 0.019694591123166*G0_1_1_6_5 - 0.133717710860591*G0_1_1_6_6 - 0.0264078778364535*G0_1_1_6_7 + 0.0293877551020458*G0_1_1_6_8 - 0.15628942486088*G0_1_1_6_9 + 0.155431235431262*G0_1_1_7_0 + 0.0391760620332115*G0_1_1_7_1 + 0.00500071357214293*G0_1_1_7_2 - 0.0456058227486877*G0_1_1_7_3 + 0.0219551876694771*G0_1_1_7_4 + 0.0708491508491624*G0_1_1_7_5 - 0.0264078778364536*G0_1_1_7_6 + 0.449550449550524*G0_1_1_7_7 - 0.248305979734593*G0_1_1_7_8 + 0.0154131582703037*G0_1_1_7_9 - 0.0407326007326076*G0_1_1_8_0 - 0.000304457447314619*G0_1_1_8_1 + 0.000919080919081049*G0_1_1_8_2 + 0.0597688026259555*G0_1_1_8_3 - 0.0141629798772679*G0_1_1_8_4 - 0.0444412730127089*G0_1_1_8_5 + 0.0293877551020457*G0_1_1_8_6 - 0.248305979734593*G0_1_1_8_7 + 0.0390466676181019*G0_1_1_8_8 + 0.0761410018553002*G0_1_1_8_9 + 0.0124675324675346*G0_1_1_9_0 - 0.0159383473669215*G0_1_1_9_1 + 0.0262822891394364*G0_1_1_9_2 + 0.13902668759814*G0_1_1_9_3 - 0.151048951048977*G0_1_1_9_4 + 0.0514799486228144*G0_1_1_9_5 - 0.15628942486088*G0_1_1_9_6 + 0.0154131582703037*G0_1_1_9_7 + 0.0761410018553002*G0_1_1_9_8 + 0.114673897531059*G0_1_1_9_9;
    A[166] = -A[46] - 0.00890562700086667*G0_0_0_0_0 - 0.00456796290129706*G0_0_0_0_1 - 0.00133135823612037*G0_0_0_0_2 - 0.000491545491545588*G0_0_0_0_3 - 0.00100547600547617*G0_0_0_0_4 - 0.00554197125625794*G0_0_0_0_5 + 0.00176056747485349*G0_0_0_0_6 - 0.00117956117956137*G0_0_0_0_7 + 0.00033892033892037*G0_0_0_0_8 - 0.000881340881341046*G0_0_0_0_9 - 0.00456796290129706*G0_0_0_1_0 - 0.142693109359801*G0_0_0_1_1 - 0.00456796290129701*G0_0_0_1_2 - 0.0380452880452946*G0_0_0_1_3 + 0.0185148185148217*G0_0_0_1_4 - 0.00102212602212614*G0_0_0_1_5 - 0.00102212602212621*G0_0_0_1_6 + 0.0185148185148218*G0_0_0_1_7 - 0.0380452880452948*G0_0_0_1_8 - 0.00203130203130241*G0_0_0_1_9 - 0.00133135823612037*G0_0_0_2_0 - 0.00456796290129701*G0_0_0_2_1 - 0.00890562700086659*G0_0_0_2_2 + 0.00033892033892039*G0_0_0_2_3 - 0.00117956117956137*G0_0_0_2_4 + 0.00176056747485348*G0_0_0_2_5 - 0.0055419712562579*G0_0_0_2_6 - 0.00100547600547617*G0_0_0_2_7 - 0.000491545491545589*G0_0_0_2_8 - 0.000881340881341034*G0_0_0_2_9 - 0.000491545491545588*G0_0_0_3_0 - 0.0380452880452946*G0_0_0_3_1 + 0.00033892033892039*G0_0_0_3_2 - 0.0134865134865158*G0_0_0_3_3 + 0.00641858141858249*G0_0_0_3_4 + 0.00132201132201155*G0_0_0_3_5 + 0.00496336996337078*G0_0_0_3_6 + 0.00337162837162901*G0_0_0_3_7 - 0.00674325674325801*G0_0_0_3_8 - 0.000649350649350799*G0_0_0_3_9 - 0.00100547600547617*G0_0_0_4_0 + 0.0185148185148217*G0_0_0_4_1 - 0.00117956117956137*G0_0_0_4_2 + 0.00641858141858249*G0_0_0_4_3 - 0.0180619380619411*G0_0_0_4_4 + 0.00491341991342074*G0_0_0_4_5 - 0.00987678987679153*G0_0_0_4_6 + 0.00206793206793239*G0_0_0_4_7 + 0.003371628371629*G0_0_0_4_8 - 0.00718281718281836*G0_0_0_4_9 - 0.00554197125625794*G0_0_0_5_0 - 0.00102212602212614*G0_0_0_5_1 + 0.00176056747485348*G0_0_0_5_2 + 0.00132201132201155*G0_0_0_5_3 + 0.00491341991342074*G0_0_0_5_4 - 0.0513438942010457*G0_0_0_5_5 + 0.0110258788830236*G0_0_0_5_6 - 0.00987678987679154*G0_0_0_5_7 + 0.00496336996337082*G0_0_0_5_8 - 0.0072827172827185*G0_0_0_5_9 + 0.00176056747485349*G0_0_0_6_0 - 0.00102212602212621*G0_0_0_6_1 - 0.0055419712562579*G0_0_0_6_2 + 0.00496336996337078*G0_0_0_6_3 - 0.00987678987679153*G0_0_0_6_4 + 0.0110258788830236*G0_0_0_6_5 - 0.0513438942010456*G0_0_0_6_6 + 0.00491341991342074*G0_0_0_6_7 + 0.00132201132201154*G0_0_0_6_8 - 0.00728271728271848*G0_0_0_6_9 - 0.00117956117956137*G0_0_0_7_0 + 0.0185148185148218*G0_0_0_7_1 - 0.00100547600547617*G0_0_0_7_2 + 0.00337162837162901*G0_0_0_7_3 + 0.00206793206793239*G0_0_0_7_4 - 0.00987678987679154*G0_0_0_7_5 + 0.00491341991342074*G0_0_0_7_6 - 0.0180619380619412*G0_0_0_7_7 + 0.00641858141858263*G0_0_0_7_8 - 0.00718281718281838*G0_0_0_7_9 + 0.000338920338920371*G0_0_0_8_0 - 0.0380452880452948*G0_0_0_8_1 - 0.000491545491545589*G0_0_0_8_2 - 0.00674325674325802*G0_0_0_8_3 + 0.00337162837162901*G0_0_0_8_4 + 0.00496336996337082*G0_0_0_8_5 + 0.00132201132201154*G0_0_0_8_6 + 0.00641858141858263*G0_0_0_8_7 - 0.0134865134865161*G0_0_0_8_8 - 0.000649350649350818*G0_0_0_8_9 - 0.000881340881341046*G0_0_0_9_0 - 0.00203130203130241*G0_0_0_9_1 - 0.000881340881341034*G0_0_0_9_2 - 0.000649350649350799*G0_0_0_9_3 - 0.00718281718281836*G0_0_0_9_4 - 0.0072827172827185*G0_0_0_9_5 - 0.00728271728271848*G0_0_0_9_6 - 0.00718281718281838*G0_0_0_9_7 - 0.000649350649350821*G0_0_0_9_8 - 0.0600599400599502*G0_0_0_9_9;
    A[115] = A[157] - 0.11901061901064*G0_0_1_0_0 - 0.000920005920006105*G0_0_1_0_1 - 0.000920005920006074*G0_0_1_0_2 - 0.00113719613719629*G0_0_1_0_3 - 0.00113719613719633*G0_0_1_0_4 + 0.000166500166500169*G0_0_1_0_5 + 0.00475191475191558*G0_0_1_0_6 + 0.00016650016650004*G0_0_1_0_7 + 0.00475191475191563*G0_0_1_0_8 + 0.0115084915084934*G0_0_1_0_9 - 0.000920005920006105*G0_0_1_1_0 - 0.00141340141340165*G0_0_1_1_1 + 0.000257176685748168*G0_0_1_1_2 + 0.000609866324152185*G0_0_1_1_3 - 0.000452642595499825*G0_0_1_1_4 + 0.0012875220018079*G0_0_1_1_5 - 0.00175800390086135*G0_0_1_1_6 + 0.00583535512107037*G0_0_1_1_7 + 0.00104514533085979*G0_0_1_1_8 - 0.00381761096046876*G0_0_1_1_9 - 0.000920005920006074*G0_0_1_2_0 + 0.000257176685748168*G0_0_1_2_1 - 0.0014134014134015*G0_0_1_2_2 - 0.000452642595499846*G0_0_1_2_3 + 0.000609866324152226*G0_0_1_2_4 + 0.0058353551210704*G0_0_1_2_5 + 0.00104514533085984*G0_0_1_2_6 + 0.00128752200180791*G0_0_1_2_7 - 0.00175800390086135*G0_0_1_2_8 - 0.00381761096046874*G0_0_1_2_9 - 0.00113719613719629*G0_0_1_3_0 + 0.000609866324152185*G0_0_1_3_1 - 0.000452642595499847*G0_0_1_3_2 + 0.00149422006564906*G0_0_1_3_3 + 0.00236121021835341*G0_0_1_3_4 + 0.000742828599971646*G0_0_1_3_5 + 0.00333737690880607*G0_0_1_3_6 + 0.00147495361781098*G0_0_1_3_7 - 0.00481233052661709*G0_0_1_3_8 + 0.00850292564578423*G0_0_1_3_9 - 0.00113719613719633*G0_0_1_4_0 - 0.000452642595499825*G0_0_1_4_1 + 0.000609866324152226*G0_0_1_4_2 + 0.00236121021835341*G0_0_1_4_3 + 0.00149422006564902*G0_0_1_4_4 + 0.00147495361781099*G0_0_1_4_5 - 0.00481233052661709*G0_0_1_4_6 + 0.000742828599971603*G0_0_1_4_7 + 0.00333737690880607*G0_0_1_4_8 + 0.00850292564578422*G0_0_1_4_9 + 0.000166500166500168*G0_0_1_5_0 + 0.0012875220018079*G0_0_1_5_1 + 0.0058353551210704*G0_0_1_5_2 + 0.000742828599971645*G0_0_1_5_3 + 0.00147495361781099*G0_0_1_5_4 + 0.18875124875128*G0_0_1_5_5 - 0.0348101898101957*G0_0_1_5_6 + 0.0115984015984034*G0_0_1_5_7 - 0.00579920079920171*G0_0_1_5_8 - 0.0229270729270768*G0_0_1_5_9 + 0.00475191475191559*G0_0_1_6_0 - 0.00175800390086135*G0_0_1_6_1 + 0.00104514533085984*G0_0_1_6_2 + 0.00333737690880607*G0_0_1_6_3 - 0.00481233052661709*G0_0_1_6_4 - 0.0348101898101957*G0_0_1_6_5 - 0.0131482802911401*G0_0_1_6_6 - 0.0057992007992017*G0_0_1_6_7 + 0.00624232909947302*G0_0_1_6_8 + 0.00477807906379403*G0_0_1_6_9 + 0.000166500166500037*G0_0_1_7_0 + 0.00583535512107037*G0_0_1_7_1 + 0.00128752200180791*G0_0_1_7_2 + 0.00147495361781098*G0_0_1_7_3 + 0.000742828599971604*G0_0_1_7_4 + 0.0115984015984034*G0_0_1_7_5 - 0.00579920079920171*G0_0_1_7_6 + 0.18875124875128*G0_0_1_7_7 - 0.0348101898101955*G0_0_1_7_8 - 0.0229270729270768*G0_0_1_7_9 + 0.00475191475191563*G0_0_1_8_0 + 0.00104514533085979*G0_0_1_8_1 - 0.00175800390086135*G0_0_1_8_2 - 0.00481233052661709*G0_0_1_8_3 + 0.00333737690880607*G0_0_1_8_4 - 0.00579920079920171*G0_0_1_8_5 + 0.00624232909947302*G0_0_1_8_6 - 0.0348101898101955*G0_0_1_8_7 - 0.0131482802911399*G0_0_1_8_8 + 0.00477807906379412*G0_0_1_8_9 + 0.0115084915084934*G0_0_1_9_0 - 0.00381761096046876*G0_0_1_9_1 - 0.00381761096046874*G0_0_1_9_2 + 0.00850292564578423*G0_0_1_9_3 + 0.00850292564578422*G0_0_1_9_4 - 0.0229270729270768*G0_0_1_9_5 + 0.00477807906379402*G0_0_1_9_6 - 0.0229270729270768*G0_0_1_9_7 + 0.00477807906379412*G0_0_1_9_8 - 0.120685029256479*G0_0_1_9_9 + 0.11901061901064*G0_1_0_0_0 + 0.000920005920006105*G0_1_0_0_1 + 0.000920005920006075*G0_1_0_0_2 + 0.00113719613719629*G0_1_0_0_3 + 0.00113719613719633*G0_1_0_0_4 - 0.000166500166500167*G0_1_0_0_5 - 0.00475191475191558*G0_1_0_0_6 - 0.00016650016650004*G0_1_0_0_7 - 0.00475191475191563*G0_1_0_0_8 - 0.0115084915084934*G0_1_0_0_9 + 0.000920005920006105*G0_1_0_1_0 + 0.00141340141340165*G0_1_0_1_1 - 0.000257176685748168*G0_1_0_1_2 - 0.000609866324152184*G0_1_0_1_3 + 0.000452642595499825*G0_1_0_1_4 - 0.0012875220018079*G0_1_0_1_5 + 0.00175800390086135*G0_1_0_1_6 - 0.00583535512107037*G0_1_0_1_7 - 0.00104514533085979*G0_1_0_1_8 + 0.00381761096046876*G0_1_0_1_9 + 0.000920005920006074*G0_1_0_2_0 - 0.000257176685748168*G0_1_0_2_1 + 0.0014134014134015*G0_1_0_2_2 + 0.000452642595499847*G0_1_0_2_3 - 0.000609866324152226*G0_1_0_2_4 - 0.0058353551210704*G0_1_0_2_5 - 0.00104514533085984*G0_1_0_2_6 - 0.00128752200180791*G0_1_0_2_7 + 0.00175800390086135*G0_1_0_2_8 + 0.00381761096046874*G0_1_0_2_9 + 0.00113719613719629*G0_1_0_3_0 - 0.000609866324152185*G0_1_0_3_1 + 0.000452642595499847*G0_1_0_3_2 - 0.00149422006564907*G0_1_0_3_3 - 0.00236121021835341*G0_1_0_3_4 - 0.000742828599971646*G0_1_0_3_5 - 0.00333737690880607*G0_1_0_3_6 - 0.00147495361781098*G0_1_0_3_7 + 0.00481233052661709*G0_1_0_3_8 - 0.00850292564578423*G0_1_0_3_9 + 0.00113719613719633*G0_1_0_4_0 + 0.000452642595499825*G0_1_0_4_1 - 0.000609866324152226*G0_1_0_4_2 - 0.00236121021835341*G0_1_0_4_3 - 0.00149422006564902*G0_1_0_4_4 - 0.00147495361781099*G0_1_0_4_5 + 0.00481233052661709*G0_1_0_4_6 - 0.000742828599971603*G0_1_0_4_7 - 0.00333737690880607*G0_1_0_4_8 - 0.00850292564578422*G0_1_0_4_9 - 0.000166500166500168*G0_1_0_5_0 - 0.0012875220018079*G0_1_0_5_1 - 0.00583535512107039*G0_1_0_5_2 - 0.000742828599971646*G0_1_0_5_3 - 0.00147495361781099*G0_1_0_5_4 - 0.18875124875128*G0_1_0_5_5 + 0.0348101898101957*G0_1_0_5_6 - 0.0115984015984034*G0_1_0_5_7 + 0.00579920079920171*G0_1_0_5_8 + 0.0229270729270768*G0_1_0_5_9 - 0.00475191475191559*G0_1_0_6_0 + 0.00175800390086135*G0_1_0_6_1 - 0.00104514533085984*G0_1_0_6_2 - 0.00333737690880607*G0_1_0_6_3 + 0.00481233052661709*G0_1_0_6_4 + 0.0348101898101957*G0_1_0_6_5 + 0.0131482802911401*G0_1_0_6_6 + 0.0057992007992017*G0_1_0_6_7 - 0.00624232909947302*G0_1_0_6_8 - 0.00477807906379403*G0_1_0_6_9 - 0.000166500166500037*G0_1_0_7_0 - 0.00583535512107037*G0_1_0_7_1 - 0.00128752200180791*G0_1_0_7_2 - 0.00147495361781098*G0_1_0_7_3 - 0.000742828599971603*G0_1_0_7_4 - 0.0115984015984034*G0_1_0_7_5 + 0.0057992007992017*G0_1_0_7_6 - 0.18875124875128*G0_1_0_7_7 + 0.0348101898101955*G0_1_0_7_8 + 0.0229270729270768*G0_1_0_7_9 - 0.00475191475191563*G0_1_0_8_0 - 0.00104514533085979*G0_1_0_8_1 + 0.00175800390086135*G0_1_0_8_2 + 0.00481233052661709*G0_1_0_8_3 - 0.00333737690880607*G0_1_0_8_4 + 0.00579920079920171*G0_1_0_8_5 - 0.00624232909947302*G0_1_0_8_6 + 0.0348101898101955*G0_1_0_8_7 + 0.0131482802911399*G0_1_0_8_8 - 0.00477807906379412*G0_1_0_8_9 - 0.0115084915084934*G0_1_0_9_0 + 0.00381761096046876*G0_1_0_9_1 + 0.00381761096046874*G0_1_0_9_2 - 0.00850292564578423*G0_1_0_9_3 - 0.00850292564578422*G0_1_0_9_4 + 0.0229270729270768*G0_1_0_9_5 - 0.00477807906379402*G0_1_0_9_6 + 0.0229270729270768*G0_1_0_9_7 - 0.00477807906379412*G0_1_0_9_8 + 0.120685029256479*G0_1_0_9_9;
    A[190] = A[162] + 0.0379472379472444*G0_0_1_0_0 + 0.000473600473600568*G0_0_1_0_1 + 0.00208236208236243*G0_0_1_0_2 + 0.00151848151848176*G0_0_1_0_4 + 0.0267732267732312*G0_0_1_0_5 - 0.0114285714285734*G0_0_1_0_6 - 0.0185148185148216*G0_0_1_0_7 - 0.00237096237096276*G0_0_1_0_8 - 0.0115084915084934*G0_0_1_0_9 + 0.000473600473600568*G0_0_1_1_0 + 0.0145632145632172*G0_0_1_1_1 - 0.000544006258292055*G0_0_1_1_2 + 0.00839160839160987*G0_0_1_1_3 - 0.00122163550735003*G0_0_1_1_4 + 0.00285999714571192*G0_0_1_1_5 + 0.00419009561866775*G0_0_1_1_6 - 0.0235992578849762*G0_0_1_1_7 - 0.00375624375624431*G0_0_1_1_8 - 0.00666761809619063*G0_0_1_1_9 + 0.00208236208236243*G0_0_1_2_0 - 0.000544006258292056*G0_0_1_2_1 + 0.000779749351178074*G0_0_1_2_2 + 0.0032729175586324*G0_0_1_2_3 - 0.0020760192188767*G0_0_1_2_4 + 0.00205508776937382*G0_0_1_2_5 - 0.00152419009561894*G0_0_1_2_6 - 0.017639503353792*G0_0_1_2_7 + 0.0100585129156575*G0_0_1_2_8 + 0.00461253032681685*G0_0_1_2_9 + 0.00839160839160987*G0_0_1_3_1 + 0.0032729175586324*G0_0_1_3_2 + 0.0490823462252115*G0_0_1_3_3 - 0.011183102611676*G0_0_1_3_4 - 0.00774083059797475*G0_0_1_3_5 - 0.00578849721706965*G0_0_1_3_6 + 0.00666190951905357*G0_0_1_3_7 + 0.0167318395889854*G0_0_1_3_8 + 0.00667903525046504*G0_0_1_3_9 + 0.00151848151848176*G0_0_1_4_0 - 0.00122163550735003*G0_0_1_4_1 - 0.0020760192188767*G0_0_1_4_2 - 0.011183102611676*G0_0_1_4_3 + 0.0173312401883861*G0_0_1_4_4 + 0.00222634508348831*G0_0_1_4_5 + 0.00356215213358132*G0_0_1_4_6 + 0.0207906379334985*G0_0_1_4_7 - 0.0233937491080389*G0_0_1_4_8 - 0.0182902811474272*G0_0_1_4_9 + 0.0267732267732312*G0_0_1_5_0 + 0.00285999714571193*G0_0_1_5_1 + 0.00205508776937382*G0_0_1_5_2 - 0.00774083059797475*G0_0_1_5_3 + 0.00222634508348831*G0_0_1_5_4 + 0.107652347652366*G0_0_1_5_5 - 0.0135464535464557*G0_0_1_5_6 - 0.0579020979021074*G0_0_1_5_7 - 0.00179820179820219*G0_0_1_5_8 + 0.0381218781218848*G0_0_1_5_9 - 0.0114285714285734*G0_0_1_6_0 + 0.00419009561866775*G0_0_1_6_1 - 0.00152419009561894*G0_0_1_6_2 - 0.00578849721706964*G0_0_1_6_3 + 0.00356215213358131*G0_0_1_6_4 - 0.0135464535464557*G0_0_1_6_5 + 0.00952190666476552*G0_0_1_6_6 + 0.0597002997003096*G0_0_1_6_7 - 0.0247638076209547*G0_0_1_6_8 - 0.00226059654631126*G0_0_1_6_9 - 0.0185148185148216*G0_0_1_7_0 - 0.0235992578849762*G0_0_1_7_1 - 0.017639503353792*G0_0_1_7_2 + 0.00666190951905356*G0_0_1_7_3 + 0.0207906379334985*G0_0_1_7_4 - 0.0579020979021074*G0_0_1_7_5 + 0.0597002997003096*G0_0_1_7_6 - 0.670369630369743*G0_0_1_7_7 + 0.129470529470551*G0_0_1_7_8 - 0.0848751248751391*G0_0_1_7_9 - 0.00237096237096276*G0_0_1_8_0 - 0.00375624375624431*G0_0_1_8_1 + 0.0100585129156575*G0_0_1_8_2 + 0.0167318395889854*G0_0_1_8_3 - 0.0233937491080389*G0_0_1_8_4 - 0.00179820179820218*G0_0_1_8_5 - 0.0247638076209547*G0_0_1_8_6 + 0.129470529470551*G0_0_1_8_7 + 0.0723390894819597*G0_0_1_8_8 + 0.0667903525046497*G0_0_1_8_9 - 0.0115084915084934*G0_0_1_9_0 - 0.00666761809619063*G0_0_1_9_1 + 0.00461253032681686*G0_0_1_9_2 + 0.00667903525046504*G0_0_1_9_3 - 0.0182902811474272*G0_0_1_9_4 + 0.0381218781218848*G0_0_1_9_5 - 0.00226059654631126*G0_0_1_9_6 - 0.0848751248751391*G0_0_1_9_7 + 0.0667903525046497*G0_0_1_9_8 + 0.231813900385368*G0_0_1_9_9 - 0.0379472379472444*G0_1_0_0_0 - 0.000473600473600569*G0_1_0_0_1 - 0.00208236208236243*G0_1_0_0_2 - 0.00151848151848176*G0_1_0_0_4 - 0.0267732267732312*G0_1_0_0_5 + 0.0114285714285734*G0_1_0_0_6 + 0.0185148185148216*G0_1_0_0_7 + 0.00237096237096276*G0_1_0_0_8 + 0.0115084915084934*G0_1_0_0_9 - 0.000473600473600569*G0_1_0_1_0 - 0.0145632145632172*G0_1_0_1_1 + 0.000544006258292055*G0_1_0_1_2 - 0.00839160839160987*G0_1_0_1_3 + 0.00122163550735003*G0_1_0_1_4 - 0.00285999714571193*G0_1_0_1_5 - 0.00419009561866775*G0_1_0_1_6 + 0.0235992578849762*G0_1_0_1_7 + 0.00375624375624431*G0_1_0_1_8 + 0.00666761809619063*G0_1_0_1_9 - 0.00208236208236243*G0_1_0_2_0 + 0.000544006258292055*G0_1_0_2_1 - 0.000779749351178074*G0_1_0_2_2 - 0.0032729175586324*G0_1_0_2_3 + 0.0020760192188767*G0_1_0_2_4 - 0.00205508776937382*G0_1_0_2_5 + 0.00152419009561895*G0_1_0_2_6 + 0.017639503353792*G0_1_0_2_7 - 0.0100585129156575*G0_1_0_2_8 - 0.00461253032681686*G0_1_0_2_9 - 0.00839160839160986*G0_1_0_3_1 - 0.0032729175586324*G0_1_0_3_2 - 0.0490823462252116*G0_1_0_3_3 + 0.011183102611676*G0_1_0_3_4 + 0.00774083059797475*G0_1_0_3_5 + 0.00578849721706965*G0_1_0_3_6 - 0.00666190951905357*G0_1_0_3_7 - 0.0167318395889854*G0_1_0_3_8 - 0.00667903525046508*G0_1_0_3_9 - 0.00151848151848176*G0_1_0_4_0 + 0.00122163550735003*G0_1_0_4_1 + 0.0020760192188767*G0_1_0_4_2 + 0.011183102611676*G0_1_0_4_3 - 0.0173312401883861*G0_1_0_4_4 - 0.0022263450834883*G0_1_0_4_5 - 0.00356215213358132*G0_1_0_4_6 - 0.0207906379334985*G0_1_0_4_7 + 0.0233937491080389*G0_1_0_4_8 + 0.0182902811474272*G0_1_0_4_9 - 0.0267732267732312*G0_1_0_5_0 - 0.00285999714571193*G0_1_0_5_1 - 0.00205508776937382*G0_1_0_5_2 + 0.00774083059797476*G0_1_0_5_3 - 0.0022263450834883*G0_1_0_5_4 - 0.107652347652366*G0_1_0_5_5 + 0.0135464535464557*G0_1_0_5_6 + 0.0579020979021074*G0_1_0_5_7 + 0.00179820179820219*G0_1_0_5_8 - 0.0381218781218848*G0_1_0_5_9 + 0.0114285714285734*G0_1_0_6_0 - 0.00419009561866775*G0_1_0_6_1 + 0.00152419009561894*G0_1_0_6_2 + 0.00578849721706964*G0_1_0_6_3 - 0.00356215213358132*G0_1_0_6_4 + 0.0135464535464557*G0_1_0_6_5 - 0.00952190666476552*G0_1_0_6_6 - 0.0597002997003096*G0_1_0_6_7 + 0.0247638076209547*G0_1_0_6_8 + 0.00226059654631126*G0_1_0_6_9 + 0.0185148185148216*G0_1_0_7_0 + 0.0235992578849762*G0_1_0_7_1 + 0.017639503353792*G0_1_0_7_2 - 0.00666190951905356*G0_1_0_7_3 - 0.0207906379334985*G0_1_0_7_4 + 0.0579020979021074*G0_1_0_7_5 - 0.0597002997003096*G0_1_0_7_6 + 0.670369630369742*G0_1_0_7_7 - 0.129470529470551*G0_1_0_7_8 + 0.0848751248751391*G0_1_0_7_9 + 0.00237096237096276*G0_1_0_8_0 + 0.00375624375624431*G0_1_0_8_1 - 0.0100585129156575*G0_1_0_8_2 - 0.0167318395889854*G0_1_0_8_3 + 0.0233937491080389*G0_1_0_8_4 + 0.00179820179820219*G0_1_0_8_5 + 0.0247638076209547*G0_1_0_8_6 - 0.129470529470551*G0_1_0_8_7 - 0.0723390894819598*G0_1_0_8_8 - 0.0667903525046497*G0_1_0_8_9 + 0.0115084915084934*G0_1_0_9_0 + 0.00666761809619063*G0_1_0_9_1 - 0.00461253032681686*G0_1_0_9_2 - 0.00667903525046507*G0_1_0_9_3 + 0.0182902811474272*G0_1_0_9_4 - 0.0381218781218848*G0_1_0_9_5 + 0.00226059654631126*G0_1_0_9_6 + 0.0848751248751391*G0_1_0_9_7 - 0.0667903525046497*G0_1_0_9_8 - 0.231813900385368*G0_1_0_9_9;
    A[206] = -A[198] - 0.020294907913959*G0_0_0_0_0 + 0.000836694170027659*G0_0_0_0_1 - 0.00494038589276769*G0_0_0_0_2 - 0.0275584732727637*G0_0_0_0_3 - 0.0026766883909746*G0_0_0_0_4 - 0.00939504939505106*G0_0_0_0_5 + 0.00636823493966453*G0_0_0_0_6 + 0.00600034885749273*G0_0_0_0_7 - 0.0100217243074403*G0_0_0_0_8 - 0.0111735883164474*G0_0_0_0_9 + 0.000836694170027659*G0_0_0_1_0 + 0.0479915146581896*G0_0_0_1_1 - 0.000155893489226851*G0_0_0_1_2 + 0.0244200244200285*G0_0_0_1_3 - 0.00568320568320663*G0_0_0_1_4 - 0.00919968919969074*G0_0_0_1_5 - 0.00669552669552785*G0_0_0_1_6 - 0.0103008103008121*G0_0_0_1_7 + 0.00701520701520833*G0_0_0_1_8 - 0.0277056277056324*G0_0_0_1_9 - 0.00494038589276769*G0_0_0_2_0 - 0.000155893489226852*G0_0_0_2_1 - 0.0141369741369766*G0_0_0_2_2 - 0.00955996384567969*G0_0_0_2_3 + 0.00729175586318565*G0_0_0_2_4 + 0.00424210709925066*G0_0_0_2_5 - 0.00764695621838613*G0_0_0_2_6 - 0.00168720168720198*G0_0_0_2_7 - 0.0021438878581739*G0_0_0_2_8 + 0.00411017553874769*G0_0_0_2_9 - 0.0275584732727637*G0_0_0_3_0 + 0.0244200244200285*G0_0_0_3_1 - 0.00955996384567969*G0_0_0_3_2 - 0.637762237762347*G0_0_0_3_3 + 0.060899100899111*G0_0_0_3_4 + 0.0464449835878484*G0_0_0_3_5 + 0.0374711003282494*G0_0_0_3_6 + 0.100059940059957*G0_0_0_3_7 - 0.123876123876145*G0_0_0_3_8 - 0.117002997003017*G0_0_0_3_9 - 0.0026766883909746*G0_0_0_4_0 - 0.00568320568320664*G0_0_0_4_1 + 0.00729175586318565*G0_0_0_4_2 + 0.0608991008991109*G0_0_0_4_3 - 0.117551020408183*G0_0_0_4_4 + 0.0254145854145898*G0_0_0_4_5 - 0.0628856857428392*G0_0_0_4_6 - 0.00214642500356815*G0_0_0_4_7 + 0.0238161838161877*G0_0_0_4_8 - 0.0631596974454225*G0_0_0_4_9 - 0.00939504939505106*G0_0_0_5_0 - 0.00919968919969074*G0_0_0_5_1 + 0.00424210709925066*G0_0_0_5_2 + 0.0464449835878484*G0_0_0_5_3 + 0.0254145854145898*G0_0_0_5_4 - 0.336806051091822*G0_0_0_5_5 + 0.0349593263879038*G0_0_0_5_6 - 0.0674297131440101*G0_0_0_5_7 + 0.0449835878407382*G0_0_0_5_8 - 0.0564464107321345*G0_0_0_5_9 + 0.00636823493966454*G0_0_0_6_0 - 0.00669552669552785*G0_0_0_6_1 - 0.00764695621838614*G0_0_0_6_2 + 0.0374711003282494*G0_0_0_6_3 - 0.0628856857428392*G0_0_0_6_4 + 0.0349593263879038*G0_0_0_6_5 - 0.319954331382957*G0_0_0_6_6 + 0.0224461253032719*G0_0_0_6_7 + 0.00456686170971957*G0_0_0_6_8 - 0.0872727272727419*G0_0_0_6_9 + 0.00600034885749273*G0_0_0_7_0 - 0.0103008103008121*G0_0_0_7_1 - 0.00168720168720198*G0_0_0_7_2 + 0.100059940059957*G0_0_0_7_3 - 0.00214642500356814*G0_0_0_7_4 - 0.0674297131440101*G0_0_0_7_5 + 0.0224461253032719*G0_0_0_7_6 - 0.0798287426858988*G0_0_0_7_7 + 0.0645754245754353*G0_0_0_7_8 - 0.0113714856572019*G0_0_0_7_9 - 0.0100217243074403*G0_0_0_8_0 + 0.00701520701520834*G0_0_0_8_1 - 0.0021438878581739*G0_0_0_8_2 - 0.123876123876145*G0_0_0_8_3 + 0.0238161838161877*G0_0_0_8_4 + 0.0449835878407382*G0_0_0_8_5 + 0.00456686170971957*G0_0_0_8_6 + 0.0645754245754353*G0_0_0_8_7 - 0.0351648351648409*G0_0_0_8_8 + 0.0354845154845216*G0_0_0_8_9 - 0.0111735883164474*G0_0_0_9_0 - 0.0277056277056324*G0_0_0_9_1 + 0.00411017553874769*G0_0_0_9_2 - 0.117002997003017*G0_0_0_9_3 - 0.0631596974454225*G0_0_0_9_4 - 0.0564464107321345*G0_0_0_9_5 - 0.0872727272727419*G0_0_0_9_6 - 0.0113714856572019*G0_0_0_9_7 + 0.0354845154845216*G0_0_0_9_8 - 0.435678607107252*G0_0_0_9_9 - 0.0061579337769823*G0_1_0_0_0 + 0.000992587659254482*G0_1_0_0_1 - 0.0254145854145898*G0_1_0_0_3 - 0.0009894867037726*G0_1_0_0_4 - 0.00174809317666481*G0_1_0_0_5 + 0.00212612784041386*G0_1_0_0_6 - 0.0012914070056929*G0_1_0_0_7 - 0.000461760461760561*G0_1_0_0_8 - 0.015283763855195*G0_1_0_0_9 + 0.000992587659254481*G0_1_0_1_0 - 0.000992587659254507*G0_1_0_1_2 + 0.0174048174048202*G0_1_0_1_3 + 0.00461760461760545*G0_1_0_1_4 - 0.00250416250416291*G0_1_0_1_5 + 0.00250416250416292*G0_1_0_1_6 - 0.00461760461760534*G0_1_0_1_7 - 0.0174048174048205*G0_1_0_1_8 - 0.000992587659254507*G0_1_0_2_1 + 0.00615793377698228*G0_1_0_2_2 + 0.000461760461760576*G0_1_0_2_3 + 0.00129140700569294*G0_1_0_2_4 - 0.00212612784041386*G0_1_0_2_5 + 0.00174809317666479*G0_1_0_2_6 + 0.000989486703772594*G0_1_0_2_7 + 0.0254145854145897*G0_1_0_2_8 + 0.015283763855195*G0_1_0_2_9 - 0.0254145854145898*G0_1_0_3_0 + 0.0174048174048202*G0_1_0_3_1 + 0.000461760461760576*G0_1_0_3_2 - 0.602597402597506*G0_1_0_3_3 - 0.00367632367632445*G0_1_0_3_4 + 0.0418781218781289*G0_1_0_3_5 - 0.00751248751248874*G0_1_0_3_6 + 0.0762437562437693*G0_1_0_3_7 - 0.152487512487539*G0_1_0_3_9 - 0.0009894867037726*G0_1_0_4_0 + 0.00461760461760545*G0_1_0_4_1 + 0.00129140700569293*G0_1_0_4_2 - 0.00367632367632445*G0_1_0_4_3 - 0.0377222777222842*G0_1_0_4_4 + 0.00296846011131779*G0_1_0_4_5 + 0.00454402740117096*G0_1_0_4_6 - 0.076243756243769*G0_1_0_4_8 - 0.0517882117882206*G0_1_0_4_9 - 0.00174809317666481*G0_1_0_5_0 - 0.00250416250416291*G0_1_0_5_1 - 0.00212612784041386*G0_1_0_5_2 + 0.0418781218781289*G0_1_0_5_3 + 0.00296846011131779*G0_1_0_5_4 - 0.0168517197088654*G0_1_0_5_5 - 0.00454402740117102*G0_1_0_5_7 + 0.00751248751248877*G0_1_0_5_8 + 0.0308263165406074*G0_1_0_5_9 + 0.00212612784041386*G0_1_0_6_0 + 0.00250416250416292*G0_1_0_6_1 + 0.00174809317666479*G0_1_0_6_2 - 0.00751248751248874*G0_1_0_6_3 + 0.00454402740117096*G0_1_0_6_4 + 0.0168517197088649*G0_1_0_6_6 - 0.00296846011131776*G0_1_0_6_7 - 0.0418781218781288*G0_1_0_6_8 - 0.0308263165406075*G0_1_0_6_9 - 0.0012914070056929*G0_1_0_7_0 - 0.00461760461760534*G0_1_0_7_1 + 0.000989486703772595*G0_1_0_7_2 + 0.0762437562437693*G0_1_0_7_3 - 0.00454402740117102*G0_1_0_7_5 - 0.00296846011131776*G0_1_0_7_6 + 0.0377222777222839*G0_1_0_7_7 + 0.00367632367632461*G0_1_0_7_8 + 0.0517882117882206*G0_1_0_7_9 - 0.000461760461760562*G0_1_0_8_0 - 0.0174048174048205*G0_1_0_8_1 + 0.0254145854145897*G0_1_0_8_2 - 0.076243756243769*G0_1_0_8_4 + 0.00751248751248877*G0_1_0_8_5 - 0.0418781218781288*G0_1_0_8_6 + 0.00367632367632462*G0_1_0_8_7 + 0.602597402597504*G0_1_0_8_8 + 0.152487512487538*G0_1_0_8_9 - 0.015283763855195*G0_1_0_9_0 + 0.015283763855195*G0_1_0_9_2 - 0.152487512487539*G0_1_0_9_3 - 0.0517882117882206*G0_1_0_9_4 + 0.0308263165406074*G0_1_0_9_5 - 0.0308263165406075*G0_1_0_9_6 + 0.0517882117882206*G0_1_0_9_7 + 0.152487512487538*G0_1_0_9_8;
    A[178] = A[206] - 0.00667776667776769*G0_0_1_0_0 - 0.00790123456790261*G0_0_1_0_1 - 0.00172215791263439*G0_0_1_0_2 - 0.0171181199752658*G0_0_1_0_3 + 0.00535845107273769*G0_0_1_0_4 - 0.00298368298368343*G0_0_1_0_5 + 0.00257266542980869*G0_0_1_0_6 + 0.00234432234432277*G0_0_1_0_7 - 0.0129851101279695*G0_0_1_0_8 - 0.00983397554826292*G0_0_1_0_9 - 0.00790123456790261*G0_0_1_1_0 - 0.09961396628065*G0_0_1_1_1 - 0.00889382222715705*G0_0_1_1_2 - 0.0745920745920872*G0_0_1_1_3 + 0.0378288378288442*G0_0_1_1_4 + 0.00175824175824208*G0_0_1_1_5 + 0.00426240426240496*G0_0_1_1_6 + 0.0332112332112389*G0_0_1_1_7 - 0.0919968919969078*G0_0_1_1_8 - 0.0223776223776262*G0_0_1_1_9 - 0.00172215791263439*G0_0_1_2_0 - 0.00889382222715705*G0_0_1_2_1 - 0.000519832900785374*G0_0_1_2_2 - 0.0125233496662089*G0_0_1_2_3 + 0.00363572935001567*G0_0_1_2_4 + 0.000446537589394808*G0_0_1_2_5 - 0.00123558980701859*G0_0_1_2_6 + 0.00634793777651027*G0_0_1_2_7 + 0.00829646543932398*G0_0_1_2_8 + 0.00544978830693209*G0_0_1_2_9 - 0.0171181199752658*G0_0_1_3_0 - 0.0745920745920873*G0_0_1_3_1 - 0.0125233496662089*G0_0_1_3_2 - 0.23048951048955*G0_0_1_3_3 + 0.0615384615384718*G0_0_1_3_4 + 0.0163493649207962*G0_0_1_3_5 + 0.000593692022263562*G0_0_1_3_6 + 0.0647352647352757*G0_0_1_3_7 - 0.0532267732267823*G0_0_1_3_8 - 0.0623376623376729*G0_0_1_3_9 + 0.00535845107273769*G0_0_1_4_0 + 0.0378288378288442*G0_0_1_4_1 + 0.00363572935001567*G0_0_1_4_2 + 0.0615384615384718*G0_0_1_4_3 - 0.0245697159982916*G0_0_1_4_4 - 0.00269444840873454*G0_0_1_4_5 + 0.00210075638647099*G0_0_1_4_6 - 0.0242500356786112*G0_0_1_4_7 - 0.0115084915084934*G0_0_1_4_8 - 0.0109604681033272*G0_0_1_4_9 - 0.00298368298368342*G0_0_1_5_0 + 0.00175824175824208*G0_0_1_5_1 + 0.000446537589394808*G0_0_1_5_2 + 0.0163493649207962*G0_0_1_5_3 - 0.00269444840873454*G0_0_1_5_4 - 0.0191351505637253*G0_0_1_5_5 + 0.00162123590695047*G0_0_1_5_6 - 0.00244327101470003*G0_0_1_5_7 + 0.00810617953475235*G0_0_1_5_8 + 0.013289567575284*G0_0_1_5_9 + 0.00257266542980869*G0_0_1_6_0 + 0.00426240426240496*G0_0_1_6_1 - 0.00123558980701859*G0_0_1_6_2 + 0.000593692022263562*G0_0_1_6_3 + 0.00210075638647099*G0_0_1_6_4 + 0.00162123590695047*G0_0_1_6_5 - 0.0022834308548599*G0_0_1_6_6 - 0.00566290852005231*G0_0_1_6_7 - 0.0255287569573327*G0_0_1_6_8 - 0.0175367489653234*G0_0_1_6_9 + 0.00234432234432277*G0_0_1_7_0 + 0.0332112332112389*G0_0_1_7_1 + 0.00634793777651027*G0_0_1_7_2 + 0.0647352647352757*G0_0_1_7_3 - 0.0242500356786112*G0_0_1_7_4 - 0.00244327101470003*G0_0_1_7_5 - 0.00566290852005231*G0_0_1_7_6 + 0.0131525617239923*G0_0_1_7_7 + 0.0652147852147965*G0_0_1_7_8 + 0.0408277436848934*G0_0_1_7_9 - 0.0129851101279695*G0_0_1_8_0 - 0.0919968919969077*G0_0_1_8_1 + 0.00829646543932398*G0_0_1_8_2 - 0.0532267732267823*G0_0_1_8_3 - 0.0115084915084934*G0_0_1_8_4 + 0.00810617953475235*G0_0_1_8_5 - 0.0255287569573327*G0_0_1_8_6 + 0.0652147852147965*G0_0_1_8_7 + 0.372107892107955*G0_0_1_8_8 + 0.0901498501498656*G0_0_1_8_9 - 0.00983397554826292*G0_0_1_9_0 - 0.0223776223776262*G0_0_1_9_1 + 0.00544978830693209*G0_0_1_9_2 - 0.0623376623376729*G0_0_1_9_3 - 0.0109604681033272*G0_0_1_9_4 + 0.013289567575284*G0_0_1_9_5 - 0.0175367489653234*G0_0_1_9_6 + 0.0408277436848934*G0_0_1_9_7 + 0.0901498501498656*G0_0_1_9_8 + 0.00657628086199583*G0_0_1_9_9 + 0.00667776667776769*G0_1_0_0_0 + 0.00790123456790261*G0_1_0_0_1 + 0.00172215791263439*G0_1_0_0_2 + 0.0171181199752658*G0_1_0_0_3 - 0.00535845107273769*G0_1_0_0_4 + 0.00298368298368342*G0_1_0_0_5 - 0.00257266542980869*G0_1_0_0_6 - 0.00234432234432277*G0_1_0_0_7 + 0.0129851101279695*G0_1_0_0_8 + 0.00983397554826292*G0_1_0_0_9 + 0.00790123456790261*G0_1_0_1_0 + 0.09961396628065*G0_1_0_1_1 + 0.00889382222715706*G0_1_0_1_2 + 0.0745920745920873*G0_1_0_1_3 - 0.0378288378288442*G0_1_0_1_4 - 0.00175824175824208*G0_1_0_1_5 - 0.00426240426240496*G0_1_0_1_6 - 0.0332112332112389*G0_1_0_1_7 + 0.0919968919969078*G0_1_0_1_8 + 0.0223776223776262*G0_1_0_1_9 + 0.00172215791263439*G0_1_0_2_0 + 0.00889382222715706*G0_1_0_2_1 + 0.000519832900785374*G0_1_0_2_2 + 0.0125233496662089*G0_1_0_2_3 - 0.00363572935001568*G0_1_0_2_4 - 0.000446537589394808*G0_1_0_2_5 + 0.00123558980701859*G0_1_0_2_6 - 0.00634793777651027*G0_1_0_2_7 - 0.00829646543932397*G0_1_0_2_8 - 0.00544978830693209*G0_1_0_2_9 + 0.0171181199752658*G0_1_0_3_0 + 0.0745920745920873*G0_1_0_3_1 + 0.0125233496662089*G0_1_0_3_2 + 0.23048951048955*G0_1_0_3_3 - 0.0615384615384718*G0_1_0_3_4 - 0.0163493649207962*G0_1_0_3_5 - 0.000593692022263562*G0_1_0_3_6 - 0.0647352647352757*G0_1_0_3_7 + 0.0532267732267823*G0_1_0_3_8 + 0.0623376623376729*G0_1_0_3_9 - 0.00535845107273769*G0_1_0_4_0 - 0.0378288378288442*G0_1_0_4_1 - 0.00363572935001567*G0_1_0_4_2 - 0.0615384615384718*G0_1_0_4_3 + 0.0245697159982916*G0_1_0_4_4 + 0.00269444840873454*G0_1_0_4_5 - 0.00210075638647099*G0_1_0_4_6 + 0.0242500356786112*G0_1_0_4_7 + 0.0115084915084934*G0_1_0_4_8 + 0.0109604681033272*G0_1_0_4_9 + 0.00298368298368342*G0_1_0_5_0 - 0.00175824175824208*G0_1_0_5_1 - 0.000446537589394808*G0_1_0_5_2 - 0.0163493649207962*G0_1_0_5_3 + 0.00269444840873454*G0_1_0_5_4 + 0.0191351505637253*G0_1_0_5_5 - 0.00162123590695047*G0_1_0_5_6 + 0.00244327101470003*G0_1_0_5_7 - 0.00810617953475235*G0_1_0_5_8 - 0.013289567575284*G0_1_0_5_9 - 0.00257266542980869*G0_1_0_6_0 - 0.00426240426240496*G0_1_0_6_1 + 0.00123558980701859*G0_1_0_6_2 - 0.000593692022263562*G0_1_0_6_3 - 0.00210075638647099*G0_1_0_6_4 - 0.00162123590695047*G0_1_0_6_5 + 0.0022834308548599*G0_1_0_6_6 + 0.00566290852005231*G0_1_0_6_7 + 0.0255287569573327*G0_1_0_6_8 + 0.0175367489653234*G0_1_0_6_9 - 0.00234432234432277*G0_1_0_7_0 - 0.0332112332112389*G0_1_0_7_1 - 0.00634793777651027*G0_1_0_7_2 - 0.0647352647352757*G0_1_0_7_3 + 0.0242500356786112*G0_1_0_7_4 + 0.00244327101470003*G0_1_0_7_5 + 0.00566290852005231*G0_1_0_7_6 - 0.0131525617239924*G0_1_0_7_7 - 0.0652147852147964*G0_1_0_7_8 - 0.0408277436848934*G0_1_0_7_9 + 0.0129851101279695*G0_1_0_8_0 + 0.0919968919969077*G0_1_0_8_1 - 0.00829646543932397*G0_1_0_8_2 + 0.0532267732267823*G0_1_0_8_3 + 0.0115084915084934*G0_1_0_8_4 - 0.00810617953475235*G0_1_0_8_5 + 0.0255287569573327*G0_1_0_8_6 - 0.0652147852147964*G0_1_0_8_7 - 0.372107892107955*G0_1_0_8_8 - 0.0901498501498656*G0_1_0_8_9 + 0.00983397554826292*G0_1_0_9_0 + 0.0223776223776262*G0_1_0_9_1 - 0.00544978830693209*G0_1_0_9_2 + 0.0623376623376729*G0_1_0_9_3 + 0.0109604681033272*G0_1_0_9_4 - 0.013289567575284*G0_1_0_9_5 + 0.0175367489653234*G0_1_0_9_6 - 0.0408277436848934*G0_1_0_9_7 - 0.0901498501498656*G0_1_0_9_8 - 0.00657628086199581*G0_1_0_9_9;
    A[0] = A[16] + 0.103934777744319*G0_0_0_0_0 + 0.00444480563528258*G0_0_0_0_2 - 0.00402652902652975*G0_0_0_0_3 + 0.000641025641025759*G0_0_0_0_4 + 0.046835175406612*G0_0_0_0_5 - 0.0217412878127201*G0_0_0_0_6 + 0.0496734746734831*G0_0_0_0_7 - 0.0271705146705193*G0_0_0_0_8 + 0.0055139305139315*G0_0_0_0_9 - 0.103934777744319*G0_0_0_1_1 - 0.00444480563528257*G0_0_0_1_2 - 0.046835175406612*G0_0_0_1_3 + 0.0217412878127201*G0_0_0_1_4 + 0.00402652902652974*G0_0_0_1_5 - 0.000641025641025763*G0_0_0_1_6 + 0.0271705146705193*G0_0_0_1_7 - 0.0496734746734832*G0_0_0_1_8 - 0.00551393051393147*G0_0_0_1_9 + 0.00444480563528258*G0_0_0_2_0 - 0.00444480563528257*G0_0_0_2_1 - 0.0054292268577992*G0_0_0_2_3 + 0.00283829926687117*G0_0_0_2_4 + 0.00542922685779921*G0_0_0_2_5 - 0.00283829926687118*G0_0_0_2_6 + 0.00466755466755545*G0_0_0_2_7 - 0.00466755466755545*G0_0_0_2_8 - 0.00402652902652975*G0_0_0_3_0 - 0.046835175406612*G0_0_0_3_1 - 0.0054292268577992*G0_0_0_3_2 - 0.047303886589609*G0_0_0_3_3 + 0.0221373864231045*G0_0_0_3_4 + 0.00192307692307725*G0_0_0_3_6 + 0.0120795870795891*G0_0_0_3_7 - 0.0260822510822555*G0_0_0_3_8 - 0.00761738261738394*G0_0_0_3_9 + 0.000641025641025759*G0_0_0_4_0 + 0.0217412878127201*G0_0_0_4_1 + 0.00283829926687117*G0_0_0_4_2 + 0.0221373864231045*G0_0_0_4_3 - 0.00337281765853252*G0_0_0_4_4 - 0.00192307692307726*G0_0_0_4_5 - 0.00796287046287181*G0_0_0_4_7 + 0.0140026640026664*G0_0_0_4_8 + 0.00384615384615451*G0_0_0_4_9 + 0.046835175406612*G0_0_0_5_0 + 0.00402652902652974*G0_0_0_5_1 + 0.00542922685779921*G0_0_0_5_2 - 0.00192307692307726*G0_0_0_5_4 + 0.047303886589609*G0_0_0_5_5 - 0.0221373864231045*G0_0_0_5_6 + 0.0260822510822554*G0_0_0_5_7 - 0.0120795870795891*G0_0_0_5_8 + 0.00761738261738394*G0_0_0_5_9 - 0.0217412878127201*G0_0_0_6_0 - 0.000641025641025763*G0_0_0_6_1 - 0.00283829926687118*G0_0_0_6_2 + 0.00192307692307725*G0_0_0_6_3 - 0.0221373864231045*G0_0_0_6_5 + 0.00337281765853253*G0_0_0_6_6 - 0.0140026640026664*G0_0_0_6_7 + 0.00796287046287179*G0_0_0_6_8 - 0.0038461538461545*G0_0_0_6_9 + 0.0496734746734831*G0_0_0_7_0 + 0.0271705146705193*G0_0_0_7_1 + 0.00466755466755545*G0_0_0_7_2 + 0.0120795870795891*G0_0_0_7_3 - 0.00796287046287181*G0_0_0_7_4 + 0.0260822510822554*G0_0_0_7_5 - 0.0140026640026664*G0_0_0_7_6 + 0.0439310689310763*G0_0_0_7_7 + 0.0114635364635384*G0_0_0_7_9 - 0.0271705146705193*G0_0_0_8_0 - 0.0496734746734832*G0_0_0_8_1 - 0.00466755466755545*G0_0_0_8_2 - 0.0260822510822555*G0_0_0_8_3 + 0.0140026640026664*G0_0_0_8_4 - 0.0120795870795891*G0_0_0_8_5 + 0.00796287046287179*G0_0_0_8_6 - 0.0439310689310764*G0_0_0_8_8 - 0.0114635364635384*G0_0_0_8_9 + 0.0055139305139315*G0_0_0_9_0 - 0.00551393051393147*G0_0_0_9_1 - 0.00761738261738394*G0_0_0_9_3 + 0.00384615384615451*G0_0_0_9_4 + 0.00761738261738394*G0_0_0_9_5 - 0.0038461538461545*G0_0_0_9_6 + 0.0114635364635384*G0_0_0_9_7 - 0.0114635364635384*G0_0_0_9_8 + 0.106054978971664*G0_0_1_0_0 + 0.00505480245063665*G0_0_1_0_1 + 0.00505480245063664*G0_0_1_0_2 - 0.000749886687386847*G0_0_1_0_3 - 0.000749886687386808*G0_0_1_0_4 + 0.0477428821178903*G0_0_1_0_5 - 0.022224997225001*G0_0_1_0_6 + 0.0477428821178902*G0_0_1_0_7 - 0.022224997225001*G0_0_1_0_8 + 0.00658577533577651*G0_0_1_0_9 + 0.00505480245063665*G0_0_1_1_0 + 0.00212020122734442*G0_0_1_1_1 + 0.00060999681535406*G0_0_1_1_2 + 0.000907706711278278*G0_0_1_1_3 - 0.000483709412280914*G0_0_1_1_4 + 0.00327664233914289*G0_0_1_1_5 - 0.00139091232841256*G0_0_1_1_6 + 0.00494551744551829*G0_0_1_1_7 - 0.0019305925555929*G0_0_1_1_8 + 0.00107184482184501*G0_0_1_1_9 + 0.00505480245063664*G0_0_1_2_0 + 0.00060999681535406*G0_0_1_2_1 + 0.00212020122734445*G0_0_1_2_2 - 0.000483709412280927*G0_0_1_2_3 + 0.000907706711278299*G0_0_1_2_4 + 0.00494551744551829*G0_0_1_2_5 - 0.00193059255559288*G0_0_1_2_6 + 0.00327664233914289*G0_0_1_2_7 - 0.00139091232841256*G0_0_1_2_8 + 0.00107184482184501*G0_0_1_2_9 - 0.000749886687386847*G0_0_1_3_0 + 0.000907706711278279*G0_0_1_3_1 - 0.000483709412280927*G0_0_1_3_2 + 0.00947475143903871*G0_0_1_3_3 - 0.00193593608772212*G0_0_1_3_4 - 0.00160776723276751*G0_0_1_3_5 - 0.000191995504495533*G0_0_1_3_6 - 0.0021150724275728*G0_0_1_3_7 + 0.00230706793206832*G0_0_1_3_8 + 0.00101461038961055*G0_0_1_3_9 - 0.000749886687386808*G0_0_1_4_0 - 0.000483709412280914*G0_0_1_4_1 + 0.000907706711278299*G0_0_1_4_2 - 0.00193593608772212*G0_0_1_4_3 + 0.00947475143903874*G0_0_1_4_4 - 0.00211507242757279*G0_0_1_4_5 + 0.00230706793206833*G0_0_1_4_6 - 0.0016077672327675*G0_0_1_4_7 - 0.000191995504495531*G0_0_1_4_8 + 0.00101461038961056*G0_0_1_4_9 + 0.0477428821178903*G0_0_1_5_0 + 0.00327664233914289*G0_0_1_5_1 + 0.00494551744551829*G0_0_1_5_2 - 0.00160776723276751*G0_0_1_5_3 - 0.00211507242757279*G0_0_1_5_4 + 0.0567786380286477*G0_0_1_5_5 - 0.0240733225108266*G0_0_1_5_6 + 0.0283893190143238*G0_0_1_5_7 - 0.0141946595071619*G0_0_1_5_8 + 0.0086319930069945*G0_0_1_5_9 - 0.022224997225001*G0_0_1_6_0 - 0.00139091232841256*G0_0_1_6_1 - 0.00193059255559288*G0_0_1_6_2 - 0.000191995504495534*G0_0_1_6_3 + 0.00230706793206833*G0_0_1_6_4 - 0.0240733225108266*G0_0_1_6_5 + 0.0128475690975713*G0_0_1_6_6 - 0.0141946595071619*G0_0_1_6_7 + 0.0063551032301043*G0_0_1_6_8 - 0.00283154345654395*G0_0_1_6_9 + 0.0477428821178902*G0_0_1_7_0 + 0.00494551744551829*G0_0_1_7_1 + 0.00327664233914289*G0_0_1_7_2 - 0.0021150724275728*G0_0_1_7_3 - 0.0016077672327675*G0_0_1_7_4 + 0.0283893190143238*G0_0_1_7_5 - 0.0141946595071619*G0_0_1_7_6 + 0.0567786380286476*G0_0_1_7_7 - 0.0240733225108266*G0_0_1_7_8 + 0.0086319930069945*G0_0_1_7_9 - 0.022224997225001*G0_0_1_8_0 - 0.0019305925555929*G0_0_1_8_1 - 0.00139091232841256*G0_0_1_8_2 + 0.00230706793206832*G0_0_1_8_3 - 0.000191995504495531*G0_0_1_8_4 - 0.0141946595071619*G0_0_1_8_5 + 0.0063551032301043*G0_0_1_8_6 - 0.0240733225108266*G0_0_1_8_7 + 0.0128475690975713*G0_0_1_8_8 - 0.00283154345654396*G0_0_1_8_9 + 0.00658577533577651*G0_0_1_9_0 + 0.00107184482184501*G0_0_1_9_1 + 0.00107184482184501*G0_0_1_9_2 + 0.00101461038961055*G0_0_1_9_3 + 0.00101461038961056*G0_0_1_9_4 + 0.0086319930069945*G0_0_1_9_5 - 0.00283154345654395*G0_0_1_9_6 + 0.0086319930069945*G0_0_1_9_7 - 0.00283154345654396*G0_0_1_9_8 + 0.0118756243756264*G0_0_1_9_9 + 0.106054978971664*G0_1_0_0_0 + 0.00505480245063665*G0_1_0_0_1 + 0.00505480245063664*G0_1_0_0_2 - 0.000749886687386847*G0_1_0_0_3 - 0.000749886687386808*G0_1_0_0_4 + 0.0477428821178903*G0_1_0_0_5 - 0.022224997225001*G0_1_0_0_6 + 0.0477428821178902*G0_1_0_0_7 - 0.022224997225001*G0_1_0_0_8 + 0.00658577533577651*G0_1_0_0_9 + 0.00505480245063665*G0_1_0_1_0 + 0.00212020122734442*G0_1_0_1_1 + 0.00060999681535406*G0_1_0_1_2 + 0.000907706711278278*G0_1_0_1_3 - 0.000483709412280914*G0_1_0_1_4 + 0.00327664233914289*G0_1_0_1_5 - 0.00139091232841256*G0_1_0_1_6 + 0.00494551744551829*G0_1_0_1_7 - 0.0019305925555929*G0_1_0_1_8 + 0.00107184482184501*G0_1_0_1_9 + 0.00505480245063664*G0_1_0_2_0 + 0.00060999681535406*G0_1_0_2_1 + 0.00212020122734445*G0_1_0_2_2 - 0.000483709412280927*G0_1_0_2_3 + 0.000907706711278299*G0_1_0_2_4 + 0.00494551744551829*G0_1_0_2_5 - 0.00193059255559288*G0_1_0_2_6 + 0.00327664233914289*G0_1_0_2_7 - 0.00139091232841256*G0_1_0_2_8 + 0.00107184482184501*G0_1_0_2_9 - 0.000749886687386847*G0_1_0_3_0 + 0.000907706711278278*G0_1_0_3_1 - 0.000483709412280927*G0_1_0_3_2 + 0.00947475143903871*G0_1_0_3_3 - 0.00193593608772212*G0_1_0_3_4 - 0.00160776723276751*G0_1_0_3_5 - 0.000191995504495533*G0_1_0_3_6 - 0.0021150724275728*G0_1_0_3_7 + 0.00230706793206832*G0_1_0_3_8 + 0.00101461038961055*G0_1_0_3_9 - 0.000749886687386808*G0_1_0_4_0 - 0.000483709412280914*G0_1_0_4_1 + 0.000907706711278299*G0_1_0_4_2 - 0.00193593608772212*G0_1_0_4_3 + 0.00947475143903874*G0_1_0_4_4 - 0.00211507242757279*G0_1_0_4_5 + 0.00230706793206833*G0_1_0_4_6 - 0.0016077672327675*G0_1_0_4_7 - 0.000191995504495531*G0_1_0_4_8 + 0.00101461038961056*G0_1_0_4_9 + 0.0477428821178903*G0_1_0_5_0 + 0.00327664233914289*G0_1_0_5_1 + 0.00494551744551829*G0_1_0_5_2 - 0.00160776723276751*G0_1_0_5_3 - 0.00211507242757279*G0_1_0_5_4 + 0.0567786380286477*G0_1_0_5_5 - 0.0240733225108266*G0_1_0_5_6 + 0.0283893190143238*G0_1_0_5_7 - 0.0141946595071619*G0_1_0_5_8 + 0.0086319930069945*G0_1_0_5_9 - 0.022224997225001*G0_1_0_6_0 - 0.00139091232841256*G0_1_0_6_1 - 0.00193059255559288*G0_1_0_6_2 - 0.000191995504495533*G0_1_0_6_3 + 0.00230706793206833*G0_1_0_6_4 - 0.0240733225108266*G0_1_0_6_5 + 0.0128475690975713*G0_1_0_6_6 - 0.0141946595071619*G0_1_0_6_7 + 0.0063551032301043*G0_1_0_6_8 - 0.00283154345654395*G0_1_0_6_9 + 0.0477428821178902*G0_1_0_7_0 + 0.00494551744551829*G0_1_0_7_1 + 0.00327664233914289*G0_1_0_7_2 - 0.0021150724275728*G0_1_0_7_3 - 0.0016077672327675*G0_1_0_7_4 + 0.0283893190143238*G0_1_0_7_5 - 0.0141946595071619*G0_1_0_7_6 + 0.0567786380286476*G0_1_0_7_7 - 0.0240733225108266*G0_1_0_7_8 + 0.0086319930069945*G0_1_0_7_9 - 0.022224997225001*G0_1_0_8_0 - 0.0019305925555929*G0_1_0_8_1 - 0.00139091232841256*G0_1_0_8_2 + 0.00230706793206832*G0_1_0_8_3 - 0.000191995504495531*G0_1_0_8_4 - 0.0141946595071619*G0_1_0_8_5 + 0.0063551032301043*G0_1_0_8_6 - 0.0240733225108266*G0_1_0_8_7 + 0.0128475690975713*G0_1_0_8_8 - 0.00283154345654396*G0_1_0_8_9 + 0.00658577533577651*G0_1_0_9_0 + 0.00107184482184501*G0_1_0_9_1 + 0.00107184482184501*G0_1_0_9_2 + 0.00101461038961055*G0_1_0_9_3 + 0.00101461038961056*G0_1_0_9_4 + 0.0086319930069945*G0_1_0_9_5 - 0.00283154345654395*G0_1_0_9_6 + 0.0086319930069945*G0_1_0_9_7 - 0.00283154345654396*G0_1_0_9_8 + 0.0118756243756264*G0_1_0_9_9 + 0.106054978971664*G0_1_1_0_0 + 0.00505480245063665*G0_1_1_0_1 + 0.00505480245063664*G0_1_1_0_2 - 0.000749886687386846*G0_1_1_0_3 - 0.000749886687386809*G0_1_1_0_4 + 0.0477428821178903*G0_1_1_0_5 - 0.022224997225001*G0_1_1_0_6 + 0.0477428821178902*G0_1_1_0_7 - 0.022224997225001*G0_1_1_0_8 + 0.00658577533577651*G0_1_1_0_9 + 0.00505480245063665*G0_1_1_1_0 + 0.00212020122734444*G0_1_1_1_1 + 0.000609996815354061*G0_1_1_1_2 + 0.000907706711278289*G0_1_1_1_3 - 0.000483709412280918*G0_1_1_1_4 + 0.00327664233914289*G0_1_1_1_5 - 0.00139091232841256*G0_1_1_1_6 + 0.00494551744551829*G0_1_1_1_7 - 0.00193059255559289*G0_1_1_1_8 + 0.00107184482184501*G0_1_1_1_9 + 0.00505480245063664*G0_1_1_2_0 + 0.000609996815354061*G0_1_1_2_1 + 0.00212020122734446*G0_1_1_2_2 - 0.000483709412280927*G0_1_1_2_3 + 0.000907706711278302*G0_1_1_2_4 + 0.00494551744551828*G0_1_1_2_5 - 0.00193059255559288*G0_1_1_2_6 + 0.00327664233914289*G0_1_1_2_7 - 0.00139091232841256*G0_1_1_2_8 + 0.001071844821845*G0_1_1_2_9 - 0.000749886687386846*G0_1_1_3_0 + 0.000907706711278289*G0_1_1_3_1 - 0.000483709412280927*G0_1_1_3_2 + 0.00947475143903872*G0_1_1_3_3 - 0.00193593608772213*G0_1_1_3_4 - 0.00160776723276751*G0_1_1_3_5 - 0.000191995504495535*G0_1_1_3_6 - 0.0021150724275728*G0_1_1_3_7 + 0.00230706793206832*G0_1_1_3_8 + 0.00101461038961056*G0_1_1_3_9 - 0.000749886687386809*G0_1_1_4_0 - 0.000483709412280918*G0_1_1_4_1 + 0.000907706711278302*G0_1_1_4_2 - 0.00193593608772213*G0_1_1_4_3 + 0.00947475143903875*G0_1_1_4_4 - 0.00211507242757279*G0_1_1_4_5 + 0.00230706793206833*G0_1_1_4_6 - 0.0016077672327675*G0_1_1_4_7 - 0.000191995504495535*G0_1_1_4_8 + 0.00101461038961056*G0_1_1_4_9 + 0.0477428821178903*G0_1_1_5_0 + 0.00327664233914289*G0_1_1_5_1 + 0.00494551744551828*G0_1_1_5_2 - 0.00160776723276751*G0_1_1_5_3 - 0.00211507242757279*G0_1_1_5_4 + 0.0567786380286477*G0_1_1_5_5 - 0.0240733225108266*G0_1_1_5_6 + 0.0283893190143238*G0_1_1_5_7 - 0.0141946595071619*G0_1_1_5_8 + 0.0086319930069945*G0_1_1_5_9 - 0.022224997225001*G0_1_1_6_0 - 0.00139091232841256*G0_1_1_6_1 - 0.00193059255559288*G0_1_1_6_2 - 0.000191995504495535*G0_1_1_6_3 + 0.00230706793206833*G0_1_1_6_4 - 0.0240733225108266*G0_1_1_6_5 + 0.0128475690975713*G0_1_1_6_6 - 0.0141946595071619*G0_1_1_6_7 + 0.0063551032301043*G0_1_1_6_8 - 0.00283154345654394*G0_1_1_6_9 + 0.0477428821178902*G0_1_1_7_0 + 0.00494551744551829*G0_1_1_7_1 + 0.00327664233914289*G0_1_1_7_2 - 0.0021150724275728*G0_1_1_7_3 - 0.0016077672327675*G0_1_1_7_4 + 0.0283893190143238*G0_1_1_7_5 - 0.0141946595071619*G0_1_1_7_6 + 0.0567786380286476*G0_1_1_7_7 - 0.0240733225108266*G0_1_1_7_8 + 0.0086319930069945*G0_1_1_7_9 - 0.022224997225001*G0_1_1_8_0 - 0.00193059255559289*G0_1_1_8_1 - 0.00139091232841256*G0_1_1_8_2 + 0.00230706793206833*G0_1_1_8_3 - 0.000191995504495535*G0_1_1_8_4 - 0.0141946595071619*G0_1_1_8_5 + 0.0063551032301043*G0_1_1_8_6 - 0.0240733225108266*G0_1_1_8_7 + 0.0128475690975713*G0_1_1_8_8 - 0.00283154345654395*G0_1_1_8_9 + 0.00658577533577651*G0_1_1_9_0 + 0.00107184482184501*G0_1_1_9_1 + 0.001071844821845*G0_1_1_9_2 + 0.00101461038961056*G0_1_1_9_3 + 0.00101461038961056*G0_1_1_9_4 + 0.0086319930069945*G0_1_1_9_5 - 0.00283154345654394*G0_1_1_9_6 + 0.0086319930069945*G0_1_1_9_7 - 0.00283154345654395*G0_1_1_9_8 + 0.0118756243756264*G0_1_1_9_9;
    A[58] = -A[178] - 0.020294907913959*G0_0_0_0_0 + 0.000836694170027659*G0_0_0_0_1 - 0.00494038589276769*G0_0_0_0_2 - 0.0275584732727637*G0_0_0_0_3 - 0.0026766883909746*G0_0_0_0_4 - 0.00939504939505106*G0_0_0_0_5 + 0.00636823493966454*G0_0_0_0_6 + 0.00600034885749273*G0_0_0_0_7 - 0.0100217243074403*G0_0_0_0_8 - 0.0111735883164474*G0_0_0_0_9 + 0.000836694170027659*G0_0_0_1_0 + 0.0479915146581897*G0_0_0_1_1 - 0.000155893489226851*G0_0_0_1_2 + 0.0244200244200285*G0_0_0_1_3 - 0.00568320568320665*G0_0_0_1_4 - 0.00919968919969074*G0_0_0_1_5 - 0.00669552669552785*G0_0_0_1_6 - 0.0103008103008121*G0_0_0_1_7 + 0.00701520701520834*G0_0_0_1_8 - 0.0277056277056324*G0_0_0_1_9 - 0.00494038589276769*G0_0_0_2_0 - 0.000155893489226851*G0_0_0_2_1 - 0.0141369741369766*G0_0_0_2_2 - 0.00955996384567969*G0_0_0_2_3 + 0.00729175586318565*G0_0_0_2_4 + 0.00424210709925066*G0_0_0_2_5 - 0.00764695621838613*G0_0_0_2_6 - 0.00168720168720198*G0_0_0_2_7 - 0.0021438878581739*G0_0_0_2_8 + 0.00411017553874769*G0_0_0_2_9 - 0.0275584732727637*G0_0_0_3_0 + 0.0244200244200285*G0_0_0_3_1 - 0.00955996384567969*G0_0_0_3_2 - 0.637762237762347*G0_0_0_3_3 + 0.0608991008991109*G0_0_0_3_4 + 0.0464449835878484*G0_0_0_3_5 + 0.0374711003282494*G0_0_0_3_6 + 0.100059940059957*G0_0_0_3_7 - 0.123876123876145*G0_0_0_3_8 - 0.117002997003017*G0_0_0_3_9 - 0.0026766883909746*G0_0_0_4_0 - 0.00568320568320664*G0_0_0_4_1 + 0.00729175586318565*G0_0_0_4_2 + 0.060899100899111*G0_0_0_4_3 - 0.117551020408183*G0_0_0_4_4 + 0.0254145854145898*G0_0_0_4_5 - 0.0628856857428392*G0_0_0_4_6 - 0.00214642500356815*G0_0_0_4_7 + 0.0238161838161877*G0_0_0_4_8 - 0.0631596974454225*G0_0_0_4_9 - 0.00939504939505106*G0_0_0_5_0 - 0.00919968919969074*G0_0_0_5_1 + 0.00424210709925066*G0_0_0_5_2 + 0.0464449835878484*G0_0_0_5_3 + 0.0254145854145898*G0_0_0_5_4 - 0.336806051091822*G0_0_0_5_5 + 0.0349593263879038*G0_0_0_5_6 - 0.0674297131440101*G0_0_0_5_7 + 0.0449835878407382*G0_0_0_5_8 - 0.0564464107321345*G0_0_0_5_9 + 0.00636823493966454*G0_0_0_6_0 - 0.00669552669552785*G0_0_0_6_1 - 0.00764695621838614*G0_0_0_6_2 + 0.0374711003282494*G0_0_0_6_3 - 0.0628856857428392*G0_0_0_6_4 + 0.0349593263879038*G0_0_0_6_5 - 0.319954331382957*G0_0_0_6_6 + 0.0224461253032719*G0_0_0_6_7 + 0.00456686170971957*G0_0_0_6_8 - 0.0872727272727419*G0_0_0_6_9 + 0.00600034885749273*G0_0_0_7_0 - 0.0103008103008121*G0_0_0_7_1 - 0.00168720168720198*G0_0_0_7_2 + 0.100059940059957*G0_0_0_7_3 - 0.00214642500356815*G0_0_0_7_4 - 0.0674297131440101*G0_0_0_7_5 + 0.0224461253032719*G0_0_0_7_6 - 0.0798287426858988*G0_0_0_7_7 + 0.0645754245754353*G0_0_0_7_8 - 0.0113714856572018*G0_0_0_7_9 - 0.0100217243074403*G0_0_0_8_0 + 0.00701520701520834*G0_0_0_8_1 - 0.0021438878581739*G0_0_0_8_2 - 0.123876123876145*G0_0_0_8_3 + 0.0238161838161877*G0_0_0_8_4 + 0.0449835878407382*G0_0_0_8_5 + 0.00456686170971957*G0_0_0_8_6 + 0.0645754245754353*G0_0_0_8_7 - 0.0351648351648409*G0_0_0_8_8 + 0.0354845154845216*G0_0_0_8_9 - 0.0111735883164474*G0_0_0_9_0 - 0.0277056277056324*G0_0_0_9_1 + 0.00411017553874769*G0_0_0_9_2 - 0.117002997003017*G0_0_0_9_3 - 0.0631596974454225*G0_0_0_9_4 - 0.0564464107321345*G0_0_0_9_5 - 0.0872727272727419*G0_0_0_9_6 - 0.0113714856572019*G0_0_0_9_7 + 0.0354845154845216*G0_0_0_9_8 - 0.435678607107252*G0_0_0_9_9 - 0.0061579337769823*G0_0_1_0_0 + 0.000992587659254482*G0_0_1_0_1 - 0.0254145854145898*G0_0_1_0_3 - 0.0009894867037726*G0_0_1_0_4 - 0.00174809317666481*G0_0_1_0_5 + 0.00212612784041386*G0_0_1_0_6 - 0.0012914070056929*G0_0_1_0_7 - 0.000461760461760562*G0_0_1_0_8 - 0.015283763855195*G0_0_1_0_9 + 0.000992587659254482*G0_0_1_1_0 - 0.000992587659254507*G0_0_1_1_2 + 0.0174048174048202*G0_0_1_1_3 + 0.00461760461760545*G0_0_1_1_4 - 0.00250416250416291*G0_0_1_1_5 + 0.00250416250416292*G0_0_1_1_6 - 0.00461760461760535*G0_0_1_1_7 - 0.0174048174048205*G0_0_1_1_8 - 0.000992587659254506*G0_0_1_2_1 + 0.00615793377698228*G0_0_1_2_2 + 0.000461760461760573*G0_0_1_2_3 + 0.00129140700569293*G0_0_1_2_4 - 0.00212612784041386*G0_0_1_2_5 + 0.00174809317666479*G0_0_1_2_6 + 0.000989486703772594*G0_0_1_2_7 + 0.0254145854145897*G0_0_1_2_8 + 0.015283763855195*G0_0_1_2_9 - 0.0254145854145898*G0_0_1_3_0 + 0.0174048174048202*G0_0_1_3_1 + 0.000461760461760573*G0_0_1_3_2 - 0.602597402597506*G0_0_1_3_3 - 0.00367632367632445*G0_0_1_3_4 + 0.0418781218781289*G0_0_1_3_5 - 0.00751248751248874*G0_0_1_3_6 + 0.0762437562437693*G0_0_1_3_7 - 0.152487512487539*G0_0_1_3_9 - 0.000989486703772601*G0_0_1_4_0 + 0.00461760461760545*G0_0_1_4_1 + 0.00129140700569293*G0_0_1_4_2 - 0.00367632367632445*G0_0_1_4_3 - 0.0377222777222842*G0_0_1_4_4 + 0.00296846011131779*G0_0_1_4_5 + 0.00454402740117096*G0_0_1_4_6 - 0.076243756243769*G0_0_1_4_8 - 0.0517882117882206*G0_0_1_4_9 - 0.00174809317666481*G0_0_1_5_0 - 0.00250416250416291*G0_0_1_5_1 - 0.00212612784041386*G0_0_1_5_2 + 0.0418781218781289*G0_0_1_5_3 + 0.00296846011131778*G0_0_1_5_4 - 0.0168517197088654*G0_0_1_5_5 - 0.00454402740117102*G0_0_1_5_7 + 0.00751248751248877*G0_0_1_5_8 + 0.0308263165406074*G0_0_1_5_9 + 0.00212612784041386*G0_0_1_6_0 + 0.00250416250416292*G0_0_1_6_1 + 0.00174809317666479*G0_0_1_6_2 - 0.00751248751248874*G0_0_1_6_3 + 0.00454402740117096*G0_0_1_6_4 + 0.0168517197088649*G0_0_1_6_6 - 0.00296846011131776*G0_0_1_6_7 - 0.0418781218781289*G0_0_1_6_8 - 0.0308263165406075*G0_0_1_6_9 - 0.0012914070056929*G0_0_1_7_0 - 0.00461760461760534*G0_0_1_7_1 + 0.000989486703772594*G0_0_1_7_2 + 0.0762437562437693*G0_0_1_7_3 - 0.00454402740117102*G0_0_1_7_5 - 0.00296846011131776*G0_0_1_7_6 + 0.0377222777222839*G0_0_1_7_7 + 0.00367632367632462*G0_0_1_7_8 + 0.0517882117882206*G0_0_1_7_9 - 0.000461760461760561*G0_0_1_8_0 - 0.0174048174048205*G0_0_1_8_1 + 0.0254145854145897*G0_0_1_8_2 - 0.076243756243769*G0_0_1_8_4 + 0.00751248751248877*G0_0_1_8_5 - 0.0418781218781289*G0_0_1_8_6 + 0.00367632367632462*G0_0_1_8_7 + 0.602597402597504*G0_0_1_8_8 + 0.152487512487538*G0_0_1_8_9 - 0.015283763855195*G0_0_1_9_0 + 0.015283763855195*G0_0_1_9_2 - 0.152487512487539*G0_0_1_9_3 - 0.0517882117882206*G0_0_1_9_4 + 0.0308263165406074*G0_0_1_9_5 - 0.0308263165406075*G0_0_1_9_6 + 0.0517882117882206*G0_0_1_9_7 + 0.152487512487538*G0_0_1_9_8;
    A[28] = 0.0028981248028872*G0_0_0_0_0 - 0.00342817676151069*G0_0_0_0_1 + 0.000136565374660636*G0_0_0_0_2 - 0.00563785420928376*G0_0_0_0_3 + 0.00392258535115745*G0_0_0_0_4 + 0.00249861249861294*G0_0_0_0_5 - 0.000886098028955314*G0_0_0_0_6 + 0.00219288647860114*G0_0_0_0_7 - 0.00414125556982772*G0_0_0_0_8 - 0.0017753674896535*G0_0_0_0_9 - 0.00342817676151069*G0_0_0_1_0 - 0.0566199232865996*G0_0_0_1_1 - 0.00574450241117004*G0_0_0_1_2 - 0.0671273171273285*G0_0_0_1_3 + 0.0276212676212723*G0_0_0_1_4 + 0.00305250305250357*G0_0_0_1_5 + 0.00254967254967298*G0_0_0_1_6 + 0.0157220557220584*G0_0_0_1_7 - 0.0289432789432839*G0_0_0_1_8 - 0.00438228438228517*G0_0_0_1_9 + 0.000136565374660636*G0_0_0_2_0 - 0.00574450241117005*G0_0_0_2_1 + 0.00138528138528164*G0_0_0_2_2 - 0.0130345844631581*G0_0_0_2_3 + 0.00462394748109111*G0_0_0_2_4 - 0.000341246055531829*G0_0_0_2_5 + 0.00191173905459653*G0_0_0_2_6 + 0.00340215340215398*G0_0_0_2_7 - 0.00518830375973321*G0_0_0_2_8 - 0.00385138670853022*G0_0_0_2_9 - 0.00563785420928376*G0_0_0_3_0 - 0.0671273171273285*G0_0_0_3_1 - 0.0130345844631581*G0_0_0_3_2 - 0.138581418581442*G0_0_0_3_3 + 0.0575724275724374*G0_0_0_3_4 + 0.00137576709005304*G0_0_0_3_5 - 0.00264449835878449*G0_0_0_3_6 + 0.0219180819180857*G0_0_0_3_7 - 0.0424875124875197*G0_0_0_3_8 - 0.030689310689316*G0_0_0_3_9 + 0.00392258535115745*G0_0_0_4_0 + 0.0276212676212723*G0_0_0_4_1 + 0.00462394748109111*G0_0_0_4_2 + 0.0575724275724373*G0_0_0_4_3 - 0.00675610104181647*G0_0_0_4_4 - 0.0067632367632379*G0_0_0_4_5 + 0.00940773512202241*G0_0_0_4_6 - 0.0134893677750843*G0_0_0_4_7 + 0.0205694305694341*G0_0_0_4_8 + 0.0250806336520665*G0_0_0_4_9 + 0.00249861249861293*G0_0_0_5_0 + 0.00305250305250357*G0_0_0_5_1 - 0.000341246055531829*G0_0_0_5_2 + 0.00137576709005305*G0_0_0_5_3 - 0.0067632367632379*G0_0_0_5_4 + 0.0608648494362882*G0_0_0_5_5 - 0.00633223918938312*G0_0_0_5_6 + 0.00935493078350377*G0_0_0_5_7 - 0.00415298986727627*G0_0_0_5_8 + 0.0136320822035131*G0_0_0_5_9 - 0.000886098028955314*G0_0_0_6_0 + 0.00254967254967298*G0_0_0_6_1 + 0.00191173905459653*G0_0_0_6_2 - 0.00264449835878449*G0_0_0_6_3 + 0.00940773512202241*G0_0_0_6_4 - 0.00633223918938312*G0_0_0_6_5 + 0.0585100613672141*G0_0_0_6_6 - 0.00520194091622749*G0_0_0_6_7 + 0.00145568716997314*G0_0_0_6_8 + 0.0168431568431597*G0_0_0_6_9 + 0.00219288647860114*G0_0_0_7_0 + 0.0157220557220584*G0_0_0_7_1 + 0.00340215340215398*G0_0_0_7_2 + 0.0219180819180857*G0_0_0_7_3 - 0.0134893677750843*G0_0_0_7_4 + 0.00935493078350377*G0_0_0_7_5 - 0.00520194091622749*G0_0_0_7_6 + 0.000796346510632302*G0_0_0_7_7 + 0.0130669330669353*G0_0_0_7_8 + 0.0157299843014155*G0_0_0_7_9 - 0.00414125556982772*G0_0_0_8_0 - 0.0289432789432839*G0_0_0_8_1 - 0.00518830375973321*G0_0_0_8_2 - 0.0424875124875197*G0_0_0_8_3 + 0.0205694305694341*G0_0_0_8_4 - 0.00415298986727627*G0_0_0_8_5 + 0.00145568716997314*G0_0_0_8_6 + 0.0130669330669353*G0_0_0_8_7 - 0.0387812187812254*G0_0_0_8_8 - 0.0279920079920127*G0_0_0_8_9 - 0.0017753674896535*G0_0_0_9_0 - 0.00438228438228516*G0_0_0_9_1 - 0.00385138670853022*G0_0_0_9_2 - 0.0306893106893159*G0_0_0_9_3 + 0.0250806336520665*G0_0_0_9_4 + 0.0136320822035131*G0_0_0_9_5 + 0.0168431568431597*G0_0_0_9_6 + 0.0157299843014155*G0_0_0_9_7 - 0.0279920079920127*G0_0_0_9_8 + 0.0528157556729073*G0_0_0_9_9 + 0.00151284341760556*G0_0_1_0_0 + 0.00231632564965937*G0_0_1_0_1 - 0.000449550449550542*G0_0_1_0_3 + 0.000520431949003475*G0_0_1_0_4 + 0.000586873444016381*G0_0_1_0_5 - 0.000544851973423483*G0_0_1_0_6 - 0.00243106100248999*G0_0_1_0_7 + 0.0088933288933304*G0_0_1_0_8 + 0.00207601921887671*G0_0_1_0_9 + 0.00231632564965937*G0_0_1_1_0 - 0.00231632564965938*G0_0_1_1_2 - 0.0381840381840447*G0_0_1_1_3 + 0.0118992118992139*G0_0_1_1_4 + 0.000502830502830573*G0_0_1_1_5 - 0.000502830502830571*G0_0_1_1_6 - 0.0118992118992139*G0_0_1_1_7 + 0.0381840381840446*G0_0_1_1_8 - 0.00231632564965938*G0_0_1_2_1 - 0.00151284341760555*G0_0_1_2_2 - 0.00889332889333041*G0_0_1_2_3 + 0.00243106100248998*G0_0_1_2_4 + 0.000544851973423483*G0_0_1_2_5 - 0.000586873444016379*G0_0_1_2_6 - 0.000520431949003458*G0_0_1_2_7 + 0.000449550449550504*G0_0_1_2_8 - 0.00207601921887673*G0_0_1_2_9 - 0.000449550449550542*G0_0_1_3_0 - 0.0381840381840447*G0_0_1_3_1 - 0.00889332889333041*G0_0_1_3_2 - 0.0998001998002168*G0_0_1_3_3 + 0.0445054945055021*G0_0_1_3_4 - 7.99200799201036e-05*G0_0_1_3_5 + 0.00150849150849178*G0_0_1_3_6 + 0.00134865134865163*G0_0_1_3_7 - 0.00269730269730324*G0_0_1_3_9 + 0.000520431949003475*G0_0_1_4_0 + 0.0118992118992139*G0_0_1_4_1 + 0.00243106100248998*G0_0_1_4_2 + 0.0445054945055021*G0_0_1_4_3 - 0.00755244755244882*G0_0_1_4_4 - 0.00156129584701039*G0_0_1_4_5 + 5.28043385186297e-05*G0_0_1_4_6 - 0.00134865134865151*G0_0_1_4_8 + 0.00935064935065098*G0_0_1_4_9 + 0.000586873444016381*G0_0_1_5_0 + 0.000502830502830573*G0_0_1_5_1 + 0.000544851973423483*G0_0_1_5_2 - 7.99200799201032e-05*G0_0_1_5_3 - 0.00156129584701039*G0_0_1_5_4 + 0.00235478806907419*G0_0_1_5_5 - 5.28043385186231e-05*G0_0_1_5_7 - 0.00150849150849179*G0_0_1_5_8 - 0.00321107463964661*G0_0_1_5_9 - 0.000544851973423483*G0_0_1_6_0 - 0.000502830502830571*G0_0_1_6_1 - 0.000586873444016379*G0_0_1_6_2 + 0.00150849150849178*G0_0_1_6_3 + 5.28043385186297e-05*G0_0_1_6_4 - 0.0023547880690741*G0_0_1_6_6 + 0.00156129584701038*G0_0_1_6_7 + 7.99200799201322e-05*G0_0_1_6_8 + 0.00321107463964663*G0_0_1_6_9 - 0.00243106100248999*G0_0_1_7_0 - 0.0118992118992139*G0_0_1_7_1 - 0.000520431949003458*G0_0_1_7_2 + 0.00134865134865163*G0_0_1_7_3 - 5.28043385186232e-05*G0_0_1_7_5 + 0.00156129584701038*G0_0_1_7_6 + 0.00755244755244883*G0_0_1_7_7 - 0.044505494505502*G0_0_1_7_8 - 0.00935064935065092*G0_0_1_7_9 + 0.00889332889333041*G0_0_1_8_0 + 0.0381840381840446*G0_0_1_8_1 + 0.000449550449550504*G0_0_1_8_2 - 0.00134865134865151*G0_0_1_8_4 - 0.00150849150849179*G0_0_1_8_5 + 7.99200799201322e-05*G0_0_1_8_6 - 0.044505494505502*G0_0_1_8_7 + 0.0998001998002165*G0_0_1_8_8 + 0.00269730269730309*G0_0_1_8_9 + 0.00207601921887671*G0_0_1_9_0 - 0.00207601921887672*G0_0_1_9_2 - 0.00269730269730324*G0_0_1_9_3 + 0.00935064935065098*G0_0_1_9_4 - 0.00321107463964661*G0_0_1_9_5 + 0.00321107463964663*G0_0_1_9_6 - 0.00935064935065092*G0_0_1_9_7 + 0.00269730269730309*G0_0_1_9_8;
    A[12] = A[28] - 0.0595180480894866*G0_0_0_0_0 - 0.00588106778583068*G0_0_0_0_2 + 0.00869035726178733*G0_0_0_0_3 - 0.00137291280148446*G0_0_0_0_4 - 0.0696259296259414*G0_0_0_0_5 + 0.0285073656502276*G0_0_0_0_6 - 0.0311361654218849*G0_0_0_0_7 + 0.0198633112918861*G0_0_0_0_8 - 0.00260691689263164*G0_0_0_0_9 + 0.0595180480894868*G0_0_0_1_1 + 0.00588106778583068*G0_0_0_1_2 + 0.0696259296259414*G0_0_0_1_3 - 0.0285073656502276*G0_0_0_1_4 - 0.00869035726178729*G0_0_0_1_5 + 0.00137291280148445*G0_0_0_1_6 - 0.0198633112918861*G0_0_0_1_7 + 0.0311361654218851*G0_0_0_1_8 + 0.00260691689263167*G0_0_0_1_9 - 0.00588106778583068*G0_0_0_2_0 + 0.00588106778583068*G0_0_0_2_1 + 0.0126933384076263*G0_0_0_2_3 - 0.00271220842649456*G0_0_0_2_4 - 0.0126933384076263*G0_0_0_2_5 + 0.00271220842649459*G0_0_0_2_6 - 0.00859045716188717*G0_0_0_2_7 + 0.00859045716188718*G0_0_0_2_8 + 0.00869035726178734*G0_0_0_3_0 + 0.0696259296259415*G0_0_0_3_1 + 0.0126933384076263*G0_0_0_3_2 + 0.19944626801773*G0_0_0_3_3 - 0.0639046667618205*G0_0_0_3_4 - 0.0041187384044534*G0_0_0_3_6 - 0.0260710717853619*G0_0_0_3_7 + 0.0518424432710235*G0_0_0_3_8 + 0.044321392892829*G0_0_0_3_9 - 0.00137291280148446*G0_0_0_4_0 - 0.0285073656502276*G0_0_0_4_1 - 0.00271220842649456*G0_0_0_4_2 - 0.0639046667618205*G0_0_0_4_3 + 0.0652661624090306*G0_0_0_4_4 + 0.00411873840445339*G0_0_0_4_5 + 0.0149450549450575*G0_0_0_4_7 - 0.0257713714856616*G0_0_0_4_8 - 0.00823747680890679*G0_0_0_4_9 - 0.0696259296259414*G0_0_0_5_0 - 0.00869035726178729*G0_0_0_5_1 - 0.0126933384076263*G0_0_0_5_2 + 0.00411873840445339*G0_0_0_5_4 - 0.19944626801773*G0_0_0_5_5 + 0.0639046667618205*G0_0_0_5_6 - 0.0518424432710233*G0_0_0_5_7 + 0.0260710717853618*G0_0_0_5_8 - 0.0443213928928289*G0_0_0_5_9 + 0.0285073656502276*G0_0_0_6_0 + 0.00137291280148445*G0_0_0_6_1 + 0.00271220842649459*G0_0_0_6_2 - 0.0041187384044534*G0_0_0_6_3 + 0.0639046667618205*G0_0_0_6_5 - 0.0652661624090306*G0_0_0_6_6 + 0.0257713714856615*G0_0_0_6_7 - 0.0149450549450575*G0_0_0_6_8 + 0.0082374768089068*G0_0_0_6_9 - 0.0311361654218849*G0_0_0_7_0 - 0.0198633112918861*G0_0_0_7_1 - 0.00859045716188717*G0_0_0_7_2 - 0.0260710717853619*G0_0_0_7_3 + 0.0149450549450575*G0_0_0_7_4 - 0.0518424432710233*G0_0_0_7_5 + 0.0257713714856615*G0_0_0_7_6 - 0.0395775652918575*G0_0_0_7_7 - 0.0437219922934282*G0_0_0_7_9 + 0.0198633112918861*G0_0_0_8_0 + 0.0311361654218851*G0_0_0_8_1 + 0.00859045716188718*G0_0_0_8_2 + 0.0518424432710235*G0_0_0_8_3 - 0.0257713714856616*G0_0_0_8_4 + 0.0260710717853618*G0_0_0_8_5 - 0.0149450549450575*G0_0_0_8_6 + 0.0395775652918578*G0_0_0_8_8 + 0.0437219922934283*G0_0_0_8_9 - 0.00260691689263164*G0_0_0_9_0 + 0.00260691689263167*G0_0_0_9_1 + 0.044321392892829*G0_0_0_9_3 - 0.00823747680890678*G0_0_0_9_4 - 0.044321392892829*G0_0_0_9_5 + 0.0082374768089068*G0_0_0_9_6 - 0.0437219922934282*G0_0_0_9_7 + 0.0437219922934283*G0_0_0_9_8 - 0.0581327667042051*G0_0_1_0_0 - 0.00806082806082943*G0_0_1_0_1 - 0.00342817676151066*G0_0_1_0_2 + 0.00299922299922355*G0_0_1_0_3 + 0.0025320711035001*G0_0_1_0_4 - 0.0295301523873002*G0_0_1_0_5 + 0.0162669076954818*G0_0_1_0_6 - 0.0646962561248385*G0_0_1_0_7 + 0.0187279387279419*G0_0_1_0_8 - 0.00645830360116186*G0_0_1_0_9 - 0.00806082806082943*G0_0_1_1_0 + 0.00138528138528169*G0_0_1_1_1 + 0.00245289102432002*G0_0_1_1_2 + 0.0400957772386412*G0_0_1_1_3 - 0.0122404579547457*G0_0_1_1_4 - 0.00569113426256377*G0_0_1_1_5 + 0.00390498390498454*G0_0_1_1_6 - 0.00113537256394422*G0_0_1_1_7 - 0.0335600907029535*G0_0_1_1_8 - 0.0038513867085302*G0_0_1_1_9 - 0.00342817676151066*G0_0_1_2_0 + 0.00245289102432002*G0_0_1_2_1 + 0.00441096822049277*G0_0_1_2_2 + 0.00800723086437508*G0_0_1_2_3 - 0.00468610754325117*G0_0_1_2_5 + 0.00277975992261752*G0_0_1_2_6 - 0.00511742226028026*G0_0_1_2_7 + 0.00347303490160693*G0_0_1_2_8 + 0.000300651729223218*G0_0_1_2_9 + 0.00299922299922355*G0_0_1_3_0 + 0.0400957772386412*G0_0_1_3_1 + 0.00800723086437508*G0_0_1_3_2 + 0.158310261167431*G0_0_1_3_3 - 0.0508377336948852*G0_0_1_3_4 + 0.00153560724989324*G0_0_1_3_5 - 0.00671043242471928*G0_0_1_3_6 - 0.00399314970743611*G0_0_1_3_7 + 0.00940773512202251*G0_0_1_3_8 + 0.0195404595404629*G0_0_1_3_9 + 0.0025320711035001*G0_0_1_4_0 - 0.0122404579547457*G0_0_1_4_1 - 0.0508377336948852*G0_0_1_4_3 + 0.0684172969887372*G0_0_1_4_4 - 0.00259169402026589*G0_0_1_4_5 + 0.00930212644498517*G0_0_1_4_6 + 0.00137576709005305*G0_0_1_4_7 - 0.00541458541458638*G0_0_1_4_8 + 0.0042814328528621*G0_0_1_4_9 - 0.0295301523873002*G0_0_1_5_0 - 0.00569113426256377*G0_0_1_5_1 - 0.00468610754325117*G0_0_1_5_2 + 0.00153560724989324*G0_0_1_5_3 - 0.00259169402026589*G0_0_1_5_4 - 0.0411360068502994*G0_0_1_5_5 + 0.0130669330669352*G0_0_1_5_6 - 0.0424347081490009*G0_0_1_5_7 + 0.0220779220779258*G0_0_1_5_8 - 0.0247809333523661*G0_0_1_5_9 + 0.0162669076954818*G0_0_1_6_0 + 0.00390498390498454*G0_0_1_6_1 + 0.00277975992261752*G0_0_1_6_2 - 0.00671043242471928*G0_0_1_6_3 + 0.00930212644498517*G0_0_1_6_4 + 0.0130669330669352*G0_0_1_6_5 + 0.00315113457970647*G0_0_1_6_6 + 0.0203567860710752*G0_0_1_6_7 - 0.0135692878550044*G0_0_1_6_8 + 0.0125189096617689*G0_0_1_6_9 - 0.0646962561248385*G0_0_1_7_0 - 0.00113537256394422*G0_0_1_7_1 - 0.00511742226028026*G0_0_1_7_2 - 0.00399314970743611*G0_0_1_7_3 + 0.00137576709005305*G0_0_1_7_4 - 0.0424347081490009*G0_0_1_7_5 + 0.0203567860710752*G0_0_1_7_6 - 0.146133866133891*G0_0_1_7_7 + 0.102077922077939*G0_0_1_7_8 - 0.021338661338665*G0_0_1_7_9 + 0.0187279387279419*G0_0_1_8_0 - 0.0335600907029535*G0_0_1_8_1 + 0.00347303490160693*G0_0_1_8_2 + 0.00940773512202251*G0_0_1_8_3 - 0.00541458541458638*G0_0_1_8_4 + 0.0220779220779258*G0_0_1_8_5 - 0.0135692878550044*G0_0_1_8_6 + 0.102077922077939*G0_0_1_8_7 - 0.106556300842033*G0_0_1_8_8 + 0.0223833309547634*G0_0_1_8_9 - 0.00645830360116186*G0_0_1_9_0 - 0.0038513867085302*G0_0_1_9_1 + 0.000300651729223217*G0_0_1_9_2 + 0.0195404595404629*G0_0_1_9_3 + 0.0042814328528621*G0_0_1_9_4 - 0.0247809333523661*G0_0_1_9_5 + 0.0125189096617689*G0_0_1_9_6 - 0.021338661338665*G0_0_1_9_7 + 0.0223833309547634*G0_0_1_9_8 + 0.0528157556729074*G0_0_1_9_9 - 0.0566199232865994*G0_1_0_0_0 - 0.00342817676151066*G0_1_0_0_1 - 0.00574450241117005*G0_1_0_0_2 + 0.00305250305250358*G0_1_0_0_3 + 0.00254967254967299*G0_1_0_0_4 - 0.0671273171273285*G0_1_0_0_5 + 0.0276212676212723*G0_1_0_0_6 - 0.0289432789432838*G0_1_0_0_7 + 0.0157220557220583*G0_1_0_0_8 - 0.00438228438228513*G0_1_0_0_9 - 0.00342817676151066*G0_1_0_1_0 + 0.00289812480288723*G0_1_0_1_1 + 0.000136565374660641*G0_1_0_1_2 + 0.00249861249861295*G0_1_0_1_3 - 0.000886098028955315*G0_1_0_1_4 - 0.00563785420928371*G0_1_0_1_5 + 0.00392258535115743*G0_1_0_1_6 - 0.00414125556982769*G0_1_0_1_7 + 0.00219288647860114*G0_1_0_1_8 - 0.00177536748965349*G0_1_0_1_9 - 0.00574450241117005*G0_1_0_2_0 + 0.000136565374660641*G0_1_0_2_1 + 0.00138528138528164*G0_1_0_2_2 - 0.000341246055531837*G0_1_0_2_3 + 0.00191173905459655*G0_1_0_2_4 - 0.0130345844631581*G0_1_0_2_5 + 0.00462394748109112*G0_1_0_2_6 - 0.0051883037597332*G0_1_0_2_7 + 0.00340215340215397*G0_1_0_2_8 - 0.00385138670853022*G0_1_0_2_9 + 0.00305250305250358*G0_1_0_3_0 + 0.00249861249861295*G0_1_0_3_1 - 0.000341246055531837*G0_1_0_3_2 + 0.0608648494362882*G0_1_0_3_3 - 0.00633223918938317*G0_1_0_3_4 + 0.00137576709005302*G0_1_0_3_5 - 0.00676323676323789*G0_1_0_3_6 - 0.00415298986727629*G0_1_0_3_7 + 0.00935493078350379*G0_1_0_3_8 + 0.0136320822035131*G0_1_0_3_9 + 0.00254967254967299*G0_1_0_4_0 - 0.000886098028955316*G0_1_0_4_1 + 0.00191173905459655*G0_1_0_4_2 - 0.00633223918938316*G0_1_0_4_3 + 0.0585100613672141*G0_1_0_4_4 - 0.00264449835878452*G0_1_0_4_5 + 0.00940773512202242*G0_1_0_4_6 + 0.00145568716997313*G0_1_0_4_7 - 0.00520194091622751*G0_1_0_4_8 + 0.0168431568431597*G0_1_0_4_9 - 0.0671273171273285*G0_1_0_5_0 - 0.00563785420928371*G0_1_0_5_1 - 0.0130345844631581*G0_1_0_5_2 + 0.00137576709005302*G0_1_0_5_3 - 0.00264449835878452*G0_1_0_5_4 - 0.138581418581442*G0_1_0_5_5 + 0.0575724275724373*G0_1_0_5_6 - 0.0424875124875195*G0_1_0_5_7 + 0.0219180819180855*G0_1_0_5_8 - 0.0306893106893159*G0_1_0_5_9 + 0.0276212676212723*G0_1_0_6_0 + 0.00392258535115743*G0_1_0_6_1 + 0.00462394748109112*G0_1_0_6_2 - 0.00676323676323789*G0_1_0_6_3 + 0.00940773512202243*G0_1_0_6_4 + 0.0575724275724373*G0_1_0_6_5 - 0.00675610104181648*G0_1_0_6_6 + 0.020569430569434*G0_1_0_6_7 - 0.0134893677750843*G0_1_0_6_8 + 0.0250806336520665*G0_1_0_6_9 - 0.0289432789432838*G0_1_0_7_0 - 0.00414125556982769*G0_1_0_7_1 - 0.0051883037597332*G0_1_0_7_2 - 0.00415298986727629*G0_1_0_7_3 + 0.00145568716997313*G0_1_0_7_4 - 0.0424875124875195*G0_1_0_7_5 + 0.020569430569434*G0_1_0_7_6 - 0.0387812187812252*G0_1_0_7_7 + 0.0130669330669352*G0_1_0_7_8 - 0.0279920079920127*G0_1_0_7_9 + 0.0157220557220583*G0_1_0_8_0 + 0.00219288647860114*G0_1_0_8_1 + 0.00340215340215397*G0_1_0_8_2 + 0.00935493078350379*G0_1_0_8_3 - 0.00520194091622751*G0_1_0_8_4 + 0.0219180819180855*G0_1_0_8_5 - 0.0134893677750843*G0_1_0_8_6 + 0.0130669330669352*G0_1_0_8_7 + 0.000796346510632367*G0_1_0_8_8 + 0.0157299843014155*G0_1_0_8_9 - 0.00438228438228513*G0_1_0_9_0 - 0.00177536748965349*G0_1_0_9_1 - 0.00385138670853022*G0_1_0_9_2 + 0.0136320822035131*G0_1_0_9_3 + 0.0168431568431597*G0_1_0_9_4 - 0.0306893106893159*G0_1_0_9_5 + 0.0250806336520665*G0_1_0_9_6 - 0.0279920079920127*G0_1_0_9_7 + 0.0157299843014155*G0_1_0_9_8 + 0.0528157556729074*G0_1_0_9_9 - 0.0566199232865995*G0_1_1_0_0 - 0.00574450241117006*G0_1_1_0_1 - 0.00342817676151066*G0_1_1_0_2 + 0.00254967254967301*G0_1_1_0_3 + 0.00305250305250358*G0_1_1_0_4 - 0.0289432789432838*G0_1_1_0_5 + 0.0157220557220584*G0_1_1_0_6 - 0.0671273171273285*G0_1_1_0_7 + 0.0276212676212723*G0_1_1_0_8 - 0.00438228438228514*G0_1_1_0_9 - 0.00574450241117005*G0_1_1_1_0 + 0.00138528138528162*G0_1_1_1_1 + 0.00013656537466064*G0_1_1_1_2 + 0.00191173905459654*G0_1_1_1_3 - 0.000341246055531816*G0_1_1_1_4 - 0.0051883037597332*G0_1_1_1_5 + 0.00340215340215398*G0_1_1_1_6 - 0.0130345844631581*G0_1_1_1_7 + 0.00462394748109111*G0_1_1_1_8 - 0.00385138670853021*G0_1_1_1_9 - 0.00342817676151066*G0_1_1_2_0 + 0.00013656537466064*G0_1_1_2_1 + 0.00289812480288722*G0_1_1_2_2 - 0.000886098028955333*G0_1_1_2_3 + 0.00249861249861296*G0_1_1_2_4 - 0.00414125556982769*G0_1_1_2_5 + 0.00219288647860114*G0_1_1_2_6 - 0.00563785420928372*G0_1_1_2_7 + 0.00392258535115743*G0_1_1_2_8 - 0.00177536748965351*G0_1_1_2_9 + 0.00254967254967301*G0_1_1_3_0 + 0.00191173905459654*G0_1_1_3_1 - 0.000886098028955333*G0_1_1_3_2 + 0.0585100613672141*G0_1_1_3_3 - 0.00633223918938315*G0_1_1_3_4 + 0.00145568716997314*G0_1_1_3_5 - 0.00520194091622751*G0_1_1_3_6 - 0.00264449835878448*G0_1_1_3_7 + 0.00940773512202236*G0_1_1_3_8 + 0.0168431568431597*G0_1_1_3_9 + 0.00305250305250358*G0_1_1_4_0 - 0.000341246055531815*G0_1_1_4_1 + 0.00249861249861296*G0_1_1_4_2 - 0.00633223918938315*G0_1_1_4_3 + 0.0608648494362883*G0_1_1_4_4 - 0.00415298986727629*G0_1_1_4_5 + 0.00935493078350381*G0_1_1_4_6 + 0.00137576709005303*G0_1_1_4_7 - 0.00676323676323787*G0_1_1_4_8 + 0.0136320822035131*G0_1_1_4_9 - 0.0289432789432838*G0_1_1_5_0 - 0.0051883037597332*G0_1_1_5_1 - 0.00414125556982769*G0_1_1_5_2 + 0.00145568716997314*G0_1_1_5_3 - 0.00415298986727629*G0_1_1_5_4 - 0.0387812187812252*G0_1_1_5_5 + 0.0130669330669352*G0_1_1_5_6 - 0.0424875124875196*G0_1_1_5_7 + 0.020569430569434*G0_1_1_5_8 - 0.0279920079920127*G0_1_1_5_9 + 0.0157220557220584*G0_1_1_6_0 + 0.00340215340215398*G0_1_1_6_1 + 0.00219288647860114*G0_1_1_6_2 - 0.00520194091622751*G0_1_1_6_3 + 0.00935493078350381*G0_1_1_6_4 + 0.0130669330669352*G0_1_1_6_5 + 0.000796346510632389*G0_1_1_6_6 + 0.0219180819180856*G0_1_1_6_7 - 0.0134893677750843*G0_1_1_6_8 + 0.0157299843014155*G0_1_1_6_9 - 0.0671273171273285*G0_1_1_7_0 - 0.0130345844631581*G0_1_1_7_1 - 0.00563785420928372*G0_1_1_7_2 - 0.00264449835878448*G0_1_1_7_3 + 0.00137576709005302*G0_1_1_7_4 - 0.0424875124875196*G0_1_1_7_5 + 0.0219180819180856*G0_1_1_7_6 - 0.138581418581442*G0_1_1_7_7 + 0.0575724275724374*G0_1_1_7_8 - 0.0306893106893159*G0_1_1_7_9 + 0.0276212676212723*G0_1_1_8_0 + 0.00462394748109111*G0_1_1_8_1 + 0.00392258535115743*G0_1_1_8_2 + 0.00940773512202236*G0_1_1_8_3 - 0.00676323676323787*G0_1_1_8_4 + 0.020569430569434*G0_1_1_8_5 - 0.0134893677750843*G0_1_1_8_6 + 0.0575724275724374*G0_1_1_8_7 - 0.0067561010418168*G0_1_1_8_8 + 0.0250806336520664*G0_1_1_8_9 - 0.00438228438228514*G0_1_1_9_0 - 0.00385138670853022*G0_1_1_9_1 - 0.00177536748965351*G0_1_1_9_2 + 0.0168431568431597*G0_1_1_9_3 + 0.0136320822035131*G0_1_1_9_4 - 0.0279920079920127*G0_1_1_9_5 + 0.0157299843014155*G0_1_1_9_6 - 0.0306893106893159*G0_1_1_9_7 + 0.0250806336520664*G0_1_1_9_8 + 0.0528157556729073*G0_1_1_9_9;
    A[180] = A[12] + 0.00231632564965939*G0_0_1_0_1 - 0.00231632564965938*G0_0_1_0_2 + 0.000502830502830565*G0_0_1_0_3 - 0.000502830502830579*G0_0_1_0_4 - 0.0381840381840447*G0_0_1_0_5 + 0.0118992118992139*G0_0_1_0_6 + 0.0381840381840447*G0_0_1_0_7 - 0.011899211899214*G0_0_1_0_8 + 0.00231632564965939*G0_0_1_1_0 + 0.00151284341760559*G0_0_1_1_1 + 0.000586873444016399*G0_0_1_1_3 - 0.000544851973423492*G0_0_1_1_4 - 0.000449550449550509*G0_0_1_1_5 + 0.000520431949003464*G0_0_1_1_6 + 0.00889332889333042*G0_0_1_1_7 - 0.00243106100248999*G0_0_1_1_8 + 0.00207601921887673*G0_0_1_1_9 - 0.00231632564965938*G0_0_1_2_0 - 0.00151284341760558*G0_0_1_2_2 + 0.000544851973423489*G0_0_1_2_3 - 0.000586873444016391*G0_0_1_2_4 - 0.00889332889333041*G0_0_1_2_5 + 0.00243106100248998*G0_0_1_2_6 + 0.000449550449550526*G0_0_1_2_7 - 0.000520431949003468*G0_0_1_2_8 - 0.00207601921887672*G0_0_1_2_9 + 0.000502830502830565*G0_0_1_3_0 + 0.000586873444016401*G0_0_1_3_1 + 0.000544851973423489*G0_0_1_3_2 + 0.0023547880690741*G0_0_1_3_3 - 0.00156129584701039*G0_0_1_3_6 - 0.0015084915084918*G0_0_1_3_7 - 0.00321107463964665*G0_0_1_3_9 - 0.000502830502830579*G0_0_1_4_0 - 0.000544851973423492*G0_0_1_4_1 - 0.00058687344401639*G0_0_1_4_2 - 0.00235478806907419*G0_0_1_4_4 + 0.00150849150849177*G0_0_1_4_5 + 0.00156129584701039*G0_0_1_4_8 + 0.00321107463964663*G0_0_1_4_9 - 0.0381840381840447*G0_0_1_5_0 - 0.000449550449550507*G0_0_1_5_1 - 0.00889332889333042*G0_0_1_5_2 + 0.00150849150849177*G0_0_1_5_4 - 0.0998001998002166*G0_0_1_5_5 + 0.0445054945055021*G0_0_1_5_6 + 0.00134865134865154*G0_0_1_5_8 - 0.00269730269730312*G0_0_1_5_9 + 0.0118992118992139*G0_0_1_6_0 + 0.000520431949003464*G0_0_1_6_1 + 0.00243106100248998*G0_0_1_6_2 - 0.00156129584701039*G0_0_1_6_3 + 0.0445054945055021*G0_0_1_6_5 - 0.00755244755244882*G0_0_1_6_6 - 0.0013486513486516*G0_0_1_6_7 + 0.00935064935065094*G0_0_1_6_9 + 0.0381840381840447*G0_0_1_7_0 + 0.00889332889333042*G0_0_1_7_1 + 0.000449550449550526*G0_0_1_7_2 - 0.0015084915084918*G0_0_1_7_3 - 0.0013486513486516*G0_0_1_7_6 + 0.0998001998002168*G0_0_1_7_7 - 0.0445054945055021*G0_0_1_7_8 + 0.00269730269730324*G0_0_1_7_9 - 0.011899211899214*G0_0_1_8_0 - 0.00243106100248999*G0_0_1_8_1 - 0.000520431949003469*G0_0_1_8_2 + 0.00156129584701039*G0_0_1_8_4 + 0.00134865134865154*G0_0_1_8_5 - 0.0445054945055021*G0_0_1_8_7 + 0.00755244755244888*G0_0_1_8_8 - 0.00935064935065099*G0_0_1_8_9 + 0.00207601921887673*G0_0_1_9_1 - 0.00207601921887671*G0_0_1_9_2 - 0.00321107463964664*G0_0_1_9_3 + 0.00321107463964663*G0_0_1_9_4 - 0.00269730269730312*G0_0_1_9_5 + 0.00935064935065094*G0_0_1_9_6 + 0.00269730269730324*G0_0_1_9_7 - 0.00935064935065099*G0_0_1_9_8 - 0.00231632564965939*G0_1_0_0_1 + 0.00231632564965938*G0_1_0_0_2 - 0.000502830502830565*G0_1_0_0_3 + 0.000502830502830579*G0_1_0_0_4 + 0.0381840381840447*G0_1_0_0_5 - 0.0118992118992139*G0_1_0_0_6 - 0.0381840381840447*G0_1_0_0_7 + 0.011899211899214*G0_1_0_0_8 - 0.00231632564965939*G0_1_0_1_0 - 0.00151284341760559*G0_1_0_1_1 - 0.000586873444016398*G0_1_0_1_3 + 0.000544851973423491*G0_1_0_1_4 + 0.000449550449550509*G0_1_0_1_5 - 0.000520431949003464*G0_1_0_1_6 - 0.00889332889333042*G0_1_0_1_7 + 0.00243106100248999*G0_1_0_1_8 - 0.00207601921887673*G0_1_0_1_9 + 0.00231632564965938*G0_1_0_2_0 + 0.00151284341760558*G0_1_0_2_2 - 0.000544851973423489*G0_1_0_2_3 + 0.000586873444016391*G0_1_0_2_4 + 0.00889332889333041*G0_1_0_2_5 - 0.00243106100248998*G0_1_0_2_6 - 0.000449550449550526*G0_1_0_2_7 + 0.000520431949003469*G0_1_0_2_8 + 0.00207601921887672*G0_1_0_2_9 - 0.000502830502830565*G0_1_0_3_0 - 0.000586873444016399*G0_1_0_3_1 - 0.000544851973423489*G0_1_0_3_2 - 0.0023547880690741*G0_1_0_3_3 + 0.00156129584701039*G0_1_0_3_6 + 0.0015084915084918*G0_1_0_3_7 + 0.00321107463964664*G0_1_0_3_9 + 0.000502830502830579*G0_1_0_4_0 + 0.000544851973423492*G0_1_0_4_1 + 0.000586873444016391*G0_1_0_4_2 + 0.00235478806907419*G0_1_0_4_4 - 0.00150849150849177*G0_1_0_4_5 - 0.00156129584701039*G0_1_0_4_8 - 0.00321107463964663*G0_1_0_4_9 + 0.0381840381840447*G0_1_0_5_0 + 0.000449550449550506*G0_1_0_5_1 + 0.00889332889333041*G0_1_0_5_2 - 0.00150849150849177*G0_1_0_5_4 + 0.0998001998002166*G0_1_0_5_5 - 0.0445054945055021*G0_1_0_5_6 - 0.00134865134865154*G0_1_0_5_8 + 0.00269730269730311*G0_1_0_5_9 - 0.0118992118992139*G0_1_0_6_0 - 0.000520431949003463*G0_1_0_6_1 - 0.00243106100248998*G0_1_0_6_2 + 0.00156129584701039*G0_1_0_6_3 - 0.0445054945055021*G0_1_0_6_5 + 0.00755244755244882*G0_1_0_6_6 + 0.0013486513486516*G0_1_0_6_7 - 0.00935064935065094*G0_1_0_6_9 - 0.0381840381840447*G0_1_0_7_0 - 0.00889332889333042*G0_1_0_7_1 - 0.000449550449550527*G0_1_0_7_2 + 0.0015084915084918*G0_1_0_7_3 + 0.0013486513486516*G0_1_0_7_6 - 0.0998001998002168*G0_1_0_7_7 + 0.0445054945055021*G0_1_0_7_8 - 0.00269730269730325*G0_1_0_7_9 + 0.011899211899214*G0_1_0_8_0 + 0.00243106100248999*G0_1_0_8_1 + 0.000520431949003469*G0_1_0_8_2 - 0.00156129584701039*G0_1_0_8_4 - 0.00134865134865153*G0_1_0_8_5 + 0.0445054945055021*G0_1_0_8_7 - 0.00755244755244888*G0_1_0_8_8 + 0.00935064935065099*G0_1_0_8_9 - 0.00207601921887673*G0_1_0_9_1 + 0.00207601921887672*G0_1_0_9_2 + 0.00321107463964664*G0_1_0_9_3 - 0.00321107463964663*G0_1_0_9_4 + 0.00269730269730311*G0_1_0_9_5 - 0.00935064935065094*G0_1_0_9_6 - 0.00269730269730325*G0_1_0_9_7 + 0.00935064935065099*G0_1_0_9_8;
    A[131] = -A[86] + 0.0223759309473634*G0_1_0_0_0 - 0.00349900540376795*G0_1_0_0_1 - 0.000180419228038306*G0_1_0_0_2 + 0.000402560402560463*G0_1_0_0_3 - 0.000383954669669022*G0_1_0_0_4 - 0.00268260839689455*G0_1_0_0_5 - 0.00178319035461924*G0_1_0_0_6 - 0.00427424427424492*G0_1_0_0_7 - 0.00379091807663304*G0_1_0_0_8 - 0.00931386074243373*G0_1_0_0_9 - 0.00349900540376795*G0_1_0_1_0 - 0.093555826889177*G0_1_0_1_1 - 0.00156598251836376*G0_1_0_1_2 - 0.0109934509934531*G0_1_0_1_3 + 0.00540538826253213*G0_1_0_1_4 + 0.00119922405636717*G0_1_0_1_5 - 0.00110704110704132*G0_1_0_1_6 + 0.0124738753310205*G0_1_0_1_7 - 0.0361061161061226*G0_1_0_1_8 + 0.000662194947909297*G0_1_0_1_9 - 0.000180419228038306*G0_1_0_2_0 - 0.00156598251836375*G0_1_0_2_1 + 0.000592000592000684*G0_1_0_2_4 - 0.00167536167536196*G0_1_0_2_5 - 0.000592000592000689*G0_1_0_2_6 + 0.00122205836491572*G0_1_0_2_7 + 0.000524343381486314*G0_1_0_2_8 + 0.00166944166944196*G0_1_0_2_9 + 0.000402560402560463*G0_1_0_3_0 - 0.0109934509934531*G0_1_0_3_1 + 0.0366490652205001*G0_1_0_3_3 + 0.00283145426002621*G0_1_0_3_4 - 0.004148232719662*G0_1_0_3_5 + 0.00681223538366514*G0_1_0_3_6 + 0.00228343085485984*G0_1_0_3_7 - 0.00420151277294215*G0_1_0_3_8 - 0.00655344655344758*G0_1_0_3_9 - 0.000383954669669022*G0_1_0_4_0 + 0.00540538826253213*G0_1_0_4_1 + 0.000592000592000684*G0_1_0_4_2 + 0.00283145426002621*G0_1_0_4_3 - 0.0111888111888131*G0_1_0_4_4 + 0.00464297607154829*G0_1_0_4_5 - 0.0114552114552134*G0_1_0_4_6 - 0.00300271157414067*G0_1_0_4_7 + 0.0019180819180823*G0_1_0_4_8 - 0.0142942771514225*G0_1_0_4_9 - 0.00268260839689454*G0_1_0_5_0 + 0.00119922405636717*G0_1_0_5_1 - 0.00167536167536196*G0_1_0_5_2 - 0.004148232719662*G0_1_0_5_3 + 0.00464297607154829*G0_1_0_5_4 - 0.0304533561676469*G0_1_0_5_5 + 0.018640407211839*G0_1_0_5_6 + 0.000281623138766071*G0_1_0_5_7 - 0.000106560106560139*G0_1_0_5_8 + 0.0281547024404215*G0_1_0_5_9 - 0.00178319035461924*G0_1_0_6_0 - 0.00110704110704132*G0_1_0_6_1 - 0.000592000592000689*G0_1_0_6_2 + 0.00681223538366514*G0_1_0_6_3 - 0.0114552114552134*G0_1_0_6_4 + 0.018640407211839*G0_1_0_6_5 + 0.0340992340992398*G0_1_0_6_6 - 0.000175063032205916*G0_1_0_6_7 - 0.00087150944293812*G0_1_0_6_8 - 0.0186327957756562*G0_1_0_6_9 - 0.00427424427424492*G0_1_0_7_0 + 0.0124738753310205*G0_1_0_7_1 + 0.00122205836491572*G0_1_0_7_2 + 0.00228343085485984*G0_1_0_7_3 - 0.00300271157414067*G0_1_0_7_4 + 0.000281623138766071*G0_1_0_7_5 - 0.000175063032205916*G0_1_0_7_6 - 0.0397088625660121*G0_1_0_7_7 + 0.0353931782503271*G0_1_0_7_8 + 0.028291708291713*G0_1_0_7_9 - 0.00379091807663304*G0_1_0_8_0 - 0.0361061161061226*G0_1_0_8_1 + 0.000524343381486314*G0_1_0_8_2 - 0.00420151277294215*G0_1_0_8_3 + 0.0019180819180823*G0_1_0_8_4 - 0.00010656010656014*G0_1_0_8_5 - 0.00087150944293812*G0_1_0_8_6 + 0.0353931782503271*G0_1_0_8_7 + 0.110495219066666*G0_1_0_8_8 - 0.00582274867989247*G0_1_0_8_9 - 0.00931386074243373*G0_1_0_9_0 + 0.000662194947909298*G0_1_0_9_1 + 0.00166944166944196*G0_1_0_9_2 - 0.00655344655344758*G0_1_0_9_3 - 0.0142942771514225*G0_1_0_9_4 + 0.0281547024404215*G0_1_0_9_5 - 0.0186327957756562*G0_1_0_9_6 + 0.028291708291713*G0_1_0_9_7 - 0.00582274867989247*G0_1_0_9_8 - 0.0411017553874767*G0_1_0_9_9 - 0.0024525738811458*G0_1_1_0_0 - 0.00795324604848557*G0_1_1_0_1 - 0.000126998222236343*G0_1_1_0_2 + 0.00239125953411707*G0_1_1_0_3 - 0.000287543144686056*G0_1_1_0_5 - 0.00038522324236616*G0_1_1_0_6 + 0.00142925857211596*G0_1_1_0_7 - 0.0101058729630176*G0_1_1_0_8 + 0.00125081267938431*G0_1_1_0_9 - 0.00795324604848557*G0_1_1_1_0 - 0.125800125800148*G0_1_1_1_1 - 0.00305993829803407*G0_1_1_1_2 - 0.0207555407555445*G0_1_1_1_3 + 0.0125089725089747*G0_1_1_1_4 + 0.00138147566719024*G0_1_1_1_5 - 0.000511234796949189*G0_1_1_1_6 + 0.0359048359048422*G0_1_1_1_7 - 0.0861597661597812*G0_1_1_1_8 - 0.00667776667776785*G0_1_1_1_9 - 0.000126998222236343*G0_1_1_2_0 - 0.00305993829803407*G0_1_1_2_1 + 0.00284160284160331*G0_1_1_2_2 + 0.00359048359048419*G0_1_1_2_3 - 0.000503200503200588*G0_1_1_2_4 + 0.000121360121360146*G0_1_1_2_5 + 0.000592000592000682*G0_1_1_2_6 + 0.000795395081109506*G0_1_1_2_7 - 0.00363699792271283*G0_1_1_2_8 + 0.00143856143856166*G0_1_1_2_9 + 0.00239125953411707*G0_1_1_3_0 - 0.0207555407555445*G0_1_1_3_1 + 0.00359048359048419*G0_1_1_3_2 + 0.086260406260421*G0_1_1_3_3 - 0.0179667951096553*G0_1_1_3_4 - 0.0066562009419163*G0_1_1_3_5 + 0.00352790067075838*G0_1_1_3_6 - 0.00517958232244026*G0_1_1_3_7 - 0.00772560772560919*G0_1_1_3_8 + 0.030392464678184*G0_1_1_3_9 + 0.0125089725089747*G0_1_1_4_1 - 0.000503200503200588*G0_1_1_4_2 - 0.0179667951096553*G0_1_1_4_3 + 0.00905760905761058*G0_1_1_4_4 + 0.0020665049236481*G0_1_1_4_5 - 0.0055944055944065*G0_1_1_4_6 - 0.00215403643975114*G0_1_1_4_7 + 0.0129051900480495*G0_1_1_4_8 - 0.0084486941629812*G0_1_1_4_9 - 0.000287543144686057*G0_1_1_5_0 + 0.00138147566719024*G0_1_1_5_1 + 0.000121360121360147*G0_1_1_5_2 - 0.0066562009419163*G0_1_1_5_3 + 0.0020665049236481*G0_1_1_5_4 + 0.00464297607154827*G0_1_1_5_5 + 0.00102373816659548*G0_1_1_5_6 + 0.0025422196850772*G0_1_1_5_7 - 0.00215023072165957*G0_1_1_5_8 + 0.000548023405166315*G0_1_1_5_9 - 0.00038522324236616*G0_1_1_6_0 - 0.000511234796949189*G0_1_1_6_1 + 0.000592000592000682*G0_1_1_6_2 + 0.00352790067075838*G0_1_1_6_3 - 0.0055944055944065*G0_1_1_6_4 + 0.00102373816659548*G0_1_1_6_5 - 0.0170496170496198*G0_1_1_6_6 - 0.000391988963417583*G0_1_1_6_7 + 0.00522525093953748*G0_1_1_6_8 - 0.0113714856572018*G0_1_1_6_9 + 0.00142925857211596*G0_1_1_7_0 + 0.0359048359048422*G0_1_1_7_1 + 0.000795395081109506*G0_1_1_7_2 - 0.00517958232244026*G0_1_1_7_3 - 0.00215403643975113*G0_1_1_7_4 + 0.0025422196850772*G0_1_1_7_5 - 0.000391988963417582*G0_1_1_7_6 - 0.0166690452404768*G0_1_1_7_7 + 0.05595547309834*G0_1_1_7_8 - 0.00296846011131775*G0_1_1_7_9 - 0.0101058729630176*G0_1_1_8_0 - 0.0861597661597812*G0_1_1_8_1 - 0.00363699792271283*G0_1_1_8_2 - 0.00772560772560919*G0_1_1_8_3 + 0.0129051900480495*G0_1_1_8_4 - 0.00215023072165957*G0_1_1_8_5 + 0.00522525093953748*G0_1_1_8_6 + 0.05595547309834*G0_1_1_8_7 - 0.201878121878157*G0_1_1_8_8 - 0.00577708006279546*G0_1_1_8_9 + 0.00125081267938431*G0_1_1_9_0 - 0.00667776667776785*G0_1_1_9_1 + 0.00143856143856166*G0_1_1_9_2 + 0.030392464678184*G0_1_1_9_3 - 0.0084486941629812*G0_1_1_9_4 + 0.000548023405166315*G0_1_1_9_5 - 0.0113714856572018*G0_1_1_9_6 - 0.00296846011131775*G0_1_1_9_7 - 0.00577708006279546*G0_1_1_9_8 + 0.00438418724133077*G0_1_1_9_9;
    A[123] = -A[131] - 0.00245257388114574*G0_0_0_0_0 - 0.00012699822223634*G0_0_0_0_1 - 0.00795324604848549*G0_0_0_0_2 + 0.0023912595341171*G0_0_0_0_4 + 0.00142925857211595*G0_0_0_0_5 - 0.0101058729630175*G0_0_0_0_6 - 0.000287543144686061*G0_0_0_0_7 - 0.000385223242366163*G0_0_0_0_8 + 0.00125081267938433*G0_0_0_0_9 - 0.00012699822223634*G0_0_0_1_0 + 0.00284160284160324*G0_0_0_1_1 - 0.00305993829803405*G0_0_0_1_2 - 0.000503200503200613*G0_0_0_1_3 + 0.00359048359048423*G0_0_0_1_4 + 0.000795395081109496*G0_0_0_1_5 - 0.00363699792271282*G0_0_0_1_6 + 0.000121360121360146*G0_0_0_1_7 + 0.00059200059200067*G0_0_0_1_8 + 0.00143856143856169*G0_0_0_1_9 - 0.00795324604848549*G0_0_0_2_0 - 0.00305993829803405*G0_0_0_2_1 - 0.125800125800147*G0_0_0_2_2 + 0.0125089725089745*G0_0_0_2_3 - 0.0207555407555441*G0_0_0_2_4 + 0.0359048359048419*G0_0_0_2_5 - 0.0861597661597805*G0_0_0_2_6 + 0.00138147566719017*G0_0_0_2_7 - 0.000511234796949175*G0_0_0_2_8 - 0.00667776667776776*G0_0_0_2_9 - 0.000503200503200612*G0_0_0_3_1 + 0.0125089725089745*G0_0_0_3_2 + 0.00905760905761057*G0_0_0_3_3 - 0.0179667951096554*G0_0_0_3_4 - 0.00215403643975104*G0_0_0_3_5 + 0.0129051900480492*G0_0_0_3_6 + 0.00206650492364813*G0_0_0_3_7 - 0.00559440559440649*G0_0_0_3_8 - 0.00844869416298131*G0_0_0_3_9 + 0.0023912595341171*G0_0_0_4_0 + 0.00359048359048423*G0_0_0_4_1 - 0.0207555407555441*G0_0_0_4_2 - 0.0179667951096554*G0_0_0_4_3 + 0.0862604062604209*G0_0_0_4_4 - 0.0051795823224404*G0_0_0_4_5 - 0.00772560772560887*G0_0_0_4_6 - 0.00665620094191635*G0_0_0_4_7 + 0.00352790067075836*G0_0_0_4_8 + 0.0303924646781841*G0_0_0_4_9 + 0.00142925857211595*G0_0_0_5_0 + 0.000795395081109496*G0_0_0_5_1 + 0.0359048359048419*G0_0_0_5_2 - 0.00215403643975104*G0_0_0_5_3 - 0.0051795823224404*G0_0_0_5_4 - 0.0166690452404766*G0_0_0_5_5 + 0.0559554730983396*G0_0_0_5_6 + 0.00254221968507726*G0_0_0_5_7 - 0.000391988963417586*G0_0_0_5_8 - 0.00296846011131781*G0_0_0_5_9 - 0.0101058729630175*G0_0_0_6_0 - 0.00363699792271282*G0_0_0_6_1 - 0.0861597661597805*G0_0_0_6_2 + 0.0129051900480492*G0_0_0_6_3 - 0.00772560772560887*G0_0_0_6_4 + 0.0559554730983396*G0_0_0_6_5 - 0.201878121878156*G0_0_0_6_6 - 0.00215023072165968*G0_0_0_6_7 + 0.00522525093953747*G0_0_0_6_8 - 0.00577708006279517*G0_0_0_6_9 - 0.000287543144686061*G0_0_0_7_0 + 0.000121360121360146*G0_0_0_7_1 + 0.00138147566719017*G0_0_0_7_2 + 0.00206650492364813*G0_0_0_7_3 - 0.00665620094191635*G0_0_0_7_4 + 0.00254221968507725*G0_0_0_7_5 - 0.00215023072165968*G0_0_0_7_6 + 0.00464297607154826*G0_0_0_7_7 + 0.00102373816659548*G0_0_0_7_8 + 0.000548023405166332*G0_0_0_7_9 - 0.000385223242366163*G0_0_0_8_0 + 0.00059200059200067*G0_0_0_8_1 - 0.000511234796949175*G0_0_0_8_2 - 0.00559440559440649*G0_0_0_8_3 + 0.00352790067075836*G0_0_0_8_4 - 0.000391988963417586*G0_0_0_8_5 + 0.00522525093953747*G0_0_0_8_6 + 0.00102373816659548*G0_0_0_8_7 - 0.0170496170496197*G0_0_0_8_8 - 0.0113714856572018*G0_0_0_8_9 + 0.00125081267938433*G0_0_0_9_0 + 0.00143856143856169*G0_0_0_9_1 - 0.00667776667776776*G0_0_0_9_2 - 0.00844869416298131*G0_0_0_9_3 + 0.0303924646781841*G0_0_0_9_4 - 0.00296846011131781*G0_0_0_9_5 - 0.00577708006279517*G0_0_0_9_6 + 0.000548023405166332*G0_0_0_9_7 - 0.0113714856572018*G0_0_0_9_8 + 0.00438418724133084*G0_0_0_9_9 + 0.0223759309473635*G0_1_0_0_0 - 0.000180419228038309*G0_1_0_0_1 - 0.0034990054037679*G0_1_0_0_2 - 0.000383954669669037*G0_1_0_0_3 + 0.000402560402560478*G0_1_0_0_4 - 0.00427424427424497*G0_1_0_0_5 - 0.00379091807663299*G0_1_0_0_6 - 0.0026826083968945*G0_1_0_0_7 - 0.00178319035461925*G0_1_0_0_8 - 0.00931386074243373*G0_1_0_0_9 - 0.000180419228038309*G0_1_0_1_0 - 0.00156598251836374*G0_1_0_1_2 + 0.00059200059200061*G0_1_0_1_3 + 0.00122205836491573*G0_1_0_1_5 + 0.000524343381486322*G0_1_0_1_6 - 0.0016753616753619*G0_1_0_1_7 - 0.000592000592000802*G0_1_0_1_8 + 0.00166944166944193*G0_1_0_1_9 - 0.0034990054037679*G0_1_0_2_0 - 0.00156598251836374*G0_1_0_2_1 - 0.0935558268891759*G0_1_0_2_2 + 0.00540538826253197*G0_1_0_2_3 - 0.0109934509934528*G0_1_0_2_4 + 0.0124738753310202*G0_1_0_2_5 - 0.0361061161061221*G0_1_0_2_6 + 0.00119922405636711*G0_1_0_2_7 - 0.0011070411070413*G0_1_0_2_8 + 0.000662194947909384*G0_1_0_2_9 - 0.000383954669669037*G0_1_0_3_0 + 0.000592000592000608*G0_1_0_3_1 + 0.00540538826253197*G0_1_0_3_2 - 0.0111888111888133*G0_1_0_3_3 + 0.00283145426002613*G0_1_0_3_4 - 0.00300271157414065*G0_1_0_3_5 + 0.00191808191808228*G0_1_0_3_6 + 0.0046429760715483*G0_1_0_3_7 - 0.0114552114552134*G0_1_0_3_8 - 0.0142942771514224*G0_1_0_3_9 + 0.000402560402560478*G0_1_0_4_0 - 0.0109934509934528*G0_1_0_4_2 + 0.00283145426002613*G0_1_0_4_3 + 0.0366490652205001*G0_1_0_4_4 + 0.00228343085485979*G0_1_0_4_5 - 0.00420151277294206*G0_1_0_4_6 - 0.00414823271966199*G0_1_0_4_7 + 0.0068122353836651*G0_1_0_4_8 - 0.00655344655344774*G0_1_0_4_9 - 0.00427424427424497*G0_1_0_5_0 + 0.00122205836491573*G0_1_0_5_1 + 0.0124738753310202*G0_1_0_5_2 - 0.00300271157414065*G0_1_0_5_3 + 0.00228343085485979*G0_1_0_5_4 - 0.0397088625660119*G0_1_0_5_5 + 0.035393178250327*G0_1_0_5_6 + 0.000281623138766096*G0_1_0_5_7 - 0.000175063032205955*G0_1_0_5_8 + 0.0282917082917131*G0_1_0_5_9 - 0.00379091807663299*G0_1_0_6_0 + 0.000524343381486322*G0_1_0_6_1 - 0.0361061161061221*G0_1_0_6_2 + 0.00191808191808228*G0_1_0_6_3 - 0.00420151277294206*G0_1_0_6_4 + 0.035393178250327*G0_1_0_6_5 + 0.110495219066666*G0_1_0_6_6 - 0.000106560106560123*G0_1_0_6_7 - 0.000871509442938115*G0_1_0_6_8 - 0.00582274867989271*G0_1_0_6_9 - 0.0026826083968945*G0_1_0_7_0 - 0.0016753616753619*G0_1_0_7_1 + 0.00119922405636711*G0_1_0_7_2 + 0.0046429760715483*G0_1_0_7_3 - 0.00414823271966199*G0_1_0_7_4 + 0.000281623138766096*G0_1_0_7_5 - 0.000106560106560123*G0_1_0_7_6 - 0.030453356167647*G0_1_0_7_7 + 0.0186404072118389*G0_1_0_7_8 + 0.0281547024404215*G0_1_0_7_9 - 0.00178319035461925*G0_1_0_8_0 - 0.000592000592000802*G0_1_0_8_1 - 0.0011070411070413*G0_1_0_8_2 - 0.0114552114552134*G0_1_0_8_3 + 0.0068122353836651*G0_1_0_8_4 - 0.000175063032205955*G0_1_0_8_5 - 0.000871509442938114*G0_1_0_8_6 + 0.0186404072118389*G0_1_0_8_7 + 0.03409923409924*G0_1_0_8_8 - 0.018632795775656*G0_1_0_8_9 - 0.00931386074243373*G0_1_0_9_0 + 0.00166944166944193*G0_1_0_9_1 + 0.000662194947909384*G0_1_0_9_2 - 0.0142942771514224*G0_1_0_9_3 - 0.00655344655344775*G0_1_0_9_4 + 0.0282917082917131*G0_1_0_9_5 - 0.00582274867989271*G0_1_0_9_6 + 0.0281547024404215*G0_1_0_9_7 - 0.018632795775656*G0_1_0_9_8 - 0.0411017553874766*G0_1_0_9_9;
    A[74] = A[214] + 0.000779749351178035*G0_0_1_0_0 - 0.000544006258292068*G0_0_1_0_1 + 0.00208236208236242*G0_0_1_0_2 + 0.0100585129156575*G0_0_1_0_3 - 0.0176395033537921*G0_0_1_0_4 - 0.00152419009561894*G0_0_1_0_5 + 0.00205508776937382*G0_0_1_0_6 - 0.00207601921887674*G0_0_1_0_7 + 0.00327291755863243*G0_0_1_0_8 + 0.00461253032681682*G0_0_1_0_9 - 0.000544006258292068*G0_0_1_1_0 + 0.0145632145632171*G0_0_1_1_1 + 0.000473600473600536*G0_0_1_1_2 - 0.00375624375624433*G0_0_1_1_3 - 0.0235992578849763*G0_0_1_1_4 + 0.00419009561866776*G0_0_1_1_5 + 0.00285999714571193*G0_0_1_1_6 - 0.00122163550735002*G0_0_1_1_7 + 0.00839160839160987*G0_0_1_1_8 - 0.00666761809619062*G0_0_1_1_9 + 0.00208236208236242*G0_0_1_2_0 + 0.000473600473600536*G0_0_1_2_1 + 0.0379472379472441*G0_0_1_2_2 - 0.00237096237096267*G0_0_1_2_3 - 0.018514818514822*G0_0_1_2_4 - 0.0114285714285733*G0_0_1_2_5 + 0.0267732267732311*G0_0_1_2_6 + 0.00151848151848177*G0_0_1_2_7 - 0.0115084915084935*G0_0_1_2_9 + 0.0100585129156575*G0_0_1_3_0 - 0.00375624375624433*G0_0_1_3_1 - 0.00237096237096267*G0_0_1_3_2 + 0.0723390894819591*G0_0_1_3_3 + 0.129470529470552*G0_0_1_3_4 - 0.0247638076209547*G0_0_1_3_5 - 0.00179820179820206*G0_0_1_3_6 - 0.0233937491080388*G0_0_1_3_7 + 0.0167318395889852*G0_0_1_3_8 + 0.0667903525046495*G0_0_1_3_9 - 0.0176395033537921*G0_0_1_4_0 - 0.0235992578849763*G0_0_1_4_1 - 0.018514818514822*G0_0_1_4_2 + 0.129470529470552*G0_0_1_4_3 - 0.670369630369744*G0_0_1_4_4 + 0.0597002997003098*G0_0_1_4_5 - 0.0579020979021078*G0_0_1_4_6 + 0.0207906379334986*G0_0_1_4_7 + 0.00666190951905355*G0_0_1_4_8 - 0.0848751248751389*G0_0_1_4_9 - 0.00152419009561894*G0_0_1_5_0 + 0.00419009561866776*G0_0_1_5_1 - 0.0114285714285733*G0_0_1_5_2 - 0.0247638076209547*G0_0_1_5_3 + 0.0597002997003098*G0_0_1_5_4 + 0.00952190666476554*G0_0_1_5_5 - 0.0135464535464556*G0_0_1_5_6 + 0.00356215213358127*G0_0_1_5_7 - 0.00578849721706964*G0_0_1_5_8 - 0.00226059654631117*G0_0_1_5_9 + 0.00205508776937382*G0_0_1_6_0 + 0.00285999714571193*G0_0_1_6_1 + 0.0267732267732311*G0_0_1_6_2 - 0.00179820179820205*G0_0_1_6_3 - 0.0579020979021078*G0_0_1_6_4 - 0.0135464535464557*G0_0_1_6_5 + 0.107652347652366*G0_0_1_6_6 + 0.00222634508348838*G0_0_1_6_7 - 0.00774083059797476*G0_0_1_6_8 + 0.0381218781218847*G0_0_1_6_9 - 0.00207601921887674*G0_0_1_7_0 - 0.00122163550735002*G0_0_1_7_1 + 0.00151848151848177*G0_0_1_7_2 - 0.0233937491080388*G0_0_1_7_3 + 0.0207906379334986*G0_0_1_7_4 + 0.00356215213358127*G0_0_1_7_5 + 0.00222634508348838*G0_0_1_7_6 + 0.0173312401883855*G0_0_1_7_7 - 0.0111831026116759*G0_0_1_7_8 - 0.0182902811474271*G0_0_1_7_9 + 0.00327291755863243*G0_0_1_8_0 + 0.00839160839160987*G0_0_1_8_1 + 0.0167318395889852*G0_0_1_8_3 + 0.00666190951905355*G0_0_1_8_4 - 0.00578849721706964*G0_0_1_8_5 - 0.00774083059797475*G0_0_1_8_6 - 0.0111831026116759*G0_0_1_8_7 + 0.0490823462252112*G0_0_1_8_8 + 0.0066790352504648*G0_0_1_8_9 + 0.00461253032681682*G0_0_1_9_0 - 0.00666761809619062*G0_0_1_9_1 - 0.0115084915084935*G0_0_1_9_2 + 0.0667903525046495*G0_0_1_9_3 - 0.0848751248751389*G0_0_1_9_4 - 0.00226059654631117*G0_0_1_9_5 + 0.0381218781218847*G0_0_1_9_6 - 0.0182902811474271*G0_0_1_9_7 + 0.0066790352504648*G0_0_1_9_8 + 0.231813900385368*G0_0_1_9_9 - 0.000779749351178035*G0_1_0_0_0 + 0.000544006258292068*G0_1_0_0_1 - 0.00208236208236242*G0_1_0_0_2 - 0.0100585129156575*G0_1_0_0_3 + 0.0176395033537921*G0_1_0_0_4 + 0.00152419009561894*G0_1_0_0_5 - 0.00205508776937382*G0_1_0_0_6 + 0.00207601921887674*G0_1_0_0_7 - 0.00327291755863243*G0_1_0_0_8 - 0.00461253032681682*G0_1_0_0_9 + 0.000544006258292068*G0_1_0_1_0 - 0.0145632145632171*G0_1_0_1_1 - 0.000473600473600536*G0_1_0_1_2 + 0.00375624375624433*G0_1_0_1_3 + 0.0235992578849763*G0_1_0_1_4 - 0.00419009561866776*G0_1_0_1_5 - 0.00285999714571193*G0_1_0_1_6 + 0.00122163550735002*G0_1_0_1_7 - 0.00839160839160987*G0_1_0_1_8 + 0.00666761809619062*G0_1_0_1_9 - 0.00208236208236242*G0_1_0_2_0 - 0.000473600473600536*G0_1_0_2_1 - 0.0379472379472441*G0_1_0_2_2 + 0.00237096237096267*G0_1_0_2_3 + 0.018514818514822*G0_1_0_2_4 + 0.0114285714285733*G0_1_0_2_5 - 0.0267732267732311*G0_1_0_2_6 - 0.00151848151848177*G0_1_0_2_7 + 0.0115084915084935*G0_1_0_2_9 - 0.0100585129156575*G0_1_0_3_0 + 0.00375624375624433*G0_1_0_3_1 + 0.00237096237096267*G0_1_0_3_2 - 0.0723390894819591*G0_1_0_3_3 - 0.129470529470552*G0_1_0_3_4 + 0.0247638076209547*G0_1_0_3_5 + 0.00179820179820206*G0_1_0_3_6 + 0.0233937491080388*G0_1_0_3_7 - 0.0167318395889852*G0_1_0_3_8 - 0.0667903525046495*G0_1_0_3_9 + 0.0176395033537921*G0_1_0_4_0 + 0.0235992578849763*G0_1_0_4_1 + 0.018514818514822*G0_1_0_4_2 - 0.129470529470552*G0_1_0_4_3 + 0.670369630369744*G0_1_0_4_4 - 0.0597002997003098*G0_1_0_4_5 + 0.0579020979021078*G0_1_0_4_6 - 0.0207906379334986*G0_1_0_4_7 - 0.00666190951905355*G0_1_0_4_8 + 0.0848751248751389*G0_1_0_4_9 + 0.00152419009561894*G0_1_0_5_0 - 0.00419009561866776*G0_1_0_5_1 + 0.0114285714285733*G0_1_0_5_2 + 0.0247638076209547*G0_1_0_5_3 - 0.0597002997003098*G0_1_0_5_4 - 0.00952190666476553*G0_1_0_5_5 + 0.0135464535464556*G0_1_0_5_6 - 0.00356215213358127*G0_1_0_5_7 + 0.00578849721706964*G0_1_0_5_8 + 0.00226059654631117*G0_1_0_5_9 - 0.00205508776937382*G0_1_0_6_0 - 0.00285999714571193*G0_1_0_6_1 - 0.0267732267732311*G0_1_0_6_2 + 0.00179820179820205*G0_1_0_6_3 + 0.0579020979021078*G0_1_0_6_4 + 0.0135464535464557*G0_1_0_6_5 - 0.107652347652366*G0_1_0_6_6 - 0.00222634508348838*G0_1_0_6_7 + 0.00774083059797476*G0_1_0_6_8 - 0.0381218781218847*G0_1_0_6_9 + 0.00207601921887674*G0_1_0_7_0 + 0.00122163550735002*G0_1_0_7_1 - 0.00151848151848177*G0_1_0_7_2 + 0.0233937491080388*G0_1_0_7_3 - 0.0207906379334986*G0_1_0_7_4 - 0.00356215213358127*G0_1_0_7_5 - 0.00222634508348838*G0_1_0_7_6 - 0.0173312401883855*G0_1_0_7_7 + 0.0111831026116759*G0_1_0_7_8 + 0.0182902811474271*G0_1_0_7_9 - 0.00327291755863243*G0_1_0_8_0 - 0.00839160839160987*G0_1_0_8_1 - 0.0167318395889852*G0_1_0_8_3 - 0.00666190951905355*G0_1_0_8_4 + 0.00578849721706964*G0_1_0_8_5 + 0.00774083059797475*G0_1_0_8_6 + 0.0111831026116759*G0_1_0_8_7 - 0.0490823462252112*G0_1_0_8_8 - 0.0066790352504648*G0_1_0_8_9 - 0.00461253032681682*G0_1_0_9_0 + 0.00666761809619062*G0_1_0_9_1 + 0.0115084915084935*G0_1_0_9_2 - 0.0667903525046495*G0_1_0_9_3 + 0.0848751248751389*G0_1_0_9_4 + 0.00226059654631117*G0_1_0_9_5 - 0.0381218781218847*G0_1_0_9_6 + 0.0182902811474271*G0_1_0_9_7 - 0.0066790352504648*G0_1_0_9_8 - 0.231813900385368*G0_1_0_9_9;
    A[199] = A[74] + 0.00684521827379089*G0_0_0_0_0 + 0.00333296333296392*G0_0_0_0_1 + 0.0106407877836467*G0_0_0_0_2 - 0.00278578564292897*G0_0_0_0_3 + 0.0442985585842805*G0_0_0_0_4 - 0.0295323723895203*G0_0_0_0_5 + 0.0416878359735575*G0_0_0_0_6 - 0.00778649921507196*G0_0_0_0_7 + 0.00390466676181027*G0_0_0_0_8 + 0.0403710575139216*G0_0_0_0_9 + 0.00333296333296392*G0_0_0_1_0 + 0.0236800236800277*G0_0_0_1_1 + 0.00694754980469386*G0_0_0_1_2 + 0.0244403215831829*G0_0_0_1_3 + 0.00948384948385122*G0_0_0_1_4 - 0.0065762808619963*G0_0_0_1_5 + 0.0288854003139767*G0_0_0_1_6 - 0.00834213405642118*G0_0_0_1_7 + 0.013122115979261*G0_0_0_1_8 + 0.0212359069501963*G0_0_0_1_9 + 0.0106407877836467*G0_0_0_2_0 + 0.00694754980469386*G0_0_0_2_1 + 0.0672512672512784*G0_0_0_2_2 - 0.00927072927073084*G0_0_0_2_3 + 0.0148651348651376*G0_0_0_2_4 - 0.054771894771904*G0_0_0_2_5 + 0.127925407925429*G0_0_0_2_6 - 0.00123305266162429*G0_0_0_2_7 + 0.00235193378050562*G0_0_0_2_8 - 0.0169430569430598*G0_0_0_2_9 - 0.00278578564292897*G0_0_0_3_0 + 0.0244403215831829*G0_0_0_3_1 - 0.00927072927073085*G0_0_0_3_2 + 0.0709690309690438*G0_0_0_3_3 - 0.144198658484397*G0_0_0_3_4 + 0.0252090766376523*G0_0_0_3_5 - 0.108988154702459*G0_0_0_3_6 - 0.0139745968317421*G0_0_0_3_7 + 0.0433623519337879*G0_0_0_3_8 - 0.0357585271871044*G0_0_0_3_9 + 0.0442985585842805*G0_0_0_4_0 + 0.00948384948385122*G0_0_0_4_1 + 0.0148651348651376*G0_0_0_4_2 - 0.144198658484397*G0_0_0_4_3 + 0.916843156843313*G0_0_0_4_4 - 0.15522762951337*G0_0_0_4_5 + 0.264215784215829*G0_0_0_4_6 - 0.0534322820037196*G0_0_0_4_7 - 0.0293877551020458*G0_0_0_4_8 + 0.361284429855919*G0_0_0_4_9 - 0.0295323723895203*G0_0_0_5_0 - 0.0065762808619963*G0_0_0_5_1 - 0.054771894771904*G0_0_0_5_2 + 0.0252090766376523*G0_0_0_5_3 - 0.15522762951337*G0_0_0_5_4 + 0.153994576851746*G0_0_0_5_5 - 0.164133009847323*G0_0_0_5_6 + 0.0212359069501962*G0_0_0_5_7 - 0.00260311117454019*G0_0_0_5_8 - 0.115906950192684*G0_0_0_5_9 + 0.0416878359735575*G0_0_0_6_0 + 0.0288854003139767*G0_0_0_6_1 + 0.127925407925429*G0_0_0_6_2 - 0.108988154702459*G0_0_0_6_3 + 0.264215784215829*G0_0_0_6_4 - 0.164133009847323*G0_0_0_6_5 + 0.971508491508656*G0_0_0_6_6 - 0.018632795775656*G0_0_0_6_7 - 0.0356900242614587*G0_0_0_6_8 + 0.268805480234097*G0_0_0_6_9 - 0.00778649921507196*G0_0_0_7_0 - 0.00834213405642118*G0_0_0_7_1 - 0.00123305266162429*G0_0_0_7_2 - 0.0139745968317421*G0_0_0_7_3 - 0.0534322820037196*G0_0_0_7_4 + 0.0212359069501962*G0_0_0_7_5 - 0.018632795775656*G0_0_0_7_6 + 0.0073983159697459*G0_0_0_7_7 - 0.0187012987013019*G0_0_0_7_8 - 0.0838475809904522*G0_0_0_7_9 + 0.00390466676181027*G0_0_0_8_0 + 0.013122115979261*G0_0_0_8_1 + 0.00235193378050562*G0_0_0_8_2 + 0.0433623519337879*G0_0_0_8_3 - 0.0293877551020458*G0_0_0_8_4 - 0.00260311117454019*G0_0_0_8_5 - 0.0356900242614587*G0_0_0_8_6 - 0.0187012987013019*G0_0_0_8_7 + 0.0341144569716055*G0_0_0_8_8 - 0.00493221064649719*G0_0_0_8_9 + 0.0403710575139216*G0_0_0_9_0 + 0.0212359069501963*G0_0_0_9_1 - 0.0169430569430598*G0_0_0_9_2 - 0.0357585271871044*G0_0_0_9_3 + 0.361284429855919*G0_0_0_9_4 - 0.115906950192684*G0_0_0_9_5 + 0.268805480234097*G0_0_0_9_6 - 0.0838475809904522*G0_0_0_9_7 - 0.00493221064649718*G0_0_0_9_8 + 0.488288854003222*G0_0_0_9_9 + 0.00343043200186119*G0_0_1_0_1 - 0.00343043200186113*G0_0_1_0_2 - 0.0268417296988772*G0_0_1_0_3 + 0.0268417296988772*G0_0_1_0_4 - 0.00199990485704806*G0_0_1_0_5 + 0.00161362447076762*G0_0_1_0_6 + 0.00199990485704807*G0_0_1_0_7 - 0.0016136244707676*G0_0_1_0_8 + 0.00343043200186119*G0_0_1_1_0 + 0.0462766862766944*G0_0_1_1_1 + 0.0108957708957727*G0_0_1_1_3 + 0.0079729794015523*G0_0_1_1_4 - 0.00208933923219676*G0_0_1_1_5 + 0.000245468816897468*G0_0_1_1_6 - 0.0133923219637529*G0_0_1_1_7 + 0.0278921078921128*G0_0_1_1_8 + 0.00488654202940003*G0_0_1_1_9 - 0.00343043200186113*G0_0_1_2_0 - 0.0462766862766938*G0_0_1_2_2 - 0.00797297940155228*G0_0_1_2_3 - 0.0108957708957723*G0_0_1_2_4 + 0.0133923219637527*G0_0_1_2_5 - 0.0278921078921124*G0_0_1_2_6 + 0.00208933923219671*G0_0_1_2_7 - 0.000245468816897409*G0_0_1_2_8 - 0.00488654202939992*G0_0_1_2_9 - 0.0268417296988772*G0_0_1_3_0 + 0.0108957708957727*G0_0_1_3_1 - 0.00797297940155229*G0_0_1_3_2 - 0.728528614243024*G0_0_1_3_3 + 0.0433966033966106*G0_0_1_3_5 - 0.000736406450692434*G0_0_1_3_6 + 0.0805251890966312*G0_0_1_3_7 - 0.0812615955473234*G0_0_1_3_8 - 0.175710004281463*G0_0_1_3_9 + 0.0268417296988772*G0_0_1_4_0 + 0.0079729794015523*G0_0_1_4_1 - 0.0108957708957723*G0_0_1_4_2 + 0.728528614243024*G0_0_1_4_4 - 0.0805251890966314*G0_0_1_4_5 + 0.0812615955473239*G0_0_1_4_6 - 0.0433966033966107*G0_0_1_4_7 + 0.000736406450692121*G0_0_1_4_8 + 0.175710004281462*G0_0_1_4_9 - 0.00199990485704806*G0_0_1_5_0 - 0.00208933923219676*G0_0_1_5_1 + 0.0133923219637527*G0_0_1_5_2 + 0.0433966033966106*G0_0_1_5_3 - 0.0805251890966314*G0_0_1_5_4 + 0.0193863279577602*G0_0_1_5_5 + 0.00258598544312863*G0_0_1_5_6 + 0.00626801769659013*G0_0_1_5_8 - 0.0125360353931804*G0_0_1_5_9 + 0.00161362447076762*G0_0_1_6_0 + 0.000245468816897468*G0_0_1_6_1 - 0.0278921078921124*G0_0_1_6_2 - 0.000736406450692434*G0_0_1_6_3 + 0.0812615955473239*G0_0_1_6_4 + 0.00258598544312864*G0_0_1_6_5 + 0.006131011845299*G0_0_1_6_6 - 0.00626801769659024*G0_0_1_6_7 + 0.0161324389895847*G0_0_1_6_9 + 0.00199990485704807*G0_0_1_7_0 - 0.0133923219637529*G0_0_1_7_1 + 0.00208933923219671*G0_0_1_7_2 + 0.0805251890966312*G0_0_1_7_3 - 0.0433966033966107*G0_0_1_7_4 - 0.00626801769659024*G0_0_1_7_6 - 0.0193863279577592*G0_0_1_7_7 - 0.00258598544312888*G0_0_1_7_8 + 0.0125360353931803*G0_0_1_7_9 - 0.0016136244707676*G0_0_1_8_0 + 0.0278921078921128*G0_0_1_8_1 - 0.000245468816897409*G0_0_1_8_2 - 0.0812615955473234*G0_0_1_8_3 + 0.00073640645069212*G0_0_1_8_4 + 0.00626801769659013*G0_0_1_8_5 - 0.00258598544312888*G0_0_1_8_7 - 0.00613101184529789*G0_0_1_8_8 - 0.0161324389895844*G0_0_1_8_9 + 0.00488654202940003*G0_0_1_9_1 - 0.00488654202939992*G0_0_1_9_2 - 0.175710004281463*G0_0_1_9_3 + 0.175710004281462*G0_0_1_9_4 - 0.0125360353931804*G0_0_1_9_5 + 0.0161324389895847*G0_0_1_9_6 + 0.0125360353931803*G0_0_1_9_7 - 0.0161324389895844*G0_0_1_9_8 + 0.000804063661206678*G0_1_0_0_1 - 0.000804063661206634*G0_1_0_0_2 + 0.000856286570572474*G0_1_0_0_3 - 0.000856286570572419*G0_1_0_0_4 - 0.0014480757337903*G0_1_0_0_5 + 0.000395794681509071*G0_1_0_0_6 + 0.00144807573379022*G0_1_0_0_7 - 0.000395794681508993*G0_1_0_0_8 + 0.000804063661206678*G0_1_0_1_0 + 0.022892662892667*G0_1_0_1_1 + 0.0256543456543501*G0_1_0_1_3 - 0.0132553161124612*G0_1_0_1_4 + 0.000582274867989247*G0_1_0_1_5 + 0.00306550592264934*G0_1_0_1_6 - 0.00318538604252954*G0_1_0_1_7 + 0.00951048951049132*G0_1_0_1_8 + 0.00972741544170285*G0_1_0_1_9 - 0.000804063661206634*G0_1_0_2_0 - 0.0228926628926664*G0_1_0_2_2 + 0.0132553161124611*G0_1_0_2_3 - 0.0256543456543498*G0_1_0_2_4 + 0.00318538604252932*G0_1_0_2_5 - 0.0095104895104909*G0_1_0_2_6 - 0.000582274867989266*G0_1_0_2_7 - 0.00306550592264927*G0_1_0_2_8 - 0.00972741544170276*G0_1_0_2_9 + 0.000856286570572474*G0_1_0_3_0 + 0.0256543456543501*G0_1_0_3_1 + 0.0132553161124611*G0_1_0_3_2 + 0.0141801056086807*G0_1_0_3_3 - 0.00215784215784257*G0_1_0_3_5 - 0.00919651776794803*G0_1_0_3_6 - 0.00256885971171747*G0_1_0_3_7 - 0.00662765805623029*G0_1_0_3_8 - 0.0240445269016736*G0_1_0_3_9 - 0.000856286570572419*G0_1_0_4_0 - 0.0132553161124612*G0_1_0_4_1 - 0.0256543456543498*G0_1_0_4_2 - 0.0141801056086786*G0_1_0_4_4 + 0.00256885971171721*G0_1_0_4_5 + 0.00662765805623082*G0_1_0_4_6 + 0.00215784215784254*G0_1_0_4_7 + 0.00919651776794775*G0_1_0_4_8 + 0.0240445269016739*G0_1_0_4_9 - 0.0014480757337903*G0_1_0_5_0 + 0.000582274867989247*G0_1_0_5_1 + 0.00318538604252932*G0_1_0_5_2 - 0.00215784215784256*G0_1_0_5_3 + 0.00256885971171721*G0_1_0_5_4 + 0.0115769944341395*G0_1_0_5_5 + 0.000222634508348743*G0_1_0_5_6 - 0.00174682460396778*G0_1_0_5_8 + 0.00349364920793553*G0_1_0_5_9 + 0.000395794681509072*G0_1_0_6_0 + 0.00306550592264934*G0_1_0_6_1 - 0.0095104895104909*G0_1_0_6_2 - 0.00919651776794802*G0_1_0_6_3 + 0.00662765805623082*G0_1_0_6_4 + 0.000222634508348746*G0_1_0_6_5 + 0.0647010132724538*G0_1_0_6_6 + 0.00174682460396776*G0_1_0_6_7 + 0.0475752818610043*G0_1_0_6_9 + 0.00144807573379022*G0_1_0_7_0 - 0.00318538604252954*G0_1_0_7_1 - 0.000582274867989268*G0_1_0_7_2 - 0.00256885971171747*G0_1_0_7_3 + 0.00215784215784253*G0_1_0_7_4 + 0.00174682460396776*G0_1_0_7_6 - 0.011576994434139*G0_1_0_7_7 - 0.000222634508348989*G0_1_0_7_8 - 0.00349364920793555*G0_1_0_7_9 - 0.000395794681508993*G0_1_0_8_0 + 0.00951048951049132*G0_1_0_8_1 - 0.00306550592264927*G0_1_0_8_2 - 0.00662765805623029*G0_1_0_8_3 + 0.00919651776794776*G0_1_0_8_4 - 0.00174682460396778*G0_1_0_8_5 - 0.000222634508348986*G0_1_0_8_7 - 0.0647010132724519*G0_1_0_8_8 - 0.047575281861004*G0_1_0_8_9 + 0.00972741544170285*G0_1_0_9_1 - 0.00972741544170276*G0_1_0_9_2 - 0.0240445269016736*G0_1_0_9_3 + 0.0240445269016739*G0_1_0_9_4 + 0.00349364920793553*G0_1_0_9_5 + 0.0475752818610043*G0_1_0_9_6 - 0.00349364920793555*G0_1_0_9_7 - 0.047575281861004*G0_1_0_9_8 - 0.00684521827379086*G0_1_1_0_0 - 0.0106407877836468*G0_1_1_0_1 - 0.00333296333296389*G0_1_1_0_2 - 0.0442985585842805*G0_1_1_0_3 + 0.00278578564292899*G0_1_1_0_4 + 0.00778649921507197*G0_1_1_0_5 - 0.00390466676181028*G0_1_1_0_6 + 0.0295323723895203*G0_1_1_0_7 - 0.0416878359735574*G0_1_1_0_8 - 0.0403710575139216*G0_1_1_0_9 - 0.0106407877836468*G0_1_1_1_0 - 0.0672512672512787*G0_1_1_1_1 - 0.00694754980469381*G0_1_1_1_2 - 0.0148651348651374*G0_1_1_1_3 + 0.00927072927073088*G0_1_1_1_4 + 0.00123305266162435*G0_1_1_1_5 - 0.00235193378050563*G0_1_1_1_6 + 0.0547718947719041*G0_1_1_1_7 - 0.12792540792543*G0_1_1_1_8 + 0.0169430569430598*G0_1_1_1_9 - 0.00333296333296389*G0_1_1_2_0 - 0.00694754980469381*G0_1_1_2_1 - 0.0236800236800275*G0_1_1_2_2 - 0.0094838494838511*G0_1_1_2_3 - 0.0244403215831827*G0_1_1_2_4 + 0.00834213405642113*G0_1_1_2_5 - 0.013122115979261*G0_1_1_2_6 + 0.00657628086199624*G0_1_1_2_7 - 0.0288854003139765*G0_1_1_2_8 - 0.0212359069501961*G0_1_1_2_9 - 0.0442985585842805*G0_1_1_3_0 - 0.0148651348651374*G0_1_1_3_1 - 0.0094838494838511*G0_1_1_3_2 - 0.916843156843313*G0_1_1_3_3 + 0.144198658484397*G0_1_1_3_4 + 0.0534322820037195*G0_1_1_3_5 + 0.0293877551020456*G0_1_1_3_6 + 0.15522762951337*G0_1_1_3_7 - 0.264215784215829*G0_1_1_3_8 - 0.36128442985592*G0_1_1_3_9 + 0.00278578564292899*G0_1_1_4_0 + 0.00927072927073088*G0_1_1_4_1 - 0.0244403215831826*G0_1_1_4_2 + 0.144198658484397*G0_1_1_4_3 - 0.0709690309690418*G0_1_1_4_4 + 0.013974596831742*G0_1_1_4_5 - 0.0433623519337876*G0_1_1_4_6 - 0.0252090766376523*G0_1_1_4_7 + 0.108988154702459*G0_1_1_4_8 + 0.0357585271871046*G0_1_1_4_9 + 0.00778649921507197*G0_1_1_5_0 + 0.00123305266162435*G0_1_1_5_1 + 0.00834213405642113*G0_1_1_5_2 + 0.0534322820037195*G0_1_1_5_3 + 0.013974596831742*G0_1_1_5_4 - 0.00739831596974562*G0_1_1_5_5 + 0.0187012987013018*G0_1_1_5_6 - 0.0212359069501962*G0_1_1_5_7 + 0.0186327957756561*G0_1_1_5_8 + 0.0838475809904524*G0_1_1_5_9 - 0.00390466676181028*G0_1_1_6_0 - 0.00235193378050563*G0_1_1_6_1 - 0.013122115979261*G0_1_1_6_2 + 0.0293877551020456*G0_1_1_6_3 - 0.0433623519337876*G0_1_1_6_4 + 0.0187012987013018*G0_1_1_6_5 - 0.0341144569716054*G0_1_1_6_6 + 0.00260311117454016*G0_1_1_6_7 + 0.0356900242614586*G0_1_1_6_8 + 0.00493221064649717*G0_1_1_6_9 + 0.0295323723895203*G0_1_1_7_0 + 0.0547718947719041*G0_1_1_7_1 + 0.00657628086199624*G0_1_1_7_2 + 0.15522762951337*G0_1_1_7_3 - 0.0252090766376523*G0_1_1_7_4 - 0.0212359069501962*G0_1_1_7_5 + 0.00260311117454016*G0_1_1_7_6 - 0.153994576851745*G0_1_1_7_7 + 0.164133009847323*G0_1_1_7_8 + 0.115906950192684*G0_1_1_7_9 - 0.0416878359735574*G0_1_1_8_0 - 0.12792540792543*G0_1_1_8_1 - 0.0288854003139765*G0_1_1_8_2 - 0.264215784215829*G0_1_1_8_3 + 0.108988154702459*G0_1_1_8_4 + 0.0186327957756561*G0_1_1_8_5 + 0.0356900242614586*G0_1_1_8_6 + 0.164133009847323*G0_1_1_8_7 - 0.971508491508656*G0_1_1_8_8 - 0.268805480234097*G0_1_1_8_9 - 0.0403710575139215*G0_1_1_9_0 + 0.0169430569430598*G0_1_1_9_1 - 0.0212359069501961*G0_1_1_9_2 - 0.36128442985592*G0_1_1_9_3 + 0.0357585271871046*G0_1_1_9_4 + 0.0838475809904524*G0_1_1_9_5 + 0.00493221064649716*G0_1_1_9_6 + 0.115906950192684*G0_1_1_9_7 - 0.268805480234097*G0_1_1_9_8 - 0.488288854003222*G0_1_1_9_9;
    A[73] = A[199] - 0.000779749351178064*G0_0_1_0_0 - 0.00208236208236244*G0_0_1_0_1 + 0.000544006258292083*G0_0_1_0_2 + 0.0176395033537921*G0_0_1_0_3 - 0.0100585129156575*G0_0_1_0_4 + 0.0020760192188767*G0_0_1_0_5 - 0.00327291755863237*G0_0_1_0_6 + 0.00152419009561888*G0_0_1_0_7 - 0.00205508776937382*G0_0_1_0_8 - 0.00461253032681684*G0_0_1_0_9 - 0.00208236208236244*G0_0_1_1_0 - 0.0379472379472445*G0_0_1_1_1 - 0.000473600473600543*G0_0_1_1_2 + 0.0185148185148217*G0_0_1_1_3 + 0.00237096237096275*G0_0_1_1_4 - 0.00151848151848176*G0_0_1_1_5 + 0.0114285714285734*G0_0_1_1_7 - 0.0267732267732313*G0_0_1_1_8 + 0.0115084915084934*G0_0_1_1_9 + 0.000544006258292082*G0_0_1_2_0 - 0.000473600473600543*G0_0_1_2_1 - 0.0145632145632167*G0_0_1_2_2 + 0.0235992578849761*G0_0_1_2_3 + 0.00375624375624448*G0_0_1_2_4 + 0.00122163550734991*G0_0_1_2_5 - 0.00839160839160957*G0_0_1_2_6 - 0.00419009561866775*G0_0_1_2_7 - 0.0028599971457119*G0_0_1_2_8 + 0.00666761809619068*G0_0_1_2_9 + 0.0176395033537921*G0_0_1_3_0 + 0.0185148185148217*G0_0_1_3_1 + 0.0235992578849761*G0_0_1_3_2 + 0.670369630369745*G0_0_1_3_3 - 0.129470529470551*G0_0_1_3_4 - 0.0207906379334985*G0_0_1_3_5 - 0.00666190951905354*G0_0_1_3_6 - 0.0597002997003099*G0_0_1_3_7 + 0.0579020979021079*G0_0_1_3_8 + 0.0848751248751396*G0_0_1_3_9 - 0.0100585129156575*G0_0_1_4_0 + 0.00237096237096275*G0_0_1_4_1 + 0.00375624375624448*G0_0_1_4_2 - 0.129470529470551*G0_0_1_4_3 - 0.0723390894819593*G0_0_1_4_4 + 0.0233937491080388*G0_0_1_4_5 - 0.0167318395889853*G0_0_1_4_6 + 0.0247638076209547*G0_0_1_4_7 + 0.00179820179820209*G0_0_1_4_8 - 0.0667903525046496*G0_0_1_4_9 + 0.0020760192188767*G0_0_1_5_0 - 0.00151848151848176*G0_0_1_5_1 + 0.00122163550734991*G0_0_1_5_2 - 0.0207906379334985*G0_0_1_5_3 + 0.0233937491080388*G0_0_1_5_4 - 0.0173312401883862*G0_0_1_5_5 + 0.0111831026116758*G0_0_1_5_6 - 0.00356215213358133*G0_0_1_5_7 - 0.00222634508348827*G0_0_1_5_8 + 0.0182902811474271*G0_0_1_5_9 - 0.00327291755863237*G0_0_1_6_0 - 0.00839160839160957*G0_0_1_6_2 - 0.00666190951905354*G0_0_1_6_3 - 0.0167318395889853*G0_0_1_6_4 + 0.0111831026116758*G0_0_1_6_5 - 0.0490823462252113*G0_0_1_6_6 + 0.00578849721706962*G0_0_1_6_7 + 0.00774083059797471*G0_0_1_6_8 - 0.006679035250465*G0_0_1_6_9 + 0.00152419009561888*G0_0_1_7_0 + 0.0114285714285734*G0_0_1_7_1 - 0.00419009561866775*G0_0_1_7_2 - 0.0597002997003099*G0_0_1_7_3 + 0.0247638076209547*G0_0_1_7_4 - 0.00356215213358133*G0_0_1_7_5 + 0.00578849721706962*G0_0_1_7_6 - 0.00952190666476531*G0_0_1_7_7 + 0.0135464535464558*G0_0_1_7_8 + 0.00226059654631125*G0_0_1_7_9 - 0.00205508776937382*G0_0_1_8_0 - 0.0267732267732313*G0_0_1_8_1 - 0.0028599971457119*G0_0_1_8_2 + 0.0579020979021079*G0_0_1_8_3 + 0.00179820179820209*G0_0_1_8_4 - 0.00222634508348827*G0_0_1_8_5 + 0.00774083059797471*G0_0_1_8_6 + 0.0135464535464558*G0_0_1_8_7 - 0.107652347652365*G0_0_1_8_8 - 0.0381218781218844*G0_0_1_8_9 - 0.00461253032681685*G0_0_1_9_0 + 0.0115084915084934*G0_0_1_9_1 + 0.00666761809619068*G0_0_1_9_2 + 0.0848751248751396*G0_0_1_9_3 - 0.0667903525046496*G0_0_1_9_4 + 0.0182902811474271*G0_0_1_9_5 - 0.00667903525046501*G0_0_1_9_6 + 0.00226059654631126*G0_0_1_9_7 - 0.0381218781218844*G0_0_1_9_8 - 0.231813900385368*G0_0_1_9_9 + 0.000779749351178064*G0_1_0_0_0 + 0.00208236208236244*G0_1_0_0_1 - 0.000544006258292082*G0_1_0_0_2 - 0.0176395033537921*G0_1_0_0_3 + 0.0100585129156575*G0_1_0_0_4 - 0.0020760192188767*G0_1_0_0_5 + 0.00327291755863237*G0_1_0_0_6 - 0.00152419009561888*G0_1_0_0_7 + 0.00205508776937382*G0_1_0_0_8 + 0.00461253032681685*G0_1_0_0_9 + 0.00208236208236244*G0_1_0_1_0 + 0.0379472379472445*G0_1_0_1_1 + 0.000473600473600542*G0_1_0_1_2 - 0.0185148185148217*G0_1_0_1_3 - 0.00237096237096275*G0_1_0_1_4 + 0.00151848151848176*G0_1_0_1_5 - 0.0114285714285734*G0_1_0_1_7 + 0.0267732267732313*G0_1_0_1_8 - 0.0115084915084934*G0_1_0_1_9 - 0.000544006258292082*G0_1_0_2_0 + 0.000473600473600542*G0_1_0_2_1 + 0.0145632145632167*G0_1_0_2_2 - 0.0235992578849761*G0_1_0_2_3 - 0.00375624375624448*G0_1_0_2_4 - 0.00122163550734991*G0_1_0_2_5 + 0.00839160839160957*G0_1_0_2_6 + 0.00419009561866775*G0_1_0_2_7 + 0.0028599971457119*G0_1_0_2_8 - 0.00666761809619068*G0_1_0_2_9 - 0.0176395033537921*G0_1_0_3_0 - 0.0185148185148217*G0_1_0_3_1 - 0.0235992578849761*G0_1_0_3_2 - 0.670369630369746*G0_1_0_3_3 + 0.129470529470551*G0_1_0_3_4 + 0.0207906379334985*G0_1_0_3_5 + 0.00666190951905354*G0_1_0_3_6 + 0.0597002997003099*G0_1_0_3_7 - 0.0579020979021079*G0_1_0_3_8 - 0.0848751248751396*G0_1_0_3_9 + 0.0100585129156575*G0_1_0_4_0 - 0.00237096237096275*G0_1_0_4_1 - 0.00375624375624448*G0_1_0_4_2 + 0.129470529470551*G0_1_0_4_3 + 0.0723390894819592*G0_1_0_4_4 - 0.0233937491080388*G0_1_0_4_5 + 0.0167318395889853*G0_1_0_4_6 - 0.0247638076209547*G0_1_0_4_7 - 0.00179820179820208*G0_1_0_4_8 + 0.0667903525046496*G0_1_0_4_9 - 0.0020760192188767*G0_1_0_5_0 + 0.00151848151848176*G0_1_0_5_1 - 0.00122163550734991*G0_1_0_5_2 + 0.0207906379334985*G0_1_0_5_3 - 0.0233937491080388*G0_1_0_5_4 + 0.0173312401883862*G0_1_0_5_5 - 0.0111831026116758*G0_1_0_5_6 + 0.00356215213358134*G0_1_0_5_7 + 0.00222634508348827*G0_1_0_5_8 - 0.0182902811474271*G0_1_0_5_9 + 0.00327291755863237*G0_1_0_6_0 + 0.00839160839160957*G0_1_0_6_2 + 0.00666190951905354*G0_1_0_6_3 + 0.0167318395889853*G0_1_0_6_4 - 0.0111831026116758*G0_1_0_6_5 + 0.0490823462252113*G0_1_0_6_6 - 0.00578849721706962*G0_1_0_6_7 - 0.00774083059797471*G0_1_0_6_8 + 0.006679035250465*G0_1_0_6_9 - 0.00152419009561888*G0_1_0_7_0 - 0.0114285714285734*G0_1_0_7_1 + 0.00419009561866775*G0_1_0_7_2 + 0.0597002997003099*G0_1_0_7_3 - 0.0247638076209547*G0_1_0_7_4 + 0.00356215213358133*G0_1_0_7_5 - 0.00578849721706962*G0_1_0_7_6 + 0.00952190666476531*G0_1_0_7_7 - 0.0135464535464558*G0_1_0_7_8 - 0.00226059654631126*G0_1_0_7_9 + 0.00205508776937382*G0_1_0_8_0 + 0.0267732267732313*G0_1_0_8_1 + 0.0028599971457119*G0_1_0_8_2 - 0.0579020979021079*G0_1_0_8_3 - 0.00179820179820209*G0_1_0_8_4 + 0.00222634508348827*G0_1_0_8_5 - 0.00774083059797471*G0_1_0_8_6 - 0.0135464535464559*G0_1_0_8_7 + 0.107652347652365*G0_1_0_8_8 + 0.0381218781218844*G0_1_0_8_9 + 0.00461253032681685*G0_1_0_9_0 - 0.0115084915084934*G0_1_0_9_1 - 0.00666761809619068*G0_1_0_9_2 - 0.0848751248751396*G0_1_0_9_3 + 0.0667903525046496*G0_1_0_9_4 - 0.0182902811474271*G0_1_0_9_5 + 0.006679035250465*G0_1_0_9_6 - 0.00226059654631126*G0_1_0_9_7 + 0.0381218781218844*G0_1_0_9_8 + 0.231813900385368*G0_1_0_9_9;
    A[40] = 0.00967520134186969*G0_1_0_0_0 + 9.16279487708162e-05*G0_1_0_0_2 + 2.48560962846732e-05*G0_1_0_0_3 + 0.000185528756957356*G0_1_0_0_4 - 0.000383703597989366*G0_1_0_0_5 + 1.53616225044735e-05*G0_1_0_0_6 - 0.000928595214309641*G0_1_0_0_7 + 0.000606595785167316*G0_1_0_0_8 - 0.00160208838780293*G0_1_0_0_9 - 0.00967520134186976*G0_1_0_1_1 - 9.16279487708296e-05*G0_1_0_1_2 + 0.000383703597989349*G0_1_0_1_3 - 1.53616225044753e-05*G0_1_0_1_4 - 2.48560962846655e-05*G0_1_0_1_5 - 0.000185528756957364*G0_1_0_1_6 - 0.0006065957851673*G0_1_0_1_7 + 0.000928595214309622*G0_1_0_1_8 + 0.00160208838780294*G0_1_0_1_9 + 9.16279487708162e-05*G0_1_0_2_0 - 9.16279487708296e-05*G0_1_0_2_1 + 0.000616605616605747*G0_1_0_2_3 - 0.00104090354090377*G0_1_0_2_4 - 0.000616605616605694*G0_1_0_2_5 + 0.00104090354090366*G0_1_0_2_6 - 0.000284596356024975*G0_1_0_2_7 + 0.00028459635602498*G0_1_0_2_8 + 2.48560962846731e-05*G0_1_0_3_0 + 0.000383703597989349*G0_1_0_3_1 + 0.000616605616605747*G0_1_0_3_2 + 0.00807371200228486*G0_1_0_3_3 - 0.00113350934779524*G0_1_0_3_4 + 0.000556586270872091*G0_1_0_3_6 - 7.4568288854016e-05*G0_1_0_3_7 + 0.00092835735692896*G0_1_0_3_8 - 0.00465712858570076*G0_1_0_3_9 + 0.000185528756957356*G0_1_0_4_0 - 1.53616225044752e-05*G0_1_0_4_1 - 0.00104090354090377*G0_1_0_4_2 - 0.00113350934779524*G0_1_0_4_3 - 0.00304195804195859*G0_1_0_4_4 - 0.000556586270872065*G0_1_0_4_5 + 0.000148601398601427*G0_1_0_4_7 - 0.000853789068074939*G0_1_0_4_8 + 0.00111317254174414*G0_1_0_4_9 - 0.000383703597989366*G0_1_0_5_0 - 2.48560962846655e-05*G0_1_0_5_1 - 0.000616605616605695*G0_1_0_5_2 - 0.000556586270872065*G0_1_0_5_4 - 0.00807371200228476*G0_1_0_5_5 + 0.00113350934779527*G0_1_0_5_6 - 0.000928357356928937*G0_1_0_5_7 + 7.45682888540069e-05*G0_1_0_5_8 + 0.00465712858570078*G0_1_0_5_9 + 1.53616225044736e-05*G0_1_0_6_0 - 0.000185528756957363*G0_1_0_6_1 + 0.00104090354090366*G0_1_0_6_2 + 0.000556586270872091*G0_1_0_6_3 + 0.00113350934779528*G0_1_0_6_5 + 0.0030419580419585*G0_1_0_6_6 + 0.000853789068074925*G0_1_0_6_7 - 0.000148601398601422*G0_1_0_6_8 - 0.00111317254174417*G0_1_0_6_9 - 0.000928595214309641*G0_1_0_7_0 - 0.000606595785167299*G0_1_0_7_1 - 0.000284596356024975*G0_1_0_7_2 - 7.45682888540158e-05*G0_1_0_7_3 + 0.000148601398601427*G0_1_0_7_4 - 0.000928357356928937*G0_1_0_7_5 + 0.000853789068074926*G0_1_0_7_6 - 0.0354342086485003*G0_1_0_7_7 + 0.00309868702725893*G0_1_0_7_9 + 0.000606595785167316*G0_1_0_8_0 + 0.000928595214309622*G0_1_0_8_1 + 0.00028459635602498*G0_1_0_8_2 + 0.00092835735692896*G0_1_0_8_3 - 0.000853789068074939*G0_1_0_8_4 + 7.45682888540072e-05*G0_1_0_8_5 - 0.000148601398601422*G0_1_0_8_6 + 0.0354342086485005*G0_1_0_8_8 - 0.00309868702725891*G0_1_0_8_9 - 0.00160208838780293*G0_1_0_9_0 + 0.00160208838780294*G0_1_0_9_1 - 0.00465712858570075*G0_1_0_9_3 + 0.00111317254174414*G0_1_0_9_4 + 0.00465712858570078*G0_1_0_9_5 - 0.00111317254174417*G0_1_0_9_6 + 0.00309868702725893*G0_1_0_9_7 - 0.00309868702725891*G0_1_0_9_8 - 0.00165920499253859*G0_1_1_0_0 - 0.00026510746748847*G0_1_1_0_1 - 0.000148328303090231*G0_1_1_0_2 + 0.00017044463473038*G0_1_1_0_3 - 8.25166896595601e-05*G0_1_1_0_4 - 0.00026104847533423*G0_1_1_0_5 + 0.000297500118928743*G0_1_1_0_6 - 0.00331010259581743*G0_1_1_0_7 + 0.000302653695510891*G0_1_1_0_8 - 0.000490818705104501*G0_1_1_0_9 - 0.000265107467488469*G0_1_1_1_0 - 0.0113344063344084*G0_1_1_1_1 - 0.000239956251861057*G0_1_1_1_2 + 0.000122655122655107*G0_1_1_1_3 + 0.000282138496424275*G0_1_1_1_4 + 0.000145588538445709*G0_1_1_1_5 - 0.00026804544661692*G0_1_1_1_6 - 0.000303942089656405*G0_1_1_1_7 - 0.00238150738150783*G0_1_1_1_8 + 0.00111126968269843*G0_1_1_1_9 - 0.000148328303090231*G0_1_1_2_0 - 0.000239956251861057*G0_1_1_2_1 - 0.00168535168535197*G0_1_1_2_2 + 0.00118145743145763*G0_1_1_2_3 - 0.00142302142302166*G0_1_1_2_4 + 0.000564851814851904*G0_1_1_2_5 - 0.00038211788211793*G0_1_1_2_6 + 0.000406042370328154*G0_1_1_2_7 + 0.000690638726353131*G0_1_1_2_8 - 0.000800033300033426*G0_1_1_2_9 + 0.00017044463473038*G0_1_1_3_0 + 0.000122655122655106*G0_1_1_3_1 + 0.00118145743145763*G0_1_1_3_2 + 0.011689738832598*G0_1_1_3_3 - 0.00248233908948237*G0_1_1_3_4 - 0.000518945340373992*G0_1_1_3_5 + 0.0008939275010705*G0_1_1_3_6 - 0.000421542742971388*G0_1_1_3_7 + 0.00240366776081103*G0_1_1_3_8 - 0.00249072356215253*G0_1_1_3_9 - 8.25166896595601e-05*G0_1_1_4_0 + 0.000282138496424275*G0_1_1_4_1 - 0.00142302142302166*G0_1_1_4_2 - 0.00248233908948237*G0_1_1_4_3 - 0.00384865134865197*G0_1_1_4_4 + 0.00033734123019842*G0_1_1_4_5 - 0.00123126873126892*G0_1_1_4_6 - 0.000530184101612766*G0_1_1_4_7 - 0.00198212501783965*G0_1_1_4_8 + 0.00172541743970344*G0_1_1_4_9 - 0.00026104847533423*G0_1_1_5_0 + 0.000145588538445709*G0_1_1_5_1 + 0.000564851814851904*G0_1_1_5_2 - 0.000518945340373992*G0_1_1_5_3 + 0.00033734123019842*G0_1_1_5_4 + 0.00361602683031315*G0_1_1_5_5 - 0.00134882974168713*G0_1_1_5_6 + 0.00147531040388208*G0_1_1_5_7 - 0.000346974454117371*G0_1_1_5_8 + 0.00216640502354824*G0_1_1_5_9 + 0.000297500118928742*G0_1_1_6_0 - 0.00026804544661692*G0_1_1_6_1 - 0.00038211788211793*G0_1_1_6_2 + 0.0008939275010705*G0_1_1_6_3 - 0.00123126873126892*G0_1_1_6_4 - 0.00134882974168713*G0_1_1_6_5 - 0.000806693306693404*G0_1_1_6_6 - 0.00112833594976471*G0_1_1_6_7 - 0.000678785500214186*G0_1_1_6_8 + 0.000612244897959278*G0_1_1_6_9 - 0.00331010259581743*G0_1_1_7_0 - 0.000303942089656405*G0_1_1_7_1 + 0.000406042370328154*G0_1_1_7_2 - 0.000421542742971388*G0_1_1_7_3 - 0.000530184101612766*G0_1_1_7_4 + 0.00147531040388208*G0_1_1_7_5 - 0.00112833594976471*G0_1_1_7_6 + 0.0125492364778101*G0_1_1_7_7 + 0.00698604966462226*G0_1_1_7_8 + 0.00372912801484293*G0_1_1_7_9 + 0.000302653695510891*G0_1_1_8_0 - 0.00238150738150783*G0_1_1_8_1 + 0.000690638726353131*G0_1_1_8_2 + 0.00240366776081103*G0_1_1_8_3 - 0.00198212501783965*G0_1_1_8_4 - 0.000346974454117371*G0_1_1_8_5 - 0.000678785500214186*G0_1_1_8_6 + 0.00698604966462226*G0_1_1_8_7 + 0.0479834451263105*G0_1_1_8_8 + 0.000630440987584013*G0_1_1_8_9 - 0.000490818705104501*G0_1_1_9_0 + 0.00111126968269843*G0_1_1_9_1 - 0.000800033300033426*G0_1_1_9_2 - 0.00249072356215253*G0_1_1_9_3 + 0.00172541743970344*G0_1_1_9_4 + 0.00216640502354824*G0_1_1_9_5 + 0.000612244897959278*G0_1_1_9_6 + 0.00372912801484293*G0_1_1_9_7 + 0.000630440987584013*G0_1_1_9_8 - 0.0196132438989614*G0_1_1_9_9;
    A[145] = A[159] + 0.000749867416533889*G0_0_1_0_0 + 0.00266005599338976*G0_0_1_0_1 - 0.000741974075307546*G0_0_1_0_2 - 0.000319680319680373*G0_0_1_0_3 + 0.00133200133200156*G0_0_1_0_4 - 0.00435120435120518*G0_0_1_0_5 + 0.0024420024420029*G0_0_1_0_6 + 0.0198912198912231*G0_0_1_0_7 - 0.0143412143412167*G0_0_1_0_8 - 0.0071928071928084*G0_0_1_0_9 + 0.00266005599338976*G0_0_1_1_0 - 0.00047360047360058*G0_0_1_1_1 + 0.000699335937431293*G0_0_1_1_2 - 0.00311688311688361*G0_0_1_1_3 + 0.000167451596023029*G0_0_1_1_4 + 0.00626611483754446*G0_0_1_1_5 - 0.00363446077731853*G0_0_1_1_6 + 0.0162047476333218*G0_0_1_1_7 - 0.0104162504162522*G0_0_1_1_8 + 0.00611198325484143*G0_0_1_1_9 - 0.000741974075307546*G0_0_1_2_0 + 0.000699335937431294*G0_0_1_2_1 + 0.00203309917595665*G0_0_1_2_2 - 0.000598132026703552*G0_0_1_2_3 - 0.00323739752311236*G0_0_1_2_4 + 0.00856349999207284*G0_0_1_2_5 - 0.00669362383648209*G0_0_1_2_6 + 0.0279244564958897*G0_0_1_2_7 - 0.00285999714571191*G0_0_1_2_8 + 0.0181494695780441*G0_0_1_2_9 - 0.000319680319680373*G0_0_1_3_0 - 0.00311688311688361*G0_0_1_3_1 - 0.000598132026703554*G0_0_1_3_2 - 0.00565149136577772*G0_0_1_3_3 + 0.000770657913515174*G0_0_1_3_4 - 0.00465249036677688*G0_0_1_3_5 + 0.00236905951191706*G0_0_1_3_6 - 0.00757528186099752*G0_0_1_3_7 + 0.0075296132439002*G0_0_1_3_8 - 0.00318538604252946*G0_0_1_3_9 + 0.00133200133200156*G0_0_1_4_0 + 0.000167451596023032*G0_0_1_4_1 - 0.00323739752311236*G0_0_1_4_2 + 0.000770657913515167*G0_0_1_4_3 + 0.00349364920793552*G0_0_1_4_4 - 0.0125303268160432*G0_0_1_4_5 + 0.0101612673041262*G0_0_1_4_6 - 0.0396175253318177*G0_0_1_4_7 - 0.0293877551020457*G0_0_1_4_9 - 0.00435120435120518*G0_0_1_5_0 + 0.00626611483754446*G0_0_1_5_1 + 0.00856349999207284*G0_0_1_5_2 - 0.00465249036677688*G0_0_1_5_3 - 0.0125303268160432*G0_0_1_5_4 + 0.0310089910089962*G0_0_1_5_5 - 0.0289310689310737*G0_0_1_5_6 + 0.11964035964038*G0_0_1_5_7 - 0.0273326673326719*G0_0_1_5_8 + 0.076243756243769*G0_0_1_5_9 + 0.00244200244200291*G0_0_1_6_0 - 0.00363446077731853*G0_0_1_6_1 - 0.00669362383648209*G0_0_1_6_2 + 0.00236905951191707*G0_0_1_6_3 + 0.0101612673041262*G0_0_1_6_4 - 0.0289310689310737*G0_0_1_6_5 + 0.0212815755672934*G0_0_1_6_6 - 0.0923076923077076*G0_0_1_6_7 + 0.0140088482945649*G0_0_1_6_8 - 0.0591865277579662*G0_0_1_6_9 + 0.0198912198912231*G0_0_1_7_0 + 0.0162047476333218*G0_0_1_7_1 + 0.0279244564958897*G0_0_1_7_2 - 0.00757528186099752*G0_0_1_7_3 - 0.0396175253318177*G0_0_1_7_4 + 0.11964035964038*G0_0_1_7_5 - 0.0923076923077076*G0_0_1_7_6 + 0.624815184815289*G0_0_1_7_7 - 0.0659340659340769*G0_0_1_7_8 + 0.206193806193841*G0_0_1_7_9 - 0.0143412143412167*G0_0_1_8_0 - 0.0104162504162522*G0_0_1_8_1 - 0.00285999714571191*G0_0_1_8_2 + 0.00752961324390019*G0_0_1_8_3 - 0.0273326673326719*G0_0_1_8_5 + 0.0140088482945649*G0_0_1_8_6 - 0.0659340659340769*G0_0_1_8_7 + 0.0684344227201482*G0_0_1_8_8 - 0.0184272869987187*G0_0_1_8_9 - 0.0071928071928084*G0_0_1_9_0 + 0.00611198325484143*G0_0_1_9_1 + 0.018149469578044*G0_0_1_9_2 - 0.00318538604252946*G0_0_1_9_3 - 0.0293877551020457*G0_0_1_9_4 + 0.076243756243769*G0_0_1_9_5 - 0.0591865277579662*G0_0_1_9_6 + 0.206193806193841*G0_0_1_9_7 - 0.0184272869987187*G0_0_1_9_8 + 0.170161267304153*G0_0_1_9_9 - 0.000749867416533899*G0_1_0_0_0 - 0.00266005599338976*G0_1_0_0_1 + 0.000741974075307546*G0_1_0_0_2 + 0.000319680319680375*G0_1_0_0_3 - 0.00133200133200156*G0_1_0_0_4 + 0.00435120435120518*G0_1_0_0_5 - 0.0024420024420029*G0_1_0_0_6 - 0.0198912198912231*G0_1_0_0_7 + 0.0143412143412167*G0_1_0_0_8 + 0.0071928071928084*G0_1_0_0_9 - 0.00266005599338976*G0_1_0_1_0 + 0.00047360047360058*G0_1_0_1_1 - 0.000699335937431292*G0_1_0_1_2 + 0.00311688311688362*G0_1_0_1_3 - 0.000167451596023035*G0_1_0_1_4 - 0.00626611483754446*G0_1_0_1_5 + 0.00363446077731853*G0_1_0_1_6 - 0.0162047476333218*G0_1_0_1_7 + 0.0104162504162522*G0_1_0_1_8 - 0.00611198325484143*G0_1_0_1_9 + 0.000741974075307546*G0_1_0_2_0 - 0.000699335937431293*G0_1_0_2_1 - 0.00203309917595665*G0_1_0_2_2 + 0.000598132026703552*G0_1_0_2_3 + 0.00323739752311236*G0_1_0_2_4 - 0.00856349999207284*G0_1_0_2_5 + 0.00669362383648209*G0_1_0_2_6 - 0.0279244564958897*G0_1_0_2_7 + 0.00285999714571191*G0_1_0_2_8 - 0.018149469578044*G0_1_0_2_9 + 0.000319680319680375*G0_1_0_3_0 + 0.00311688311688362*G0_1_0_3_1 + 0.000598132026703556*G0_1_0_3_2 + 0.00565149136577775*G0_1_0_3_3 - 0.000770657913515174*G0_1_0_3_4 + 0.00465249036677688*G0_1_0_3_5 - 0.00236905951191707*G0_1_0_3_6 + 0.00757528186099752*G0_1_0_3_7 - 0.0075296132439002*G0_1_0_3_8 + 0.00318538604252946*G0_1_0_3_9 - 0.00133200133200156*G0_1_0_4_0 - 0.000167451596023035*G0_1_0_4_1 + 0.00323739752311236*G0_1_0_4_2 - 0.000770657913515174*G0_1_0_4_3 - 0.00349364920793552*G0_1_0_4_4 + 0.0125303268160432*G0_1_0_4_5 - 0.0101612673041262*G0_1_0_4_6 + 0.0396175253318177*G0_1_0_4_7 + 0.0293877551020457*G0_1_0_4_9 + 0.00435120435120518*G0_1_0_5_0 - 0.00626611483754446*G0_1_0_5_1 - 0.00856349999207284*G0_1_0_5_2 + 0.00465249036677688*G0_1_0_5_3 + 0.0125303268160432*G0_1_0_5_4 - 0.0310089910089962*G0_1_0_5_5 + 0.0289310689310737*G0_1_0_5_6 - 0.11964035964038*G0_1_0_5_7 + 0.0273326673326719*G0_1_0_5_8 - 0.076243756243769*G0_1_0_5_9 - 0.0024420024420029*G0_1_0_6_0 + 0.00363446077731853*G0_1_0_6_1 + 0.00669362383648209*G0_1_0_6_2 - 0.00236905951191707*G0_1_0_6_3 - 0.0101612673041262*G0_1_0_6_4 + 0.0289310689310737*G0_1_0_6_5 - 0.0212815755672934*G0_1_0_6_6 + 0.0923076923077076*G0_1_0_6_7 - 0.0140088482945649*G0_1_0_6_8 + 0.0591865277579662*G0_1_0_6_9 - 0.0198912198912231*G0_1_0_7_0 - 0.0162047476333218*G0_1_0_7_1 - 0.0279244564958897*G0_1_0_7_2 + 0.00757528186099752*G0_1_0_7_3 + 0.0396175253318177*G0_1_0_7_4 - 0.11964035964038*G0_1_0_7_5 + 0.0923076923077076*G0_1_0_7_6 - 0.624815184815289*G0_1_0_7_7 + 0.0659340659340769*G0_1_0_7_8 - 0.206193806193841*G0_1_0_7_9 + 0.0143412143412167*G0_1_0_8_0 + 0.0104162504162522*G0_1_0_8_1 + 0.00285999714571191*G0_1_0_8_2 - 0.0075296132439002*G0_1_0_8_3 + 0.0273326673326719*G0_1_0_8_5 - 0.0140088482945649*G0_1_0_8_6 + 0.0659340659340769*G0_1_0_8_7 - 0.0684344227201482*G0_1_0_8_8 + 0.0184272869987187*G0_1_0_8_9 + 0.0071928071928084*G0_1_0_9_0 - 0.00611198325484143*G0_1_0_9_1 - 0.018149469578044*G0_1_0_9_2 + 0.00318538604252946*G0_1_0_9_3 + 0.0293877551020457*G0_1_0_9_4 - 0.076243756243769*G0_1_0_9_5 + 0.0591865277579662*G0_1_0_9_6 - 0.206193806193841*G0_1_0_9_7 + 0.0184272869987187*G0_1_0_9_8 - 0.170161267304153*G0_1_0_9_9;
    A[151] = -A[61] + 0.0167024069405051*G0_0_0_0_0 + 0.00303250761584151*G0_0_0_0_1 + 0.00242005128909933*G0_0_0_0_2 + 0.000175399996828617*G0_0_0_0_3 + 0.000919655741084456*G0_0_0_0_4 + 0.0106597767312072*G0_0_0_0_5 - 0.00285337678194871*G0_0_0_0_6 + 0.00550691372120037*G0_0_0_0_7 - 0.00495048602191542*G0_0_0_0_8 + 0.000553256267542097*G0_0_0_0_9 + 0.00303250761584151*G0_0_0_1_0 + 0.110111801778488*G0_0_0_1_1 + 0.00534883326550084*G0_0_0_1_2 + 0.0522463647463737*G0_0_0_1_3 - 0.0202702852702887*G0_0_0_1_4 + 0.000720806970807058*G0_0_0_1_5 + 0.00122363747363769*G0_0_0_1_6 - 0.00837107337107492*G0_0_0_1_7 + 0.0140623265623292*G0_0_0_1_8 + 0.00402430902430975*G0_0_0_1_9 + 0.00242005128909933*G0_0_0_2_0 + 0.00534883326550084*G0_0_0_2_1 + 0.0182152503581106*G0_0_0_2_2 + 0.00394284287141499*G0_0_0_2_3 + 0.00307585271871037*G0_0_0_2_4 - 0.00339822875537217*G0_0_0_2_5 + 0.0112466501752235*G0_0_0_2_6 + 0.00144008769008792*G0_0_0_2_7 - 0.000274150452721905*G0_0_0_2_8 + 0.00262927548641879*G0_0_0_2_9 + 0.000175399996828616*G0_0_0_3_0 + 0.0522463647463737*G0_0_0_3_1 + 0.00394284287141499*G0_0_0_3_2 + 0.067427572427584*G0_0_0_3_3 - 0.0392470029970097*G0_0_0_3_4 + 0.0004573997431141*G0_0_0_3_5 - 0.00727433281004831*G0_0_0_3_6 - 0.00412962037962116*G0_0_0_3_7 + 0.00691058941059074*G0_0_0_3_8 - 0.00381368631368687*G0_0_0_3_9 + 0.000919655741084457*G0_0_0_4_0 - 0.0202702852702887*G0_0_0_4_1 + 0.00307585271871037*G0_0_0_4_2 - 0.0392470029970097*G0_0_0_4_3 + 0.0315513058370253*G0_0_0_4_4 - 0.00636238761238867*G0_0_0_4_5 + 0.013636720422437*G0_0_0_4_6 - 0.00173790495219091*G0_0_0_4_7 - 0.00278096903096958*G0_0_0_4_8 + 0.00483694876552093*G0_0_0_4_9 + 0.0106597767312072*G0_0_0_5_0 + 0.000720806970807058*G0_0_0_5_1 - 0.00339822875537217*G0_0_0_5_2 + 0.0004573997431141*G0_0_0_5_3 - 0.00636238761238867*G0_0_0_5_4 + 0.0589481946624903*G0_0_0_5_5 - 0.0206249108034857*G0_0_0_5_6 + 0.0136895247609556*G0_0_0_5_7 - 0.00576584130155657*G0_0_0_5_8 + 0.00987191380048689*G0_0_0_5_9 - 0.00285337678194871*G0_0_0_6_0 + 0.00122363747363769*G0_0_0_6_1 + 0.0112466501752235*G0_0_0_6_2 - 0.00727433281004831*G0_0_0_6_3 + 0.013636720422437*G0_0_0_6_4 - 0.0206249108034857*G0_0_0_6_5 + 0.0613029827315645*G0_0_0_6_6 - 0.00792368345939906*G0_0_0_6_7 + 0.000377479663194007*G0_0_0_6_8 + 0.00666083916084024*G0_0_0_6_9 + 0.00550691372120037*G0_0_0_7_0 - 0.00837107337107491*G0_0_0_7_1 + 0.00144008769008792*G0_0_0_7_2 - 0.00412962037962115*G0_0_0_7_3 - 0.00173790495219091*G0_0_0_7_4 + 0.0136895247609556*G0_0_0_7_5 - 0.00792368345939906*G0_0_0_7_6 + 0.0239988582845766*G0_0_0_7_7 + 0.00525849150849227*G0_0_0_7_8 + 0.0141875981161719*G0_0_0_7_9 - 0.00495048602191542*G0_0_0_8_0 + 0.0140623265623292*G0_0_0_8_1 - 0.000274150452721905*G0_0_0_8_2 + 0.00691058941059074*G0_0_0_8_3 - 0.00278096903096958*G0_0_0_8_4 - 0.00576584130155657*G0_0_0_8_5 + 0.000377479663194008*G0_0_0_8_6 + 0.00525849150849227*G0_0_0_8_7 - 0.0323726273726325*G0_0_0_8_8 - 0.00651098901099004*G0_0_0_8_9 + 0.000553256267542098*G0_0_0_9_0 + 0.00402430902430975*G0_0_0_9_1 + 0.00262927548641879*G0_0_0_9_2 - 0.00381368631368687*G0_0_0_9_3 + 0.00483694876552093*G0_0_0_9_4 + 0.0098719138004869*G0_0_0_9_5 + 0.00666083916084024*G0_0_0_9_6 + 0.0141875981161719*G0_0_0_9_7 - 0.00651098901099004*G0_0_0_9_8 + 0.048512915655781*G0_0_0_9_9 - 0.00151284341760558*G0_1_0_0_0 - 0.00231632564965939*G0_1_0_0_1 + 0.000449550449550538*G0_1_0_0_3 - 0.000520431949003472*G0_1_0_0_4 - 0.000586873444016392*G0_1_0_0_5 + 0.000544851973423489*G0_1_0_0_6 + 0.00243106100248999*G0_1_0_0_7 - 0.00889332889333041*G0_1_0_0_8 - 0.00207601921887671*G0_1_0_0_9 - 0.00231632564965938*G0_1_0_1_0 + 0.00231632564965937*G0_1_0_1_2 + 0.0381840381840446*G0_1_0_1_3 - 0.0118992118992139*G0_1_0_1_4 - 0.00050283050283057*G0_1_0_1_5 + 0.000502830502830574*G0_1_0_1_6 + 0.0118992118992139*G0_1_0_1_7 - 0.0381840381840447*G0_1_0_1_8 + 0.00231632564965937*G0_1_0_2_1 + 0.00151284341760556*G0_1_0_2_2 + 0.0088933288933304*G0_1_0_2_3 - 0.00243106100248998*G0_1_0_2_4 - 0.000544851973423489*G0_1_0_2_5 + 0.000586873444016391*G0_1_0_2_6 + 0.000520431949003462*G0_1_0_2_7 - 0.00044955044955051*G0_1_0_2_8 + 0.00207601921887673*G0_1_0_2_9 + 0.000449550449550537*G0_1_0_3_0 + 0.0381840381840446*G0_1_0_3_1 + 0.0088933288933304*G0_1_0_3_2 + 0.0998001998002168*G0_1_0_3_3 - 0.0445054945055021*G0_1_0_3_4 - 0.00150849150849178*G0_1_0_3_6 - 0.00134865134865161*G0_1_0_3_7 + 0.00269730269730323*G0_1_0_3_9 - 0.000520431949003472*G0_1_0_4_0 - 0.0118992118992139*G0_1_0_4_1 - 0.00243106100248998*G0_1_0_4_2 - 0.0445054945055021*G0_1_0_4_3 + 0.00755244755244882*G0_1_0_4_4 + 0.00156129584701039*G0_1_0_4_5 + 0.00134865134865154*G0_1_0_4_8 - 0.00935064935065097*G0_1_0_4_9 - 0.000586873444016392*G0_1_0_5_0 - 0.00050283050283057*G0_1_0_5_1 - 0.000544851973423489*G0_1_0_5_2 + 0.00156129584701039*G0_1_0_5_4 - 0.00235478806907416*G0_1_0_5_5 + 0.00150849150849179*G0_1_0_5_8 + 0.00321107463964661*G0_1_0_5_9 + 0.000544851973423489*G0_1_0_6_0 + 0.000502830502830574*G0_1_0_6_1 + 0.000586873444016391*G0_1_0_6_2 - 0.00150849150849178*G0_1_0_6_3 + 0.00235478806907417*G0_1_0_6_6 - 0.00156129584701039*G0_1_0_6_7 - 0.00321107463964662*G0_1_0_6_9 + 0.00243106100248999*G0_1_0_7_0 + 0.0118992118992139*G0_1_0_7_1 + 0.000520431949003462*G0_1_0_7_2 - 0.00134865134865161*G0_1_0_7_3 - 0.00156129584701039*G0_1_0_7_6 - 0.00755244755244884*G0_1_0_7_7 + 0.0445054945055021*G0_1_0_7_8 + 0.00935064935065093*G0_1_0_7_9 - 0.00889332889333041*G0_1_0_8_0 - 0.0381840381840447*G0_1_0_8_1 - 0.00044955044955051*G0_1_0_8_2 + 0.00134865134865154*G0_1_0_8_4 + 0.00150849150849179*G0_1_0_8_5 + 0.0445054945055021*G0_1_0_8_7 - 0.0998001998002166*G0_1_0_8_8 - 0.00269730269730311*G0_1_0_8_9 - 0.00207601921887671*G0_1_0_9_0 + 0.00207601921887673*G0_1_0_9_2 + 0.00269730269730323*G0_1_0_9_3 - 0.00935064935065097*G0_1_0_9_4 + 0.00321107463964661*G0_1_0_9_5 - 0.00321107463964662*G0_1_0_9_6 + 0.00935064935065093*G0_1_0_9_7 - 0.00269730269730311*G0_1_0_9_8;
    A[102] = A[186] - 0.0996139662806495*G0_0_1_0_0 - 0.00889382222715704*G0_0_1_0_1 - 0.00790123456790255*G0_0_1_0_2 + 0.00426240426240498*G0_0_1_0_3 + 0.00175824175824205*G0_0_1_0_4 - 0.0919968919969073*G0_0_1_0_5 + 0.0332112332112387*G0_0_1_0_6 - 0.0745920745920869*G0_0_1_0_7 + 0.0378288378288441*G0_0_1_0_8 - 0.0223776223776262*G0_0_1_0_9 - 0.00889382222715704*G0_0_1_1_0 - 0.000519832900785404*G0_0_1_1_1 - 0.0017221579126344*G0_0_1_1_2 - 0.00123558980701862*G0_0_1_1_3 + 0.000446537589394828*G0_0_1_1_4 + 0.008296465439324*G0_0_1_1_5 + 0.00634793777651026*G0_0_1_1_6 - 0.0125233496662089*G0_0_1_1_7 + 0.00363572935001562*G0_0_1_1_8 + 0.00544978830693207*G0_0_1_1_9 - 0.00790123456790255*G0_0_1_2_0 - 0.0017221579126344*G0_0_1_2_1 - 0.00667776667776778*G0_0_1_2_2 + 0.00257266542980871*G0_0_1_2_3 - 0.00298368298368347*G0_0_1_2_4 - 0.0129851101279694*G0_0_1_2_5 + 0.00234432234432273*G0_0_1_2_6 - 0.0171181199752657*G0_0_1_2_7 + 0.00535845107273767*G0_0_1_2_8 - 0.00983397554826289*G0_0_1_2_9 + 0.00426240426240498*G0_0_1_3_0 - 0.00123558980701862*G0_0_1_3_1 + 0.00257266542980871*G0_0_1_3_2 - 0.0022834308548603*G0_0_1_3_3 + 0.00162123590695048*G0_0_1_3_4 - 0.0255287569573326*G0_0_1_3_5 - 0.00566290852005229*G0_0_1_3_6 + 0.000593692022263621*G0_0_1_3_7 + 0.00210075638647098*G0_0_1_3_8 - 0.0175367489653234*G0_0_1_3_9 + 0.00175824175824205*G0_0_1_4_0 + 0.000446537589394828*G0_0_1_4_1 - 0.00298368298368347*G0_0_1_4_2 + 0.00162123590695047*G0_0_1_4_3 - 0.0191351505637255*G0_0_1_4_4 + 0.00810617953475232*G0_0_1_4_5 - 0.00244327101470005*G0_0_1_4_6 + 0.0163493649207962*G0_0_1_4_7 - 0.00269444840873457*G0_0_1_4_8 + 0.013289567575284*G0_0_1_4_9 - 0.0919968919969073*G0_0_1_5_0 + 0.008296465439324*G0_0_1_5_1 - 0.0129851101279694*G0_0_1_5_2 - 0.0255287569573326*G0_0_1_5_3 + 0.00810617953475232*G0_0_1_5_4 + 0.372107892107955*G0_0_1_5_5 + 0.0652147852147962*G0_0_1_5_6 - 0.0532267732267819*G0_0_1_5_7 - 0.0115084915084936*G0_0_1_5_8 + 0.0901498501498654*G0_0_1_5_9 + 0.0332112332112387*G0_0_1_6_0 + 0.00634793777651026*G0_0_1_6_1 + 0.00234432234432273*G0_0_1_6_2 - 0.00566290852005229*G0_0_1_6_3 - 0.00244327101470004*G0_0_1_6_4 + 0.0652147852147962*G0_0_1_6_5 + 0.0131525617239925*G0_0_1_6_6 + 0.0647352647352755*G0_0_1_6_7 - 0.0242500356786111*G0_0_1_6_8 + 0.0408277436848933*G0_0_1_6_9 - 0.0745920745920869*G0_0_1_7_0 - 0.0125233496662089*G0_0_1_7_1 - 0.0171181199752657*G0_0_1_7_2 + 0.00059369202226362*G0_0_1_7_3 + 0.0163493649207962*G0_0_1_7_4 - 0.0532267732267819*G0_0_1_7_5 + 0.0647352647352755*G0_0_1_7_6 - 0.230489510489548*G0_0_1_7_7 + 0.0615384615384717*G0_0_1_7_8 - 0.0623376623376727*G0_0_1_7_9 + 0.0378288378288441*G0_0_1_8_0 + 0.00363572935001562*G0_0_1_8_1 + 0.00535845107273767*G0_0_1_8_2 + 0.00210075638647097*G0_0_1_8_3 - 0.00269444840873457*G0_0_1_8_4 - 0.0115084915084936*G0_0_1_8_5 - 0.0242500356786111*G0_0_1_8_6 + 0.0615384615384717*G0_0_1_8_7 - 0.0245697159982914*G0_0_1_8_8 - 0.0109604681033271*G0_0_1_8_9 - 0.0223776223776262*G0_0_1_9_0 + 0.00544978830693207*G0_0_1_9_1 - 0.0098339755482629*G0_0_1_9_2 - 0.0175367489653234*G0_0_1_9_3 + 0.013289567575284*G0_0_1_9_4 + 0.0901498501498655*G0_0_1_9_5 + 0.0408277436848933*G0_0_1_9_6 - 0.0623376623376727*G0_0_1_9_7 - 0.0109604681033271*G0_0_1_9_8 + 0.00657628086199633*G0_0_1_9_9 + 0.0996139662806495*G0_1_0_0_0 + 0.00889382222715704*G0_1_0_0_1 + 0.00790123456790255*G0_1_0_0_2 - 0.00426240426240498*G0_1_0_0_3 - 0.00175824175824205*G0_1_0_0_4 + 0.0919968919969073*G0_1_0_0_5 - 0.0332112332112387*G0_1_0_0_6 + 0.0745920745920869*G0_1_0_0_7 - 0.0378288378288441*G0_1_0_0_8 + 0.0223776223776262*G0_1_0_0_9 + 0.00889382222715704*G0_1_0_1_0 + 0.000519832900785404*G0_1_0_1_1 + 0.00172215791263439*G0_1_0_1_2 + 0.00123558980701862*G0_1_0_1_3 - 0.000446537589394828*G0_1_0_1_4 - 0.00829646543932401*G0_1_0_1_5 - 0.00634793777651026*G0_1_0_1_6 + 0.0125233496662089*G0_1_0_1_7 - 0.00363572935001562*G0_1_0_1_8 - 0.00544978830693208*G0_1_0_1_9 + 0.00790123456790255*G0_1_0_2_0 + 0.00172215791263439*G0_1_0_2_1 + 0.00667776667776778*G0_1_0_2_2 - 0.00257266542980871*G0_1_0_2_3 + 0.00298368298368347*G0_1_0_2_4 + 0.0129851101279694*G0_1_0_2_5 - 0.00234432234432273*G0_1_0_2_6 + 0.0171181199752657*G0_1_0_2_7 - 0.00535845107273767*G0_1_0_2_8 + 0.0098339755482629*G0_1_0_2_9 - 0.00426240426240498*G0_1_0_3_0 + 0.00123558980701862*G0_1_0_3_1 - 0.00257266542980871*G0_1_0_3_2 + 0.0022834308548603*G0_1_0_3_3 - 0.00162123590695049*G0_1_0_3_4 + 0.0255287569573326*G0_1_0_3_5 + 0.00566290852005229*G0_1_0_3_6 - 0.000593692022263621*G0_1_0_3_7 - 0.00210075638647098*G0_1_0_3_8 + 0.0175367489653234*G0_1_0_3_9 - 0.00175824175824205*G0_1_0_4_0 - 0.000446537589394828*G0_1_0_4_1 + 0.00298368298368347*G0_1_0_4_2 - 0.00162123590695048*G0_1_0_4_3 + 0.0191351505637255*G0_1_0_4_4 - 0.00810617953475232*G0_1_0_4_5 + 0.00244327101470004*G0_1_0_4_6 - 0.0163493649207962*G0_1_0_4_7 + 0.00269444840873457*G0_1_0_4_8 - 0.013289567575284*G0_1_0_4_9 + 0.0919968919969073*G0_1_0_5_0 - 0.008296465439324*G0_1_0_5_1 + 0.0129851101279694*G0_1_0_5_2 + 0.0255287569573326*G0_1_0_5_3 - 0.00810617953475232*G0_1_0_5_4 - 0.372107892107955*G0_1_0_5_5 - 0.0652147852147962*G0_1_0_5_6 + 0.0532267732267819*G0_1_0_5_7 + 0.0115084915084936*G0_1_0_5_8 - 0.0901498501498655*G0_1_0_5_9 - 0.0332112332112387*G0_1_0_6_0 - 0.00634793777651026*G0_1_0_6_1 - 0.00234432234432273*G0_1_0_6_2 + 0.00566290852005229*G0_1_0_6_3 + 0.00244327101470004*G0_1_0_6_4 - 0.0652147852147962*G0_1_0_6_5 - 0.0131525617239925*G0_1_0_6_6 - 0.0647352647352755*G0_1_0_6_7 + 0.0242500356786111*G0_1_0_6_8 - 0.0408277436848933*G0_1_0_6_9 + 0.0745920745920869*G0_1_0_7_0 + 0.0125233496662089*G0_1_0_7_1 + 0.0171181199752657*G0_1_0_7_2 - 0.000593692022263621*G0_1_0_7_3 - 0.0163493649207962*G0_1_0_7_4 + 0.0532267732267819*G0_1_0_7_5 - 0.0647352647352755*G0_1_0_7_6 + 0.230489510489548*G0_1_0_7_7 - 0.0615384615384717*G0_1_0_7_8 + 0.0623376623376727*G0_1_0_7_9 - 0.0378288378288441*G0_1_0_8_0 - 0.00363572935001562*G0_1_0_8_1 - 0.00535845107273767*G0_1_0_8_2 - 0.00210075638647097*G0_1_0_8_3 + 0.00269444840873457*G0_1_0_8_4 + 0.0115084915084936*G0_1_0_8_5 + 0.0242500356786111*G0_1_0_8_6 - 0.0615384615384717*G0_1_0_8_7 + 0.0245697159982914*G0_1_0_8_8 + 0.0109604681033271*G0_1_0_8_9 + 0.0223776223776262*G0_1_0_9_0 - 0.00544978830693207*G0_1_0_9_1 + 0.0098339755482629*G0_1_0_9_2 + 0.0175367489653234*G0_1_0_9_3 - 0.013289567575284*G0_1_0_9_4 - 0.0901498501498655*G0_1_0_9_5 - 0.0408277436848933*G0_1_0_9_6 + 0.0623376623376727*G0_1_0_9_7 + 0.0109604681033271*G0_1_0_9_8 - 0.0065762808619963*G0_1_0_9_9;
    A[189] = A[102] + 0.167102033768729*G0_0_0_0_0 + 0.00995012042631255*G0_0_0_0_1 + 0.0220593515831649*G0_0_0_0_2 - 0.00929610072467373*G0_0_0_0_3 + 0.00132185275042441*G0_0_0_0_4 + 0.24808968808973*G0_0_0_0_5 - 0.10275946275948*G0_0_0_0_6 + 0.0769186369186497*G0_0_0_0_7 - 0.0455722055722132*G0_0_0_0_8 + 0.0236563436563477*G0_0_0_0_9 + 0.00995012042631255*G0_0_0_1_0 - 0.00886760505808285*G0_0_0_1_1 + 0.00236997570330944*G0_0_0_1_2 - 0.0236791779648963*G0_0_0_1_3 + 0.0112953712953732*G0_0_0_1_4 + 0.0498295355438296*G0_0_0_1_5 - 0.00854256854256995*G0_0_0_1_6 + 0.0188763617335077*G0_0_0_1_7 - 0.0155958327386925*G0_0_0_1_8 + 0.022956091527524*G0_0_0_1_9 + 0.0220593515831649*G0_0_0_2_0 + 0.00236997570330944*G0_0_0_2_1 + 0.0124793724793747*G0_0_0_2_2 - 0.0132540475397641*G0_0_0_2_3 + 0.0148017062302803*G0_0_0_2_4 + 0.0635910121624515*G0_0_0_2_5 - 0.0262391576677335*G0_0_0_2_6 + 0.0225882054453521*G0_0_0_2_7 - 0.0137944595087475*G0_0_0_2_8 + 0.00898149469578197*G0_0_0_2_9 - 0.00929610072467373*G0_0_0_3_0 - 0.0236791779648963*G0_0_0_3_1 - 0.0132540475397641*G0_0_0_3_2 - 0.0987812187812352*G0_0_0_3_3 + 0.00335664335664387*G0_0_0_3_4 - 0.0469016697588203*G0_0_0_3_5 - 0.00216925931211684*G0_0_0_3_6 - 0.0136777508206103*G0_0_0_3_8 - 0.0690509490509606*G0_0_0_3_9 + 0.00132185275042441*G0_0_0_4_0 + 0.0112953712953732*G0_0_0_4_1 + 0.0148017062302803*G0_0_0_4_2 + 0.00335664335664388*G0_0_0_4_3 + 0.108782645925522*G0_0_0_4_4 - 0.0317625231911001*G0_0_0_4_5 + 0.0339317825032169*G0_0_0_4_6 - 0.0219666048237514*G0_0_0_4_7 + 0.0135864135864159*G0_0_0_4_8 + 0.0365805622948541*G0_0_0_4_9 + 0.24808968808973*G0_0_0_5_0 + 0.0498295355438296*G0_0_0_5_1 + 0.0635910121624515*G0_0_0_5_2 - 0.0469016697588203*G0_0_0_5_3 - 0.0317625231911001*G0_0_0_5_4 + 1.47340659340684*G0_0_0_5_5 - 0.304997859283625*G0_0_0_5_6 + 0.272847152847198*G0_0_0_5_7 - 0.177285571571316*G0_0_0_5_8 + 0.283602112173589*G0_0_0_5_9 - 0.10275946275948*G0_0_0_6_0 - 0.00854256854256995*G0_0_0_6_1 - 0.0262391576677335*G0_0_0_6_2 - 0.00216925931211684*G0_0_0_6_3 + 0.0339317825032169*G0_0_0_6_4 - 0.304997859283625*G0_0_0_6_5 + 0.173084058798374*G0_0_0_6_6 - 0.0955615812758829*G0_0_0_6_7 + 0.0474040245468896*G0_0_0_6_8 - 0.0226059654631122*G0_0_0_6_9 + 0.0769186369186497*G0_0_0_7_0 + 0.0188763617335077*G0_0_0_7_1 + 0.0225882054453521*G0_0_0_7_2 - 0.0219666048237514*G0_0_0_7_4 + 0.272847152847198*G0_0_0_7_5 - 0.0955615812758829*G0_0_0_7_6 + 0.141938061938086*G0_0_0_7_7 - 0.0528842585985531*G0_0_0_7_8 + 0.120154131582723*G0_0_0_7_9 - 0.0455722055722132*G0_0_0_8_0 - 0.0155958327386925*G0_0_0_8_1 - 0.0137944595087475*G0_0_0_8_2 - 0.0136777508206103*G0_0_0_8_3 + 0.0135864135864159*G0_0_0_8_4 - 0.177285571571316*G0_0_0_8_5 + 0.0474040245468896*G0_0_0_8_6 - 0.0528842585985531*G0_0_0_8_7 + 0.0112344798059103*G0_0_0_8_8 - 0.0960411017554037*G0_0_0_8_9 + 0.0236563436563477*G0_0_0_9_0 + 0.022956091527524*G0_0_0_9_1 + 0.00898149469578197*G0_0_0_9_2 - 0.0690509490509606*G0_0_0_9_3 + 0.0365805622948541*G0_0_0_9_4 + 0.283602112173589*G0_0_0_9_5 - 0.0226059654631122*G0_0_0_9_6 + 0.120154131582723*G0_0_0_9_7 - 0.0960411017554037*G0_0_0_9_8 + 0.162762951334407*G0_0_0_9_9 + 0.000843177986035263*G0_0_1_0_1 - 0.000843177986035265*G0_0_1_0_2 - 0.0063479377765103*G0_0_1_0_3 + 0.0063479377765103*G0_0_1_0_4 - 0.00232656232656273*G0_0_1_0_5 + 0.00710400710400831*G0_0_1_0_6 + 0.0023265623265627*G0_0_1_0_7 - 0.00710400710400826*G0_0_1_0_8 + 0.000843177986035263*G0_0_1_1_0 - 0.0133318533318557*G0_0_1_1_1 - 0.0204544661687554*G0_0_1_1_3 + 0.0134012019726329*G0_0_1_1_4 - 0.0096360782075084*G0_0_1_1_5 + 0.00363065505922711*G0_0_1_1_6 + 0.00218701932987682*G0_0_1_1_7 - 0.00298875727447206*G0_0_1_1_8 + 0.000182674468388771*G0_0_1_1_9 - 0.000843177986035265*G0_0_1_2_0 + 0.0133318533318556*G0_0_1_2_2 - 0.0134012019726328*G0_0_1_2_3 + 0.0204544661687554*G0_0_1_2_4 - 0.00218701932987686*G0_0_1_2_5 + 0.00298875727447208*G0_0_1_2_6 + 0.00963607820750836*G0_0_1_2_7 - 0.00363065505922709*G0_0_1_2_8 - 0.000182674468388797*G0_0_1_2_9 - 0.0063479377765103*G0_0_1_3_0 - 0.0204544661687554*G0_0_1_3_1 - 0.0134012019726328*G0_0_1_3_2 - 0.115906950192684*G0_0_1_3_3 + 0.023976023976028*G0_0_1_3_5 - 0.0108919651776813*G0_0_1_3_6 + 0.0190438133295308*G0_0_1_3_7 - 0.0299357785072121*G0_0_1_3_8 - 0.0386356500642281*G0_0_1_3_9 + 0.0063479377765103*G0_0_1_4_0 + 0.0134012019726329*G0_0_1_4_1 + 0.0204544661687554*G0_0_1_4_2 + 0.115906950192684*G0_0_1_4_4 - 0.0190438133295308*G0_0_1_4_5 + 0.0299357785072122*G0_0_1_4_6 - 0.023976023976028*G0_0_1_4_7 + 0.0108919651776813*G0_0_1_4_8 + 0.038635650064228*G0_0_1_4_9 - 0.00232656232656273*G0_0_1_5_0 - 0.00963607820750839*G0_0_1_5_1 - 0.00218701932987686*G0_0_1_5_2 + 0.023976023976028*G0_0_1_5_3 - 0.0190438133295308*G0_0_1_5_4 - 0.131068931068953*G0_0_1_5_5 - 0.00673612102183642*G0_0_1_5_6 + 0.0289082346225252*G0_0_1_5_8 - 0.0578164692450504*G0_0_1_5_9 + 0.00710400710400831*G0_0_1_6_0 + 0.00363065505922711*G0_0_1_6_1 + 0.00298875727447208*G0_0_1_6_2 - 0.0108919651776813*G0_0_1_6_3 + 0.0299357785072121*G0_0_1_6_4 - 0.00673612102183642*G0_0_1_6_5 + 0.0345711431425775*G0_0_1_6_6 - 0.0289082346225251*G0_0_1_6_7 + 0.022331953760529*G0_0_1_6_9 + 0.0023265623265627*G0_0_1_7_0 + 0.00218701932987683*G0_0_1_7_1 + 0.00963607820750836*G0_0_1_7_2 + 0.0190438133295308*G0_0_1_7_3 - 0.023976023976028*G0_0_1_7_4 - 0.0289082346225251*G0_0_1_7_6 + 0.131068931068952*G0_0_1_7_7 + 0.0067361210218365*G0_0_1_7_8 + 0.0578164692450502*G0_0_1_7_9 - 0.00710400710400826*G0_0_1_8_0 - 0.00298875727447207*G0_0_1_8_1 - 0.00363065505922709*G0_0_1_8_2 - 0.0299357785072121*G0_0_1_8_3 + 0.0108919651776813*G0_0_1_8_4 + 0.0289082346225252*G0_0_1_8_5 + 0.00673612102183648*G0_0_1_8_7 - 0.0345711431425776*G0_0_1_8_8 - 0.0223319537605289*G0_0_1_8_9 + 0.00018267446838877*G0_0_1_9_1 - 0.000182674468388796*G0_0_1_9_2 - 0.0386356500642281*G0_0_1_9_3 + 0.038635650064228*G0_0_1_9_4 - 0.0578164692450504*G0_0_1_9_5 + 0.022331953760529*G0_0_1_9_6 + 0.0578164692450503*G0_0_1_9_7 - 0.0223319537605289*G0_0_1_9_8 - 0.000149409673219201*G0_1_0_0_1 + 0.000149409673219224*G0_1_0_0_2 - 0.00384377527234739*G0_1_0_0_3 + 0.00384377527234738*G0_1_0_0_4 - 0.019731379731383*G0_1_0_0_5 + 0.00248640248640292*G0_1_0_0_6 + 0.0197313797313832*G0_1_0_0_7 - 0.00248640248640301*G0_1_0_0_8 - 0.000149409673219202*G0_1_0_1_0 - 0.00717391955487319*G0_1_0_1_1 - 0.0187063729920905*G0_1_0_1_3 + 0.0112750741322189*G0_1_0_1_4 + 0.0157785072070813*G0_1_0_1_5 + 0.00462014176299969*G0_1_0_1_6 + 0.00264877979163743*G0_1_0_1_7 - 0.00169735026877916*G0_1_0_1_8 + 0.0154664383235838*G0_1_0_1_9 + 0.000149409673219224*G0_1_0_2_0 + 0.00717391955487325*G0_1_0_2_2 - 0.0112750741322189*G0_1_0_2_3 + 0.0187063729920906*G0_1_0_2_4 - 0.00264877979163737*G0_1_0_2_5 + 0.00169735026877915*G0_1_0_2_6 - 0.0157785072070812*G0_1_0_2_7 - 0.00462014176299968*G0_1_0_2_8 - 0.0154664383235837*G0_1_0_2_9 - 0.00384377527234739*G0_1_0_3_0 - 0.0187063729920905*G0_1_0_3_1 - 0.0112750741322189*G0_1_0_3_2 - 0.0990552304838189*G0_1_0_3_3 - 0.0179020979021008*G0_1_0_3_5 - 0.013860425288999*G0_1_0_3_6 + 0.0115313258170421*G0_1_0_3_7 - 0.0253917511060411*G0_1_0_3_8 - 0.0694619666048354*G0_1_0_3_9 + 0.00384377527234738*G0_1_0_4_0 + 0.0112750741322189*G0_1_0_4_1 + 0.0187063729920906*G0_1_0_4_2 + 0.099055230483819*G0_1_0_4_4 - 0.0115313258170421*G0_1_0_4_5 + 0.0253917511060411*G0_1_0_4_6 + 0.0179020979021009*G0_1_0_4_7 + 0.013860425288999*G0_1_0_4_8 + 0.0694619666048354*G0_1_0_4_9 - 0.019731379731383*G0_1_0_5_0 + 0.0157785072070813*G0_1_0_5_1 - 0.00264877979163737*G0_1_0_5_2 - 0.0179020979021008*G0_1_0_5_3 - 0.0115313258170421*G0_1_0_5_4 + 0.471528471528551*G0_1_0_5_5 - 0.00305979734551202*G0_1_0_5_6 - 0.047335521621244*G0_1_0_5_8 + 0.094671043242488*G0_1_0_5_9 + 0.00248640248640292*G0_1_0_6_0 + 0.00462014176299969*G0_1_0_6_1 + 0.00169735026877915*G0_1_0_6_2 - 0.013860425288999*G0_1_0_6_3 + 0.0253917511060411*G0_1_0_6_4 - 0.00305979734551203*G0_1_0_6_5 + 0.0722934208648616*G0_1_0_6_6 + 0.0473355216212437*G0_1_0_6_7 + 0.0741201655487493*G0_1_0_6_9 + 0.0197313797313832*G0_1_0_7_0 + 0.00264877979163743*G0_1_0_7_1 - 0.0157785072070812*G0_1_0_7_2 + 0.0115313258170421*G0_1_0_7_3 + 0.0179020979021009*G0_1_0_7_4 + 0.0473355216212437*G0_1_0_7_6 - 0.47152847152855*G0_1_0_7_7 + 0.00305979734551197*G0_1_0_7_8 - 0.0946710432424877*G0_1_0_7_9 - 0.002486402486403*G0_1_0_8_0 - 0.00169735026877916*G0_1_0_8_1 - 0.00462014176299968*G0_1_0_8_2 - 0.0253917511060411*G0_1_0_8_3 + 0.013860425288999*G0_1_0_8_4 - 0.047335521621244*G0_1_0_8_5 + 0.00305979734551196*G0_1_0_8_7 - 0.0722934208648613*G0_1_0_8_8 - 0.0741201655487495*G0_1_0_8_9 + 0.0154664383235838*G0_1_0_9_1 - 0.0154664383235837*G0_1_0_9_2 - 0.0694619666048354*G0_1_0_9_3 + 0.0694619666048354*G0_1_0_9_4 + 0.094671043242488*G0_1_0_9_5 + 0.0741201655487493*G0_1_0_9_6 - 0.0946710432424877*G0_1_0_9_7 - 0.0741201655487495*G0_1_0_9_8 - 0.167102033768729*G0_1_1_0_0 - 0.0220593515831648*G0_1_1_0_1 - 0.00995012042631255*G0_1_1_0_2 - 0.00132185275042435*G0_1_1_0_3 + 0.00929610072467372*G0_1_1_0_4 - 0.0769186369186498*G0_1_1_0_5 + 0.0455722055722132*G0_1_1_0_6 - 0.24808968808973*G0_1_1_0_7 + 0.10275946275948*G0_1_1_0_8 - 0.0236563436563478*G0_1_1_0_9 - 0.0220593515831648*G0_1_1_1_0 - 0.0124793724793746*G0_1_1_1_1 - 0.00236997570330943*G0_1_1_1_2 - 0.0148017062302802*G0_1_1_1_3 + 0.0132540475397641*G0_1_1_1_4 - 0.0225882054453521*G0_1_1_1_5 + 0.0137944595087475*G0_1_1_1_6 - 0.0635910121624514*G0_1_1_1_7 + 0.0262391576677335*G0_1_1_1_8 - 0.00898149469578195*G0_1_1_1_9 - 0.00995012042631255*G0_1_1_2_0 - 0.00236997570330943*G0_1_1_2_1 + 0.00886760505808283*G0_1_1_2_2 - 0.0112953712953732*G0_1_1_2_3 + 0.0236791779648963*G0_1_1_2_4 - 0.0188763617335077*G0_1_1_2_5 + 0.0155958327386925*G0_1_1_2_6 - 0.0498295355438296*G0_1_1_2_7 + 0.00854256854256997*G0_1_1_2_8 - 0.0229560915275239*G0_1_1_2_9 - 0.00132185275042435*G0_1_1_3_0 - 0.0148017062302802*G0_1_1_3_1 - 0.0112953712953732*G0_1_1_3_2 - 0.108782645925522*G0_1_1_3_3 - 0.003356643356644*G0_1_1_3_4 + 0.0219666048237514*G0_1_1_3_5 - 0.0135864135864159*G0_1_1_3_6 + 0.0317625231911003*G0_1_1_3_7 - 0.0339317825032169*G0_1_1_3_8 - 0.0365805622948542*G0_1_1_3_9 + 0.00929610072467372*G0_1_1_4_0 + 0.0132540475397641*G0_1_1_4_1 + 0.0236791779648963*G0_1_1_4_2 - 0.00335664335664401*G0_1_1_4_3 + 0.0987812187812354*G0_1_1_4_4 + 0.0136777508206103*G0_1_1_4_6 + 0.0469016697588205*G0_1_1_4_7 + 0.0021692593121168*G0_1_1_4_8 + 0.0690509490509606*G0_1_1_4_9 - 0.0769186369186498*G0_1_1_5_0 - 0.0225882054453521*G0_1_1_5_1 - 0.0188763617335077*G0_1_1_5_2 + 0.0219666048237514*G0_1_1_5_3 - 0.141938061938085*G0_1_1_5_5 + 0.0528842585985531*G0_1_1_5_6 - 0.272847152847198*G0_1_1_5_7 + 0.0955615812758829*G0_1_1_5_8 - 0.120154131582723*G0_1_1_5_9 + 0.0455722055722132*G0_1_1_6_0 + 0.0137944595087475*G0_1_1_6_1 + 0.0155958327386925*G0_1_1_6_2 - 0.0135864135864159*G0_1_1_6_3 + 0.0136777508206103*G0_1_1_6_4 + 0.0528842585985531*G0_1_1_6_5 - 0.0112344798059101*G0_1_1_6_6 + 0.177285571571315*G0_1_1_6_7 - 0.0474040245468896*G0_1_1_6_8 + 0.0960411017554036*G0_1_1_6_9 - 0.24808968808973*G0_1_1_7_0 - 0.0635910121624514*G0_1_1_7_1 - 0.0498295355438296*G0_1_1_7_2 + 0.0317625231911003*G0_1_1_7_3 + 0.0469016697588205*G0_1_1_7_4 - 0.272847152847198*G0_1_1_7_5 + 0.177285571571315*G0_1_1_7_6 - 1.47340659340684*G0_1_1_7_7 + 0.304997859283625*G0_1_1_7_8 - 0.283602112173589*G0_1_1_7_9 + 0.10275946275948*G0_1_1_8_0 + 0.0262391576677335*G0_1_1_8_1 + 0.00854256854256997*G0_1_1_8_2 - 0.0339317825032169*G0_1_1_8_3 + 0.0021692593121168*G0_1_1_8_4 + 0.095561581275883*G0_1_1_8_5 - 0.0474040245468896*G0_1_1_8_6 + 0.304997859283625*G0_1_1_8_7 - 0.173084058798373*G0_1_1_8_8 + 0.0226059654631123*G0_1_1_8_9 - 0.0236563436563478*G0_1_1_9_0 - 0.00898149469578195*G0_1_1_9_1 - 0.0229560915275239*G0_1_1_9_2 - 0.0365805622948542*G0_1_1_9_3 + 0.0690509490509606*G0_1_1_9_4 - 0.120154131582723*G0_1_1_9_5 + 0.0960411017554036*G0_1_1_9_6 - 0.283602112173589*G0_1_1_9_7 + 0.0226059654631123*G0_1_1_9_8 - 0.162762951334407*G0_1_1_9_9;
    A[147] = A[189] + 0.0996139662806497*G0_0_1_0_0 + 0.00790123456790257*G0_0_1_0_1 + 0.00889382222715704*G0_0_1_0_2 - 0.00175824175824207*G0_0_1_0_3 - 0.00426240426240497*G0_0_1_0_4 + 0.074592074592087*G0_0_1_0_5 - 0.0378288378288441*G0_0_1_0_6 + 0.0919968919969074*G0_0_1_0_7 - 0.0332112332112388*G0_0_1_0_8 + 0.0223776223776262*G0_0_1_0_9 + 0.00790123456790257*G0_0_1_1_0 + 0.00667776667776788*G0_0_1_1_1 + 0.0017221579126344*G0_0_1_1_2 + 0.00298368298368352*G0_0_1_1_3 - 0.00257266542980874*G0_0_1_1_4 + 0.0171181199752657*G0_0_1_1_5 - 0.00535845107273768*G0_0_1_1_6 + 0.0129851101279695*G0_0_1_1_7 - 0.00234432234432271*G0_0_1_1_8 + 0.00983397554826294*G0_0_1_1_9 + 0.00889382222715704*G0_0_1_2_0 + 0.0017221579126344*G0_0_1_2_1 + 0.0005198329007854*G0_0_1_2_2 - 0.000446537589394818*G0_0_1_2_3 + 0.0012355898070186*G0_0_1_2_4 + 0.0125233496662089*G0_0_1_2_5 - 0.00363572935001566*G0_0_1_2_6 - 0.00829646543932395*G0_0_1_2_7 - 0.00634793777651026*G0_0_1_2_8 - 0.00544978830693205*G0_0_1_2_9 - 0.00175824175824207*G0_0_1_3_0 + 0.00298368298368352*G0_0_1_3_1 - 0.000446537589394816*G0_0_1_3_2 + 0.0191351505637255*G0_0_1_3_3 - 0.00162123590695049*G0_0_1_3_4 - 0.0163493649207962*G0_0_1_3_5 + 0.00269444840873455*G0_0_1_3_6 - 0.0081061795347523*G0_0_1_3_7 + 0.0024432710147001*G0_0_1_3_8 - 0.013289567575284*G0_0_1_3_9 - 0.00426240426240497*G0_0_1_4_0 - 0.00257266542980874*G0_0_1_4_1 + 0.0012355898070186*G0_0_1_4_2 - 0.00162123590695049*G0_0_1_4_3 + 0.00228343085486019*G0_0_1_4_4 - 0.000593692022263616*G0_0_1_4_5 - 0.00210075638647097*G0_0_1_4_6 + 0.0255287569573326*G0_0_1_4_7 + 0.00566290852005231*G0_0_1_4_8 + 0.0175367489653233*G0_0_1_4_9 + 0.074592074592087*G0_0_1_5_0 + 0.0171181199752657*G0_0_1_5_1 + 0.0125233496662089*G0_0_1_5_2 - 0.0163493649207962*G0_0_1_5_3 - 0.000593692022263616*G0_0_1_5_4 + 0.230489510489549*G0_0_1_5_5 - 0.0615384615384718*G0_0_1_5_6 + 0.0532267732267822*G0_0_1_5_7 - 0.0647352647352756*G0_0_1_5_8 + 0.062337662337673*G0_0_1_5_9 - 0.0378288378288441*G0_0_1_6_0 - 0.00535845107273768*G0_0_1_6_1 - 0.00363572935001566*G0_0_1_6_2 + 0.00269444840873455*G0_0_1_6_3 - 0.00210075638647097*G0_0_1_6_4 - 0.0615384615384718*G0_0_1_6_5 + 0.0245697159982916*G0_0_1_6_6 + 0.0115084915084934*G0_0_1_6_7 + 0.0242500356786112*G0_0_1_6_8 + 0.010960468103327*G0_0_1_6_9 + 0.0919968919969074*G0_0_1_7_0 + 0.0129851101279695*G0_0_1_7_1 - 0.00829646543932395*G0_0_1_7_2 - 0.0081061795347523*G0_0_1_7_3 + 0.0255287569573326*G0_0_1_7_4 + 0.0532267732267822*G0_0_1_7_5 + 0.0115084915084934*G0_0_1_7_6 - 0.372107892107955*G0_0_1_7_7 - 0.0652147852147963*G0_0_1_7_8 - 0.0901498501498653*G0_0_1_7_9 - 0.0332112332112388*G0_0_1_8_0 - 0.00234432234432271*G0_0_1_8_1 - 0.00634793777651026*G0_0_1_8_2 + 0.00244327101470009*G0_0_1_8_3 + 0.00566290852005231*G0_0_1_8_4 - 0.0647352647352756*G0_0_1_8_5 + 0.0242500356786112*G0_0_1_8_6 - 0.0652147852147962*G0_0_1_8_7 - 0.0131525617239922*G0_0_1_8_8 - 0.0408277436848934*G0_0_1_8_9 + 0.0223776223776262*G0_0_1_9_0 + 0.00983397554826295*G0_0_1_9_1 - 0.00544978830693205*G0_0_1_9_2 - 0.013289567575284*G0_0_1_9_3 + 0.0175367489653233*G0_0_1_9_4 + 0.062337662337673*G0_0_1_9_5 + 0.010960468103327*G0_0_1_9_6 - 0.0901498501498653*G0_0_1_9_7 - 0.0408277436848935*G0_0_1_9_8 - 0.00657628086199602*G0_0_1_9_9 - 0.0996139662806497*G0_1_0_0_0 - 0.00790123456790257*G0_1_0_0_1 - 0.00889382222715704*G0_1_0_0_2 + 0.00175824175824207*G0_1_0_0_3 + 0.00426240426240497*G0_1_0_0_4 - 0.074592074592087*G0_1_0_0_5 + 0.0378288378288441*G0_1_0_0_6 - 0.0919968919969074*G0_1_0_0_7 + 0.0332112332112388*G0_1_0_0_8 - 0.0223776223776262*G0_1_0_0_9 - 0.00790123456790257*G0_1_0_1_0 - 0.00667776667776788*G0_1_0_1_1 - 0.0017221579126344*G0_1_0_1_2 - 0.00298368298368352*G0_1_0_1_3 + 0.00257266542980874*G0_1_0_1_4 - 0.0171181199752657*G0_1_0_1_5 + 0.00535845107273768*G0_1_0_1_6 - 0.0129851101279695*G0_1_0_1_7 + 0.00234432234432271*G0_1_0_1_8 - 0.00983397554826294*G0_1_0_1_9 - 0.00889382222715704*G0_1_0_2_0 - 0.0017221579126344*G0_1_0_2_1 - 0.0005198329007854*G0_1_0_2_2 + 0.000446537589394818*G0_1_0_2_3 - 0.0012355898070186*G0_1_0_2_4 - 0.0125233496662089*G0_1_0_2_5 + 0.00363572935001566*G0_1_0_2_6 + 0.00829646543932395*G0_1_0_2_7 + 0.00634793777651026*G0_1_0_2_8 + 0.00544978830693205*G0_1_0_2_9 + 0.00175824175824207*G0_1_0_3_0 - 0.00298368298368352*G0_1_0_3_1 + 0.00044653758939482*G0_1_0_3_2 - 0.0191351505637255*G0_1_0_3_3 + 0.00162123590695048*G0_1_0_3_4 + 0.0163493649207962*G0_1_0_3_5 - 0.00269444840873455*G0_1_0_3_6 + 0.0081061795347523*G0_1_0_3_7 - 0.00244327101470009*G0_1_0_3_8 + 0.013289567575284*G0_1_0_3_9 + 0.00426240426240497*G0_1_0_4_0 + 0.00257266542980874*G0_1_0_4_1 - 0.0012355898070186*G0_1_0_4_2 + 0.00162123590695049*G0_1_0_4_3 - 0.00228343085486019*G0_1_0_4_4 + 0.000593692022263616*G0_1_0_4_5 + 0.00210075638647097*G0_1_0_4_6 - 0.0255287569573326*G0_1_0_4_7 - 0.00566290852005231*G0_1_0_4_8 - 0.0175367489653233*G0_1_0_4_9 - 0.074592074592087*G0_1_0_5_0 - 0.0171181199752657*G0_1_0_5_1 - 0.0125233496662089*G0_1_0_5_2 + 0.0163493649207962*G0_1_0_5_3 + 0.000593692022263616*G0_1_0_5_4 - 0.230489510489549*G0_1_0_5_5 + 0.0615384615384718*G0_1_0_5_6 - 0.0532267732267822*G0_1_0_5_7 + 0.0647352647352756*G0_1_0_5_8 - 0.062337662337673*G0_1_0_5_9 + 0.0378288378288441*G0_1_0_6_0 + 0.00535845107273768*G0_1_0_6_1 + 0.00363572935001566*G0_1_0_6_2 - 0.00269444840873455*G0_1_0_6_3 + 0.00210075638647097*G0_1_0_6_4 + 0.0615384615384718*G0_1_0_6_5 - 0.0245697159982916*G0_1_0_6_6 - 0.0115084915084934*G0_1_0_6_7 - 0.0242500356786112*G0_1_0_6_8 - 0.010960468103327*G0_1_0_6_9 - 0.0919968919969074*G0_1_0_7_0 - 0.0129851101279695*G0_1_0_7_1 + 0.00829646543932395*G0_1_0_7_2 + 0.0081061795347523*G0_1_0_7_3 - 0.0255287569573326*G0_1_0_7_4 - 0.0532267732267821*G0_1_0_7_5 - 0.0115084915084934*G0_1_0_7_6 + 0.372107892107955*G0_1_0_7_7 + 0.0652147852147963*G0_1_0_7_8 + 0.0901498501498652*G0_1_0_7_9 + 0.0332112332112388*G0_1_0_8_0 + 0.00234432234432271*G0_1_0_8_1 + 0.00634793777651026*G0_1_0_8_2 - 0.00244327101470009*G0_1_0_8_3 - 0.00566290852005231*G0_1_0_8_4 + 0.0647352647352756*G0_1_0_8_5 - 0.0242500356786112*G0_1_0_8_6 + 0.0652147852147963*G0_1_0_8_7 + 0.0131525617239922*G0_1_0_8_8 + 0.0408277436848934*G0_1_0_8_9 - 0.0223776223776262*G0_1_0_9_0 - 0.00983397554826295*G0_1_0_9_1 + 0.00544978830693205*G0_1_0_9_2 + 0.013289567575284*G0_1_0_9_3 - 0.0175367489653233*G0_1_0_9_4 - 0.062337662337673*G0_1_0_9_5 - 0.010960468103327*G0_1_0_9_6 + 0.0901498501498652*G0_1_0_9_7 + 0.0408277436848935*G0_1_0_9_8 + 0.00657628086199602*G0_1_0_9_9;
    A[114] = A[142] + 0.195838729172096*G0_0_1_0_0 + 0.00578458578458679*G0_0_1_0_1 + 0.00337514337514393*G0_0_1_0_2 + 0.000597180597180625*G0_0_1_0_3 - 0.000255300255300288*G0_0_1_0_4 + 0.0192252192252224*G0_0_1_0_5 - 0.0144078144078168*G0_0_1_0_6 + 0.0608724608724712*G0_0_1_0_7 - 0.0265734265734311*G0_0_1_0_8 - 0.00293040293040333*G0_0_1_0_9 + 0.00578458578458678*G0_0_1_1_0 + 0.000523497666354886*G0_0_1_1_1 - 0.000380466094751881*G0_0_1_1_2 - 0.000148740148740176*G0_0_1_1_4 - 0.0016862502576791*G0_0_1_1_5 + 0.000874998017855303*G0_0_1_1_6 + 0.000847089418518147*G0_0_1_1_7 + 0.00141382427096737*G0_0_1_1_9 + 0.00337514337514393*G0_0_1_2_0 - 0.000380466094751882*G0_0_1_2_1 - 0.00312773646107038*G0_0_1_2_2 + 0.00121180406894716*G0_0_1_2_3 - 0.00179185893471645*G0_0_1_2_4 - 0.00725591868449136*G0_0_1_2_5 + 0.00236017950303705*G0_0_1_2_6 - 0.0054424940139235*G0_0_1_2_7 + 0.00065997494568935*G0_0_1_2_8 - 0.00183245326102501*G0_0_1_2_9 + 0.000597180597180625*G0_0_1_3_0 + 0.00121180406894716*G0_0_1_3_2 - 0.00307692307692375*G0_0_1_3_3 + 0.000545169116597839*G0_0_1_3_4 + 0.00079634651063232*G0_0_1_3_5 - 0.000950478093335376*G0_0_1_3_6 - 0.000117025831311563*G0_0_1_3_7 + 0.000422434708149088*G0_0_1_3_8 - 0.00400742115027895*G0_0_1_3_9 - 0.000255300255300288*G0_0_1_4_0 - 0.000148740148740176*G0_0_1_4_1 - 0.00179185893471645*G0_0_1_4_2 + 0.000545169116597838*G0_0_1_4_3 - 0.0107835022120758*G0_0_1_4_4 + 0.00244041672613147*G0_0_1_4_5 - 0.00148993863279607*G0_0_1_4_6 + 0.00770943342372045*G0_0_1_4_7 - 0.000305408876837515*G0_0_1_4_8 + 0.000616526330812111*G0_0_1_4_9 + 0.0192252192252224*G0_0_1_5_0 - 0.0016862502576791*G0_0_1_5_1 - 0.00725591868449136*G0_0_1_5_2 + 0.00079634651063232*G0_0_1_5_3 + 0.00244041672613146*G0_0_1_5_4 - 0.133706293706316*G0_0_1_5_5 + 0.0355044955045015*G0_0_1_5_6 - 0.0247352647352689*G0_0_1_5_7 + 0.00673326673326787*G0_0_1_5_8 - 0.00467532467532551*G0_0_1_5_9 - 0.0144078144078168*G0_0_1_6_0 + 0.000874998017855304*G0_0_1_6_1 + 0.00236017950303705*G0_0_1_6_2 - 0.000950478093335377*G0_0_1_6_3 - 0.00148993863279607*G0_0_1_6_4 + 0.0355044955045015*G0_0_1_6_5 - 0.0133295276152442*G0_0_1_6_6 + 0.018001998002001*G0_0_1_6_7 - 0.00313971742543225*G0_0_1_6_8 + 0.0073983159697458*G0_0_1_6_9 + 0.0608724608724712*G0_0_1_7_0 + 0.000847089418518148*G0_0_1_7_1 - 0.0054424940139235*G0_0_1_7_2 - 0.000117025831311563*G0_0_1_7_3 + 0.00770943342372045*G0_0_1_7_4 - 0.0247352647352689*G0_0_1_7_5 + 0.018001998002001*G0_0_1_7_6 - 0.142497502497527*G0_0_1_7_7 - 0.00517482517482605*G0_0_1_7_8 - 0.0272127872127918*G0_0_1_7_9 - 0.0265734265734311*G0_0_1_8_0 + 0.00065997494568935*G0_0_1_8_2 + 0.000422434708149088*G0_0_1_8_3 - 0.000305408876837514*G0_0_1_8_4 + 0.00673326673326787*G0_0_1_8_5 - 0.00313971742543225*G0_0_1_8_6 - 0.00517482517482605*G0_0_1_8_7 - 0.00389895818467305*G0_0_1_8_8 - 0.00363065505922708*G0_0_1_8_9 - 0.00293040293040333*G0_0_1_9_0 + 0.00141382427096736*G0_0_1_9_1 - 0.00183245326102501*G0_0_1_9_2 - 0.00400742115027895*G0_0_1_9_3 + 0.000616526330812106*G0_0_1_9_4 - 0.00467532467532551*G0_0_1_9_5 + 0.0073983159697458*G0_0_1_9_6 - 0.0272127872127918*G0_0_1_9_7 - 0.00363065505922708*G0_0_1_9_8 + 0.0355530184101673*G0_0_1_9_9 - 0.195838729172096*G0_1_0_0_0 - 0.00578458578458679*G0_1_0_0_1 - 0.00337514337514393*G0_1_0_0_2 - 0.000597180597180625*G0_1_0_0_3 + 0.000255300255300288*G0_1_0_0_4 - 0.0192252192252224*G0_1_0_0_5 + 0.0144078144078168*G0_1_0_0_6 - 0.0608724608724712*G0_1_0_0_7 + 0.0265734265734311*G0_1_0_0_8 + 0.00293040293040333*G0_1_0_0_9 - 0.00578458578458678*G0_1_0_1_0 - 0.000523497666354886*G0_1_0_1_1 + 0.000380466094751881*G0_1_0_1_2 + 0.000148740148740176*G0_1_0_1_4 + 0.0016862502576791*G0_1_0_1_5 - 0.000874998017855303*G0_1_0_1_6 - 0.000847089418518148*G0_1_0_1_7 - 0.00141382427096737*G0_1_0_1_9 - 0.00337514337514393*G0_1_0_2_0 + 0.000380466094751882*G0_1_0_2_1 + 0.00312773646107038*G0_1_0_2_2 - 0.00121180406894716*G0_1_0_2_3 + 0.00179185893471645*G0_1_0_2_4 + 0.00725591868449135*G0_1_0_2_5 - 0.00236017950303705*G0_1_0_2_6 + 0.0054424940139235*G0_1_0_2_7 - 0.00065997494568935*G0_1_0_2_8 + 0.00183245326102501*G0_1_0_2_9 - 0.000597180597180625*G0_1_0_3_0 - 0.00121180406894716*G0_1_0_3_2 + 0.00307692307692375*G0_1_0_3_3 - 0.000545169116597841*G0_1_0_3_4 - 0.000796346510632319*G0_1_0_3_5 + 0.000950478093335375*G0_1_0_3_6 + 0.000117025831311563*G0_1_0_3_7 - 0.000422434708149089*G0_1_0_3_8 + 0.00400742115027894*G0_1_0_3_9 + 0.000255300255300288*G0_1_0_4_0 + 0.000148740148740176*G0_1_0_4_1 + 0.00179185893471645*G0_1_0_4_2 - 0.00054516911659784*G0_1_0_4_3 + 0.0107835022120758*G0_1_0_4_4 - 0.00244041672613147*G0_1_0_4_5 + 0.00148993863279607*G0_1_0_4_6 - 0.00770943342372045*G0_1_0_4_7 + 0.000305408876837514*G0_1_0_4_8 - 0.00061652633081211*G0_1_0_4_9 - 0.0192252192252224*G0_1_0_5_0 + 0.0016862502576791*G0_1_0_5_1 + 0.00725591868449135*G0_1_0_5_2 - 0.000796346510632319*G0_1_0_5_3 - 0.00244041672613147*G0_1_0_5_4 + 0.133706293706316*G0_1_0_5_5 - 0.0355044955045015*G0_1_0_5_6 + 0.0247352647352689*G0_1_0_5_7 - 0.00673326673326787*G0_1_0_5_8 + 0.0046753246753255*G0_1_0_5_9 + 0.0144078144078168*G0_1_0_6_0 - 0.000874998017855303*G0_1_0_6_1 - 0.00236017950303705*G0_1_0_6_2 + 0.000950478093335377*G0_1_0_6_3 + 0.00148993863279607*G0_1_0_6_4 - 0.0355044955045015*G0_1_0_6_5 + 0.0133295276152442*G0_1_0_6_6 - 0.018001998002001*G0_1_0_6_7 + 0.00313971742543225*G0_1_0_6_8 - 0.0073983159697458*G0_1_0_6_9 - 0.0608724608724712*G0_1_0_7_0 - 0.000847089418518149*G0_1_0_7_1 + 0.0054424940139235*G0_1_0_7_2 + 0.000117025831311563*G0_1_0_7_3 - 0.00770943342372045*G0_1_0_7_4 + 0.0247352647352689*G0_1_0_7_5 - 0.018001998002001*G0_1_0_7_6 + 0.142497502497526*G0_1_0_7_7 + 0.00517482517482605*G0_1_0_7_8 + 0.0272127872127918*G0_1_0_7_9 + 0.0265734265734311*G0_1_0_8_0 - 0.00065997494568935*G0_1_0_8_2 - 0.000422434708149089*G0_1_0_8_3 + 0.000305408876837514*G0_1_0_8_4 - 0.00673326673326786*G0_1_0_8_5 + 0.00313971742543225*G0_1_0_8_6 + 0.00517482517482605*G0_1_0_8_7 + 0.00389895818467305*G0_1_0_8_8 + 0.00363065505922708*G0_1_0_8_9 + 0.00293040293040333*G0_1_0_9_0 - 0.00141382427096737*G0_1_0_9_1 + 0.00183245326102501*G0_1_0_9_2 + 0.00400742115027895*G0_1_0_9_3 - 0.000616526330812103*G0_1_0_9_4 + 0.0046753246753255*G0_1_0_9_5 - 0.0073983159697458*G0_1_0_9_6 + 0.0272127872127918*G0_1_0_9_7 + 0.00363065505922708*G0_1_0_9_8 - 0.0355530184101673*G0_1_0_9_9;
    A[196] = A[28] - 0.00151284341760555*G0_0_1_0_0 - 0.00231632564965937*G0_0_1_0_1 + 0.00044955044955054*G0_0_1_0_3 - 0.000520431949003474*G0_0_1_0_4 - 0.000586873444016383*G0_0_1_0_5 + 0.000544851973423483*G0_0_1_0_6 + 0.00243106100248999*G0_0_1_0_7 - 0.00889332889333041*G0_0_1_0_8 - 0.00207601921887671*G0_0_1_0_9 - 0.00231632564965937*G0_0_1_1_0 + 0.00231632564965938*G0_0_1_1_2 + 0.0381840381840447*G0_0_1_1_3 - 0.0118992118992139*G0_0_1_1_4 - 0.000502830502830573*G0_0_1_1_5 + 0.000502830502830572*G0_0_1_1_6 + 0.0118992118992139*G0_0_1_1_7 - 0.0381840381840446*G0_0_1_1_8 + 0.00231632564965938*G0_0_1_2_1 + 0.00151284341760555*G0_0_1_2_2 + 0.0088933288933304*G0_0_1_2_3 - 0.00243106100248998*G0_0_1_2_4 - 0.000544851973423484*G0_0_1_2_5 + 0.000586873444016376*G0_0_1_2_6 + 0.000520431949003459*G0_0_1_2_7 - 0.000449550449550505*G0_0_1_2_8 + 0.00207601921887672*G0_0_1_2_9 + 0.00044955044955054*G0_0_1_3_0 + 0.0381840381840447*G0_0_1_3_1 + 0.0088933288933304*G0_0_1_3_2 + 0.0998001998002168*G0_0_1_3_3 - 0.0445054945055021*G0_0_1_3_4 - 0.00150849150849178*G0_0_1_3_6 - 0.00134865134865162*G0_0_1_3_7 + 0.00269730269730323*G0_0_1_3_9 - 0.000520431949003474*G0_0_1_4_0 - 0.0118992118992139*G0_0_1_4_1 - 0.00243106100248998*G0_0_1_4_2 - 0.0445054945055021*G0_0_1_4_3 + 0.00755244755244883*G0_0_1_4_4 + 0.00156129584701039*G0_0_1_4_5 + 0.00134865134865152*G0_0_1_4_8 - 0.00935064935065098*G0_0_1_4_9 - 0.000586873444016383*G0_0_1_5_0 - 0.000502830502830572*G0_0_1_5_1 - 0.000544851973423483*G0_0_1_5_2 + 0.00156129584701039*G0_0_1_5_4 - 0.00235478806907419*G0_0_1_5_5 + 0.0015084915084918*G0_0_1_5_8 + 0.00321107463964661*G0_0_1_5_9 + 0.000544851973423483*G0_0_1_6_0 + 0.000502830502830573*G0_0_1_6_1 + 0.000586873444016376*G0_0_1_6_2 - 0.00150849150849178*G0_0_1_6_3 + 0.00235478806907413*G0_0_1_6_6 - 0.00156129584701038*G0_0_1_6_7 - 0.00321107463964663*G0_0_1_6_9 + 0.00243106100248999*G0_0_1_7_0 + 0.0118992118992139*G0_0_1_7_1 + 0.000520431949003459*G0_0_1_7_2 - 0.00134865134865162*G0_0_1_7_3 - 0.00156129584701038*G0_0_1_7_6 - 0.00755244755244884*G0_0_1_7_7 + 0.044505494505502*G0_0_1_7_8 + 0.00935064935065092*G0_0_1_7_9 - 0.00889332889333041*G0_0_1_8_0 - 0.0381840381840446*G0_0_1_8_1 - 0.000449550449550505*G0_0_1_8_2 + 0.00134865134865152*G0_0_1_8_4 + 0.0015084915084918*G0_0_1_8_5 + 0.044505494505502*G0_0_1_8_7 - 0.0998001998002165*G0_0_1_8_8 - 0.00269730269730309*G0_0_1_8_9 - 0.00207601921887671*G0_0_1_9_0 + 0.00207601921887672*G0_0_1_9_2 + 0.00269730269730323*G0_0_1_9_3 - 0.00935064935065098*G0_0_1_9_4 + 0.00321107463964661*G0_0_1_9_5 - 0.00321107463964663*G0_0_1_9_6 + 0.00935064935065092*G0_0_1_9_7 - 0.00269730269730309*G0_0_1_9_8 + 0.00151284341760555*G0_1_0_0_0 + 0.00231632564965937*G0_1_0_0_1 - 0.00044955044955054*G0_1_0_0_3 + 0.000520431949003474*G0_1_0_0_4 + 0.000586873444016382*G0_1_0_0_5 - 0.000544851973423483*G0_1_0_0_6 - 0.00243106100248999*G0_1_0_0_7 + 0.00889332889333041*G0_1_0_0_8 + 0.00207601921887671*G0_1_0_0_9 + 0.00231632564965937*G0_1_0_1_0 - 0.00231632564965938*G0_1_0_1_2 - 0.0381840381840447*G0_1_0_1_3 + 0.0118992118992139*G0_1_0_1_4 + 0.000502830502830573*G0_1_0_1_5 - 0.000502830502830572*G0_1_0_1_6 - 0.0118992118992139*G0_1_0_1_7 + 0.0381840381840446*G0_1_0_1_8 - 0.00231632564965938*G0_1_0_2_1 - 0.00151284341760555*G0_1_0_2_2 - 0.0088933288933304*G0_1_0_2_3 + 0.00243106100248998*G0_1_0_2_4 + 0.000544851973423484*G0_1_0_2_5 - 0.000586873444016376*G0_1_0_2_6 - 0.000520431949003459*G0_1_0_2_7 + 0.000449550449550505*G0_1_0_2_8 - 0.00207601921887672*G0_1_0_2_9 - 0.00044955044955054*G0_1_0_3_0 - 0.0381840381840447*G0_1_0_3_1 - 0.0088933288933304*G0_1_0_3_2 - 0.0998001998002168*G0_1_0_3_3 + 0.0445054945055021*G0_1_0_3_4 + 0.00150849150849178*G0_1_0_3_6 + 0.00134865134865162*G0_1_0_3_7 - 0.00269730269730323*G0_1_0_3_9 + 0.000520431949003474*G0_1_0_4_0 + 0.0118992118992139*G0_1_0_4_1 + 0.00243106100248998*G0_1_0_4_2 + 0.0445054945055021*G0_1_0_4_3 - 0.00755244755244884*G0_1_0_4_4 - 0.00156129584701039*G0_1_0_4_5 - 0.00134865134865152*G0_1_0_4_8 + 0.00935064935065097*G0_1_0_4_9 + 0.000586873444016382*G0_1_0_5_0 + 0.000502830502830572*G0_1_0_5_1 + 0.000544851973423483*G0_1_0_5_2 - 0.00156129584701039*G0_1_0_5_4 + 0.00235478806907419*G0_1_0_5_5 - 0.0015084915084918*G0_1_0_5_8 - 0.00321107463964661*G0_1_0_5_9 - 0.000544851973423482*G0_1_0_6_0 - 0.000502830502830572*G0_1_0_6_1 - 0.000586873444016376*G0_1_0_6_2 + 0.00150849150849178*G0_1_0_6_3 - 0.00235478806907413*G0_1_0_6_6 + 0.00156129584701038*G0_1_0_6_7 + 0.00321107463964663*G0_1_0_6_9 - 0.00243106100248999*G0_1_0_7_0 - 0.0118992118992139*G0_1_0_7_1 - 0.000520431949003459*G0_1_0_7_2 + 0.00134865134865162*G0_1_0_7_3 + 0.00156129584701038*G0_1_0_7_6 + 0.00755244755244884*G0_1_0_7_7 - 0.044505494505502*G0_1_0_7_8 - 0.00935064935065092*G0_1_0_7_9 + 0.00889332889333041*G0_1_0_8_0 + 0.0381840381840446*G0_1_0_8_1 + 0.000449550449550505*G0_1_0_8_2 - 0.00134865134865152*G0_1_0_8_4 - 0.0015084915084918*G0_1_0_8_5 - 0.044505494505502*G0_1_0_8_7 + 0.0998001998002165*G0_1_0_8_8 + 0.00269730269730309*G0_1_0_8_9 + 0.00207601921887671*G0_1_0_9_0 - 0.00207601921887672*G0_1_0_9_2 - 0.00269730269730323*G0_1_0_9_3 + 0.00935064935065097*G0_1_0_9_4 - 0.00321107463964661*G0_1_0_9_5 + 0.00321107463964663*G0_1_0_9_6 - 0.00935064935065092*G0_1_0_9_7 + 0.00269730269730309*G0_1_0_9_8;
    A[13] = A[195] + 0.000801544134877591*G0_0_1_0_1 - 0.000797104130437617*G0_0_1_0_2 - 0.000498390498390587*G0_0_1_0_3 + 0.000493950493950585*G0_0_1_0_4 - 0.010966810966813*G0_0_1_0_5 + 0.0027528027528033*G0_0_1_0_6 + 0.0109668109668127*G0_0_1_0_7 - 0.00674880674880782*G0_0_1_0_8 + 0.00399600399600466*G0_0_1_0_9 + 0.000801544134877591*G0_0_1_1_0 + 0.00237293570626944*G0_0_1_1_1 + 0.000945562374133957*G0_0_1_1_3 - 0.000133992991135877*G0_0_1_1_5 + 0.000287014572728912*G0_0_1_1_6 + 0.00223522509236831*G0_0_1_1_7 - 0.00435770578627794*G0_0_1_1_8 - 0.00133390419104727*G0_0_1_1_9 - 0.000797104130437617*G0_0_1_2_0 + 0.000273025034929841*G0_0_1_2_2 + 0.000216291644863111*G0_0_1_2_3 - 0.000408321836893336*G0_0_1_2_4 - 0.00222697936983691*G0_0_1_2_5 - 0.00142825428539737*G0_0_1_2_6 + 0.00124462838748573*G0_0_1_2_7 - 0.00139891854177591*G0_0_1_2_8 - 0.00371628371628435*G0_0_1_2_9 - 0.000498390498390587*G0_0_1_3_0 + 0.00094556237413396*G0_0_1_3_1 + 0.00021629164486311*G0_0_1_3_2 - 0.000299700299700403*G0_0_1_3_3 - 0.00102754388468691*G0_0_1_3_4 + 0.000685029256457946*G0_0_1_3_5 - 0.000333951762523257*G0_0_1_3_6 + 0.00202226345083522*G0_0_1_3_7 - 0.00674611103182645*G0_0_1_3_8 + 0.000493950493950586*G0_0_1_4_0 - 0.000408321836893336*G0_0_1_4_2 - 0.00102754388468692*G0_0_1_4_3 - 0.00175538746967347*G0_0_1_4_4 - 0.000954759526188264*G0_0_1_4_5 + 0.00128871128871152*G0_0_1_4_6 - 0.00287141429998621*G0_0_1_4_7 + 0.00472384758099123*G0_0_1_4_8 + 0.0130583702012296*G0_0_1_4_9 - 0.010966810966813*G0_0_1_5_0 - 0.000133992991135877*G0_0_1_5_1 - 0.00222697936983691*G0_0_1_5_2 + 0.000685029256457947*G0_0_1_5_3 - 0.000954759526188264*G0_0_1_5_4 - 0.0317482517482572*G0_0_1_5_5 + 0.0173126873126903*G0_0_1_5_6 + 0.00227772227772258*G0_0_1_5_7 + 0.000929070929071128*G0_0_1_5_8 - 0.0138461538461562*G0_0_1_5_9 + 0.0027528027528033*G0_0_1_6_0 + 0.000287014572728912*G0_0_1_6_1 - 0.00142825428539737*G0_0_1_6_2 - 0.000333951762523257*G0_0_1_6_3 + 0.00128871128871152*G0_0_1_6_4 + 0.0173126873126903*G0_0_1_6_5 - 0.010383901812475*G0_0_1_6_6 - 0.0032067932067937*G0_0_1_6_7 + 0.00140430997573875*G0_0_1_6_8 + 0.0118167546738996*G0_0_1_6_9 + 0.0109668109668127*G0_0_1_7_0 + 0.00223522509236831*G0_0_1_7_1 + 0.00124462838748573*G0_0_1_7_2 + 0.00202226345083522*G0_0_1_7_3 - 0.00287141429998621*G0_0_1_7_4 + 0.00227772227772258*G0_0_1_7_5 - 0.0032067932067937*G0_0_1_7_6 + 0.0271928071928116*G0_0_1_7_7 + 0.0043856143856152*G0_0_1_7_8 - 0.00557442557442655*G0_0_1_7_9 - 0.00674880674880782*G0_0_1_8_0 - 0.00435770578627794*G0_0_1_8_1 - 0.00139891854177591*G0_0_1_8_2 - 0.00674611103182645*G0_0_1_8_3 + 0.00472384758099123*G0_0_1_8_4 + 0.000929070929071128*G0_0_1_8_5 + 0.00140430997573875*G0_0_1_8_6 + 0.0043856143856152*G0_0_1_8_7 - 0.0318824033109802*G0_0_1_8_8 - 0.00544598258884066*G0_0_1_8_9 + 0.00399600399600466*G0_0_1_9_0 - 0.00133390419104727*G0_0_1_9_1 - 0.00371628371628435*G0_0_1_9_2 + 0.0130583702012296*G0_0_1_9_4 - 0.0138461538461562*G0_0_1_9_5 + 0.0118167546738996*G0_0_1_9_6 - 0.00557442557442655*G0_0_1_9_7 - 0.00544598258884066*G0_0_1_9_8 + 0.0267161410018598*G0_0_1_9_9 - 0.000801544134877591*G0_1_0_0_1 + 0.000797104130437617*G0_1_0_0_2 + 0.000498390498390587*G0_1_0_0_3 - 0.000493950493950586*G0_1_0_0_4 + 0.010966810966813*G0_1_0_0_5 - 0.0027528027528033*G0_1_0_0_6 - 0.0109668109668127*G0_1_0_0_7 + 0.00674880674880783*G0_1_0_0_8 - 0.00399600399600466*G0_1_0_0_9 - 0.000801544134877591*G0_1_0_1_0 - 0.00237293570626944*G0_1_0_1_1 - 0.000945562374133953*G0_1_0_1_3 + 0.000133992991135877*G0_1_0_1_5 - 0.000287014572728912*G0_1_0_1_6 - 0.00223522509236831*G0_1_0_1_7 + 0.00435770578627794*G0_1_0_1_8 + 0.00133390419104727*G0_1_0_1_9 + 0.000797104130437617*G0_1_0_2_0 - 0.000273025034929841*G0_1_0_2_2 - 0.000216291644863109*G0_1_0_2_3 + 0.000408321836893336*G0_1_0_2_4 + 0.00222697936983691*G0_1_0_2_5 + 0.00142825428539737*G0_1_0_2_6 - 0.00124462838748573*G0_1_0_2_7 + 0.00139891854177591*G0_1_0_2_8 + 0.00371628371628435*G0_1_0_2_9 + 0.000498390498390588*G0_1_0_3_0 - 0.000945562374133957*G0_1_0_3_1 - 0.000216291644863109*G0_1_0_3_2 + 0.000299700299700431*G0_1_0_3_3 + 0.00102754388468692*G0_1_0_3_4 - 0.000685029256457947*G0_1_0_3_5 + 0.000333951762523257*G0_1_0_3_6 - 0.00202226345083522*G0_1_0_3_7 + 0.00674611103182645*G0_1_0_3_8 - 0.000493950493950585*G0_1_0_4_0 + 0.000408321836893336*G0_1_0_4_2 + 0.00102754388468692*G0_1_0_4_3 + 0.00175538746967347*G0_1_0_4_4 + 0.000954759526188264*G0_1_0_4_5 - 0.00128871128871152*G0_1_0_4_6 + 0.00287141429998621*G0_1_0_4_7 - 0.00472384758099123*G0_1_0_4_8 - 0.0130583702012296*G0_1_0_4_9 + 0.010966810966813*G0_1_0_5_0 + 0.000133992991135877*G0_1_0_5_1 + 0.00222697936983691*G0_1_0_5_2 - 0.000685029256457947*G0_1_0_5_3 + 0.000954759526188264*G0_1_0_5_4 + 0.0317482517482572*G0_1_0_5_5 - 0.0173126873126903*G0_1_0_5_6 - 0.00227772227772258*G0_1_0_5_7 - 0.000929070929071128*G0_1_0_5_8 + 0.0138461538461562*G0_1_0_5_9 - 0.0027528027528033*G0_1_0_6_0 - 0.000287014572728912*G0_1_0_6_1 + 0.00142825428539737*G0_1_0_6_2 + 0.000333951762523257*G0_1_0_6_3 - 0.00128871128871152*G0_1_0_6_4 - 0.0173126873126903*G0_1_0_6_5 + 0.010383901812475*G0_1_0_6_6 + 0.0032067932067937*G0_1_0_6_7 - 0.00140430997573875*G0_1_0_6_8 - 0.0118167546738996*G0_1_0_6_9 - 0.0109668109668127*G0_1_0_7_0 - 0.00223522509236831*G0_1_0_7_1 - 0.00124462838748573*G0_1_0_7_2 - 0.00202226345083522*G0_1_0_7_3 + 0.00287141429998621*G0_1_0_7_4 - 0.00227772227772258*G0_1_0_7_5 + 0.0032067932067937*G0_1_0_7_6 - 0.0271928071928116*G0_1_0_7_7 - 0.0043856143856152*G0_1_0_7_8 + 0.00557442557442656*G0_1_0_7_9 + 0.00674880674880783*G0_1_0_8_0 + 0.00435770578627794*G0_1_0_8_1 + 0.00139891854177591*G0_1_0_8_2 + 0.00674611103182645*G0_1_0_8_3 - 0.00472384758099123*G0_1_0_8_4 - 0.000929070929071128*G0_1_0_8_5 - 0.00140430997573875*G0_1_0_8_6 - 0.0043856143856152*G0_1_0_8_7 + 0.0318824033109802*G0_1_0_8_8 + 0.00544598258884066*G0_1_0_8_9 - 0.00399600399600466*G0_1_0_9_0 + 0.00133390419104727*G0_1_0_9_1 + 0.00371628371628435*G0_1_0_9_2 - 0.0130583702012296*G0_1_0_9_4 + 0.0138461538461562*G0_1_0_9_5 - 0.0118167546738996*G0_1_0_9_6 + 0.00557442557442656*G0_1_0_9_7 + 0.00544598258884066*G0_1_0_9_8 - 0.0267161410018598*G0_1_0_9_9;
    A[53] = -A[173] - 0.00245257388114574*G0_0_0_0_0 - 0.00012699822223634*G0_0_0_0_1 - 0.00795324604848549*G0_0_0_0_2 + 0.0023912595341171*G0_0_0_0_4 + 0.00142925857211595*G0_0_0_0_5 - 0.0101058729630175*G0_0_0_0_6 - 0.000287543144686061*G0_0_0_0_7 - 0.000385223242366162*G0_0_0_0_8 + 0.00125081267938433*G0_0_0_0_9 - 0.00012699822223634*G0_0_0_1_0 + 0.00284160284160324*G0_0_0_1_1 - 0.00305993829803405*G0_0_0_1_2 - 0.000503200503200611*G0_0_0_1_3 + 0.00359048359048423*G0_0_0_1_4 + 0.000795395081109497*G0_0_0_1_5 - 0.00363699792271282*G0_0_0_1_6 + 0.000121360121360146*G0_0_0_1_7 + 0.00059200059200067*G0_0_0_1_8 + 0.00143856143856169*G0_0_0_1_9 - 0.00795324604848549*G0_0_0_2_0 - 0.00305993829803405*G0_0_0_2_1 - 0.125800125800147*G0_0_0_2_2 + 0.0125089725089745*G0_0_0_2_3 - 0.0207555407555441*G0_0_0_2_4 + 0.0359048359048419*G0_0_0_2_5 - 0.0861597661597805*G0_0_0_2_6 + 0.00138147566719017*G0_0_0_2_7 - 0.000511234796949175*G0_0_0_2_8 - 0.00667776667776776*G0_0_0_2_9 - 0.000503200503200612*G0_0_0_3_1 + 0.0125089725089745*G0_0_0_3_2 + 0.00905760905761057*G0_0_0_3_3 - 0.0179667951096554*G0_0_0_3_4 - 0.00215403643975104*G0_0_0_3_5 + 0.0129051900480492*G0_0_0_3_6 + 0.00206650492364813*G0_0_0_3_7 - 0.00559440559440649*G0_0_0_3_8 - 0.00844869416298131*G0_0_0_3_9 + 0.0023912595341171*G0_0_0_4_0 + 0.00359048359048423*G0_0_0_4_1 - 0.0207555407555441*G0_0_0_4_2 - 0.0179667951096554*G0_0_0_4_3 + 0.0862604062604209*G0_0_0_4_4 - 0.0051795823224404*G0_0_0_4_5 - 0.00772560772560886*G0_0_0_4_6 - 0.00665620094191635*G0_0_0_4_7 + 0.00352790067075836*G0_0_0_4_8 + 0.0303924646781841*G0_0_0_4_9 + 0.00142925857211595*G0_0_0_5_0 + 0.000795395081109497*G0_0_0_5_1 + 0.0359048359048419*G0_0_0_5_2 - 0.00215403643975104*G0_0_0_5_3 - 0.00517958232244041*G0_0_0_5_4 - 0.0166690452404766*G0_0_0_5_5 + 0.0559554730983396*G0_0_0_5_6 + 0.00254221968507725*G0_0_0_5_7 - 0.000391988963417586*G0_0_0_5_8 - 0.00296846011131781*G0_0_0_5_9 - 0.0101058729630175*G0_0_0_6_0 - 0.00363699792271282*G0_0_0_6_1 - 0.0861597661597805*G0_0_0_6_2 + 0.0129051900480492*G0_0_0_6_3 - 0.00772560772560887*G0_0_0_6_4 + 0.0559554730983396*G0_0_0_6_5 - 0.201878121878156*G0_0_0_6_6 - 0.00215023072165968*G0_0_0_6_7 + 0.00522525093953747*G0_0_0_6_8 - 0.00577708006279518*G0_0_0_6_9 - 0.000287543144686061*G0_0_0_7_0 + 0.000121360121360146*G0_0_0_7_1 + 0.00138147566719017*G0_0_0_7_2 + 0.00206650492364813*G0_0_0_7_3 - 0.00665620094191635*G0_0_0_7_4 + 0.00254221968507725*G0_0_0_7_5 - 0.00215023072165968*G0_0_0_7_6 + 0.00464297607154826*G0_0_0_7_7 + 0.00102373816659548*G0_0_0_7_8 + 0.000548023405166332*G0_0_0_7_9 - 0.000385223242366163*G0_0_0_8_0 + 0.00059200059200067*G0_0_0_8_1 - 0.000511234796949175*G0_0_0_8_2 - 0.00559440559440649*G0_0_0_8_3 + 0.00352790067075836*G0_0_0_8_4 - 0.000391988963417586*G0_0_0_8_5 + 0.00522525093953747*G0_0_0_8_6 + 0.00102373816659548*G0_0_0_8_7 - 0.0170496170496197*G0_0_0_8_8 - 0.0113714856572018*G0_0_0_8_9 + 0.00125081267938433*G0_0_0_9_0 + 0.00143856143856169*G0_0_0_9_1 - 0.00667776667776776*G0_0_0_9_2 - 0.00844869416298131*G0_0_0_9_3 + 0.0303924646781841*G0_0_0_9_4 - 0.00296846011131781*G0_0_0_9_5 - 0.00577708006279518*G0_0_0_9_6 + 0.000548023405166332*G0_0_0_9_7 - 0.0113714856572018*G0_0_0_9_8 + 0.00438418724133084*G0_0_0_9_9 + 0.0223759309473635*G0_0_1_0_0 - 0.000180419228038308*G0_0_1_0_1 - 0.0034990054037679*G0_0_1_0_2 - 0.000383954669669037*G0_0_1_0_3 + 0.000402560402560478*G0_0_1_0_4 - 0.00427424427424497*G0_0_1_0_5 - 0.00379091807663299*G0_0_1_0_6 - 0.00268260839689449*G0_0_1_0_7 - 0.00178319035461925*G0_0_1_0_8 - 0.00931386074243373*G0_0_1_0_9 - 0.000180419228038309*G0_0_1_1_0 - 0.00156598251836374*G0_0_1_1_2 + 0.000592000592000608*G0_0_1_1_3 + 0.00122205836491573*G0_0_1_1_5 + 0.000524343381486322*G0_0_1_1_6 - 0.0016753616753619*G0_0_1_1_7 - 0.000592000592000802*G0_0_1_1_8 + 0.00166944166944193*G0_0_1_1_9 - 0.0034990054037679*G0_0_1_2_0 - 0.00156598251836374*G0_0_1_2_1 - 0.0935558268891759*G0_0_1_2_2 + 0.00540538826253198*G0_0_1_2_3 - 0.0109934509934528*G0_0_1_2_4 + 0.0124738753310202*G0_0_1_2_5 - 0.0361061161061221*G0_0_1_2_6 + 0.00119922405636711*G0_0_1_2_7 - 0.0011070411070413*G0_0_1_2_8 + 0.000662194947909384*G0_0_1_2_9 - 0.000383954669669037*G0_0_1_3_0 + 0.000592000592000608*G0_0_1_3_1 + 0.00540538826253197*G0_0_1_3_2 - 0.0111888111888133*G0_0_1_3_3 + 0.00283145426002614*G0_0_1_3_4 - 0.00300271157414065*G0_0_1_3_5 + 0.00191808191808229*G0_0_1_3_6 + 0.0046429760715483*G0_0_1_3_7 - 0.0114552114552134*G0_0_1_3_8 - 0.0142942771514224*G0_0_1_3_9 + 0.000402560402560478*G0_0_1_4_0 - 0.0109934509934528*G0_0_1_4_2 + 0.00283145426002613*G0_0_1_4_3 + 0.0366490652205001*G0_0_1_4_4 + 0.00228343085485979*G0_0_1_4_5 - 0.00420151277294206*G0_0_1_4_6 - 0.00414823271966199*G0_0_1_4_7 + 0.0068122353836651*G0_0_1_4_8 - 0.00655344655344774*G0_0_1_4_9 - 0.00427424427424497*G0_0_1_5_0 + 0.00122205836491573*G0_0_1_5_1 + 0.0124738753310202*G0_0_1_5_2 - 0.00300271157414065*G0_0_1_5_3 + 0.00228343085485979*G0_0_1_5_4 - 0.0397088625660119*G0_0_1_5_5 + 0.035393178250327*G0_0_1_5_6 + 0.000281623138766095*G0_0_1_5_7 - 0.000175063032205953*G0_0_1_5_8 + 0.0282917082917131*G0_0_1_5_9 - 0.00379091807663299*G0_0_1_6_0 + 0.000524343381486322*G0_0_1_6_1 - 0.0361061161061221*G0_0_1_6_2 + 0.00191808191808229*G0_0_1_6_3 - 0.00420151277294206*G0_0_1_6_4 + 0.035393178250327*G0_0_1_6_5 + 0.110495219066666*G0_0_1_6_6 - 0.000106560106560122*G0_0_1_6_7 - 0.000871509442938116*G0_0_1_6_8 - 0.00582274867989271*G0_0_1_6_9 - 0.00268260839689449*G0_0_1_7_0 - 0.0016753616753619*G0_0_1_7_1 + 0.00119922405636711*G0_0_1_7_2 + 0.0046429760715483*G0_0_1_7_3 - 0.00414823271966199*G0_0_1_7_4 + 0.000281623138766095*G0_0_1_7_5 - 0.000106560106560123*G0_0_1_7_6 - 0.030453356167647*G0_0_1_7_7 + 0.0186404072118389*G0_0_1_7_8 + 0.0281547024404215*G0_0_1_7_9 - 0.00178319035461925*G0_0_1_8_0 - 0.000592000592000803*G0_0_1_8_1 - 0.0011070411070413*G0_0_1_8_2 - 0.0114552114552134*G0_0_1_8_3 + 0.0068122353836651*G0_0_1_8_4 - 0.000175063032205954*G0_0_1_8_5 - 0.000871509442938115*G0_0_1_8_6 + 0.0186404072118389*G0_0_1_8_7 + 0.03409923409924*G0_0_1_8_8 - 0.018632795775656*G0_0_1_8_9 - 0.00931386074243373*G0_0_1_9_0 + 0.00166944166944193*G0_0_1_9_1 + 0.000662194947909384*G0_0_1_9_2 - 0.0142942771514224*G0_0_1_9_3 - 0.00655344655344775*G0_0_1_9_4 + 0.0282917082917131*G0_0_1_9_5 - 0.00582274867989271*G0_0_1_9_6 + 0.0281547024404215*G0_0_1_9_7 - 0.018632795775656*G0_0_1_9_8 - 0.0411017553874767*G0_0_1_9_9;
    A[51] = -A[53] - 0.00414625938435534*G0_0_0_0_0 - 0.000823726538012391*G0_0_0_0_1 - 0.0085028199313928*G0_0_0_0_2 - 0.00145209288066459*G0_0_0_0_3 + 0.0017015788444363*G0_0_0_0_4 - 0.00335833478690679*G0_0_0_0_5 - 0.00501762787477158*G0_0_0_0_6 - 0.0015307443878875*G0_0_0_0_7 + 0.000750149321578023*G0_0_0_0_8 - 0.00137513280370448*G0_0_0_0_9 - 0.000823726538012391*G0_0_0_1_0 - 0.00548587215253974*G0_0_0_1_1 - 0.00491134967325526*G0_0_0_1_2 - 0.0112184112184132*G0_0_0_1_3 + 0.00943902658188537*G0_0_0_1_4 - 0.000432160432160491*G0_0_0_1_5 - 0.00341330627044971*G0_0_0_1_6 + 0.00221661935947688*G0_0_0_1_7 - 0.00339808339808396*G0_0_0_1_8 - 0.00213627642199107*G0_0_0_1_9 - 0.0085028199313928*G0_0_0_2_0 - 0.00491134967325526*G0_0_0_2_1 - 0.151646871646897*G0_0_0_2_2 + 0.0144008372579824*G0_0_0_2_3 - 0.0242957042957082*G0_0_0_2_4 + 0.0350024578596065*G0_0_0_2_5 - 0.0804173604173738*G0_0_0_2_6 + 0.00128041270898434*G0_0_0_2_7 + 0.000214811643383091*G0_0_0_2_8 - 0.00194852766281366*G0_0_0_2_9 - 0.00145209288066459*G0_0_0_3_0 - 0.0112184112184132*G0_0_0_3_1 + 0.0144008372579824*G0_0_0_3_2 - 0.0892364778079222*G0_0_0_3_3 - 0.0158926787498243*G0_0_0_3_4 + 0.0014613957471103*G0_0_0_3_5 + 0.0129698872556036*G0_0_0_3_6 + 0.00708624708624835*G0_0_0_3_7 - 0.00917178060035363*G0_0_0_3_8 - 0.00776366490652354*G0_0_0_3_9 + 0.0017015788444363*G0_0_0_4_0 + 0.00943902658188537*G0_0_0_4_1 - 0.0242957042957082*G0_0_0_4_2 - 0.0158926787498243*G0_0_0_4_3 + 0.100744969316415*G0_0_0_4_4 - 0.00237476808905426*G0_0_0_4_5 - 0.0105951191665494*G0_0_0_4_6 - 0.00583797155225826*G0_0_0_4_7 + 0.00208553351410528*G0_0_0_4_8 + 0.0105951191665495*G0_0_0_4_9 - 0.00335833478690679*G0_0_0_5_0 - 0.000432160432160491*G0_0_0_5_1 + 0.0350024578596065*G0_0_0_5_2 + 0.0014613957471103*G0_0_0_5_3 - 0.00237476808905426*G0_0_0_5_4 - 0.1058598544313*G0_0_0_5_5 + 0.0442072213500858*G0_0_0_5_6 - 0.00291518005803762*G0_0_0_5_7 + 0.0040264497407361*G0_0_0_5_8 - 0.0039275010703588*G0_0_0_5_9 - 0.00501762787477159*G0_0_0_6_0 - 0.00341330627044971*G0_0_0_6_1 - 0.0804173604173738*G0_0_0_6_2 + 0.0129698872556036*G0_0_0_6_3 - 0.0105951191665494*G0_0_0_6_4 + 0.0442072213500858*G0_0_0_6_5 - 0.142212073640669*G0_0_0_6_6 - 0.00111126968269847*G0_0_0_6_7 + 0.00343275771847256*G0_0_0_6_8 - 0.0200941915227663*G0_0_0_6_9 - 0.0015307443878875*G0_0_0_7_0 + 0.00221661935947688*G0_0_0_7_1 + 0.00128041270898434*G0_0_0_7_2 + 0.00708624708624835*G0_0_0_7_3 - 0.00583797155225826*G0_0_0_7_4 - 0.00291518005803762*G0_0_0_7_5 - 0.00111126968269847*G0_0_0_7_6 + 0.00610437181865859*G0_0_0_7_7 - 0.00101993244850409*G0_0_0_7_8 + 0.00634793777651034*G0_0_0_7_9 + 0.000750149321578023*G0_0_0_8_0 - 0.00339808339808396*G0_0_0_8_1 + 0.000214811643383091*G0_0_0_8_2 - 0.00917178060035363*G0_0_0_8_3 + 0.00208553351410528*G0_0_0_8_4 + 0.0040264497407361*G0_0_0_8_5 + 0.00343275771847256*G0_0_0_8_6 - 0.00101993244850409*G0_0_0_8_7 - 0.00238999096141981*G0_0_0_8_8 + 0.0022377622377626*G0_0_0_8_9 - 0.00137513280370448*G0_0_0_9_0 - 0.00213627642199107*G0_0_0_9_1 - 0.00194852766281366*G0_0_0_9_2 - 0.00776366490652354*G0_0_0_9_3 + 0.0105951191665495*G0_0_0_9_4 - 0.0039275010703588*G0_0_0_9_5 - 0.0200941915227663*G0_0_0_9_6 + 0.00634793777651034*G0_0_0_9_7 + 0.0022377622377626*G0_0_0_9_8 + 0.0032881404309981*G0_0_0_9_9 + 0.00343134819325362*G0_0_1_0_0 - 0.000345051773623254*G0_0_1_0_1 - 0.00358611406230514*G0_0_1_0_2 - 0.000725623582766577*G0_0_1_0_3 - 0.000497280497280578*G0_0_1_0_4 + 0.00125588697017291*G0_0_1_0_5 - 0.00105798962941837*G0_0_1_0_6 + 0.000535337678194909*G0_0_1_0_8 - 0.00497787926359441*G0_0_1_0_9 - 0.000345051773623255*G0_0_1_1_0 - 0.00327573660907042*G0_0_1_1_1 - 0.00303245255626258*G0_0_1_1_2 - 0.00809856809856945*G0_0_1_1_3 + 0.00551067979639501*G0_0_1_1_4 + 0.000301920301920365*G0_0_1_1_5 + 0.000431314717029073*G0_0_1_1_6 + 0.00103515532086977*G0_0_1_1_7 - 0.00207031064173957*G0_0_1_1_9 - 0.00358611406230514*G0_0_1_2_0 - 0.00303245255626258*G0_0_1_2_1 - 0.119134199134219*G0_0_1_2_2 + 0.00848421419850127*G0_0_1_2_3 - 0.014273979988268*G0_0_1_2_4 + 0.0161666904524074*G0_0_1_2_5 - 0.0333228676085874*G0_0_1_2_6 + 0.000499817642674863*G0_0_1_2_7 - 0.000535337678194915*G0_0_1_2_8 + 0.00404928404928477*G0_0_1_2_9 - 0.000725623582766578*G0_0_1_3_0 - 0.00809856809856945*G0_0_1_3_1 + 0.00848421419850127*G0_0_1_3_2 - 0.0836877408306124*G0_0_1_3_3 - 0.00509205080633745*G0_0_1_3_4 - 0.000114171542743019*G0_0_1_3_5 + 0.000205508776937413*G0_0_1_3_6 + 0.00367632367632429*G0_0_1_3_7 - 0.00678178963893361*G0_0_1_3_8 - 0.00114171542742993*G0_0_1_3_9 - 0.000497280497280578*G0_0_1_4_0 + 0.00551067979639501*G0_0_1_4_1 - 0.014273979988268*G0_0_1_4_2 - 0.00509205080633746*G0_0_1_4_3 + 0.0603510774939449*G0_0_1_4_4 + 0.00299129441986635*G0_0_1_4_5 - 0.00319680319680374*G0_0_1_4_6 - 0.000753532182103721*G0_0_1_4_7 + 0.00310546596260932*G0_0_1_4_8 - 0.018130440987587*G0_0_1_4_9 + 0.00125588697017291*G0_0_1_5_0 + 0.000301920301920365*G0_0_1_5_1 + 0.0161666904524074*G0_0_1_5_2 - 0.000114171542743018*G0_0_1_5_3 + 0.00299129441986635*G0_0_1_5_4 - 0.0578393035535987*G0_0_1_5_5 + 0.00317396888825507*G0_0_1_5_6 - 0.000593692022263492*G0_0_1_5_7 + 0.000593692022263498*G0_0_1_5_8 + 0.0137462537462562*G0_0_1_5_9 - 0.00105798962941837*G0_0_1_6_0 + 0.000431314717029074*G0_0_1_6_1 - 0.0333228676085874*G0_0_1_6_2 + 0.000205508776937412*G0_0_1_6_3 - 0.00319680319680374*G0_0_1_6_4 + 0.00317396888825507*G0_0_1_6_5 + 0.105563008420169*G0_0_1_6_6 - 0.000593692022263519*G0_0_1_6_8 - 0.0125588697017291*G0_0_1_6_9 + 0.00103515532086977*G0_0_1_7_1 + 0.000499817642674863*G0_0_1_7_2 + 0.00367632367632429*G0_0_1_7_3 - 0.000753532182103721*G0_0_1_7_4 - 0.000593692022263492*G0_0_1_7_5 + 0.00235193378050565*G0_0_1_7_7 - 0.0031054659626094*G0_0_1_7_8 + 0.0149336377907832*G0_0_1_7_9 + 0.000535337678194909*G0_0_1_8_0 - 0.000535337678194915*G0_0_1_8_2 - 0.00678178963893361*G0_0_1_8_3 + 0.00310546596260932*G0_0_1_8_4 + 0.000593692022263498*G0_0_1_8_5 - 0.000593692022263519*G0_0_1_8_6 - 0.0031054659626094*G0_0_1_8_7 + 0.00678178963893375*G0_0_1_8_8 - 0.0049778792635944*G0_0_1_9_0 - 0.00207031064173957*G0_0_1_9_1 + 0.00404928404928477*G0_0_1_9_2 - 0.00114171542742993*G0_0_1_9_3 - 0.018130440987587*G0_0_1_9_4 + 0.0137462537462562*G0_0_1_9_5 - 0.0125588697017291*G0_0_1_9_6 + 0.0149336377907832*G0_0_1_9_7 - 0.0298672755815663*G0_0_1_9_9 - 0.00196205910491661*G0_1_0_0_0 - 0.00108166965309839*G0_1_0_0_1 - 0.00101203910727737*G0_1_0_0_2 - 0.00127364698793293*G0_1_0_0_3 - 0.00182843611415075*G0_1_0_0_5 + 0.000493051921623459*G0_1_0_0_6 - 0.00150283578855036*G0_1_0_0_7 - 0.00128379556951008*G0_1_0_0_9 - 0.00108166965309839*G0_1_0_1_0 - 0.0133792133792154*G0_1_0_1_1 - 0.00238350714541229*G0_1_0_1_2 - 0.0152972952972979*G0_1_0_1_3 + 0.00523328523328613*G0_1_0_1_4 - 0.00091083519654964*G0_1_0_1_5 + 0.00243904243904277*G0_1_0_1_7 - 0.00601472601472682*G0_1_0_1_8 - 0.00340992340992398*G0_1_0_1_9 - 0.00101203910727737*G0_1_0_2_0 - 0.00238350714541229*G0_1_0_2_1 - 0.00859584859584977*G0_1_0_2_2 + 0.000708709280137885*G0_1_0_2_3 - 0.00743045314473996*G0_1_0_2_4 + 0.00145293859579592*G0_1_0_2_5 - 0.0045753188610338*G0_1_0_2_6 + 0.000109097251954403*G0_1_0_2_7 - 0.000360274645988979*G0_1_0_2_8 - 0.00223268794697401*G0_1_0_2_9 - 0.00127364698793293*G0_1_0_3_0 - 0.0152972952972979*G0_1_0_3_1 + 0.000708709280137885*G0_1_0_3_2 - 0.0563170163170262*G0_1_0_3_3 + 0.0217763189191797*G0_1_0_3_4 + 0.00154512154512183*G0_1_0_3_5 + 0.00371438085723858*G0_1_0_3_6 + 0.00728414442700281*G0_1_0_3_7 - 0.0118281718281738*G0_1_0_3_8 - 0.00433851862423372*G0_1_0_3_9 + 0.00523328523328613*G0_1_0_4_1 - 0.00743045314473996*G0_1_0_4_2 + 0.0217763189191797*G0_1_0_4_3 - 0.016859331145048*G0_1_0_4_4 + 0.00373721516578718*G0_1_0_4_5 - 0.00745159602302576*G0_1_0_4_6 - 0.00175824175824205*G0_1_0_4_7 + 0.00454402740117096*G0_1_0_4_8 - 0.000776366490652288*G0_1_0_4_9 - 0.00182843611415075*G0_1_0_5_0 - 0.00091083519654964*G0_1_0_5_1 + 0.00145293859579592*G0_1_0_5_2 + 0.00154512154512183*G0_1_0_5_3 + 0.00373721516578718*G0_1_0_5_4 - 0.0245925503068402*G0_1_0_5_5 + 0.00872270586556444*G0_1_0_5_6 - 0.00933162076019377*G0_1_0_5_7 + 0.00619570905285296*G0_1_0_5_8 - 0.00854003139717569*G0_1_0_5_9 + 0.000493051921623459*G0_1_0_6_0 - 0.0045753188610338*G0_1_0_6_2 + 0.00371438085723858*G0_1_0_6_3 - 0.00745159602302576*G0_1_0_6_4 + 0.00872270586556444*G0_1_0_6_5 - 0.0113943199657504*G0_1_0_6_6 + 0.00313591170734081*G0_1_0_6_7 - 0.00106560106560127*G0_1_0_6_8 - 0.000730697873555118*G0_1_0_6_9 - 0.00150283578855036*G0_1_0_7_0 + 0.00243904243904277*G0_1_0_7_1 + 0.000109097251954403*G0_1_0_7_2 + 0.00728414442700281*G0_1_0_7_3 - 0.00175824175824205*G0_1_0_7_4 - 0.00933162076019377*G0_1_0_7_5 + 0.00313591170734081*G0_1_0_7_6 - 0.00775605347034043*G0_1_0_7_7 + 0.00795395081109483*G0_1_0_7_8 - 0.0024204367061514*G0_1_0_7_9 - 0.00601472601472682*G0_1_0_8_1 - 0.000360274645988979*G0_1_0_8_2 - 0.0118281718281738*G0_1_0_8_3 + 0.00454402740117096*G0_1_0_8_4 + 0.00619570905285296*G0_1_0_8_5 - 0.00106560106560127*G0_1_0_8_6 + 0.00795395081109483*G0_1_0_8_7 - 0.0111355311355324*G0_1_0_8_8 + 0.00114171542742997*G0_1_0_8_9 - 0.00128379556951008*G0_1_0_9_0 - 0.00340992340992398*G0_1_0_9_1 - 0.00223268794697401*G0_1_0_9_2 - 0.00433851862423372*G0_1_0_9_3 - 0.000776366490652289*G0_1_0_9_4 - 0.00854003139717569*G0_1_0_9_5 - 0.000730697873555118*G0_1_0_9_6 - 0.0024204367061514*G0_1_0_9_7 + 0.00114171542742997*G0_1_0_9_8 - 0.0134265734265757*G0_1_0_9_9 + 0.00663378949093366*G0_1_1_0_0 + 0.00130183749231395*G0_1_1_0_1 - 0.000913372341943922*G0_1_1_0_3 - 0.000200434486148809*G0_1_1_0_4 + 0.00274688274688325*G0_1_1_0_5 - 0.00095988667417257*G0_1_1_0_6 + 0.00592761735618985*G0_1_1_0_7 - 0.000760297903155163*G0_1_1_0_8 + 0.000948892377463974*G0_1_1_0_9 + 0.00130183749231395*G0_1_1_1_0 - 0.00130183749231387*G0_1_1_1_2 - 0.00928256928257067*G0_1_1_1_3 + 0.00279424279424318*G0_1_1_1_4 - 0.000827109398538113*G0_1_1_1_5 + 0.000827109398538109*G0_1_1_1_6 - 0.0027942427942434*G0_1_1_1_7 + 0.00928256928257118*G0_1_1_1_8 - 0.00130183749231387*G0_1_1_2_1 - 0.00663378949093323*G0_1_1_2_2 + 0.000760297903155129*G0_1_1_2_3 - 0.00592761735618967*G0_1_1_2_4 + 0.000959886674172516*G0_1_1_2_5 - 0.00274688274688314*G0_1_1_2_6 + 0.000200434486148799*G0_1_1_2_7 + 0.000913372341943937*G0_1_1_2_8 - 0.000948892377463939*G0_1_1_2_9 - 0.000913372341943922*G0_1_1_3_0 - 0.00928256928257067*G0_1_1_3_1 + 0.000760297903155129*G0_1_1_3_2 - 0.0451814851814928*G0_1_1_3_3 + 0.0138223681080846*G0_1_1_3_4 + 0.00261072261072304*G0_1_1_3_5 - 0.00248132819561434*G0_1_1_3_6 + 0.00274011702583171*G0_1_1_3_7 - 0.00548023405166355*G0_1_1_3_9 - 0.000200434486148809*G0_1_1_4_0 + 0.00279424279424318*G0_1_1_4_1 - 0.00592761735618967*G0_1_1_4_2 + 0.0138223681080846*G0_1_1_4_3 - 0.00910327767470757*G0_1_1_4_4 + 0.000601303458446399*G0_1_1_4_5 + 0.00188002473716795*G0_1_1_4_6 - 0.00274011702583185*G0_1_1_4_8 + 0.00164407021549903*G0_1_1_4_9 + 0.00274688274688325*G0_1_1_5_0 - 0.000827109398538113*G0_1_1_5_1 + 0.000959886674172516*G0_1_1_5_2 + 0.00261072261072304*G0_1_1_5_3 + 0.000601303458446399*G0_1_1_5_4 - 0.0131982303410897*G0_1_1_5_5 - 0.00188002473716786*G0_1_1_5_7 + 0.00248132819561428*G0_1_1_5_8 - 0.0078093335236205*G0_1_1_5_9 - 0.00095988667417257*G0_1_1_6_0 + 0.000827109398538109*G0_1_1_6_1 - 0.00274688274688314*G0_1_1_6_2 - 0.00248132819561434*G0_1_1_6_3 + 0.00188002473716795*G0_1_1_6_4 + 0.0131982303410898*G0_1_1_6_6 - 0.000601303458446432*G0_1_1_6_7 - 0.00261072261072304*G0_1_1_6_8 + 0.00780933352362051*G0_1_1_6_9 + 0.00592761735618985*G0_1_1_7_0 - 0.0027942427942434*G0_1_1_7_1 + 0.000200434486148799*G0_1_1_7_2 + 0.00274011702583171*G0_1_1_7_3 - 0.00188002473716786*G0_1_1_7_5 - 0.000601303458446432*G0_1_1_7_6 + 0.00910327767470792*G0_1_1_7_7 - 0.013822368108085*G0_1_1_7_8 - 0.00164407021549904*G0_1_1_7_9 - 0.000760297903155163*G0_1_1_8_0 + 0.00928256928257118*G0_1_1_8_1 + 0.000913372341943937*G0_1_1_8_2 - 0.00274011702583185*G0_1_1_8_4 + 0.00248132819561428*G0_1_1_8_5 - 0.00261072261072304*G0_1_1_8_6 - 0.013822368108085*G0_1_1_8_7 + 0.0451814851814933*G0_1_1_8_8 + 0.00548023405166361*G0_1_1_8_9 + 0.000948892377463973*G0_1_1_9_0 - 0.000948892377463939*G0_1_1_9_2 - 0.00548023405166355*G0_1_1_9_3 + 0.00164407021549903*G0_1_1_9_4 - 0.0078093335236205*G0_1_1_9_5 + 0.0078093335236205*G0_1_1_9_6 - 0.00164407021549904*G0_1_1_9_7 + 0.0054802340516636*G0_1_1_9_8;
    A[30] = -A[31] + 0.011445970255496*G0_1_0_0_0 - 0.000177401963116286*G0_1_0_0_3 + 0.000225013082155981*G0_1_0_0_4 + 0.00202962381533845*G0_1_0_0_5 - 0.00202784649213255*G0_1_0_0_6 + 0.00672761101332644*G0_1_0_0_7 - 0.00356501302929936*G0_1_0_0_8 - 0.000146004788861948*G0_1_0_0_9 - 0.0114459702554961*G0_1_0_1_1 - 0.00202962381533848*G0_1_0_1_3 + 0.00202784649213256*G0_1_0_1_4 + 0.000177401963116286*G0_1_0_1_5 - 0.000225013082155981*G0_1_0_1_6 + 0.00356501302929937*G0_1_0_1_7 - 0.00672761101332649*G0_1_0_1_8 + 0.00014600478886195*G0_1_0_1_9 - 0.0015371665371668*G0_1_0_2_3 + 0.00469798719798799*G0_1_0_2_4 + 0.00153716653716679*G0_1_0_2_5 - 0.00469798719798798*G0_1_0_2_6 + 0.000402415045272256*G0_1_0_2_7 - 0.000402415045272257*G0_1_0_2_8 - 0.000177401963116286*G0_1_0_3_0 - 0.00202962381533848*G0_1_0_3_1 - 0.0015371665371668*G0_1_0_3_2 + 0.00510548974834775*G0_1_0_3_3 - 0.00554600161743111*G0_1_0_3_4 + 0.000675039246467929*G0_1_0_3_6 + 0.000532205889348839*G0_1_0_3_7 - 0.00173945102516562*G0_1_0_3_8 - 0.00150242614528354*G0_1_0_3_9 + 0.000225013082155981*G0_1_0_4_0 + 0.00202784649213256*G0_1_0_4_1 + 0.00469798719798799*G0_1_0_4_2 - 0.00554600161743111*G0_1_0_4_3 + 0.0132384282384305*G0_1_0_4_4 - 0.000675039246467933*G0_1_0_4_5 - 0.000941142191142352*G0_1_0_4_7 + 0.00120724513581678*G0_1_0_4_8 + 0.00135007849293586*G0_1_0_4_9 + 0.00202962381533845*G0_1_0_5_0 + 0.000177401963116286*G0_1_0_5_1 + 0.00153716653716679*G0_1_0_5_2 - 0.000675039246467933*G0_1_0_5_4 - 0.00510548974834774*G0_1_0_5_5 + 0.00554600161743111*G0_1_0_5_6 + 0.0017394510251656*G0_1_0_5_7 - 0.000532205889348833*G0_1_0_5_8 + 0.00150242614528354*G0_1_0_5_9 - 0.00202784649213255*G0_1_0_6_0 - 0.000225013082155981*G0_1_0_6_1 - 0.00469798719798798*G0_1_0_6_2 + 0.000675039246467929*G0_1_0_6_3 + 0.00554600161743112*G0_1_0_6_5 - 0.0132384282384305*G0_1_0_6_6 - 0.00120724513581677*G0_1_0_6_7 + 0.000941142191142346*G0_1_0_6_8 - 0.00135007849293586*G0_1_0_6_9 + 0.00672761101332644*G0_1_0_7_0 + 0.00356501302929937*G0_1_0_7_1 + 0.000402415045272256*G0_1_0_7_2 + 0.000532205889348839*G0_1_0_7_3 - 0.000941142191142353*G0_1_0_7_4 + 0.0017394510251656*G0_1_0_7_5 - 0.00120724513581677*G0_1_0_7_6 + 0.00813293849008271*G0_1_0_7_7 + 0.00285250463821941*G0_1_0_7_9 - 0.00356501302929936*G0_1_0_8_0 - 0.00672761101332649*G0_1_0_8_1 - 0.000402415045272257*G0_1_0_8_2 - 0.00173945102516562*G0_1_0_8_3 + 0.00120724513581678*G0_1_0_8_4 - 0.000532205889348833*G0_1_0_8_5 + 0.000941142191142346*G0_1_0_8_6 - 0.00813293849008276*G0_1_0_8_8 - 0.00285250463821941*G0_1_0_8_9 - 0.000146004788861948*G0_1_0_9_0 + 0.00014600478886195*G0_1_0_9_1 - 0.00150242614528354*G0_1_0_9_3 + 0.00135007849293586*G0_1_0_9_4 + 0.00150242614528354*G0_1_0_9_5 - 0.00135007849293586*G0_1_0_9_6 + 0.00285250463821941*G0_1_0_9_7 - 0.00285250463821941*G0_1_0_9_8 + 0.0108191962358647*G0_1_1_0_0 + 0.000620316081625712*G0_1_1_0_1 + 0.00052394860430584*G0_1_1_0_2 - 0.000174902808831416*G0_1_1_0_3 + 0.000227512236440852*G0_1_1_0_4 + 0.00189433251933284*G0_1_1_0_5 - 0.0011546324046326*G0_1_1_0_6 + 0.00659231971732084*G0_1_1_0_7 - 0.0026917989417994*G0_1_1_0_8 + 0.000290959040959099*G0_1_1_0_9 + 0.000620316081625712*G0_1_1_1_0 - 0.00062677401963128*G0_1_1_1_1 + 0.000620316081625715*G0_1_1_1_2 - 0.000135291296005611*G0_1_1_1_3 + 0.000873214087499956*G0_1_1_1_4 + 0.000873214087499954*G0_1_1_1_7 - 0.000135291296005612*G0_1_1_1_8 + 0.000436963829821047*G0_1_1_1_9 + 0.00052394860430584*G0_1_1_2_0 + 0.000620316081625715*G0_1_1_2_1 + 0.0108191962358648*G0_1_1_2_2 - 0.00269179894179941*G0_1_1_2_3 + 0.00659231971732087*G0_1_1_2_4 - 0.00115463240463262*G0_1_1_2_5 + 0.00189433251933288*G0_1_1_2_6 + 0.000227512236440846*G0_1_1_2_7 - 0.00017490280883141*G0_1_1_2_8 + 0.000290959040959094*G0_1_1_2_9 - 0.000174902808831416*G0_1_1_3_0 - 0.000135291296005611*G0_1_1_3_1 - 0.00269179894179941*G0_1_1_3_2 + 0.00261839351125111*G0_1_1_3_3 - 0.00481814316635828*G0_1_1_3_4 + 0.00051332595975462*G0_1_1_3_5 - 0.000516938418724229*G0_1_1_3_6 - 0.00134142643071237*G0_1_1_3_9 + 0.000227512236440852*G0_1_1_4_0 + 0.000873214087499956*G0_1_1_4_1 + 0.00659231971732087*G0_1_1_4_2 - 0.00481814316635828*G0_1_1_4_3 + 0.0107513320013339*G0_1_1_4_4 - 0.00119197766519216*G0_1_1_4_5 + 0.00170891608391639*G0_1_1_4_6 - 0.000427816231387732*G0_1_1_4_7 + 0.00151107820750704*G0_1_1_4_9 + 0.00189433251933284*G0_1_1_5_0 - 0.00115463240463262*G0_1_1_5_2 + 0.00051332595975462*G0_1_1_5_3 - 0.00119197766519216*G0_1_1_5_4 - 0.00248709623709664*G0_1_1_5_5 + 0.00072785845107284*G0_1_1_5_6 + 0.00170891608391637*G0_1_1_5_7 - 0.000516938418724222*G0_1_1_5_8 + 0.000160999714571166*G0_1_1_5_9 - 0.0011546324046326*G0_1_1_6_0 + 0.00189433251933288*G0_1_1_6_2 - 0.000516938418724229*G0_1_1_6_3 + 0.00170891608391639*G0_1_1_6_4 + 0.00072785845107284*G0_1_1_6_5 - 0.00248709623709662*G0_1_1_6_6 - 0.00119197766519215*G0_1_1_6_7 + 0.000513325959754618*G0_1_1_6_8 + 0.000160999714571176*G0_1_1_6_9 + 0.00659231971732084*G0_1_1_7_0 + 0.000873214087499954*G0_1_1_7_1 + 0.000227512236440846*G0_1_1_7_2 - 0.000427816231387732*G0_1_1_7_4 + 0.00170891608391637*G0_1_1_7_5 - 0.00119197766519215*G0_1_1_7_6 + 0.0107513320013338*G0_1_1_7_7 - 0.00481814316635827*G0_1_1_7_8 + 0.00151107820750704*G0_1_1_7_9 - 0.0026917989417994*G0_1_1_8_0 - 0.000135291296005612*G0_1_1_8_1 - 0.00017490280883141*G0_1_1_8_2 - 0.000516938418724222*G0_1_1_8_5 + 0.000513325959754618*G0_1_1_8_6 - 0.00481814316635827*G0_1_1_8_7 + 0.00261839351125108*G0_1_1_8_8 - 0.00134142643071237*G0_1_1_8_9 + 0.000290959040959099*G0_1_1_9_0 + 0.000436963829821047*G0_1_1_9_1 + 0.000290959040959094*G0_1_1_9_2 - 0.00134142643071237*G0_1_1_9_3 + 0.00151107820750704*G0_1_1_9_4 + 0.000160999714571166*G0_1_1_9_5 + 0.000160999714571176*G0_1_1_9_6 + 0.00151107820750704*G0_1_1_9_7 - 0.00134142643071237*G0_1_1_9_8 + 0.00183352361923823*G0_1_1_9_9;
    A[23] = -A[21] + 0.00631312250359978*G0_0_0_0_0 + 0.0022110341157964*G0_0_0_0_2 - 0.000737886452172292*G0_0_0_0_3 - 0.000249327392184578*G0_0_0_0_4 + 0.00890712462141186*G0_0_0_0_5 - 0.00241885099027998*G0_0_0_0_6 + 0.00188747760176364*G0_0_0_0_7 - 0.00148645005787887*G0_0_0_0_8 + 0.00097172668601257*G0_0_0_0_9 - 0.00572760572760661*G0_0_0_1_1 - 0.00599659599659702*G0_0_0_1_3 + 0.00151034151034176*G0_0_0_1_4 + 0.000712726427012255*G0_0_0_1_5 + 0.000830545116259544*G0_0_0_1_6 + 0.000589780589780657*G0_0_0_1_7 - 0.00233951233951265*G0_0_0_1_8 - 0.00114552114552134*G0_0_0_1_9 + 0.0022110341157964*G0_0_0_2_0 + 0.0274342941009653*G0_0_0_2_2 - 0.00349893492750694*G0_0_0_2_3 + 0.00353339781911269*G0_0_0_2_4 - 0.00537726823441197*G0_0_0_2_5 + 0.0147061404204286*G0_0_0_2_6 - 0.000401873259016183*G0_0_0_2_7 - 0.000327344613058947*G0_0_0_2_8 - 0.000776366490652341*G0_0_0_2_9 - 0.000737886452172292*G0_0_0_3_0 - 0.00599659599659702*G0_0_0_3_1 - 0.00349893492750694*G0_0_0_3_2 - 0.0142390942390967*G0_0_0_3_3 + 0.0116164787593379*G0_0_0_3_4 - 0.000199800199800219*G0_0_0_3_5 - 0.00201655487369806*G0_0_0_3_6 + 0.00268873983159743*G0_0_0_3_7 - 0.00414585414585483*G0_0_0_3_8 - 0.00194091622663085*G0_0_0_3_9 - 0.000249327392184578*G0_0_0_4_0 + 0.00151034151034176*G0_0_0_4_1 + 0.00353339781911269*G0_0_0_4_2 + 0.0116164787593379*G0_0_0_4_3 - 0.0233927976785158*G0_0_0_4_4 + 0.00122306265163428*G0_0_0_4_5 + 0.000793492222063783*G0_0_0_4_6 + 0.000739260739260863*G0_0_0_4_7 + 0.0014571143142574*G0_0_0_4_8 - 0.000117025831311536*G0_0_0_4_9 + 0.00890712462141186*G0_0_0_5_0 + 0.000712726427012255*G0_0_0_5_1 - 0.00537726823441197*G0_0_0_5_2 - 0.000199800199800219*G0_0_0_5_3 + 0.00122306265163428*G0_0_0_5_4 + 0.0599762142619385*G0_0_0_5_5 - 0.0138713667285119*G0_0_0_5_6 - 0.00166309880595622*G0_0_0_5_8 + 0.000411017553874751*G0_0_0_5_9 - 0.00241885099027998*G0_0_0_6_0 + 0.000830545116259544*G0_0_0_6_1 + 0.0147061404204286*G0_0_0_6_2 - 0.00201655487369806*G0_0_0_6_3 + 0.000793492222063783*G0_0_0_6_4 - 0.0138713667285119*G0_0_0_6_5 + 0.032674944103521*G0_0_0_6_6 + 0.00168070025212911*G0_0_0_6_7 - 0.000992340992341159*G0_0_0_6_8 + 0.00636220921935314*G0_0_0_6_9 + 0.00188747760176364*G0_0_0_7_0 + 0.000589780589780657*G0_0_0_7_1 - 0.000401873259016183*G0_0_0_7_2 + 0.00268873983159743*G0_0_0_7_3 + 0.000739260739260863*G0_0_0_7_4 + 0.00168070025212911*G0_0_0_7_6 - 0.0102135959278833*G0_0_0_7_7 + 0.00493696779411141*G0_0_0_7_8 - 0.00627658056229592*G0_0_0_7_9 - 0.00148645005787887*G0_0_0_8_0 - 0.00233951233951265*G0_0_0_8_1 - 0.000327344613058947*G0_0_0_8_2 - 0.00414585414585483*G0_0_0_8_3 + 0.0014571143142574*G0_0_0_8_4 - 0.00166309880595622*G0_0_0_8_5 - 0.000992340992341158*G0_0_0_8_6 + 0.00493696779411141*G0_0_0_8_7 - 0.00404262404262456*G0_0_0_8_8 + 0.0005223348080492*G0_0_0_8_9 + 0.00097172668601257*G0_0_0_9_0 - 0.00114552114552134*G0_0_0_9_1 - 0.000776366490652341*G0_0_0_9_2 - 0.00194091622663085*G0_0_0_9_3 - 0.000117025831311538*G0_0_0_9_4 + 0.000411017553874751*G0_0_0_9_5 + 0.00636220921935314*G0_0_0_9_6 - 0.00627658056229592*G0_0_0_9_7 + 0.0005223348080492*G0_0_0_9_8 - 0.0086313686313701*G0_0_0_9_9 - 0.0211211715973658*G0_0_1_0_0 - 0.000410541839113327*G0_0_1_0_3 + 0.000152545866831605*G0_0_1_0_4 - 0.00579901579901682*G0_0_1_0_5 + 0.00295841724413205*G0_0_1_0_6 - 0.00164592021734912*G0_0_1_0_7 + 0.00201248486962811*G0_0_1_0_8 + 0.00174809317666489*G0_0_1_0_9 - 0.00365708365708419*G0_0_1_1_3 + 0.000920560920561033*G0_0_1_1_4 - 0.000117818689247291*G0_0_1_1_5 + 0.00011781868924728*G0_0_1_1_6 - 0.000920560920561148*G0_0_1_1_7 + 0.00365708365708442*G0_0_1_1_8 + 0.0211211715973656*G0_0_1_2_2 - 0.00201248486962806*G0_0_1_2_3 + 0.00164592021734906*G0_0_1_2_4 - 0.00295841724413202*G0_0_1_2_5 + 0.00579901579901675*G0_0_1_2_6 - 0.000152545866831611*G0_0_1_2_7 + 0.000410541839113345*G0_0_1_2_8 - 0.0017480931766649*G0_0_1_2_9 - 0.000410541839113327*G0_0_1_3_0 - 0.00365708365708419*G0_0_1_3_1 - 0.00201248486962806*G0_0_1_3_2 - 0.0101964701964719*G0_0_1_3_3 + 0.00667951096522635*G0_0_1_3_4 + 0.000792540792540938*G0_0_1_3_5 - 0.000353456067741849*G0_0_1_3_6 + 0.00123162551733999*G0_0_1_3_7 - 0.00246325103468002*G0_0_1_3_9 + 0.000152545866831605*G0_0_1_4_0 + 0.000920560920561033*G0_0_1_4_1 + 0.00164592021734906*G0_0_1_4_2 + 0.00667951096522636*G0_0_1_4_3 - 0.0131792017506325*G0_0_1_4_4 - 0.000457637600494824*G0_0_1_4_5 + 0.000811093668236668*G0_0_1_4_6 - 0.00123162551734004*G0_0_1_4_8 + 0.00615955473098435*G0_0_1_4_9 - 0.00579901579901682*G0_0_1_5_0 - 0.000117818689247292*G0_0_1_5_1 - 0.00295841724413202*G0_0_1_5_2 + 0.000792540792540938*G0_0_1_5_3 - 0.000457637600494824*G0_0_1_5_4 + 0.0273012701584175*G0_0_1_5_5 - 0.000811093668236695*G0_0_1_5_7 + 0.000353456067741859*G0_0_1_5_8 - 0.00595119166547841*G0_0_1_5_9 + 0.00295841724413205*G0_0_1_6_0 + 0.00011781868924728*G0_0_1_6_1 + 0.00579901579901675*G0_0_1_6_2 - 0.000353456067741849*G0_0_1_6_3 + 0.000811093668236667*G0_0_1_6_4 - 0.0273012701584177*G0_0_1_6_6 + 0.000457637600494828*G0_0_1_6_7 - 0.000792540792540937*G0_0_1_6_8 + 0.0059511916654784*G0_0_1_6_9 - 0.00164592021734912*G0_0_1_7_0 - 0.000920560920561148*G0_0_1_7_1 - 0.000152545866831612*G0_0_1_7_2 + 0.00123162551733999*G0_0_1_7_3 - 0.000811093668236695*G0_0_1_7_5 + 0.000457637600494828*G0_0_1_7_6 + 0.0131792017506325*G0_0_1_7_7 - 0.00667951096522643*G0_0_1_7_8 - 0.00615955473098435*G0_0_1_7_9 + 0.00201248486962811*G0_0_1_8_0 + 0.00365708365708443*G0_0_1_8_1 + 0.000410541839113345*G0_0_1_8_2 - 0.00123162551734004*G0_0_1_8_4 + 0.000353456067741859*G0_0_1_8_5 - 0.000792540792540937*G0_0_1_8_6 - 0.00667951096522643*G0_0_1_8_7 + 0.0101964701964721*G0_0_1_8_8 + 0.00246325103468005*G0_0_1_8_9 + 0.00174809317666489*G0_0_1_9_0 - 0.0017480931766649*G0_0_1_9_2 - 0.00246325103468002*G0_0_1_9_3 + 0.00615955473098435*G0_0_1_9_4 - 0.00595119166547841*G0_0_1_9_5 + 0.0059511916654784*G0_0_1_9_6 - 0.00615955473098435*G0_0_1_9_7 + 0.00246325103468005*G0_0_1_9_8;
    A[20] = -A[23] - 0.0036748789129748*G0_0_1_0_0 + 0.00342487318677856*G0_0_1_0_1 + 0.000628533723771926*G0_0_1_0_2 + 0.001099878957022*G0_0_1_0_4 + 0.000525823382966322*G0_0_1_0_5 + 0.00108526394240698*G0_0_1_0_6 - 0.000899418042275366*G0_0_1_0_7 + 0.00476158761873132*G0_0_1_0_8 + 0.00346225203368119*G0_0_1_0_9 + 0.00342487318677856*G0_0_1_1_0 + 0.0591889591889697*G0_0_1_1_1 + 0.00182148539291428*G0_0_1_1_2 + 0.0103481703481722*G0_0_1_1_3 - 0.00446146446146527*G0_0_1_1_4 - 0.000948390234104711*G0_0_1_1_5 + 0.00016176944748377*G0_0_1_1_6 - 0.0148836348836375*G0_0_1_1_7 + 0.0359388759388823*G0_0_1_1_8 + 0.00259518259518306*G0_0_1_1_9 + 0.000628533723771926*G0_0_1_2_0 + 0.00182148539291428*G0_0_1_2_1 + 0.0153463820130513*G0_0_1_2_2 - 0.00171310171310199*G0_0_1_2_3 + 0.00367595367595429*G0_0_1_2_4 - 0.00169238169238197*G0_0_1_2_5 + 0.00497095497095579*G0_0_1_2_6 - 0.000738600024314437*G0_0_1_2_7 + 0.00171355099926558*G0_0_1_2_8 - 0.000668220668220782*G0_0_1_2_9 + 0.0103481703481722*G0_0_1_3_1 - 0.00171310171310199*G0_0_1_3_2 - 0.010256410256412*G0_0_1_3_3 - 0.0067434946006386*G0_0_1_3_4 + 0.00288330716902193*G0_0_1_3_5 - 0.003179915322773*G0_0_1_3_6 - 0.00246777032491363*G0_0_1_3_7 + 0.0103030303030321*G0_0_1_3_8 - 0.0028500071357219*G0_0_1_3_9 + 0.001099878957022*G0_0_1_4_0 - 0.00446146446146527*G0_0_1_4_1 + 0.00367595367595429*G0_0_1_4_2 - 0.0067434946006386*G0_0_1_4_3 + 0.0230103230103268*G0_0_1_4_4 - 0.0059942438513877*G0_0_1_4_5 + 0.0091741591741607*G0_0_1_4_6 + 0.000805385091099534*G0_0_1_4_7 - 0.00783525997811847*G0_0_1_4_8 + 0.0139931497074377*G0_0_1_4_9 + 0.000525823382966322*G0_0_1_5_0 - 0.000948390234104711*G0_0_1_5_1 - 0.00169238169238197*G0_0_1_5_2 + 0.00288330716902193*G0_0_1_5_3 - 0.0059942438513877*G0_0_1_5_4 + 0.00807763664906653*G0_0_1_5_5 - 0.00793849008134855*G0_0_1_5_6 + 0.000328243185386097*G0_0_1_5_7 + 0.000150563721992301*G0_0_1_5_8 - 0.0106878835450282*G0_0_1_5_9 + 0.00108526394240698*G0_0_1_6_0 + 0.00016176944748377*G0_0_1_6_1 + 0.00497095497095579*G0_0_1_6_2 - 0.003179915322773*G0_0_1_6_3 + 0.0091741591741607*G0_0_1_6_4 - 0.00793849008134855*G0_0_1_6_5 - 0.0206793206793242*G0_0_1_6_6 - 0.000478806907378421*G0_0_1_6_7 - 0.00146567717996313*G0_0_1_6_8 + 0.00836449265020835*G0_0_1_6_9 - 0.000899418042275367*G0_0_1_7_0 - 0.0148836348836375*G0_0_1_7_1 - 0.000738600024314437*G0_0_1_7_2 - 0.00246777032491363*G0_0_1_7_3 + 0.000805385091099534*G0_0_1_7_4 + 0.000328243185386097*G0_0_1_7_5 - 0.000478806907378421*G0_0_1_7_6 + 0.0146910232624543*G0_0_1_7_7 - 0.0263500784929402*G0_0_1_7_8 - 0.00942914228628674*G0_0_1_7_9 + 0.00476158761873132*G0_0_1_8_0 + 0.0359388759388823*G0_0_1_8_1 + 0.00171355099926558*G0_0_1_8_2 + 0.0103030303030321*G0_0_1_8_3 - 0.00783525997811847*G0_0_1_8_4 + 0.000150563721992301*G0_0_1_8_5 - 0.00146567717996313*G0_0_1_8_6 - 0.0263500784929402*G0_0_1_8_7 + 0.058881118881129*G0_0_1_8_8 + 0.00788497217068781*G0_0_1_8_9 + 0.00346225203368119*G0_0_1_9_0 + 0.00259518259518306*G0_0_1_9_1 - 0.000668220668220782*G0_0_1_9_2 - 0.0028500071357219*G0_0_1_9_3 + 0.0139931497074377*G0_0_1_9_4 - 0.0106878835450282*G0_0_1_9_5 + 0.00836449265020835*G0_0_1_9_6 - 0.00942914228628674*G0_0_1_9_7 + 0.00788497217068781*G0_0_1_9_8 + 0.0213900385328993*G0_0_1_9_9;
    A[5] = -A[20] - 0.00326925279306287*G0_0_0_0_0 - 0.00110764015525939*G0_0_0_0_2 + 0.000261325975611732*G0_0_0_0_3 + 0.000927643784786804*G0_0_0_0_4 - 0.00209430780859387*G0_0_0_0_5 - 0.00147936719365317*G0_0_0_0_6 - 0.00206026777455383*G0_0_0_0_7 + 0.00119647548218996*G0_0_0_0_8 - 0.000339977482834682*G0_0_0_0_9 + 0.0032692527930628*G0_0_0_1_1 + 0.00110764015525939*G0_0_0_1_2 + 0.00209430780859386*G0_0_0_1_3 + 0.00147936719365317*G0_0_0_1_4 - 0.000261325975611731*G0_0_0_1_5 - 0.000927643784786803*G0_0_0_1_6 - 0.00119647548218995*G0_0_0_1_7 + 0.0020602677745538*G0_0_0_1_8 + 0.00033997748283468*G0_0_0_1_9 - 0.00110764015525939*G0_0_0_2_0 + 0.00110764015525939*G0_0_0_2_1 - 0.00380656380656445*G0_0_0_2_3 + 0.011999851999854*G0_0_0_2_4 + 0.00380656380656444*G0_0_0_2_5 - 0.011999851999854*G0_0_0_2_6 - 0.000332683189826102*G0_0_0_2_7 + 0.000332683189826099*G0_0_0_2_8 + 0.000261325975611732*G0_0_0_3_0 + 0.00209430780859386*G0_0_0_3_1 - 0.00380656380656445*G0_0_0_3_2 + 0.00890918605204472*G0_0_0_3_3 - 0.0159431045145358*G0_0_0_3_4 + 0.00278293135436038*G0_0_0_3_6 - 0.000783977926835199*G0_0_0_3_7 + 0.0017820274963135*G0_0_0_3_8 + 0.000548023405166362*G0_0_0_3_9 + 0.000927643784786804*G0_0_0_4_0 + 0.00147936719365317*G0_0_0_4_1 + 0.011999851999854*G0_0_0_4_2 - 0.0159431045145358*G0_0_0_4_3 + 0.053053613053622*G0_0_0_4_4 - 0.00278293135436039*G0_0_0_4_5 - 0.000892440892441042*G0_0_0_4_7 - 0.0009980495694783*G0_0_0_4_8 + 0.00556586270872077*G0_0_0_4_9 - 0.00209430780859387*G0_0_0_5_0 - 0.000261325975611731*G0_0_0_5_1 + 0.00380656380656444*G0_0_0_5_2 - 0.00278293135436039*G0_0_0_5_4 - 0.00890918605204467*G0_0_0_5_5 + 0.0159431045145358*G0_0_0_5_6 - 0.0017820274963135*G0_0_0_5_7 + 0.000783977926835199*G0_0_0_5_8 - 0.00054802340516636*G0_0_0_5_9 - 0.00147936719365317*G0_0_0_6_0 - 0.000927643784786803*G0_0_0_6_1 - 0.011999851999854*G0_0_0_6_2 + 0.00278293135436038*G0_0_0_6_3 + 0.0159431045145358*G0_0_0_6_5 - 0.053053613053622*G0_0_0_6_6 + 0.0009980495694783*G0_0_0_6_7 + 0.000892440892441038*G0_0_0_6_8 - 0.00556586270872077*G0_0_0_6_9 - 0.00206026777455383*G0_0_0_7_0 - 0.00119647548218995*G0_0_0_7_1 - 0.000332683189826102*G0_0_0_7_2 - 0.000783977926835199*G0_0_0_7_3 - 0.000892440892441042*G0_0_0_7_4 - 0.0017820274963135*G0_0_0_7_5 + 0.0009980495694783*G0_0_0_7_6 - 0.00117025831311565*G0_0_0_7_7 - 0.000976166690452572*G0_0_0_7_9 + 0.00119647548218996*G0_0_0_8_0 + 0.0020602677745538*G0_0_0_8_1 + 0.000332683189826099*G0_0_0_8_2 + 0.0017820274963135*G0_0_0_8_3 - 0.0009980495694783*G0_0_0_8_4 + 0.000783977926835199*G0_0_0_8_5 + 0.000892440892441038*G0_0_0_8_6 + 0.0011702583131156*G0_0_0_8_8 + 0.000976166690452565*G0_0_0_8_9 - 0.000339977482834682*G0_0_0_9_0 + 0.00033997748283468*G0_0_0_9_1 + 0.000548023405166362*G0_0_0_9_3 + 0.00556586270872077*G0_0_0_9_4 - 0.00054802340516636*G0_0_0_9_5 - 0.00556586270872077*G0_0_0_9_6 - 0.000976166690452572*G0_0_0_9_7 + 0.000976166690452565*G0_0_0_9_8 - 0.00246342722533236*G0_0_1_0_0 + 0.00296736772927302*G0_0_1_0_1 + 0.000195043052185946*G0_0_1_0_2 + 0.000435120435120514*G0_0_1_0_3 + 0.00175189889475634*G0_0_1_0_4 - 0.000812837955695221*G0_0_1_0_5 + 0.000113854399568696*G0_0_1_0_6 - 0.00503401360544303*G0_0_1_0_7 + 0.00545835117263783*G0_0_1_0_8 + 0.0017753674896535*G0_0_1_0_9 + 0.00296736772927302*G0_0_1_1_0 + 0.0636696636696748*G0_0_1_1_1 + 0.00249563487658768*G0_0_1_1_2 + 0.0111038168181045*G0_0_1_1_3 - 0.00395350681065036*G0_0_1_1_4 - 0.000698983556126558*G0_0_1_1_5 - 0.000113854399568694*G0_0_1_1_6 - 0.0153833468119209*G0_0_1_1_7 + 0.0338645481502683*G0_0_1_1_8 + 0.00124827553399005*G0_0_1_1_9 + 0.000195043052185946*G0_0_1_2_0 + 0.00249563487658768*G0_0_1_2_1 + 0.00420813754147158*G0_0_1_2_2 - 0.00441241298384229*G0_0_1_2_3 + 0.0107048507048525*G0_0_1_2_4 - 0.000585129156557826*G0_0_1_2_5 - 0.00112332112332131*G0_0_1_2_7 + 0.0016615130900848*G0_0_1_2_8 + 0.00117025831311565*G0_0_1_2_9 + 0.000435120435120513*G0_0_1_3_0 + 0.0111038168181045*G0_0_1_3_1 - 0.00441241298384229*G0_0_1_3_2 - 0.00973597830740857*G0_0_1_3_3 - 0.0129927215641523*G0_0_1_3_4 + 0.00144427001569882*G0_0_1_3_5 - 0.00175538746967347*G0_0_1_3_6 - 0.00340231197374114*G0_0_1_3_7 + 0.0104838019123751*G0_0_1_3_8 + 0.00305979734551215*G0_0_1_3_9 + 0.00175189889475633*G0_0_1_4_0 - 0.00395350681065036*G0_0_1_4_1 + 0.0107048507048525*G0_0_1_4_2 - 0.0129927215641523*G0_0_1_4_3 + 0.0876352219209508*G0_0_1_4_4 - 0.00735264735264856*G0_0_1_4_5 + 0.00910803482232205*G0_0_1_4_6 + 0.000105608677037285*G0_0_1_4_7 - 0.007081489938634*G0_0_1_4_8 + 0.0111945197659502*G0_0_1_4_9 - 0.000812837955695221*G0_0_1_5_0 - 0.000698983556126558*G0_0_1_5_1 - 0.000585129156557826*G0_0_1_5_2 + 0.00144427001569882*G0_0_1_5_3 - 0.00735264735264856*G0_0_1_5_4 - 0.000311117453974664*G0_0_1_5_5 + 0.00175538746967349*G0_0_1_5_6 - 0.00127301270158433*G0_0_1_5_7 - 0.0053261024689605*G0_0_1_5_9 + 0.000113854399568696*G0_0_1_6_0 - 0.000113854399568694*G0_0_1_6_1 - 0.00175538746967347*G0_0_1_6_3 + 0.00910803482232205*G0_0_1_6_4 + 0.00175538746967349*G0_0_1_6_5 - 0.0091080348223221*G0_0_1_6_6 + 0.00127301270158434*G0_0_1_6_7 - 0.00127301270158433*G0_0_1_6_8 - 0.00503401360544303*G0_0_1_7_0 - 0.0153833468119209*G0_0_1_7_1 - 0.00112332112332131*G0_0_1_7_2 - 0.00340231197374113*G0_0_1_7_3 + 0.000105608677037285*G0_0_1_7_4 - 0.00127301270158433*G0_0_1_7_5 + 0.00127301270158434*G0_0_1_7_6 + 0.000830597973455281*G0_0_1_7_7 - 0.0163750535179135*G0_0_1_7_8 - 0.0078721278721292*G0_0_1_7_9 + 0.00545835117263783*G0_0_1_8_0 + 0.0338645481502683*G0_0_1_8_1 + 0.0016615130900848*G0_0_1_8_2 + 0.0104838019123751*G0_0_1_8_3 - 0.007081489938634*G0_0_1_8_4 - 0.00127301270158433*G0_0_1_8_6 - 0.0163750535179135*G0_0_1_8_7 + 0.0461909519052455*G0_0_1_8_8 + 0.0104181532752979*G0_0_1_8_9 + 0.0017753674896535*G0_0_1_9_0 + 0.00124827553399005*G0_0_1_9_1 + 0.00117025831311565*G0_0_1_9_2 + 0.00305979734551215*G0_0_1_9_3 + 0.0111945197659502*G0_0_1_9_4 - 0.0053261024689605*G0_0_1_9_5 - 0.0078721278721292*G0_0_1_9_7 + 0.0104181532752979*G0_0_1_9_8 + 0.010652204937921*G0_0_1_9_9 - 0.00286380286380335*G0_1_0_0_0 - 0.000177115653306158*G0_1_0_0_1 + 0.000293789103312976*G0_1_0_0_2 + 0.000684474255902952*G0_1_0_0_4 - 0.00233951233951273*G0_1_0_0_5 + 0.000387205387205454*G0_1_0_0_6 - 0.00182854182854213*G0_1_0_0_7 + 0.000830465830465968*G0_1_0_0_8 - 0.000740370740370863*G0_1_0_0_9 - 0.000177115653306158*G0_1_0_1_0 + 0.000405449929259519*G0_1_0_1_1 + 0.00140142925857236*G0_1_0_1_2 - 0.000245204530918863*G0_1_0_1_3 + 0.00186657258085862*G0_1_0_1_4 - 0.000311989597703937*G0_1_0_1_5 - 0.000243169528883853*G0_1_0_1_6 - 0.000366009651723998*G0_1_0_1_7 + 0.000231725946011701*G0_1_0_1_8 - 0.000400393257536182*G0_1_0_1_9 + 0.000293789103312976*G0_1_0_2_0 + 0.00140142925857236*G0_1_0_2_1 + 0.0229535896202604*G0_1_0_2_2 - 0.00651311651311765*G0_1_0_2_3 + 0.0157790357790385*G0_1_0_2_4 - 0.0027065527065532*G0_1_0_2_5 + 0.0037791837791845*G0_1_0_2_6 - 0.000380016808588301*G0_1_0_2_7 + 0.000905760905761069*G0_1_0_2_9 - 0.000245204530918863*G0_1_0_3_1 - 0.00651311651311765*G0_1_0_3_2 + 0.00303173017458786*G0_1_0_3_3 - 0.0101943294800455*G0_1_0_3_4 + 0.000485229056657718*G0_1_0_3_5 + 0.00084701013272454*G0_1_0_3_6 + 0.000269492412349598*G0_1_0_3_7 - 0.000528994814709183*G0_1_0_3_8 + 0.000662194947909349*G0_1_0_3_9 + 0.000684474255902952*G0_1_0_4_0 + 0.00186657258085862*G0_1_0_4_1 + 0.0157790357790385*G0_1_0_4_2 - 0.0101943294800455*G0_1_0_4_3 + 0.0367765567765631*G0_1_0_4_4 - 0.00193592122163585*G0_1_0_4_5 + 0.00108891108891131*G0_1_0_4_6 - 0.000515436944008458*G0_1_0_4_7 + 0.000259502402359585*G0_1_0_4_8 + 0.00115455972598849*G0_1_0_4_9 - 0.00233951233951273*G0_1_0_5_0 - 0.000311989597703937*G0_1_0_5_1 - 0.0027065527065532*G0_1_0_5_2 + 0.000485229056657718*G0_1_0_5_3 - 0.00193592122163585*G0_1_0_5_4 - 0.00587745587745684*G0_1_0_5_5 + 0.00574877503449025*G0_1_0_5_6 - 0.00231102231102269*G0_1_0_5_7 + 0.0010534703391848*G0_1_0_5_8 + 0.000114171542742985*G0_1_0_5_9 + 0.000387205387205454*G0_1_0_6_0 - 0.000243169528883853*G0_1_0_6_1 + 0.0037791837791845*G0_1_0_6_2 + 0.00084701013272454*G0_1_0_6_3 + 0.00108891108891131*G0_1_0_6_4 + 0.00574877503449025*G0_1_0_6_5 - 0.016277056277059*G0_1_0_6_6 + 0.00125755197183789*G0_1_0_6_7 + 0.000377003948432583*G0_1_0_6_8 - 0.00441130298273229*G0_1_0_6_9 - 0.00182854182854213*G0_1_0_7_0 - 0.000366009651723998*G0_1_0_7_1 - 0.000380016808588301*G0_1_0_7_2 + 0.000269492412349598*G0_1_0_7_3 - 0.000515436944008458*G0_1_0_7_4 - 0.00231102231102269*G0_1_0_7_5 + 0.00125755197183789*G0_1_0_7_6 - 0.00278721278721323*G0_1_0_7_7 + 0.00176038247466847*G0_1_0_7_8 - 0.000293991722563204*G0_1_0_7_9 + 0.000830465830465968*G0_1_0_8_0 + 0.0002317259460117*G0_1_0_8_1 - 0.000528994814709183*G0_1_0_8_3 + 0.000259502402359585*G0_1_0_8_4 + 0.0010534703391848*G0_1_0_8_5 + 0.000377003948432583*G0_1_0_8_6 + 0.00176038247466847*G0_1_0_8_7 - 0.00161695447409758*G0_1_0_8_8 + 0.000682174967889375*G0_1_0_8_9 - 0.000740370740370863*G0_1_0_9_0 - 0.000400393257536182*G0_1_0_9_1 + 0.000905760905761068*G0_1_0_9_2 + 0.000662194947909349*G0_1_0_9_3 + 0.00115455972598849*G0_1_0_9_4 + 0.000114171542742985*G0_1_0_9_5 - 0.00441130298273229*G0_1_0_9_6 - 0.000293991722563204*G0_1_0_9_7 + 0.000682174967889375*G0_1_0_9_8 - 0.00217496788925397*G0_1_0_9_9 - 0.00286380286380331*G0_1_1_0_0 - 0.000317310555405843*G0_1_1_0_1 + 0.000158333729762333*G0_1_1_0_2 + 0.0001460708603566*G0_1_1_0_3 + 0.000763390049104467*G0_1_1_0_4 - 0.000510970510970583*G0_1_1_0_5 - 0.00024068524068529*G0_1_1_0_6 - 0.00365708365708427*G0_1_1_0_7 + 0.00112313612313631*G0_1_1_0_8 - 0.000405150405150479*G0_1_1_0_9 - 0.000317310555405843*G0_1_1_1_0 + 0.00448070448070529*G0_1_1_1_1 + 0.000809604857224047*G0_1_1_1_2 - 0.00107289535860981*G0_1_1_1_3 + 0.00113584827870562*G0_1_1_1_4 - 0.000354539640253986*G0_1_1_1_6 - 0.000792382220953798*G0_1_1_1_7 - 0.000245785960071684*G0_1_1_1_8 - 0.00168212739641339*G0_1_1_1_9 + 0.000158333729762333*G0_1_1_2_0 + 0.000809604857224047*G0_1_1_2_1 + 0.00590767257434027*G0_1_1_2_2 - 0.00428542357113859*G0_1_1_2_3 + 0.00915232915233074*G0_1_1_2_4 - 0.00112044040615489*G0_1_1_2_5 + 0.00165575165575195*G0_1_1_2_6 - 0.000425896854468355*G0_1_1_2_7 + 0.00137211994354875*G0_1_1_2_9 + 0.0001460708603566*G0_1_1_3_0 - 0.00107289535860981*G0_1_1_3_1 - 0.00428542357113859*G0_1_1_3_2 - 0.00410161267304195*G0_1_1_3_3 - 0.00367703724846646*G0_1_1_3_4 - 0.0004769040483327*G0_1_1_3_5 + 0.00142119784976951*G0_1_1_3_6 - 0.000295418866847474*G0_1_1_3_8 + 0.00520764949336466*G0_1_1_3_9 + 0.000763390049104468*G0_1_1_4_0 + 0.00113584827870562*G0_1_1_4_1 + 0.00915232915233074*G0_1_1_4_2 - 0.00367703724846646*G0_1_1_4_3 + 0.0569444840873508*G0_1_1_4_4 - 0.00193259121830582*G0_1_1_4_5 + 0.000511393368536313*G0_1_1_4_6 - 0.000685029256457935*G0_1_1_4_7 + 0.000376052518909715*G0_1_1_4_8 - 0.00025117739403462*G0_1_1_4_9 - 0.000510970510970583*G0_1_1_5_0 - 0.00112044040615489*G0_1_1_5_2 - 0.0004769040483327*G0_1_1_5_3 - 0.00193259121830582*G0_1_1_5_4 - 0.00125541125541147*G0_1_1_5_5 + 0.003176585319443*G0_1_1_5_6 - 0.00183483183483214*G0_1_1_5_7 + 0.000199562342419518*G0_1_1_5_8 + 0.000816326530612395*G0_1_1_5_9 - 0.00024068524068529*G0_1_1_6_0 - 0.000354539640253986*G0_1_1_6_1 + 0.00165575165575195*G0_1_1_6_2 + 0.00142119784976951*G0_1_1_6_3 + 0.000511393368536313*G0_1_1_6_4 + 0.003176585319443*G0_1_1_6_5 - 0.00859664145378577*G0_1_1_6_6 + 0.00163526949241263*G0_1_1_6_7 + 0.000362256790828278*G0_1_1_6_8 - 0.00695875553018529*G0_1_1_6_9 - 0.00365708365708427*G0_1_1_7_0 - 0.000792382220953798*G0_1_1_7_1 - 0.000425896854468355*G0_1_1_7_2 - 0.000685029256457934*G0_1_1_7_4 - 0.00183483183483214*G0_1_1_7_5 + 0.00163526949241263*G0_1_1_7_6 - 0.00836163836163975*G0_1_1_7_7 + 0.00586770372484756*G0_1_1_7_8 - 0.00205508776937383*G0_1_1_7_9 + 0.00112313612313631*G0_1_1_8_0 - 0.000245785960071684*G0_1_1_8_1 - 0.000295418866847474*G0_1_1_8_3 + 0.000376052518909715*G0_1_1_8_4 + 0.000199562342419518*G0_1_1_8_5 + 0.000362256790828278*G0_1_1_8_6 + 0.00586770372484756*G0_1_1_8_7 - 0.00711574140145677*G0_1_1_8_8 + 0.00429427715142075*G0_1_1_8_9 - 0.000405150405150479*G0_1_1_9_0 - 0.00168212739641339*G0_1_1_9_1 + 0.00137211994354875*G0_1_1_9_2 + 0.00520764949336466*G0_1_1_9_3 - 0.00025117739403462*G0_1_1_9_4 + 0.000816326530612395*G0_1_1_9_5 - 0.00695875553018529*G0_1_1_9_6 - 0.00205508776937383*G0_1_1_9_7 + 0.00429427715142075*G0_1_1_9_8 - 0.00645640074211617*G0_1_1_9_9;
    A[8] = -A[5] - 0.0591889591889693*G0_0_1_0_0 - 0.00342487318677853*G0_0_1_0_1 - 0.00182148539291427*G0_0_1_0_2 + 0.000948390234104706*G0_0_1_0_3 - 0.000161769447483769*G0_0_1_0_4 - 0.0103481703481721*G0_0_1_0_5 + 0.0044614644614652*G0_0_1_0_6 - 0.035938875938882*G0_0_1_0_7 + 0.0148836348836374*G0_0_1_0_8 - 0.00259518259518307*G0_0_1_0_9 - 0.00342487318677853*G0_0_1_1_0 + 0.00367487891297482*G0_0_1_1_1 - 0.000628533723771925*G0_0_1_1_2 - 0.000525823382966311*G0_0_1_1_3 - 0.00108526394240699*G0_0_1_1_4 - 0.001099878957022*G0_0_1_1_6 - 0.00476158761873129*G0_0_1_1_7 + 0.000899418042275357*G0_0_1_1_8 - 0.00346225203368119*G0_0_1_1_9 - 0.00182148539291427*G0_0_1_2_0 - 0.000628533723771925*G0_0_1_2_1 - 0.0153463820130513*G0_0_1_2_2 + 0.00169238169238198*G0_0_1_2_3 - 0.0049709549709558*G0_0_1_2_4 + 0.00171310171310201*G0_0_1_2_5 - 0.0036759536759543*G0_0_1_2_6 - 0.00171355099926557*G0_0_1_2_7 + 0.000738600024314432*G0_0_1_2_8 + 0.00066822066822078*G0_0_1_2_9 + 0.000948390234104706*G0_0_1_3_0 - 0.000525823382966311*G0_0_1_3_1 + 0.00169238169238198*G0_0_1_3_2 - 0.00807763664906664*G0_0_1_3_3 + 0.00793849008134856*G0_0_1_3_4 - 0.00288330716902193*G0_0_1_3_5 + 0.00599424385138771*G0_0_1_3_6 - 0.000150563721992294*G0_0_1_3_7 - 0.000328243185386109*G0_0_1_3_8 + 0.0106878835450282*G0_0_1_3_9 - 0.000161769447483769*G0_0_1_4_0 - 0.00108526394240699*G0_0_1_4_1 - 0.0049709549709558*G0_0_1_4_2 + 0.00793849008134856*G0_0_1_4_3 + 0.0206793206793241*G0_0_1_4_4 + 0.00317991532277301*G0_0_1_4_5 - 0.00917415917416073*G0_0_1_4_6 + 0.00146567717996314*G0_0_1_4_7 + 0.000478806907378419*G0_0_1_4_8 - 0.00836449265020837*G0_0_1_4_9 - 0.0103481703481721*G0_0_1_5_0 + 0.00171310171310201*G0_0_1_5_2 - 0.00288330716902193*G0_0_1_5_3 + 0.00317991532277301*G0_0_1_5_4 + 0.010256410256412*G0_0_1_5_5 + 0.00674349460063861*G0_0_1_5_6 - 0.010303030303032*G0_0_1_5_7 + 0.0024677703249136*G0_0_1_5_8 + 0.00285000713572191*G0_0_1_5_9 + 0.0044614644614652*G0_0_1_6_0 - 0.001099878957022*G0_0_1_6_1 - 0.0036759536759543*G0_0_1_6_2 + 0.00599424385138771*G0_0_1_6_3 - 0.00917415917416073*G0_0_1_6_4 + 0.00674349460063861*G0_0_1_6_5 - 0.0230103230103269*G0_0_1_6_6 + 0.00783525997811844*G0_0_1_6_7 - 0.000805385091099515*G0_0_1_6_8 - 0.0139931497074378*G0_0_1_6_9 - 0.035938875938882*G0_0_1_7_0 - 0.00476158761873129*G0_0_1_7_1 - 0.00171355099926557*G0_0_1_7_2 - 0.000150563721992294*G0_0_1_7_3 + 0.00146567717996314*G0_0_1_7_4 - 0.010303030303032*G0_0_1_7_5 + 0.00783525997811844*G0_0_1_7_6 - 0.0588811188811289*G0_0_1_7_7 + 0.0263500784929401*G0_0_1_7_8 - 0.00788497217068782*G0_0_1_7_9 + 0.0148836348836374*G0_0_1_8_0 + 0.000899418042275357*G0_0_1_8_1 + 0.000738600024314432*G0_0_1_8_2 - 0.000328243185386109*G0_0_1_8_3 + 0.000478806907378419*G0_0_1_8_4 + 0.0024677703249136*G0_0_1_8_5 - 0.000805385091099514*G0_0_1_8_6 + 0.0263500784929401*G0_0_1_8_7 - 0.0146910232624544*G0_0_1_8_8 + 0.00942914228628674*G0_0_1_8_9 - 0.00259518259518308*G0_0_1_9_0 - 0.00346225203368119*G0_0_1_9_1 + 0.00066822066822078*G0_0_1_9_2 + 0.0106878835450282*G0_0_1_9_3 - 0.00836449265020837*G0_0_1_9_4 + 0.00285000713572191*G0_0_1_9_5 - 0.0139931497074378*G0_0_1_9_6 - 0.00788497217068782*G0_0_1_9_7 + 0.00942914228628674*G0_0_1_9_8 - 0.0213900385328993*G0_0_1_9_9 - 0.0591889591889693*G0_1_1_0_0 - 0.00342487318677853*G0_1_1_0_1 - 0.00182148539291427*G0_1_1_0_2 + 0.000948390234104707*G0_1_1_0_3 - 0.000161769447483772*G0_1_1_0_4 - 0.0103481703481721*G0_1_1_0_5 + 0.0044614644614652*G0_1_1_0_6 - 0.035938875938882*G0_1_1_0_7 + 0.0148836348836374*G0_1_1_0_8 - 0.00259518259518308*G0_1_1_0_9 - 0.00342487318677853*G0_1_1_1_0 + 0.00367487891297483*G0_1_1_1_1 - 0.000628533723771928*G0_1_1_1_2 - 0.000525823382966307*G0_1_1_1_3 - 0.00108526394240699*G0_1_1_1_4 - 0.001099878957022*G0_1_1_1_6 - 0.0047615876187313*G0_1_1_1_7 + 0.000899418042275366*G0_1_1_1_8 - 0.00346225203368119*G0_1_1_1_9 - 0.00182148539291427*G0_1_1_2_0 - 0.000628533723771928*G0_1_1_2_1 - 0.0153463820130514*G0_1_1_2_2 + 0.00169238169238199*G0_1_1_2_3 - 0.00497095497095583*G0_1_1_2_4 + 0.00171310171310202*G0_1_1_2_5 - 0.00367595367595433*G0_1_1_2_6 - 0.00171355099926557*G0_1_1_2_7 + 0.000738600024314434*G0_1_1_2_8 + 0.000668220668220778*G0_1_1_2_9 + 0.000948390234104707*G0_1_1_3_0 - 0.000525823382966306*G0_1_1_3_1 + 0.00169238169238199*G0_1_1_3_2 - 0.00807763664906663*G0_1_1_3_3 + 0.00793849008134857*G0_1_1_3_4 - 0.00288330716902194*G0_1_1_3_5 + 0.00599424385138773*G0_1_1_3_6 - 0.000150563721992296*G0_1_1_3_7 - 0.000328243185386103*G0_1_1_3_8 + 0.0106878835450282*G0_1_1_3_9 - 0.000161769447483772*G0_1_1_4_0 - 0.00108526394240699*G0_1_1_4_1 - 0.00497095497095583*G0_1_1_4_2 + 0.00793849008134857*G0_1_1_4_3 + 0.0206793206793241*G0_1_1_4_4 + 0.00317991532277302*G0_1_1_4_5 - 0.00917415917416075*G0_1_1_4_6 + 0.00146567717996314*G0_1_1_4_7 + 0.000478806907378415*G0_1_1_4_8 - 0.00836449265020839*G0_1_1_4_9 - 0.0103481703481721*G0_1_1_5_0 + 0.00171310171310202*G0_1_1_5_2 - 0.00288330716902194*G0_1_1_5_3 + 0.00317991532277302*G0_1_1_5_4 + 0.010256410256412*G0_1_1_5_5 + 0.00674349460063863*G0_1_1_5_6 - 0.010303030303032*G0_1_1_5_7 + 0.0024677703249136*G0_1_1_5_8 + 0.00285000713572191*G0_1_1_5_9 + 0.00446146446146519*G0_1_1_6_0 - 0.001099878957022*G0_1_1_6_1 - 0.00367595367595433*G0_1_1_6_2 + 0.00599424385138772*G0_1_1_6_3 - 0.00917415917416075*G0_1_1_6_4 + 0.00674349460063863*G0_1_1_6_5 - 0.0230103230103269*G0_1_1_6_6 + 0.00783525997811844*G0_1_1_6_7 - 0.000805385091099514*G0_1_1_6_8 - 0.0139931497074378*G0_1_1_6_9 - 0.035938875938882*G0_1_1_7_0 - 0.0047615876187313*G0_1_1_7_1 - 0.00171355099926557*G0_1_1_7_2 - 0.000150563721992296*G0_1_1_7_3 + 0.00146567717996314*G0_1_1_7_4 - 0.010303030303032*G0_1_1_7_5 + 0.00783525997811844*G0_1_1_7_6 - 0.0588811188811289*G0_1_1_7_7 + 0.0263500784929401*G0_1_1_7_8 - 0.00788497217068782*G0_1_1_7_9 + 0.0148836348836374*G0_1_1_8_0 + 0.000899418042275366*G0_1_1_8_1 + 0.000738600024314434*G0_1_1_8_2 - 0.000328243185386104*G0_1_1_8_3 + 0.000478806907378415*G0_1_1_8_4 + 0.0024677703249136*G0_1_1_8_5 - 0.000805385091099514*G0_1_1_8_6 + 0.0263500784929401*G0_1_1_8_7 - 0.0146910232624543*G0_1_1_8_8 + 0.00942914228628675*G0_1_1_8_9 - 0.00259518259518308*G0_1_1_9_0 - 0.00346225203368119*G0_1_1_9_1 + 0.000668220668220778*G0_1_1_9_2 + 0.0106878835450282*G0_1_1_9_3 - 0.00836449265020839*G0_1_1_9_4 + 0.00285000713572191*G0_1_1_9_5 - 0.0139931497074378*G0_1_1_9_6 - 0.00788497217068782*G0_1_1_9_7 + 0.00942914228628675*G0_1_1_9_8 - 0.0213900385328994*G0_1_1_9_9;
    A[45] = A[5] + 0.000335449383068487*G0_0_0_0_1 - 0.000611099658718815*G0_0_0_0_2 + 0.000814053671196672*G0_0_0_0_3 - 0.000538403395546347*G0_0_0_0_4 - 0.00131757131757156*G0_0_0_0_5 + 0.000735930735930873*G0_0_0_0_6 + 0.00131757131757152*G0_0_0_0_7 - 0.00107115107115124*G0_0_0_0_8 + 0.000335220335220391*G0_0_0_0_9 + 0.000335449383068487*G0_0_0_1_0 + 0.00550222264508071*G0_0_0_1_1 - 0.000591824401348314*G0_0_0_1_2 + 0.00939753368324956*G0_0_0_1_3 - 0.00615199615199719*G0_0_0_1_4 - 0.000113907256764421*G0_0_0_1_5 + 0.000237011665583137*G0_0_0_1_6 - 0.000754430754430887*G0_0_0_1_7 + 0.00142402570974024*G0_0_0_1_8 + 0.00177251320108494*G0_0_0_1_9 - 0.000611099658718815*G0_0_0_2_0 - 0.000591824401348314*G0_0_0_2_1 - 0.0184728851395549*G0_0_0_2_2 + 0.00764896479182322*G0_0_0_2_3 - 0.0168519311376483*G0_0_0_2_4 + 0.00191417048559938*G0_0_0_2_5 - 0.00402496973925613*G0_0_0_2_6 + 0.000432689004117646*G0_0_0_2_7 - 0.000307206021491787*G0_0_0_2_8 - 0.00258788830217445*G0_0_0_2_9 + 0.000814053671196672*G0_0_0_3_0 + 0.00939753368324956*G0_0_0_3_1 + 0.00764896479182322*G0_0_0_3_2 + 0.053912753912763*G0_0_0_3_3 + 0.00651729223157905*G0_0_0_3_4 - 0.00117025831311564*G0_0_0_3_5 - 0.00047095761381484*G0_0_0_3_6 - 0.00220208363065543*G0_0_0_3_7 + 0.0010403881832455*G0_0_0_3_8 - 0.000913372341943916*G0_0_0_3_9 - 0.000538403395546347*G0_0_0_4_0 - 0.00615199615199719*G0_0_0_4_1 - 0.0168519311376483*G0_0_0_4_2 + 0.00651729223157905*G0_0_0_4_3 - 0.0408781694496049*G0_0_0_4_4 + 0.00185528756957359*G0_0_0_4_5 - 0.00138432995575875*G0_0_0_4_6 + 0.00116169544740992*G0_0_0_4_8 + 0.00405308976737619*G0_0_0_4_9 - 0.00131757131757156*G0_0_0_5_0 - 0.000113907256764421*G0_0_0_5_1 + 0.00191417048559937*G0_0_0_5_2 - 0.00117025831311564*G0_0_0_5_3 + 0.00185528756957359*G0_0_0_5_4 - 0.00248418248418291*G0_0_0_5_5 + 0.00011892869035729*G0_0_0_5_6 + 0.000476190476190543*G0_0_0_5_7 + 0.000581799153227831*G0_0_0_5_8 - 0.00216925931211683*G0_0_0_5_9 + 0.000735930735930873*G0_0_0_6_0 + 0.000237011665583137*G0_0_0_6_1 - 0.00402496973925613*G0_0_0_6_2 - 0.00047095761381484*G0_0_0_6_3 - 0.00138432995575875*G0_0_0_6_4 + 0.000118928690357291*G0_0_0_6_5 + 0.00916131487560216*G0_0_0_6_6 - 0.00105798962941837*G0_0_0_6_7 + 0.00870558013415304*G0_0_0_6_9 + 0.00131757131757152*G0_0_0_7_0 - 0.000754430754430887*G0_0_0_7_1 + 0.000432689004117646*G0_0_0_7_2 - 0.00220208363065543*G0_0_0_7_3 + 0.000476190476190543*G0_0_0_7_5 - 0.00105798962941837*G0_0_0_7_6 + 0.00153180153180176*G0_0_0_7_7 + 0.00141620284477452*G0_0_0_7_8 + 0.00111031825317558*G0_0_0_7_9 - 0.00107115107115124*G0_0_0_8_0 + 0.00142402570974024*G0_0_0_8_1 - 0.000307206021491787*G0_0_0_8_2 + 0.0010403881832455*G0_0_0_8_3 + 0.00116169544740992*G0_0_0_8_4 + 0.000581799153227831*G0_0_0_8_5 + 0.00141620284477452*G0_0_0_8_7 - 0.00697968697968815*G0_0_0_8_8 - 0.00764093049807464*G0_0_0_8_9 + 0.000335220335220392*G0_0_0_9_0 + 0.00177251320108494*G0_0_0_9_1 - 0.00258788830217445*G0_0_0_9_2 - 0.000913372341943916*G0_0_0_9_3 + 0.00405308976737619*G0_0_0_9_4 - 0.00216925931211683*G0_0_0_9_5 + 0.00870558013415304*G0_0_0_9_6 + 0.00111031825317558*G0_0_0_9_7 - 0.00764093049807464*G0_0_0_9_8 - 0.00428143285286215*G0_0_0_9_9 + 0.000475644285168174*G0_0_1_0_1 - 0.000475644285168178*G0_0_1_0_2 + 0.000617319188747867*G0_0_1_0_3 - 0.000617319188747867*G0_0_1_0_4 - 0.00314611314611371*G0_0_1_0_5 + 0.00136382136382161*G0_0_1_0_6 + 0.00314611314611365*G0_0_1_0_7 - 0.00136382136382158*G0_0_1_0_8 + 0.000475644285168173*G0_0_1_1_0 + 0.00142696809363495*G0_0_1_1_1 + 0.0102252245109405*G0_0_1_1_3 - 0.00542127184984419*G0_0_1_1_4 - 0.000478569049997702*G0_0_1_1_5 + 0.000348381776953267*G0_0_1_1_6 - 0.000328058185201096*G0_0_1_1_7 + 0.00190153761582364*G0_0_1_1_8 + 0.00305424733996215*G0_0_1_1_9 - 0.000475644285168178*G0_0_1_2_0 - 0.00142696809363496*G0_0_1_2_2 + 0.00542127184984418*G0_0_1_2_3 - 0.0102252245109405*G0_0_1_2_4 + 0.00032805818520109*G0_0_1_2_5 - 0.00190153761582363*G0_0_1_2_6 + 0.0004785690499977*G0_0_1_2_7 - 0.000348381776953262*G0_0_1_2_8 - 0.00305424733996214*G0_0_1_2_9 + 0.000617319188747867*G0_0_1_3_0 + 0.0102252245109405*G0_0_1_3_1 + 0.00542127184984418*G0_0_1_3_2 + 0.0610460967603928*G0_0_1_3_3 - 0.000208125208125226*G0_0_1_3_5 - 0.0010451453308598*G0_0_1_3_6 - 0.00185195756624359*G0_0_1_3_7 + 0.000806812235383802*G0_0_1_3_8 - 0.00545882688739923*G0_0_1_3_9 - 0.000617319188747867*G0_0_1_4_0 - 0.00542127184984419*G0_0_1_4_1 - 0.0102252245109405*G0_0_1_4_2 - 0.0610460967603927*G0_0_1_4_4 + 0.00185195756624357*G0_0_1_4_5 - 0.000806812235383778*G0_0_1_4_6 + 0.000208125208125237*G0_0_1_4_7 + 0.00104514533085978*G0_0_1_4_8 + 0.00545882688739928*G0_0_1_4_9 - 0.00314611314611371*G0_0_1_5_0 - 0.000478569049997702*G0_0_1_5_1 + 0.00032805818520109*G0_0_1_5_2 - 0.000208125208125226*G0_0_1_5_3 + 0.00185195756624357*G0_0_1_5_4 - 0.00710622710622829*G0_0_1_5_5 + 0.00269111840540456*G0_0_1_5_6 + 0.00143570714999311*G0_0_1_5_8 - 0.00287141429998624*G0_0_1_5_9 + 0.00136382136382161*G0_0_1_6_0 + 0.000348381776953267*G0_0_1_6_1 - 0.00190153761582363*G0_0_1_6_2 - 0.0010451453308598*G0_0_1_6_3 - 0.000806812235383777*G0_0_1_6_4 + 0.00269111840540456*G0_0_1_6_5 + 0.00148090005232891*G0_0_1_6_6 - 0.00143570714999311*G0_0_1_6_7 + 0.011253032681606*G0_0_1_6_9 + 0.00314611314611365*G0_0_1_7_0 - 0.000328058185201096*G0_0_1_7_1 + 0.0004785690499977*G0_0_1_7_2 - 0.00185195756624359*G0_0_1_7_3 + 0.000208125208125237*G0_0_1_7_4 - 0.00143570714999311*G0_0_1_7_6 + 0.0071062271062283*G0_0_1_7_7 - 0.00269111840540457*G0_0_1_7_8 + 0.0028714142999862*G0_0_1_7_9 - 0.00136382136382158*G0_0_1_8_0 + 0.00190153761582364*G0_0_1_8_1 - 0.000348381776953262*G0_0_1_8_2 + 0.000806812235383803*G0_0_1_8_3 + 0.00104514533085978*G0_0_1_8_4 + 0.00143570714999311*G0_0_1_8_5 - 0.00269111840540457*G0_0_1_8_7 - 0.00148090005232882*G0_0_1_8_8 - 0.011253032681606*G0_0_1_8_9 + 0.00305424733996215*G0_0_1_9_1 - 0.00305424733996214*G0_0_1_9_2 - 0.00545882688739923*G0_0_1_9_3 + 0.00545882688739928*G0_0_1_9_4 - 0.00287141429998624*G0_0_1_9_5 + 0.011253032681606*G0_0_1_9_6 + 0.0028714142999862*G0_0_1_9_7 - 0.011253032681606*G0_0_1_9_8 + 0.000470904756619123*G0_1_0_0_1 - 0.000470904756619135*G0_1_0_0_2 + 0.000735137877995154*G0_1_0_0_3 - 0.000735137877995154*G0_1_0_0_4 + 0.000510970510970557*G0_1_0_0_5 + 0.000443260443260535*G0_1_0_0_6 - 0.000510970510970645*G0_1_0_0_7 - 0.000443260443260495*G0_1_0_0_8 + 0.000470904756619123*G0_1_0_1_0 + 0.0225481396910007*G0_1_0_1_1 + 0.0160242403099573*G0_1_0_1_3 - 0.00837968909397623*G0_1_0_1_4 + 0.000195835910121659*G0_1_0_1_6 - 0.00234054305482919*G0_1_0_1_7 + 0.00354745783317275*G0_1_0_1_8 + 0.00130615416329725*G0_1_0_1_9 - 0.000470904756619135*G0_1_0_2_0 - 0.0225481396910008*G0_1_0_2_2 + 0.00837968909397625*G0_1_0_2_3 - 0.0160242403099574*G0_1_0_2_4 + 0.00234054305482918*G0_1_0_2_5 - 0.00354745783317277*G0_1_0_2_6 - 0.000195835910121653*G0_1_0_2_8 - 0.00130615416329725*G0_1_0_2_9 + 0.000735137877995154*G0_1_0_3_0 + 0.0160242403099573*G0_1_0_3_1 + 0.00837968909397624*G0_1_0_3_2 + 0.0337448266019751*G0_1_0_3_3 - 0.00100066600066617*G0_1_0_3_5 - 0.000587507730364962*G0_1_0_3_6 - 0.00220541363398544*G0_1_0_3_7 + 0.00161790590362048*G0_1_0_3_8 + 0.000492364778079161*G0_1_0_3_9 - 0.000735137877995154*G0_1_0_4_0 - 0.00837968909397623*G0_1_0_4_1 - 0.0160242403099574*G0_1_0_4_2 - 0.0337448266019753*G0_1_0_4_4 + 0.00220541363398545*G0_1_0_4_5 - 0.00161790590362049*G0_1_0_4_6 + 0.00100066600066618*G0_1_0_4_7 + 0.000587507730364961*G0_1_0_4_8 - 0.000492364778079146*G0_1_0_4_9 + 0.000510970510970557*G0_1_0_5_0 + 0.00234054305482918*G0_1_0_5_2 - 0.00100066600066617*G0_1_0_5_3 + 0.00220541363398545*G0_1_0_5_4 + 0.00309024309024355*G0_1_0_5_5 - 0.00398839255982176*G0_1_0_5_6 + 0.000204081632653112*G0_1_0_5_8 - 0.000408163265306203*G0_1_0_5_9 + 0.000443260443260535*G0_1_0_6_0 + 0.000195835910121659*G0_1_0_6_1 - 0.00354745783317277*G0_1_0_6_2 - 0.000587507730364962*G0_1_0_6_3 - 0.00161790590362049*G0_1_0_6_4 - 0.00398839255982176*G0_1_0_6_5 + 0.0146601018029614*G0_1_0_6_6 - 0.000204081632653075*G0_1_0_6_7 + 0.00509347795062167*G0_1_0_6_9 - 0.000510970510970645*G0_1_0_7_0 - 0.00234054305482919*G0_1_0_7_1 - 0.00220541363398544*G0_1_0_7_3 + 0.00100066600066618*G0_1_0_7_4 - 0.000204081632653075*G0_1_0_7_6 - 0.00309024309024368*G0_1_0_7_7 + 0.00398839255982182*G0_1_0_7_8 + 0.000408163265306172*G0_1_0_7_9 - 0.000443260443260495*G0_1_0_8_0 + 0.00354745783317275*G0_1_0_8_1 - 0.000195835910121653*G0_1_0_8_2 + 0.00161790590362048*G0_1_0_8_3 + 0.000587507730364961*G0_1_0_8_4 + 0.000204081632653112*G0_1_0_8_5 + 0.00398839255982182*G0_1_0_8_7 - 0.0146601018029614*G0_1_0_8_8 - 0.00509347795062166*G0_1_0_8_9 + 0.00130615416329725*G0_1_0_9_1 - 0.00130615416329725*G0_1_0_9_2 + 0.000492364778079161*G0_1_0_9_3 - 0.000492364778079145*G0_1_0_9_4 - 0.000408163265306203*G0_1_0_9_5 + 0.00509347795062167*G0_1_0_9_6 + 0.000408163265306172*G0_1_0_9_7 - 0.00509347795062166*G0_1_0_9_8 + 0.00061109965871881*G0_1_1_0_1 - 0.000335449383068495*G0_1_1_0_2 + 0.000538403395546349*G0_1_1_0_3 - 0.000814053671196672*G0_1_1_0_4 - 0.00131757131757159*G0_1_1_0_5 + 0.00107115107115128*G0_1_1_0_6 + 0.00131757131757149*G0_1_1_0_7 - 0.000735930735930834*G0_1_1_0_8 - 0.000335220335220391*G0_1_1_0_9 + 0.00061109965871881*G0_1_1_1_0 + 0.0184728851395549*G0_1_1_1_1 + 0.000591824401348304*G0_1_1_1_2 + 0.0168519311376483*G0_1_1_1_3 - 0.00764896479182323*G0_1_1_1_4 - 0.000432689004117655*G0_1_1_1_5 + 0.000307206021491791*G0_1_1_1_6 - 0.0019141704855994*G0_1_1_1_7 + 0.00402496973925616*G0_1_1_1_8 + 0.00258788830217446*G0_1_1_1_9 - 0.000335449383068495*G0_1_1_2_0 + 0.000591824401348304*G0_1_1_2_1 - 0.00550222264508074*G0_1_1_2_2 + 0.0061519961519972*G0_1_1_2_3 - 0.00939753368324959*G0_1_1_2_4 + 0.000754430754430883*G0_1_1_2_5 - 0.00142402570974024*G0_1_1_2_6 + 0.000113907256764415*G0_1_1_2_7 - 0.000237011665583129*G0_1_1_2_8 - 0.00177251320108493*G0_1_1_2_9 + 0.000538403395546349*G0_1_1_3_0 + 0.0168519311376483*G0_1_1_3_1 + 0.0061519961519972*G0_1_1_3_2 + 0.0408781694496049*G0_1_1_3_3 - 0.00651729223157902*G0_1_1_3_4 - 0.00116169544740993*G0_1_1_3_6 - 0.0018552875695736*G0_1_1_3_7 + 0.00138432995575878*G0_1_1_3_8 - 0.00405308976737615*G0_1_1_3_9 - 0.000814053671196672*G0_1_1_4_0 - 0.00764896479182323*G0_1_1_4_1 - 0.00939753368324959*G0_1_1_4_2 - 0.00651729223157902*G0_1_1_4_3 - 0.053912753912763*G0_1_1_4_4 + 0.00220208363065542*G0_1_1_4_5 - 0.0010403881832455*G0_1_1_4_6 + 0.00117025831311565*G0_1_1_4_7 + 0.000470957613814822*G0_1_1_4_8 + 0.000913372341943955*G0_1_1_4_9 - 0.00131757131757159*G0_1_1_5_0 - 0.000432689004117655*G0_1_1_5_1 + 0.000754430754430883*G0_1_1_5_2 + 0.00220208363065542*G0_1_1_5_4 - 0.00153180153180183*G0_1_1_5_5 - 0.0014162028447745*G0_1_1_5_6 - 0.000476190476190579*G0_1_1_5_7 + 0.00105798962941839*G0_1_1_5_8 - 0.00111031825317561*G0_1_1_5_9 + 0.00107115107115128*G0_1_1_6_0 + 0.00030720602149179*G0_1_1_6_1 - 0.00142402570974024*G0_1_1_6_2 - 0.00116169544740993*G0_1_1_6_3 - 0.0010403881832455*G0_1_1_6_4 - 0.0014162028447745*G0_1_1_6_5 + 0.00697968697968816*G0_1_1_6_6 - 0.00058179915322781*G0_1_1_6_7 + 0.00764093049807466*G0_1_1_6_9 + 0.00131757131757149*G0_1_1_7_0 - 0.0019141704855994*G0_1_1_7_1 + 0.000113907256764414*G0_1_1_7_2 - 0.0018552875695736*G0_1_1_7_3 + 0.00117025831311565*G0_1_1_7_4 - 0.000476190476190579*G0_1_1_7_5 - 0.00058179915322781*G0_1_1_7_6 + 0.00248418248418286*G0_1_1_7_7 - 0.000118928690357291*G0_1_1_7_8 + 0.0021692593121168*G0_1_1_7_9 - 0.000735930735930833*G0_1_1_8_0 + 0.00402496973925616*G0_1_1_8_1 - 0.00023701166558313*G0_1_1_8_2 + 0.00138432995575878*G0_1_1_8_3 + 0.000470957613814822*G0_1_1_8_4 + 0.00105798962941839*G0_1_1_8_5 - 0.000118928690357291*G0_1_1_8_7 - 0.00916131487560208*G0_1_1_8_8 - 0.00870558013415301*G0_1_1_8_9 - 0.000335220335220391*G0_1_1_9_0 + 0.00258788830217446*G0_1_1_9_1 - 0.00177251320108493*G0_1_1_9_2 - 0.00405308976737615*G0_1_1_9_3 + 0.000913372341943955*G0_1_1_9_4 - 0.00111031825317561*G0_1_1_9_5 + 0.00764093049807466*G0_1_1_9_6 + 0.0021692593121168*G0_1_1_9_7 - 0.00870558013415301*G0_1_1_9_8 + 0.0042814328528622*G0_1_1_9_9;
    A[165] = -A[45] - 0.0591889591889696*G0_0_0_0_0 - 0.00182148539291429*G0_0_0_0_1 - 0.00342487318677854*G0_0_0_0_2 - 0.000161769447483746*G0_0_0_0_3 + 0.000948390234104684*G0_0_0_0_4 - 0.0359388759388822*G0_0_0_0_5 + 0.0148836348836375*G0_0_0_0_6 - 0.0103481703481722*G0_0_0_0_7 + 0.00446146446146526*G0_0_0_0_8 - 0.00259518259518307*G0_0_0_0_9 - 0.00182148539291429*G0_0_0_1_0 - 0.0153463820130513*G0_0_0_1_1 - 0.000628533723771925*G0_0_0_1_2 - 0.00497095497095581*G0_0_0_1_3 + 0.00169238169238198*G0_0_0_1_4 - 0.00171355099926557*G0_0_0_1_5 + 0.000738600024314436*G0_0_0_1_6 + 0.001713101713102*G0_0_0_1_7 - 0.00367595367595431*G0_0_0_1_8 + 0.000668220668220778*G0_0_0_1_9 - 0.00342487318677854*G0_0_0_2_0 - 0.000628533723771925*G0_0_0_2_1 + 0.00367487891297477*G0_0_0_2_2 - 0.00108526394240698*G0_0_0_2_3 - 0.000525823382966334*G0_0_0_2_4 - 0.00476158761873129*G0_0_0_2_5 + 0.000899418042275346*G0_0_0_2_6 - 0.00109987895702199*G0_0_0_2_8 - 0.00346225203368119*G0_0_0_2_9 - 0.000161769447483746*G0_0_0_3_0 - 0.00497095497095582*G0_0_0_3_1 - 0.00108526394240698*G0_0_0_3_2 + 0.0206793206793242*G0_0_0_3_3 + 0.00793849008134856*G0_0_0_3_4 + 0.00146567717996315*G0_0_0_3_5 + 0.000478806907378406*G0_0_0_3_6 + 0.003179915322773*G0_0_0_3_7 - 0.00917415917416072*G0_0_0_3_8 - 0.00836449265020834*G0_0_0_3_9 + 0.000948390234104685*G0_0_0_4_0 + 0.00169238169238198*G0_0_0_4_1 - 0.000525823382966334*G0_0_0_4_2 + 0.00793849008134856*G0_0_0_4_3 - 0.00807763664906654*G0_0_0_4_4 - 0.000150563721992322*G0_0_0_4_5 - 0.000328243185386082*G0_0_0_4_6 - 0.00288330716902194*G0_0_0_4_7 + 0.00599424385138771*G0_0_0_4_8 + 0.0106878835450282*G0_0_0_4_9 - 0.0359388759388822*G0_0_0_5_0 - 0.00171355099926557*G0_0_0_5_1 - 0.00476158761873129*G0_0_0_5_2 + 0.00146567717996315*G0_0_0_5_3 - 0.000150563721992322*G0_0_0_5_4 - 0.0588811188811289*G0_0_0_5_5 + 0.0263500784929401*G0_0_0_5_6 - 0.0103030303030321*G0_0_0_5_7 + 0.00783525997811847*G0_0_0_5_8 - 0.00788497217068784*G0_0_0_5_9 + 0.0148836348836375*G0_0_0_6_0 + 0.000738600024314436*G0_0_0_6_1 + 0.000899418042275346*G0_0_0_6_2 + 0.000478806907378406*G0_0_0_6_3 - 0.000328243185386082*G0_0_0_6_4 + 0.0263500784929401*G0_0_0_6_5 - 0.0146910232624543*G0_0_0_6_6 + 0.00246777032491361*G0_0_0_6_7 - 0.00080538509109953*G0_0_0_6_8 + 0.00942914228628677*G0_0_0_6_9 - 0.0103481703481722*G0_0_0_7_0 + 0.001713101713102*G0_0_0_7_1 + 0.003179915322773*G0_0_0_7_3 - 0.00288330716902194*G0_0_0_7_4 - 0.0103030303030321*G0_0_0_7_5 + 0.00246777032491361*G0_0_0_7_6 + 0.0102564102564119*G0_0_0_7_7 + 0.00674349460063863*G0_0_0_7_8 + 0.00285000713572189*G0_0_0_7_9 + 0.00446146446146526*G0_0_0_8_0 - 0.00367595367595431*G0_0_0_8_1 - 0.00109987895702199*G0_0_0_8_2 - 0.00917415917416072*G0_0_0_8_3 + 0.00599424385138771*G0_0_0_8_4 + 0.00783525997811847*G0_0_0_8_5 - 0.00080538509109953*G0_0_0_8_6 + 0.00674349460063863*G0_0_0_8_7 - 0.0230103230103269*G0_0_0_8_8 - 0.0139931497074378*G0_0_0_8_9 - 0.00259518259518307*G0_0_0_9_0 + 0.000668220668220778*G0_0_0_9_1 - 0.00346225203368119*G0_0_0_9_2 - 0.00836449265020834*G0_0_0_9_3 + 0.0106878835450282*G0_0_0_9_4 - 0.00788497217068784*G0_0_0_9_5 + 0.00942914228628677*G0_0_0_9_6 + 0.00285000713572189*G0_0_0_9_7 - 0.0139931497074378*G0_0_0_9_8 - 0.0213900385328993*G0_0_0_9_9 - 0.0591889591889696*G0_0_1_0_0 - 0.00182148539291429*G0_0_1_0_1 - 0.00342487318677854*G0_0_1_0_2 - 0.000161769447483748*G0_0_1_0_3 + 0.000948390234104685*G0_0_1_0_4 - 0.0359388759388822*G0_0_1_0_5 + 0.0148836348836375*G0_0_1_0_6 - 0.0103481703481722*G0_0_1_0_7 + 0.00446146446146526*G0_0_1_0_8 - 0.00259518259518307*G0_0_1_0_9 - 0.00182148539291429*G0_0_1_1_0 - 0.0153463820130513*G0_0_1_1_1 - 0.000628533723771924*G0_0_1_1_2 - 0.00497095497095582*G0_0_1_1_3 + 0.00169238169238198*G0_0_1_1_4 - 0.00171355099926557*G0_0_1_1_5 + 0.000738600024314437*G0_0_1_1_6 + 0.001713101713102*G0_0_1_1_7 - 0.00367595367595432*G0_0_1_1_8 + 0.000668220668220776*G0_0_1_1_9 - 0.00342487318677854*G0_0_1_2_0 - 0.000628533723771924*G0_0_1_2_1 + 0.00367487891297481*G0_0_1_2_2 - 0.00108526394240698*G0_0_1_2_3 - 0.000525823382966328*G0_0_1_2_4 - 0.0047615876187313*G0_0_1_2_5 + 0.00089941804227536*G0_0_1_2_6 - 0.00109987895702199*G0_0_1_2_8 - 0.00346225203368119*G0_0_1_2_9 - 0.000161769447483748*G0_0_1_3_0 - 0.00497095497095581*G0_0_1_3_1 - 0.00108526394240698*G0_0_1_3_2 + 0.0206793206793242*G0_0_1_3_3 + 0.00793849008134855*G0_0_1_3_4 + 0.00146567717996315*G0_0_1_3_5 + 0.000478806907378403*G0_0_1_3_6 + 0.003179915322773*G0_0_1_3_7 - 0.00917415917416071*G0_0_1_3_8 - 0.00836449265020834*G0_0_1_3_9 + 0.000948390234104685*G0_0_1_4_0 + 0.00169238169238198*G0_0_1_4_1 - 0.000525823382966328*G0_0_1_4_2 + 0.00793849008134856*G0_0_1_4_3 - 0.00807763664906654*G0_0_1_4_4 - 0.000150563721992325*G0_0_1_4_5 - 0.000328243185386076*G0_0_1_4_6 - 0.00288330716902194*G0_0_1_4_7 + 0.0059942438513877*G0_0_1_4_8 + 0.0106878835450282*G0_0_1_4_9 - 0.0359388759388822*G0_0_1_5_0 - 0.00171355099926557*G0_0_1_5_1 - 0.0047615876187313*G0_0_1_5_2 + 0.00146567717996315*G0_0_1_5_3 - 0.000150563721992325*G0_0_1_5_4 - 0.0588811188811289*G0_0_1_5_5 + 0.0263500784929401*G0_0_1_5_6 - 0.0103030303030321*G0_0_1_5_7 + 0.00783525997811847*G0_0_1_5_8 - 0.00788497217068784*G0_0_1_5_9 + 0.0148836348836375*G0_0_1_6_0 + 0.000738600024314437*G0_0_1_6_1 + 0.000899418042275359*G0_0_1_6_2 + 0.000478806907378403*G0_0_1_6_3 - 0.000328243185386076*G0_0_1_6_4 + 0.0263500784929401*G0_0_1_6_5 - 0.0146910232624543*G0_0_1_6_6 + 0.00246777032491361*G0_0_1_6_7 - 0.000805385091099537*G0_0_1_6_8 + 0.00942914228628677*G0_0_1_6_9 - 0.0103481703481722*G0_0_1_7_0 + 0.001713101713102*G0_0_1_7_1 + 0.00317991532277301*G0_0_1_7_3 - 0.00288330716902194*G0_0_1_7_4 - 0.0103030303030321*G0_0_1_7_5 + 0.00246777032491361*G0_0_1_7_6 + 0.0102564102564119*G0_0_1_7_7 + 0.00674349460063862*G0_0_1_7_8 + 0.00285000713572188*G0_0_1_7_9 + 0.00446146446146526*G0_0_1_8_0 - 0.00367595367595432*G0_0_1_8_1 - 0.00109987895702199*G0_0_1_8_2 - 0.00917415917416071*G0_0_1_8_3 + 0.0059942438513877*G0_0_1_8_4 + 0.00783525997811847*G0_0_1_8_5 - 0.000805385091099537*G0_0_1_8_6 + 0.00674349460063862*G0_0_1_8_7 - 0.0230103230103268*G0_0_1_8_8 - 0.0139931497074377*G0_0_1_8_9 - 0.00259518259518307*G0_0_1_9_0 + 0.000668220668220776*G0_0_1_9_1 - 0.00346225203368119*G0_0_1_9_2 - 0.00836449265020834*G0_0_1_9_3 + 0.0106878835450282*G0_0_1_9_4 - 0.00788497217068784*G0_0_1_9_5 + 0.00942914228628677*G0_0_1_9_6 + 0.00285000713572188*G0_0_1_9_7 - 0.0139931497074377*G0_0_1_9_8 - 0.0213900385328993*G0_0_1_9_9;
    A[75] = A[5] + 0.000140194902099687*G0_0_1_0_1 + 0.000135455373550642*G0_0_1_0_2 - 0.000196734482448805*G0_0_1_0_3 - 0.00182854182854215*G0_0_1_0_5 + 0.000627890627890742*G0_0_1_0_6 + 0.00182854182854213*G0_0_1_0_7 - 0.00029267029267034*G0_0_1_0_8 - 0.000335220335220386*G0_0_1_0_9 + 0.000140194902099687*G0_0_1_1_0 - 0.00407525455144575*G0_0_1_1_1 + 0.000591824401348317*G0_0_1_1_2 + 0.000827690827690954*G0_0_1_1_3 + 0.000730724302153006*G0_0_1_1_4 - 0.000364661793233282*G0_0_1_1_5 + 0.000111370111370132*G0_0_1_1_6 + 0.000426372569229792*G0_0_1_1_7 + 0.000477511906083402*G0_0_1_1_8 + 0.00128173413887721*G0_0_1_1_9 + 0.000135455373550641*G0_0_1_2_0 + 0.000591824401348318*G0_0_1_2_1 + 0.0170459170459201*G0_0_1_2_2 - 0.00222769294197906*G0_0_1_2_3 + 0.0066267066267078*G0_0_1_2_4 - 0.0015861123003983*G0_0_1_2_5 + 0.00212343212343254*G0_0_1_2_6 - 0.000466359037787681*G0_0_1_2_9 - 0.000196734482448805*G0_0_1_3_0 + 0.000827690827690954*G0_0_1_3_1 - 0.00222769294197906*G0_0_1_3_2 + 0.00713334284762982*G0_0_1_3_3 - 0.00651729223157907*G0_0_1_3_4 + 0.000962133104990417*G0_0_1_3_5 - 0.00057418771704497*G0_0_1_3_6 + 0.000350126064411835*G0_0_1_3_7 - 0.000233575947861698*G0_0_1_3_8 - 0.00454545454545531*G0_0_1_3_9 + 0.000730724302153006*G0_0_1_4_1 + 0.0066267066267078*G0_0_1_4_2 - 0.00651729223157907*G0_0_1_4_3 - 0.0201679273107877*G0_0_1_4_4 + 0.000577517720374991*G0_0_1_4_6 + 0.00016959231244948*G0_0_1_4_7 - 0.000116550116550138*G0_0_1_4_8 + 0.0014057371200231*G0_0_1_4_9 - 0.00182854182854215*G0_0_1_5_0 - 0.000364661793233282*G0_0_1_5_1 - 0.00158611230039831*G0_0_1_5_2 + 0.000962133104990417*G0_0_1_5_3 - 0.00462204462204538*G0_0_1_5_5 + 0.00257218971504726*G0_0_1_5_6 - 0.000476190476190546*G0_0_1_5_7 + 0.00085390799676528*G0_0_1_5_8 - 0.000702154987869405*G0_0_1_5_9 + 0.000627890627890742*G0_0_1_6_0 + 0.000111370111370132*G0_0_1_6_1 + 0.00212343212343254*G0_0_1_6_2 - 0.00057418771704497*G0_0_1_6_3 + 0.000577517720374992*G0_0_1_6_4 + 0.00257218971504726*G0_0_1_6_5 - 0.00768041482327321*G0_0_1_6_6 - 0.000377717520574734*G0_0_1_6_7 + 0.00254745254745299*G0_0_1_6_9 + 0.00182854182854213*G0_0_1_7_0 + 0.000426372569229791*G0_0_1_7_1 + 0.000350126064411835*G0_0_1_7_3 + 0.00016959231244948*G0_0_1_7_4 - 0.000476190476190545*G0_0_1_7_5 - 0.000377717520574734*G0_0_1_7_6 + 0.00557442557442654*G0_0_1_7_7 - 0.00410732125017909*G0_0_1_7_8 + 0.00176109604681063*G0_0_1_7_9 - 0.00029267029267034*G0_0_1_8_0 + 0.000477511906083402*G0_0_1_8_1 - 0.000233575947861698*G0_0_1_8_3 - 0.000116550116550138*G0_0_1_8_4 + 0.00085390799676528*G0_0_1_8_5 - 0.0041073212501791*G0_0_1_8_7 + 0.00549878692735932*G0_0_1_8_8 - 0.00361210218353136*G0_0_1_8_9 - 0.000335220335220386*G0_0_1_9_0 + 0.00128173413887721*G0_0_1_9_1 - 0.000466359037787681*G0_0_1_9_2 - 0.00454545454545531*G0_0_1_9_3 + 0.0014057371200231*G0_0_1_9_4 - 0.000702154987869405*G0_0_1_9_5 + 0.00254745254745299*G0_0_1_9_6 + 0.00176109604681063*G0_0_1_9_7 - 0.00361210218353136*G0_0_1_9_8 + 0.00428143285286217*G0_0_1_9_9 - 0.000140194902099687*G0_1_0_0_1 - 0.000135455373550642*G0_1_0_0_2 + 0.000196734482448805*G0_1_0_0_3 + 0.00182854182854215*G0_1_0_0_5 - 0.000627890627890742*G0_1_0_0_6 - 0.00182854182854213*G0_1_0_0_7 + 0.00029267029267034*G0_1_0_0_8 + 0.000335220335220386*G0_1_0_0_9 - 0.000140194902099687*G0_1_0_1_0 + 0.00407525455144575*G0_1_0_1_1 - 0.000591824401348317*G0_1_0_1_2 - 0.000827690827690954*G0_1_0_1_3 - 0.000730724302153006*G0_1_0_1_4 + 0.000364661793233282*G0_1_0_1_5 - 0.000111370111370132*G0_1_0_1_6 - 0.000426372569229792*G0_1_0_1_7 - 0.000477511906083402*G0_1_0_1_8 - 0.00128173413887721*G0_1_0_1_9 - 0.000135455373550641*G0_1_0_2_0 - 0.000591824401348318*G0_1_0_2_1 - 0.0170459170459201*G0_1_0_2_2 + 0.00222769294197906*G0_1_0_2_3 - 0.0066267066267078*G0_1_0_2_4 + 0.0015861123003983*G0_1_0_2_5 - 0.00212343212343254*G0_1_0_2_6 + 0.000466359037787681*G0_1_0_2_9 + 0.000196734482448805*G0_1_0_3_0 - 0.000827690827690954*G0_1_0_3_1 + 0.00222769294197906*G0_1_0_3_2 - 0.00713334284762982*G0_1_0_3_3 + 0.00651729223157907*G0_1_0_3_4 - 0.000962133104990417*G0_1_0_3_5 + 0.00057418771704497*G0_1_0_3_6 - 0.000350126064411835*G0_1_0_3_7 + 0.000233575947861698*G0_1_0_3_8 + 0.00454545454545531*G0_1_0_3_9 - 0.000730724302153006*G0_1_0_4_1 - 0.0066267066267078*G0_1_0_4_2 + 0.00651729223157907*G0_1_0_4_3 + 0.0201679273107877*G0_1_0_4_4 - 0.000577517720374991*G0_1_0_4_6 - 0.00016959231244948*G0_1_0_4_7 + 0.000116550116550138*G0_1_0_4_8 - 0.0014057371200231*G0_1_0_4_9 + 0.00182854182854215*G0_1_0_5_0 + 0.000364661793233282*G0_1_0_5_1 + 0.0015861123003983*G0_1_0_5_2 - 0.000962133104990417*G0_1_0_5_3 + 0.00462204462204538*G0_1_0_5_5 - 0.00257218971504726*G0_1_0_5_6 + 0.000476190476190546*G0_1_0_5_7 - 0.00085390799676528*G0_1_0_5_8 + 0.000702154987869405*G0_1_0_5_9 - 0.000627890627890742*G0_1_0_6_0 - 0.000111370111370132*G0_1_0_6_1 - 0.00212343212343254*G0_1_0_6_2 + 0.00057418771704497*G0_1_0_6_3 - 0.000577517720374992*G0_1_0_6_4 - 0.00257218971504726*G0_1_0_6_5 + 0.00768041482327322*G0_1_0_6_6 + 0.000377717520574734*G0_1_0_6_7 - 0.00254745254745299*G0_1_0_6_9 - 0.00182854182854213*G0_1_0_7_0 - 0.000426372569229791*G0_1_0_7_1 - 0.000350126064411835*G0_1_0_7_3 - 0.00016959231244948*G0_1_0_7_4 + 0.000476190476190544*G0_1_0_7_5 + 0.000377717520574734*G0_1_0_7_6 - 0.00557442557442654*G0_1_0_7_7 + 0.0041073212501791*G0_1_0_7_8 - 0.00176109604681063*G0_1_0_7_9 + 0.00029267029267034*G0_1_0_8_0 - 0.000477511906083402*G0_1_0_8_1 + 0.000233575947861698*G0_1_0_8_3 + 0.000116550116550138*G0_1_0_8_4 - 0.000853907996765279*G0_1_0_8_5 + 0.0041073212501791*G0_1_0_8_7 - 0.00549878692735932*G0_1_0_8_8 + 0.00361210218353136*G0_1_0_8_9 + 0.000335220335220386*G0_1_0_9_0 - 0.00128173413887721*G0_1_0_9_1 + 0.000466359037787681*G0_1_0_9_2 + 0.00454545454545531*G0_1_0_9_3 - 0.0014057371200231*G0_1_0_9_4 + 0.000702154987869405*G0_1_0_9_5 - 0.00254745254745298*G0_1_0_9_6 - 0.00176109604681063*G0_1_0_9_7 + 0.00361210218353136*G0_1_0_9_8 - 0.00428143285286217*G0_1_0_9_9;
    A[120] = -A[75] - 0.0591889591889693*G0_1_0_0_0 - 0.00342487318677853*G0_1_0_0_1 - 0.00182148539291427*G0_1_0_0_2 + 0.000948390234104706*G0_1_0_0_3 - 0.000161769447483769*G0_1_0_0_4 - 0.0103481703481721*G0_1_0_0_5 + 0.0044614644614652*G0_1_0_0_6 - 0.035938875938882*G0_1_0_0_7 + 0.0148836348836374*G0_1_0_0_8 - 0.00259518259518307*G0_1_0_0_9 - 0.00342487318677853*G0_1_0_1_0 + 0.00367487891297482*G0_1_0_1_1 - 0.000628533723771925*G0_1_0_1_2 - 0.000525823382966311*G0_1_0_1_3 - 0.00108526394240699*G0_1_0_1_4 - 0.001099878957022*G0_1_0_1_6 - 0.00476158761873129*G0_1_0_1_7 + 0.000899418042275357*G0_1_0_1_8 - 0.00346225203368119*G0_1_0_1_9 - 0.00182148539291427*G0_1_0_2_0 - 0.000628533723771925*G0_1_0_2_1 - 0.0153463820130513*G0_1_0_2_2 + 0.00169238169238198*G0_1_0_2_3 - 0.0049709549709558*G0_1_0_2_4 + 0.001713101713102*G0_1_0_2_5 - 0.0036759536759543*G0_1_0_2_6 - 0.00171355099926557*G0_1_0_2_7 + 0.000738600024314432*G0_1_0_2_8 + 0.00066822066822078*G0_1_0_2_9 + 0.000948390234104706*G0_1_0_3_0 - 0.000525823382966311*G0_1_0_3_1 + 0.00169238169238198*G0_1_0_3_2 - 0.00807763664906664*G0_1_0_3_3 + 0.00793849008134856*G0_1_0_3_4 - 0.00288330716902193*G0_1_0_3_5 + 0.00599424385138771*G0_1_0_3_6 - 0.000150563721992294*G0_1_0_3_7 - 0.000328243185386109*G0_1_0_3_8 + 0.0106878835450282*G0_1_0_3_9 - 0.000161769447483769*G0_1_0_4_0 - 0.00108526394240699*G0_1_0_4_1 - 0.0049709549709558*G0_1_0_4_2 + 0.00793849008134856*G0_1_0_4_3 + 0.0206793206793241*G0_1_0_4_4 + 0.00317991532277301*G0_1_0_4_5 - 0.00917415917416073*G0_1_0_4_6 + 0.00146567717996314*G0_1_0_4_7 + 0.000478806907378419*G0_1_0_4_8 - 0.00836449265020837*G0_1_0_4_9 - 0.0103481703481721*G0_1_0_5_0 + 0.001713101713102*G0_1_0_5_2 - 0.00288330716902193*G0_1_0_5_3 + 0.00317991532277301*G0_1_0_5_4 + 0.010256410256412*G0_1_0_5_5 + 0.00674349460063861*G0_1_0_5_6 - 0.010303030303032*G0_1_0_5_7 + 0.0024677703249136*G0_1_0_5_8 + 0.00285000713572191*G0_1_0_5_9 + 0.0044614644614652*G0_1_0_6_0 - 0.001099878957022*G0_1_0_6_1 - 0.0036759536759543*G0_1_0_6_2 + 0.00599424385138771*G0_1_0_6_3 - 0.00917415917416073*G0_1_0_6_4 + 0.00674349460063861*G0_1_0_6_5 - 0.0230103230103269*G0_1_0_6_6 + 0.00783525997811844*G0_1_0_6_7 - 0.000805385091099515*G0_1_0_6_8 - 0.0139931497074378*G0_1_0_6_9 - 0.035938875938882*G0_1_0_7_0 - 0.00476158761873129*G0_1_0_7_1 - 0.00171355099926557*G0_1_0_7_2 - 0.000150563721992294*G0_1_0_7_3 + 0.00146567717996314*G0_1_0_7_4 - 0.010303030303032*G0_1_0_7_5 + 0.00783525997811844*G0_1_0_7_6 - 0.0588811188811289*G0_1_0_7_7 + 0.0263500784929401*G0_1_0_7_8 - 0.00788497217068782*G0_1_0_7_9 + 0.0148836348836374*G0_1_0_8_0 + 0.000899418042275357*G0_1_0_8_1 + 0.000738600024314432*G0_1_0_8_2 - 0.000328243185386109*G0_1_0_8_3 + 0.000478806907378419*G0_1_0_8_4 + 0.0024677703249136*G0_1_0_8_5 - 0.000805385091099515*G0_1_0_8_6 + 0.0263500784929401*G0_1_0_8_7 - 0.0146910232624544*G0_1_0_8_8 + 0.00942914228628674*G0_1_0_8_9 - 0.00259518259518307*G0_1_0_9_0 - 0.00346225203368119*G0_1_0_9_1 + 0.00066822066822078*G0_1_0_9_2 + 0.0106878835450282*G0_1_0_9_3 - 0.00836449265020837*G0_1_0_9_4 + 0.00285000713572191*G0_1_0_9_5 - 0.0139931497074378*G0_1_0_9_6 - 0.00788497217068782*G0_1_0_9_7 + 0.00942914228628674*G0_1_0_9_8 - 0.0213900385328993*G0_1_0_9_9 - 0.0591889591889693*G0_1_1_0_0 - 0.00342487318677853*G0_1_1_0_1 - 0.00182148539291427*G0_1_1_0_2 + 0.000948390234104708*G0_1_1_0_3 - 0.000161769447483772*G0_1_1_0_4 - 0.0103481703481721*G0_1_1_0_5 + 0.0044614644614652*G0_1_1_0_6 - 0.035938875938882*G0_1_1_0_7 + 0.0148836348836374*G0_1_1_0_8 - 0.00259518259518308*G0_1_1_0_9 - 0.00342487318677853*G0_1_1_1_0 + 0.00367487891297483*G0_1_1_1_1 - 0.000628533723771928*G0_1_1_1_2 - 0.000525823382966306*G0_1_1_1_3 - 0.00108526394240699*G0_1_1_1_4 - 0.001099878957022*G0_1_1_1_6 - 0.0047615876187313*G0_1_1_1_7 + 0.000899418042275366*G0_1_1_1_8 - 0.00346225203368119*G0_1_1_1_9 - 0.00182148539291427*G0_1_1_2_0 - 0.000628533723771928*G0_1_1_2_1 - 0.0153463820130514*G0_1_1_2_2 + 0.00169238169238199*G0_1_1_2_3 - 0.00497095497095583*G0_1_1_2_4 + 0.00171310171310202*G0_1_1_2_5 - 0.00367595367595433*G0_1_1_2_6 - 0.00171355099926557*G0_1_1_2_7 + 0.000738600024314434*G0_1_1_2_8 + 0.000668220668220778*G0_1_1_2_9 + 0.000948390234104707*G0_1_1_3_0 - 0.000525823382966306*G0_1_1_3_1 + 0.00169238169238199*G0_1_1_3_2 - 0.00807763664906663*G0_1_1_3_3 + 0.00793849008134857*G0_1_1_3_4 - 0.00288330716902194*G0_1_1_3_5 + 0.00599424385138773*G0_1_1_3_6 - 0.000150563721992296*G0_1_1_3_7 - 0.000328243185386104*G0_1_1_3_8 + 0.0106878835450282*G0_1_1_3_9 - 0.000161769447483772*G0_1_1_4_0 - 0.00108526394240699*G0_1_1_4_1 - 0.00497095497095583*G0_1_1_4_2 + 0.00793849008134857*G0_1_1_4_3 + 0.0206793206793241*G0_1_1_4_4 + 0.00317991532277302*G0_1_1_4_5 - 0.00917415917416075*G0_1_1_4_6 + 0.00146567717996314*G0_1_1_4_7 + 0.000478806907378415*G0_1_1_4_8 - 0.00836449265020839*G0_1_1_4_9 - 0.0103481703481721*G0_1_1_5_0 + 0.00171310171310202*G0_1_1_5_2 - 0.00288330716902194*G0_1_1_5_3 + 0.00317991532277302*G0_1_1_5_4 + 0.010256410256412*G0_1_1_5_5 + 0.00674349460063863*G0_1_1_5_6 - 0.010303030303032*G0_1_1_5_7 + 0.0024677703249136*G0_1_1_5_8 + 0.00285000713572191*G0_1_1_5_9 + 0.00446146446146519*G0_1_1_6_0 - 0.001099878957022*G0_1_1_6_1 - 0.00367595367595433*G0_1_1_6_2 + 0.00599424385138772*G0_1_1_6_3 - 0.00917415917416075*G0_1_1_6_4 + 0.00674349460063863*G0_1_1_6_5 - 0.0230103230103269*G0_1_1_6_6 + 0.00783525997811844*G0_1_1_6_7 - 0.000805385091099514*G0_1_1_6_8 - 0.0139931497074378*G0_1_1_6_9 - 0.035938875938882*G0_1_1_7_0 - 0.0047615876187313*G0_1_1_7_1 - 0.00171355099926557*G0_1_1_7_2 - 0.000150563721992296*G0_1_1_7_3 + 0.00146567717996314*G0_1_1_7_4 - 0.010303030303032*G0_1_1_7_5 + 0.00783525997811844*G0_1_1_7_6 - 0.0588811188811289*G0_1_1_7_7 + 0.0263500784929401*G0_1_1_7_8 - 0.00788497217068782*G0_1_1_7_9 + 0.0148836348836374*G0_1_1_8_0 + 0.000899418042275366*G0_1_1_8_1 + 0.000738600024314434*G0_1_1_8_2 - 0.000328243185386104*G0_1_1_8_3 + 0.000478806907378416*G0_1_1_8_4 + 0.0024677703249136*G0_1_1_8_5 - 0.000805385091099514*G0_1_1_8_6 + 0.0263500784929401*G0_1_1_8_7 - 0.0146910232624543*G0_1_1_8_8 + 0.00942914228628675*G0_1_1_8_9 - 0.00259518259518308*G0_1_1_9_0 - 0.00346225203368119*G0_1_1_9_1 + 0.000668220668220778*G0_1_1_9_2 + 0.0106878835450282*G0_1_1_9_3 - 0.00836449265020839*G0_1_1_9_4 + 0.00285000713572191*G0_1_1_9_5 - 0.0139931497074378*G0_1_1_9_6 - 0.00788497217068782*G0_1_1_9_7 + 0.00942914228628675*G0_1_1_9_8 - 0.0213900385328994*G0_1_1_9_9;
    A[24] = -A[20] - 0.0216595045166512*G0_0_0_0_0 - 0.00180270346937046*G0_0_0_0_1 - 0.00283956783956833*G0_0_0_0_2 - 0.000975664547093292*G0_0_0_0_3 + 0.00098792741649902*G0_0_0_0_4 - 0.0138780795923677*G0_0_0_0_5 + 0.00411123268266198*G0_0_0_0_6 - 0.00556343127771796*G0_0_0_0_7 + 0.00319955177098089*G0_0_0_0_8 - 0.000303506017791803*G0_0_0_0_9 - 0.00180270346937046*G0_0_0_1_0 - 0.0534613534613627*G0_0_0_1_1 - 0.00340135173468565*G0_0_0_1_2 - 0.0299422799422851*G0_0_0_1_3 + 0.0133732933732957*G0_0_0_1_4 - 0.000874495874496007*G0_0_0_1_5 + 0.000117845117845132*G0_0_0_1_6 + 0.00387168387168458*G0_0_0_1_7 - 0.00800865800865948*G0_0_0_1_8 - 0.00144966144966172*G0_0_0_1_9 - 0.00283956783956833*G0_0_0_2_0 - 0.00340135173468565*G0_0_0_2_1 - 0.0237594151879906*G0_0_0_2_2 - 0.00126265269122434*G0_0_0_2_3 - 0.00263397977683736*G0_0_0_2_4 + 0.004292004292005*G0_0_0_2_5 - 0.0152319638033949*G0_0_0_2_6 - 0.000698005698005812*G0_0_0_2_7 + 0.000402956831528317*G0_0_0_2_8 - 0.00268588554302885*G0_0_0_2_9 - 0.000975664547093292*G0_0_0_3_0 - 0.0299422799422851*G0_0_0_3_1 - 0.00126265269122434*G0_0_0_3_2 - 0.0446420246420323*G0_0_0_3_3 + 0.0147335997336023*G0_0_0_3_4 + 0.00166547737976338*G0_0_0_3_5 + 0.00186599115170575*G0_0_0_3_6 + 0.00514652014652106*G0_0_0_3_7 - 0.00615717615717728*G0_0_0_3_8 - 0.00594405594405699*G0_0_0_3_9 + 0.00098792741649902*G0_0_0_4_0 + 0.0133732933732957*G0_0_0_4_1 - 0.00263397977683736*G0_0_0_4_2 + 0.0147335997336023*G0_0_0_4_3 + 0.00870177441606156*G0_0_0_4_4 - 0.000744255744255869*G0_0_0_4_5 - 0.00112173540744988*G0_0_0_4_6 - 0.00154464583036039*G0_0_0_4_7 + 0.00101065601065622*G0_0_0_4_8 + 0.00954616811759831*G0_0_0_4_9 - 0.0138780795923677*G0_0_0_5_0 - 0.000874495874496007*G0_0_0_5_1 + 0.004292004292005*G0_0_0_5_2 + 0.00166547737976338*G0_0_0_5_3 - 0.000744255744255869*G0_0_0_5_4 - 0.0392968935826145*G0_0_0_5_5 + 0.0218098568098605*G0_0_0_5_6 - 0.00915655772798784*G0_0_0_5_7 + 0.00484301412872924*G0_0_0_5_8 - 0.00877551020408313*G0_0_0_5_9 + 0.00411123268266198*G0_0_0_6_0 + 0.000117845117845132*G0_0_0_6_1 - 0.0152319638033949*G0_0_0_6_2 + 0.00186599115170575*G0_0_0_6_3 - 0.00112173540744988*G0_0_0_6_4 + 0.0218098568098605*G0_0_0_6_5 - 0.0407525807525876*G0_0_0_6_6 + 0.0043135435992586*G0_0_0_6_7 - 0.00189096617668078*G0_0_0_6_8 + 0.00432567432567508*G0_0_0_6_9 - 0.00556343127771796*G0_0_0_7_0 + 0.00387168387168458*G0_0_0_7_1 - 0.000698005698005812*G0_0_0_7_2 + 0.00514652014652106*G0_0_0_7_3 - 0.00154464583036039*G0_0_0_7_4 - 0.00915655772798784*G0_0_0_7_5 + 0.0043135435992586*G0_0_0_7_6 - 0.0127967270824435*G0_0_0_7_7 + 0.00180652680652717*G0_0_0_7_8 - 0.00771656914514186*G0_0_0_7_9 + 0.00319955177098089*G0_0_0_8_0 - 0.00800865800865948*G0_0_0_8_1 + 0.000402956831528317*G0_0_0_8_2 - 0.00615717615717728*G0_0_0_8_3 + 0.00101065601065622*G0_0_0_8_4 + 0.00484301412872924*G0_0_0_8_5 - 0.00189096617668078*G0_0_0_8_6 + 0.00180652680652717*G0_0_0_8_7 + 0.0142990342990366*G0_0_0_8_8 + 0.0023276723276727*G0_0_0_8_9 - 0.000303506017791803*G0_0_0_9_0 - 0.00144966144966172*G0_0_0_9_1 - 0.00268588554302885*G0_0_0_9_2 - 0.00594405594405699*G0_0_0_9_3 + 0.00954616811759831*G0_0_0_9_4 - 0.00877551020408313*G0_0_0_9_5 + 0.00432567432567508*G0_0_0_9_6 - 0.00771656914514186*G0_0_0_9_7 + 0.0023276723276727*G0_0_0_9_8 - 0.0127586699015292*G0_0_0_9_9 + 0.00209991067133961*G0_0_1_0_0 + 0.00159864826531521*G0_0_1_0_1 - 0.00137862137862162*G0_0_1_0_3 + 0.00168593311450483*G0_0_1_0_4 + 0.0013538842110273*G0_0_1_0_5 - 0.000180771609343068*G0_0_1_0_6 - 0.00292945150088056*G0_0_1_0_7 + 0.00446220446220523*G0_0_1_0_8 + 0.00238237952523707*G0_0_1_0_9 + 0.00159864826531521*G0_0_1_1_0 - 0.0015986482653152*G0_0_1_1_2 - 0.0219336219336256*G0_0_1_1_3 + 0.00950160950161108*G0_0_1_1_4 - 0.000992340992341171*G0_0_1_1_5 + 0.000992340992341167*G0_0_1_1_6 - 0.00950160950161114*G0_0_1_1_7 + 0.0219336219336257*G0_0_1_1_8 - 0.0015986482653152*G0_0_1_2_1 - 0.0020999106713396*G0_0_1_2_2 - 0.00446220446220522*G0_0_1_2_3 + 0.00292945150088056*G0_0_1_2_4 + 0.000180771609343071*G0_0_1_2_5 - 0.0013538842110273*G0_0_1_2_6 - 0.00168593311450482*G0_0_1_2_7 + 0.00137862137862161*G0_0_1_2_8 - 0.00238237952523708*G0_0_1_2_9 - 0.00137862137862162*G0_0_1_3_0 - 0.0219336219336256*G0_0_1_3_1 - 0.00446220446220522*G0_0_1_3_2 - 0.058941058941069*G0_0_1_3_3 + 0.0129270729270752*G0_0_1_3_4 + 0.00355644355644415*G0_0_1_3_5 - 0.00297702297702347*G0_0_1_3_6 + 0.00413586413586486*G0_0_1_3_7 - 0.00827172827172971*G0_0_1_3_9 + 0.00168593311450483*G0_0_1_4_0 + 0.00950160950161108*G0_0_1_4_1 + 0.00292945150088056*G0_0_1_4_2 + 0.0129270729270752*G0_0_1_4_3 + 0.021498501498505*G0_0_1_4_4 - 0.00505779934351447*G0_0_1_4_5 + 0.00803482232053794*G0_0_1_4_6 - 0.00413586413586482*G0_0_1_4_8 + 0.0172627372627402*G0_0_1_4_9 + 0.0013538842110273*G0_0_1_5_0 - 0.000992340992341171*G0_0_1_5_1 + 0.000180771609343071*G0_0_1_5_2 + 0.00355644355644415*G0_0_1_5_3 - 0.00505779934351447*G0_0_1_5_4 + 0.0014556871699731*G0_0_1_5_5 - 0.00803482232053794*G0_0_1_5_7 + 0.00297702297702346*G0_0_1_5_8 - 0.0131011845297582*G0_0_1_5_9 - 0.000180771609343068*G0_0_1_6_0 + 0.000992340992341167*G0_0_1_6_1 - 0.0013538842110273*G0_0_1_6_2 - 0.00297702297702347*G0_0_1_6_3 + 0.00803482232053794*G0_0_1_6_4 - 0.00145568716997317*G0_0_1_6_6 + 0.00505779934351446*G0_0_1_6_7 - 0.00355644355644414*G0_0_1_6_8 + 0.0131011845297582*G0_0_1_6_9 - 0.00292945150088056*G0_0_1_7_0 - 0.00950160950161114*G0_0_1_7_1 - 0.00168593311450482*G0_0_1_7_2 + 0.00413586413586486*G0_0_1_7_3 - 0.00803482232053794*G0_0_1_7_5 + 0.00505779934351446*G0_0_1_7_6 - 0.021498501498505*G0_0_1_7_7 - 0.0129270729270751*G0_0_1_7_8 - 0.0172627372627402*G0_0_1_7_9 + 0.00446220446220523*G0_0_1_8_0 + 0.0219336219336257*G0_0_1_8_1 + 0.0013786213786216*G0_0_1_8_2 - 0.00413586413586482*G0_0_1_8_4 + 0.00297702297702346*G0_0_1_8_5 - 0.00355644355644414*G0_0_1_8_6 - 0.0129270729270752*G0_0_1_8_7 + 0.0589410589410689*G0_0_1_8_8 + 0.00827172827172966*G0_0_1_8_9 + 0.00238237952523707*G0_0_1_9_0 - 0.00238237952523708*G0_0_1_9_2 - 0.00827172827172971*G0_0_1_9_3 + 0.0172627372627402*G0_0_1_9_4 - 0.0131011845297582*G0_0_1_9_5 + 0.0131011845297582*G0_0_1_9_6 - 0.0172627372627402*G0_0_1_9_7 + 0.00827172827172966*G0_0_1_9_8;
    A[3] = A[45] + 0.000135455373550636*G0_0_1_0_1 + 0.000140194902099684*G0_0_1_0_2 - 0.000196734482448804*G0_0_1_0_4 + 0.00182854182854212*G0_0_1_0_5 - 0.000292670292670335*G0_0_1_0_6 - 0.00182854182854217*G0_0_1_0_7 + 0.000627890627890748*G0_0_1_0_8 - 0.000335220335220398*G0_0_1_0_9 + 0.000135455373550636*G0_0_1_1_0 + 0.01704591704592*G0_0_1_1_1 + 0.00059182440134831*G0_0_1_1_2 + 0.00662670662670776*G0_0_1_1_3 - 0.00222769294197904*G0_0_1_1_4 - 0.0015861123003983*G0_0_1_1_7 + 0.00212343212343251*G0_0_1_1_8 - 0.000466359037787685*G0_0_1_1_9 + 0.000140194902099684*G0_0_1_2_0 + 0.00059182440134831*G0_0_1_2_1 - 0.00407525455144576*G0_0_1_2_2 + 0.000730724302153004*G0_0_1_2_3 + 0.000827690827690958*G0_0_1_2_4 + 0.000426372569229788*G0_0_1_2_5 + 0.000477511906083399*G0_0_1_2_6 - 0.000364661793233286*G0_0_1_2_7 + 0.000111370111370132*G0_0_1_2_8 + 0.00128173413887721*G0_0_1_2_9 + 0.00662670662670776*G0_0_1_3_1 + 0.000730724302153004*G0_0_1_3_2 - 0.0201679273107878*G0_0_1_3_3 - 0.00651729223157905*G0_0_1_3_4 + 0.000169592312449472*G0_0_1_3_5 - 0.00011655011655013*G0_0_1_3_6 + 0.00057751772037498*G0_0_1_3_8 + 0.00140573712002308*G0_0_1_3_9 - 0.000196734482448804*G0_0_1_4_0 - 0.00222769294197904*G0_0_1_4_1 + 0.000827690827690958*G0_0_1_4_2 - 0.00651729223157905*G0_0_1_4_3 + 0.00713334284762973*G0_0_1_4_4 + 0.000350126064411849*G0_0_1_4_5 - 0.000233575947861718*G0_0_1_4_6 + 0.000962133104990418*G0_0_1_4_7 - 0.000574187717044959*G0_0_1_4_8 - 0.00454545454545533*G0_0_1_4_9 + 0.00182854182854212*G0_0_1_5_0 + 0.000426372569229788*G0_0_1_5_2 + 0.000169592312449472*G0_0_1_5_3 + 0.000350126064411849*G0_0_1_5_4 + 0.00557442557442646*G0_0_1_5_5 - 0.00410732125017906*G0_0_1_5_6 - 0.000476190476190578*G0_0_1_5_7 - 0.000377717520574718*G0_0_1_5_8 + 0.00176109604681063*G0_0_1_5_9 - 0.000292670292670335*G0_0_1_6_0 + 0.000477511906083399*G0_0_1_6_2 - 0.00011655011655013*G0_0_1_6_3 - 0.000233575947861718*G0_0_1_6_4 - 0.00410732125017906*G0_0_1_6_5 + 0.00549878692735924*G0_0_1_6_6 + 0.000853907996765297*G0_0_1_6_7 - 0.00361210218353137*G0_0_1_6_9 - 0.00182854182854216*G0_0_1_7_0 - 0.0015861123003983*G0_0_1_7_1 - 0.000364661793233286*G0_0_1_7_2 + 0.000962133104990418*G0_0_1_7_4 - 0.000476190476190578*G0_0_1_7_5 + 0.000853907996765297*G0_0_1_7_6 - 0.00462204462204544*G0_0_1_7_7 + 0.0025721897150473*G0_0_1_7_8 - 0.000702154987869403*G0_0_1_7_9 + 0.000627890627890748*G0_0_1_8_0 + 0.00212343212343251*G0_0_1_8_1 + 0.000111370111370132*G0_0_1_8_2 + 0.000577517720374979*G0_0_1_8_3 - 0.000574187717044959*G0_0_1_8_4 - 0.000377717520574719*G0_0_1_8_5 + 0.0025721897150473*G0_0_1_8_7 - 0.00768041482327328*G0_0_1_8_8 + 0.00254745254745298*G0_0_1_8_9 - 0.000335220335220398*G0_0_1_9_0 - 0.000466359037787685*G0_0_1_9_1 + 0.00128173413887721*G0_0_1_9_2 + 0.00140573712002309*G0_0_1_9_3 - 0.00454545454545533*G0_0_1_9_4 + 0.00176109604681063*G0_0_1_9_5 - 0.00361210218353137*G0_0_1_9_6 - 0.000702154987869403*G0_0_1_9_7 + 0.00254745254745298*G0_0_1_9_8 + 0.00428143285286214*G0_0_1_9_9 - 0.000135455373550636*G0_1_0_0_1 - 0.000140194902099684*G0_1_0_0_2 + 0.000196734482448804*G0_1_0_0_4 - 0.00182854182854212*G0_1_0_0_5 + 0.000292670292670335*G0_1_0_0_6 + 0.00182854182854217*G0_1_0_0_7 - 0.000627890627890748*G0_1_0_0_8 + 0.000335220335220398*G0_1_0_0_9 - 0.000135455373550636*G0_1_0_1_0 - 0.01704591704592*G0_1_0_1_1 - 0.00059182440134831*G0_1_0_1_2 - 0.00662670662670776*G0_1_0_1_3 + 0.00222769294197904*G0_1_0_1_4 + 0.0015861123003983*G0_1_0_1_7 - 0.00212343212343251*G0_1_0_1_8 + 0.000466359037787685*G0_1_0_1_9 - 0.000140194902099684*G0_1_0_2_0 - 0.00059182440134831*G0_1_0_2_1 + 0.00407525455144576*G0_1_0_2_2 - 0.000730724302153005*G0_1_0_2_3 - 0.000827690827690958*G0_1_0_2_4 - 0.000426372569229788*G0_1_0_2_5 - 0.000477511906083399*G0_1_0_2_6 + 0.000364661793233286*G0_1_0_2_7 - 0.000111370111370132*G0_1_0_2_8 - 0.00128173413887721*G0_1_0_2_9 - 0.00662670662670777*G0_1_0_3_1 - 0.000730724302153004*G0_1_0_3_2 + 0.0201679273107878*G0_1_0_3_3 + 0.00651729223157905*G0_1_0_3_4 - 0.000169592312449472*G0_1_0_3_5 + 0.00011655011655013*G0_1_0_3_6 - 0.00057751772037498*G0_1_0_3_8 - 0.00140573712002308*G0_1_0_3_9 + 0.000196734482448804*G0_1_0_4_0 + 0.00222769294197904*G0_1_0_4_1 - 0.000827690827690958*G0_1_0_4_2 + 0.00651729223157905*G0_1_0_4_3 - 0.00713334284762973*G0_1_0_4_4 - 0.000350126064411849*G0_1_0_4_5 + 0.000233575947861718*G0_1_0_4_6 - 0.000962133104990418*G0_1_0_4_7 + 0.000574187717044959*G0_1_0_4_8 + 0.00454545454545533*G0_1_0_4_9 - 0.00182854182854212*G0_1_0_5_0 - 0.000426372569229788*G0_1_0_5_2 - 0.000169592312449472*G0_1_0_5_3 - 0.000350126064411849*G0_1_0_5_4 - 0.00557442557442646*G0_1_0_5_5 + 0.00410732125017906*G0_1_0_5_6 + 0.000476190476190578*G0_1_0_5_7 + 0.000377717520574718*G0_1_0_5_8 - 0.00176109604681063*G0_1_0_5_9 + 0.000292670292670335*G0_1_0_6_0 - 0.000477511906083399*G0_1_0_6_2 + 0.00011655011655013*G0_1_0_6_3 + 0.000233575947861718*G0_1_0_6_4 + 0.00410732125017906*G0_1_0_6_5 - 0.00549878692735924*G0_1_0_6_6 - 0.000853907996765297*G0_1_0_6_7 + 0.00361210218353137*G0_1_0_6_9 + 0.00182854182854216*G0_1_0_7_0 + 0.0015861123003983*G0_1_0_7_1 + 0.000364661793233286*G0_1_0_7_2 - 0.000962133104990418*G0_1_0_7_4 + 0.000476190476190578*G0_1_0_7_5 - 0.000853907996765297*G0_1_0_7_6 + 0.00462204462204544*G0_1_0_7_7 - 0.0025721897150473*G0_1_0_7_8 + 0.000702154987869403*G0_1_0_7_9 - 0.000627890627890748*G0_1_0_8_0 - 0.00212343212343251*G0_1_0_8_1 - 0.000111370111370132*G0_1_0_8_2 - 0.00057751772037498*G0_1_0_8_3 + 0.000574187717044959*G0_1_0_8_4 + 0.000377717520574719*G0_1_0_8_5 - 0.0025721897150473*G0_1_0_8_7 + 0.00768041482327328*G0_1_0_8_8 - 0.00254745254745298*G0_1_0_8_9 + 0.000335220335220398*G0_1_0_9_0 + 0.000466359037787685*G0_1_0_9_1 - 0.00128173413887721*G0_1_0_9_2 - 0.00140573712002309*G0_1_0_9_3 + 0.00454545454545533*G0_1_0_9_4 - 0.00176109604681063*G0_1_0_9_5 + 0.00361210218353137*G0_1_0_9_6 + 0.000702154987869403*G0_1_0_9_7 - 0.00254745254745298*G0_1_0_9_8 - 0.00428143285286215*G0_1_0_9_9;
    A[11] = -A[3] - 0.0591889591889696*G0_0_0_0_0 - 0.00182148539291429*G0_0_0_0_1 - 0.00342487318677854*G0_0_0_0_2 - 0.000161769447483746*G0_0_0_0_3 + 0.000948390234104685*G0_0_0_0_4 - 0.0359388759388822*G0_0_0_0_5 + 0.0148836348836375*G0_0_0_0_6 - 0.0103481703481722*G0_0_0_0_7 + 0.00446146446146526*G0_0_0_0_8 - 0.00259518259518307*G0_0_0_0_9 - 0.00182148539291429*G0_0_0_1_0 - 0.0153463820130513*G0_0_0_1_1 - 0.000628533723771925*G0_0_0_1_2 - 0.00497095497095582*G0_0_0_1_3 + 0.00169238169238198*G0_0_0_1_4 - 0.00171355099926557*G0_0_0_1_5 + 0.000738600024314436*G0_0_0_1_6 + 0.001713101713102*G0_0_0_1_7 - 0.00367595367595431*G0_0_0_1_8 + 0.000668220668220778*G0_0_0_1_9 - 0.00342487318677854*G0_0_0_2_0 - 0.000628533723771925*G0_0_0_2_1 + 0.00367487891297477*G0_0_0_2_2 - 0.00108526394240698*G0_0_0_2_3 - 0.000525823382966334*G0_0_0_2_4 - 0.00476158761873129*G0_0_0_2_5 + 0.000899418042275346*G0_0_0_2_6 - 0.00109987895702199*G0_0_0_2_8 - 0.00346225203368119*G0_0_0_2_9 - 0.000161769447483746*G0_0_0_3_0 - 0.00497095497095582*G0_0_0_3_1 - 0.00108526394240698*G0_0_0_3_2 + 0.0206793206793242*G0_0_0_3_3 + 0.00793849008134856*G0_0_0_3_4 + 0.00146567717996315*G0_0_0_3_5 + 0.000478806907378406*G0_0_0_3_6 + 0.003179915322773*G0_0_0_3_7 - 0.00917415917416072*G0_0_0_3_8 - 0.00836449265020835*G0_0_0_3_9 + 0.000948390234104685*G0_0_0_4_0 + 0.00169238169238198*G0_0_0_4_1 - 0.000525823382966334*G0_0_0_4_2 + 0.00793849008134856*G0_0_0_4_3 - 0.00807763664906654*G0_0_0_4_4 - 0.000150563721992322*G0_0_0_4_5 - 0.000328243185386082*G0_0_0_4_6 - 0.00288330716902194*G0_0_0_4_7 + 0.00599424385138771*G0_0_0_4_8 + 0.0106878835450282*G0_0_0_4_9 - 0.0359388759388822*G0_0_0_5_0 - 0.00171355099926557*G0_0_0_5_1 - 0.00476158761873129*G0_0_0_5_2 + 0.00146567717996315*G0_0_0_5_3 - 0.000150563721992322*G0_0_0_5_4 - 0.0588811188811289*G0_0_0_5_5 + 0.0263500784929401*G0_0_0_5_6 - 0.0103030303030321*G0_0_0_5_7 + 0.00783525997811847*G0_0_0_5_8 - 0.00788497217068784*G0_0_0_5_9 + 0.0148836348836375*G0_0_0_6_0 + 0.000738600024314436*G0_0_0_6_1 + 0.000899418042275346*G0_0_0_6_2 + 0.000478806907378406*G0_0_0_6_3 - 0.000328243185386082*G0_0_0_6_4 + 0.0263500784929401*G0_0_0_6_5 - 0.0146910232624543*G0_0_0_6_6 + 0.00246777032491361*G0_0_0_6_7 - 0.00080538509109953*G0_0_0_6_8 + 0.00942914228628677*G0_0_0_6_9 - 0.0103481703481722*G0_0_0_7_0 + 0.001713101713102*G0_0_0_7_1 + 0.003179915322773*G0_0_0_7_3 - 0.00288330716902194*G0_0_0_7_4 - 0.0103030303030321*G0_0_0_7_5 + 0.00246777032491361*G0_0_0_7_6 + 0.0102564102564119*G0_0_0_7_7 + 0.00674349460063863*G0_0_0_7_8 + 0.00285000713572189*G0_0_0_7_9 + 0.00446146446146526*G0_0_0_8_0 - 0.00367595367595431*G0_0_0_8_1 - 0.00109987895702199*G0_0_0_8_2 - 0.00917415917416072*G0_0_0_8_3 + 0.00599424385138771*G0_0_0_8_4 + 0.00783525997811847*G0_0_0_8_5 - 0.00080538509109953*G0_0_0_8_6 + 0.00674349460063863*G0_0_0_8_7 - 0.0230103230103269*G0_0_0_8_8 - 0.0139931497074378*G0_0_0_8_9 - 0.00259518259518307*G0_0_0_9_0 + 0.000668220668220778*G0_0_0_9_1 - 0.00346225203368119*G0_0_0_9_2 - 0.00836449265020834*G0_0_0_9_3 + 0.0106878835450282*G0_0_0_9_4 - 0.00788497217068784*G0_0_0_9_5 + 0.00942914228628677*G0_0_0_9_6 + 0.00285000713572189*G0_0_0_9_7 - 0.0139931497074378*G0_0_0_9_8 - 0.0213900385328993*G0_0_0_9_9 - 0.0591889591889696*G0_1_0_0_0 - 0.00182148539291429*G0_1_0_0_1 - 0.00342487318677854*G0_1_0_0_2 - 0.000161769447483748*G0_1_0_0_3 + 0.000948390234104685*G0_1_0_0_4 - 0.0359388759388822*G0_1_0_0_5 + 0.0148836348836375*G0_1_0_0_6 - 0.0103481703481722*G0_1_0_0_7 + 0.00446146446146526*G0_1_0_0_8 - 0.00259518259518307*G0_1_0_0_9 - 0.00182148539291429*G0_1_0_1_0 - 0.0153463820130513*G0_1_0_1_1 - 0.000628533723771924*G0_1_0_1_2 - 0.00497095497095582*G0_1_0_1_3 + 0.00169238169238198*G0_1_0_1_4 - 0.00171355099926557*G0_1_0_1_5 + 0.000738600024314437*G0_1_0_1_6 + 0.001713101713102*G0_1_0_1_7 - 0.00367595367595432*G0_1_0_1_8 + 0.000668220668220776*G0_1_0_1_9 - 0.00342487318677854*G0_1_0_2_0 - 0.000628533723771924*G0_1_0_2_1 + 0.00367487891297481*G0_1_0_2_2 - 0.00108526394240698*G0_1_0_2_3 - 0.000525823382966328*G0_1_0_2_4 - 0.0047615876187313*G0_1_0_2_5 + 0.00089941804227536*G0_1_0_2_6 - 0.00109987895702199*G0_1_0_2_8 - 0.00346225203368119*G0_1_0_2_9 - 0.000161769447483748*G0_1_0_3_0 - 0.00497095497095581*G0_1_0_3_1 - 0.00108526394240698*G0_1_0_3_2 + 0.0206793206793242*G0_1_0_3_3 + 0.00793849008134855*G0_1_0_3_4 + 0.00146567717996316*G0_1_0_3_5 + 0.000478806907378402*G0_1_0_3_6 + 0.00317991532277301*G0_1_0_3_7 - 0.00917415917416071*G0_1_0_3_8 - 0.00836449265020834*G0_1_0_3_9 + 0.000948390234104685*G0_1_0_4_0 + 0.00169238169238198*G0_1_0_4_1 - 0.000525823382966328*G0_1_0_4_2 + 0.00793849008134856*G0_1_0_4_3 - 0.00807763664906654*G0_1_0_4_4 - 0.000150563721992325*G0_1_0_4_5 - 0.000328243185386077*G0_1_0_4_6 - 0.00288330716902194*G0_1_0_4_7 + 0.0059942438513877*G0_1_0_4_8 + 0.0106878835450282*G0_1_0_4_9 - 0.0359388759388822*G0_1_0_5_0 - 0.00171355099926557*G0_1_0_5_1 - 0.0047615876187313*G0_1_0_5_2 + 0.00146567717996315*G0_1_0_5_3 - 0.000150563721992324*G0_1_0_5_4 - 0.0588811188811289*G0_1_0_5_5 + 0.0263500784929401*G0_1_0_5_6 - 0.0103030303030321*G0_1_0_5_7 + 0.00783525997811846*G0_1_0_5_8 - 0.00788497217068784*G0_1_0_5_9 + 0.0148836348836375*G0_1_0_6_0 + 0.000738600024314437*G0_1_0_6_1 + 0.00089941804227536*G0_1_0_6_2 + 0.000478806907378403*G0_1_0_6_3 - 0.000328243185386076*G0_1_0_6_4 + 0.0263500784929401*G0_1_0_6_5 - 0.0146910232624543*G0_1_0_6_6 + 0.00246777032491361*G0_1_0_6_7 - 0.000805385091099537*G0_1_0_6_8 + 0.00942914228628677*G0_1_0_6_9 - 0.0103481703481722*G0_1_0_7_0 + 0.001713101713102*G0_1_0_7_1 + 0.00317991532277301*G0_1_0_7_3 - 0.00288330716902194*G0_1_0_7_4 - 0.0103030303030321*G0_1_0_7_5 + 0.00246777032491361*G0_1_0_7_6 + 0.0102564102564119*G0_1_0_7_7 + 0.00674349460063862*G0_1_0_7_8 + 0.00285000713572188*G0_1_0_7_9 + 0.00446146446146526*G0_1_0_8_0 - 0.00367595367595432*G0_1_0_8_1 - 0.00109987895702199*G0_1_0_8_2 - 0.00917415917416071*G0_1_0_8_3 + 0.0059942438513877*G0_1_0_8_4 + 0.00783525997811846*G0_1_0_8_5 - 0.000805385091099537*G0_1_0_8_6 + 0.00674349460063862*G0_1_0_8_7 - 0.0230103230103268*G0_1_0_8_8 - 0.0139931497074377*G0_1_0_8_9 - 0.00259518259518307*G0_1_0_9_0 + 0.000668220668220776*G0_1_0_9_1 - 0.00346225203368119*G0_1_0_9_2 - 0.00836449265020834*G0_1_0_9_3 + 0.0106878835450282*G0_1_0_9_4 - 0.00788497217068784*G0_1_0_9_5 + 0.00942914228628677*G0_1_0_9_6 + 0.00285000713572188*G0_1_0_9_7 - 0.0139931497074377*G0_1_0_9_8 - 0.0213900385328993*G0_1_0_9_9;
    A[128] = -A[125] - 0.00184140374616597*G0_0_1_0_0 - 0.00107419916943745*G0_0_1_0_1 + 0.00879614212947696*G0_0_1_0_2 + 0.00370296370296434*G0_0_1_0_3 - 0.0102031302031319*G0_0_1_0_4 + 0.00298368298368351*G0_0_1_0_5 - 0.00737928737928869*G0_0_1_0_6 + 0.000279085993371761*G0_0_1_0_7 + 0.00136371564943017*G0_0_1_0_8 - 0.00868464868465017*G0_0_1_0_9 - 0.00107419916943745*G0_0_1_1_0 - 0.00184140374616592*G0_0_1_1_1 + 0.00879614212947695*G0_0_1_1_2 + 0.0029836829836835*G0_0_1_1_3 - 0.00737928737928864*G0_0_1_1_4 + 0.00370296370296434*G0_0_1_1_5 - 0.010203130203132*G0_0_1_1_6 + 0.00136371564943015*G0_0_1_1_7 + 0.000279085993371792*G0_0_1_1_8 - 0.00868464868465015*G0_0_1_1_9 + 0.00879614212947696*G0_0_1_2_0 + 0.00879614212947695*G0_0_1_2_1 + 0.294322960989677*G0_0_1_2_2 - 0.039516039516046*G0_0_1_2_3 + 0.0811632811632947*G0_0_1_2_4 - 0.0395160395160461*G0_0_1_2_5 + 0.0811632811632945*G0_0_1_2_6 - 0.000666000666000762*G0_0_1_2_7 - 0.000666000666000751*G0_0_1_2_8 + 0.00426240426240494*G0_0_1_2_9 + 0.00370296370296434*G0_0_1_3_0 + 0.0029836829836835*G0_0_1_3_1 - 0.039516039516046*G0_0_1_3_2 - 0.0103896103896121*G0_0_1_3_3 + 0.0307692307692359*G0_0_1_3_4 - 0.0143856143856168*G0_0_1_3_5 + 0.0371628371628434*G0_0_1_3_6 - 0.00455544455544532*G0_0_1_3_7 - 0.00399600399600464*G0_0_1_3_8 + 0.035164835164841*G0_0_1_3_9 - 0.0102031302031319*G0_0_1_4_0 - 0.00737928737928864*G0_0_1_4_1 + 0.0811632811632947*G0_0_1_4_2 + 0.0307692307692359*G0_0_1_4_3 - 0.148651348651374*G0_0_1_4_4 + 0.0371628371628435*G0_0_1_4_5 - 0.0743256743256869*G0_0_1_4_6 + 0.0130269730269752*G0_0_1_4_7 + 0.00855144855144997*G0_0_1_4_8 - 0.0871128871129017*G0_0_1_4_9 + 0.00298368298368351*G0_0_1_5_0 + 0.00370296370296434*G0_0_1_5_1 - 0.0395160395160461*G0_0_1_5_2 - 0.0143856143856168*G0_0_1_5_3 + 0.0371628371628435*G0_0_1_5_4 - 0.0103896103896122*G0_0_1_5_5 + 0.0307692307692362*G0_0_1_5_6 - 0.00399600399600466*G0_0_1_5_7 - 0.00455544455544532*G0_0_1_5_8 + 0.0351648351648411*G0_0_1_5_9 - 0.00737928737928869*G0_0_1_6_0 - 0.010203130203132*G0_0_1_6_1 + 0.0811632811632945*G0_0_1_6_2 + 0.0371628371628434*G0_0_1_6_3 - 0.0743256743256869*G0_0_1_6_4 + 0.0307692307692362*G0_0_1_6_5 - 0.148651348651374*G0_0_1_6_6 + 0.00855144855144998*G0_0_1_6_7 + 0.0130269730269752*G0_0_1_6_8 - 0.0871128871129017*G0_0_1_6_9 + 0.000279085993371761*G0_0_1_7_0 + 0.00136371564943015*G0_0_1_7_1 - 0.000666000666000761*G0_0_1_7_2 - 0.00455544455544532*G0_0_1_7_3 + 0.0130269730269752*G0_0_1_7_4 - 0.00399600399600466*G0_0_1_7_5 + 0.00855144855144998*G0_0_1_7_6 - 0.00632510346796155*G0_0_1_7_7 - 0.00046810332524628*G0_0_1_7_8 + 0.00895104895105045*G0_0_1_7_9 + 0.00136371564943017*G0_0_1_8_0 + 0.000279085993371792*G0_0_1_8_1 - 0.000666000666000751*G0_0_1_8_2 - 0.00399600399600464*G0_0_1_8_3 + 0.00855144855144997*G0_0_1_8_4 - 0.00455544455544532*G0_0_1_8_5 + 0.0130269730269752*G0_0_1_8_6 - 0.000468103325246281*G0_0_1_8_7 - 0.00632510346796145*G0_0_1_8_8 + 0.00895104895105046*G0_0_1_8_9 - 0.00868464868465017*G0_0_1_9_0 - 0.00868464868465015*G0_0_1_9_1 + 0.00426240426240494*G0_0_1_9_2 + 0.035164835164841*G0_0_1_9_3 - 0.0871128871129017*G0_0_1_9_4 + 0.0351648351648411*G0_0_1_9_5 - 0.0871128871129017*G0_0_1_9_6 + 0.00895104895105045*G0_0_1_9_7 + 0.00895104895105046*G0_0_1_9_8 - 0.0671328671328783*G0_0_1_9_9 + 0.044346482441728*G0_1_1_0_0 + 0.00420489563346779*G0_1_1_0_1 + 0.00902406235739724*G0_1_1_0_2 - 0.00190370476084796*G0_1_1_0_3 + 0.00487808487808572*G0_1_1_0_4 + 0.00577454291740102*G0_1_1_0_5 + 0.00368520368520437*G0_1_1_0_6 + 0.0310191395905734*G0_1_1_0_7 - 0.0150947465233205*G0_1_1_0_8 + 0.00626421197849882*G0_1_1_0_9 + 0.00420489563346779*G0_1_1_1_0 + 0.00472698377460377*G0_1_1_1_1 + 0.00797622130955601*G0_1_1_1_2 - 0.00649086363372184*G0_1_1_1_3 + 0.00770192770192899*G0_1_1_1_4 + 0.00224706510420833*G0_1_1_1_5 + 0.0160136160136188*G0_1_1_1_6 + 0.00474530760245123*G0_1_1_1_7 - 0.00443408443408508*G0_1_1_1_8 + 0.013999968285685*G0_1_1_1_9 + 0.00902406235739724*G0_1_1_2_0 + 0.00797622130955601*G0_1_1_2_1 + 0.259513326180037*G0_1_1_2_2 - 0.0346468346468404*G0_1_1_2_3 + 0.0714248714248835*G0_1_1_2_4 - 0.0311540311540363*G0_1_1_2_5 + 0.061686461686472*G0_1_1_2_6 + 0.00542864542864635*G0_1_1_2_7 + 0.00120176120176142*G0_1_1_2_8 + 0.00150960150960173*G0_1_1_2_9 - 0.00190370476084796*G0_1_1_3_0 - 0.00649086363372184*G0_1_1_3_1 - 0.0346468346468404*G0_1_1_3_2 + 0.0329803529803586*G0_1_1_3_3 - 0.0319147519147573*G0_1_1_3_4 + 0.00492840492840575*G0_1_1_3_5 - 0.0589277389277488*G0_1_1_3_6 - 0.00517577660434897*G0_1_1_3_7 + 0.0196679510965259*G0_1_1_3_8 - 0.031648351648357*G0_1_1_3_9 + 0.00487808487808572*G0_1_1_4_0 + 0.007701927701929*G0_1_1_4_1 + 0.0714248714248835*G0_1_1_4_2 - 0.0319147519147573*G0_1_1_4_3 + 0.0101232101232117*G0_1_1_4_4 - 0.0255211455211498*G0_1_1_4_5 + 0.0844488844488987*G0_1_1_4_6 - 0.0100166500166517*G0_1_1_4_7 - 0.0144921744921769*G0_1_1_4_8 + 0.0465134865134944*G0_1_1_4_9 + 0.00577454291740102*G0_1_1_5_0 + 0.00224706510420833*G0_1_1_5_1 - 0.0311540311540363*G0_1_1_5_2 + 0.00492840492840575*G0_1_1_5_3 - 0.0255211455211498*G0_1_1_5_4 + 0.101018981018998*G0_1_1_5_5 - 0.0570629370629466*G0_1_1_5_6 + 0.0448009133723494*G0_1_1_5_7 - 0.0176280861995177*G0_1_1_5_8 + 0.0164635364635392*G0_1_1_5_9 + 0.00368520368520437*G0_1_1_6_0 + 0.0160136160136188*G0_1_1_6_1 + 0.061686461686472*G0_1_1_6_2 - 0.0589277389277488*G0_1_1_6_3 + 0.0844488844488987*G0_1_1_6_4 - 0.0570629370629466*G0_1_1_6_5 + 0.327672327672384*G0_1_1_6_6 - 0.0271728271728317*G0_1_1_6_7 - 0.0203796203796238*G0_1_1_6_8 + 0.113326673326693*G0_1_1_6_9 + 0.0310191395905734*G0_1_1_7_0 + 0.00474530760245123*G0_1_1_7_1 + 0.00542864542864634*G0_1_1_7_2 - 0.00517577660434897*G0_1_1_7_3 - 0.0100166500166517*G0_1_1_7_4 + 0.0448009133723494*G0_1_1_7_5 - 0.0271728271728317*G0_1_1_7_6 + 0.188748394462712*G0_1_1_7_7 - 0.0296617668046291*G0_1_1_7_8 + 0.0355530184101673*G0_1_1_7_9 - 0.0150947465233205*G0_1_1_8_0 - 0.00443408443408508*G0_1_1_8_1 + 0.00120176120176142*G0_1_1_8_2 + 0.0196679510965259*G0_1_1_8_3 - 0.0144921744921769*G0_1_1_8_4 - 0.0176280861995177*G0_1_1_8_5 - 0.0203796203796238*G0_1_1_8_6 - 0.0296617668046291*G0_1_1_8_7 + 0.088756957328401*G0_1_1_8_8 - 0.013015555872701*G0_1_1_8_9 + 0.00626421197849882*G0_1_1_9_0 + 0.013999968285685*G0_1_1_9_1 + 0.00150960150960173*G0_1_1_9_2 - 0.031648351648357*G0_1_1_9_3 + 0.0465134865134944*G0_1_1_9_4 + 0.0164635364635392*G0_1_1_9_5 + 0.113326673326693*G0_1_1_9_6 + 0.0355530184101673*G0_1_1_9_7 - 0.013015555872701*G0_1_1_9_8 + 0.258941058941103*G0_1_1_9_9;
    A[63] = -A[71] - 0.000348434634148947*G0_0_0_0_0 - 0.00117043450376804*G0_0_0_0_1 - 0.00707077754696922*G0_0_0_0_2 + 0.00632224917939311*G0_0_0_0_3 - 0.00716711859569125*G0_0_0_0_4 + 0.00969379826522849*G0_0_0_0_5 - 0.0145857317285914*G0_0_0_0_6 + 0.00190095618667079*G0_0_0_0_7 - 0.00192664478378797*G0_0_0_0_8 - 0.00482374768089139*G0_0_0_0_9 - 0.00117043450376804*G0_0_0_1_0 + 0.0139514806181495*G0_0_0_1_1 - 0.00173036839703536*G0_0_0_1_2 + 0.000710400710400801*G0_0_0_1_3 - 0.016239316239319*G0_0_0_1_4 + 0.00429570429570502*G0_0_0_1_5 - 0.0104895104895123*G0_0_0_1_6 + 0.00192030192030225*G0_0_0_1_7 + 0.00295260295260343*G0_0_0_1_8 - 0.0113886113886133*G0_0_0_1_9 - 0.00707077754696922*G0_0_0_2_0 - 0.00173036839703537*G0_0_0_2_1 - 0.0961024161024321*G0_0_0_2_2 + 0.00556586270872071*G0_0_0_2_3 - 0.0294105894105943*G0_0_0_2_4 + 0.0330761302189929*G0_0_0_2_5 - 0.0708447108447227*G0_0_0_2_6 + 0.00287997716569192*G0_0_0_2_7 - 0.00586556300842114*G0_0_0_2_8 - 0.00673612102183642*G0_0_0_2_9 + 0.00632224917939311*G0_0_0_3_0 + 0.000710400710400801*G0_0_0_3_1 + 0.00556586270872071*G0_0_0_3_2 + 0.0683316683316797*G0_0_0_3_3 + 0.0878121878122028*G0_0_0_3_4 - 0.0216640502354824*G0_0_0_3_5 + 0.0429427715142072*G0_0_0_3_6 - 0.00749250749250871*G0_0_0_3_7 - 0.0215784215784252*G0_0_0_3_8 + 0.0491508491508573*G0_0_0_3_9 - 0.00716711859569125*G0_0_0_4_0 - 0.016239316239319*G0_0_0_4_1 - 0.0294105894105943*G0_0_0_4_2 + 0.0878121878122028*G0_0_0_4_3 - 0.140345368916821*G0_0_0_4_4 + 0.0329755958327442*G0_0_0_4_5 - 0.0759183673469515*G0_0_0_4_6 + 0.000693592122163657*G0_0_0_4_7 + 0.0290709290709339*G0_0_0_4_8 - 0.0457428285999791*G0_0_0_4_9 + 0.00969379826522849*G0_0_0_5_0 + 0.00429570429570502*G0_0_0_5_1 + 0.0330761302189929*G0_0_0_5_2 - 0.0216640502354824*G0_0_0_5_3 + 0.0329755958327442*G0_0_0_5_4 - 0.0455886970172761*G0_0_0_5_5 + 0.0570201227344181*G0_0_0_5_6 - 0.00142143570715025*G0_0_0_5_7 - 0.0014128728414445*G0_0_0_5_8 + 0.0172969887255631*G0_0_0_5_9 - 0.0145857317285914*G0_0_0_6_0 - 0.0104895104895123*G0_0_0_6_1 - 0.0708447108447227*G0_0_0_6_2 + 0.0429427715142072*G0_0_0_6_3 - 0.0759183673469515*G0_0_0_6_4 + 0.0570201227344181*G0_0_0_6_5 - 0.29331240188388*G0_0_0_6_6 + 0.00283430854859473*G0_0_0_6_7 + 0.0187954902240648*G0_0_0_6_8 - 0.0656771799629052*G0_0_0_6_9 + 0.00190095618667079*G0_0_0_7_0 + 0.00192030192030225*G0_0_0_7_1 + 0.00287997716569192*G0_0_0_7_2 - 0.00749250749250872*G0_0_0_7_3 + 0.000693592122163656*G0_0_0_7_4 - 0.00142143570715025*G0_0_0_7_5 + 0.00283430854859473*G0_0_0_7_6 - 0.000685029256458069*G0_0_0_7_7 + 0.00869130869131019*G0_0_0_7_8 + 0.0088026259454846*G0_0_0_7_9 - 0.00192664478378797*G0_0_0_8_0 + 0.00295260295260343*G0_0_0_8_1 - 0.00586556300842114*G0_0_0_8_2 - 0.0215784215784252*G0_0_0_8_3 + 0.0290709290709339*G0_0_0_8_4 - 0.0014128728414445*G0_0_0_8_5 + 0.0187954902240648*G0_0_0_8_6 + 0.00869130869131019*G0_0_0_8_7 - 0.0659340659340768*G0_0_0_8_8 - 0.023976023976028*G0_0_0_8_9 - 0.00482374768089139*G0_0_0_9_0 - 0.0113886113886133*G0_0_0_9_1 - 0.00673612102183642*G0_0_0_9_2 + 0.0491508491508573*G0_0_0_9_3 - 0.0457428285999791*G0_0_0_9_4 + 0.0172969887255631*G0_0_0_9_5 - 0.0656771799629052*G0_0_0_9_6 + 0.0088026259454846*G0_0_0_9_7 - 0.023976023976028*G0_0_0_9_8 - 0.110152704438438*G0_0_0_9_9 + 0.00255659684231161*G0_1_0_0_0 + 0.00504261170927931*G0_1_0_0_1 + 0.00031886984267942*G0_1_0_0_2 + 0.0262382062382107*G0_1_0_0_3 - 0.0019849991278566*G0_1_0_0_4 - 0.00316064887493513*G0_1_0_0_5 - 0.000746872175443724*G0_1_0_0_6 - 0.00676466390752223*G0_1_0_0_7 + 0.00941058941059104*G0_1_0_0_8 + 0.0195632938490114*G0_1_0_0_9 + 0.00504261170927931*G0_1_0_1_0 + 0.196588596588631*G0_1_0_1_1 + 0.00603519936853374*G0_1_0_1_2 + 0.0391164391164461*G0_1_0_1_3 - 0.0287490287490337*G0_1_0_1_4 + 0.00192918192918217*G0_1_0_1_5 - 0.000574980574980651*G0_1_0_1_6 - 0.0241314241314285*G0_1_0_1_7 + 0.0565212565212667*G0_1_0_1_8 - 0.0101232101232117*G0_1_0_1_9 + 0.00031886984267942*G0_1_0_2_0 + 0.00603519936853374*G0_1_0_2_1 - 0.00360133693467079*G0_1_0_2_2 + 0.00894882894883042*G0_1_0_2_3 - 0.00805607091321513*G0_1_0_2_4 + 0.00137925566497017*G0_1_0_2_5 - 0.00490874205159999*G0_1_0_2_6 - 0.00297448583162919*G0_1_0_2_7 + 0.000823620823620972*G0_1_0_2_8 + 0.00427952999381641*G0_1_0_2_9 + 0.0262382062382108*G0_1_0_3_0 + 0.0391164391164461*G0_1_0_3_1 + 0.00894882894883042*G0_1_0_3_2 + 0.491108891108975*G0_1_0_3_3 - 0.0304295704295754*G0_1_0_3_4 - 0.0388211788211853*G0_1_0_3_5 - 0.00513486513486597*G0_1_0_3_6 - 0.0855744255744401*G0_1_0_3_7 + 0.0949050949051111*G0_1_0_3_8 + 0.201518481518516*G0_1_0_3_9 - 0.0019849991278566*G0_1_0_4_0 - 0.0287490287490337*G0_1_0_4_1 - 0.00805607091321513*G0_1_0_4_2 - 0.0304295704295754*G0_1_0_4_3 + 0.0551048951049044*G0_1_0_4_4 - 0.000904809476238213*G0_1_0_4_5 + 0.0060396746111042*G0_1_0_4_6 + 0.0108691308691327*G0_1_0_4_7 - 0.00933066933067095*G0_1_0_4_8 - 0.0110289710289728*G0_1_0_4_9 - 0.00316064887493513*G0_1_0_5_0 + 0.00192918192918217*G0_1_0_5_1 + 0.00137925566497017*G0_1_0_5_2 - 0.0388211788211853*G0_1_0_5_3 - 0.000904809476238214*G0_1_0_5_4 + 0.00041672613101172*G0_1_0_5_5 + 0.00131582703011293*G0_1_0_5_6 + 0.0105837020122752*G0_1_0_5_7 - 0.0126473526473548*G0_1_0_5_8 - 0.0333951762523247*G0_1_0_5_9 - 0.000746872175443724*G0_1_0_6_0 - 0.000574980574980651*G0_1_0_6_1 - 0.00490874205159999*G0_1_0_6_2 - 0.00513486513486597*G0_1_0_6_3 + 0.0060396746111042*G0_1_0_6_4 + 0.00131582703011293*G0_1_0_6_5 - 0.0164349935778536*G0_1_0_6_6 + 0.00206365063507954*G0_1_0_6_7 + 0.00305694305694356*G0_1_0_6_8 - 0.00256885971171726*G0_1_0_6_9 - 0.00676466390752223*G0_1_0_7_0 - 0.0241314241314285*G0_1_0_7_1 - 0.00297448583162919*G0_1_0_7_2 - 0.0855744255744401*G0_1_0_7_3 + 0.0108691308691327*G0_1_0_7_4 + 0.0105837020122752*G0_1_0_7_5 + 0.00206365063507954*G0_1_0_7_6 + 0.0173826173826204*G0_1_0_7_7 - 0.0341058941059*G0_1_0_7_8 - 0.0628171828171934*G0_1_0_7_9 + 0.00941058941059104*G0_1_0_8_0 + 0.0565212565212666*G0_1_0_8_1 + 0.000823620823620974*G0_1_0_8_2 + 0.0949050949051111*G0_1_0_8_3 - 0.00933066933067095*G0_1_0_8_4 - 0.0126473526473548*G0_1_0_8_5 + 0.00305694305694356*G0_1_0_8_6 - 0.0341058941059*G0_1_0_8_7 - 0.11148851148853*G0_1_0_8_8 + 0.0490309690309772*G0_1_0_8_9 + 0.0195632938490114*G0_1_0_9_0 - 0.0101232101232117*G0_1_0_9_1 + 0.00427952999381641*G0_1_0_9_2 + 0.201518481518516*G0_1_0_9_3 - 0.0110289710289728*G0_1_0_9_4 - 0.0333951762523247*G0_1_0_9_5 - 0.00256885971171726*G0_1_0_9_6 - 0.0628171828171933*G0_1_0_9_7 + 0.0490309690309772*G0_1_0_9_8 + 0.20571428571432*G0_1_0_9_9;
    A[77] = -A[122] - 0.0089056270008666*G0_1_1_0_0 - 0.00133135823612038*G0_1_1_0_1 - 0.00456796290129701*G0_1_1_0_2 - 0.00100547600547617*G0_1_1_0_3 - 0.000491545491545574*G0_1_1_0_4 - 0.00117956117956138*G0_1_1_0_5 + 0.000338920338920403*G0_1_1_0_6 - 0.0055419712562579*G0_1_1_0_7 + 0.00176056747485347*G0_1_1_0_8 - 0.000881340881341044*G0_1_1_0_9 - 0.00133135823612038*G0_1_1_1_0 - 0.00890562700086671*G0_1_1_1_1 - 0.00456796290129701*G0_1_1_1_2 - 0.00117956117956141*G0_1_1_1_3 + 0.000338920338920403*G0_1_1_1_4 - 0.00100547600547617*G0_1_1_1_5 - 0.000491545491545578*G0_1_1_1_6 + 0.00176056747485352*G0_1_1_1_7 - 0.00554197125625798*G0_1_1_1_8 - 0.000881340881341046*G0_1_1_1_9 - 0.00456796290129701*G0_1_1_2_0 - 0.00456796290129701*G0_1_1_2_1 - 0.1426931093598*G0_1_1_2_2 + 0.0185148185148216*G0_1_1_2_3 - 0.0380452880452944*G0_1_1_2_4 + 0.0185148185148216*G0_1_1_2_5 - 0.0380452880452944*G0_1_1_2_6 - 0.0010221260221262*G0_1_1_2_7 - 0.00102212602212621*G0_1_1_2_8 - 0.00203130203130235*G0_1_1_2_9 - 0.00100547600547618*G0_1_1_3_0 - 0.00117956117956141*G0_1_1_3_1 + 0.0185148185148216*G0_1_1_3_2 - 0.0180619380619411*G0_1_1_3_3 + 0.00641858141858251*G0_1_1_3_4 + 0.00206793206793242*G0_1_1_3_5 + 0.00337162837162892*G0_1_1_3_6 + 0.00491341991342076*G0_1_1_3_7 - 0.00987678987679155*G0_1_1_3_8 - 0.00718281718281837*G0_1_1_3_9 - 0.000491545491545575*G0_1_1_4_0 + 0.000338920338920405*G0_1_1_4_1 - 0.0380452880452944*G0_1_1_4_2 + 0.00641858141858251*G0_1_1_4_3 - 0.0134865134865157*G0_1_1_4_4 + 0.00337162837162892*G0_1_1_4_5 - 0.00674325674325785*G0_1_1_4_6 + 0.00132201132201154*G0_1_1_4_7 + 0.00496336996337081*G0_1_1_4_8 - 0.00064935064935079*G0_1_1_4_9 - 0.00117956117956138*G0_1_1_5_0 - 0.00100547600547617*G0_1_1_5_1 + 0.0185148185148216*G0_1_1_5_2 + 0.00206793206793242*G0_1_1_5_3 + 0.00337162837162893*G0_1_1_5_4 - 0.018061938061941*G0_1_1_5_5 + 0.00641858141858242*G0_1_1_5_6 - 0.00987678987679151*G0_1_1_5_7 + 0.00491341991342074*G0_1_1_5_8 - 0.00718281718281837*G0_1_1_5_9 + 0.000338920338920403*G0_1_1_6_0 - 0.000491545491545578*G0_1_1_6_1 - 0.0380452880452944*G0_1_1_6_2 + 0.00337162837162893*G0_1_1_6_3 - 0.00674325674325784*G0_1_1_6_4 + 0.00641858141858242*G0_1_1_6_5 - 0.0134865134865157*G0_1_1_6_6 + 0.00496336996337079*G0_1_1_6_7 + 0.00132201132201154*G0_1_1_6_8 - 0.000649350649350811*G0_1_1_6_9 - 0.0055419712562579*G0_1_1_7_0 + 0.00176056747485352*G0_1_1_7_1 - 0.0010221260221262*G0_1_1_7_2 + 0.00491341991342076*G0_1_1_7_3 + 0.00132201132201154*G0_1_1_7_4 - 0.00987678987679151*G0_1_1_7_5 + 0.00496336996337079*G0_1_1_7_6 - 0.0513438942010457*G0_1_1_7_7 + 0.0110258788830237*G0_1_1_7_8 - 0.0072827172827185*G0_1_1_7_9 + 0.00176056747485347*G0_1_1_8_0 - 0.00554197125625798*G0_1_1_8_1 - 0.00102212602212621*G0_1_1_8_2 - 0.00987678987679155*G0_1_1_8_3 + 0.00496336996337081*G0_1_1_8_4 + 0.00491341991342074*G0_1_1_8_5 + 0.00132201132201154*G0_1_1_8_6 + 0.0110258788830237*G0_1_1_8_7 - 0.0513438942010458*G0_1_1_8_8 - 0.0072827172827185*G0_1_1_8_9 - 0.000881340881341044*G0_1_1_9_0 - 0.000881340881341046*G0_1_1_9_1 - 0.00203130203130235*G0_1_1_9_2 - 0.00718281718281837*G0_1_1_9_3 - 0.00064935064935079*G0_1_1_9_4 - 0.00718281718281837*G0_1_1_9_5 - 0.000649350649350811*G0_1_1_9_6 - 0.0072827172827185*G0_1_1_9_7 - 0.0072827172827185*G0_1_1_9_8 - 0.0600599400599501*G0_1_1_9_9;
    A[171] = -A[51] - 0.0322442989109711*G0_0_0_0_0 - 0.00149395577967032*G0_0_0_0_1 - 0.00445424064471759*G0_0_0_0_2 + 0.000595806310092106*G0_0_0_0_3 + 0.000182251610823076*G0_0_0_0_4 - 0.0500536500536586*G0_0_0_0_5 + 0.0234309605738217*G0_0_0_0_6 - 0.00976208976209143*G0_0_0_0_7 + 0.0071035842464426*G0_0_0_0_8 - 0.0073399616256772*G0_0_0_0_9 - 0.00149395577967032*G0_0_0_1_0 + 0.00284160284160329*G0_0_0_1_1 + 0.00118400118400138*G0_0_0_1_3 + 0.00179672179672211*G0_0_0_1_4 - 0.00416134130419912*G0_0_0_1_5 - 0.000426663283806217*G0_0_0_1_6 + 0.0035845635845642*G0_0_0_1_7 - 0.00109520109520131*G0_0_0_1_8 - 0.00023088023088026*G0_0_0_1_9 - 0.00445424064471759*G0_0_0_2_0 - 0.0248285048285089*G0_0_0_2_2 + 0.00139796711225303*G0_0_0_2_3 + 0.00239506525220859*G0_0_0_2_4 - 0.0063149548863846*G0_0_0_2_5 + 0.00570350284636106*G0_0_0_2_6 + 0.00198869913155661*G0_0_0_2_7 + 0.00035985178842328*G0_0_0_2_8 + 0.0105646734218181*G0_0_0_2_9 + 0.000595806310092105*G0_0_0_3_0 + 0.00118400118400138*G0_0_0_3_1 + 0.00139796711225303*G0_0_0_3_2 - 0.0511488511488602*G0_0_0_3_3 - 0.0176166690452435*G0_0_0_3_4 + 0.00609676038247561*G0_0_0_3_5 - 0.000216925931211665*G0_0_0_3_6 - 0.00328433471290666*G0_0_0_3_7 + 0.00586080586080683*G0_0_0_3_8 + 0.00726131011845407*G0_0_0_3_9 + 0.000182251610823076*G0_0_0_4_0 + 0.00179672179672211*G0_0_0_4_1 + 0.00239506525220859*G0_0_0_4_2 - 0.0176166690452435*G0_0_0_4_3 + 0.0350963322391953*G0_0_0_4_4 - 0.00204367061509951*G0_0_0_4_5 + 0.00226059654631121*G0_0_0_4_6 - 0.00250796822225436*G0_0_0_4_7 - 0.00257647114790016*G0_0_0_4_8 - 0.0276066790352552*G0_0_0_4_9 - 0.0500536500536586*G0_0_0_5_0 - 0.00416134130419911*G0_0_0_5_1 - 0.0063149548863846*G0_0_0_5_2 + 0.00609676038247561*G0_0_0_5_3 - 0.00204367061509951*G0_0_0_5_4 - 0.312373340944822*G0_0_0_5_5 + 0.0205622948480126*G0_0_0_5_6 - 0.00352409495266688*G0_0_0_5_7 + 0.010987108129967*G0_0_0_5_8 + 0.0234309605738217*G0_0_0_6_0 - 0.000426663283806217*G0_0_0_6_1 + 0.00570350284636106*G0_0_0_6_2 - 0.000216925931211664*G0_0_0_6_3 + 0.00226059654631121*G0_0_0_6_4 + 0.0205622948480126*G0_0_0_6_5 + 0.0230398173255355*G0_0_0_6_6 - 0.00746301317730014*G0_0_0_6_7 + 0.000848675134389574*G0_0_0_6_8 - 0.0312601684030309*G0_0_0_6_9 - 0.00976208976209143*G0_0_0_7_0 + 0.0035845635845642*G0_0_0_7_1 + 0.00198869913155661*G0_0_0_7_2 - 0.00328433471290666*G0_0_0_7_3 - 0.00250796822225436*G0_0_0_7_4 - 0.00352409495266688*G0_0_0_7_5 - 0.00746301317730014*G0_0_0_7_6 + 0.0496113410399207*G0_0_0_7_7 - 0.0207982493696814*G0_0_0_7_8 + 0.0369459112316318*G0_0_0_7_9 + 0.0071035842464426*G0_0_0_8_0 - 0.00109520109520131*G0_0_0_8_1 + 0.00035985178842328*G0_0_0_8_2 + 0.00586080586080683*G0_0_0_8_3 - 0.00257647114790016*G0_0_0_8_4 + 0.010987108129967*G0_0_0_8_5 + 0.000848675134389574*G0_0_0_8_6 - 0.0207982493696814*G0_0_0_8_7 + 0.0202464202464239*G0_0_0_8_8 + 0.0058455829884411*G0_0_0_8_9 - 0.0073399616256772*G0_0_0_9_0 - 0.00023088023088026*G0_0_0_9_1 + 0.0105646734218181*G0_0_0_9_2 + 0.00726131011845407*G0_0_0_9_3 - 0.0276066790352552*G0_0_0_9_4 - 0.0312601684030309*G0_0_0_9_6 + 0.0369459112316318*G0_0_0_9_7 + 0.0058455829884411*G0_0_0_9_8 + 0.0454859426288075*G0_0_0_9_9 + 0.0935558268891767*G0_0_1_0_0 + 0.00156598251836375*G0_0_1_0_1 + 0.00349900540376792*G0_0_1_0_2 + 0.00110704110704127*G0_0_1_0_3 - 0.00119922405636712*G0_0_1_0_4 + 0.0361061161061224*G0_0_1_0_5 - 0.0124738753310204*G0_0_1_0_6 + 0.010993450993453*G0_0_1_0_7 - 0.00540538826253212*G0_0_1_0_8 - 0.000662194947909306*G0_0_1_0_9 + 0.00156598251836375*G0_0_1_1_0 + 0.000180419228038305*G0_0_1_1_2 + 0.000592000592000651*G0_0_1_1_3 + 0.00167536167536198*G0_0_1_1_4 - 0.000524343381486297*G0_0_1_1_5 - 0.00122205836491572*G0_0_1_1_6 - 0.000592000592000747*G0_0_1_1_8 - 0.00166944166944195*G0_0_1_1_9 + 0.00349900540376792*G0_0_1_2_0 + 0.000180419228038305*G0_0_1_2_1 - 0.0223759309473633*G0_0_1_2_2 + 0.00178319035461922*G0_0_1_2_3 + 0.0026826083968946*G0_0_1_2_4 + 0.00379091807663299*G0_0_1_2_5 + 0.00427424427424501*G0_0_1_2_6 - 0.00040256040256046*G0_0_1_2_7 + 0.000383954669669017*G0_0_1_2_8 + 0.00931386074243375*G0_0_1_2_9 + 0.00110704110704127*G0_0_1_3_0 + 0.000592000592000651*G0_0_1_3_1 + 0.00178319035461922*G0_0_1_3_2 - 0.03409923409924*G0_0_1_3_3 - 0.0186404072118389*G0_0_1_3_4 + 0.000871509442938077*G0_0_1_3_5 + 0.000175063032205943*G0_0_1_3_6 - 0.0068122353836651*G0_0_1_3_7 + 0.0114552114552134*G0_0_1_3_8 + 0.018632795775656*G0_0_1_3_9 - 0.00119922405636712*G0_0_1_4_0 + 0.00167536167536198*G0_0_1_4_1 + 0.0026826083968946*G0_0_1_4_2 - 0.018640407211839*G0_0_1_4_3 + 0.0304533561676469*G0_0_1_4_4 + 0.000106560106560153*G0_0_1_4_5 - 0.000281623138766076*G0_0_1_4_6 + 0.00414823271966199*G0_0_1_4_7 - 0.00464297607154828*G0_0_1_4_8 - 0.0281547024404216*G0_0_1_4_9 + 0.0361061161061224*G0_0_1_5_0 - 0.000524343381486297*G0_0_1_5_1 + 0.00379091807663299*G0_0_1_5_2 + 0.000871509442938077*G0_0_1_5_3 + 0.000106560106560154*G0_0_1_5_4 - 0.110495219066666*G0_0_1_5_5 - 0.0353931782503271*G0_0_1_5_6 + 0.00420151277294219*G0_0_1_5_7 - 0.00191808191808235*G0_0_1_5_8 + 0.00582274867989271*G0_0_1_5_9 - 0.0124738753310204*G0_0_1_6_0 - 0.00122205836491572*G0_0_1_6_1 + 0.00427424427424501*G0_0_1_6_2 + 0.000175063032205942*G0_0_1_6_3 - 0.000281623138766076*G0_0_1_6_4 - 0.0353931782503271*G0_0_1_6_5 + 0.0397088625660121*G0_0_1_6_6 - 0.00228343085485984*G0_0_1_6_7 + 0.00300271157414068*G0_0_1_6_8 - 0.0282917082917132*G0_0_1_6_9 + 0.010993450993453*G0_0_1_7_0 - 0.00040256040256046*G0_0_1_7_2 - 0.0068122353836651*G0_0_1_7_3 + 0.00414823271966199*G0_0_1_7_4 + 0.00420151277294219*G0_0_1_7_5 - 0.00228343085485984*G0_0_1_7_6 - 0.0366490652204998*G0_0_1_7_7 - 0.00283145426002626*G0_0_1_7_8 + 0.00655344655344772*G0_0_1_7_9 - 0.00540538826253212*G0_0_1_8_0 - 0.000592000592000748*G0_0_1_8_1 + 0.000383954669669017*G0_0_1_8_2 + 0.0114552114552134*G0_0_1_8_3 - 0.00464297607154828*G0_0_1_8_4 - 0.00191808191808235*G0_0_1_8_5 + 0.00300271157414068*G0_0_1_8_6 - 0.00283145426002626*G0_0_1_8_7 + 0.0111888111888132*G0_0_1_8_8 + 0.0142942771514224*G0_0_1_8_9 - 0.000662194947909305*G0_0_1_9_0 - 0.00166944166944195*G0_0_1_9_1 + 0.00931386074243375*G0_0_1_9_2 + 0.018632795775656*G0_0_1_9_3 - 0.0281547024404216*G0_0_1_9_4 + 0.00582274867989271*G0_0_1_9_5 - 0.0282917082917132*G0_0_1_9_6 + 0.00655344655344772*G0_0_1_9_7 + 0.0142942771514224*G0_0_1_9_8 + 0.0411017553874767*G0_0_1_9_9;
    A[57] = -A[171] - 0.0237826371159745*G0_0_0_0_0 + 0.000261044070567933*G0_0_0_0_1 - 0.00393666298428271*G0_0_0_0_2 + 0.0100885358028233*G0_0_0_0_3 + 0.00102458388172691*G0_0_0_0_4 - 0.0373945631088552*G0_0_0_0_5 + 0.0108505251362413*G0_0_0_0_6 - 0.00734292162863719*G0_0_0_0_7 + 0.00323570609284952*G0_0_0_0_8 - 0.00687566401852231*G0_0_0_0_9 + 0.000261044070567933*G0_0_0_1_0 + 0.0244693578026953*G0_0_0_1_1 + 0.00402489926299519*G0_0_0_1_2 + 0.0450246050246128*G0_0_0_1_3 - 0.0240834297977197*G0_0_0_1_4 + 0.00059707488278927*G0_0_0_1_5 - 0.00229780801209415*G0_0_0_1_7 + 0.00988936988937159*G0_0_0_1_8 + 0.0193837908123656*G0_0_0_1_9 - 0.00393666298428271*G0_0_0_2_0 + 0.00402489926299519*G0_0_0_2_1 - 0.00509120509120591*G0_0_0_2_2 + 0.0101282844140004*G0_0_0_2_3 - 0.0143348714777311*G0_0_0_2_4 - 0.0151467580039034*G0_0_0_2_6 + 0.00372918087203862*G0_0_0_2_7 - 0.00243608243608282*G0_0_0_2_8 - 0.00977308405879997*G0_0_0_2_9 + 0.0100885358028233*G0_0_0_3_0 + 0.0450246050246128*G0_0_0_3_1 + 0.0101282844140004*G0_0_0_3_2 + 0.440108462965681*G0_0_0_3_3 - 0.0222063650635118*G0_0_0_3_4 - 0.0153446553446579*G0_0_0_3_5 - 0.00151848151848179*G0_0_0_3_6 - 0.0316331287759914*G0_0_0_3_7 + 0.0256924028352646*G0_0_0_3_8 + 0.00511488511488634*G0_0_0_3_9 + 0.00102458388172691*G0_0_0_4_0 - 0.0240834297977197*G0_0_0_4_1 - 0.0143348714777311*G0_0_0_4_2 - 0.0222063650635118*G0_0_0_4_3 - 0.0123990295418889*G0_0_0_4_4 - 0.00444127301270234*G0_0_0_4_5 + 0.00595975453118412*G0_0_0_4_6 - 0.00644688644688749*G0_0_0_4_7 + 0.00594072594072684*G0_0_0_4_8 + 0.0382017982018046*G0_0_0_4_9 - 0.0373945631088552*G0_0_0_5_0 + 0.00059707488278927*G0_0_0_5_1 - 0.0153446553446579*G0_0_0_5_3 - 0.00444127301270234*G0_0_0_5_4 - 0.0573141144569814*G0_0_0_5_5 + 0.0439217924932285*G0_0_0_5_6 + 0.0157138099995269*G0_0_0_5_7 - 0.00315874601588939*G0_0_0_5_8 + 0.0269444840873457*G0_0_0_5_9 + 0.0108505251362413*G0_0_0_6_0 - 0.0151467580039034*G0_0_0_6_2 - 0.00151848151848179*G0_0_0_6_3 + 0.00595975453118412*G0_0_0_6_4 + 0.0439217924932285*G0_0_0_6_5 + 0.0292507492507543*G0_0_0_6_6 - 0.0125550639836375*G0_0_0_6_7 + 0.00426240426240494*G0_0_0_6_8 + 0.0323562152133636*G0_0_0_6_9 - 0.00734292162863719*G0_0_0_7_0 - 0.00229780801209415*G0_0_0_7_1 + 0.00372918087203863*G0_0_0_7_2 - 0.0316331287759914*G0_0_0_7_3 - 0.00644688644688749*G0_0_0_7_4 + 0.0157138099995269*G0_0_0_7_5 - 0.0125550639836375*G0_0_0_7_6 + 0.0447476333190693*G0_0_0_7_7 - 0.00994053565482307*G0_0_0_7_8 + 0.0457371200228419*G0_0_0_7_9 + 0.00323570609284952*G0_0_0_8_0 + 0.00988936988937159*G0_0_0_8_1 - 0.00243608243608282*G0_0_0_8_2 + 0.0256924028352646*G0_0_0_8_3 + 0.00594072594072684*G0_0_0_8_4 - 0.00315874601588939*G0_0_0_8_5 + 0.00426240426240494*G0_0_0_8_6 - 0.00994053565482307*G0_0_0_8_7 - 0.0276371247799862*G0_0_0_8_8 - 0.0700328243185503*G0_0_0_8_9 - 0.00687566401852231*G0_0_0_9_0 + 0.0193837908123656*G0_0_0_9_1 - 0.00977308405879997*G0_0_0_9_2 + 0.00511488511488634*G0_0_0_9_3 + 0.0382017982018046*G0_0_0_9_4 + 0.0269444840873457*G0_0_0_9_5 + 0.0323562152133636*G0_0_0_9_6 + 0.045737120022842*G0_0_0_9_7 - 0.0700328243185503*G0_0_0_9_8 + 0.130429570429593*G0_0_0_9_9 + 0.0905681972348798*G0_0_1_0_0 + 0.00172229886515633*G0_0_1_0_1 + 0.00241663098805999*G0_0_1_0_2 + 0.00349872349872416*G0_0_1_0_3 + 0.00188763617335076*G0_0_1_0_4 + 0.0342256685113888*G0_0_1_0_5 - 0.0122840122840145*G0_0_1_0_6 + 0.0126785383928264*G0_0_1_0_7 - 0.0128185042470779*G0_0_1_0_8 - 0.00594199451342401*G0_0_1_0_9 + 0.00172229886515633*G0_0_1_1_0 + 0.0113466780133465*G0_0_1_1_1 + 0.00283173616506998*G0_0_1_1_2 + 0.0304702704702757*G0_0_1_1_3 - 0.0175287146715748*G0_0_1_1_4 - 0.000484594770309116*G0_0_1_1_5 - 0.000734503591646575*G0_0_1_1_6 - 0.00139077853363591*G0_0_1_1_7 - 0.00226736226736264*G0_0_1_1_8 + 0.013129727415444*G0_0_1_1_9 + 0.00241663098805998*G0_0_1_2_0 + 0.00283173616506998*G0_0_1_2_1 + 0.00504553647410876*G0_0_1_2_2 + 0.00302385445242643*G0_0_1_2_3 - 0.00902378045235347*G0_0_1_2_4 + 0.00477786763501131*G0_0_1_2_5 + 0.000351817494674651*G0_0_1_2_6 + 0.00247625390482574*G0_0_1_2_7 - 0.00543329686186917*G0_0_1_2_8 - 0.0120590520590541*G0_0_1_2_9 + 0.00349872349872416*G0_0_1_3_0 + 0.0304702704702757*G0_0_1_3_1 + 0.00302385445242643*G0_0_1_3_2 + 0.362429951001442*G0_0_1_3_3 + 0.0057009657009666*G0_0_1_3_4 - 0.00573902288188104*G0_0_1_3_5 + 0.00463917035345682*G0_0_1_3_6 - 0.00806051091765534*G0_0_1_3_7 - 0.0106750392464693*G0_0_1_3_8 - 0.0232681604110211*G0_0_1_3_9 + 0.00188763617335076*G0_0_1_4_0 - 0.0175287146715748*G0_0_1_4_1 - 0.00902378045235347*G0_0_1_4_2 + 0.00570096570096661*G0_0_1_4_3 - 0.0383121640264563*G0_0_1_4_4 - 0.00322724894153518*G0_0_1_4_5 - 0.00141192141192164*G0_0_1_4_6 - 0.00776366490652331*G0_0_1_4_7 + 0.0187355501641246*G0_0_1_4_8 + 0.0426316540602326*G0_0_1_4_9 + 0.0342256685113888*G0_0_1_5_0 - 0.000484594770309116*G0_0_1_5_1 + 0.00477786763501131*G0_0_1_5_2 - 0.00573902288188104*G0_0_1_5_3 - 0.00322724894153517*G0_0_1_5_4 - 0.0633766233766336*G0_0_1_5_5 - 0.025083487940635*G0_0_1_5_6 + 0.00110365824651568*G0_0_1_5_7 + 0.00388944388944446*G0_0_1_5_8 + 0.0100470957613832*G0_0_1_5_9 - 0.0122840122840145*G0_0_1_6_0 - 0.000734503591646575*G0_0_1_6_1 + 0.000351817494674651*G0_0_1_6_2 + 0.00463917035345682*G0_0_1_6_3 - 0.00141192141192164*G0_0_1_6_4 - 0.025083487940635*G0_0_1_6_5 - 0.00419009561866767*G0_0_1_6_6 - 0.00499310213596013*G0_0_1_6_7 + 0.00803387089101507*G0_0_1_6_8 + 0.0268988154702486*G0_0_1_6_9 + 0.0126785383928264*G0_0_1_7_0 - 0.00139077853363591*G0_0_1_7_1 + 0.00247625390482574*G0_0_1_7_2 - 0.00806051091765533*G0_0_1_7_3 - 0.00776366490652331*G0_0_1_7_4 + 0.00110365824651568*G0_0_1_7_5 - 0.00499310213596013*G0_0_1_7_6 - 0.0617477760335005*G0_0_1_7_7 + 0.033882308168028*G0_0_1_7_8 + 0.0278121878121924*G0_0_1_7_9 - 0.0128185042470779*G0_0_1_8_0 - 0.00226736226736264*G0_0_1_8_1 - 0.00543329686186917*G0_0_1_8_2 - 0.0106750392464693*G0_0_1_8_3 + 0.0187355501641246*G0_0_1_8_4 + 0.00388944388944446*G0_0_1_8_5 + 0.00803387089101506*G0_0_1_8_6 + 0.033882308168028*G0_0_1_8_7 - 0.0640768755054573*G0_0_1_8_8 - 0.0768602825745811*G0_0_1_8_9 - 0.00594199451342401*G0_0_1_9_0 + 0.013129727415444*G0_0_1_9_1 - 0.0120590520590541*G0_0_1_9_2 - 0.0232681604110211*G0_0_1_9_3 + 0.0426316540602326*G0_0_1_9_4 + 0.0100470957613832*G0_0_1_9_5 + 0.0268988154702486*G0_0_1_9_6 + 0.0278121878121924*G0_0_1_9_7 - 0.0768602825745811*G0_0_1_9_8 + 0.102891394319984*G0_0_1_9_9 + 0.00376117709451114*G0_1_0_0_0 + 0.00237533189914185*G0_1_0_0_1 + 0.00073295311390563*G0_1_0_0_2 + 0.00547473690330931*G0_1_0_0_3 - 0.00147704147704174*G0_1_0_0_4 + 0.00475503332646278*G0_1_0_0_5 - 0.00324078038363811*G0_1_0_0_6 + 0.00339681482538685*G0_1_0_0_7 - 0.00296000296000347*G0_1_0_0_8 - 0.000299383156526028*G0_1_0_0_9 + 0.00237533189914185*G0_1_0_1_0 + 0.0452091118757866*G0_1_0_1_1 + 0.00564528945481424*G0_1_0_1_2 + 0.062136382136393*G0_1_0_1_3 - 0.024710104710109*G0_1_0_1_4 + 0.00265089407946594*G0_1_0_1_5 - 0.00236377379234562*G0_1_0_1_6 - 0.00654752654752773*G0_1_0_1_7 + 0.0135212935212959*G0_1_0_1_8 + 0.00674880674880796*G0_1_0_1_9 + 0.00073295311390563*G0_1_0_2_0 + 0.00564528945481424*G0_1_0_2_1 + 0.00287712287712336*G0_1_0_2_2 + 0.0102348445205606*G0_1_0_2_3 - 0.000801737944595251*G0_1_0_2_4 + 0.00223776223776263*G0_1_0_2_5 - 0.00118738404452711*G0_1_0_2_6 + 0.00121994407708713*G0_1_0_2_7 - 0.00172948744377342*G0_1_0_2_8 + 0.000882926597212479*G0_1_0_2_9 + 0.00547473690330931*G0_1_0_3_0 + 0.062136382136393*G0_1_0_3_1 + 0.0102348445205606*G0_1_0_3_2 + 0.24735264735269*G0_1_0_3_3 - 0.0582389039531998*G0_1_0_3_4 - 0.0103553589267892*G0_1_0_3_5 + 0.00342514628228966*G0_1_0_3_6 - 0.0200903858046751*G0_1_0_3_7 + 0.018568098568102*G0_1_0_3_8 + 0.0199343513629264*G0_1_0_3_9 - 0.00147704147704174*G0_1_0_4_0 - 0.024710104710109*G0_1_0_4_1 - 0.000801737944595252*G0_1_0_4_2 - 0.0582389039531998*G0_1_0_4_3 + 0.0119765948337397*G0_1_0_4_4 + 0.00076494933637802*G0_1_0_4_5 - 0.0041900956186677*G0_1_0_4_6 + 0.0022187336473055*G0_1_0_4_7 + 0.00152228723657309*G0_1_0_4_8 - 0.0041786784643935*G0_1_0_4_9 + 0.00475503332646278*G0_1_0_5_0 + 0.00265089407946594*G0_1_0_5_1 + 0.00223776223776263*G0_1_0_5_2 - 0.0103553589267892*G0_1_0_5_3 + 0.00076494933637802*G0_1_0_5_4 + 0.0511145996860371*G0_1_0_5_5 - 0.00643927501070473*G0_1_0_5_6 + 0.0189448646591536*G0_1_0_5_7 - 0.011618857333145*G0_1_0_5_8 + 0.0241358641358682*G0_1_0_5_9 - 0.00324078038363811*G0_1_0_6_0 - 0.00236377379234562*G0_1_0_6_1 - 0.00118738404452711*G0_1_0_6_2 + 0.00342514628228966*G0_1_0_6_3 - 0.0041900956186677*G0_1_0_6_4 - 0.00643927501070473*G0_1_0_6_5 - 0.004395604395605*G0_1_0_6_6 - 0.00732600732600857*G0_1_0_6_7 + 0.00797297940155215*G0_1_0_6_8 - 0.00949907235621676*G0_1_0_6_9 + 0.00339681482538685*G0_1_0_7_0 - 0.00654752654752773*G0_1_0_7_1 + 0.00121994407708713*G0_1_0_7_2 - 0.0200903858046751*G0_1_0_7_3 + 0.0022187336473055*G0_1_0_7_4 + 0.0189448646591536*G0_1_0_7_5 - 0.00732600732600857*G0_1_0_7_6 + 0.0140925740925765*G0_1_0_7_7 + 0.000243565957851686*G0_1_0_7_8 + 0.0155501641215953*G0_1_0_7_9 - 0.00296000296000347*G0_1_0_8_0 + 0.0135212935212959*G0_1_0_8_1 - 0.00172948744377342*G0_1_0_8_2 + 0.018568098568102*G0_1_0_8_3 + 0.00152228723657309*G0_1_0_8_4 - 0.011618857333145*G0_1_0_8_5 + 0.00797297940155215*G0_1_0_8_6 + 0.000243565957851686*G0_1_0_8_7 - 0.0359373959374021*G0_1_0_8_8 - 0.02329099471957*G0_1_0_8_9 - 0.000299383156526028*G0_1_0_9_0 + 0.00674880674880795*G0_1_0_9_1 + 0.000882926597212479*G0_1_0_9_2 + 0.0199343513629264*G0_1_0_9_3 - 0.0041786784643935*G0_1_0_9_4 + 0.0241358641358682*G0_1_0_9_5 - 0.00949907235621676*G0_1_0_9_6 + 0.0155501641215953*G0_1_0_9_7 - 0.02329099471957*G0_1_0_9_8 + 0.0346624803767724*G0_1_0_9_9 - 0.00288106954773688*G0_1_1_0_0 - 0.00259169402026589*G0_1_1_0_1 - 0.000412145174050006*G0_1_1_0_2 - 0.000887578030435276*G0_1_1_0_3 + 0.00159248159248184*G0_1_1_0_4 + 0.000433429004857604*G0_1_1_0_5 + 0.00487681630538853*G0_1_1_0_7 - 0.010192558763989*G0_1_1_0_8 - 0.00262340833769447*G0_1_1_0_9 - 0.00259169402026589*G0_1_1_1_0 + 0.00230161373018556*G0_1_1_1_2 + 0.0327021127021184*G0_1_1_1_3 - 0.0101350501350519*G0_1_1_1_4 + 0.00109139537710985*G0_1_1_1_5 - 0.000801315087029519*G0_1_1_1_6 + 0.0132608132608155*G0_1_1_1_7 - 0.0327021127021182*G0_1_1_1_8 - 0.0031257631257636*G0_1_1_1_9 - 0.000412145174050006*G0_1_1_2_0 + 0.00230161373018556*G0_1_1_2_1 + 0.00241310717501233*G0_1_1_2_2 + 0.00350379778951271*G0_1_1_2_3 + 0.00294435723007198*G0_1_1_2_4 + 0.000570857713714954*G0_1_1_2_5 + 0.00131297274154438*G0_1_1_2_6 + 0.00241197955483708*G0_1_1_2_7 - 0.00691583548726519*G0_1_1_2_8 - 0.00243565957851712*G0_1_1_2_9 - 0.000887578030435276*G0_1_1_3_0 + 0.0327021127021184*G0_1_1_3_1 + 0.00350379778951271*G0_1_1_3_2 + 0.175664335664366*G0_1_1_3_3 - 0.0305408876837502*G0_1_1_3_4 - 0.0023519337805056*G0_1_1_3_5 + 0.00649636078207612*G0_1_1_3_6 + 0.00675514961229346*G0_1_1_3_7 - 0.0315950715950766*G0_1_1_3_8 - 0.00413300984729606*G0_1_1_3_9 + 0.00159248159248184*G0_1_1_4_0 - 0.0101350501350519*G0_1_1_4_1 + 0.00294435723007198*G0_1_1_4_2 - 0.0305408876837502*G0_1_1_4_3 + 0.000548023405166346*G0_1_1_4_4 - 0.000685029256457944*G0_1_1_4_5 - 0.00581133152561818*G0_1_1_4_6 - 0.0080528994814722*G0_1_1_4_7 + 0.0248399219827832*G0_1_1_4_8 + 0.00867703724846724*G0_1_1_4_9 + 0.000433429004857604*G0_1_1_5_0 + 0.00109139537710985*G0_1_1_5_1 + 0.000570857713714954*G0_1_1_5_2 - 0.0023519337805056*G0_1_1_5_3 - 0.000685029256457943*G0_1_1_5_4 + 0.00997859283573735*G0_1_1_5_5 - 0.000867703724846739*G0_1_1_5_6 + 0.00232529375386556*G0_1_1_5_7 + 0.000818229389658101*G0_1_1_5_8 + 0.00623376623376725*G0_1_1_5_9 - 0.000801315087029519*G0_1_1_6_1 + 0.00131297274154438*G0_1_1_6_2 + 0.00649636078207612*G0_1_1_6_3 - 0.00581133152561818*G0_1_1_6_4 - 0.000867703724846739*G0_1_1_6_5 - 0.0117140002854308*G0_1_1_6_6 - 0.00314352314352365*G0_1_1_6_7 + 0.00952951810094823*G0_1_1_6_8 - 0.00568574282860087*G0_1_1_6_9 + 0.00487681630538853*G0_1_1_7_0 + 0.0132608132608155*G0_1_1_7_1 + 0.00241197955483708*G0_1_1_7_2 + 0.00675514961229347*G0_1_1_7_3 - 0.0080528994814722*G0_1_1_7_4 + 0.00232529375386556*G0_1_1_7_5 - 0.00314352314352365*G0_1_1_7_6 - 0.025178630892921*G0_1_1_7_7 + 0.0433813805242448*G0_1_1_7_8 + 0.0141572713001307*G0_1_1_7_9 - 0.010192558763989*G0_1_1_8_0 - 0.0327021127021182*G0_1_1_8_1 - 0.00691583548726519*G0_1_1_8_2 - 0.0315950715950767*G0_1_1_8_3 + 0.0248399219827832*G0_1_1_8_4 + 0.000818229389658101*G0_1_1_8_5 + 0.00952951810094823*G0_1_1_8_6 + 0.0433813805242448*G0_1_1_8_7 - 0.112474192474211*G0_1_1_8_8 - 0.0403025545882756*G0_1_1_8_9 - 0.00262340833769448*G0_1_1_9_0 - 0.0031257631257636*G0_1_1_9_1 - 0.00243565957851712*G0_1_1_9_2 - 0.00413300984729606*G0_1_1_9_3 + 0.00867703724846724*G0_1_1_9_4 + 0.00623376623376725*G0_1_1_9_5 - 0.00568574282860087*G0_1_1_9_6 + 0.0141572713001307*G0_1_1_9_7 - 0.0403025545882756*G0_1_1_9_8 - 0.00493221064649673*G0_1_1_9_9;
    A[101] = A[171] - 0.088504088504104*G0_0_1_0_0 - 0.00111141063522037*G0_0_1_0_1 - 0.00303654017939785*G0_0_1_0_2 - 0.000241451670023107*G0_0_1_0_3 + 0.000324331752903238*G0_0_1_0_4 - 0.0311984311984366*G0_0_1_0_5 + 0.0125444925444947*G0_0_1_0_6 - 0.009294409294411*G0_0_1_0_7 + 0.00560624560624661*G0_0_1_0_8 + 0.000497280497280548*G0_0_1_0_9 - 0.00111141063522037*G0_0_1_1_0 + 0.00505173838507265*G0_0_1_1_1 + 0.000282045996331767*G0_0_1_1_2 + 0.00431568431568517*G0_0_1_1_3 - 0.00160474446188763*G0_0_1_1_4 + 0.00138993281850445*G0_0_1_1_5 + 0.000347166061451843*G0_0_1_1_6 + 0.000206777349634519*G0_0_1_1_7 + 0.00229104229104264*G0_0_1_1_8 + 0.00150452721881318*G0_0_1_1_9 - 0.00303654017939785*G0_0_1_2_0 + 0.000282045996331767*G0_0_1_2_1 + 0.000341668913097546*G0_0_1_2_2 + 0.000386068957497617*G0_0_1_2_3 - 0.000231725946011707*G0_0_1_2_4 - 0.00162165876451618*G0_0_1_2_5 - 0.00182336182336212*G0_0_1_2_6 + 0.000468949040377679*G0_0_1_2_7 - 0.0003175660318518*G0_0_1_2_8 - 0.00352916924345556*G0_0_1_2_9 - 0.000241451670023107*G0_0_1_3_0 + 0.00431568431568517*G0_0_1_3_1 + 0.000386068957497616*G0_0_1_3_2 + 0.00895866038723379*G0_0_1_3_3 - 0.0018305504019794*G0_0_1_3_4 - 0.00210456210456241*G0_0_1_3_5 - 0.000277817420674634*G0_0_1_3_6 + 0.00148803577375028*G0_0_1_3_7 - 0.00320441463298658*G0_0_1_3_8 - 0.00748965320394011*G0_0_1_3_9 + 0.000324331752903238*G0_0_1_4_0 - 0.00160474446188763*G0_0_1_4_1 - 0.000231725946011707*G0_0_1_4_2 - 0.0018305504019794*G0_0_1_4_3 + 0.00114932686361288*G0_0_1_4_4 - 0.000209314495028831*G0_0_1_4_5 + 0.000487131915703451*G0_0_1_4_6 - 0.00157176157176183*G0_0_1_4_7 + 0.0017163788592363*G0_0_1_4_8 + 0.0110061367204243*G0_0_1_4_9 - 0.0311984311984366*G0_0_1_5_0 + 0.00138993281850445*G0_0_1_5_1 - 0.00162165876451618*G0_0_1_5_2 - 0.00210456210456241*G0_0_1_5_3 - 0.000209314495028831*G0_0_1_5_4 + 0.0853546453546594*G0_0_1_5_5 + 0.0149222206365089*G0_0_1_5_6 + 0.00404928404928461*G0_0_1_5_7 - 0.00340611769183247*G0_0_1_5_8 + 0.0053203938918232*G0_0_1_5_9 + 0.0125444925444947*G0_0_1_6_0 + 0.000347166061451842*G0_0_1_6_1 - 0.00182336182336212*G0_0_1_6_2 - 0.000277817420674634*G0_0_1_6_3 + 0.000487131915703451*G0_0_1_6_4 + 0.0149222206365089*G0_0_1_6_5 - 0.00810617953475229*G0_0_1_6_6 - 0.000643166357452146*G0_0_1_6_7 - 0.000426240426240515*G0_0_1_6_8 + 0.011143142571716*G0_0_1_6_9 - 0.009294409294411*G0_0_1_7_0 + 0.000206777349634518*G0_0_1_7_1 + 0.00046894904037768*G0_0_1_7_2 + 0.00148803577375028*G0_0_1_7_3 - 0.00157176157176183*G0_0_1_7_4 + 0.00404928404928461*G0_0_1_7_5 - 0.000643166357452146*G0_0_1_7_6 + 0.0456077256077331*G0_0_1_7_7 - 0.00639741211169873*G0_0_1_7_8 - 0.000205508776937461*G0_0_1_7_9 + 0.00560624560624661*G0_0_1_8_0 + 0.00229104229104264*G0_0_1_8_1 - 0.0003175660318518*G0_0_1_8_2 - 0.00320441463298658*G0_0_1_8_3 + 0.00171637885923629*G0_0_1_8_4 - 0.00340611769183247*G0_0_1_8_5 - 0.000426240426240514*G0_0_1_8_6 - 0.00639741211169873*G0_0_1_8_7 - 0.00223015080158019*G0_0_1_8_8 - 0.00794633937491213*G0_0_1_8_9 + 0.000497280497280548*G0_0_1_9_0 + 0.00150452721881318*G0_0_1_9_1 - 0.00352916924345556*G0_0_1_9_2 - 0.0074896532039401*G0_0_1_9_3 + 0.0110061367204243*G0_0_1_9_4 + 0.0053203938918232*G0_0_1_9_5 + 0.011143142571716*G0_0_1_9_6 - 0.000205508776937457*G0_0_1_9_7 - 0.00794633937491214*G0_0_1_9_8 - 0.0287712287712337*G0_0_1_9_9 + 0.088504088504104*G0_1_0_0_0 + 0.00111141063522037*G0_1_0_0_1 + 0.00303654017939785*G0_1_0_0_2 + 0.000241451670023107*G0_1_0_0_3 - 0.000324331752903238*G0_1_0_0_4 + 0.0311984311984366*G0_1_0_0_5 - 0.0125444925444947*G0_1_0_0_6 + 0.009294409294411*G0_1_0_0_7 - 0.00560624560624661*G0_1_0_0_8 - 0.000497280497280548*G0_1_0_0_9 + 0.00111141063522037*G0_1_0_1_0 - 0.00505173838507265*G0_1_0_1_1 - 0.000282045996331767*G0_1_0_1_2 - 0.00431568431568517*G0_1_0_1_3 + 0.00160474446188763*G0_1_0_1_4 - 0.00138993281850445*G0_1_0_1_5 - 0.000347166061451843*G0_1_0_1_6 - 0.000206777349634518*G0_1_0_1_7 - 0.00229104229104264*G0_1_0_1_8 - 0.00150452721881318*G0_1_0_1_9 + 0.00303654017939785*G0_1_0_2_0 - 0.000282045996331767*G0_1_0_2_1 - 0.000341668913097546*G0_1_0_2_2 - 0.000386068957497616*G0_1_0_2_3 + 0.000231725946011707*G0_1_0_2_4 + 0.00162165876451618*G0_1_0_2_5 + 0.00182336182336212*G0_1_0_2_6 - 0.000468949040377679*G0_1_0_2_7 + 0.0003175660318518*G0_1_0_2_8 + 0.00352916924345556*G0_1_0_2_9 + 0.000241451670023107*G0_1_0_3_0 - 0.00431568431568517*G0_1_0_3_1 - 0.000386068957497616*G0_1_0_3_2 - 0.00895866038723377*G0_1_0_3_3 + 0.0018305504019794*G0_1_0_3_4 + 0.00210456210456241*G0_1_0_3_5 + 0.000277817420674634*G0_1_0_3_6 - 0.00148803577375028*G0_1_0_3_7 + 0.00320441463298658*G0_1_0_3_8 + 0.00748965320394011*G0_1_0_3_9 - 0.000324331752903238*G0_1_0_4_0 + 0.00160474446188763*G0_1_0_4_1 + 0.000231725946011707*G0_1_0_4_2 + 0.0018305504019794*G0_1_0_4_3 - 0.00114932686361288*G0_1_0_4_4 + 0.000209314495028831*G0_1_0_4_5 - 0.000487131915703452*G0_1_0_4_6 + 0.00157176157176183*G0_1_0_4_7 - 0.0017163788592363*G0_1_0_4_8 - 0.0110061367204243*G0_1_0_4_9 + 0.0311984311984366*G0_1_0_5_0 - 0.00138993281850445*G0_1_0_5_1 + 0.00162165876451618*G0_1_0_5_2 + 0.00210456210456241*G0_1_0_5_3 + 0.000209314495028831*G0_1_0_5_4 - 0.0853546453546594*G0_1_0_5_5 - 0.0149222206365089*G0_1_0_5_6 - 0.00404928404928461*G0_1_0_5_7 + 0.00340611769183247*G0_1_0_5_8 - 0.0053203938918232*G0_1_0_5_9 - 0.0125444925444947*G0_1_0_6_0 - 0.000347166061451842*G0_1_0_6_1 + 0.00182336182336212*G0_1_0_6_2 + 0.000277817420674634*G0_1_0_6_3 - 0.000487131915703452*G0_1_0_6_4 - 0.0149222206365089*G0_1_0_6_5 + 0.00810617953475229*G0_1_0_6_6 + 0.000643166357452146*G0_1_0_6_7 + 0.000426240426240515*G0_1_0_6_8 - 0.011143142571716*G0_1_0_6_9 + 0.009294409294411*G0_1_0_7_0 - 0.000206777349634518*G0_1_0_7_1 - 0.000468949040377679*G0_1_0_7_2 - 0.00148803577375028*G0_1_0_7_3 + 0.00157176157176183*G0_1_0_7_4 - 0.00404928404928461*G0_1_0_7_5 + 0.000643166357452145*G0_1_0_7_6 - 0.0456077256077331*G0_1_0_7_7 + 0.00639741211169873*G0_1_0_7_8 + 0.000205508776937461*G0_1_0_7_9 - 0.00560624560624661*G0_1_0_8_0 - 0.00229104229104264*G0_1_0_8_1 + 0.0003175660318518*G0_1_0_8_2 + 0.00320441463298658*G0_1_0_8_3 - 0.0017163788592363*G0_1_0_8_4 + 0.00340611769183247*G0_1_0_8_5 + 0.000426240426240515*G0_1_0_8_6 + 0.00639741211169873*G0_1_0_8_7 + 0.00223015080158019*G0_1_0_8_8 + 0.00794633937491213*G0_1_0_8_9 - 0.000497280497280548*G0_1_0_9_0 - 0.00150452721881318*G0_1_0_9_1 + 0.00352916924345556*G0_1_0_9_2 + 0.00748965320394011*G0_1_0_9_3 - 0.0110061367204243*G0_1_0_9_4 - 0.0053203938918232*G0_1_0_9_5 - 0.011143142571716*G0_1_0_9_6 + 0.000205508776937457*G0_1_0_9_7 + 0.00794633937491214*G0_1_0_9_8 + 0.0287712287712337*G0_1_0_9_9;
    A[129] = A[101] + 0.023916823916828*G0_0_0_0_0 + 0.000797227463894266*G0_0_0_0_1 + 0.00260282926949637*G0_0_0_0_2 - 0.00182336182336214*G0_0_0_0_3 + 0.0393384393384461*G0_0_0_0_5 - 0.0175824175824206*G0_0_0_0_6 + 0.00577200577200677*G0_0_0_0_7 - 0.00500832500832586*G0_0_0_0_8 + 0.00376512376512443*G0_0_0_0_9 + 0.000797227463894266*G0_0_0_1_0 - 0.00453528834481293*G0_0_0_1_1 - 0.00060299488870929*G0_0_0_1_2 - 0.0059715945430242*G0_0_0_1_3 + 0.00329152329152387*G0_0_0_1_4 + 0.00273335130478032*G0_0_0_1_5 - 0.000263017405874599*G0_0_0_1_6 - 0.00244919102062001*G0_0_0_1_7 - 0.000148000148000143*G0_0_0_1_8 - 0.00239506525220853*G0_0_0_1_9 + 0.00260282926949637*G0_0_0_2_0 - 0.00060299488870929*G0_0_0_2_1 - 0.00101824101824138*G0_0_0_2_2 - 0.00230034515748838*G0_0_0_2_3 + 0.00334734049019813*G0_0_0_2_4 + 0.00820681963539252*G0_0_0_2_5 - 0.0092436663865252*G0_0_0_2_6 - 0.00126265269122433*G0_0_0_2_7 - 0.000460914746629114*G0_0_0_2_8 - 0.00583543440686398*G0_0_0_2_9 - 0.00182336182336214*G0_0_0_3_0 - 0.0059715945430242*G0_0_0_3_1 - 0.00230034515748838*G0_0_0_3_2 - 0.0380419580419647*G0_0_0_3_3 + 0.00586841729698984*G0_0_0_3_4 - 0.00248132819561429*G0_0_0_3_5 + 0.00302174016459784*G0_0_0_3_6 + 0.00770277341706045*G0_0_0_3_7 - 0.0113182056039218*G0_0_0_3_8 - 0.00822035107749532*G0_0_0_3_9 + 0.00329152329152387*G0_0_0_4_1 + 0.00334734049019813*G0_0_0_4_2 + 0.00586841729698984*G0_0_0_4_3 + 0.0245697159982915*G0_0_0_4_4 + 0.00210836782265391*G0_0_0_4_5 - 0.00513010798725176*G0_0_0_4_6 + 0.000715475001189411*G0_0_0_4_7 + 0.00361543218686138*G0_0_0_4_8 + 0.0132895675752841*G0_0_0_4_9 + 0.0393384393384461*G0_0_0_5_0 + 0.00273335130478032*G0_0_0_5_1 + 0.00820681963539252*G0_0_0_5_2 - 0.00248132819561428*G0_0_0_5_3 + 0.00210836782265391*G0_0_0_5_4 + 0.21407925407929*G0_0_0_5_5 - 0.0184881784881816*G0_0_0_5_6 - 0.00596736596736694*G0_0_0_5_8 + 0.000639360639360704*G0_0_0_5_9 - 0.0175824175824206*G0_0_0_6_0 - 0.000263017405874599*G0_0_0_6_1 - 0.0092436663865252*G0_0_0_6_2 + 0.00302174016459784*G0_0_0_6_3 - 0.00513010798725176*G0_0_0_6_4 - 0.0184881784881816*G0_0_0_6_5 - 0.00855525426954153*G0_0_0_6_6 + 0.00602064602064703*G0_0_0_6_7 + 0.0114628228913963*G0_0_0_6_9 + 0.00577200577200677*G0_0_0_7_0 - 0.00244919102062001*G0_0_0_7_1 - 0.00126265269122433*G0_0_0_7_2 + 0.00770277341706045*G0_0_0_7_3 + 0.000715475001189411*G0_0_0_7_4 + 0.00602064602064703*G0_0_0_7_6 - 0.0349517149517208*G0_0_0_7_7 + 0.0187545787545819*G0_0_0_7_8 - 0.0233366633366673*G0_0_0_7_9 - 0.00500832500832586*G0_0_0_8_0 - 0.000148000148000143*G0_0_0_8_1 - 0.000460914746629114*G0_0_0_8_2 - 0.0113182056039218*G0_0_0_8_3 + 0.00361543218686138*G0_0_0_8_4 - 0.00596736596736694*G0_0_0_8_5 + 0.0187545787545819*G0_0_0_8_7 - 0.0187850244993135*G0_0_0_8_8 + 0.00376512376512443*G0_0_0_9_0 - 0.00239506525220853*G0_0_0_9_1 - 0.00583543440686398*G0_0_0_9_2 - 0.00822035107749532*G0_0_0_9_3 + 0.0132895675752841*G0_0_0_9_4 + 0.000639360639360705*G0_0_0_9_5 + 0.0114628228913963*G0_0_0_9_6 - 0.0233366633366673*G0_0_0_9_7 - 0.0465819894391402*G0_0_0_9_9 - 0.00118230975373853*G0_0_1_0_3 + 0.00118230975373854*G0_0_1_0_4 - 0.000325600325600425*G0_0_1_0_5 + 0.000544640544640644*G0_0_1_0_6 + 0.000325600325600347*G0_0_1_0_7 - 0.000544640544640598*G0_0_1_0_8 - 0.00478336478336557*G0_0_1_1_1 - 0.00786684215255785*G0_0_1_1_3 + 0.00452457595314818*G0_0_1_1_4 - 0.00101993244850405*G0_0_1_1_5 + 0.000276548847977463*G0_0_1_1_6 + 0.000986103843246828*G0_0_1_1_7 - 0.001439407153693*G0_0_1_1_8 - 0.00117723546294995*G0_0_1_1_9 + 0.00478336478336549*G0_0_1_2_2 - 0.00452457595314817*G0_0_1_2_3 + 0.0078668421525578*G0_0_1_2_4 - 0.000986103843246848*G0_0_1_2_5 + 0.00143940715369305*G0_0_1_2_6 + 0.00101993244850404*G0_0_1_2_7 - 0.000276548847977457*G0_0_1_2_8 + 0.00117723546294995*G0_0_1_2_9 - 0.00118230975373853*G0_0_1_3_0 - 0.00786684215255785*G0_0_1_3_1 - 0.00452457595314817*G0_0_1_3_2 - 0.0394576851719779*G0_0_1_3_3 + 0.00330336330336385*G0_0_1_3_5 - 0.000829646543932385*G0_0_1_3_6 + 0.00354692926121559*G0_0_1_3_7 - 0.00437657580514797*G0_0_1_3_8 - 0.00356215213358137*G0_0_1_3_9 + 0.00118230975373854*G0_0_1_4_0 + 0.00452457595314818*G0_0_1_4_1 + 0.0078668421525578*G0_0_1_4_2 + 0.0394576851719778*G0_0_1_4_4 - 0.00354692926121558*G0_0_1_4_5 + 0.00437657580514797*G0_0_1_4_6 - 0.00330336330336386*G0_0_1_4_7 + 0.000829646543932376*G0_0_1_4_8 + 0.00356215213358132*G0_0_1_4_9 - 0.000325600325600425*G0_0_1_5_0 - 0.00101993244850405*G0_0_1_5_1 - 0.000986103843246848*G0_0_1_5_2 + 0.00330336330336385*G0_0_1_5_3 - 0.00354692926121558*G0_0_1_5_4 - 0.0168364968364997*G0_0_1_5_5 + 0.000768755054469545*G0_0_1_5_6 + 0.00305979734551214*G0_0_1_5_8 - 0.00611959469102425*G0_0_1_5_9 + 0.000544640544640643*G0_0_1_6_0 + 0.000276548847977463*G0_0_1_6_1 + 0.00143940715369305*G0_0_1_6_2 - 0.000829646543932385*G0_0_1_6_3 + 0.00437657580514797*G0_0_1_6_4 + 0.000768755054469545*G0_0_1_6_5 - 0.000258788830217592*G0_0_1_6_6 - 0.00305979734551212*G0_0_1_6_7 - 0.00187241330098508*G0_0_1_6_9 + 0.000325600325600347*G0_0_1_7_0 + 0.000986103843246828*G0_0_1_7_1 + 0.00101993244850404*G0_0_1_7_2 + 0.00354692926121559*G0_0_1_7_3 - 0.00330336330336385*G0_0_1_7_4 - 0.00305979734551212*G0_0_1_7_6 + 0.0168364968364995*G0_0_1_7_7 - 0.000768755054469579*G0_0_1_7_8 + 0.00611959469102429*G0_0_1_7_9 - 0.000544640544640598*G0_0_1_8_0 - 0.001439407153693*G0_0_1_8_1 - 0.000276548847977457*G0_0_1_8_2 - 0.00437657580514797*G0_0_1_8_3 + 0.000829646543932376*G0_0_1_8_4 + 0.00305979734551214*G0_0_1_8_5 - 0.000768755054469579*G0_0_1_8_7 + 0.000258788830217863*G0_0_1_8_8 + 0.00187241330098507*G0_0_1_8_9 - 0.00117723546294995*G0_0_1_9_1 + 0.00117723546294995*G0_0_1_9_2 - 0.00356215213358137*G0_0_1_9_3 + 0.00356215213358132*G0_0_1_9_4 - 0.00611959469102425*G0_0_1_9_5 - 0.00187241330098508*G0_0_1_9_6 + 0.00611959469102429*G0_0_1_9_7 + 0.00187241330098507*G0_0_1_9_8 + 0.00185549899835645*G0_1_0_0_1 - 0.00185549899835648*G0_1_0_0_2 - 0.00174809317666491*G0_1_0_0_3 + 0.00174809317666492*G0_1_0_0_4 - 0.0222296222296262*G0_1_0_0_5 + 0.00748288748288883*G0_1_0_0_6 + 0.0222296222296259*G0_1_0_0_7 - 0.0074828874828887*G0_1_0_0_8 + 0.00185549899835645*G0_1_0_1_0 - 0.003319431890861*G0_1_0_1_3 + 0.00253376253376295*G0_1_0_1_4 + 0.000941280941281104*G0_1_0_1_6 + 0.00281453995739755*G0_1_0_1_7 + 0.00267499696071174*G0_1_0_1_8 + 0.00385646099931879*G0_1_0_1_9 - 0.00185549899835648*G0_1_0_2_0 - 0.00253376253376293*G0_1_0_2_3 + 0.00331943189086097*G0_1_0_2_4 - 0.00281453995739757*G0_1_0_2_5 - 0.00267499696071173*G0_1_0_2_6 - 0.000941280941281092*G0_1_0_2_8 - 0.00385646099931881*G0_1_0_2_9 - 0.00174809317666491*G0_1_0_3_0 - 0.003319431890861*G0_1_0_3_1 - 0.00253376253376293*G0_1_0_3_2 - 0.0316483516483568*G0_1_0_3_3 + 0.00277056277056326*G0_1_0_3_5 - 0.0028238428238433*G0_1_0_3_6 + 0.00524427952999468*G0_1_0_3_7 - 0.00806812235383796*G0_1_0_3_8 - 0.0220579420579457*G0_1_0_3_9 + 0.00174809317666492*G0_1_0_4_0 + 0.00253376253376295*G0_1_0_4_1 + 0.00331943189086097*G0_1_0_4_2 + 0.0316483516483571*G0_1_0_4_4 - 0.0052442795299947*G0_1_0_4_5 + 0.008068122353838*G0_1_0_4_6 - 0.00277056277056323*G0_1_0_4_7 + 0.00282384282384328*G0_1_0_4_8 + 0.0220579420579458*G0_1_0_4_9 - 0.0222296222296262*G0_1_0_5_0 - 0.00281453995739757*G0_1_0_5_2 + 0.00277056277056326*G0_1_0_5_3 - 0.0052442795299947*G0_1_0_5_4 + 0.0229104229104264*G0_1_0_5_5 + 0.0220883878026773*G0_1_0_5_6 + 0.000296846011131841*G0_1_0_5_8 - 0.000593692022263693*G0_1_0_5_9 + 0.00748288748288884*G0_1_0_6_0 + 0.000941280941281104*G0_1_0_6_1 - 0.00267499696071173*G0_1_0_6_2 - 0.0028238428238433*G0_1_0_6_3 + 0.008068122353838*G0_1_0_6_4 + 0.0220883878026773*G0_1_0_6_5 - 0.00613481756339007*G0_1_0_6_6 - 0.000296846011131746*G0_1_0_6_7 + 0.017217068645643*G0_1_0_6_9 + 0.0222296222296259*G0_1_0_7_0 + 0.00281453995739755*G0_1_0_7_1 + 0.00524427952999468*G0_1_0_7_3 - 0.00277056277056323*G0_1_0_7_4 - 0.000296846011131746*G0_1_0_7_6 - 0.0229104229104269*G0_1_0_7_7 - 0.0220883878026772*G0_1_0_7_8 + 0.000593692022263473*G0_1_0_7_9 - 0.0074828874828887*G0_1_0_8_0 + 0.00267499696071174*G0_1_0_8_1 - 0.000941280941281091*G0_1_0_8_2 - 0.00806812235383796*G0_1_0_8_3 + 0.00282384282384328*G0_1_0_8_4 + 0.000296846011131841*G0_1_0_8_5 - 0.0220883878026772*G0_1_0_8_7 + 0.00613481756339009*G0_1_0_8_8 - 0.0172170686456429*G0_1_0_8_9 + 0.00385646099931879*G0_1_0_9_1 - 0.0038564609993188*G0_1_0_9_2 - 0.0220579420579457*G0_1_0_9_3 + 0.0220579420579458*G0_1_0_9_4 - 0.00059369202226369*G0_1_0_9_5 + 0.017217068645643*G0_1_0_9_6 + 0.000593692022263475*G0_1_0_9_7 - 0.0172170686456429*G0_1_0_9_8 - 0.0239168239168277*G0_1_1_0_0 - 0.00260282926949636*G0_1_1_0_1 - 0.000797227463894255*G0_1_1_0_2 + 0.00182336182336213*G0_1_1_0_4 - 0.00577200577200667*G0_1_1_0_5 + 0.00500832500832581*G0_1_1_0_6 - 0.0393384393384459*G0_1_1_0_7 + 0.0175824175824205*G0_1_1_0_8 - 0.00376512376512441*G0_1_1_0_9 - 0.00260282926949636*G0_1_1_1_0 + 0.00101824101824126*G0_1_1_1_1 + 0.000602994888709283*G0_1_1_1_2 - 0.00334734049019817*G0_1_1_1_3 + 0.0023003451574884*G0_1_1_1_4 + 0.00126265269122433*G0_1_1_1_5 + 0.000460914746629111*G0_1_1_1_6 - 0.00820681963539248*G0_1_1_1_7 + 0.00924366638652518*G0_1_1_1_8 + 0.00583543440686398*G0_1_1_1_9 - 0.000797227463894255*G0_1_1_2_0 + 0.000602994888709283*G0_1_1_2_1 + 0.00453528834481285*G0_1_1_2_2 - 0.00329152329152385*G0_1_1_2_3 + 0.00597159454302414*G0_1_1_2_4 + 0.00244919102062003*G0_1_1_2_5 + 0.000148000148000139*G0_1_1_2_6 - 0.00273335130478033*G0_1_1_2_7 + 0.000263017405874597*G0_1_1_2_8 + 0.00239506525220852*G0_1_1_2_9 - 0.00334734049019817*G0_1_1_3_1 - 0.00329152329152385*G0_1_1_3_2 - 0.0245697159982914*G0_1_1_3_3 - 0.00586841729698979*G0_1_1_3_4 - 0.000715475001189412*G0_1_1_3_5 - 0.00361543218686137*G0_1_1_3_6 - 0.00210836782265386*G0_1_1_3_7 + 0.00513010798725176*G0_1_1_3_8 - 0.0132895675752841*G0_1_1_3_9 + 0.00182336182336213*G0_1_1_4_0 + 0.0023003451574884*G0_1_1_4_1 + 0.00597159454302414*G0_1_1_4_2 - 0.00586841729698979*G0_1_1_4_3 + 0.0380419580419647*G0_1_1_4_4 - 0.00770277341706045*G0_1_1_4_5 + 0.0113182056039218*G0_1_1_4_6 + 0.00248132819561432*G0_1_1_4_7 - 0.00302174016459785*G0_1_1_4_8 + 0.00822035107749531*G0_1_1_4_9 - 0.00577200577200667*G0_1_1_5_0 + 0.00126265269122433*G0_1_1_5_1 + 0.00244919102062003*G0_1_1_5_2 - 0.000715475001189411*G0_1_1_5_3 - 0.00770277341706045*G0_1_1_5_4 + 0.0349517149517209*G0_1_1_5_5 - 0.0187545787545819*G0_1_1_5_6 - 0.00602064602064708*G0_1_1_5_8 + 0.0233366633366673*G0_1_1_5_9 + 0.00500832500832581*G0_1_1_6_0 + 0.000460914746629111*G0_1_1_6_1 + 0.000148000148000139*G0_1_1_6_2 - 0.00361543218686137*G0_1_1_6_3 + 0.0113182056039218*G0_1_1_6_4 - 0.0187545787545819*G0_1_1_6_5 + 0.0187850244993134*G0_1_1_6_6 + 0.00596736596736694*G0_1_1_6_7 - 0.0393384393384459*G0_1_1_7_0 - 0.00820681963539248*G0_1_1_7_1 - 0.00273335130478033*G0_1_1_7_2 - 0.00210836782265386*G0_1_1_7_3 + 0.00248132819561432*G0_1_1_7_4 + 0.00596736596736693*G0_1_1_7_6 - 0.21407925407929*G0_1_1_7_7 + 0.0184881784881815*G0_1_1_7_8 - 0.00063936063936082*G0_1_1_7_9 + 0.0175824175824205*G0_1_1_8_0 + 0.00924366638652518*G0_1_1_8_1 + 0.000263017405874597*G0_1_1_8_2 + 0.00513010798725176*G0_1_1_8_3 - 0.00302174016459784*G0_1_1_8_4 - 0.00602064602064708*G0_1_1_8_5 + 0.0184881784881815*G0_1_1_8_7 + 0.00855525426954175*G0_1_1_8_8 - 0.0114628228913962*G0_1_1_8_9 - 0.00376512376512441*G0_1_1_9_0 + 0.00583543440686398*G0_1_1_9_1 + 0.00239506525220852*G0_1_1_9_2 - 0.0132895675752841*G0_1_1_9_3 + 0.00822035107749531*G0_1_1_9_4 + 0.0233366633366673*G0_1_1_9_5 - 0.000639360639360819*G0_1_1_9_7 - 0.0114628228913962*G0_1_1_9_8 + 0.0465819894391402*G0_1_1_9_9;
    A[143] = A[129] + 0.0885040885041037*G0_0_1_0_0 + 0.00303654017939785*G0_0_1_0_1 + 0.00111141063522034*G0_0_1_0_2 - 0.000324331752903269*G0_0_1_0_3 + 0.000241451670023142*G0_0_1_0_4 + 0.00929440929441085*G0_0_1_0_5 - 0.00560624560624655*G0_0_1_0_6 + 0.0311984311984365*G0_0_1_0_7 - 0.0125444925444947*G0_0_1_0_8 - 0.000497280497280527*G0_0_1_0_9 + 0.00303654017939785*G0_0_1_1_0 - 0.000341668913097614*G0_0_1_1_1 - 0.000282045996331767*G0_0_1_1_2 + 0.000231725946011682*G0_0_1_1_3 - 0.000386068957497599*G0_0_1_1_4 - 0.000468949040377685*G0_0_1_1_5 + 0.000317566031851799*G0_0_1_1_6 + 0.0016216587645162*G0_0_1_1_7 + 0.0018233618233621*G0_0_1_1_8 + 0.00352916924345555*G0_0_1_1_9 + 0.00111141063522034*G0_0_1_2_0 - 0.000282045996331767*G0_0_1_2_1 - 0.00505173838507262*G0_0_1_2_2 + 0.00160474446188762*G0_0_1_2_3 - 0.00431568431568512*G0_0_1_2_4 - 0.000206777349634536*G0_0_1_2_5 - 0.00229104229104266*G0_0_1_2_6 - 0.00138993281850447*G0_0_1_2_7 - 0.000347166061451834*G0_0_1_2_8 - 0.00150452721881319*G0_0_1_2_9 - 0.000324331752903269*G0_0_1_3_0 + 0.000231725946011682*G0_0_1_3_1 + 0.00160474446188762*G0_0_1_3_2 - 0.00114932686361272*G0_0_1_3_3 + 0.00183055040197935*G0_0_1_3_4 + 0.00157176157176182*G0_0_1_3_5 - 0.00171637885923628*G0_0_1_3_6 + 0.000209314495028818*G0_0_1_3_7 - 0.000487131915703413*G0_0_1_3_8 - 0.0110061367204243*G0_0_1_3_9 + 0.000241451670023142*G0_0_1_4_0 - 0.000386068957497599*G0_0_1_4_1 - 0.00431568431568512*G0_0_1_4_2 + 0.00183055040197936*G0_0_1_4_3 - 0.00895866038723356*G0_0_1_4_4 - 0.00148803577375029*G0_0_1_4_5 + 0.00320441463298658*G0_0_1_4_6 + 0.00210456210456245*G0_0_1_4_7 + 0.000277817420674609*G0_0_1_4_8 + 0.00748965320394017*G0_0_1_4_9 + 0.00929440929441085*G0_0_1_5_0 - 0.000468949040377685*G0_0_1_5_1 - 0.000206777349634536*G0_0_1_5_2 + 0.00157176157176182*G0_0_1_5_3 - 0.00148803577375029*G0_0_1_5_4 - 0.0456077256077333*G0_0_1_5_5 + 0.00639741211169889*G0_0_1_5_6 - 0.00404928404928471*G0_0_1_5_7 + 0.000643166357452175*G0_0_1_5_8 + 0.000205508776937357*G0_0_1_5_9 - 0.00560624560624655*G0_0_1_6_0 + 0.000317566031851799*G0_0_1_6_1 - 0.00229104229104266*G0_0_1_6_2 - 0.00171637885923628*G0_0_1_6_3 + 0.00320441463298658*G0_0_1_6_4 + 0.00639741211169889*G0_0_1_6_5 + 0.00223015080157981*G0_0_1_6_6 + 0.00340611769183252*G0_0_1_6_7 + 0.000426240426240499*G0_0_1_6_8 + 0.00794633937491216*G0_0_1_6_9 + 0.0311984311984365*G0_0_1_7_0 + 0.0016216587645162*G0_0_1_7_1 - 0.00138993281850447*G0_0_1_7_2 + 0.000209314495028818*G0_0_1_7_3 + 0.00210456210456245*G0_0_1_7_4 - 0.00404928404928471*G0_0_1_7_5 + 0.00340611769183252*G0_0_1_7_6 - 0.0853546453546595*G0_0_1_7_7 - 0.0149222206365089*G0_0_1_7_8 - 0.00532039389182336*G0_0_1_7_9 - 0.0125444925444947*G0_0_1_8_0 + 0.0018233618233621*G0_0_1_8_1 - 0.000347166061451834*G0_0_1_8_2 - 0.000487131915703414*G0_0_1_8_3 + 0.000277817420674608*G0_0_1_8_4 + 0.000643166357452176*G0_0_1_8_5 + 0.000426240426240499*G0_0_1_8_6 - 0.0149222206365089*G0_0_1_8_7 + 0.00810617953475241*G0_0_1_8_8 - 0.0111431425717159*G0_0_1_8_9 - 0.000497280497280527*G0_0_1_9_0 + 0.00352916924345555*G0_0_1_9_1 - 0.00150452721881319*G0_0_1_9_2 - 0.0110061367204243*G0_0_1_9_3 + 0.00748965320394017*G0_0_1_9_4 + 0.000205508776937357*G0_0_1_9_5 + 0.00794633937491216*G0_0_1_9_6 - 0.00532039389182336*G0_0_1_9_7 - 0.0111431425717159*G0_0_1_9_8 + 0.0287712287712337*G0_0_1_9_9 - 0.0885040885041037*G0_1_0_0_0 - 0.00303654017939785*G0_1_0_0_1 - 0.00111141063522034*G0_1_0_0_2 + 0.000324331752903269*G0_1_0_0_3 - 0.000241451670023142*G0_1_0_0_4 - 0.00929440929441085*G0_1_0_0_5 + 0.00560624560624655*G0_1_0_0_6 - 0.0311984311984365*G0_1_0_0_7 + 0.0125444925444947*G0_1_0_0_8 + 0.000497280497280528*G0_1_0_0_9 - 0.00303654017939785*G0_1_0_1_0 + 0.000341668913097614*G0_1_0_1_1 + 0.000282045996331767*G0_1_0_1_2 - 0.000231725946011682*G0_1_0_1_3 + 0.000386068957497599*G0_1_0_1_4 + 0.000468949040377685*G0_1_0_1_5 - 0.000317566031851798*G0_1_0_1_6 - 0.0016216587645162*G0_1_0_1_7 - 0.0018233618233621*G0_1_0_1_8 - 0.00352916924345555*G0_1_0_1_9 - 0.00111141063522034*G0_1_0_2_0 + 0.000282045996331767*G0_1_0_2_1 + 0.00505173838507262*G0_1_0_2_2 - 0.00160474446188762*G0_1_0_2_3 + 0.00431568431568512*G0_1_0_2_4 + 0.000206777349634536*G0_1_0_2_5 + 0.00229104229104266*G0_1_0_2_6 + 0.00138993281850447*G0_1_0_2_7 + 0.000347166061451834*G0_1_0_2_8 + 0.00150452721881319*G0_1_0_2_9 + 0.000324331752903269*G0_1_0_3_0 - 0.000231725946011682*G0_1_0_3_1 - 0.00160474446188762*G0_1_0_3_2 + 0.00114932686361272*G0_1_0_3_3 - 0.00183055040197935*G0_1_0_3_4 - 0.00157176157176182*G0_1_0_3_5 + 0.00171637885923628*G0_1_0_3_6 - 0.000209314495028818*G0_1_0_3_7 + 0.000487131915703413*G0_1_0_3_8 + 0.0110061367204243*G0_1_0_3_9 - 0.000241451670023142*G0_1_0_4_0 + 0.000386068957497599*G0_1_0_4_1 + 0.00431568431568512*G0_1_0_4_2 - 0.00183055040197935*G0_1_0_4_3 + 0.00895866038723356*G0_1_0_4_4 + 0.00148803577375029*G0_1_0_4_5 - 0.00320441463298658*G0_1_0_4_6 - 0.00210456210456245*G0_1_0_4_7 - 0.000277817420674609*G0_1_0_4_8 - 0.00748965320394017*G0_1_0_4_9 - 0.00929440929441085*G0_1_0_5_0 + 0.000468949040377685*G0_1_0_5_1 + 0.000206777349634536*G0_1_0_5_2 - 0.00157176157176182*G0_1_0_5_3 + 0.00148803577375029*G0_1_0_5_4 + 0.0456077256077333*G0_1_0_5_5 - 0.00639741211169889*G0_1_0_5_6 + 0.00404928404928471*G0_1_0_5_7 - 0.000643166357452175*G0_1_0_5_8 - 0.000205508776937361*G0_1_0_5_9 + 0.00560624560624655*G0_1_0_6_0 - 0.000317566031851798*G0_1_0_6_1 + 0.00229104229104266*G0_1_0_6_2 + 0.00171637885923628*G0_1_0_6_3 - 0.00320441463298658*G0_1_0_6_4 - 0.00639741211169889*G0_1_0_6_5 - 0.00223015080157981*G0_1_0_6_6 - 0.00340611769183252*G0_1_0_6_7 - 0.0004262404262405*G0_1_0_6_8 - 0.00794633937491216*G0_1_0_6_9 - 0.0311984311984365*G0_1_0_7_0 - 0.0016216587645162*G0_1_0_7_1 + 0.00138993281850447*G0_1_0_7_2 - 0.000209314495028818*G0_1_0_7_3 - 0.00210456210456245*G0_1_0_7_4 + 0.00404928404928471*G0_1_0_7_5 - 0.00340611769183252*G0_1_0_7_6 + 0.0853546453546595*G0_1_0_7_7 + 0.0149222206365089*G0_1_0_7_8 + 0.00532039389182335*G0_1_0_7_9 + 0.0125444925444947*G0_1_0_8_0 - 0.0018233618233621*G0_1_0_8_1 + 0.000347166061451834*G0_1_0_8_2 + 0.000487131915703414*G0_1_0_8_3 - 0.000277817420674608*G0_1_0_8_4 - 0.000643166357452175*G0_1_0_8_5 - 0.000426240426240499*G0_1_0_8_6 + 0.0149222206365089*G0_1_0_8_7 - 0.00810617953475241*G0_1_0_8_8 + 0.0111431425717159*G0_1_0_8_9 + 0.000497280497280528*G0_1_0_9_0 - 0.00352916924345555*G0_1_0_9_1 + 0.00150452721881319*G0_1_0_9_2 + 0.0110061367204243*G0_1_0_9_3 - 0.00748965320394017*G0_1_0_9_4 - 0.00020550877693736*G0_1_0_9_5 - 0.00794633937491216*G0_1_0_9_6 + 0.00532039389182336*G0_1_0_9_7 + 0.0111431425717159*G0_1_0_9_8 - 0.0287712287712337*G0_1_0_9_9;
    A[84] = -A[129] + 0.0935558268891762*G0_1_0_0_0 + 0.00349900540376791*G0_1_0_0_1 + 0.00156598251836372*G0_1_0_0_2 - 0.00119922405636715*G0_1_0_0_3 + 0.00110704110704131*G0_1_0_0_4 + 0.0109934509934528*G0_1_0_0_5 - 0.00540538826253201*G0_1_0_0_6 + 0.0361061161061222*G0_1_0_0_7 - 0.0124738753310203*G0_1_0_0_8 - 0.000662194947909273*G0_1_0_0_9 + 0.00349900540376791*G0_1_0_1_0 - 0.0223759309473636*G0_1_0_1_1 + 0.000180419228038297*G0_1_0_1_2 + 0.0026826083968945*G0_1_0_1_3 + 0.00178319035461926*G0_1_0_1_4 - 0.000402560402560464*G0_1_0_1_5 + 0.000383954669669025*G0_1_0_1_6 + 0.00379091807663304*G0_1_0_1_7 + 0.00427424427424491*G0_1_0_1_8 + 0.00931386074243374*G0_1_0_1_9 + 0.00156598251836372*G0_1_0_2_0 + 0.000180419228038297*G0_1_0_2_1 + 0.00167536167536198*G0_1_0_2_3 + 0.000592000592000654*G0_1_0_2_4 - 0.000592000592000721*G0_1_0_2_6 - 0.000524343381486324*G0_1_0_2_7 - 0.00122205836491571*G0_1_0_2_8 - 0.00166944166944196*G0_1_0_2_9 - 0.00119922405636715*G0_1_0_3_0 + 0.0026826083968945*G0_1_0_3_1 + 0.00167536167536198*G0_1_0_3_2 + 0.0304533561676473*G0_1_0_3_3 - 0.018640407211839*G0_1_0_3_4 + 0.00414823271966198*G0_1_0_3_5 - 0.0046429760715483*G0_1_0_3_6 + 0.000106560106560122*G0_1_0_3_7 - 0.000281623138765998*G0_1_0_3_8 - 0.0281547024404214*G0_1_0_3_9 + 0.00110704110704131*G0_1_0_4_0 + 0.00178319035461926*G0_1_0_4_1 + 0.000592000592000654*G0_1_0_4_2 - 0.018640407211839*G0_1_0_4_3 - 0.0340992340992397*G0_1_0_4_4 - 0.00681223538366514*G0_1_0_4_5 + 0.0114552114552134*G0_1_0_4_6 + 0.000871509442938145*G0_1_0_4_7 + 0.000175063032205897*G0_1_0_4_8 + 0.0186327957756561*G0_1_0_4_9 + 0.0109934509934528*G0_1_0_5_0 - 0.000402560402560464*G0_1_0_5_1 + 0.00414823271966199*G0_1_0_5_3 - 0.00681223538366514*G0_1_0_5_4 - 0.0366490652205*G0_1_0_5_5 - 0.00283145426002616*G0_1_0_5_6 + 0.00420151277294206*G0_1_0_5_7 - 0.00228343085485981*G0_1_0_5_8 + 0.00655344655344757*G0_1_0_5_9 - 0.00540538826253201*G0_1_0_6_0 + 0.000383954669669025*G0_1_0_6_1 - 0.000592000592000721*G0_1_0_6_2 - 0.0046429760715483*G0_1_0_6_3 + 0.0114552114552134*G0_1_0_6_4 - 0.00283145426002616*G0_1_0_6_5 + 0.0111888111888131*G0_1_0_6_6 - 0.00191808191808226*G0_1_0_6_7 + 0.00300271157414064*G0_1_0_6_8 + 0.0142942771514225*G0_1_0_6_9 + 0.0361061161061222*G0_1_0_7_0 + 0.00379091807663304*G0_1_0_7_1 - 0.000524343381486324*G0_1_0_7_2 + 0.000106560106560122*G0_1_0_7_3 + 0.000871509442938144*G0_1_0_7_4 + 0.00420151277294206*G0_1_0_7_5 - 0.00191808191808227*G0_1_0_7_6 - 0.110495219066666*G0_1_0_7_7 - 0.0353931782503271*G0_1_0_7_8 + 0.00582274867989246*G0_1_0_7_9 - 0.0124738753310203*G0_1_0_8_0 + 0.00427424427424491*G0_1_0_8_1 - 0.00122205836491571*G0_1_0_8_2 - 0.000281623138766*G0_1_0_8_3 + 0.000175063032205897*G0_1_0_8_4 - 0.00228343085485981*G0_1_0_8_5 + 0.00300271157414064*G0_1_0_8_6 - 0.0353931782503271*G0_1_0_8_7 + 0.0397088625660124*G0_1_0_8_8 - 0.028291708291713*G0_1_0_8_9 - 0.000662194947909272*G0_1_0_9_0 + 0.00931386074243374*G0_1_0_9_1 - 0.00166944166944196*G0_1_0_9_2 - 0.0281547024404214*G0_1_0_9_3 + 0.0186327957756561*G0_1_0_9_4 + 0.00655344655344756*G0_1_0_9_5 + 0.0142942771514225*G0_1_0_9_6 + 0.00582274867989245*G0_1_0_9_7 - 0.028291708291713*G0_1_0_9_8 + 0.0411017553874768*G0_1_0_9_9 - 0.032244298910971*G0_1_1_0_0 - 0.0044542406447176*G0_1_1_0_1 - 0.00149395577967031*G0_1_1_0_2 + 0.000182251610823096*G0_1_1_0_3 + 0.000595806310092107*G0_1_1_0_4 - 0.00976208976209138*G0_1_1_0_5 + 0.00710358424644258*G0_1_1_0_6 - 0.0500536500536585*G0_1_1_0_7 + 0.0234309605738217*G0_1_1_0_8 - 0.00733996162567716*G0_1_1_0_9 - 0.0044542406447176*G0_1_1_1_0 - 0.0248285048285093*G0_1_1_1_1 + 0.00239506525220847*G0_1_1_1_3 + 0.00139796711225308*G0_1_1_1_4 + 0.00198869913155661*G0_1_1_1_5 + 0.000359851788423281*G0_1_1_1_6 - 0.0063149548863845*G0_1_1_1_7 + 0.00570350284636089*G0_1_1_1_8 + 0.0105646734218181*G0_1_1_1_9 - 0.00149395577967032*G0_1_1_2_0 + 0.00284160284160324*G0_1_1_2_2 + 0.00179672179672212*G0_1_1_2_3 + 0.00118400118400136*G0_1_1_2_4 + 0.00358456358456421*G0_1_1_2_5 - 0.00109520109520131*G0_1_1_2_6 - 0.00416134130419913*G0_1_1_2_7 - 0.000426663283806214*G0_1_1_2_8 - 0.000230880230880274*G0_1_1_2_9 + 0.000182251610823096*G0_1_1_3_0 + 0.00239506525220847*G0_1_1_3_1 + 0.00179672179672212*G0_1_1_3_2 + 0.0350963322391957*G0_1_1_3_3 - 0.0176166690452435*G0_1_1_3_4 - 0.00250796822225434*G0_1_1_3_5 - 0.00257647114790017*G0_1_1_3_6 - 0.00204367061509947*G0_1_1_3_7 + 0.00226059654631123*G0_1_1_3_8 - 0.027606679035255*G0_1_1_3_9 + 0.000595806310092106*G0_1_1_4_0 + 0.00139796711225308*G0_1_1_4_1 + 0.00118400118400136*G0_1_1_4_2 - 0.0176166690452435*G0_1_1_4_3 - 0.05114885114886*G0_1_1_4_4 - 0.00328433471290669*G0_1_1_4_5 + 0.00586080586080684*G0_1_1_4_6 + 0.00609676038247568*G0_1_1_4_7 - 0.000216925931211684*G0_1_1_4_8 + 0.00726131011845417*G0_1_1_4_9 - 0.00976208976209138*G0_1_1_5_0 + 0.00198869913155662*G0_1_1_5_1 + 0.00358456358456421*G0_1_1_5_2 - 0.00250796822225434*G0_1_1_5_3 - 0.0032843347129067*G0_1_1_5_4 + 0.0496113410399208*G0_1_1_5_5 - 0.0207982493696815*G0_1_1_5_6 - 0.00352409495266694*G0_1_1_5_7 - 0.00746301317730016*G0_1_1_5_8 + 0.0369459112316317*G0_1_1_5_9 + 0.00710358424644258*G0_1_1_6_0 + 0.000359851788423281*G0_1_1_6_1 - 0.00109520109520131*G0_1_1_6_2 - 0.00257647114790017*G0_1_1_6_3 + 0.00586080586080684*G0_1_1_6_4 - 0.0207982493696815*G0_1_1_6_5 + 0.0202464202464237*G0_1_1_6_6 + 0.0109871081299671*G0_1_1_6_7 + 0.000848675134389564*G0_1_1_6_8 + 0.00584558298844116*G0_1_1_6_9 - 0.0500536500536585*G0_1_1_7_0 - 0.0063149548863845*G0_1_1_7_1 - 0.00416134130419913*G0_1_1_7_2 - 0.00204367061509947*G0_1_1_7_3 + 0.00609676038247568*G0_1_1_7_4 - 0.00352409495266695*G0_1_1_7_5 + 0.0109871081299671*G0_1_1_7_6 - 0.312373340944822*G0_1_1_7_7 + 0.0205622948480126*G0_1_1_7_8 + 0.0234309605738217*G0_1_1_8_0 + 0.00570350284636088*G0_1_1_8_1 - 0.000426663283806214*G0_1_1_8_2 + 0.00226059654631123*G0_1_1_8_3 - 0.000216925931211684*G0_1_1_8_4 - 0.00746301317730016*G0_1_1_8_5 + 0.000848675134389563*G0_1_1_8_6 + 0.0205622948480126*G0_1_1_8_7 + 0.0230398173255356*G0_1_1_8_8 - 0.0312601684030308*G0_1_1_8_9 - 0.00733996162567716*G0_1_1_9_0 + 0.0105646734218181*G0_1_1_9_1 - 0.000230880230880274*G0_1_1_9_2 - 0.027606679035255*G0_1_1_9_3 + 0.00726131011845418*G0_1_1_9_4 + 0.0369459112316317*G0_1_1_9_5 + 0.00584558298844116*G0_1_1_9_6 - 0.0312601684030308*G0_1_1_9_8 + 0.0454859426288075*G0_1_1_9_9;
    A[93] = -A[101] - 0.0322442989109711*G0_0_0_0_0 - 0.00149395577967032*G0_0_0_0_1 - 0.00445424064471759*G0_0_0_0_2 + 0.000595806310092105*G0_0_0_0_3 + 0.000182251610823077*G0_0_0_0_4 - 0.0500536500536586*G0_0_0_0_5 + 0.0234309605738217*G0_0_0_0_6 - 0.00976208976209143*G0_0_0_0_7 + 0.0071035842464426*G0_0_0_0_8 - 0.0073399616256772*G0_0_0_0_9 - 0.00149395577967032*G0_0_0_1_0 + 0.00284160284160329*G0_0_0_1_1 + 0.00118400118400137*G0_0_0_1_3 + 0.00179672179672211*G0_0_0_1_4 - 0.00416134130419911*G0_0_0_1_5 - 0.000426663283806217*G0_0_0_1_6 + 0.0035845635845642*G0_0_0_1_7 - 0.00109520109520131*G0_0_0_1_8 - 0.00023088023088026*G0_0_0_1_9 - 0.00445424064471759*G0_0_0_2_0 - 0.0248285048285089*G0_0_0_2_2 + 0.00139796711225303*G0_0_0_2_3 + 0.00239506525220859*G0_0_0_2_4 - 0.00631495488638459*G0_0_0_2_5 + 0.00570350284636105*G0_0_0_2_6 + 0.00198869913155661*G0_0_0_2_7 + 0.00035985178842328*G0_0_0_2_8 + 0.0105646734218181*G0_0_0_2_9 + 0.000595806310092105*G0_0_0_3_0 + 0.00118400118400138*G0_0_0_3_1 + 0.00139796711225303*G0_0_0_3_2 - 0.0511488511488602*G0_0_0_3_3 - 0.0176166690452435*G0_0_0_3_4 + 0.00609676038247561*G0_0_0_3_5 - 0.000216925931211665*G0_0_0_3_6 - 0.00328433471290666*G0_0_0_3_7 + 0.00586080586080682*G0_0_0_3_8 + 0.00726131011845407*G0_0_0_3_9 + 0.000182251610823077*G0_0_0_4_0 + 0.00179672179672211*G0_0_0_4_1 + 0.00239506525220859*G0_0_0_4_2 - 0.0176166690452435*G0_0_0_4_3 + 0.0350963322391953*G0_0_0_4_4 - 0.00204367061509951*G0_0_0_4_5 + 0.00226059654631121*G0_0_0_4_6 - 0.00250796822225436*G0_0_0_4_7 - 0.00257647114790016*G0_0_0_4_8 - 0.0276066790352552*G0_0_0_4_9 - 0.0500536500536586*G0_0_0_5_0 - 0.00416134130419911*G0_0_0_5_1 - 0.00631495488638459*G0_0_0_5_2 + 0.00609676038247561*G0_0_0_5_3 - 0.00204367061509951*G0_0_0_5_4 - 0.312373340944822*G0_0_0_5_5 + 0.0205622948480126*G0_0_0_5_6 - 0.00352409495266687*G0_0_0_5_7 + 0.010987108129967*G0_0_0_5_8 + 0.0234309605738217*G0_0_0_6_0 - 0.000426663283806217*G0_0_0_6_1 + 0.00570350284636105*G0_0_0_6_2 - 0.000216925931211664*G0_0_0_6_3 + 0.00226059654631121*G0_0_0_6_4 + 0.0205622948480126*G0_0_0_6_5 + 0.0230398173255355*G0_0_0_6_6 - 0.00746301317730014*G0_0_0_6_7 + 0.000848675134389574*G0_0_0_6_8 - 0.0312601684030309*G0_0_0_6_9 - 0.00976208976209143*G0_0_0_7_0 + 0.0035845635845642*G0_0_0_7_1 + 0.00198869913155661*G0_0_0_7_2 - 0.00328433471290666*G0_0_0_7_3 - 0.00250796822225436*G0_0_0_7_4 - 0.00352409495266687*G0_0_0_7_5 - 0.00746301317730014*G0_0_0_7_6 + 0.0496113410399207*G0_0_0_7_7 - 0.0207982493696814*G0_0_0_7_8 + 0.0369459112316318*G0_0_0_7_9 + 0.0071035842464426*G0_0_0_8_0 - 0.00109520109520131*G0_0_0_8_1 + 0.00035985178842328*G0_0_0_8_2 + 0.00586080586080683*G0_0_0_8_3 - 0.00257647114790016*G0_0_0_8_4 + 0.010987108129967*G0_0_0_8_5 + 0.000848675134389574*G0_0_0_8_6 - 0.0207982493696814*G0_0_0_8_7 + 0.0202464202464239*G0_0_0_8_8 + 0.0058455829884411*G0_0_0_8_9 - 0.0073399616256772*G0_0_0_9_0 - 0.00023088023088026*G0_0_0_9_1 + 0.0105646734218181*G0_0_0_9_2 + 0.00726131011845407*G0_0_0_9_3 - 0.0276066790352552*G0_0_0_9_4 - 0.0312601684030309*G0_0_0_9_6 + 0.0369459112316318*G0_0_0_9_7 + 0.0058455829884411*G0_0_0_9_8 + 0.0454859426288075*G0_0_0_9_9 + 0.0935558268891767*G0_1_0_0_0 + 0.00156598251836375*G0_1_0_0_1 + 0.00349900540376792*G0_1_0_0_2 + 0.00110704110704127*G0_1_0_0_3 - 0.00119922405636712*G0_1_0_0_4 + 0.0361061161061224*G0_1_0_0_5 - 0.0124738753310204*G0_1_0_0_6 + 0.010993450993453*G0_1_0_0_7 - 0.00540538826253212*G0_1_0_0_8 - 0.000662194947909306*G0_1_0_0_9 + 0.00156598251836375*G0_1_0_1_0 + 0.000180419228038305*G0_1_0_1_2 + 0.000592000592000652*G0_1_0_1_3 + 0.00167536167536198*G0_1_0_1_4 - 0.000524343381486297*G0_1_0_1_5 - 0.00122205836491572*G0_1_0_1_6 - 0.000592000592000747*G0_1_0_1_8 - 0.00166944166944195*G0_1_0_1_9 + 0.00349900540376792*G0_1_0_2_0 + 0.000180419228038305*G0_1_0_2_1 - 0.0223759309473633*G0_1_0_2_2 + 0.00178319035461922*G0_1_0_2_3 + 0.0026826083968946*G0_1_0_2_4 + 0.00379091807663299*G0_1_0_2_5 + 0.00427424427424501*G0_1_0_2_6 - 0.00040256040256046*G0_1_0_2_7 + 0.000383954669669018*G0_1_0_2_8 + 0.00931386074243375*G0_1_0_2_9 + 0.00110704110704127*G0_1_0_3_0 + 0.000592000592000652*G0_1_0_3_1 + 0.00178319035461922*G0_1_0_3_2 - 0.03409923409924*G0_1_0_3_3 - 0.0186404072118389*G0_1_0_3_4 + 0.000871509442938077*G0_1_0_3_5 + 0.000175063032205943*G0_1_0_3_6 - 0.0068122353836651*G0_1_0_3_7 + 0.0114552114552134*G0_1_0_3_8 + 0.018632795775656*G0_1_0_3_9 - 0.00119922405636712*G0_1_0_4_0 + 0.00167536167536198*G0_1_0_4_1 + 0.0026826083968946*G0_1_0_4_2 - 0.0186404072118389*G0_1_0_4_3 + 0.0304533561676469*G0_1_0_4_4 + 0.000106560106560153*G0_1_0_4_5 - 0.000281623138766078*G0_1_0_4_6 + 0.00414823271966199*G0_1_0_4_7 - 0.00464297607154828*G0_1_0_4_8 - 0.0281547024404216*G0_1_0_4_9 + 0.0361061161061224*G0_1_0_5_0 - 0.000524343381486297*G0_1_0_5_1 + 0.00379091807663299*G0_1_0_5_2 + 0.000871509442938076*G0_1_0_5_3 + 0.000106560106560154*G0_1_0_5_4 - 0.110495219066666*G0_1_0_5_5 - 0.0353931782503271*G0_1_0_5_6 + 0.00420151277294219*G0_1_0_5_7 - 0.00191808191808234*G0_1_0_5_8 + 0.00582274867989271*G0_1_0_5_9 - 0.0124738753310204*G0_1_0_6_0 - 0.00122205836491572*G0_1_0_6_1 + 0.00427424427424501*G0_1_0_6_2 + 0.000175063032205943*G0_1_0_6_3 - 0.000281623138766076*G0_1_0_6_4 - 0.0353931782503271*G0_1_0_6_5 + 0.0397088625660121*G0_1_0_6_6 - 0.00228343085485984*G0_1_0_6_7 + 0.00300271157414068*G0_1_0_6_8 - 0.0282917082917132*G0_1_0_6_9 + 0.010993450993453*G0_1_0_7_0 - 0.00040256040256046*G0_1_0_7_2 - 0.0068122353836651*G0_1_0_7_3 + 0.00414823271966199*G0_1_0_7_4 + 0.00420151277294219*G0_1_0_7_5 - 0.00228343085485984*G0_1_0_7_6 - 0.0366490652204998*G0_1_0_7_7 - 0.00283145426002626*G0_1_0_7_8 + 0.00655344655344773*G0_1_0_7_9 - 0.00540538826253212*G0_1_0_8_0 - 0.000592000592000747*G0_1_0_8_1 + 0.000383954669669017*G0_1_0_8_2 + 0.0114552114552134*G0_1_0_8_3 - 0.00464297607154828*G0_1_0_8_4 - 0.00191808191808234*G0_1_0_8_5 + 0.00300271157414068*G0_1_0_8_6 - 0.00283145426002626*G0_1_0_8_7 + 0.0111888111888132*G0_1_0_8_8 + 0.0142942771514224*G0_1_0_8_9 - 0.000662194947909305*G0_1_0_9_0 - 0.00166944166944195*G0_1_0_9_1 + 0.00931386074243375*G0_1_0_9_2 + 0.018632795775656*G0_1_0_9_3 - 0.0281547024404216*G0_1_0_9_4 + 0.0058227486798927*G0_1_0_9_5 - 0.0282917082917132*G0_1_0_9_6 + 0.00655344655344772*G0_1_0_9_7 + 0.0142942771514224*G0_1_0_9_8 + 0.0411017553874767*G0_1_0_9_9;
    A[177] = -A[57] + 0.0459708193041605*G0_0_0_0_0 + 0.00147718242956362*G0_0_0_0_1 + 0.00411553173458006*G0_0_0_0_2 + 0.000745920745920912*G0_0_0_0_3 + 0.00395033537890748*G0_0_0_0_4 + 0.0641618698761666*G0_0_0_0_5 - 0.0331807874665074*G0_0_0_0_6 + 0.013236287522004*G0_0_0_0_7 - 0.01216307502022*G0_0_0_0_8 - 0.0041710670282105*G0_0_0_0_9 + 0.00147718242956362*G0_0_0_1_0 - 0.0160234826901524*G0_0_0_1_1 - 0.000125447744495396*G0_0_0_1_2 - 0.00612720612720721*G0_0_0_1_3 - 0.00447552447552521*G0_0_0_1_4 + 0.0114932686361277*G0_0_0_1_5 + 0.00102754388468694*G0_0_0_1_6 + 0.00184704184704219*G0_0_0_1_7 + 0.00381840381840438*G0_0_0_1_8 + 0.0306893106893159*G0_0_0_1_9 + 0.00411553173458006*G0_0_0_2_0 - 0.000125447744495396*G0_0_0_2_1 - 0.00722240722240839*G0_0_0_2_2 - 0.00290249433106625*G0_0_0_2_3 - 0.0124776810491118*G0_0_0_2_4 + 0.0185313099598845*G0_0_0_2_5 - 0.0287966002251765*G0_0_0_2_6 + 0.00530517101945761*G0_0_0_2_7 - 0.0132971790114669*G0_0_0_2_8 - 0.0296237096237146*G0_0_0_2_9 + 0.000745920745920912*G0_0_0_3_0 - 0.00612720612720722*G0_0_0_3_1 - 0.00290249433106625*G0_0_0_3_2 + 0.212587412587449*G0_0_0_3_3 + 0.044549735978315*G0_0_0_3_4 - 0.019135150563725*G0_0_0_3_5 - 0.0015298986727561*G0_0_0_3_6 - 0.000685029256458018*G0_0_0_3_7 - 0.0407592407592475*G0_0_0_3_8 - 0.0906978735550314*G0_0_0_3_9 + 0.00395033537890748*G0_0_0_4_0 - 0.00447552447552521*G0_0_0_4_1 - 0.0124776810491118*G0_0_0_4_2 + 0.044549735978315*G0_0_0_4_3 - 0.0289539032396224*G0_0_0_4_4 - 0.0102982731554178*G0_0_0_4_5 + 0.0118281718281739*G0_0_0_4_6 - 0.0146596260882*G0_0_0_4_7 + 0.0414442700157055*G0_0_0_4_8 + 0.109467675181979*G0_0_0_4_9 + 0.0641618698761666*G0_0_0_5_0 + 0.0114932686361277*G0_0_0_5_1 + 0.0185313099598845*G0_0_0_5_2 - 0.019135150563725*G0_0_0_5_3 - 0.0102982731554178*G0_0_0_5_4 + 0.554097331240281*G0_0_0_5_5 - 0.0263279577565336*G0_0_0_5_6 + 0.0472898530041465*G0_0_0_5_7 - 0.0329270729270784*G0_0_0_5_8 + 0.0783673469387885*G0_0_0_5_9 - 0.0331807874665074*G0_0_0_6_0 + 0.00102754388468694*G0_0_0_6_1 - 0.0287966002251765*G0_0_0_6_2 - 0.0015298986727561*G0_0_0_6_3 + 0.0118281718281739*G0_0_0_6_4 - 0.0263279577565336*G0_0_0_6_5 + 0.101841016126748*G0_0_0_6_6 - 0.0143627800770682*G0_0_0_6_7 + 0.0176280861995177*G0_0_0_6_8 + 0.0919309262166561*G0_0_0_6_9 + 0.013236287522004*G0_0_0_7_0 + 0.00184704184704219*G0_0_0_7_1 + 0.00530517101945761*G0_0_0_7_2 - 0.000685029256458018*G0_0_0_7_3 - 0.0146596260882*G0_0_0_7_4 + 0.0472898530041465*G0_0_0_7_5 - 0.0143627800770682*G0_0_0_7_6 - 0.0131525617239926*G0_0_0_7_7 + 0.0189068074782392*G0_0_0_7_8 + 0.041238761238768*G0_0_0_7_9 - 0.01216307502022*G0_0_0_8_0 + 0.00381840381840438*G0_0_0_8_1 - 0.0132971790114669*G0_0_0_8_2 - 0.0407592407592475*G0_0_0_8_3 + 0.0414442700157055*G0_0_0_8_4 - 0.0329270729270784*G0_0_0_8_5 + 0.0176280861995177*G0_0_0_8_6 + 0.0189068074782392*G0_0_0_8_7 - 0.143856143856168*G0_0_0_8_8 - 0.174956472099359*G0_0_0_8_9 - 0.0041710670282105*G0_0_0_9_0 + 0.0306893106893159*G0_0_0_9_1 - 0.0296237096237146*G0_0_0_9_2 - 0.0906978735550314*G0_0_0_9_3 + 0.109467675181979*G0_0_0_9_4 + 0.0783673469387885*G0_0_0_9_5 + 0.0919309262166561*G0_0_0_9_6 + 0.041238761238768*G0_0_0_9_7 - 0.174956472099359*G0_0_0_9_8 + 0.0641187384044636*G0_0_0_9_9 + 0.0120373453706808*G0_0_1_0_0 + 0.000440053773387192*G0_0_1_0_1 - 0.00150650055411986*G0_0_1_0_2 - 0.00302681445538632*G0_0_1_0_3 + 0.00602318316604132*G0_0_1_0_4 + 0.00651285222713904*G0_0_1_0_5 + 0.00152736152736177*G0_0_1_0_6 - 0.0161387818530702*G0_0_1_0_7 - 0.0097071182785485*G0_0_1_0_8 - 0.0166842681128423*G0_0_1_0_9 + 0.000440053773387192*G0_0_1_1_0 - 0.000795254128587599*G0_0_1_1_2 - 0.00390720390720455*G0_0_1_1_3 - 0.00433344433344509*G0_0_1_1_4 - 0.00285936285936334*G0_0_1_1_5 + 0.00321456321456377*G0_0_1_1_6 - 0.0178310578310608*G0_0_1_1_7 + 0.00390720390720457*G0_0_1_1_8 + 0.0221645021645059*G0_0_1_1_9 - 0.00150650055411986*G0_0_1_2_0 - 0.0007952541285876*G0_0_1_2_1 + 0.0015301805777999*G0_0_1_2_2 - 0.00629719486862446*G0_0_1_2_3 - 0.00902970045827349*G0_0_1_2_4 + 0.002197167911454*G0_0_1_2_5 - 0.000900686614972532*G0_0_1_2_6 - 0.00274519131662034*G0_0_1_2_7 - 0.00654329797187045*G0_0_1_2_8 - 0.0311155511155563*G0_0_1_2_9 - 0.00302681445538633*G0_0_1_3_0 - 0.00390720390720455*G0_0_1_3_1 - 0.00629719486862446*G0_0_1_3_2 + 0.164635364635394*G0_0_1_3_3 + 0.0596203796203897*G0_0_1_3_4 + 0.00242043670615137*G0_0_1_3_5 + 0.00317396888825508*G0_0_1_3_6 + 0.0218981018981054*G0_0_1_3_7 - 0.0543456543456632*G0_0_1_3_8 - 0.110289710289729*G0_0_1_3_9 + 0.00602318316604132*G0_0_1_4_0 - 0.00433344433344509*G0_0_1_4_1 - 0.00902970045827349*G0_0_1_4_2 + 0.0596203796203897*G0_0_1_4_3 - 0.0503268160411102*G0_0_1_4_4 - 0.00525189096617756*G0_0_1_4_5 + 0.00207792207792247*G0_0_1_4_6 - 0.0113258170401046*G0_0_1_4_7 + 0.0324475524475577*G0_0_1_4_8 + 0.103850435279024*G0_0_1_4_9 + 0.00651285222713904*G0_0_1_5_0 - 0.00285936285936334*G0_0_1_5_1 + 0.002197167911454*G0_0_1_5_2 + 0.00242043670615137*G0_0_1_5_3 - 0.00525189096617756*G0_0_1_5_4 - 0.00223776223776246*G0_0_1_5_5 - 0.00730697873555133*G0_0_1_5_6 - 0.0424489795918438*G0_0_1_5_7 + 0.0213957471100364*G0_0_1_5_8 + 0.00726131011845419*G0_0_1_5_9 + 0.00152736152736177*G0_0_1_6_0 + 0.00321456321456377*G0_0_1_6_1 - 0.000900686614972532*G0_0_1_6_2 + 0.00317396888825508*G0_0_1_6_3 + 0.00207792207792247*G0_0_1_6_4 - 0.00730697873555133*G0_0_1_6_5 - 0.01237619523334*G0_0_1_6_6 + 0.0210532324818074*G0_0_1_6_7 - 0.00141572713001314*G0_0_1_6_8 + 0.0869987155701589*G0_0_1_6_9 - 0.0161387818530702*G0_0_1_7_0 - 0.0178310578310608*G0_0_1_7_1 - 0.00274519131662034*G0_0_1_7_2 + 0.0218981018981054*G0_0_1_7_3 - 0.0113258170401046*G0_0_1_7_4 - 0.0424489795918438*G0_0_1_7_5 + 0.0210532324818074*G0_0_1_7_6 - 0.222954188668511*G0_0_1_7_7 + 0.127712287712309*G0_0_1_7_8 + 0.00794633937491212*G0_0_1_7_9 - 0.0097071182785485*G0_0_1_8_0 + 0.00390720390720457*G0_0_1_8_1 - 0.00654329797187045*G0_0_1_8_2 - 0.0543456543456632*G0_0_1_8_3 + 0.0324475524475577*G0_0_1_8_4 + 0.0213957471100364*G0_0_1_8_5 - 0.00141572713001315*G0_0_1_8_6 + 0.127712287712309*G0_0_1_8_7 - 0.0559440559440646*G0_0_1_8_8 - 0.131388611388633*G0_0_1_8_9 - 0.0166842681128423*G0_0_1_9_0 + 0.0221645021645059*G0_0_1_9_1 - 0.0311155511155563*G0_0_1_9_2 - 0.110289710289729*G0_0_1_9_3 + 0.103850435279024*G0_0_1_9_4 + 0.00726131011845419*G0_0_1_9_5 + 0.0869987155701589*G0_0_1_9_6 + 0.00794633937491211*G0_0_1_9_7 - 0.131388611388633*G0_0_1_9_8 + 0.0723390894819594*G0_0_1_9_9;
    A[191] = A[177] - 0.0137344137344162*G0_0_1_0_0 - 0.00220449744259309*G0_0_1_0_1 + 0.000153638248876362*G0_0_1_0_2 + 0.00080934938077806*G0_0_1_0_3 - 0.00233417376274558*G0_0_1_0_4 - 0.00824064824064969*G0_0_1_0_5 + 0.00197389911675662*G0_0_1_0_6 + 0.0161260961260988*G0_0_1_0_7 + 0.00545486259772067*G0_0_1_0_8 + 0.0115389372532249*G0_0_1_0_9 - 0.00220449744259309*G0_0_1_1_0 - 0.0288106954773673*G0_0_1_1_1 - 0.0017362531648249*G0_0_1_1_2 - 0.0234432234432275*G0_0_1_1_3 + 0.00991008991009163*G0_0_1_1_4 + 0.00111380682809274*G0_0_1_1_5 - 0.00123812695241289*G0_0_1_1_6 + 0.0231945831945872*G0_0_1_1_7 - 0.0174048174048205*G0_0_1_1_8 - 0.0142790542790567*G0_0_1_1_9 + 0.000153638248876362*G0_0_1_2_0 - 0.00173625316482489*G0_0_1_2_1 + 0.000979901932283038*G0_0_1_2_2 - 0.000527726242012068*G0_0_1_2_3 + 0.000575932004503553*G0_0_1_2_4 - 0.00127872127872151*G0_0_1_2_5 + 0.000616526330812167*G0_0_1_2_6 + 0.00447045018473663*G0_0_1_2_7 + 0.00252192252192291*G0_0_1_2_8 + 0.0146444032158342*G0_0_1_2_9 + 0.000809349380778061*G0_0_1_3_0 - 0.0234432234432275*G0_0_1_3_1 - 0.000527726242012069*G0_0_1_3_2 - 0.0405994005994078*G0_0_1_3_3 + 0.00248893963179728*G0_0_1_3_4 - 0.00223776223776256*G0_0_1_3_6 - 0.00838019123733542*G0_0_1_3_7 + 0.0218981018981053*G0_0_1_3_8 + 0.0595975453118409*G0_0_1_3_9 - 0.00233417376274558*G0_0_1_4_0 + 0.00991008991009163*G0_0_1_4_1 + 0.000575932004503552*G0_0_1_4_2 + 0.00248893963179728*G0_0_1_4_3 + 0.00118738404452688*G0_0_1_4_4 + 0.00105037819323554*G0_0_1_4_5 + 0.00118738404452703*G0_0_1_4_6 - 0.000228343085485987*G0_0_1_4_7 - 0.0135179106607699*G0_0_1_4_8 - 0.0460339660339738*G0_0_1_4_9 - 0.00824064824064969*G0_0_1_5_0 + 0.00111380682809274*G0_0_1_5_1 - 0.00127872127872151*G0_0_1_5_2 + 0.00105037819323554*G0_0_1_5_4 - 0.0268988154702487*G0_0_1_5_5 + 0.00358498644212995*G0_0_1_5_6 + 0.0286570572284905*G0_0_1_5_7 - 0.00929356357927937*G0_0_1_5_8 - 0.0160296846011158*G0_0_1_5_9 + 0.00197389911675662*G0_0_1_6_0 - 0.00123812695241289*G0_0_1_6_1 + 0.000616526330812167*G0_0_1_6_2 - 0.00223776223776256*G0_0_1_6_3 + 0.00118738404452703*G0_0_1_6_4 + 0.00358498644212995*G0_0_1_6_5 + 0.00447552447552508*G0_0_1_6_6 - 0.0193634936492111*G0_0_1_6_7 + 0.00105037819323555*G0_0_1_6_8 - 0.0394576851719776*G0_0_1_6_9 + 0.0161260961260988*G0_0_1_7_0 + 0.0231945831945872*G0_0_1_7_1 + 0.00447045018473663*G0_0_1_7_2 - 0.00838019123733542*G0_0_1_7_3 - 0.000228343085485989*G0_0_1_7_4 + 0.0286570572284905*G0_0_1_7_5 - 0.0193634936492111*G0_0_1_7_6 + 0.192721564150168*G0_0_1_7_7 - 0.100470957613831*G0_0_1_7_8 + 0.00411017553874765*G0_0_1_7_9 + 0.00545486259772067*G0_0_1_8_0 - 0.0174048174048205*G0_0_1_8_1 + 0.00252192252192291*G0_0_1_8_2 + 0.0218981018981053*G0_0_1_8_3 - 0.0135179106607699*G0_0_1_8_4 - 0.00929356357927937*G0_0_1_8_5 + 0.00105037819323555*G0_0_1_8_6 - 0.100470957613831*G0_0_1_8_7 + 0.0255744255744292*G0_0_1_8_8 + 0.06987298415871*G0_0_1_8_9 + 0.0115389372532249*G0_0_1_9_0 - 0.0142790542790567*G0_0_1_9_1 + 0.0146444032158342*G0_0_1_9_2 + 0.0595975453118409*G0_0_1_9_3 - 0.0460339660339738*G0_0_1_9_4 - 0.0160296846011158*G0_0_1_9_5 - 0.0394576851719776*G0_0_1_9_6 + 0.00411017553874767*G0_0_1_9_7 + 0.06987298415871*G0_0_1_9_8 - 0.032881404309982*G0_0_1_9_9 + 0.0137344137344162*G0_1_0_0_0 + 0.00220449744259309*G0_1_0_0_1 - 0.000153638248876362*G0_1_0_0_2 - 0.00080934938077806*G0_1_0_0_3 + 0.00233417376274558*G0_1_0_0_4 + 0.00824064824064969*G0_1_0_0_5 - 0.00197389911675662*G0_1_0_0_6 - 0.0161260961260988*G0_1_0_0_7 - 0.00545486259772067*G0_1_0_0_8 - 0.0115389372532249*G0_1_0_0_9 + 0.00220449744259309*G0_1_0_1_0 + 0.0288106954773673*G0_1_0_1_1 + 0.0017362531648249*G0_1_0_1_2 + 0.0234432234432275*G0_1_0_1_3 - 0.00991008991009163*G0_1_0_1_4 - 0.00111380682809274*G0_1_0_1_5 + 0.00123812695241289*G0_1_0_1_6 - 0.0231945831945872*G0_1_0_1_7 + 0.0174048174048205*G0_1_0_1_8 + 0.0142790542790567*G0_1_0_1_9 - 0.000153638248876362*G0_1_0_2_0 + 0.00173625316482489*G0_1_0_2_1 - 0.000979901932283037*G0_1_0_2_2 + 0.000527726242012068*G0_1_0_2_3 - 0.000575932004503553*G0_1_0_2_4 + 0.00127872127872151*G0_1_0_2_5 - 0.000616526330812167*G0_1_0_2_6 - 0.00447045018473663*G0_1_0_2_7 - 0.00252192252192291*G0_1_0_2_8 - 0.0146444032158342*G0_1_0_2_9 - 0.000809349380778061*G0_1_0_3_0 + 0.0234432234432275*G0_1_0_3_1 + 0.000527726242012069*G0_1_0_3_2 + 0.0405994005994078*G0_1_0_3_3 - 0.00248893963179728*G0_1_0_3_4 + 0.00223776223776256*G0_1_0_3_6 + 0.00838019123733542*G0_1_0_3_7 - 0.0218981018981053*G0_1_0_3_8 - 0.0595975453118409*G0_1_0_3_9 + 0.00233417376274558*G0_1_0_4_0 - 0.00991008991009163*G0_1_0_4_1 - 0.000575932004503552*G0_1_0_4_2 - 0.00248893963179728*G0_1_0_4_3 - 0.00118738404452689*G0_1_0_4_4 - 0.00105037819323554*G0_1_0_4_5 - 0.00118738404452703*G0_1_0_4_6 + 0.000228343085485987*G0_1_0_4_7 + 0.0135179106607699*G0_1_0_4_8 + 0.0460339660339738*G0_1_0_4_9 + 0.00824064824064969*G0_1_0_5_0 - 0.00111380682809274*G0_1_0_5_1 + 0.0012787212787215*G0_1_0_5_2 - 0.00105037819323554*G0_1_0_5_4 + 0.0268988154702487*G0_1_0_5_5 - 0.00358498644212996*G0_1_0_5_6 - 0.0286570572284905*G0_1_0_5_7 + 0.00929356357927938*G0_1_0_5_8 + 0.0160296846011158*G0_1_0_5_9 - 0.00197389911675662*G0_1_0_6_0 + 0.00123812695241289*G0_1_0_6_1 - 0.000616526330812167*G0_1_0_6_2 + 0.00223776223776256*G0_1_0_6_3 - 0.00118738404452703*G0_1_0_6_4 - 0.00358498644212995*G0_1_0_6_5 - 0.00447552447552507*G0_1_0_6_6 + 0.0193634936492111*G0_1_0_6_7 - 0.00105037819323555*G0_1_0_6_8 + 0.0394576851719776*G0_1_0_6_9 - 0.0161260961260988*G0_1_0_7_0 - 0.0231945831945872*G0_1_0_7_1 - 0.00447045018473663*G0_1_0_7_2 + 0.00838019123733542*G0_1_0_7_3 + 0.000228343085485987*G0_1_0_7_4 - 0.0286570572284905*G0_1_0_7_5 + 0.0193634936492111*G0_1_0_7_6 - 0.192721564150168*G0_1_0_7_7 + 0.100470957613831*G0_1_0_7_8 - 0.00411017553874766*G0_1_0_7_9 - 0.00545486259772067*G0_1_0_8_0 + 0.0174048174048205*G0_1_0_8_1 - 0.00252192252192291*G0_1_0_8_2 - 0.0218981018981053*G0_1_0_8_3 + 0.0135179106607699*G0_1_0_8_4 + 0.00929356357927937*G0_1_0_8_5 - 0.00105037819323555*G0_1_0_8_6 + 0.100470957613831*G0_1_0_8_7 - 0.0255744255744292*G0_1_0_8_8 - 0.06987298415871*G0_1_0_8_9 - 0.0115389372532249*G0_1_0_9_0 + 0.0142790542790567*G0_1_0_9_1 - 0.0146444032158342*G0_1_0_9_2 - 0.0595975453118409*G0_1_0_9_3 + 0.0460339660339738*G0_1_0_9_4 + 0.0160296846011158*G0_1_0_9_5 + 0.0394576851719776*G0_1_0_9_6 - 0.00411017553874767*G0_1_0_9_7 - 0.06987298415871*G0_1_0_9_8 + 0.0328814043099819*G0_1_0_9_9;
    A[132] = A[191] - 0.0429555629555703*G0_0_0_0_0 - 0.00285767142910051*G0_0_0_0_2 + 0.0059267716410584*G0_0_0_0_3 - 0.00199673342530525*G0_0_0_0_4 - 0.0670948099519643*G0_0_0_0_5 + 0.0366414537843171*G0_0_0_0_6 - 0.0152406323834921*G0_0_0_0_7 + 0.010326181754755*G0_0_0_0_8 + 0.00368393511250709*G0_0_0_0_9 + 0.0335444449730224*G0_0_0_1_1 + 0.00124573838859573*G0_0_0_1_2 + 0.0422358593787239*G0_0_0_1_3 - 0.0198201798201833*G0_0_0_1_4 - 0.0105748220033952*G0_0_0_1_5 + 0.00567559424702374*G0_0_0_1_6 - 0.0071648985934713*G0_0_0_1_7 + 0.00460999318142267*G0_0_0_1_8 - 0.0112649255506417*G0_0_0_1_9 - 0.00285767142910051*G0_0_0_2_0 + 0.00124573838859573*G0_0_0_2_1 + 0.001112961112961*G0_0_0_2_2 + 0.0208654837226302*G0_0_0_2_3 - 0.0312119626405396*G0_0_0_2_4 - 0.0235853035853075*G0_0_0_2_5 + 0.0371082885368661*G0_0_0_2_6 - 0.00393003821575315*G0_0_0_2_7 + 0.0112014969157845*G0_0_0_2_8 + 0.0171409542838143*G0_0_0_2_9 + 0.0059267716410584*G0_0_0_3_0 + 0.0422358593787239*G0_0_0_3_1 + 0.0208654837226302*G0_0_0_3_2 + 0.188931068931101*G0_0_0_3_3 - 0.0303467960610867*G0_0_0_3_4 + 0.00936206650492508*G0_0_0_3_5 - 0.021806764663911*G0_0_0_3_6 - 0.022560296846015*G0_0_0_3_7 + 0.0609447695162084*G0_0_0_3_8 + 0.0789153703439551*G0_0_0_3_9 - 0.00199673342530525*G0_0_0_4_0 - 0.0198201798201833*G0_0_0_4_1 - 0.0312119626405396*G0_0_0_4_2 - 0.0303467960610867*G0_0_0_4_3 - 0.134539745968341*G0_0_0_4_4 + 0.00121021835307588*G0_0_0_4_5 + 0.0205965463108352*G0_0_0_4_6 + 0.0112801484230075*G0_0_0_4_7 - 0.0383844726701934*G0_0_0_4_8 - 0.0538432995575945*G0_0_0_4_9 - 0.0670948099519643*G0_0_0_5_0 - 0.0105748220033952*G0_0_0_5_1 - 0.0235853035853075*G0_0_0_5_2 + 0.00936206650492508*G0_0_0_5_3 + 0.00121021835307588*G0_0_0_5_4 - 0.372153560725052*G0_0_0_5_5 + 0.00838019123733565*G0_0_0_5_6 - 0.0339546168117653*G0_0_0_5_7 + 0.0269444840873457*G0_0_0_5_8 - 0.0649407735122128*G0_0_0_5_9 + 0.0366414537843171*G0_0_0_6_0 + 0.00567559424702374*G0_0_0_6_1 + 0.0371082885368661*G0_0_0_6_2 - 0.021806764663911*G0_0_0_6_3 + 0.0205965463108352*G0_0_0_6_4 + 0.00838019123733565*G0_0_0_6_5 + 0.0313286713286762*G0_0_0_6_6 + 0.00701013272441961*G0_0_0_6_7 - 0.0229256457827925*G0_0_0_6_8 - 0.00780933352362073*G0_0_0_6_9 - 0.0152406323834921*G0_0_0_7_0 - 0.0071648985934713*G0_0_0_7_1 - 0.00393003821575315*G0_0_0_7_2 - 0.022560296846015*G0_0_0_7_3 + 0.0112801484230075*G0_0_0_7_4 - 0.0339546168117653*G0_0_0_7_5 + 0.00701013272441961*G0_0_0_7_6 + 0.0129698872556038*G0_0_0_7_7 - 0.00922506065363367*G0_0_0_7_8 - 0.0250720707863606*G0_0_0_7_9 + 0.010326181754755*G0_0_0_8_0 + 0.00460999318142267*G0_0_0_8_1 + 0.0112014969157845*G0_0_0_8_2 + 0.0609447695162084*G0_0_0_8_3 - 0.0383844726701934*G0_0_0_8_4 + 0.0269444840873457*G0_0_0_8_5 - 0.0229256457827925*G0_0_0_8_6 - 0.00922506065363367*G0_0_0_8_7 + 0.109147994862299*G0_0_0_8_8 + 0.110563721992312*G0_0_0_8_9 + 0.00368393511250709*G0_0_0_9_0 - 0.0112649255506417*G0_0_0_9_1 + 0.0171409542838143*G0_0_0_9_2 + 0.0789153703439551*G0_0_0_9_3 - 0.0538432995575946*G0_0_0_9_4 - 0.0649407735122128*G0_0_0_9_5 - 0.00780933352362073*G0_0_0_9_6 - 0.0250720707863606*G0_0_0_9_7 + 0.110563721992312*G0_0_0_9_8 + 0.0246610532324859*G0_0_0_9_9 + 0.0015727482394152*G0_0_1_0_1 - 0.00157274823941518*G0_0_1_0_2 + 0.00576946862661252*G0_0_1_0_3 - 0.00576946862661253*G0_0_1_0_4 + 0.00103261817547555*G0_0_1_0_5 + 0.000263863121006*G0_0_1_0_6 - 0.00103261817547547*G0_0_1_0_7 - 0.000263863121006023*G0_0_1_0_8 + 0.0015727482394152*G0_0_1_1_0 + 0.0375486242152976*G0_0_1_1_1 + 0.0550712779284303*G0_0_1_1_3 - 0.0304203732775214*G0_0_1_1_4 + 0.000411017553874766*G0_0_1_1_5 - 0.000357737500594722*G0_0_1_1_6 - 0.00779918494204349*G0_0_1_1_7 + 0.01326927041213*G0_0_1_1_8 + 0.00468864468864552*G0_0_1_1_9 - 0.00157274823941518*G0_0_1_2_0 - 0.0375486242152974*G0_0_1_2_2 + 0.0304203732775214*G0_0_1_2_3 - 0.0550712779284304*G0_0_1_2_4 + 0.00779918494204344*G0_0_1_2_5 - 0.0132692704121298*G0_0_1_2_6 - 0.000411017553874762*G0_0_1_2_7 + 0.000357737500594725*G0_0_1_2_8 - 0.00468864468864547*G0_0_1_2_9 + 0.00576946862661252*G0_0_1_3_0 + 0.0550712779284303*G0_0_1_3_1 + 0.0304203732775214*G0_0_1_3_2 + 0.195918367346972*G0_0_1_3_3 - 0.00927072927073085*G0_0_1_3_5 + 0.00107321250178416*G0_0_1_3_6 - 0.0173084058798375*G0_0_1_3_7 + 0.0183816183816217*G0_0_1_3_8 + 0.0205508776937385*G0_0_1_3_9 - 0.00576946862661253*G0_0_1_4_0 - 0.0304203732775214*G0_0_1_4_1 - 0.0550712779284303*G0_0_1_4_2 - 0.195918367346973*G0_0_1_4_4 + 0.0173084058798375*G0_0_1_4_5 - 0.0183816183816216*G0_0_1_4_6 + 0.00927072927073088*G0_0_1_4_7 - 0.0010732125017842*G0_0_1_4_8 - 0.0205508776937384*G0_0_1_4_9 + 0.00103261817547555*G0_0_1_5_0 + 0.000411017553874766*G0_0_1_5_1 + 0.00779918494204344*G0_0_1_5_2 - 0.00927072927073085*G0_0_1_5_3 + 0.0173084058798375*G0_0_1_5_4 + 0.0201855287569608*G0_0_1_5_5 - 0.00591408591408697*G0_0_1_5_6 - 0.00123305266162431*G0_0_1_5_8 + 0.00246610532324861*G0_0_1_5_9 + 0.000263863121006*G0_0_1_6_0 - 0.000357737500594721*G0_0_1_6_1 - 0.0132692704121298*G0_0_1_6_2 + 0.00107321250178416*G0_0_1_6_3 - 0.0183816183816216*G0_0_1_6_4 - 0.00591408591408697*G0_0_1_6_5 + 0.0312830027115794*G0_0_1_6_6 + 0.00123305266162427*G0_0_1_6_7 + 0.0119195090623681*G0_0_1_6_9 - 0.00103261817547547*G0_0_1_7_0 - 0.00779918494204349*G0_0_1_7_1 - 0.000411017553874762*G0_0_1_7_2 - 0.0173084058798375*G0_0_1_7_3 + 0.00927072927073088*G0_0_1_7_4 + 0.00123305266162427*G0_0_1_7_6 - 0.0201855287569604*G0_0_1_7_7 + 0.00591408591408682*G0_0_1_7_8 - 0.00246610532324858*G0_0_1_7_9 - 0.000263863121006022*G0_0_1_8_0 + 0.01326927041213*G0_0_1_8_1 + 0.000357737500594725*G0_0_1_8_2 + 0.0183816183816217*G0_0_1_8_3 - 0.0010732125017842*G0_0_1_8_4 - 0.00123305266162431*G0_0_1_8_5 + 0.00591408591408682*G0_0_1_8_7 - 0.0312830027115792*G0_0_1_8_8 - 0.0119195090623681*G0_0_1_8_9 + 0.00468864468864552*G0_0_1_9_1 - 0.00468864468864547*G0_0_1_9_2 + 0.0205508776937385*G0_0_1_9_3 - 0.0205508776937384*G0_0_1_9_4 + 0.00246610532324861*G0_0_1_9_5 + 0.0119195090623681*G0_0_1_9_6 - 0.00246610532324858*G0_0_1_9_7 - 0.0119195090623681*G0_0_1_9_8 - 0.000785387452054258*G0_1_0_0_1 + 0.00078538745205423*G0_1_0_0_2 + 0.00891299177013615*G0_1_0_0_3 - 0.00891299177013618*G0_1_0_0_4 - 0.023334126191273*G0_1_0_0_5 - 0.00321710035995804*G0_1_0_0_6 + 0.0233341261912729*G0_1_0_0_7 + 0.00321710035995809*G0_1_0_0_8 - 0.000785387452054257*G0_1_0_1_0 + 0.00775802680564729*G0_1_0_1_1 + 0.0310521224806993*G0_1_0_1_3 - 0.0199825571254177*G0_1_0_1_4 - 0.00294562580276914*G0_1_0_1_5 - 0.00411778697493054*G0_1_0_1_6 + 0.0166741195312652*G0_1_0_1_7 - 0.00475207332350262*G0_1_0_1_8 - 0.0242348128062454*G0_1_0_1_9 + 0.00078538745205423*G0_1_0_2_0 - 0.00775802680564743*G0_1_0_2_2 + 0.0199825571254177*G0_1_0_2_3 - 0.0310521224806994*G0_1_0_2_4 - 0.0166741195312652*G0_1_0_2_5 + 0.00475207332350259*G0_1_0_2_6 + 0.00294562580276913*G0_1_0_2_7 + 0.00411778697493051*G0_1_0_2_8 + 0.0242348128062454*G0_1_0_2_9 + 0.00891299177013615*G0_1_0_3_0 + 0.0310521224806993*G0_1_0_3_1 + 0.0199825571254177*G0_1_0_3_2 + 0.154131582703037*G0_1_0_3_3 - 0.00895104895105048*G0_1_0_3_5 + 0.0123533609247916*G0_1_0_3_6 - 0.0267389753104084*G0_1_0_3_7 + 0.0390923362351999*G0_1_0_3_8 + 0.126182389039553*G0_1_0_3_9 - 0.00891299177013618*G0_1_0_4_0 - 0.0199825571254177*G0_1_0_4_1 - 0.0310521224806994*G0_1_0_4_2 - 0.154131582703038*G0_1_0_4_4 + 0.0267389753104085*G0_1_0_4_5 - 0.0390923362352001*G0_1_0_4_6 + 0.00895104895105051*G0_1_0_4_7 - 0.0123533609247915*G0_1_0_4_8 - 0.126182389039553*G0_1_0_4_9 - 0.023334126191273*G0_1_0_5_0 - 0.00294562580276914*G0_1_0_5_1 - 0.0166741195312652*G0_1_0_5_2 - 0.00895104895105048*G0_1_0_5_3 + 0.0267389753104085*G0_1_0_5_4 - 0.199434850863456*G0_1_0_5_5 + 0.0981418581418748*G0_1_0_5_6 + 0.00883687740830753*G0_1_0_5_8 - 0.017673754816615*G0_1_0_5_9 - 0.00321710035995804*G0_1_0_6_0 - 0.00411778697493054*G0_1_0_6_1 + 0.00475207332350259*G0_1_0_6_2 + 0.0123533609247916*G0_1_0_6_3 - 0.0390923362352001*G0_1_0_6_4 + 0.0981418581418748*G0_1_0_6_5 + 0.010184101612675*G0_1_0_6_6 - 0.00883687740830738*G0_1_0_6_7 - 0.0974111602683195*G0_1_0_6_9 + 0.0233341261912729*G0_1_0_7_0 + 0.0166741195312652*G0_1_0_7_1 + 0.00294562580276913*G0_1_0_7_2 - 0.0267389753104084*G0_1_0_7_3 + 0.00895104895105051*G0_1_0_7_4 - 0.00883687740830738*G0_1_0_7_6 + 0.199434850863455*G0_1_0_7_7 - 0.0981418581418746*G0_1_0_7_8 + 0.0176737548166149*G0_1_0_7_9 + 0.00321710035995809*G0_1_0_8_0 - 0.00475207332350262*G0_1_0_8_1 + 0.00411778697493052*G0_1_0_8_2 + 0.0390923362351999*G0_1_0_8_3 - 0.0123533609247915*G0_1_0_8_4 + 0.00883687740830752*G0_1_0_8_5 - 0.0981418581418746*G0_1_0_8_7 - 0.0101841016126753*G0_1_0_8_8 + 0.0974111602683194*G0_1_0_8_9 - 0.0242348128062454*G0_1_0_9_1 + 0.0242348128062454*G0_1_0_9_2 + 0.126182389039553*G0_1_0_9_3 - 0.126182389039553*G0_1_0_9_4 - 0.017673754816615*G0_1_0_9_5 - 0.0974111602683195*G0_1_0_9_6 + 0.0176737548166149*G0_1_0_9_7 + 0.0974111602683194*G0_1_0_9_8 + 0.0429555629555703*G0_1_1_0_0 + 0.0028576714291005*G0_1_1_0_1 + 0.00199673342530523*G0_1_1_0_3 - 0.00592677164105842*G0_1_1_0_4 + 0.0152406323834921*G0_1_1_0_5 - 0.010326181754755*G0_1_1_0_6 + 0.0670948099519642*G0_1_1_0_7 - 0.0366414537843171*G0_1_1_0_8 - 0.00368393511250713*G0_1_1_0_9 + 0.0028576714291005*G0_1_1_1_0 - 0.00111296111296114*G0_1_1_1_1 - 0.00124573838859575*G0_1_1_1_2 + 0.0312119626405395*G0_1_1_1_3 - 0.0208654837226302*G0_1_1_1_4 + 0.00393003821575318*G0_1_1_1_5 - 0.0112014969157846*G0_1_1_1_6 + 0.0235853035853075*G0_1_1_1_7 - 0.0371082885368661*G0_1_1_1_8 - 0.0171409542838143*G0_1_1_1_9 - 0.00124573838859575*G0_1_1_2_1 - 0.0335444449730223*G0_1_1_2_2 + 0.0198201798201833*G0_1_1_2_3 - 0.0422358593787239*G0_1_1_2_4 + 0.00716489859347125*G0_1_1_2_5 - 0.0046099931814226*G0_1_1_2_6 + 0.0105748220033952*G0_1_1_2_7 - 0.00567559424702373*G0_1_1_2_8 + 0.0112649255506417*G0_1_1_2_9 + 0.00199673342530523*G0_1_1_3_0 + 0.0312119626405395*G0_1_1_3_1 + 0.0198201798201833*G0_1_1_3_2 + 0.13453974596834*G0_1_1_3_3 + 0.0303467960610869*G0_1_1_3_4 - 0.0112801484230075*G0_1_1_3_5 + 0.0383844726701934*G0_1_1_3_6 - 0.00121021835307593*G0_1_1_3_7 - 0.0205965463108352*G0_1_1_3_8 + 0.0538432995575944*G0_1_1_3_9 - 0.00592677164105842*G0_1_1_4_0 - 0.0208654837226302*G0_1_1_4_1 - 0.0422358593787239*G0_1_1_4_2 + 0.0303467960610869*G0_1_1_4_3 - 0.188931068931102*G0_1_1_4_4 + 0.022560296846015*G0_1_1_4_5 - 0.0609447695162085*G0_1_1_4_6 - 0.00936206650492514*G0_1_1_4_7 + 0.021806764663911*G0_1_1_4_8 - 0.0789153703439551*G0_1_1_4_9 + 0.0152406323834921*G0_1_1_5_0 + 0.00393003821575318*G0_1_1_5_1 + 0.00716489859347125*G0_1_1_5_2 - 0.0112801484230075*G0_1_1_5_3 + 0.022560296846015*G0_1_1_5_4 - 0.0129698872556037*G0_1_1_5_5 + 0.00922506065363372*G0_1_1_5_6 + 0.0339546168117654*G0_1_1_5_7 - 0.00701013272441963*G0_1_1_5_8 + 0.0250720707863608*G0_1_1_5_9 - 0.010326181754755*G0_1_1_6_0 - 0.0112014969157846*G0_1_1_6_1 - 0.0046099931814226*G0_1_1_6_2 + 0.0383844726701934*G0_1_1_6_3 - 0.0609447695162085*G0_1_1_6_4 + 0.00922506065363372*G0_1_1_6_5 - 0.109147994862299*G0_1_1_6_6 - 0.0269444840873457*G0_1_1_6_7 + 0.0229256457827925*G0_1_1_6_8 - 0.110563721992312*G0_1_1_6_9 + 0.0670948099519642*G0_1_1_7_0 + 0.0235853035853075*G0_1_1_7_1 + 0.0105748220033952*G0_1_1_7_2 - 0.00121021835307593*G0_1_1_7_3 - 0.00936206650492514*G0_1_1_7_4 + 0.0339546168117654*G0_1_1_7_5 - 0.0269444840873457*G0_1_1_7_6 + 0.372153560725053*G0_1_1_7_7 - 0.00838019123733576*G0_1_1_7_8 + 0.0649407735122131*G0_1_1_7_9 - 0.0366414537843171*G0_1_1_8_0 - 0.0371082885368661*G0_1_1_8_1 - 0.00567559424702373*G0_1_1_8_2 - 0.0205965463108352*G0_1_1_8_3 + 0.021806764663911*G0_1_1_8_4 - 0.00701013272441963*G0_1_1_8_5 + 0.0229256457827925*G0_1_1_8_6 - 0.00838019123733576*G0_1_1_8_7 - 0.0313286713286762*G0_1_1_8_8 + 0.00780933352362061*G0_1_1_8_9 - 0.00368393511250713*G0_1_1_9_0 - 0.0171409542838143*G0_1_1_9_1 + 0.0112649255506417*G0_1_1_9_2 + 0.0538432995575945*G0_1_1_9_3 - 0.0789153703439551*G0_1_1_9_4 + 0.0250720707863607*G0_1_1_9_5 - 0.110563721992312*G0_1_1_9_6 + 0.0649407735122131*G0_1_1_9_7 + 0.00780933352362062*G0_1_1_9_8 - 0.0246610532324855*G0_1_1_9_9;
    A[188] = A[132] + 0.013734413734416*G0_0_1_0_0 - 0.000153638248876372*G0_0_1_0_1 + 0.00220449744259305*G0_0_1_0_2 + 0.00233417376274557*G0_0_1_0_3 - 0.000809349380778075*G0_0_1_0_4 - 0.0161260961260989*G0_0_1_0_5 - 0.00545486259772066*G0_0_1_0_6 + 0.00824064824064958*G0_0_1_0_7 - 0.00197389911675656*G0_0_1_0_8 - 0.0115389372532249*G0_0_1_0_9 - 0.000153638248876372*G0_0_1_1_0 - 0.000979901932283021*G0_0_1_1_1 + 0.00173625316482489*G0_0_1_1_2 - 0.000575932004503523*G0_0_1_1_3 + 0.000527726242012055*G0_0_1_1_4 - 0.00447045018473664*G0_0_1_1_5 - 0.00252192252192293*G0_0_1_1_6 + 0.00127872127872148*G0_0_1_1_7 - 0.000616526330812113*G0_0_1_1_8 - 0.0146444032158342*G0_0_1_1_9 + 0.00220449744259305*G0_0_1_2_0 + 0.00173625316482489*G0_0_1_2_1 + 0.0288106954773669*G0_0_1_2_2 - 0.00991008991009158*G0_0_1_2_3 + 0.0234432234432274*G0_0_1_2_4 - 0.0231945831945871*G0_0_1_2_5 + 0.0174048174048203*G0_0_1_2_6 - 0.00111380682809275*G0_0_1_2_7 + 0.00123812695241288*G0_0_1_2_8 + 0.0142790542790566*G0_0_1_2_9 + 0.00233417376274557*G0_0_1_3_0 - 0.000575932004503522*G0_0_1_3_1 - 0.00991008991009158*G0_0_1_3_2 - 0.00118738404452723*G0_0_1_3_3 - 0.00248893963179725*G0_0_1_3_4 + 0.000228343085485967*G0_0_1_3_5 + 0.01351791066077*G0_0_1_3_6 - 0.00105037819323551*G0_0_1_3_7 - 0.0011873840445271*G0_0_1_3_8 + 0.0460339660339737*G0_0_1_3_9 - 0.000809349380778076*G0_0_1_4_0 + 0.000527726242012057*G0_0_1_4_1 + 0.0234432234432274*G0_0_1_4_2 - 0.00248893963179725*G0_0_1_4_3 + 0.0405994005994076*G0_0_1_4_4 + 0.0083801912373355*G0_0_1_4_5 - 0.0218981018981055*G0_0_1_4_6 + 0.0022377622377626*G0_0_1_4_8 - 0.059597545311841*G0_0_1_4_9 - 0.0161260961260989*G0_0_1_5_0 - 0.00447045018473664*G0_0_1_5_1 - 0.0231945831945871*G0_0_1_5_2 + 0.000228343085485969*G0_0_1_5_3 + 0.0083801912373355*G0_0_1_5_4 - 0.192721564150168*G0_0_1_5_5 + 0.100470957613832*G0_0_1_5_6 - 0.0286570572284907*G0_0_1_5_7 + 0.0193634936492112*G0_0_1_5_8 - 0.00411017553874775*G0_0_1_5_9 - 0.00545486259772066*G0_0_1_6_0 - 0.00252192252192293*G0_0_1_6_1 + 0.0174048174048203*G0_0_1_6_2 + 0.01351791066077*G0_0_1_6_3 - 0.0218981018981055*G0_0_1_6_4 + 0.100470957613832*G0_0_1_6_5 - 0.0255744255744295*G0_0_1_6_6 + 0.00929356357927947*G0_0_1_6_7 - 0.00105037819323555*G0_0_1_6_8 - 0.06987298415871*G0_0_1_6_9 + 0.00824064824064958*G0_0_1_7_0 + 0.00127872127872148*G0_0_1_7_1 - 0.00111380682809275*G0_0_1_7_2 - 0.00105037819323551*G0_0_1_7_3 - 0.0286570572284907*G0_0_1_7_5 + 0.00929356357927947*G0_0_1_7_6 + 0.0268988154702482*G0_0_1_7_7 - 0.00358498644212991*G0_0_1_7_8 + 0.0160296846011158*G0_0_1_7_9 - 0.00197389911675656*G0_0_1_8_0 - 0.000616526330812113*G0_0_1_8_1 + 0.00123812695241288*G0_0_1_8_2 - 0.0011873840445271*G0_0_1_8_3 + 0.0022377622377626*G0_0_1_8_4 + 0.0193634936492112*G0_0_1_8_5 - 0.00105037819323554*G0_0_1_8_6 - 0.00358498644212991*G0_0_1_8_7 - 0.00447552447552532*G0_0_1_8_8 + 0.0394576851719775*G0_0_1_8_9 - 0.0115389372532249*G0_0_1_9_0 - 0.0146444032158342*G0_0_1_9_1 + 0.0142790542790567*G0_0_1_9_2 + 0.0460339660339737*G0_0_1_9_3 - 0.059597545311841*G0_0_1_9_4 - 0.00411017553874775*G0_0_1_9_5 - 0.06987298415871*G0_0_1_9_6 + 0.0160296846011158*G0_0_1_9_7 + 0.0394576851719775*G0_0_1_9_8 + 0.0328814043099812*G0_0_1_9_9 - 0.013734413734416*G0_1_0_0_0 + 0.000153638248876372*G0_1_0_0_1 - 0.00220449744259305*G0_1_0_0_2 - 0.00233417376274557*G0_1_0_0_3 + 0.000809349380778075*G0_1_0_0_4 + 0.0161260961260989*G0_1_0_0_5 + 0.00545486259772066*G0_1_0_0_6 - 0.00824064824064958*G0_1_0_0_7 + 0.00197389911675656*G0_1_0_0_8 + 0.0115389372532249*G0_1_0_0_9 + 0.000153638248876372*G0_1_0_1_0 + 0.000979901932283021*G0_1_0_1_1 - 0.00173625316482489*G0_1_0_1_2 + 0.000575932004503523*G0_1_0_1_3 - 0.000527726242012057*G0_1_0_1_4 + 0.00447045018473664*G0_1_0_1_5 + 0.00252192252192293*G0_1_0_1_6 - 0.00127872127872148*G0_1_0_1_7 + 0.000616526330812112*G0_1_0_1_8 + 0.0146444032158342*G0_1_0_1_9 - 0.00220449744259305*G0_1_0_2_0 - 0.00173625316482489*G0_1_0_2_1 - 0.0288106954773669*G0_1_0_2_2 + 0.00991008991009157*G0_1_0_2_3 - 0.0234432234432274*G0_1_0_2_4 + 0.0231945831945871*G0_1_0_2_5 - 0.0174048174048203*G0_1_0_2_6 + 0.00111380682809275*G0_1_0_2_7 - 0.00123812695241288*G0_1_0_2_8 - 0.0142790542790566*G0_1_0_2_9 - 0.00233417376274557*G0_1_0_3_0 + 0.000575932004503522*G0_1_0_3_1 + 0.00991008991009158*G0_1_0_3_2 + 0.00118738404452723*G0_1_0_3_3 + 0.00248893963179726*G0_1_0_3_4 - 0.000228343085485967*G0_1_0_3_5 - 0.01351791066077*G0_1_0_3_6 + 0.00105037819323551*G0_1_0_3_7 + 0.0011873840445271*G0_1_0_3_8 - 0.0460339660339737*G0_1_0_3_9 + 0.000809349380778076*G0_1_0_4_0 - 0.000527726242012055*G0_1_0_4_1 - 0.0234432234432274*G0_1_0_4_2 + 0.00248893963179725*G0_1_0_4_3 - 0.0405994005994076*G0_1_0_4_4 - 0.00838019123733549*G0_1_0_4_5 + 0.0218981018981055*G0_1_0_4_6 - 0.0022377622377626*G0_1_0_4_8 + 0.059597545311841*G0_1_0_4_9 + 0.0161260961260989*G0_1_0_5_0 + 0.00447045018473664*G0_1_0_5_1 + 0.0231945831945871*G0_1_0_5_2 - 0.000228343085485967*G0_1_0_5_3 - 0.00838019123733549*G0_1_0_5_4 + 0.192721564150168*G0_1_0_5_5 - 0.100470957613832*G0_1_0_5_6 + 0.0286570572284907*G0_1_0_5_7 - 0.0193634936492112*G0_1_0_5_8 + 0.00411017553874774*G0_1_0_5_9 + 0.00545486259772066*G0_1_0_6_0 + 0.00252192252192293*G0_1_0_6_1 - 0.0174048174048203*G0_1_0_6_2 - 0.01351791066077*G0_1_0_6_3 + 0.0218981018981055*G0_1_0_6_4 - 0.100470957613832*G0_1_0_6_5 + 0.0255744255744295*G0_1_0_6_6 - 0.00929356357927947*G0_1_0_6_7 + 0.00105037819323555*G0_1_0_6_8 + 0.06987298415871*G0_1_0_6_9 - 0.00824064824064958*G0_1_0_7_0 - 0.00127872127872148*G0_1_0_7_1 + 0.00111380682809275*G0_1_0_7_2 + 0.00105037819323551*G0_1_0_7_3 + 0.0286570572284907*G0_1_0_7_5 - 0.00929356357927947*G0_1_0_7_6 - 0.0268988154702482*G0_1_0_7_7 + 0.00358498644212991*G0_1_0_7_8 - 0.0160296846011158*G0_1_0_7_9 + 0.00197389911675656*G0_1_0_8_0 + 0.000616526330812113*G0_1_0_8_1 - 0.00123812695241288*G0_1_0_8_2 + 0.0011873840445271*G0_1_0_8_3 - 0.0022377622377626*G0_1_0_8_4 - 0.0193634936492112*G0_1_0_8_5 + 0.00105037819323554*G0_1_0_8_6 + 0.00358498644212991*G0_1_0_8_7 + 0.00447552447552532*G0_1_0_8_8 - 0.0394576851719775*G0_1_0_8_9 + 0.0115389372532249*G0_1_0_9_0 + 0.0146444032158342*G0_1_0_9_1 - 0.0142790542790567*G0_1_0_9_2 - 0.0460339660339737*G0_1_0_9_3 + 0.059597545311841*G0_1_0_9_4 + 0.00411017553874774*G0_1_0_9_5 + 0.06987298415871*G0_1_0_9_6 - 0.0160296846011158*G0_1_0_9_7 - 0.0394576851719775*G0_1_0_9_8 - 0.0328814043099812*G0_1_0_9_9;
    A[104] = A[132] + 0.0160234826901521*G0_0_0_0_0 + 0.00228117561450934*G0_0_0_0_1 + 0.00181377705187264*G0_0_0_0_2 - 0.00214642500356824*G0_0_0_0_3 + 0.0103058845916008*G0_0_0_0_4 + 0.0383514897800676*G0_0_0_0_5 - 0.00582528582528673*G0_0_0_0_6 + 0.0136853622567931*G0_0_0_0_7 - 0.00797678511964361*G0_0_0_0_8 + 0.0109604681033271*G0_0_0_0_9 + 0.00228117561450934*G0_0_0_1_0 + 0.00180870276108403*G0_0_0_1_1 + 0.00746879223069831*G0_0_0_1_2 - 0.0105240790955095*G0_0_0_1_3 + 0.0161768390339848*G0_0_0_1_4 - 0.00217687074829973*G0_0_0_1_5 + 0.00108082393796704*G0_0_0_1_6 + 0.00320695177838088*G0_0_0_1_7 - 0.00085755514326957*G0_0_0_1_8 + 0.00133961276818443*G0_0_0_1_9 + 0.00181377705187264*G0_0_0_2_0 + 0.00746879223069831*G0_0_0_2_1 + 0.0291264291264347*G0_0_0_2_2 - 0.0353779553779616*G0_0_0_2_3 + 0.0801332001332142*G0_0_0_2_4 + 0.0144921744921768*G0_0_0_2_5 - 0.00554112554112612*G0_0_0_2_6 + 0.00412539841111338*G0_0_0_2_7 - 0.00369915798487289*G0_0_0_2_8 + 0.00596736596736702*G0_0_0_2_9 - 0.00214642500356823*G0_0_0_3_0 - 0.0105240790955095*G0_0_0_3_1 - 0.0353779553779616*G0_0_0_3_2 + 0.0719737405451816*G0_0_0_3_3 - 0.0681832453261144*G0_0_0_3_4 + 0.0110518053375215*G0_0_0_3_5 - 0.0123761952333404*G0_0_0_3_6 - 0.00269444840873459*G0_0_0_3_7 + 0.000730697873555176*G0_0_0_3_8 + 0.0013700585129159*G0_0_0_3_9 + 0.0103058845916008*G0_0_0_4_0 + 0.0161768390339848*G0_0_0_4_1 + 0.0801332001332143*G0_0_0_4_2 - 0.0681832453261144*G0_0_0_4_3 + 0.565194805194903*G0_0_0_4_4 - 0.0400513771942413*G0_0_0_4_5 + 0.0524275724275817*G0_0_0_4_6 - 0.0170800627943514*G0_0_0_4_7 + 0.0019637505351794*G0_0_0_4_8 + 0.0622006564863814*G0_0_0_4_9 + 0.0383514897800676*G0_0_0_5_0 - 0.00217687074829973*G0_0_0_5_1 + 0.0144921744921768*G0_0_0_5_2 + 0.0110518053375215*G0_0_0_5_3 - 0.0400513771942413*G0_0_0_5_4 - 0.0639360639360749*G0_0_0_5_5 - 0.0827058655630226*G0_0_0_5_6 + 0.0241130298273195*G0_0_0_5_7 - 0.00260311117454014*G0_0_0_5_8 - 0.027675181960901*G0_0_0_5_9 - 0.00582528582528672*G0_0_0_6_0 + 0.00108082393796704*G0_0_0_6_1 - 0.00554112554112612*G0_0_0_6_2 - 0.0123761952333404*G0_0_0_6_3 + 0.0524275724275817*G0_0_0_6_4 - 0.0827058655630226*G0_0_0_6_5 + 0.116363636363657*G0_0_0_6_6 - 0.0215099186527794*G0_0_0_6_7 + 0.00849436278007846*G0_0_0_6_8 + 0.00685029256457954*G0_0_0_6_9 + 0.0136853622567931*G0_0_0_7_0 + 0.00320695177838088*G0_0_0_7_1 + 0.00412539841111338*G0_0_0_7_2 - 0.00269444840873459*G0_0_0_7_3 - 0.0170800627943514*G0_0_0_7_4 + 0.0241130298273195*G0_0_0_7_5 - 0.0215099186527794*G0_0_0_7_6 + 0.034890823462258*G0_0_0_7_7 - 0.0147052947052972*G0_0_0_7_8 + 0.0101384329955776*G0_0_0_7_9 - 0.00797678511964361*G0_0_0_8_0 - 0.00085755514326957*G0_0_0_8_1 - 0.00369915798487289*G0_0_0_8_2 + 0.000730697873555176*G0_0_0_8_3 + 0.0019637505351794*G0_0_0_8_4 - 0.00260311117454014*G0_0_0_8_5 + 0.00849436278007846*G0_0_0_8_6 - 0.0147052947052972*G0_0_0_8_7 - 0.000182674468388697*G0_0_0_8_8 - 0.00794633937491211*G0_0_0_8_9 + 0.0109604681033271*G0_0_0_9_0 + 0.00133961276818443*G0_0_0_9_1 + 0.00596736596736702*G0_0_0_9_2 + 0.0013700585129159*G0_0_0_9_3 + 0.0622006564863815*G0_0_0_9_4 - 0.027675181960901*G0_0_0_9_5 + 0.00685029256457954*G0_0_0_9_6 + 0.0101384329955776*G0_0_0_9_7 - 0.00794633937491211*G0_0_0_9_8 + 0.00328814043099837*G0_0_0_9_9 + 0.0062673129339807*G0_0_1_0_0 + 0.00181885134266117*G0_0_1_0_1 + 0.00401827449446568*G0_0_1_0_2 - 0.00241536241536284*G0_0_1_0_3 + 0.0139948939948965*G0_0_1_0_4 + 0.00805289948147225*G0_0_1_0_5 - 0.00197897340754517*G0_0_1_0_6 + 0.0120159205873512*G0_0_1_0_7 - 0.00661687518830486*G0_0_1_0_8 + 0.0176889776889807*G0_0_1_0_9 + 0.00181885134266117*G0_0_1_1_0 + 0.000828800828800966*G0_0_1_1_1 + 0.00951373141849497*G0_0_1_1_2 - 0.0123863438149174*G0_0_1_1_3 + 0.0225197025197065*G0_0_1_1_4 - 0.0110771767914644*G0_0_1_1_5 + 0.00298875727447208*G0_0_1_1_6 - 0.00132946418660726*G0_0_1_1_7 - 0.000187748759177377*G0_0_1_1_8 - 0.0133047904476498*G0_0_1_1_9 + 0.00401827449446568*G0_0_1_2_0 + 0.00951373141849497*G0_0_1_2_1 + 0.0814277080943887*G0_0_1_2_2 - 0.0486218543361484*G0_0_1_2_3 + 0.113486513486533*G0_0_1_2_4 - 0.0180035837178725*G0_0_1_2_5 + 0.0260361860361905*G0_0_1_2_6 - 0.00148676720105318*G0_0_1_2_7 + 0.000142080142080165*G0_0_1_2_8 + 0.00197897340754516*G0_0_1_2_9 - 0.00241536241536284*G0_0_1_3_0 - 0.0123863438149174*G0_0_1_3_1 - 0.0486218543361484*G0_0_1_3_2 + 0.0716083916084038*G0_0_1_3_3 - 0.0938946767518357*G0_0_1_3_4 + 0.0218295989724598*G0_0_1_3_5 - 0.0121478521478543*G0_0_1_3_6 + 0.00406450692165044*G0_0_1_3_7 - 0.00045668617097197*G0_0_1_3_8 + 0.0317853574996486*G0_0_1_3_9 + 0.0139948939948965*G0_0_1_4_0 + 0.0225197025197065*G0_0_1_4_1 + 0.113486513486533*G0_0_1_4_2 - 0.0938946767518357*G0_0_1_4_3 + 0.622645925503175*G0_0_1_4_4 - 0.0451662623091272*G0_0_1_4_5 + 0.0573141144569815*G0_0_1_4_6 - 0.0171714000285458*G0_0_1_4_7 - 0.0036078207506785*G0_0_1_4_8 + 0.0843956043956188*G0_0_1_4_9 + 0.00805289948147225*G0_0_1_5_0 - 0.0110771767914644*G0_0_1_5_1 - 0.0180035837178725*G0_0_1_5_2 + 0.0218295989724598*G0_0_1_5_3 - 0.0451662623091272*G0_0_1_5_4 - 0.126776081061817*G0_0_1_5_5 + 0.0177650920508093*G0_0_1_5_6 - 0.0313286713286766*G0_0_1_5_7 + 0.0300499500499551*G0_0_1_5_8 - 0.113166833166852*G0_0_1_5_9 - 0.00197897340754517*G0_0_1_6_0 + 0.00298875727447208*G0_0_1_6_1 + 0.0260361860361905*G0_0_1_6_2 - 0.0121478521478543*G0_0_1_6_3 + 0.0573141144569815*G0_0_1_6_4 + 0.0177650920508093*G0_0_1_6_5 - 0.0390923362351999*G0_0_1_6_6 + 0.0012787212787215*G0_0_1_6_7 - 0.00310546596260934*G0_0_1_6_8 + 0.018358784073073*G0_0_1_6_9 + 0.0120159205873512*G0_0_1_7_0 - 0.00132946418660726*G0_0_1_7_1 - 0.00148676720105318*G0_0_1_7_2 + 0.00406450692165044*G0_0_1_7_3 - 0.0171714000285458*G0_0_1_7_4 - 0.0313286713286766*G0_0_1_7_5 + 0.0012787212787215*G0_0_1_7_6 + 0.0449379192236406*G0_0_1_7_7 + 0.00493221064649719*G0_0_1_7_8 - 0.0556243756243851*G0_0_1_7_9 - 0.00661687518830487*G0_0_1_8_0 - 0.000187748759177377*G0_0_1_8_1 + 0.000142080142080165*G0_0_1_8_2 - 0.00045668617097197*G0_0_1_8_3 - 0.0036078207506785*G0_0_1_8_4 + 0.0300499500499551*G0_0_1_8_5 - 0.00310546596260934*G0_0_1_8_6 + 0.00493221064649719*G0_0_1_8_7 - 0.00548023405166393*G0_0_1_8_8 + 0.0471300128443065*G0_0_1_8_9 + 0.0176889776889807*G0_0_1_9_0 - 0.0133047904476498*G0_0_1_9_1 + 0.00197897340754516*G0_0_1_9_2 + 0.0317853574996486*G0_0_1_9_3 + 0.0843956043956188*G0_0_1_9_4 - 0.113166833166852*G0_0_1_9_5 + 0.018358784073073*G0_0_1_9_6 - 0.0556243756243851*G0_0_1_9_7 + 0.0471300128443065*G0_0_1_9_8 + 0.0361695447409797*G0_0_1_9_9 - 0.0362777962778027*G0_1_0_0_0 + 0.000236236426712643*G0_1_0_0_1 - 0.000390720390720423*G0_1_0_0_2 - 0.00598766313052127*G0_1_0_0_3 + 0.0159180502037673*G0_1_0_0_4 + 0.00677417820275066*G0_1_0_0_5 + 0.0266704723847627*G0_1_0_0_6 - 0.0196679510965261*G0_1_0_0_7 + 0.0052671138385434*G0_1_0_0_8 + 0.0149488606631489*G0_1_0_0_9 + 0.000236236426712644*G0_1_0_1_0 + 0.00278860469336707*G0_1_0_1_1 + 0.00793111650254647*G0_1_0_1_2 - 0.0111938854796017*G0_1_0_1_3 + 0.0207132549989729*G0_1_0_1_4 - 0.00408480408480482*G0_1_0_1_5 + 0.0099811299811317*G0_1_0_1_6 - 0.00313591170734084*G0_1_0_1_7 + 0.00100470957613833*G0_1_0_1_8 + 0.0159840159840187*G0_1_0_1_9 - 0.000390720390720423*G0_1_0_2_0 + 0.00793111650254647*G0_1_0_2_1 + 0.038882598882606*G0_1_0_2_2 - 0.0367378653093003*G0_1_0_2_3 + 0.0818026418026562*G0_1_0_2_4 + 0.0106458620744352*G0_1_0_2_5 + 0.0247574647574692*G0_1_0_2_6 + 0.000436389007817643*G0_1_0_2_7 - 0.00343022057307829*G0_1_0_2_8 - 0.000761143618286551*G0_1_0_2_9 - 0.00598766313052127*G0_1_0_3_0 - 0.0111938854796017*G0_1_0_3_1 - 0.0367378653093003*G0_1_0_3_2 + 0.0772713001284564*G0_1_0_3_3 - 0.0878207506779087*G0_1_0_3_4 + 0.0226516340802093*G0_1_0_3_5 - 0.0450292564578355*G0_1_0_3_6 + 0.00287712287712334*G0_1_0_3_7 + 0.00191808191808228*G0_1_0_3_8 - 0.0537062937063026*G0_1_0_3_9 + 0.0159180502037673*G0_1_0_4_0 + 0.0207132549989729*G0_1_0_4_1 + 0.0818026418026562*G0_1_0_4_2 - 0.0878207506779087*G0_1_0_4_3 + 0.555147709433519*G0_1_0_4_4 - 0.0628400171257421*G0_1_0_4_5 + 0.107869273583578*G0_1_0_4_6 - 0.016988725560157*G0_1_0_4_7 - 0.00479520479520562*G0_1_0_4_8 + 0.127963465106344*G0_1_0_4_9 + 0.00677417820275066*G0_1_0_5_0 - 0.00408480408480482*G0_1_0_5_1 + 0.0106458620744352*G0_1_0_5_2 + 0.0226516340802093*G0_1_0_5_3 - 0.0628400171257421*G0_1_0_5_4 + 0.091519908662781*G0_1_0_5_5 - 0.183176823176854*G0_1_0_5_6 + 0.0192264877979195*G0_1_0_5_7 - 0.00283145426002616*G0_1_0_5_8 - 0.0391836734693943*G0_1_0_5_9 + 0.0266704723847627*G0_1_0_6_0 + 0.0099811299811317*G0_1_0_6_1 + 0.0247574647574692*G0_1_0_6_2 - 0.0450292564578355*G0_1_0_6_3 + 0.107869273583578*G0_1_0_6_4 - 0.183176823176854*G0_1_0_6_5 + 0.179203653489398*G0_1_0_6_6 - 0.0163950335378934*G0_1_0_6_7 - 0.0022834308548598*G0_1_0_6_8 + 0.0923419437705306*G0_1_0_6_9 - 0.0196679510965261*G0_1_0_7_0 - 0.00313591170734084*G0_1_0_7_1 + 0.000436389007817643*G0_1_0_7_2 + 0.00287712287712334*G0_1_0_7_3 - 0.016988725560157*G0_1_0_7_4 + 0.0192264877979195*G0_1_0_7_5 - 0.0163950335378934*G0_1_0_7_6 - 0.0225602968460154*G0_1_0_7_7 + 0.0110061367204244*G0_1_0_7_8 - 0.0120565149136598*G0_1_0_7_9 + 0.0052671138385434*G0_1_0_8_0 + 0.00100470957613833*G0_1_0_8_1 - 0.00343022057307829*G0_1_0_8_2 + 0.00191808191808228*G0_1_0_8_3 - 0.00479520479520562*G0_1_0_8_4 - 0.00283145426002616*G0_1_0_8_5 - 0.0022834308548598*G0_1_0_8_6 + 0.0110061367204244*G0_1_0_8_7 + 0.000182674468388844*G0_1_0_8_8 - 0.0383616383616447*G0_1_0_8_9 + 0.0149488606631489*G0_1_0_9_0 + 0.0159840159840187*G0_1_0_9_1 - 0.000761143618286553*G0_1_0_9_2 - 0.0537062937063026*G0_1_0_9_3 + 0.127963465106344*G0_1_0_9_4 - 0.0391836734693943*G0_1_0_9_5 + 0.0923419437705306*G0_1_0_9_6 - 0.0120565149136598*G0_1_0_9_7 - 0.0383616383616447*G0_1_0_9_8 - 0.0295932638789829*G0_1_0_9_9 - 0.0751603951604083*G0_1_1_0_0 - 0.00769488007583379*G0_1_1_0_1 - 0.00255744255744295*G0_1_1_0_3 + 0.0154816611959496*G0_1_1_0_4 - 0.0179832865547183*G0_1_1_0_5 + 0.0160246103103274*G0_1_1_0_6 - 0.101470592899182*G0_1_1_0_7 + 0.0420049791478435*G0_1_1_0_8 + 0.0157100042814355*G0_1_1_0_9 - 0.00769488007583378*G0_1_1_1_0 + 0.0076948800758338*G0_1_1_1_2 - 0.01219859505574*G0_1_1_1_3 + 0.0238491667063137*G0_1_1_1_4 - 0.0140659340659365*G0_1_1_1_5 + 0.0140659340659365*G0_1_1_1_6 - 0.0238491667063136*G0_1_1_1_7 + 0.01219859505574*G0_1_1_1_8 + 0.0076948800758338*G0_1_1_2_1 + 0.0751603951604081*G0_1_1_2_2 - 0.0420049791478435*G0_1_1_2_3 + 0.101470592899182*G0_1_1_2_4 - 0.0160246103103273*G0_1_1_2_5 + 0.0179832865547182*G0_1_1_2_6 - 0.0154816611959495*G0_1_1_2_7 + 0.002557442557443*G0_1_1_2_8 - 0.0157100042814355*G0_1_1_2_9 - 0.00255744255744295*G0_1_1_3_0 - 0.01219859505574*G0_1_1_3_1 - 0.0420049791478435*G0_1_1_3_2 + 0.0770886256600675*G0_1_1_3_3 - 0.098826887398333*G0_1_1_3_4 + 0.0249350649350692*G0_1_1_3_5 - 0.0421978021978093*G0_1_1_3_6 + 0.00767232767232907*G0_1_1_3_7 - 0.0153446553446577*G0_1_1_3_9 + 0.0154816611959496*G0_1_1_4_0 + 0.0238491667063137*G0_1_1_4_1 + 0.101470592899182*G0_1_1_4_2 - 0.098826887398333*G0_1_1_4_3 + 0.577708006279534*G0_1_1_4_4 - 0.0464449835878487*G0_1_1_4_5 + 0.0886427857856581*G0_1_1_4_6 - 0.00767232767232898*G0_1_1_4_8 + 0.140019980020004*G0_1_1_4_9 - 0.0179832865547183*G0_1_1_5_0 - 0.0140659340659365*G0_1_1_5_1 - 0.0160246103103273*G0_1_1_5_2 + 0.0249350649350691*G0_1_1_5_3 - 0.0464449835878487*G0_1_1_5_4 - 0.0876837448266166*G0_1_1_5_5 - 0.0886427857856578*G0_1_1_5_7 + 0.0421978021978093*G0_1_1_5_8 - 0.131525617239925*G0_1_1_5_9 + 0.0160246103103274*G0_1_1_6_0 + 0.0140659340659365*G0_1_1_6_1 + 0.0179832865547182*G0_1_1_6_2 - 0.0421978021978093*G0_1_1_6_3 + 0.0886427857856581*G0_1_1_6_4 + 0.0876837448266168*G0_1_1_6_6 + 0.0464449835878485*G0_1_1_6_7 - 0.0249350649350692*G0_1_1_6_8 + 0.131525617239925*G0_1_1_6_9 - 0.101470592899182*G0_1_1_7_0 - 0.0238491667063137*G0_1_1_7_1 - 0.0154816611959495*G0_1_1_7_2 + 0.00767232767232907*G0_1_1_7_3 - 0.0886427857856578*G0_1_1_7_5 + 0.0464449835878485*G0_1_1_7_6 - 0.577708006279533*G0_1_1_7_7 + 0.0988268873983329*G0_1_1_7_8 - 0.140019980020004*G0_1_1_7_9 + 0.0420049791478435*G0_1_1_8_0 + 0.01219859505574*G0_1_1_8_1 + 0.002557442557443*G0_1_1_8_2 - 0.00767232767232898*G0_1_1_8_4 + 0.0421978021978093*G0_1_1_8_5 - 0.0249350649350692*G0_1_1_8_6 + 0.0988268873983329*G0_1_1_8_7 - 0.0770886256600674*G0_1_1_8_8 + 0.0153446553446581*G0_1_1_8_9 + 0.0157100042814355*G0_1_1_9_0 - 0.0157100042814355*G0_1_1_9_2 - 0.0153446553446578*G0_1_1_9_3 + 0.140019980020004*G0_1_1_9_4 - 0.131525617239925*G0_1_1_9_5 + 0.131525617239925*G0_1_1_9_6 - 0.140019980020004*G0_1_1_9_7 + 0.0153446553446581*G0_1_1_9_8;
    A[216] = A[104] - 0.0288106954773675*G0_0_1_0_0 - 0.0017362531648249*G0_0_1_0_1 - 0.00220449744259305*G0_0_1_0_2 - 0.00123812695241286*G0_0_1_0_3 + 0.00111380682809272*G0_0_1_0_4 - 0.0174048174048205*G0_0_1_0_5 + 0.0231945831945872*G0_0_1_0_6 - 0.0234432234432276*G0_0_1_0_7 + 0.0099100899100917*G0_0_1_0_8 - 0.0142790542790567*G0_0_1_0_9 - 0.0017362531648249*G0_0_1_1_0 + 0.000979901932283086*G0_0_1_1_1 + 0.000153638248876388*G0_0_1_1_2 + 0.000616526330812182*G0_0_1_1_3 - 0.00127872127872149*G0_0_1_1_4 + 0.00252192252192291*G0_0_1_1_5 + 0.00447045018473668*G0_0_1_1_6 - 0.000527726242012108*G0_0_1_1_7 + 0.000575932004503593*G0_0_1_1_8 + 0.0146444032158343*G0_0_1_1_9 - 0.00220449744259305*G0_0_1_2_0 + 0.000153638248876388*G0_0_1_2_1 - 0.0137344137344157*G0_0_1_2_2 + 0.00197389911675652*G0_0_1_2_3 - 0.00824064824064946*G0_0_1_2_4 + 0.00545486259772058*G0_0_1_2_5 + 0.016126096126099*G0_0_1_2_6 + 0.000809349380778074*G0_0_1_2_7 - 0.00233417376274557*G0_0_1_2_8 + 0.0115389372532249*G0_0_1_2_9 - 0.00123812695241286*G0_0_1_3_0 + 0.000616526330812182*G0_0_1_3_1 + 0.00197389911675652*G0_0_1_3_2 + 0.00447552447552536*G0_0_1_3_3 + 0.0035849864421298*G0_0_1_3_4 + 0.00105037819323552*G0_0_1_3_5 - 0.0193634936492112*G0_0_1_3_6 - 0.00223776223776261*G0_0_1_3_7 + 0.00118738404452715*G0_0_1_3_8 - 0.0394576851719775*G0_0_1_3_9 + 0.00111380682809272*G0_0_1_4_0 - 0.00127872127872149*G0_0_1_4_1 - 0.00824064824064948*G0_0_1_4_2 + 0.00358498644212979*G0_0_1_4_3 - 0.0268988154702487*G0_0_1_4_4 - 0.00929356357927941*G0_0_1_4_5 + 0.0286570572284906*G0_0_1_4_6 + 0.00105037819323548*G0_0_1_4_8 - 0.016029684601116*G0_0_1_4_9 - 0.0174048174048205*G0_0_1_5_0 + 0.00252192252192291*G0_0_1_5_1 + 0.00545486259772058*G0_0_1_5_2 + 0.00105037819323552*G0_0_1_5_3 - 0.00929356357927941*G0_0_1_5_4 + 0.0255744255744297*G0_0_1_5_5 - 0.100470957613832*G0_0_1_5_6 + 0.0218981018981055*G0_0_1_5_7 - 0.01351791066077*G0_0_1_5_8 + 0.0698729841587102*G0_0_1_5_9 + 0.0231945831945872*G0_0_1_6_0 + 0.00447045018473668*G0_0_1_6_1 + 0.016126096126099*G0_0_1_6_2 - 0.0193634936492112*G0_0_1_6_3 + 0.0286570572284906*G0_0_1_6_4 - 0.100470957613832*G0_0_1_6_5 + 0.192721564150168*G0_0_1_6_6 - 0.00838019123733542*G0_0_1_6_7 - 0.000228343085486006*G0_0_1_6_8 + 0.00411017553874756*G0_0_1_6_9 - 0.0234432234432276*G0_0_1_7_0 - 0.000527726242012107*G0_0_1_7_1 + 0.000809349380778074*G0_0_1_7_2 - 0.00223776223776261*G0_0_1_7_3 + 0.0218981018981055*G0_0_1_7_5 - 0.00838019123733542*G0_0_1_7_6 - 0.0405994005994077*G0_0_1_7_7 + 0.00248893963179732*G0_0_1_7_8 + 0.059597545311841*G0_0_1_7_9 + 0.0099100899100917*G0_0_1_8_0 + 0.000575932004503592*G0_0_1_8_1 - 0.00233417376274557*G0_0_1_8_2 + 0.00118738404452715*G0_0_1_8_3 + 0.00105037819323548*G0_0_1_8_4 - 0.01351791066077*G0_0_1_8_5 - 0.000228343085486008*G0_0_1_8_6 + 0.00248893963179732*G0_0_1_8_7 + 0.00118738404452746*G0_0_1_8_8 - 0.0460339660339737*G0_0_1_8_9 - 0.0142790542790567*G0_0_1_9_0 + 0.0146444032158343*G0_0_1_9_1 + 0.0115389372532249*G0_0_1_9_2 - 0.0394576851719775*G0_0_1_9_3 - 0.016029684601116*G0_0_1_9_4 + 0.0698729841587102*G0_0_1_9_5 + 0.00411017553874758*G0_0_1_9_6 + 0.059597545311841*G0_0_1_9_7 - 0.0460339660339737*G0_0_1_9_8 - 0.0328814043099815*G0_0_1_9_9 + 0.0288106954773675*G0_1_0_0_0 + 0.0017362531648249*G0_1_0_0_1 + 0.00220449744259305*G0_1_0_0_2 + 0.00123812695241286*G0_1_0_0_3 - 0.00111380682809272*G0_1_0_0_4 + 0.0174048174048205*G0_1_0_0_5 - 0.0231945831945872*G0_1_0_0_6 + 0.0234432234432276*G0_1_0_0_7 - 0.0099100899100917*G0_1_0_0_8 + 0.0142790542790567*G0_1_0_0_9 + 0.0017362531648249*G0_1_0_1_0 - 0.000979901932283086*G0_1_0_1_1 - 0.000153638248876388*G0_1_0_1_2 - 0.000616526330812182*G0_1_0_1_3 + 0.00127872127872149*G0_1_0_1_4 - 0.00252192252192291*G0_1_0_1_5 - 0.00447045018473668*G0_1_0_1_6 + 0.000527726242012107*G0_1_0_1_7 - 0.000575932004503592*G0_1_0_1_8 - 0.0146444032158343*G0_1_0_1_9 + 0.00220449744259305*G0_1_0_2_0 - 0.000153638248876388*G0_1_0_2_1 + 0.0137344137344157*G0_1_0_2_2 - 0.00197389911675652*G0_1_0_2_3 + 0.00824064824064945*G0_1_0_2_4 - 0.00545486259772059*G0_1_0_2_5 - 0.016126096126099*G0_1_0_2_6 - 0.000809349380778075*G0_1_0_2_7 + 0.00233417376274557*G0_1_0_2_8 - 0.0115389372532249*G0_1_0_2_9 + 0.00123812695241286*G0_1_0_3_0 - 0.000616526330812182*G0_1_0_3_1 - 0.00197389911675652*G0_1_0_3_2 - 0.00447552447552535*G0_1_0_3_3 - 0.00358498644212979*G0_1_0_3_4 - 0.00105037819323551*G0_1_0_3_5 + 0.0193634936492112*G0_1_0_3_6 + 0.00223776223776261*G0_1_0_3_7 - 0.00118738404452715*G0_1_0_3_8 + 0.0394576851719775*G0_1_0_3_9 - 0.00111380682809272*G0_1_0_4_0 + 0.00127872127872149*G0_1_0_4_1 + 0.00824064824064947*G0_1_0_4_2 - 0.00358498644212978*G0_1_0_4_3 + 0.0268988154702487*G0_1_0_4_4 + 0.00929356357927941*G0_1_0_4_5 - 0.0286570572284906*G0_1_0_4_6 - 0.00105037819323548*G0_1_0_4_8 + 0.016029684601116*G0_1_0_4_9 + 0.0174048174048205*G0_1_0_5_0 - 0.00252192252192291*G0_1_0_5_1 - 0.00545486259772059*G0_1_0_5_2 - 0.00105037819323551*G0_1_0_5_3 + 0.00929356357927941*G0_1_0_5_4 - 0.0255744255744297*G0_1_0_5_5 + 0.100470957613832*G0_1_0_5_6 - 0.0218981018981055*G0_1_0_5_7 + 0.01351791066077*G0_1_0_5_8 - 0.0698729841587102*G0_1_0_5_9 - 0.0231945831945872*G0_1_0_6_0 - 0.00447045018473668*G0_1_0_6_1 - 0.016126096126099*G0_1_0_6_2 + 0.0193634936492112*G0_1_0_6_3 - 0.0286570572284906*G0_1_0_6_4 + 0.100470957613832*G0_1_0_6_5 - 0.192721564150168*G0_1_0_6_6 + 0.00838019123733542*G0_1_0_6_7 + 0.000228343085486001*G0_1_0_6_8 - 0.00411017553874756*G0_1_0_6_9 + 0.0234432234432276*G0_1_0_7_0 + 0.000527726242012106*G0_1_0_7_1 - 0.000809349380778074*G0_1_0_7_2 + 0.00223776223776261*G0_1_0_7_3 - 0.0218981018981055*G0_1_0_7_5 + 0.00838019123733543*G0_1_0_7_6 + 0.0405994005994077*G0_1_0_7_7 - 0.00248893963179731*G0_1_0_7_8 - 0.059597545311841*G0_1_0_7_9 - 0.0099100899100917*G0_1_0_8_0 - 0.000575932004503592*G0_1_0_8_1 + 0.00233417376274557*G0_1_0_8_2 - 0.00118738404452715*G0_1_0_8_3 - 0.00105037819323548*G0_1_0_8_4 + 0.01351791066077*G0_1_0_8_5 + 0.000228343085486004*G0_1_0_8_6 - 0.00248893963179732*G0_1_0_8_7 - 0.00118738404452745*G0_1_0_8_8 + 0.0460339660339737*G0_1_0_8_9 + 0.0142790542790567*G0_1_0_9_0 - 0.0146444032158343*G0_1_0_9_1 - 0.0115389372532249*G0_1_0_9_2 + 0.0394576851719775*G0_1_0_9_3 + 0.016029684601116*G0_1_0_9_4 - 0.0698729841587102*G0_1_0_9_5 - 0.00411017553874757*G0_1_0_9_6 - 0.059597545311841*G0_1_0_9_7 + 0.0460339660339737*G0_1_0_9_8 + 0.0328814043099814*G0_1_0_9_9;
    A[148] = A[216] - 0.0482283148949898*G0_0_0_0_0 - 0.00227440989345789*G0_0_0_0_1 - 0.00665098569860591*G0_0_0_0_2 + 0.0117013145584595*G0_0_0_0_3 - 0.0108665937237385*G0_0_0_0_4 - 0.0727272727272851*G0_0_0_0_5 + 0.0111888111888131*G0_0_0_0_6 - 0.0164280164280192*G0_0_0_0_7 + 0.013675213675216*G0_0_0_0_8 + 0.00106560106560122*G0_0_0_0_9 - 0.00227440989345789*G0_0_0_1_0 + 0.0398072474263018*G0_0_0_1_1 - 0.00101965054346027*G0_0_0_1_2 + 0.0697588126159674*G0_0_0_1_3 - 0.0383616383616449*G0_0_0_1_4 - 0.00272996844425459*G0_0_0_1_5 - 0.00419897562754781*G0_0_0_1_6 - 0.012066663495237*G0_0_0_1_7 + 0.0142308485165652*G0_0_0_1_8 - 0.00578469149897814*G0_0_0_1_9 - 0.00665098569860591*G0_0_0_2_0 - 0.00101965054346027*G0_0_0_2_1 - 0.0302393902393957*G0_0_0_2_2 + 0.038361638361645*G0_0_0_2_3 - 0.0611198325484146*G0_0_0_2_4 - 0.0147560376131829*G0_0_0_2_5 - 0.01936856794*G0_0_0_2_6 - 0.0142612942612966*G0_0_0_2_7 + 0.00656359513502482*G0_0_0_2_8 - 0.0231083202511813*G0_0_0_2_9 + 0.0117013145584595*G0_0_0_3_0 + 0.0697588126159674*G0_0_0_3_1 + 0.038361638361645*G0_0_0_3_2 + 0.316803196803251*G0_0_0_3_3 - 0.000296846011131752*G0_0_0_3_4 - 0.0204138718424467*G0_0_0_3_5 + 0.0265106322249224*G0_0_0_3_6 - 0.0211902383330991*G0_0_0_3_7 + 0.0269673183958945*G0_0_0_3_8 + 0.0597345511631328*G0_0_0_3_9 - 0.0108665937237385*G0_0_0_4_0 - 0.0383616383616449*G0_0_0_4_1 - 0.0611198325484146*G0_0_0_4_2 - 0.000296846011131745*G0_0_0_4_3 - 0.353566433566494*G0_0_0_4_4 + 0.0465134865134944*G0_0_0_4_5 - 0.0730241187384169*G0_0_0_4_6 + 0.0307349793064131*G0_0_0_4_7 - 0.00577708006279537*G0_0_0_4_8 - 0.0237020122734448*G0_0_0_4_9 - 0.0727272727272851*G0_0_0_5_0 - 0.00272996844425459*G0_0_0_5_1 - 0.0147560376131829*G0_0_0_5_2 - 0.0204138718424467*G0_0_0_5_3 + 0.0465134865134944*G0_0_0_5_4 - 0.141618381618405*G0_0_0_5_5 + 0.17315256172402*G0_0_0_5_6 - 0.0788011988012119*G0_0_0_5_7 + 0.022103610675043*G0_0_0_5_8 - 0.0474040245468897*G0_0_0_5_9 + 0.0111888111888131*G0_0_0_6_0 - 0.00419897562754781*G0_0_0_6_1 - 0.01936856794*G0_0_0_6_2 + 0.0265106322249224*G0_0_0_6_3 - 0.0730241187384169*G0_0_0_6_4 + 0.17315256172402*G0_0_0_6_5 - 0.2247809333524*G0_0_0_6_6 + 0.056697588126169*G0_0_0_6_7 - 0.0105037819323551*G0_0_0_6_8 + 0.0163036963036992*G0_0_0_6_9 - 0.0164280164280192*G0_0_0_7_0 - 0.012066663495237*G0_0_0_7_1 - 0.0142612942612966*G0_0_0_7_2 - 0.0211902383330991*G0_0_0_7_3 + 0.0307349793064131*G0_0_0_7_4 - 0.0788011988012119*G0_0_0_7_5 + 0.056697588126169*G0_0_0_7_6 - 0.135544455544478*G0_0_0_7_7 + 0.0239303553589308*G0_0_0_7_8 - 0.116591979449142*G0_0_0_7_9 + 0.013675213675216*G0_0_0_8_0 + 0.0142308485165652*G0_0_0_8_1 + 0.00656359513502482*G0_0_0_8_2 + 0.0269673183958945*G0_0_0_8_3 - 0.00577708006279538*G0_0_0_8_4 + 0.022103610675043*G0_0_0_8_5 - 0.0105037819323551*G0_0_0_8_6 + 0.0239303553589308*G0_0_0_8_7 - 0.0212815755672934*G0_0_0_8_8 + 0.0289082346225252*G0_0_0_8_9 + 0.00106560106560123*G0_0_0_9_0 - 0.00578469149897814*G0_0_0_9_1 - 0.0231083202511813*G0_0_0_9_2 + 0.0597345511631328*G0_0_0_9_3 - 0.0237020122734448*G0_0_0_9_4 - 0.0474040245468897*G0_0_0_9_5 + 0.0163036963036992*G0_0_0_9_6 - 0.116591979449142*G0_0_0_9_7 + 0.0289082346225252*G0_0_0_9_8 - 0.0279491936634838*G0_0_0_9_9 + 0.000158430634621186*G0_0_1_0_1 - 0.000158430634621125*G0_0_1_0_2 + 0.0129927215641524*G0_0_1_0_3 - 0.0129927215641524*G0_0_1_0_4 - 0.00310800310800324*G0_0_1_0_5 - 0.0181862581862615*G0_0_1_0_6 + 0.00310800310800403*G0_0_1_0_7 + 0.0181862581862611*G0_0_1_0_8 + 0.000158430634621186*G0_0_1_1_0 + 0.0283359673835912*G0_0_1_1_1 + 0.0619444048015582*G0_0_1_1_3 - 0.0374685631828553*G0_0_1_1_4 + 0.00746681889539161*G0_0_1_1_5 - 0.00929356357927946*G0_0_1_1_6 - 0.00289234574948907*G0_0_1_1_7 + 0.0285048285048333*G0_0_1_1_8 + 0.00748965320394022*G0_0_1_1_9 - 0.000158430634621125*G0_0_1_2_0 - 0.0283359673835915*G0_0_1_2_2 + 0.0374685631828553*G0_0_1_2_3 - 0.0619444048015584*G0_0_1_2_4 + 0.00289234574948919*G0_0_1_2_5 - 0.0285048285048334*G0_0_1_2_6 - 0.00746681889539155*G0_0_1_2_7 + 0.00929356357927941*G0_0_1_2_8 - 0.00748965320394018*G0_0_1_2_9 + 0.0129927215641524*G0_0_1_3_0 + 0.0619444048015582*G0_0_1_3_1 + 0.0374685631828553*G0_0_1_3_2 + 0.323744826602024*G0_0_1_3_3 - 0.0306893106893158*G0_0_1_3_5 + 0.0278806907378383*G0_0_1_3_6 - 0.038978164692457*G0_0_1_3_7 + 0.0668588554302953*G0_0_1_3_8 + 0.0554873697730935*G0_0_1_3_9 - 0.0129927215641524*G0_0_1_4_0 - 0.0374685631828553*G0_0_1_4_1 - 0.0619444048015584*G0_0_1_4_2 - 0.323744826602025*G0_0_1_4_4 + 0.038978164692457*G0_0_1_4_5 - 0.0668588554302954*G0_0_1_4_6 + 0.0306893106893158*G0_0_1_4_7 - 0.0278806907378383*G0_0_1_4_8 - 0.0554873697730934*G0_0_1_4_9 - 0.00310800310800324*G0_0_1_5_0 + 0.00746681889539161*G0_0_1_5_1 + 0.00289234574948919*G0_0_1_5_2 - 0.0306893106893158*G0_0_1_5_3 + 0.038978164692457*G0_0_1_5_4 + 0.08535464535466*G0_0_1_5_5 + 0.0960411017554036*G0_0_1_5_6 - 0.0224004566861748*G0_0_1_5_8 + 0.0448009133723495*G0_0_1_5_9 - 0.0181862581862615*G0_0_1_6_0 - 0.00929356357927946*G0_0_1_6_1 - 0.0285048285048334*G0_0_1_6_2 + 0.0278806907378383*G0_0_1_6_3 - 0.0668588554302953*G0_0_1_6_4 + 0.0960411017554036*G0_0_1_6_5 - 0.189205080633684*G0_0_1_6_6 + 0.0224004566861746*G0_0_1_6_7 - 0.0332924218638559*G0_0_1_6_9 + 0.00310800310800403*G0_0_1_7_0 - 0.00289234574948907*G0_0_1_7_1 - 0.00746681889539156*G0_0_1_7_2 - 0.038978164692457*G0_0_1_7_3 + 0.0306893106893158*G0_0_1_7_4 + 0.0224004566861746*G0_0_1_7_6 - 0.0853546453546593*G0_0_1_7_7 - 0.0960411017554038*G0_0_1_7_8 - 0.0448009133723495*G0_0_1_7_9 + 0.0181862581862611*G0_0_1_8_0 + 0.0285048285048333*G0_0_1_8_1 + 0.00929356357927941*G0_0_1_8_2 + 0.0668588554302953*G0_0_1_8_3 - 0.0278806907378383*G0_0_1_8_4 - 0.0224004566861748*G0_0_1_8_5 - 0.0960411017554038*G0_0_1_8_7 + 0.189205080633684*G0_0_1_8_8 + 0.0332924218638561*G0_0_1_8_9 + 0.00748965320394022*G0_0_1_9_1 - 0.00748965320394018*G0_0_1_9_2 + 0.0554873697730935*G0_0_1_9_3 - 0.0554873697730934*G0_0_1_9_4 + 0.0448009133723495*G0_0_1_9_5 - 0.033292421863856*G0_0_1_9_6 - 0.0448009133723495*G0_0_1_9_7 + 0.0332924218638561*G0_0_1_9_8 + 0.000626674912389321*G0_1_0_0_1 - 0.00062667491238932*G0_1_0_0_2 + 0.0106407877836468*G0_1_0_0_3 - 0.0106407877836468*G0_1_0_0_4 + 0.0029304029304034*G0_1_0_0_5 - 0.00490176490176571*G0_1_0_0_6 - 0.0029304029304034*G0_1_0_0_7 + 0.00490176490176573*G0_1_0_0_8 + 0.000626674912389321*G0_1_0_1_0 + 0.0430502830502904*G0_1_0_1_1 + 0.0708015793730201*G0_1_0_1_3 - 0.0407211835783334*G0_1_0_1_4 + 0.00917939203653643*G0_1_0_1_5 - 0.0024889396317972*G0_1_0_1_6 - 0.00887493458922184*G0_1_0_1_7 + 0.0129546643832381*G0_1_0_1_8 + 0.0105951191665496*G0_1_0_1_9 - 0.00062667491238932*G0_1_0_2_0 - 0.0430502830502903*G0_1_0_2_2 + 0.0407211835783333*G0_1_0_2_3 - 0.07080157937302*G0_1_0_2_4 + 0.00887493458922182*G0_1_0_2_5 - 0.012954664383238*G0_1_0_2_6 - 0.00917939203653643*G0_1_0_2_7 + 0.00248893963179721*G0_1_0_2_8 - 0.0105951191665495*G0_1_0_2_9 + 0.0106407877836468*G0_1_0_3_0 + 0.0708015793730201*G0_1_0_3_1 + 0.0407211835783333*G0_1_0_3_2 + 0.355119166547799*G0_1_0_3_3 - 0.0297302697302747*G0_1_0_3_5 + 0.00746681889539157*G0_1_0_3_6 - 0.0319223633509403*G0_1_0_3_7 + 0.0393891822463319*G0_1_0_3_8 + 0.0320593692022321*G0_1_0_3_9 - 0.0106407877836468*G0_1_0_4_0 - 0.0407211835783334*G0_1_0_4_1 - 0.07080157937302*G0_1_0_4_2 - 0.355119166547799*G0_1_0_4_4 + 0.0319223633509402*G0_1_0_4_5 - 0.0393891822463318*G0_1_0_4_6 + 0.0297302697302747*G0_1_0_4_7 - 0.00746681889539166*G0_1_0_4_8 - 0.0320593692022318*G0_1_0_4_9 + 0.0029304029304034*G0_1_0_5_0 + 0.00917939203653643*G0_1_0_5_1 + 0.00887493458922182*G0_1_0_5_2 - 0.0297302697302747*G0_1_0_5_3 + 0.0319223633509402*G0_1_0_5_4 + 0.151528471528497*G0_1_0_5_5 - 0.00691879549022521*G0_1_0_5_6 - 0.0275381761096093*G0_1_0_5_8 + 0.0550763522192187*G0_1_0_5_9 - 0.00490176490176571*G0_1_0_6_0 - 0.0024889396317972*G0_1_0_6_1 - 0.012954664383238*G0_1_0_6_2 + 0.00746681889539157*G0_1_0_6_3 - 0.0393891822463318*G0_1_0_6_4 - 0.00691879549022521*G0_1_0_6_5 + 0.002329099471957*G0_1_0_6_6 + 0.0275381761096093*G0_1_0_6_7 + 0.0168517197088654*G0_1_0_6_9 - 0.0029304029304034*G0_1_0_7_0 - 0.00887493458922184*G0_1_0_7_1 - 0.00917939203653643*G0_1_0_7_2 - 0.0319223633509403*G0_1_0_7_3 + 0.0297302697302747*G0_1_0_7_4 + 0.0275381761096093*G0_1_0_7_6 - 0.151528471528496*G0_1_0_7_7 + 0.00691879549022507*G0_1_0_7_8 - 0.0550763522192186*G0_1_0_7_9 + 0.00490176490176574*G0_1_0_8_0 + 0.0129546643832381*G0_1_0_8_1 + 0.00248893963179721*G0_1_0_8_2 + 0.0393891822463319*G0_1_0_8_3 - 0.00746681889539166*G0_1_0_8_4 - 0.0275381761096093*G0_1_0_8_5 + 0.00691879549022507*G0_1_0_8_7 - 0.00232909947195655*G0_1_0_8_8 - 0.0168517197088653*G0_1_0_8_9 + 0.0105951191665496*G0_1_0_9_1 - 0.0105951191665495*G0_1_0_9_2 + 0.0320593692022321*G0_1_0_9_3 - 0.0320593692022318*G0_1_0_9_4 + 0.0550763522192187*G0_1_0_9_5 + 0.0168517197088654*G0_1_0_9_6 - 0.0550763522192186*G0_1_0_9_7 - 0.0168517197088653*G0_1_0_9_8 + 0.04822831489499*G0_1_1_0_0 + 0.0066509856986059*G0_1_1_0_1 + 0.00227440989345788*G0_1_1_0_2 + 0.0108665937237385*G0_1_1_0_3 - 0.0117013145584594*G0_1_1_0_4 + 0.0164280164280192*G0_1_1_0_5 - 0.013675213675216*G0_1_1_0_6 + 0.0727272727272851*G0_1_1_0_7 - 0.0111888111888131*G0_1_1_0_8 - 0.00106560106560119*G0_1_1_0_9 + 0.0066509856986059*G0_1_1_1_0 + 0.0302393902393954*G0_1_1_1_1 + 0.00101965054346022*G0_1_1_1_2 + 0.0611198325484144*G0_1_1_1_3 - 0.0383616383616449*G0_1_1_1_4 + 0.0142612942612967*G0_1_1_1_5 - 0.00656359513502481*G0_1_1_1_6 + 0.0147560376131829*G0_1_1_1_7 + 0.0193685679399998*G0_1_1_1_8 + 0.0231083202511813*G0_1_1_1_9 + 0.00227440989345788*G0_1_1_2_0 + 0.00101965054346022*G0_1_1_2_1 - 0.0398072474263018*G0_1_1_2_2 + 0.0383616383616449*G0_1_1_2_3 - 0.0697588126159674*G0_1_1_2_4 + 0.012066663495237*G0_1_1_2_5 - 0.0142308485165652*G0_1_1_2_6 + 0.0027299684442546*G0_1_1_2_7 + 0.00419897562754775*G0_1_1_2_8 + 0.00578469149897818*G0_1_1_2_9 + 0.0108665937237385*G0_1_1_3_0 + 0.0611198325484144*G0_1_1_3_1 + 0.0383616383616449*G0_1_1_3_2 + 0.353566433566494*G0_1_1_3_3 + 0.000296846011131925*G0_1_1_3_4 - 0.030734979306413*G0_1_1_3_5 + 0.00577708006279533*G0_1_1_3_6 - 0.0465134865134945*G0_1_1_3_7 + 0.0730241187384168*G0_1_1_3_8 + 0.0237020122734451*G0_1_1_3_9 - 0.0117013145584594*G0_1_1_4_0 - 0.0383616383616449*G0_1_1_4_1 - 0.0697588126159674*G0_1_1_4_2 + 0.000296846011131925*G0_1_1_4_3 - 0.316803196803251*G0_1_1_4_4 + 0.021190238333099*G0_1_1_4_5 - 0.0269673183958944*G0_1_1_4_6 + 0.0204138718424467*G0_1_1_4_7 - 0.0265106322249224*G0_1_1_4_8 - 0.0597345511631326*G0_1_1_4_9 + 0.0164280164280192*G0_1_1_5_0 + 0.0142612942612966*G0_1_1_5_1 + 0.012066663495237*G0_1_1_5_2 - 0.030734979306413*G0_1_1_5_3 + 0.021190238333099*G0_1_1_5_4 + 0.135544455544478*G0_1_1_5_5 - 0.0239303553589308*G0_1_1_5_6 + 0.0788011988012119*G0_1_1_5_7 - 0.056697588126169*G0_1_1_5_8 + 0.116591979449142*G0_1_1_5_9 - 0.013675213675216*G0_1_1_6_0 - 0.00656359513502481*G0_1_1_6_1 - 0.0142308485165652*G0_1_1_6_2 + 0.00577708006279534*G0_1_1_6_3 - 0.0269673183958944*G0_1_1_6_4 - 0.0239303553589308*G0_1_1_6_5 + 0.0212815755672934*G0_1_1_6_6 - 0.0221036106750429*G0_1_1_6_7 + 0.0105037819323551*G0_1_1_6_8 - 0.0289082346225252*G0_1_1_6_9 + 0.0727272727272851*G0_1_1_7_0 + 0.0147560376131829*G0_1_1_7_1 + 0.0027299684442546*G0_1_1_7_2 - 0.0465134865134945*G0_1_1_7_3 + 0.0204138718424467*G0_1_1_7_4 + 0.0788011988012119*G0_1_1_7_5 - 0.0221036106750429*G0_1_1_7_6 + 0.141618381618406*G0_1_1_7_7 - 0.173152561724019*G0_1_1_7_8 + 0.0474040245468896*G0_1_1_7_9 - 0.0111888111888131*G0_1_1_8_0 + 0.0193685679399998*G0_1_1_8_1 + 0.00419897562754775*G0_1_1_8_2 + 0.0730241187384168*G0_1_1_8_3 - 0.0265106322249224*G0_1_1_8_4 - 0.056697588126169*G0_1_1_8_5 + 0.0105037819323551*G0_1_1_8_6 - 0.173152561724019*G0_1_1_8_7 + 0.2247809333524*G0_1_1_8_8 - 0.0163036963036991*G0_1_1_8_9 - 0.00106560106560119*G0_1_1_9_0 + 0.0231083202511813*G0_1_1_9_1 + 0.00578469149897818*G0_1_1_9_2 + 0.0237020122734451*G0_1_1_9_3 - 0.0597345511631326*G0_1_1_9_4 + 0.116591979449142*G0_1_1_9_5 - 0.0289082346225252*G0_1_1_9_6 + 0.0474040245468896*G0_1_1_9_7 - 0.0163036963036991*G0_1_1_9_8 + 0.027949193663484*G0_1_1_9_9;
    A[204] = A[148] + 0.0288106954773665*G0_0_1_0_0 + 0.00220449744259304*G0_0_1_0_1 + 0.00173625316482486*G0_0_1_0_2 - 0.0011138068280927*G0_0_1_0_3 + 0.00123812695241288*G0_0_1_0_4 + 0.0234432234432271*G0_0_1_0_5 - 0.00991008991009147*G0_0_1_0_6 + 0.0174048174048202*G0_0_1_0_7 - 0.023194583194587*G0_0_1_0_8 + 0.0142790542790567*G0_0_1_0_9 + 0.00220449744259304*G0_0_1_1_0 + 0.0137344137344161*G0_0_1_1_1 - 0.000153638248876366*G0_0_1_1_2 + 0.00824064824064967*G0_0_1_1_3 - 0.00197389911675662*G0_0_1_1_4 - 0.000809349380778099*G0_0_1_1_5 + 0.00233417376274558*G0_0_1_1_6 - 0.00545486259772066*G0_0_1_1_7 - 0.0161260961260988*G0_0_1_1_8 - 0.0115389372532249*G0_0_1_1_9 + 0.00173625316482486*G0_0_1_2_0 - 0.000153638248876366*G0_0_1_2_1 - 0.000979901932283064*G0_0_1_2_2 + 0.00127872127872152*G0_0_1_2_3 - 0.000616526330812191*G0_0_1_2_4 + 0.000527726242012041*G0_0_1_2_5 - 0.00057593200450355*G0_0_1_2_6 - 0.00252192252192295*G0_0_1_2_7 - 0.00447045018473663*G0_0_1_2_8 - 0.0146444032158343*G0_0_1_2_9 - 0.0011138068280927*G0_0_1_3_0 + 0.00824064824064968*G0_0_1_3_1 + 0.00127872127872152*G0_0_1_3_2 + 0.0268988154702494*G0_0_1_3_3 - 0.00358498644212991*G0_0_1_3_4 - 0.00105037819323552*G0_0_1_3_6 + 0.00929356357927931*G0_0_1_3_7 - 0.0286570572284905*G0_0_1_3_8 + 0.0160296846011161*G0_0_1_3_9 + 0.00123812695241288*G0_0_1_4_0 - 0.00197389911675662*G0_0_1_4_1 - 0.000616526330812191*G0_0_1_4_2 - 0.0035849864421299*G0_0_1_4_3 - 0.00447552447552509*G0_0_1_4_4 + 0.00223776223776259*G0_0_1_4_5 - 0.00118738404452708*G0_0_1_4_6 - 0.00105037819323552*G0_0_1_4_7 + 0.0193634936492111*G0_0_1_4_8 + 0.0394576851719776*G0_0_1_4_9 + 0.0234432234432271*G0_0_1_5_0 - 0.000809349380778099*G0_0_1_5_1 + 0.00052772624201204*G0_0_1_5_2 + 0.00223776223776259*G0_0_1_5_4 + 0.0405994005994073*G0_0_1_5_5 - 0.00248893963179709*G0_0_1_5_6 - 0.0218981018981056*G0_0_1_5_7 + 0.00838019123733554*G0_0_1_5_8 - 0.0595975453118411*G0_0_1_5_9 - 0.00991008991009147*G0_0_1_6_0 + 0.00233417376274558*G0_0_1_6_1 - 0.000575932004503549*G0_0_1_6_2 - 0.00105037819323552*G0_0_1_6_3 - 0.00118738404452708*G0_0_1_6_4 - 0.00248893963179709*G0_0_1_6_5 - 0.00118738404452717*G0_0_1_6_6 + 0.0135179106607701*G0_0_1_6_7 + 0.000228343085485945*G0_0_1_6_8 + 0.0460339660339738*G0_0_1_6_9 + 0.0174048174048202*G0_0_1_7_0 - 0.00545486259772066*G0_0_1_7_1 - 0.00252192252192294*G0_0_1_7_2 + 0.00929356357927931*G0_0_1_7_3 - 0.00105037819323552*G0_0_1_7_4 - 0.0218981018981056*G0_0_1_7_5 + 0.0135179106607701*G0_0_1_7_6 - 0.0255744255744293*G0_0_1_7_7 + 0.100470957613832*G0_0_1_7_8 - 0.0698729841587101*G0_0_1_7_9 - 0.023194583194587*G0_0_1_8_0 - 0.0161260961260988*G0_0_1_8_1 - 0.00447045018473663*G0_0_1_8_2 - 0.0286570572284905*G0_0_1_8_3 + 0.0193634936492111*G0_0_1_8_4 + 0.00838019123733554*G0_0_1_8_5 + 0.000228343085485942*G0_0_1_8_6 + 0.100470957613832*G0_0_1_8_7 - 0.192721564150168*G0_0_1_8_8 - 0.00411017553874769*G0_0_1_8_9 + 0.0142790542790567*G0_0_1_9_0 - 0.0115389372532249*G0_0_1_9_1 - 0.0146444032158343*G0_0_1_9_2 + 0.016029684601116*G0_0_1_9_3 + 0.0394576851719776*G0_0_1_9_4 - 0.059597545311841*G0_0_1_9_5 + 0.0460339660339738*G0_0_1_9_6 - 0.0698729841587101*G0_0_1_9_7 - 0.00411017553874768*G0_0_1_9_8 + 0.0328814043099818*G0_0_1_9_9 - 0.0288106954773665*G0_1_0_0_0 - 0.00220449744259304*G0_1_0_0_1 - 0.00173625316482486*G0_1_0_0_2 + 0.0011138068280927*G0_1_0_0_3 - 0.00123812695241288*G0_1_0_0_4 - 0.0234432234432271*G0_1_0_0_5 + 0.00991008991009147*G0_1_0_0_6 - 0.0174048174048202*G0_1_0_0_7 + 0.023194583194587*G0_1_0_0_8 - 0.0142790542790567*G0_1_0_0_9 - 0.00220449744259304*G0_1_0_1_0 - 0.0137344137344161*G0_1_0_1_1 + 0.000153638248876366*G0_1_0_1_2 - 0.00824064824064968*G0_1_0_1_3 + 0.00197389911675662*G0_1_0_1_4 + 0.000809349380778099*G0_1_0_1_5 - 0.00233417376274558*G0_1_0_1_6 + 0.00545486259772066*G0_1_0_1_7 + 0.0161260961260988*G0_1_0_1_8 + 0.0115389372532249*G0_1_0_1_9 - 0.00173625316482486*G0_1_0_2_0 + 0.000153638248876366*G0_1_0_2_1 + 0.000979901932283064*G0_1_0_2_2 - 0.00127872127872152*G0_1_0_2_3 + 0.000616526330812191*G0_1_0_2_4 - 0.000527726242012041*G0_1_0_2_5 + 0.00057593200450355*G0_1_0_2_6 + 0.00252192252192295*G0_1_0_2_7 + 0.00447045018473663*G0_1_0_2_8 + 0.0146444032158343*G0_1_0_2_9 + 0.0011138068280927*G0_1_0_3_0 - 0.00824064824064968*G0_1_0_3_1 - 0.00127872127872152*G0_1_0_3_2 - 0.0268988154702494*G0_1_0_3_3 + 0.00358498644212994*G0_1_0_3_4 + 0.00105037819323552*G0_1_0_3_6 - 0.00929356357927931*G0_1_0_3_7 + 0.0286570572284905*G0_1_0_3_8 - 0.0160296846011161*G0_1_0_3_9 - 0.00123812695241288*G0_1_0_4_0 + 0.00197389911675662*G0_1_0_4_1 + 0.000616526330812191*G0_1_0_4_2 + 0.00358498644212991*G0_1_0_4_3 + 0.00447552447552509*G0_1_0_4_4 - 0.0022377622377626*G0_1_0_4_5 + 0.00118738404452708*G0_1_0_4_6 + 0.00105037819323552*G0_1_0_4_7 - 0.0193634936492111*G0_1_0_4_8 - 0.0394576851719776*G0_1_0_4_9 - 0.0234432234432271*G0_1_0_5_0 + 0.000809349380778099*G0_1_0_5_1 - 0.00052772624201204*G0_1_0_5_2 - 0.00223776223776259*G0_1_0_5_4 - 0.0405994005994073*G0_1_0_5_5 + 0.00248893963179709*G0_1_0_5_6 + 0.0218981018981056*G0_1_0_5_7 - 0.00838019123733554*G0_1_0_5_8 + 0.0595975453118411*G0_1_0_5_9 + 0.00991008991009147*G0_1_0_6_0 - 0.00233417376274558*G0_1_0_6_1 + 0.000575932004503549*G0_1_0_6_2 + 0.00105037819323552*G0_1_0_6_3 + 0.00118738404452708*G0_1_0_6_4 + 0.00248893963179709*G0_1_0_6_5 + 0.00118738404452717*G0_1_0_6_6 - 0.0135179106607701*G0_1_0_6_7 - 0.000228343085485945*G0_1_0_6_8 - 0.0460339660339738*G0_1_0_6_9 - 0.0174048174048202*G0_1_0_7_0 + 0.00545486259772066*G0_1_0_7_1 + 0.00252192252192295*G0_1_0_7_2 - 0.00929356357927931*G0_1_0_7_3 + 0.00105037819323551*G0_1_0_7_4 + 0.0218981018981056*G0_1_0_7_5 - 0.0135179106607701*G0_1_0_7_6 + 0.0255744255744293*G0_1_0_7_7 - 0.100470957613832*G0_1_0_7_8 + 0.0698729841587101*G0_1_0_7_9 + 0.023194583194587*G0_1_0_8_0 + 0.0161260961260988*G0_1_0_8_1 + 0.00447045018473663*G0_1_0_8_2 + 0.0286570572284905*G0_1_0_8_3 - 0.0193634936492111*G0_1_0_8_4 - 0.00838019123733554*G0_1_0_8_5 - 0.000228343085485945*G0_1_0_8_6 - 0.100470957613832*G0_1_0_8_7 + 0.192721564150168*G0_1_0_8_8 + 0.00411017553874768*G0_1_0_8_9 - 0.0142790542790567*G0_1_0_9_0 + 0.0115389372532249*G0_1_0_9_1 + 0.0146444032158343*G0_1_0_9_2 - 0.016029684601116*G0_1_0_9_3 - 0.0394576851719776*G0_1_0_9_4 + 0.059597545311841*G0_1_0_9_5 - 0.0460339660339738*G0_1_0_9_6 + 0.0698729841587101*G0_1_0_9_7 + 0.00411017553874768*G0_1_0_9_8 - 0.0328814043099818*G0_1_0_9_9;
    A[183] = -A[191] + 0.0459708193041605*G0_0_0_0_0 + 0.00147718242956362*G0_0_0_0_1 + 0.00411553173458006*G0_0_0_0_2 + 0.000745920745920912*G0_0_0_0_3 + 0.00395033537890748*G0_0_0_0_4 + 0.0641618698761666*G0_0_0_0_5 - 0.0331807874665074*G0_0_0_0_6 + 0.013236287522004*G0_0_0_0_7 - 0.01216307502022*G0_0_0_0_8 - 0.00417106702821049*G0_0_0_0_9 + 0.00147718242956362*G0_0_0_1_0 - 0.0160234826901524*G0_0_0_1_1 - 0.000125447744495398*G0_0_0_1_2 - 0.00612720612720723*G0_0_0_1_3 - 0.00447552447552521*G0_0_0_1_4 + 0.0114932686361277*G0_0_0_1_5 + 0.00102754388468694*G0_0_0_1_6 + 0.00184704184704219*G0_0_0_1_7 + 0.00381840381840437*G0_0_0_1_8 + 0.0306893106893158*G0_0_0_1_9 + 0.00411553173458006*G0_0_0_2_0 - 0.000125447744495397*G0_0_0_2_1 - 0.00722240722240839*G0_0_0_2_2 - 0.00290249433106625*G0_0_0_2_3 - 0.0124776810491118*G0_0_0_2_4 + 0.0185313099598845*G0_0_0_2_5 - 0.0287966002251765*G0_0_0_2_6 + 0.00530517101945761*G0_0_0_2_7 - 0.0132971790114669*G0_0_0_2_8 - 0.0296237096237146*G0_0_0_2_9 + 0.000745920745920911*G0_0_0_3_0 - 0.00612720612720723*G0_0_0_3_1 - 0.00290249433106625*G0_0_0_3_2 + 0.212587412587449*G0_0_0_3_3 + 0.044549735978315*G0_0_0_3_4 - 0.019135150563725*G0_0_0_3_5 - 0.0015298986727561*G0_0_0_3_6 - 0.000685029256458015*G0_0_0_3_7 - 0.0407592407592475*G0_0_0_3_8 - 0.0906978735550314*G0_0_0_3_9 + 0.00395033537890748*G0_0_0_4_0 - 0.00447552447552521*G0_0_0_4_1 - 0.0124776810491118*G0_0_0_4_2 + 0.044549735978315*G0_0_0_4_3 - 0.0289539032396224*G0_0_0_4_4 - 0.0102982731554178*G0_0_0_4_5 + 0.0118281718281739*G0_0_0_4_6 - 0.0146596260882*G0_0_0_4_7 + 0.0414442700157055*G0_0_0_4_8 + 0.109467675181979*G0_0_0_4_9 + 0.0641618698761666*G0_0_0_5_0 + 0.0114932686361277*G0_0_0_5_1 + 0.0185313099598845*G0_0_0_5_2 - 0.019135150563725*G0_0_0_5_3 - 0.0102982731554178*G0_0_0_5_4 + 0.554097331240282*G0_0_0_5_5 - 0.0263279577565336*G0_0_0_5_6 + 0.0472898530041465*G0_0_0_5_7 - 0.0329270729270784*G0_0_0_5_8 + 0.0783673469387885*G0_0_0_5_9 - 0.0331807874665074*G0_0_0_6_0 + 0.00102754388468694*G0_0_0_6_1 - 0.0287966002251765*G0_0_0_6_2 - 0.0015298986727561*G0_0_0_6_3 + 0.0118281718281739*G0_0_0_6_4 - 0.0263279577565336*G0_0_0_6_5 + 0.101841016126748*G0_0_0_6_6 - 0.0143627800770682*G0_0_0_6_7 + 0.0176280861995177*G0_0_0_6_8 + 0.0919309262166561*G0_0_0_6_9 + 0.013236287522004*G0_0_0_7_0 + 0.00184704184704219*G0_0_0_7_1 + 0.00530517101945761*G0_0_0_7_2 - 0.000685029256458018*G0_0_0_7_3 - 0.0146596260882*G0_0_0_7_4 + 0.0472898530041465*G0_0_0_7_5 - 0.0143627800770682*G0_0_0_7_6 - 0.0131525617239926*G0_0_0_7_7 + 0.0189068074782392*G0_0_0_7_8 + 0.041238761238768*G0_0_0_7_9 - 0.01216307502022*G0_0_0_8_0 + 0.00381840381840438*G0_0_0_8_1 - 0.0132971790114669*G0_0_0_8_2 - 0.0407592407592475*G0_0_0_8_3 + 0.0414442700157055*G0_0_0_8_4 - 0.0329270729270784*G0_0_0_8_5 + 0.0176280861995177*G0_0_0_8_6 + 0.0189068074782392*G0_0_0_8_7 - 0.143856143856168*G0_0_0_8_8 - 0.174956472099359*G0_0_0_8_9 - 0.0041710670282105*G0_0_0_9_0 + 0.0306893106893158*G0_0_0_9_1 - 0.0296237096237146*G0_0_0_9_2 - 0.0906978735550314*G0_0_0_9_3 + 0.109467675181979*G0_0_0_9_4 + 0.0783673469387885*G0_0_0_9_5 + 0.0919309262166561*G0_0_0_9_6 + 0.041238761238768*G0_0_0_9_7 - 0.174956472099359*G0_0_0_9_8 + 0.0641187384044636*G0_0_0_9_9 + 0.0120373453706808*G0_1_0_0_0 + 0.000440053773387192*G0_1_0_0_1 - 0.00150650055411986*G0_1_0_0_2 - 0.00302681445538632*G0_1_0_0_3 + 0.00602318316604132*G0_1_0_0_4 + 0.00651285222713904*G0_1_0_0_5 + 0.00152736152736177*G0_1_0_0_6 - 0.0161387818530702*G0_1_0_0_7 - 0.0097071182785485*G0_1_0_0_8 - 0.0166842681128423*G0_1_0_0_9 + 0.000440053773387191*G0_1_0_1_0 - 0.000795254128587599*G0_1_0_1_2 - 0.00390720390720455*G0_1_0_1_3 - 0.00433344433344509*G0_1_0_1_4 - 0.00285936285936334*G0_1_0_1_5 + 0.00321456321456377*G0_1_0_1_6 - 0.0178310578310608*G0_1_0_1_7 + 0.00390720390720457*G0_1_0_1_8 + 0.0221645021645059*G0_1_0_1_9 - 0.00150650055411986*G0_1_0_2_0 - 0.000795254128587599*G0_1_0_2_1 + 0.0015301805777999*G0_1_0_2_2 - 0.00629719486862446*G0_1_0_2_3 - 0.00902970045827349*G0_1_0_2_4 + 0.002197167911454*G0_1_0_2_5 - 0.000900686614972532*G0_1_0_2_6 - 0.00274519131662034*G0_1_0_2_7 - 0.00654329797187045*G0_1_0_2_8 - 0.0311155511155563*G0_1_0_2_9 - 0.00302681445538633*G0_1_0_3_0 - 0.00390720390720454*G0_1_0_3_1 - 0.00629719486862446*G0_1_0_3_2 + 0.164635364635394*G0_1_0_3_3 + 0.0596203796203897*G0_1_0_3_4 + 0.00242043670615137*G0_1_0_3_5 + 0.00317396888825508*G0_1_0_3_6 + 0.0218981018981054*G0_1_0_3_7 - 0.0543456543456632*G0_1_0_3_8 - 0.110289710289729*G0_1_0_3_9 + 0.00602318316604132*G0_1_0_4_0 - 0.00433344433344509*G0_1_0_4_1 - 0.00902970045827349*G0_1_0_4_2 + 0.0596203796203897*G0_1_0_4_3 - 0.0503268160411102*G0_1_0_4_4 - 0.00525189096617756*G0_1_0_4_5 + 0.00207792207792247*G0_1_0_4_6 - 0.0113258170401046*G0_1_0_4_7 + 0.0324475524475577*G0_1_0_4_8 + 0.103850435279024*G0_1_0_4_9 + 0.00651285222713904*G0_1_0_5_0 - 0.00285936285936334*G0_1_0_5_1 + 0.002197167911454*G0_1_0_5_2 + 0.00242043670615137*G0_1_0_5_3 - 0.00525189096617756*G0_1_0_5_4 - 0.00223776223776246*G0_1_0_5_5 - 0.00730697873555133*G0_1_0_5_6 - 0.0424489795918438*G0_1_0_5_7 + 0.0213957471100364*G0_1_0_5_8 + 0.00726131011845419*G0_1_0_5_9 + 0.00152736152736177*G0_1_0_6_0 + 0.00321456321456377*G0_1_0_6_1 - 0.000900686614972533*G0_1_0_6_2 + 0.00317396888825508*G0_1_0_6_3 + 0.00207792207792247*G0_1_0_6_4 - 0.00730697873555133*G0_1_0_6_5 - 0.01237619523334*G0_1_0_6_6 + 0.0210532324818074*G0_1_0_6_7 - 0.00141572713001314*G0_1_0_6_8 + 0.0869987155701589*G0_1_0_6_9 - 0.0161387818530702*G0_1_0_7_0 - 0.0178310578310608*G0_1_0_7_1 - 0.00274519131662034*G0_1_0_7_2 + 0.0218981018981054*G0_1_0_7_3 - 0.0113258170401046*G0_1_0_7_4 - 0.0424489795918438*G0_1_0_7_5 + 0.0210532324818074*G0_1_0_7_6 - 0.222954188668511*G0_1_0_7_7 + 0.127712287712309*G0_1_0_7_8 + 0.00794633937491211*G0_1_0_7_9 - 0.0097071182785485*G0_1_0_8_0 + 0.00390720390720457*G0_1_0_8_1 - 0.00654329797187045*G0_1_0_8_2 - 0.0543456543456632*G0_1_0_8_3 + 0.0324475524475577*G0_1_0_8_4 + 0.0213957471100364*G0_1_0_8_5 - 0.00141572713001315*G0_1_0_8_6 + 0.127712287712309*G0_1_0_8_7 - 0.0559440559440646*G0_1_0_8_8 - 0.131388611388633*G0_1_0_8_9 - 0.0166842681128423*G0_1_0_9_0 + 0.0221645021645059*G0_1_0_9_1 - 0.0311155511155563*G0_1_0_9_2 - 0.110289710289729*G0_1_0_9_3 + 0.103850435279024*G0_1_0_9_4 + 0.00726131011845419*G0_1_0_9_5 + 0.0869987155701589*G0_1_0_9_6 + 0.0079463393749121*G0_1_0_9_7 - 0.131388611388633*G0_1_0_9_8 + 0.0723390894819594*G0_1_0_9_9;
    A[213] = -A[183] + 0.00616357187785864*G0_0_0_0_0 + 0.00375159232302155*G0_0_0_0_1 + 0.00513518227804029*G0_0_0_0_2 + 0.00347588919017553*G0_0_0_0_3 + 0.00814931100645527*G0_0_0_0_4 - 0.0055969427398008*G0_0_0_0_5 + 0.00518085089513758*G0_0_0_0_6 - 0.000994560994561173*G0_0_0_0_7 + 0.00161362447076766*G0_0_0_0_9 + 0.00375159232302155*G0_0_0_1_0 + 0.0322048322048377*G0_0_0_1_1 + 0.00652553795411049*G0_0_0_1_2 + 0.0666000666000779*G0_0_0_1_3 - 0.0156643356643383*G0_0_0_1_4 - 0.0002080459223317*G0_0_0_1_5 + 0.0118941376084254*G0_0_0_1_6 - 0.0118281718281739*G0_0_0_1_7 + 0.0202464202464237*G0_0_0_1_8 + 0.0296237096237147*G0_0_0_1_9 + 0.00513518227804029*G0_0_0_2_0 + 0.00652553795411049*G0_0_0_2_1 + 0.0230169830169867*G0_0_0_2_2 + 0.0118535432821167*G0_0_0_2_3 + 0.00689088689088806*G0_0_0_2_4 - 0.0198303284017603*G0_0_0_2_5 + 0.0323232323232378*G0_0_0_2_6 - 0.00125842411556719*G0_0_0_2_7 + 0.000964115249829712*G0_0_0_2_8 - 0.00651538937253332*G0_0_0_2_9 + 0.00347588919017553*G0_0_0_3_0 + 0.0666000666000779*G0_0_0_3_1 + 0.0118535432821167*G0_0_0_3_2 + 0.354205794205855*G0_0_0_3_3 - 0.128602825745705*G0_0_0_3_4 + 0.00127872127872159*G0_0_0_3_5 - 0.0480433851862503*G0_0_0_3_6 - 0.022788639931501*G0_0_0_3_7 + 0.0380419580419646*G0_0_0_3_8 - 0.0432938490081417*G0_0_0_3_9 + 0.00814931100645527*G0_0_0_4_0 - 0.0156643356643383*G0_0_0_4_1 + 0.00689088689088805*G0_0_0_4_2 - 0.128602825745705*G0_0_0_4_3 + 0.195827030112777*G0_0_0_4_4 - 0.0368089053803402*G0_0_0_4_5 + 0.0848522905665905*G0_0_0_4_6 - 0.00415584415584483*G0_0_0_4_7 - 0.0152533181104636*G0_0_0_4_8 + 0.0931639788782802*G0_0_0_4_9 - 0.0055969427398008*G0_0_0_5_0 - 0.000208045922331699*G0_0_0_5_1 - 0.0198303284017603*G0_0_0_5_2 + 0.00127872127872159*G0_0_0_5_3 - 0.0368089053803402*G0_0_0_5_4 + 0.237294134437031*G0_0_0_5_5 - 0.0260311117454019*G0_0_0_5_6 + 0.0203225346082522*G0_0_0_5_7 - 0.0117368345939794*G0_0_0_5_8 + 0.0186327957756559*G0_0_0_5_9 + 0.00518085089513758*G0_0_0_6_0 + 0.0118941376084254*G0_0_0_6_1 + 0.0323232323232378*G0_0_0_6_2 - 0.0480433851862503*G0_0_0_6_3 + 0.0848522905665905*G0_0_0_6_4 - 0.0260311117454019*G0_0_0_6_5 + 0.455407449693241*G0_0_0_6_6 - 0.00858570001427284*G0_0_0_6_7 - 0.0131068931068952*G0_0_0_6_8 + 0.115632938490101*G0_0_0_6_9 - 0.000994560994561173*G0_0_0_7_0 - 0.0118281718281739*G0_0_0_7_1 - 0.00125842411556718*G0_0_0_7_2 - 0.022788639931501*G0_0_0_7_3 - 0.00415584415584483*G0_0_0_7_4 + 0.0203225346082522*G0_0_0_7_5 - 0.00858570001427284*G0_0_0_7_6 + 0.00812901384330094*G0_0_0_7_7 - 0.00502354788069161*G0_0_0_7_8 + 0.0123305266162429*G0_0_0_7_9 + 0.0202464202464237*G0_0_0_8_1 + 0.000964115249829712*G0_0_0_8_2 + 0.0380419580419646*G0_0_0_8_3 - 0.0152533181104636*G0_0_0_8_4 - 0.0117368345939794*G0_0_0_8_5 - 0.0131068931068952*G0_0_0_8_6 - 0.00502354788069161*G0_0_0_8_7 - 0.00831168831168968*G0_0_0_8_8 - 0.0583644926502167*G0_0_0_8_9 + 0.00161362447076766*G0_0_0_9_0 + 0.0296237096237147*G0_0_0_9_1 - 0.00651538937253332*G0_0_0_9_2 - 0.0432938490081417*G0_0_0_9_3 + 0.0931639788782802*G0_0_0_9_4 + 0.0186327957756559*G0_0_0_9_5 + 0.115632938490101*G0_0_0_9_6 + 0.0123305266162429*G0_0_0_9_7 - 0.0583644926502167*G0_0_0_9_8 + 0.0920679320679478*G0_0_0_9_9 + 0.00226313369170553*G0_0_1_0_0 + 0.00463733797067213*G0_0_1_0_1 + 0.000866012294583873*G0_0_1_0_2 + 0.00938743795886817*G0_0_1_0_3 - 0.00276041418898609*G0_0_1_0_4 + 0.000426240426240525*G0_0_1_0_5 - 0.00108082393796699*G0_0_1_0_6 - 0.00185211613783076*G0_0_1_0_7 + 0.00371945514802724*G0_0_1_0_8 + 0.00173540744969348*G0_0_1_0_9 + 0.00463733797067213*G0_0_1_1_0 + 0.0770390103723573*G0_0_1_1_1 + 0.00822880822880964*G0_0_1_1_2 + 0.093062493062509*G0_0_1_1_3 - 0.039285159285166*G0_0_1_1_4 + 0.000177600177600194*G0_0_1_1_5 - 0.000888000888001034*G0_0_1_1_6 - 0.018683538683542*G0_0_1_1_7 + 0.0369408369408435*G0_0_1_1_8 + 0.0132134532134555*G0_0_1_1_9 + 0.000866012294583873*G0_0_1_2_0 + 0.00822880822880963*G0_0_1_2_1 + 0.00092352092352108*G0_0_1_2_2 + 0.0181761096046841*G0_0_1_2_3 - 0.00971219256933705*G0_0_1_2_4 + 0.000385646099931893*G0_0_1_2_5 - 0.001441098583956*G0_0_1_2_6 - 0.00174048174048204*G0_0_1_2_7 + 0.00427255284398215*G0_0_1_2_8 + 0.000974263831406869*G0_0_1_2_9 + 0.00938743795886817*G0_0_1_3_0 + 0.093062493062509*G0_0_1_3_1 + 0.0181761096046841*G0_0_1_3_2 + 0.267572427572473*G0_0_1_3_3 - 0.0796003996004132*G0_0_1_3_4 - 0.0103667760810635*G0_0_1_3_5 - 0.00529755958327479*G0_0_1_3_6 - 0.0361238761238823*G0_0_1_3_7 + 0.0569030969031067*G0_0_1_3_8 + 0.0326073926073983*G0_0_1_3_9 - 0.00276041418898609*G0_0_1_4_0 - 0.039285159285166*G0_0_1_4_1 - 0.00971219256933705*G0_0_1_4_2 - 0.0796003996004132*G0_0_1_4_3 + 0.034388468674189*G0_0_1_4_4 + 0.000319680319680333*G0_0_1_4_5 + 0.00497787926359444*G0_0_1_4_6 + 0.0107321250178411*G0_0_1_4_7 - 0.0207792207792244*G0_0_1_4_8 - 0.00356215213358131*G0_0_1_4_9 + 0.000426240426240526*G0_0_1_5_0 + 0.000177600177600194*G0_0_1_5_1 + 0.000385646099931893*G0_0_1_5_2 - 0.0103667760810635*G0_0_1_5_3 + 0.000319680319680333*G0_0_1_5_4 + 0.0338404452690226*G0_0_1_5_5 - 0.00328814043099812*G0_0_1_5_6 + 0.0112344798059103*G0_0_1_5_7 - 0.00849436278007852*G0_0_1_5_8 + 0.0117825032110766*G0_0_1_5_9 - 0.00108082393796699*G0_0_1_6_0 - 0.000888000888001034*G0_0_1_6_1 - 0.001441098583956*G0_0_1_6_2 - 0.00529755958327479*G0_0_1_6_3 + 0.00497787926359444*G0_0_1_6_4 - 0.00328814043099812*G0_0_1_6_5 + 0.025346082488944*G0_0_1_6_6 - 0.00274011702583178*G0_0_1_6_7 - 0.00109604681033272*G0_0_1_6_8 + 0.00767232767232898*G0_0_1_6_9 - 0.00185211613783076*G0_0_1_7_0 - 0.018683538683542*G0_0_1_7_1 - 0.00174048174048204*G0_0_1_7_2 - 0.0361238761238823*G0_0_1_7_3 + 0.0107321250178411*G0_0_1_7_4 + 0.0112344798059103*G0_0_1_7_5 - 0.00274011702583179*G0_0_1_7_6 + 0.0177650920508094*G0_0_1_7_7 - 0.0195004995005029*G0_0_1_7_8 + 0.000274011702583165*G0_0_1_7_9 + 0.00371945514802724*G0_0_1_8_0 + 0.0369408369408435*G0_0_1_8_1 + 0.00427255284398215*G0_0_1_8_2 + 0.0569030969031067*G0_0_1_8_3 - 0.0207792207792244*G0_0_1_8_4 - 0.00849436278007852*G0_0_1_8_5 - 0.00109604681033272*G0_0_1_8_6 - 0.0195004995005029*G0_0_1_8_7 + 0.024615384615389*G0_0_1_8_8 + 0.00191808191808234*G0_0_1_8_9 + 0.00173540744969348*G0_0_1_9_0 + 0.0132134532134555*G0_0_1_9_1 + 0.00097426383140687*G0_0_1_9_2 + 0.0326073926073983*G0_0_1_9_3 - 0.00356215213358131*G0_0_1_9_4 + 0.0117825032110766*G0_0_1_9_5 + 0.00767232767232898*G0_0_1_9_6 + 0.000274011702583166*G0_0_1_9_7 + 0.00191808191808234*G0_0_1_9_8 + 0.0608305979734658*G0_0_1_9_9 + 0.00154596726025325*G0_1_0_0_0 + 0.00113664113664134*G0_1_0_0_1 - 0.000333211761783242*G0_1_0_0_2 + 0.00969189540618284*G0_1_0_0_3 + 0.00539904539904632*G0_1_0_0_4 - 0.000685029256457957*G0_1_0_0_5 + 0.00114171542742992*G0_1_0_0_6 - 0.00128886986029866*G0_1_0_0_7 - 0.00106052677481265*G0_1_0_0_8 + 0.0112344798059103*G0_1_0_0_9 + 0.00113664113664134*G0_1_0_1_0 + 0.0194176194176227*G0_1_0_1_1 + 0.00349280349280409*G0_1_0_1_2 + 0.0483072483072566*G0_1_0_1_3 - 0.0105139305139323*G0_1_0_1_4 - 0.00280608280608329*G0_1_0_1_5 + 0.00220224220224258*G0_1_0_1_6 - 0.00340992340992403*G0_1_0_1_7 + 0.00681984681984802*G0_1_0_1_9 - 0.000333211761783243*G0_1_0_2_0 + 0.00349280349280409*G0_1_0_2_1 - 0.010300810300812*G0_1_0_2_2 + 0.0168060510917682*G0_1_0_2_3 - 0.00203986489700806*G0_1_0_2_4 + 0.00327799184942096*G0_1_0_2_5 - 0.00996590710876591*G0_1_0_2_6 - 0.00234939663511133*G0_1_0_2_7 + 0.00106052677481269*G0_1_0_2_8 - 0.00395794681509034*G0_1_0_2_9 + 0.00969189540618283*G0_1_0_3_0 + 0.0483072483072566*G0_1_0_3_1 + 0.0168060510917682*G0_1_0_3_2 + 0.417182817182889*G0_1_0_3_3 - 0.117962037962058*G0_1_0_3_4 - 0.0068046239474822*G0_1_0_3_5 - 0.0136549165120617*G0_1_0_3_6 - 0.0361238761238824*G0_1_0_3_7 + 0.0463536463536544*G0_1_0_3_8 + 0.0517882117882209*G0_1_0_3_9 + 0.00539904539904633*G0_1_0_4_0 - 0.0105139305139323*G0_1_0_4_1 - 0.00203986489700806*G0_1_0_4_2 - 0.117962037962058*G0_1_0_4_3 + 0.177970600827774*G0_1_0_4_4 - 0.0232453261024729*G0_1_0_4_5 + 0.0369002426145346*G0_1_0_4_6 - 0.00105037819323547*G0_1_0_4_7 - 0.010229770229772*G0_1_0_4_8 + 0.0583644926502167*G0_1_0_4_9 - 0.000685029256457957*G0_1_0_5_0 - 0.00280608280608329*G0_1_0_5_1 + 0.00327799184942096*G0_1_0_5_2 - 0.0068046239474822*G0_1_0_5_3 - 0.0232453261024729*G0_1_0_5_4 + 0.00917939203653643*G0_1_0_5_5 - 0.00342514628228974*G0_1_0_5_6 - 0.00137005851291591*G0_1_0_5_7 + 0.00137005851291591*G0_1_0_5_8 - 0.0364435564435627*G0_1_0_5_9 + 0.00114171542742992*G0_1_0_6_0 + 0.00220224220224258*G0_1_0_6_1 - 0.0099659071087659*G0_1_0_6_2 - 0.0136549165120617*G0_1_0_6_3 + 0.0369002426145346*G0_1_0_6_4 - 0.00342514628228974*G0_1_0_6_5 - 0.00945340373911951*G0_1_0_6_6 - 0.00137005851291594*G0_1_0_6_8 + 0.0391836734693945*G0_1_0_6_9 - 0.00128886986029866*G0_1_0_7_0 - 0.00340992340992403*G0_1_0_7_1 - 0.00234939663511133*G0_1_0_7_2 - 0.0361238761238824*G0_1_0_7_3 - 0.00105037819323547*G0_1_0_7_4 - 0.00137005851291591*G0_1_0_7_5 - 0.0112801484230074*G0_1_0_7_7 + 0.0102297702297718*G0_1_0_7_8 - 0.033703439417731*G0_1_0_7_9 - 0.00106052677481265*G0_1_0_8_0 + 0.00106052677481269*G0_1_0_8_2 + 0.0463536463536544*G0_1_0_8_3 - 0.010229770229772*G0_1_0_8_4 + 0.00137005851291591*G0_1_0_8_5 - 0.00137005851291594*G0_1_0_8_6 + 0.0102297702297718*G0_1_0_8_7 - 0.0463536463536539*G0_1_0_8_8 + 0.0112344798059103*G0_1_0_9_0 + 0.00681984681984802*G0_1_0_9_1 - 0.00395794681509034*G0_1_0_9_2 + 0.0517882117882209*G0_1_0_9_3 + 0.0583644926502167*G0_1_0_9_4 - 0.0364435564435627*G0_1_0_9_5 + 0.0391836734693945*G0_1_0_9_6 - 0.033703439417731*G0_1_0_9_7 + 0.0674068788354618*G0_1_0_9_9 + 0.00133961276818444*G0_1_1_0_0 - 0.00359147025813753*G0_1_1_0_1 + 0.00511488511488602*G0_1_1_0_3 - 0.00101993244850406*G0_1_1_0_4 + 0.00186733901019648*G0_1_1_0_5 - 0.00146647003789887*G0_1_1_0_6 + 0.00786007643150636*G0_1_1_0_7 - 0.0144566544566569*G0_1_1_0_8 + 0.000761143618286634*G0_1_1_0_9 - 0.00359147025813753*G0_1_1_1_0 + 0.00359147025813754*G0_1_1_1_2 + 0.0561216561216657*G0_1_1_1_3 - 0.0206016206016241*G0_1_1_1_4 + 0.00106560106560126*G0_1_1_1_5 - 0.00106560106560127*G0_1_1_1_6 + 0.0206016206016241*G0_1_1_1_7 - 0.0561216561216656*G0_1_1_1_8 + 0.00359147025813754*G0_1_1_2_1 - 0.00133961276818438*G0_1_1_2_2 + 0.0144566544566569*G0_1_1_2_3 - 0.00786007643150629*G0_1_1_2_4 + 0.00146647003789885*G0_1_1_2_5 - 0.00186733901019645*G0_1_1_2_6 + 0.00101993244850403*G0_1_1_2_7 - 0.00511488511488594*G0_1_1_2_8 - 0.000761143618286585*G0_1_1_2_9 + 0.00511488511488602*G0_1_1_3_0 + 0.0561216561216657*G0_1_1_3_1 + 0.0144566544566569*G0_1_1_3_2 + 0.242957042957085*G0_1_1_3_3 - 0.0600999000999104*G0_1_1_3_4 - 0.00927072927073081*G0_1_1_3_5 + 0.00319680319680368*G0_1_1_3_6 - 0.0153446553446581*G0_1_1_3_7 + 0.0306893106893161*G0_1_1_3_9 - 0.00101993244850405*G0_1_1_4_0 - 0.0206016206016241*G0_1_1_4_1 - 0.00786007643150629*G0_1_1_4_2 - 0.0600999000999104*G0_1_1_4_3 + 0.0166233766233797*G0_1_1_4_4 + 0.0030597973455121*G0_1_1_4_5 - 0.0062566005423158*G0_1_1_4_6 + 0.0153446553446578*G0_1_1_4_8 - 0.00383616383616447*G0_1_1_4_9 + 0.00186733901019648*G0_1_1_5_0 + 0.00106560106560127*G0_1_1_5_1 + 0.00146647003789885*G0_1_1_5_2 - 0.00927072927073081*G0_1_1_5_3 + 0.0030597973455121*G0_1_1_5_4 + 0.00849436278007852*G0_1_1_5_5 + 0.00625660054231587*G0_1_1_5_7 - 0.0031968031968037*G0_1_1_5_8 + 0.00411017553874762*G0_1_1_5_9 - 0.00146647003789887*G0_1_1_6_0 - 0.00106560106560127*G0_1_1_6_1 - 0.00186733901019645*G0_1_1_6_2 + 0.00319680319680368*G0_1_1_6_3 - 0.0062566005423158*G0_1_1_6_4 - 0.00849436278007844*G0_1_1_6_6 - 0.00305979734551213*G0_1_1_6_7 + 0.00927072927073075*G0_1_1_6_8 - 0.00411017553874762*G0_1_1_6_9 + 0.00786007643150636*G0_1_1_7_0 + 0.0206016206016241*G0_1_1_7_1 + 0.00101993244850403*G0_1_1_7_2 - 0.0153446553446581*G0_1_1_7_3 + 0.00625660054231587*G0_1_1_7_5 - 0.00305979734551213*G0_1_1_7_6 - 0.0166233766233794*G0_1_1_7_7 + 0.0600999000999101*G0_1_1_7_8 + 0.0038361638361644*G0_1_1_7_9 - 0.0144566544566569*G0_1_1_8_0 - 0.0561216561216656*G0_1_1_8_1 - 0.00511488511488593*G0_1_1_8_2 + 0.0153446553446578*G0_1_1_8_4 - 0.0031968031968037*G0_1_1_8_5 + 0.00927072927073075*G0_1_1_8_6 + 0.0600999000999101*G0_1_1_8_7 - 0.242957042957084*G0_1_1_8_8 - 0.0306893106893158*G0_1_1_8_9 + 0.000761143618286634*G0_1_1_9_0 - 0.000761143618286585*G0_1_1_9_2 + 0.0306893106893161*G0_1_1_9_3 - 0.00383616383616448*G0_1_1_9_4 + 0.00411017553874762*G0_1_1_9_5 - 0.00411017553874762*G0_1_1_9_6 + 0.0038361638361644*G0_1_1_9_7 - 0.0306893106893158*G0_1_1_9_8;
    A[185] = -A[188] + 0.0120373453706806*G0_0_1_0_0 - 0.00150650055411986*G0_0_1_0_1 + 0.000440053773387169*G0_0_1_0_2 + 0.00602318316604131*G0_0_1_0_3 - 0.00302681445538636*G0_0_1_0_4 - 0.0161387818530703*G0_0_1_0_5 - 0.00970711827854849*G0_0_1_0_6 + 0.006512852227139*G0_0_1_0_7 + 0.0015273615273618*G0_0_1_0_8 - 0.0166842681128424*G0_0_1_0_9 - 0.00150650055411986*G0_0_1_1_0 + 0.00153018057780002*G0_0_1_1_1 - 0.000795254128587599*G0_0_1_1_2 - 0.00902970045827338*G0_0_1_1_3 - 0.0062971948686245*G0_0_1_1_4 - 0.00274519131662033*G0_0_1_1_5 - 0.0065432979718705*G0_0_1_1_6 + 0.00219716791145397*G0_0_1_1_7 - 0.000900686614972414*G0_0_1_1_8 - 0.0311155511155563*G0_0_1_1_9 + 0.00044005377338717*G0_0_1_2_0 - 0.000795254128587599*G0_0_1_2_1 - 0.00433344433344505*G0_0_1_2_3 - 0.00390720390720463*G0_0_1_2_4 - 0.0178310578310609*G0_0_1_2_5 + 0.00390720390720449*G0_0_1_2_6 - 0.00285936285936334*G0_0_1_2_7 + 0.00321456321456375*G0_0_1_2_8 + 0.0221645021645059*G0_0_1_2_9 + 0.00602318316604131*G0_0_1_3_0 - 0.00902970045827339*G0_0_1_3_1 - 0.00433344433344505*G0_0_1_3_2 - 0.0503268160411108*G0_0_1_3_3 + 0.0596203796203897*G0_0_1_3_4 - 0.0113258170401047*G0_0_1_3_5 + 0.0324475524475579*G0_0_1_3_6 - 0.00525189096617751*G0_0_1_3_7 + 0.00207792207792236*G0_0_1_3_8 + 0.103850435279024*G0_0_1_3_9 - 0.00302681445538636*G0_0_1_4_0 - 0.0062971948686245*G0_0_1_4_1 - 0.00390720390720462*G0_0_1_4_2 + 0.0596203796203897*G0_0_1_4_3 + 0.164635364635393*G0_0_1_4_4 + 0.0218981018981056*G0_0_1_4_5 - 0.0543456543456634*G0_0_1_4_6 + 0.00242043670615137*G0_0_1_4_7 + 0.00317396888825514*G0_0_1_4_8 - 0.110289710289729*G0_0_1_4_9 - 0.0161387818530703*G0_0_1_5_0 - 0.00274519131662033*G0_0_1_5_1 - 0.0178310578310609*G0_0_1_5_2 - 0.0113258170401047*G0_0_1_5_3 + 0.0218981018981056*G0_0_1_5_4 - 0.222954188668512*G0_0_1_5_5 + 0.127712287712309*G0_0_1_5_6 - 0.0424489795918438*G0_0_1_5_7 + 0.0210532324818075*G0_0_1_5_8 + 0.00794633937491213*G0_0_1_5_9 - 0.00970711827854849*G0_0_1_6_0 - 0.0065432979718705*G0_0_1_6_1 + 0.00390720390720449*G0_0_1_6_2 + 0.0324475524475579*G0_0_1_6_3 - 0.0543456543456634*G0_0_1_6_4 + 0.127712287712309*G0_0_1_6_5 - 0.0559440559440649*G0_0_1_6_6 + 0.0213957471100364*G0_0_1_6_7 - 0.00141572713001311*G0_0_1_6_8 - 0.131388611388633*G0_0_1_6_9 + 0.006512852227139*G0_0_1_7_0 + 0.00219716791145397*G0_0_1_7_1 - 0.00285936285936335*G0_0_1_7_2 - 0.00525189096617751*G0_0_1_7_3 + 0.00242043670615137*G0_0_1_7_4 - 0.0424489795918438*G0_0_1_7_5 + 0.0213957471100364*G0_0_1_7_6 - 0.00223776223776264*G0_0_1_7_7 - 0.00730697873555137*G0_0_1_7_8 + 0.0072613101184542*G0_0_1_7_9 + 0.0015273615273618*G0_0_1_8_0 - 0.000900686614972414*G0_0_1_8_1 + 0.00321456321456375*G0_0_1_8_2 + 0.00207792207792237*G0_0_1_8_3 + 0.00317396888825514*G0_0_1_8_4 + 0.0210532324818074*G0_0_1_8_5 - 0.00141572713001311*G0_0_1_8_6 - 0.00730697873555137*G0_0_1_8_7 - 0.0123761952333403*G0_0_1_8_8 + 0.0869987155701587*G0_0_1_8_9 - 0.0166842681128424*G0_0_1_9_0 - 0.0311155511155563*G0_0_1_9_1 + 0.0221645021645059*G0_0_1_9_2 + 0.103850435279024*G0_0_1_9_3 - 0.110289710289729*G0_0_1_9_4 + 0.00794633937491213*G0_0_1_9_5 - 0.131388611388633*G0_0_1_9_6 + 0.0072613101184542*G0_0_1_9_7 + 0.0869987155701587*G0_0_1_9_8 + 0.0723390894819584*G0_0_1_9_9 + 0.0459708193041604*G0_1_1_0_0 + 0.00411553173458005*G0_1_1_0_1 + 0.00147718242956362*G0_1_1_0_2 + 0.00395033537890744*G0_1_1_0_3 + 0.000745920745920919*G0_1_1_0_4 + 0.013236287522004*G0_1_1_0_5 - 0.01216307502022*G0_1_1_0_6 + 0.0641618698761665*G0_1_1_0_7 - 0.0331807874665074*G0_1_1_0_8 - 0.00417106702821057*G0_1_1_0_9 + 0.00411553173458005*G0_1_1_1_0 - 0.00722240722240843*G0_1_1_1_1 - 0.000125447744495388*G0_1_1_1_2 - 0.0124776810491117*G0_1_1_1_3 - 0.00290249433106623*G0_1_1_1_4 + 0.00530517101945763*G0_1_1_1_5 - 0.013297179011467*G0_1_1_1_6 + 0.0185313099598845*G0_1_1_1_7 - 0.0287966002251765*G0_1_1_1_8 - 0.0296237096237146*G0_1_1_1_9 + 0.00147718242956362*G0_1_1_2_0 - 0.000125447744495389*G0_1_1_2_1 - 0.0160234826901522*G0_1_1_2_2 - 0.00447552447552522*G0_1_1_2_3 - 0.00612720612720721*G0_1_1_2_4 + 0.00184704184704215*G0_1_1_2_5 + 0.00381840381840445*G0_1_1_2_6 + 0.0114932686361277*G0_1_1_2_7 + 0.0010275438846869*G0_1_1_2_8 + 0.0306893106893159*G0_1_1_2_9 + 0.00395033537890744*G0_1_1_3_0 - 0.0124776810491117*G0_1_1_3_1 - 0.00447552447552523*G0_1_1_3_2 - 0.028953903239623*G0_1_1_3_3 + 0.044549735978315*G0_1_1_3_4 - 0.0146596260882*G0_1_1_3_5 + 0.0414442700157056*G0_1_1_3_6 - 0.0102982731554178*G0_1_1_3_7 + 0.0118281718281737*G0_1_1_3_8 + 0.109467675181979*G0_1_1_3_9 + 0.00074592074592092*G0_1_1_4_0 - 0.00290249433106623*G0_1_1_4_1 - 0.00612720612720721*G0_1_1_4_2 + 0.044549735978315*G0_1_1_4_3 + 0.212587412587449*G0_1_1_4_4 - 0.000685029256457963*G0_1_1_4_5 - 0.0407592407592476*G0_1_1_4_6 - 0.0191351505637252*G0_1_1_4_7 - 0.00152989867275605*G0_1_1_4_8 - 0.0906978735550315*G0_1_1_4_9 + 0.013236287522004*G0_1_1_5_0 + 0.00530517101945763*G0_1_1_5_1 + 0.00184704184704215*G0_1_1_5_2 - 0.0146596260882*G0_1_1_5_3 - 0.000685029256457963*G0_1_1_5_4 - 0.0131525617239926*G0_1_1_5_5 + 0.0189068074782393*G0_1_1_5_6 + 0.0472898530041466*G0_1_1_5_7 - 0.0143627800770682*G0_1_1_5_8 + 0.0412387612387682*G0_1_1_5_9 - 0.01216307502022*G0_1_1_6_0 - 0.013297179011467*G0_1_1_6_1 + 0.00381840381840445*G0_1_1_6_2 + 0.0414442700157056*G0_1_1_6_3 - 0.0407592407592476*G0_1_1_6_4 + 0.0189068074782393*G0_1_1_6_5 - 0.143856143856168*G0_1_1_6_6 - 0.0329270729270784*G0_1_1_6_7 + 0.0176280861995178*G0_1_1_6_8 - 0.174956472099359*G0_1_1_6_9 + 0.0641618698761665*G0_1_1_7_0 + 0.0185313099598845*G0_1_1_7_1 + 0.0114932686361277*G0_1_1_7_2 - 0.0102982731554178*G0_1_1_7_3 - 0.0191351505637252*G0_1_1_7_4 + 0.0472898530041466*G0_1_1_7_5 - 0.0329270729270784*G0_1_1_7_6 + 0.554097331240282*G0_1_1_7_7 - 0.0263279577565337*G0_1_1_7_8 + 0.0783673469387889*G0_1_1_7_9 - 0.0331807874665074*G0_1_1_8_0 - 0.0287966002251765*G0_1_1_8_1 + 0.00102754388468691*G0_1_1_8_2 + 0.0118281718281737*G0_1_1_8_3 - 0.00152989867275605*G0_1_1_8_4 - 0.0143627800770682*G0_1_1_8_5 + 0.0176280861995178*G0_1_1_8_6 - 0.0263279577565337*G0_1_1_8_7 + 0.101841016126748*G0_1_1_8_8 + 0.0919309262166559*G0_1_1_8_9 - 0.00417106702821058*G0_1_1_9_0 - 0.0296237096237146*G0_1_1_9_1 + 0.0306893106893159*G0_1_1_9_2 + 0.109467675181979*G0_1_1_9_3 - 0.0906978735550315*G0_1_1_9_4 + 0.0412387612387682*G0_1_1_9_5 - 0.174956472099359*G0_1_1_9_6 + 0.0783673469387889*G0_1_1_9_7 + 0.0919309262166559*G0_1_1_9_8 + 0.0641187384044631*G0_1_1_9_9;
    A[87] = -A[132] + 0.0120373453706806*G0_1_0_0_0 - 0.00150650055411986*G0_1_0_0_1 + 0.00044005377338717*G0_1_0_0_2 + 0.00602318316604131*G0_1_0_0_3 - 0.00302681445538636*G0_1_0_0_4 - 0.0161387818530703*G0_1_0_0_5 - 0.00970711827854849*G0_1_0_0_6 + 0.006512852227139*G0_1_0_0_7 + 0.0015273615273618*G0_1_0_0_8 - 0.0166842681128424*G0_1_0_0_9 - 0.00150650055411986*G0_1_0_1_0 + 0.00153018057780002*G0_1_0_1_1 - 0.0007952541285876*G0_1_0_1_2 - 0.00902970045827338*G0_1_0_1_3 - 0.0062971948686245*G0_1_0_1_4 - 0.00274519131662033*G0_1_0_1_5 - 0.0065432979718705*G0_1_0_1_6 + 0.00219716791145397*G0_1_0_1_7 - 0.000900686614972413*G0_1_0_1_8 - 0.0311155511155563*G0_1_0_1_9 + 0.00044005377338717*G0_1_0_2_0 - 0.0007952541285876*G0_1_0_2_1 - 0.00433344433344504*G0_1_0_2_3 - 0.00390720390720462*G0_1_0_2_4 - 0.0178310578310609*G0_1_0_2_5 + 0.00390720390720449*G0_1_0_2_6 - 0.00285936285936334*G0_1_0_2_7 + 0.00321456321456375*G0_1_0_2_8 + 0.0221645021645059*G0_1_0_2_9 + 0.00602318316604131*G0_1_0_3_0 - 0.00902970045827338*G0_1_0_3_1 - 0.00433344433344505*G0_1_0_3_2 - 0.0503268160411108*G0_1_0_3_3 + 0.0596203796203897*G0_1_0_3_4 - 0.0113258170401047*G0_1_0_3_5 + 0.0324475524475579*G0_1_0_3_6 - 0.00525189096617751*G0_1_0_3_7 + 0.00207792207792236*G0_1_0_3_8 + 0.103850435279024*G0_1_0_3_9 - 0.00302681445538636*G0_1_0_4_0 - 0.0062971948686245*G0_1_0_4_1 - 0.00390720390720463*G0_1_0_4_2 + 0.0596203796203897*G0_1_0_4_3 + 0.164635364635393*G0_1_0_4_4 + 0.0218981018981056*G0_1_0_4_5 - 0.0543456543456634*G0_1_0_4_6 + 0.00242043670615137*G0_1_0_4_7 + 0.00317396888825514*G0_1_0_4_8 - 0.110289710289729*G0_1_0_4_9 - 0.0161387818530703*G0_1_0_5_0 - 0.00274519131662033*G0_1_0_5_1 - 0.0178310578310609*G0_1_0_5_2 - 0.0113258170401047*G0_1_0_5_3 + 0.0218981018981056*G0_1_0_5_4 - 0.222954188668512*G0_1_0_5_5 + 0.127712287712309*G0_1_0_5_6 - 0.0424489795918438*G0_1_0_5_7 + 0.0210532324818075*G0_1_0_5_8 + 0.00794633937491213*G0_1_0_5_9 - 0.00970711827854849*G0_1_0_6_0 - 0.0065432979718705*G0_1_0_6_1 + 0.00390720390720449*G0_1_0_6_2 + 0.0324475524475579*G0_1_0_6_3 - 0.0543456543456634*G0_1_0_6_4 + 0.127712287712309*G0_1_0_6_5 - 0.0559440559440648*G0_1_0_6_6 + 0.0213957471100364*G0_1_0_6_7 - 0.00141572713001311*G0_1_0_6_8 - 0.131388611388633*G0_1_0_6_9 + 0.006512852227139*G0_1_0_7_0 + 0.00219716791145397*G0_1_0_7_1 - 0.00285936285936334*G0_1_0_7_2 - 0.00525189096617751*G0_1_0_7_3 + 0.00242043670615137*G0_1_0_7_4 - 0.0424489795918438*G0_1_0_7_5 + 0.0213957471100364*G0_1_0_7_6 - 0.00223776223776264*G0_1_0_7_7 - 0.00730697873555137*G0_1_0_7_8 + 0.0072613101184542*G0_1_0_7_9 + 0.0015273615273618*G0_1_0_8_0 - 0.000900686614972414*G0_1_0_8_1 + 0.00321456321456375*G0_1_0_8_2 + 0.00207792207792237*G0_1_0_8_3 + 0.00317396888825514*G0_1_0_8_4 + 0.0210532324818075*G0_1_0_8_5 - 0.00141572713001311*G0_1_0_8_6 - 0.00730697873555137*G0_1_0_8_7 - 0.0123761952333403*G0_1_0_8_8 + 0.0869987155701587*G0_1_0_8_9 - 0.0166842681128424*G0_1_0_9_0 - 0.0311155511155563*G0_1_0_9_1 + 0.0221645021645059*G0_1_0_9_2 + 0.103850435279024*G0_1_0_9_3 - 0.110289710289729*G0_1_0_9_4 + 0.00794633937491213*G0_1_0_9_5 - 0.131388611388633*G0_1_0_9_6 + 0.0072613101184542*G0_1_0_9_7 + 0.0869987155701587*G0_1_0_9_8 + 0.0723390894819583*G0_1_0_9_9 + 0.0459708193041604*G0_1_1_0_0 + 0.00411553173458005*G0_1_1_0_1 + 0.00147718242956362*G0_1_1_0_2 + 0.00395033537890744*G0_1_1_0_3 + 0.000745920745920919*G0_1_1_0_4 + 0.013236287522004*G0_1_1_0_5 - 0.01216307502022*G0_1_1_0_6 + 0.0641618698761665*G0_1_1_0_7 - 0.0331807874665074*G0_1_1_0_8 - 0.00417106702821057*G0_1_1_0_9 + 0.00411553173458005*G0_1_1_1_0 - 0.00722240722240843*G0_1_1_1_1 - 0.000125447744495389*G0_1_1_1_2 - 0.0124776810491117*G0_1_1_1_3 - 0.00290249433106623*G0_1_1_1_4 + 0.00530517101945763*G0_1_1_1_5 - 0.013297179011467*G0_1_1_1_6 + 0.0185313099598845*G0_1_1_1_7 - 0.0287966002251765*G0_1_1_1_8 - 0.0296237096237146*G0_1_1_1_9 + 0.00147718242956362*G0_1_1_2_0 - 0.000125447744495389*G0_1_1_2_1 - 0.0160234826901522*G0_1_1_2_2 - 0.00447552447552523*G0_1_1_2_3 - 0.00612720612720721*G0_1_1_2_4 + 0.00184704184704215*G0_1_1_2_5 + 0.00381840381840445*G0_1_1_2_6 + 0.0114932686361277*G0_1_1_2_7 + 0.0010275438846869*G0_1_1_2_8 + 0.0306893106893159*G0_1_1_2_9 + 0.00395033537890744*G0_1_1_3_0 - 0.0124776810491117*G0_1_1_3_1 - 0.00447552447552523*G0_1_1_3_2 - 0.028953903239623*G0_1_1_3_3 + 0.044549735978315*G0_1_1_3_4 - 0.0146596260882*G0_1_1_3_5 + 0.0414442700157056*G0_1_1_3_6 - 0.0102982731554178*G0_1_1_3_7 + 0.0118281718281737*G0_1_1_3_8 + 0.109467675181979*G0_1_1_3_9 + 0.00074592074592092*G0_1_1_4_0 - 0.00290249433106624*G0_1_1_4_1 - 0.00612720612720721*G0_1_1_4_2 + 0.044549735978315*G0_1_1_4_3 + 0.212587412587449*G0_1_1_4_4 - 0.000685029256457963*G0_1_1_4_5 - 0.0407592407592476*G0_1_1_4_6 - 0.0191351505637252*G0_1_1_4_7 - 0.00152989867275605*G0_1_1_4_8 - 0.0906978735550315*G0_1_1_4_9 + 0.013236287522004*G0_1_1_5_0 + 0.00530517101945763*G0_1_1_5_1 + 0.00184704184704215*G0_1_1_5_2 - 0.0146596260882*G0_1_1_5_3 - 0.000685029256457963*G0_1_1_5_4 - 0.0131525617239926*G0_1_1_5_5 + 0.0189068074782393*G0_1_1_5_6 + 0.0472898530041466*G0_1_1_5_7 - 0.0143627800770682*G0_1_1_5_8 + 0.0412387612387682*G0_1_1_5_9 - 0.01216307502022*G0_1_1_6_0 - 0.013297179011467*G0_1_1_6_1 + 0.00381840381840445*G0_1_1_6_2 + 0.0414442700157056*G0_1_1_6_3 - 0.0407592407592476*G0_1_1_6_4 + 0.0189068074782393*G0_1_1_6_5 - 0.143856143856168*G0_1_1_6_6 - 0.0329270729270784*G0_1_1_6_7 + 0.0176280861995178*G0_1_1_6_8 - 0.174956472099359*G0_1_1_6_9 + 0.0641618698761665*G0_1_1_7_0 + 0.0185313099598845*G0_1_1_7_1 + 0.0114932686361277*G0_1_1_7_2 - 0.0102982731554178*G0_1_1_7_3 - 0.0191351505637252*G0_1_1_7_4 + 0.0472898530041466*G0_1_1_7_5 - 0.0329270729270784*G0_1_1_7_6 + 0.554097331240282*G0_1_1_7_7 - 0.0263279577565337*G0_1_1_7_8 + 0.0783673469387889*G0_1_1_7_9 - 0.0331807874665074*G0_1_1_8_0 - 0.0287966002251765*G0_1_1_8_1 + 0.0010275438846869*G0_1_1_8_2 + 0.0118281718281737*G0_1_1_8_3 - 0.00152989867275605*G0_1_1_8_4 - 0.0143627800770682*G0_1_1_8_5 + 0.0176280861995178*G0_1_1_8_6 - 0.0263279577565337*G0_1_1_8_7 + 0.101841016126748*G0_1_1_8_8 + 0.0919309262166559*G0_1_1_8_9 - 0.00417106702821057*G0_1_1_9_0 - 0.0296237096237146*G0_1_1_9_1 + 0.0306893106893159*G0_1_1_9_2 + 0.109467675181979*G0_1_1_9_3 - 0.0906978735550315*G0_1_1_9_4 + 0.0412387612387682*G0_1_1_9_5 - 0.174956472099359*G0_1_1_9_6 + 0.0783673469387889*G0_1_1_9_7 + 0.0919309262166559*G0_1_1_9_8 + 0.0641187384044631*G0_1_1_9_9;
    A[221] = -A[213] - 0.00875258780020847*G0_0_0_0_0 + 0.000669806384092208*G0_0_0_0_1 + 0.0056220322886999*G0_0_0_0_2 - 0.00675388103959652*G0_0_0_0_3 + 0.00805036233607802*G0_0_0_0_4 - 0.0278959136102041*G0_0_0_0_5 + 0.0163341420484307*G0_0_0_0_6 - 0.00344798059083831*G0_0_0_0_7 + 0.00339470053755825*G0_0_0_0_8 + 0.00149184149184176*G0_0_0_0_9 + 0.000669806384092208*G0_0_0_1_0 - 0.0160234826901522*G0_0_0_1_1 + 0.00103712865617646*G0_0_0_1_2 + 0.0196780996781031*G0_0_0_1_4 - 0.00218701932987685*G0_0_0_1_5 + 0.0143526314954911*G0_0_0_1_6 - 0.000142080142080121*G0_0_0_1_7 - 0.00222000222000266*G0_0_0_1_8 + 0.00852480852480993*G0_0_0_1_9 + 0.0056220322886999*G0_0_0_2_0 + 0.00103712865617645*G0_0_0_2_1 + 0.0339334739334794*G0_0_0_2_2 - 0.00245595674167142*G0_0_0_2_3 + 0.0293750693750744*G0_0_0_2_4 - 0.0347081489938691*G0_0_0_2_5 + 0.0576490176490273*G0_0_0_2_6 - 0.00207284778713383*G0_0_0_2_7 + 0.00377273520130725*G0_0_0_2_8 + 0.0125132010846318*G0_0_0_2_9 - 0.00675388103959652*G0_0_0_3_0 - 0.00245595674167142*G0_0_0_3_2 - 0.0879120879121031*G0_0_0_3_3 - 0.10880548023407*G0_0_0_3_4 + 0.0190438133295309*G0_0_0_3_5 - 0.0543228200371146*G0_0_0_3_6 + 0.00899671756814772*G0_0_0_3_7 + 0.0135864135864157*G0_0_0_3_8 - 0.0435678607107252*G0_0_0_3_9 + 0.00805036233607802*G0_0_0_4_0 + 0.0196780996781031*G0_0_0_4_1 + 0.0293750693750744*G0_0_0_4_2 - 0.10880548023407*G0_0_0_4_3 + 0.209801626944519*G0_0_0_4_4 - 0.0354160125588757*G0_0_0_4_5 + 0.0897388325959904*G0_0_0_4_6 - 0.00333380904809534*G0_0_0_4_7 - 0.0225831311545634*G0_0_0_4_8 + 0.0332924218638559*G0_0_0_4_9 - 0.027895913610204*G0_0_0_5_0 - 0.00218701932987685*G0_0_0_5_1 - 0.0347081489938691*G0_0_0_5_2 + 0.0190438133295309*G0_0_0_5_3 - 0.0354160125588757*G0_0_0_5_4 + 0.114217211360088*G0_0_0_5_5 - 0.0190209790209823*G0_0_0_5_6 + 0.00975024975025138*G0_0_0_5_7 - 0.00470386756101118*G0_0_0_5_8 + 0.00493221064649712*G0_0_0_5_9 + 0.0163341420484307*G0_0_0_6_0 + 0.0143526314954911*G0_0_0_6_1 + 0.0576490176490273*G0_0_0_6_2 - 0.0543228200371146*G0_0_0_6_3 + 0.0897388325959904*G0_0_0_6_4 - 0.0190209790209823*G0_0_0_6_5 + 0.556335093478044*G0_0_0_6_6 - 0.00504638218924015*G0_0_0_6_7 - 0.0215555872698764*G0_0_0_6_8 + 0.071106036820334*G0_0_0_6_9 - 0.00344798059083831*G0_0_0_7_0 - 0.00014208014208012*G0_0_0_7_1 - 0.00207284778713383*G0_0_0_7_2 + 0.00899671756814772*G0_0_0_7_3 - 0.00333380904809534*G0_0_0_7_4 + 0.00975024975025138*G0_0_0_7_5 - 0.00504638218924015*G0_0_0_7_6 + 0.0213729128014879*G0_0_0_7_7 - 0.0150706436420747*G0_0_0_7_8 + 0.00561723990295515*G0_0_0_7_9 + 0.00339470053755825*G0_0_0_8_0 - 0.00222000222000266*G0_0_0_8_1 + 0.00377273520130725*G0_0_0_8_2 + 0.0135864135864157*G0_0_0_8_3 - 0.0225831311545634*G0_0_0_8_4 - 0.00470386756101118*G0_0_0_8_5 - 0.0215555872698764*G0_0_0_8_6 - 0.0150706436420747*G0_0_0_8_7 + 0.0479520479520557*G0_0_0_8_8 + 0.0195918367346971*G0_0_0_8_9 + 0.00149184149184176*G0_0_0_9_0 + 0.00852480852480993*G0_0_0_9_1 + 0.0125132010846318*G0_0_0_9_2 - 0.0435678607107252*G0_0_0_9_3 + 0.0332924218638559*G0_0_0_9_4 + 0.00493221064649712*G0_0_0_9_5 + 0.071106036820334*G0_0_0_9_6 + 0.00561723990295515*G0_0_0_9_7 + 0.0195918367346971*G0_0_0_9_8 - 0.00822035107749555*G0_0_0_9_9 - 0.00153018057780002*G0_1_0_0_0 + 0.000795254128587606*G0_1_0_0_1 + 0.00150650055411986*G0_1_0_0_2 + 0.00654329797187048*G0_1_0_0_3 + 0.00274519131662039*G0_1_0_0_4 + 0.000900686614972437*G0_1_0_0_5 - 0.00219716791145394*G0_1_0_0_6 + 0.00902970045827336*G0_1_0_0_7 + 0.00629719486862451*G0_1_0_0_8 + 0.0311155511155564*G0_1_0_0_9 + 0.000795254128587606*G0_1_0_1_0 - 0.000440053773387168*G0_1_0_1_2 - 0.00390720390720451*G0_1_0_1_3 + 0.0178310578310609*G0_1_0_1_4 - 0.00321456321456378*G0_1_0_1_5 + 0.00285936285936335*G0_1_0_1_6 + 0.00433344433344501*G0_1_0_1_7 + 0.00390720390720469*G0_1_0_1_8 - 0.0221645021645059*G0_1_0_1_9 + 0.00150650055411986*G0_1_0_2_0 - 0.000440053773387167*G0_1_0_2_1 - 0.0120373453706807*G0_1_0_2_2 + 0.00970711827854845*G0_1_0_2_3 + 0.0161387818530704*G0_1_0_2_4 - 0.0015273615273618*G0_1_0_2_5 - 0.00651285222713896*G0_1_0_2_6 - 0.00602318316604132*G0_1_0_2_7 + 0.00302681445538638*G0_1_0_2_8 + 0.0166842681128423*G0_1_0_2_9 + 0.00654329797187048*G0_1_0_3_0 - 0.00390720390720451*G0_1_0_3_1 + 0.00970711827854845*G0_1_0_3_2 + 0.0559440559440654*G0_1_0_3_3 - 0.127712287712309*G0_1_0_3_4 + 0.00141572713001315*G0_1_0_3_5 - 0.0213957471100365*G0_1_0_3_6 - 0.0324475524475579*G0_1_0_3_7 + 0.0543456543456635*G0_1_0_3_8 + 0.131388611388633*G0_1_0_3_9 + 0.00274519131662039*G0_1_0_4_0 + 0.0178310578310609*G0_1_0_4_1 + 0.0161387818530704*G0_1_0_4_2 - 0.127712287712309*G0_1_0_4_3 + 0.222954188668512*G0_1_0_4_4 - 0.0210532324818075*G0_1_0_4_5 + 0.042448979591844*G0_1_0_4_6 + 0.0113258170401047*G0_1_0_4_7 - 0.0218981018981056*G0_1_0_4_8 - 0.00794633937491209*G0_1_0_4_9 + 0.000900686614972436*G0_1_0_5_0 - 0.00321456321456378*G0_1_0_5_1 - 0.0015273615273618*G0_1_0_5_2 + 0.00141572713001315*G0_1_0_5_3 - 0.0210532324818075*G0_1_0_5_4 + 0.01237619523334*G0_1_0_5_5 + 0.00730697873555128*G0_1_0_5_6 - 0.00207792207792249*G0_1_0_5_7 - 0.00317396888825506*G0_1_0_5_8 - 0.0869987155701589*G0_1_0_5_9 - 0.00219716791145394*G0_1_0_6_0 + 0.00285936285936335*G0_1_0_6_1 - 0.00651285222713896*G0_1_0_6_2 - 0.0213957471100365*G0_1_0_6_3 + 0.042448979591844*G0_1_0_6_4 + 0.00730697873555128*G0_1_0_6_5 + 0.00223776223776261*G0_1_0_6_6 + 0.00525189096617756*G0_1_0_6_7 - 0.00242043670615142*G0_1_0_6_8 - 0.00726131011845419*G0_1_0_6_9 + 0.00902970045827336*G0_1_0_7_0 + 0.00433344433344501*G0_1_0_7_1 - 0.00602318316604132*G0_1_0_7_2 - 0.0324475524475579*G0_1_0_7_3 + 0.0113258170401047*G0_1_0_7_4 - 0.00207792207792249*G0_1_0_7_5 + 0.00525189096617756*G0_1_0_7_6 + 0.0503268160411102*G0_1_0_7_7 - 0.0596203796203897*G0_1_0_7_8 - 0.103850435279024*G0_1_0_7_9 + 0.00629719486862451*G0_1_0_8_0 + 0.00390720390720469*G0_1_0_8_1 + 0.00302681445538638*G0_1_0_8_2 + 0.0543456543456635*G0_1_0_8_3 - 0.0218981018981056*G0_1_0_8_4 - 0.00317396888825506*G0_1_0_8_5 - 0.00242043670615142*G0_1_0_8_6 - 0.0596203796203897*G0_1_0_8_7 - 0.164635364635393*G0_1_0_8_8 + 0.110289710289729*G0_1_0_8_9 + 0.0311155511155564*G0_1_0_9_0 - 0.0221645021645059*G0_1_0_9_1 + 0.0166842681128423*G0_1_0_9_2 + 0.131388611388633*G0_1_0_9_3 - 0.0079463393749121*G0_1_0_9_4 - 0.0869987155701589*G0_1_0_9_5 - 0.0072613101184542*G0_1_0_9_6 - 0.103850435279024*G0_1_0_9_7 + 0.110289710289729*G0_1_0_9_8 - 0.0723390894819591*G0_1_0_9_9;
    A[149] = A[221] - 0.0201460620508276*G0_0_0_0_0 - 0.00252135871183533*G0_0_0_0_2 + 0.00351648351648413*G0_0_0_0_3 + 0.00219209362066544*G0_0_0_0_4 - 0.013208378922667*G0_0_0_0_5 + 0.010889428032287*G0_0_0_0_6 - 0.0114476000190307*G0_0_0_0_7 + 0.00618048618048728*G0_0_0_0_8 - 0.00182674468388789*G0_0_0_0_9 + 0.0201460620508274*G0_0_0_1_1 + 0.00252135871183533*G0_0_0_1_2 + 0.0132083789226669*G0_0_0_1_3 - 0.010889428032287*G0_0_0_1_4 - 0.00351648351648411*G0_0_0_1_5 - 0.00219209362066541*G0_0_0_1_6 - 0.00618048618048726*G0_0_0_1_7 + 0.0114476000190306*G0_0_0_1_8 + 0.00182674468388786*G0_0_0_1_9 - 0.00252135871183533*G0_0_0_2_0 + 0.00252135871183533*G0_0_0_2_1 - 0.0029836829836835*G0_0_0_2_3 - 0.00127872127872148*G0_0_0_2_4 + 0.00298368298368345*G0_0_0_2_5 + 0.00127872127872155*G0_0_0_2_6 - 0.000913372341943922*G0_0_0_2_7 + 0.000913372341943933*G0_0_0_2_8 + 0.00351648351648413*G0_0_0_3_0 + 0.0132083789226669*G0_0_0_3_1 - 0.0029836829836835*G0_0_0_3_2 + 0.082842871414314*G0_0_0_3_3 + 0.0151619808762692*G0_0_0_3_4 + 0.00657628086199617*G0_0_0_3_6 - 0.0105494505494523*G0_0_0_3_7 + 0.0132895675752841*G0_0_0_3_8 + 0.0156186670472411*G0_0_0_3_9 + 0.00219209362066544*G0_0_0_4_0 - 0.010889428032287*G0_0_0_4_1 - 0.00127872127872148*G0_0_0_4_2 + 0.0151619808762692*G0_0_0_4_3 + 0.140659340659365*G0_0_0_4_4 - 0.00657628086199622*G0_0_0_4_5 - 0.00191808191808225*G0_0_0_4_7 - 0.0027401170258318*G0_0_0_4_8 + 0.0131525617239925*G0_0_0_4_9 - 0.013208378922667*G0_0_0_5_0 - 0.00351648351648411*G0_0_0_5_1 + 0.00298368298368345*G0_0_0_5_2 - 0.00657628086199622*G0_0_0_5_4 - 0.0828428714143139*G0_0_0_5_5 - 0.0151619808762692*G0_0_0_5_6 - 0.0132895675752841*G0_0_0_5_7 + 0.0105494505494523*G0_0_0_5_8 - 0.015618667047241*G0_0_0_5_9 + 0.010889428032287*G0_0_0_6_0 - 0.00219209362066541*G0_0_0_6_1 + 0.00127872127872155*G0_0_0_6_2 + 0.00657628086199617*G0_0_0_6_3 - 0.0151619808762692*G0_0_0_6_5 - 0.140659340659364*G0_0_0_6_6 + 0.00274011702583176*G0_0_0_6_7 + 0.00191808191808217*G0_0_0_6_8 - 0.0131525617239924*G0_0_0_6_9 - 0.0114476000190307*G0_0_0_7_0 - 0.00618048618048726*G0_0_0_7_1 - 0.000913372341943922*G0_0_0_7_2 - 0.0105494505494523*G0_0_0_7_3 - 0.00191808191808225*G0_0_0_7_4 - 0.0132895675752841*G0_0_0_7_5 + 0.00274011702583176*G0_0_0_7_6 + 0.00618048618048728*G0_0_0_8_0 + 0.0114476000190306*G0_0_0_8_1 + 0.000913372341943934*G0_0_0_8_2 + 0.0132895675752841*G0_0_0_8_3 - 0.0027401170258318*G0_0_0_8_4 + 0.0105494505494523*G0_0_0_8_5 + 0.00191808191808218*G0_0_0_8_6 - 0.00182674468388789*G0_0_0_9_0 + 0.00182674468388786*G0_0_0_9_1 + 0.0156186670472411*G0_0_0_9_3 + 0.0131525617239925*G0_0_0_9_4 - 0.015618667047241*G0_0_0_9_5 - 0.0131525617239924*G0_0_0_9_6 - 0.0200276619324277*G0_0_1_0_0 + 0.00112029064410034*G0_0_1_0_1 - 0.000102331530902997*G0_0_1_0_2 + 0.00706087563230542*G0_0_1_0_3 + 0.000507429078857751*G0_0_1_0_4 - 0.00484087341230293*G0_0_1_0_5 + 0.00248132819561439*G0_0_1_0_6 - 0.0189626246769138*G0_0_1_0_7 + 0.00612466898181297*G0_0_1_0_8 + 0.0147357404500286*G0_0_1_0_9 + 0.00112029064410035*G0_0_1_1_0 + 0.0314391781058503*G0_0_1_1_1 + 0.00283060854489473*G0_0_1_1_2 + 0.0215809587238195*G0_0_1_1_3 - 0.0128531785674665*G0_0_1_1_4 - 0.00245341959627716*G0_0_1_1_5 + 0.00178615035757922*G0_0_1_1_6 - 0.0124573838859575*G0_0_1_1_7 + 0.0113816342387791*G0_0_1_1_8 - 0.00779411065125483*G0_0_1_1_9 - 0.000102331530902997*G0_0_1_2_0 + 0.00283060854489473*G0_0_1_2_1 + 0.00301525634859013*G0_0_1_2_2 + 0.00319680319680373*G0_0_1_2_3 - 0.00396555825127322*G0_0_1_2_4 - 0.00157303014445896*G0_0_1_2_5 - 0.000971726686012592*G0_0_1_2_6 + 0.000903223760366767*G0_0_1_2_7 + 0.00772307058021473*G0_0_1_2_8 - 0.000487131915703443*G0_0_1_2_9 + 0.00706087563230542*G0_0_1_3_0 + 0.0215809587238195*G0_0_1_3_1 + 0.00319680319680373*G0_0_1_3_2 + 0.101886684743844*G0_0_1_3_3 - 0.0120336806051111*G0_0_1_3_4 - 0.00529755958327477*G0_0_1_3_5 - 0.00858570001427281*G0_0_1_3_6 - 0.0244098758384514*G0_0_1_3_7 + 0.0508063365206307*G0_0_1_3_8 + 0.0722020836306673*G0_0_1_3_9 + 0.000507429078857751*G0_0_1_4_0 - 0.0128531785674665*G0_0_1_4_1 - 0.00396555825127322*G0_0_1_4_2 - 0.0120336806051111*G0_0_1_4_3 + 0.161758241758269*G0_0_1_4_4 - 0.00474953617810837*G0_0_1_4_5 + 0.0133352361923812*G0_0_1_4_6 - 0.00050235478806916*G0_0_1_4_7 - 0.0263964606821794*G0_0_1_4_8 + 0.010960468103327*G0_0_1_4_9 - 0.00484087341230293*G0_0_1_5_0 - 0.00245341959627716*G0_0_1_5_1 - 0.00157303014445896*G0_0_1_5_2 - 0.00529755958327477*G0_0_1_5_3 - 0.00474953617810837*G0_0_1_5_4 - 0.00342514628228981*G0_0_1_5_5 + 0.00376766091051874*G0_0_1_5_6 + 0.00180391037533918*G0_0_1_5_7 + 0.0041330098472963*G0_0_1_5_8 - 0.0524732410446785*G0_0_1_5_9 + 0.00248132819561439*G0_0_1_6_0 + 0.00178615035757922*G0_0_1_6_1 - 0.000971726686012592*G0_0_1_6_2 - 0.00858570001427281*G0_0_1_6_3 + 0.0133352361923812*G0_0_1_6_4 + 0.00376766091051874*G0_0_1_6_5 + 0.0200028542885717*G0_0_1_6_6 - 0.00593692022263546*G0_0_1_6_7 - 0.0126502069359233*G0_0_1_6_8 + 0.018632795775656*G0_0_1_6_9 - 0.0189626246769138*G0_0_1_7_0 - 0.0124573838859575*G0_0_1_7_1 + 0.000903223760366767*G0_0_1_7_2 - 0.0244098758384514*G0_0_1_7_3 - 0.00050235478806916*G0_0_1_7_4 + 0.00180391037533918*G0_0_1_7_5 - 0.00593692022263546*G0_0_1_7_6 + 0.205600114171577*G0_0_1_7_7 + 0.0142029399172281*G0_0_1_7_8 - 0.0323333809048149*G0_0_1_7_9 + 0.00612466898181297*G0_0_1_8_0 + 0.0113816342387791*G0_0_1_8_1 + 0.00772307058021473*G0_0_1_8_2 + 0.0508063365206307*G0_0_1_8_3 - 0.0263964606821794*G0_0_1_8_4 + 0.0041330098472963*G0_0_1_8_5 - 0.0126502069359233*G0_0_1_8_6 + 0.0142029399172281*G0_0_1_8_7 + 0.032424718139009*G0_0_1_8_8 + 0.0761752533181233*G0_0_1_8_9 + 0.0147357404500286*G0_0_1_9_0 - 0.00779411065125483*G0_0_1_9_1 - 0.000487131915703443*G0_0_1_9_2 + 0.0722020836306673*G0_0_1_9_3 + 0.010960468103327*G0_0_1_9_4 - 0.0524732410446785*G0_0_1_9_5 + 0.018632795775656*G0_0_1_9_6 - 0.0323333809048149*G0_0_1_9_7 + 0.0761752533181232*G0_0_1_9_8 + 0.0887797916369495*G0_0_1_9_9 + 0.011293116055023*G0_1_0_0_0 + 0.00112029064410036*G0_1_0_0_1 + 0.00030924983305942*G0_1_0_0_2 + 0.00106306392020697*G0_1_0_0_3 + 0.00397824397824469*G0_1_0_0_4 + 0.00837257980115268*G0_1_0_0_5 - 0.00196375053517946*G0_1_0_0_6 - 0.00627689770547027*G0_1_0_0_8 - 0.00962085533514264*G0_1_0_0_9 + 0.00112029064410036*G0_1_0_1_0 + 0.000118400118399855*G0_1_0_1_1 + 0.00241902718093235*G0_1_0_1_2 + 0.00836750551036396*G0_1_0_1_3 - 0.00840809983667262*G0_1_0_1_4 + 0.00354439211582129*G0_1_0_1_5 - 0.00168466454180768*G0_1_0_1_6 - 0.00751502465788321*G0_1_0_1_8 + 0.0165624851339165*G0_1_0_1_9 + 0.000309249833059419*G0_1_0_2_0 + 0.00241902718093235*G0_1_0_2_1 + 0.00301525634859026*G0_1_0_2_2 - 0.00455671312814253*G0_1_0_2_3 - 0.00225044796473398*G0_1_0_2_4 + 0.0061804861804872*G0_1_0_2_5 - 0.00268683697255167*G0_1_0_2_6 + 0.00680969823827084*G0_1_0_2_7 + 0.00181659610231068*G0_1_0_2_8 - 0.000487131915703412*G0_1_0_2_9 + 0.00106306392020697*G0_1_0_3_0 + 0.00836750551036396*G0_1_0_3_1 - 0.00455671312814253*G0_1_0_3_2 + 0.0794177251320245*G0_1_0_3_3 + 0.0189296417867879*G0_1_0_3_4 - 0.00529755958327477*G0_1_0_3_5 + 0.00182674468388784*G0_1_0_3_6 - 0.00641644070215608*G0_1_0_3_7 + 0.0150934779506233*G0_1_0_3_8 - 0.0368545739974372*G0_1_0_3_9 + 0.00397824397824469*G0_1_0_4_0 - 0.00840809983667262*G0_1_0_4_1 - 0.00225044796473398*G0_1_0_4_2 + 0.0189296417867879*G0_1_0_4_3 + 0.160662194947937*G0_1_0_4_4 - 0.0151619808762692*G0_1_0_4_5 + 0.0133352361923814*G0_1_0_4_6 - 0.0145682888540057*G0_1_0_4_7 - 0.00867703724846724*G0_1_0_4_8 + 0.0317853574996486*G0_1_0_4_9 + 0.00837257980115268*G0_1_0_5_0 + 0.00354439211582129*G0_1_0_5_1 + 0.0061804861804872*G0_1_0_5_2 - 0.00529755958327476*G0_1_0_5_3 - 0.0151619808762692*G0_1_0_5_4 + 0.0190438133295308*G0_1_0_5_5 - 0.0271956614813804*G0_1_0_5_6 + 0.0375167689453468*G0_1_0_5_7 - 0.0138604252889991*G0_1_0_5_8 + 0.0565834165834262*G0_1_0_5_9 - 0.00196375053517946*G0_1_0_6_0 - 0.00168466454180768*G0_1_0_6_1 - 0.00268683697255167*G0_1_0_6_2 + 0.00182674468388784*G0_1_0_6_3 + 0.0133352361923814*G0_1_0_6_4 - 0.0271956614813804*G0_1_0_6_5 + 0.0210989010989048*G0_1_0_6_6 - 0.0236563436563477*G0_1_0_6_7 + 0.00141572713001312*G0_1_0_6_8 - 0.00219209362066541*G0_1_0_6_9 + 0.00680969823827084*G0_1_0_7_2 - 0.00641644070215608*G0_1_0_7_3 - 0.0145682888540057*G0_1_0_7_4 + 0.0375167689453468*G0_1_0_7_5 - 0.0236563436563477*G0_1_0_7_6 + 0.0324247181390101*G0_1_0_7_7 + 0.0142029399172279*G0_1_0_7_8 + 0.0761752533181234*G0_1_0_7_9 - 0.00627689770547027*G0_1_0_8_0 - 0.00751502465788321*G0_1_0_8_1 + 0.00181659610231068*G0_1_0_8_2 + 0.0150934779506233*G0_1_0_8_3 - 0.00867703724846724*G0_1_0_8_4 - 0.0138604252889991*G0_1_0_8_5 + 0.00141572713001312*G0_1_0_8_6 + 0.0142029399172279*G0_1_0_8_7 + 0.205600114171578*G0_1_0_8_8 - 0.0323333809048149*G0_1_0_8_9 - 0.00962085533514264*G0_1_0_9_0 + 0.0165624851339165*G0_1_0_9_1 - 0.000487131915703412*G0_1_0_9_2 - 0.0368545739974372*G0_1_0_9_3 + 0.0317853574996486*G0_1_0_9_4 + 0.0565834165834262*G0_1_0_9_5 - 0.00219209362066541*G0_1_0_9_6 + 0.0761752533181235*G0_1_0_9_7 - 0.0323333809048149*G0_1_0_9_8 + 0.0887797916369495*G0_1_0_9_9 + 0.0175209622828701*G0_1_1_0_0 + 0.00112029064410035*G0_1_1_0_1 + 0.0014704167085122*G0_1_1_0_2 + 0.00670313813171068*G0_1_1_0_3 + 0.000918446632732556*G0_1_1_0_4 + 0.00842839699982702*G0_1_1_0_5 - 0.00531785674642908*G0_1_1_0_6 + 0.0361086532515166*G0_1_1_0_7 - 0.0242957042957085*G0_1_1_0_8 + 0.0194243851386742*G0_1_1_0_9 + 0.00112029064410035*G0_1_1_1_0 - 0.00610944610944737*G0_1_1_1_1 + 0.00125786030547957*G0_1_1_1_2 + 0.00831168831168963*G0_1_1_1_3 - 0.00505399362542298*G0_1_1_1_4 - 0.00209568209568243*G0_1_1_1_5 + 0.00137513280370445*G0_1_1_1_6 + 0.0179629893915639*G0_1_1_1_7 - 0.0436896436896512*G0_1_1_1_8 - 0.0124827553399003*G0_1_1_1_9 + 0.0014704167085122*G0_1_1_2_0 + 0.00125786030547957*G0_1_1_2_1 + 0.00301525634859021*G0_1_1_2_2 + 0.00346066631780969*G0_1_1_2_3 - 0.00293294007579763*G0_1_1_2_4 - 0.001836893265465*G0_1_1_2_5 - 0.00200434486148804*G0_1_1_2_6 + 0.00667269238697923*G0_1_1_2_7 + 0.00195360195360227*G0_1_1_2_8 - 0.000487131915703436*G0_1_1_2_9 + 0.00670313813171068*G0_1_1_3_0 + 0.00831168831168963*G0_1_1_3_1 + 0.00346066631780969*G0_1_1_3_2 + 0.133169687455424*G0_1_1_3_3 - 0.017947766519198*G0_1_1_3_4 - 0.00529755958327473*G0_1_1_3_5 - 0.00735264735264857*G0_1_1_3_6 - 0.0233366633366673*G0_1_1_3_7 + 0.0324247181390092*G0_1_1_3_8 + 0.0841215926930354*G0_1_1_3_9 + 0.000918446632732555*G0_1_1_4_0 - 0.00505399362542298*G0_1_1_4_1 - 0.00293294007579763*G0_1_1_4_2 - 0.017947766519198*G0_1_1_4_3 + 0.18194377051523*G0_1_1_4_4 - 0.00598258883973277*G0_1_1_4_5 + 0.0133352361923814*G0_1_1_4_6 - 0.00977308405880004*G0_1_1_4_7 - 0.00908805480234198*G0_1_1_4_8 + 0.0134265734265758*G0_1_1_4_9 + 0.00842839699982702*G0_1_1_5_0 - 0.00209568209568243*G0_1_1_5_1 - 0.001836893265465*G0_1_1_5_2 - 0.00529755958327473*G0_1_1_5_3 - 0.00598258883973277*G0_1_1_5_4 - 0.0347081489938691*G0_1_1_5_5 + 0.00968174682460556*G0_1_1_5_6 + 0.0201855287569607*G0_1_1_5_7 + 0.00305979734551221*G0_1_1_5_8 - 0.0643927501070467*G0_1_1_5_9 - 0.00531785674642908*G0_1_1_6_0 + 0.00137513280370445*G0_1_1_6_1 - 0.00200434486148804*G0_1_1_6_2 - 0.00735264735264857*G0_1_1_6_3 + 0.0133352361923814*G0_1_1_6_4 + 0.00968174682460556*G0_1_1_6_5 - 0.000182674468388798*G0_1_1_6_6 - 0.0232453261024729*G0_1_1_6_7 - 0.00337947766519253*G0_1_1_6_8 + 0.0161666904524075*G0_1_1_6_9 + 0.0361086532515166*G0_1_1_7_0 + 0.0179629893915639*G0_1_1_7_1 + 0.00667269238697923*G0_1_1_7_2 - 0.0233366633366673*G0_1_1_7_3 - 0.00977308405880004*G0_1_1_7_4 + 0.0201855287569607*G0_1_1_7_5 - 0.0232453261024729*G0_1_1_7_6 + 0.40151848151855*G0_1_1_7_7 + 0.014202939917228*G0_1_1_7_8 - 0.0117825032110765*G0_1_1_7_9 - 0.0242957042957085*G0_1_1_8_0 - 0.0436896436896512*G0_1_1_8_1 + 0.00195360195360227*G0_1_1_8_2 + 0.0324247181390092*G0_1_1_8_3 - 0.00908805480234199*G0_1_1_8_4 + 0.00305979734551221*G0_1_1_8_5 - 0.00337947766519253*G0_1_1_8_6 + 0.014202939917228*G0_1_1_8_7 - 0.163493649207963*G0_1_1_8_8 + 0.0556243756243849*G0_1_1_8_9 + 0.0194243851386742*G0_1_1_9_0 - 0.0124827553399003*G0_1_1_9_1 - 0.000487131915703437*G0_1_1_9_2 + 0.0841215926930354*G0_1_1_9_3 + 0.0134265734265758*G0_1_1_9_4 - 0.0643927501070467*G0_1_1_9_5 + 0.0161666904524075*G0_1_1_9_6 - 0.0117825032110765*G0_1_1_9_7 + 0.0556243756243849*G0_1_1_9_8 + 0.0887797916369491*G0_1_1_9_9;
    A[133] = A[221] + 0.0105612905612925*G0_0_0_0_0 + 0.00161136923041713*G0_0_0_0_1 + 0.00184675994199838*G0_0_0_0_2 + 0.00457701029129679*G0_0_0_0_3 - 0.006969538398111*G0_0_0_0_4 + 0.0173718345146946*G0_0_0_0_5 - 0.000157303014445899*G0_0_0_0_6 + 0.00259042544756874*G0_0_0_0_7 - 0.000187748759177368*G0_0_0_0_8 - 0.000152228723657314*G0_0_0_0_9 + 0.00161136923041713*G0_0_0_1_0 + 0.0320469653803042*G0_0_0_1_1 + 0.000776648395696167*G0_0_0_1_2 + 0.0384402898688678*G0_0_0_1_3 - 0.0255033855033898*G0_0_0_1_4 - 0.00404674690389041*G0_0_0_1_6 - 0.00783470497756348*G0_0_0_1_7 + 0.0159053644767958*G0_0_0_1_8 + 0.00243565957851717*G0_0_0_1_9 + 0.00184675994199838*G0_0_0_2_0 + 0.000776648395696167*G0_0_0_2_1 - 0.00480704480704516*G0_0_0_2_2 + 0.0169481312338483*G0_0_0_2_3 - 0.0349161949162006*G0_0_0_2_4 - 0.000669806384092321*G0_0_0_2_5 + 0.0224841824841865*G0_0_0_2_6 - 0.00162631019773905*G0_0_0_2_7 + 0.000352663209806138*G0_0_0_2_8 - 0.00654583511726477*G0_0_0_2_9 + 0.00457701029129679*G0_0_0_3_0 + 0.0384402898688678*G0_0_0_3_1 + 0.0169481312338483*G0_0_0_3_2 + 0.0239760239760284*G0_0_0_3_3 + 0.0260996146710475*G0_0_0_3_4 - 0.00799200799200934*G0_0_0_3_5 + 0.0142714428428737*G0_0_0_3_6 - 0.0115998287426879*G0_0_0_3_7 + 0.0105266162409038*G0_0_0_3_8 + 0.0158926787498243*G0_0_0_3_9 - 0.006969538398111*G0_0_0_4_0 - 0.0255033855033898*G0_0_0_4_1 - 0.0349161949162006*G0_0_0_4_2 + 0.0260996146710475*G0_0_0_4_3 - 0.0934379905808628*G0_0_0_4_4 + 0.0230398173255354*G0_0_0_4_5 - 0.0373112601684091*G0_0_0_4_6 + 0.0118281718281738*G0_0_0_4_7 + 0.00107321250178406*G0_0_0_4_8 - 0.0264421292992765*G0_0_0_4_9 + 0.0173718345146946*G0_0_0_5_0 - 0.000669806384092317*G0_0_0_5_2 - 0.00799200799200934*G0_0_0_5_3 + 0.0230398173255354*G0_0_0_5_4 - 0.0422434708149064*G0_0_0_5_5 - 0.0491622663051319*G0_0_0_5_6 - 0.00901955187669624*G0_0_0_5_7 + 0.00200941915227662*G0_0_0_5_8 - 0.0035621521335813*G0_0_0_5_9 - 0.000157303014445899*G0_0_0_6_0 - 0.0040467469038904*G0_0_0_6_1 + 0.0224841824841865*G0_0_0_6_2 + 0.0142714428428737*G0_0_0_6_3 - 0.0373112601684091*G0_0_0_6_4 - 0.0491622663051319*G0_0_0_6_5 + 0.00885971171685684*G0_0_0_6_6 + 0.00701013272441962*G0_0_0_6_7 + 0.00447552447552518*G0_0_0_6_8 - 0.00890538033395308*G0_0_0_6_9 + 0.00259042544756874*G0_0_0_7_0 - 0.00783470497756348*G0_0_0_7_1 - 0.00162631019773905*G0_0_0_7_2 - 0.0115998287426879*G0_0_0_7_3 + 0.0118281718281738*G0_0_0_7_4 - 0.00901955187669623*G0_0_0_7_5 + 0.00701013272441961*G0_0_0_7_6 - 0.0215555872698767*G0_0_0_7_7 + 0.000365348936777599*G0_0_0_7_8 - 0.0135635792778673*G0_0_0_7_9 - 0.000187748759177367*G0_0_0_8_0 + 0.0159053644767958*G0_0_0_8_1 + 0.000352663209806138*G0_0_0_8_2 + 0.0105266162409038*G0_0_0_8_3 + 0.00107321250178406*G0_0_0_8_4 + 0.00200941915227662*G0_0_0_8_5 + 0.00447552447552518*G0_0_0_8_6 + 0.000365348936777599*G0_0_0_8_7 - 0.0130612244897979*G0_0_0_8_8 - 0.00945340373911958*G0_0_0_8_9 - 0.000152228723657315*G0_0_0_9_0 + 0.00243565957851717*G0_0_0_9_1 - 0.00654583511726477*G0_0_0_9_2 + 0.0158926787498243*G0_0_0_9_3 - 0.0264421292992765*G0_0_0_9_4 - 0.0035621521335813*G0_0_0_9_5 - 0.00890538033395308*G0_0_0_9_6 - 0.0135635792778673*G0_0_0_9_7 - 0.00945340373911958*G0_0_0_9_8 + 0.0115084915084937*G0_0_0_9_9 + 0.00219857743667307*G0_0_1_0_1 - 0.00219857743667303*G0_0_1_0_2 + 0.00637838352124175*G0_0_1_0_3 - 0.00637838352124172*G0_0_1_0_4 + 0.00124573838859571*G0_0_1_0_5 - 0.00506414220700015*G0_0_1_0_6 - 0.00124573838859578*G0_0_1_0_7 + 0.00506414220700023*G0_0_1_0_8 + 0.00219857743667307*G0_0_1_1_0 + 0.0385668652335386*G0_0_1_1_1 + 0.0477034077034158*G0_0_1_1_3 - 0.0270408956123287*G0_0_1_1_4 + 0.00150706436420745*G0_0_1_1_5 - 0.00480281623138845*G0_0_1_1_6 - 0.0112699998414304*G0_0_1_1_7 + 0.0251126651126695*G0_0_1_1_8 + 0.00755054469340314*G0_0_1_1_9 - 0.00219857743667303*G0_0_1_2_0 - 0.0385668652335379*G0_0_1_2_2 + 0.0270408956123286*G0_0_1_2_3 - 0.0477034077034155*G0_0_1_2_4 + 0.0112699998414302*G0_0_1_2_5 - 0.025112665112669*G0_0_1_2_6 - 0.00150706436420748*G0_0_1_2_7 + 0.00480281623138847*G0_0_1_2_8 - 0.00755054469340304*G0_0_1_2_9 + 0.00637838352124175*G0_0_1_3_0 + 0.0477034077034158*G0_0_1_3_1 + 0.0270408956123286*G0_0_1_3_2 + 0.0372655915513124*G0_0_1_3_3 - 0.0118281718281738*G0_0_1_3_5 + 0.0144084486941653*G0_0_1_3_6 - 0.0191351505637252*G0_0_1_3_7 + 0.0335435992578907*G0_0_1_3_8 + 0.0156186670472411*G0_0_1_3_9 - 0.00637838352124172*G0_0_1_4_0 - 0.0270408956123287*G0_0_1_4_1 - 0.0477034077034155*G0_0_1_4_2 - 0.0372655915513116*G0_0_1_4_4 + 0.0191351505637251*G0_0_1_4_5 - 0.0335435992578904*G0_0_1_4_6 + 0.0118281718281738*G0_0_1_4_7 - 0.0144084486941655*G0_0_1_4_8 - 0.015618667047241*G0_0_1_4_9 + 0.00124573838859571*G0_0_1_5_0 + 0.00150706436420745*G0_0_1_5_1 + 0.0112699998414302*G0_0_1_5_2 - 0.0118281718281738*G0_0_1_5_3 + 0.0191351505637251*G0_0_1_5_4 - 0.00411017553874764*G0_0_1_5_5 + 0.0221264449835914*G0_0_1_5_6 - 0.0045211930926224*G0_0_1_5_8 + 0.00904238618524475*G0_0_1_5_9 - 0.00506414220700015*G0_0_1_6_0 - 0.00480281623138845*G0_0_1_6_1 - 0.025112665112669*G0_0_1_6_2 + 0.0144084486941653*G0_0_1_6_3 - 0.0335435992578904*G0_0_1_6_4 + 0.0221264449835914*G0_0_1_6_5 - 0.0305523048380238*G0_0_1_6_6 + 0.0045211930926224*G0_0_1_6_7 - 0.00616526330812141*G0_0_1_6_9 - 0.00124573838859578*G0_0_1_7_0 - 0.0112699998414304*G0_0_1_7_1 - 0.00150706436420748*G0_0_1_7_2 - 0.0191351505637252*G0_0_1_7_3 + 0.0118281718281738*G0_0_1_7_4 + 0.0045211930926224*G0_0_1_7_6 + 0.00411017553874775*G0_0_1_7_7 - 0.0221264449835916*G0_0_1_7_8 - 0.00904238618524487*G0_0_1_7_9 + 0.00506414220700023*G0_0_1_8_0 + 0.0251126651126695*G0_0_1_8_1 + 0.00480281623138847*G0_0_1_8_2 + 0.0335435992578907*G0_0_1_8_3 - 0.0144084486941655*G0_0_1_8_4 - 0.0045211930926224*G0_0_1_8_5 - 0.0221264449835916*G0_0_1_8_7 + 0.0305523048380249*G0_0_1_8_8 + 0.0061652633081216*G0_0_1_8_9 + 0.00755054469340314*G0_0_1_9_1 - 0.00755054469340304*G0_0_1_9_2 + 0.0156186670472411*G0_0_1_9_3 - 0.015618667047241*G0_0_1_9_4 + 0.00904238618524475*G0_0_1_9_5 - 0.0061652633081214*G0_0_1_9_6 - 0.00904238618524487*G0_0_1_9_7 + 0.0061652633081216*G0_0_1_9_8 + 0.00101993244850404*G0_1_0_0_1 - 0.00101993244850404*G0_1_0_0_2 + 0.000631749203177905*G0_1_0_0_3 - 0.000631749203177881*G0_1_0_0_4 + 0.00941534655820534*G0_1_0_0_5 + 0.00267922553636879*G0_1_0_0_6 - 0.00941534655820528*G0_1_0_0_7 - 0.00267922553636885*G0_1_0_0_8 + 0.00101993244850404*G0_1_0_1_0 + 0.0114532381199064*G0_1_0_1_1 + 0.0342184799327713*G0_1_0_1_3 - 0.0174251145679746*G0_1_0_1_4 - 0.000205508776937377*G0_1_0_1_5 - 0.00433090718805079*G0_1_0_1_6 - 0.00919461490890212*G0_1_0_1_7 - 0.000509966224252172*G0_1_0_1_8 + 0.0205813234384698*G0_1_0_1_9 - 0.00101993244850404*G0_1_0_2_0 - 0.0114532381199064*G0_1_0_2_2 + 0.0174251145679746*G0_1_0_2_3 - 0.0342184799327712*G0_1_0_2_4 + 0.00919461490890216*G0_1_0_2_5 + 0.000509966224252088*G0_1_0_2_6 + 0.000205508776937386*G0_1_0_2_7 + 0.00433090718805077*G0_1_0_2_8 - 0.0205813234384697*G0_1_0_2_9 + 0.000631749203177905*G0_1_0_3_0 + 0.0342184799327713*G0_1_0_3_1 + 0.0174251145679746*G0_1_0_3_2 + 0.0371285857000212*G0_1_0_3_3 - 0.000639360639360765*G0_1_0_3_5 + 0.0129927215641523*G0_1_0_3_6 - 0.00189524760953367*G0_1_0_3_7 + 0.014887969173686*G0_1_0_3_8 - 0.0579534750963418*G0_1_0_3_9 - 0.000631749203177881*G0_1_0_4_0 - 0.0174251145679746*G0_1_0_4_1 - 0.0342184799327712*G0_1_0_4_2 - 0.03712858570002*G0_1_0_4_4 + 0.0018952476095336*G0_1_0_4_5 - 0.0148879691736859*G0_1_0_4_6 + 0.000639360639360726*G0_1_0_4_7 - 0.0129927215641523*G0_1_0_4_8 + 0.057953475096342*G0_1_0_4_9 + 0.00941534655820534*G0_1_0_5_0 - 0.000205508776937377*G0_1_0_5_1 + 0.00919461490890216*G0_1_0_5_2 - 0.000639360639360761*G0_1_0_5_3 + 0.0018952476095336*G0_1_0_5_4 + 0.0371285857000206*G0_1_0_5_5 - 0.0437048665620168*G0_1_0_5_6 + 0.000616526330812119*G0_1_0_5_8 - 0.00123305266162428*G0_1_0_5_9 + 0.00267922553636879*G0_1_0_6_0 - 0.00433090718805079*G0_1_0_6_1 + 0.00050996622425209*G0_1_0_6_2 + 0.0129927215641523*G0_1_0_6_3 - 0.0148879691736859*G0_1_0_6_4 - 0.0437048665620168*G0_1_0_6_5 - 0.183724846582021*G0_1_0_6_6 - 0.000616526330812177*G0_1_0_6_7 + 0.0357585271871047*G0_1_0_6_9 - 0.00941534655820528*G0_1_0_7_0 - 0.00919461490890212*G0_1_0_7_1 + 0.000205508776937386*G0_1_0_7_2 - 0.00189524760953367*G0_1_0_7_3 + 0.000639360639360726*G0_1_0_7_4 - 0.000616526330812177*G0_1_0_7_6 - 0.0371285857000207*G0_1_0_7_7 + 0.0437048665620169*G0_1_0_7_8 + 0.00123305266162426*G0_1_0_7_9 - 0.00267922553636885*G0_1_0_8_0 - 0.000509966224252172*G0_1_0_8_1 + 0.00433090718805077*G0_1_0_8_2 + 0.014887969173686*G0_1_0_8_3 - 0.0129927215641523*G0_1_0_8_4 + 0.000616526330812117*G0_1_0_8_5 + 0.0437048665620169*G0_1_0_8_7 + 0.183724846582021*G0_1_0_8_8 - 0.0357585271871046*G0_1_0_8_9 + 0.0205813234384698*G0_1_0_9_1 - 0.0205813234384697*G0_1_0_9_2 - 0.0579534750963418*G0_1_0_9_3 + 0.057953475096342*G0_1_0_9_4 - 0.00123305266162428*G0_1_0_9_5 + 0.0357585271871047*G0_1_0_9_6 + 0.00123305266162428*G0_1_0_9_7 - 0.0357585271871046*G0_1_0_9_8 - 0.0105612905612922*G0_1_1_0_0 - 0.00184675994199835*G0_1_1_0_1 - 0.00161136923041711*G0_1_1_0_2 + 0.00696953839811102*G0_1_1_0_3 - 0.00457701029129678*G0_1_1_0_4 - 0.0025904254475687*G0_1_1_0_5 + 0.000187748759177355*G0_1_1_0_6 - 0.0173718345146945*G0_1_1_0_7 + 0.000157303014445876*G0_1_1_0_8 + 0.000152228723657334*G0_1_1_0_9 - 0.00184675994199835*G0_1_1_1_0 + 0.00480704480704537*G0_1_1_1_1 - 0.000776648395696136*G0_1_1_1_2 + 0.0349161949162007*G0_1_1_1_3 - 0.0169481312338483*G0_1_1_1_4 + 0.00162631019773904*G0_1_1_1_5 - 0.000352663209806136*G0_1_1_1_6 + 0.000669806384092225*G0_1_1_1_7 - 0.0224841824841863*G0_1_1_1_8 + 0.0065458351172648*G0_1_1_1_9 - 0.00161136923041711*G0_1_1_2_0 - 0.000776648395696136*G0_1_1_2_1 - 0.0320469653803037*G0_1_1_2_2 + 0.0255033855033897*G0_1_1_2_3 - 0.0384402898688676*G0_1_1_2_4 + 0.00783470497756336*G0_1_1_2_5 - 0.0159053644767955*G0_1_1_2_6 + 0.00404674690389043*G0_1_1_2_8 - 0.00243565957851711*G0_1_1_2_9 + 0.00696953839811102*G0_1_1_3_0 + 0.0349161949162007*G0_1_1_3_1 + 0.0255033855033897*G0_1_1_3_2 + 0.093437990580864*G0_1_1_3_3 - 0.0260996146710477*G0_1_1_3_4 - 0.0118281718281738*G0_1_1_3_5 - 0.00107321250178413*G0_1_1_3_6 - 0.0230398173255355*G0_1_1_3_7 + 0.0373112601684093*G0_1_1_3_8 + 0.0264421292992767*G0_1_1_3_9 - 0.00457701029129678*G0_1_1_4_0 - 0.0169481312338483*G0_1_1_4_1 - 0.0384402898688676*G0_1_1_4_2 - 0.0260996146710477*G0_1_1_4_3 - 0.0239760239760277*G0_1_1_4_4 + 0.0115998287426878*G0_1_1_4_5 - 0.0105266162409037*G0_1_1_4_6 + 0.00799200799200932*G0_1_1_4_7 - 0.0142714428428738*G0_1_1_4_8 - 0.0158926787498242*G0_1_1_4_9 - 0.0025904254475687*G0_1_1_5_0 + 0.00162631019773904*G0_1_1_5_1 + 0.00783470497756336*G0_1_1_5_2 - 0.0118281718281738*G0_1_1_5_3 + 0.0115998287426878*G0_1_1_5_4 + 0.0215555872698765*G0_1_1_5_5 - 0.000365348936777628*G0_1_1_5_6 + 0.00901955187669621*G0_1_1_5_7 - 0.00701013272441956*G0_1_1_5_8 + 0.0135635792778672*G0_1_1_5_9 + 0.000187748759177355*G0_1_1_6_0 - 0.000352663209806136*G0_1_1_6_1 - 0.0159053644767955*G0_1_1_6_2 - 0.00107321250178413*G0_1_1_6_3 - 0.0105266162409037*G0_1_1_6_4 - 0.000365348936777629*G0_1_1_6_5 + 0.0130612244897979*G0_1_1_6_6 - 0.00200941915227661*G0_1_1_6_7 - 0.00447552447552523*G0_1_1_6_8 + 0.0094534037391196*G0_1_1_6_9 - 0.0173718345146945*G0_1_1_7_0 + 0.000669806384092225*G0_1_1_7_1 - 0.0230398173255355*G0_1_1_7_3 + 0.00799200799200932*G0_1_1_7_4 + 0.00901955187669621*G0_1_1_7_5 - 0.00200941915227661*G0_1_1_7_6 + 0.0422434708149066*G0_1_1_7_7 + 0.0491622663051317*G0_1_1_7_8 + 0.00356215213358124*G0_1_1_7_9 + 0.000157303014445876*G0_1_1_8_0 - 0.0224841824841863*G0_1_1_8_1 + 0.00404674690389043*G0_1_1_8_2 + 0.0373112601684093*G0_1_1_8_3 - 0.0142714428428738*G0_1_1_8_4 - 0.00701013272441956*G0_1_1_8_5 - 0.00447552447552522*G0_1_1_8_6 + 0.0491622663051317*G0_1_1_8_7 - 0.00885971171685596*G0_1_1_8_8 + 0.00890538033395329*G0_1_1_8_9 + 0.000152228723657333*G0_1_1_9_0 + 0.00654583511726479*G0_1_1_9_1 - 0.00243565957851711*G0_1_1_9_2 + 0.0264421292992767*G0_1_1_9_3 - 0.0158926787498242*G0_1_1_9_4 + 0.0135635792778672*G0_1_1_9_5 + 0.0094534037391196*G0_1_1_9_6 + 0.00356215213358124*G0_1_1_9_7 + 0.00890538033395328*G0_1_1_9_8 - 0.0115084915084941*G0_1_1_9_9;
    A[88] = -A[133] - 0.00153018057779988*G0_1_0_0_0 + 0.00150650055411984*G0_1_0_0_1 + 0.000795254128587598*G0_1_0_0_2 + 0.00274519131662038*G0_1_0_0_3 + 0.0065432979718705*G0_1_0_0_4 + 0.00902970045827342*G0_1_0_0_5 + 0.00629719486862449*G0_1_0_0_6 + 0.000900686614972447*G0_1_0_0_7 - 0.002197167911454*G0_1_0_0_8 + 0.0311155511155564*G0_1_0_0_9 + 0.00150650055411984*G0_1_0_1_0 - 0.0120373453706809*G0_1_0_1_1 - 0.000440053773387178*G0_1_0_1_2 + 0.0161387818530703*G0_1_0_1_3 + 0.00970711827854851*G0_1_0_1_4 - 0.00602318316604133*G0_1_0_1_5 + 0.00302681445538637*G0_1_0_1_6 - 0.00152736152736174*G0_1_0_1_7 - 0.00651285222713916*G0_1_0_1_8 + 0.0166842681128424*G0_1_0_1_9 + 0.000795254128587598*G0_1_0_2_0 - 0.000440053773387179*G0_1_0_2_1 + 0.0178310578310608*G0_1_0_2_3 - 0.0039072039072045*G0_1_0_2_4 + 0.00433344433344508*G0_1_0_2_5 + 0.0039072039072046*G0_1_0_2_6 - 0.00321456321456375*G0_1_0_2_7 + 0.00285936285936333*G0_1_0_2_8 - 0.0221645021645059*G0_1_0_2_9 + 0.00274519131662038*G0_1_0_3_0 + 0.0161387818530703*G0_1_0_3_1 + 0.0178310578310608*G0_1_0_3_2 + 0.222954188668513*G0_1_0_3_3 - 0.127712287712309*G0_1_0_3_4 + 0.0113258170401047*G0_1_0_3_5 - 0.0218981018981056*G0_1_0_3_6 - 0.0210532324818075*G0_1_0_3_7 + 0.0424489795918439*G0_1_0_3_8 - 0.00794633937491197*G0_1_0_3_9 + 0.0065432979718705*G0_1_0_4_0 + 0.00970711827854851*G0_1_0_4_1 - 0.00390720390720449*G0_1_0_4_2 - 0.127712287712309*G0_1_0_4_3 + 0.055944055944065*G0_1_0_4_4 - 0.0324475524475579*G0_1_0_4_5 + 0.0543456543456634*G0_1_0_4_6 + 0.00141572713001309*G0_1_0_4_7 - 0.0213957471100364*G0_1_0_4_8 + 0.131388611388633*G0_1_0_4_9 + 0.00902970045827342*G0_1_0_5_0 - 0.00602318316604133*G0_1_0_5_1 + 0.00433344433344508*G0_1_0_5_2 + 0.0113258170401047*G0_1_0_5_3 - 0.0324475524475579*G0_1_0_5_4 + 0.05032681604111*G0_1_0_5_5 - 0.0596203796203898*G0_1_0_5_6 - 0.00207792207792245*G0_1_0_5_7 + 0.00525189096617759*G0_1_0_5_8 - 0.103850435279024*G0_1_0_5_9 + 0.00629719486862449*G0_1_0_6_0 + 0.00302681445538637*G0_1_0_6_1 + 0.0039072039072046*G0_1_0_6_2 - 0.0218981018981056*G0_1_0_6_3 + 0.0543456543456634*G0_1_0_6_4 - 0.0596203796203898*G0_1_0_6_5 - 0.164635364635393*G0_1_0_6_6 - 0.00317396888825516*G0_1_0_6_7 - 0.0024204367061514*G0_1_0_6_8 + 0.110289710289729*G0_1_0_6_9 + 0.000900686614972448*G0_1_0_7_0 - 0.00152736152736174*G0_1_0_7_1 - 0.00321456321456375*G0_1_0_7_2 - 0.0210532324818075*G0_1_0_7_3 + 0.00141572713001309*G0_1_0_7_4 - 0.00207792207792245*G0_1_0_7_5 - 0.00317396888825516*G0_1_0_7_6 + 0.01237619523334*G0_1_0_7_7 + 0.00730697873555149*G0_1_0_7_8 - 0.0869987155701588*G0_1_0_7_9 - 0.002197167911454*G0_1_0_8_0 - 0.00651285222713916*G0_1_0_8_1 + 0.00285936285936333*G0_1_0_8_2 + 0.0424489795918439*G0_1_0_8_3 - 0.0213957471100364*G0_1_0_8_4 + 0.00525189096617759*G0_1_0_8_5 - 0.0024204367061514*G0_1_0_8_6 + 0.00730697873555149*G0_1_0_8_7 + 0.00223776223776237*G0_1_0_8_8 - 0.0072613101184542*G0_1_0_8_9 + 0.0311155511155564*G0_1_0_9_0 + 0.0166842681128424*G0_1_0_9_1 - 0.0221645021645059*G0_1_0_9_2 - 0.00794633937491197*G0_1_0_9_3 + 0.131388611388634*G0_1_0_9_4 - 0.103850435279024*G0_1_0_9_5 + 0.110289710289729*G0_1_0_9_6 - 0.0869987155701588*G0_1_0_9_7 - 0.0072613101184542*G0_1_0_9_8 - 0.0723390894819586*G0_1_0_9_9 - 0.00875258780020815*G0_1_1_0_0 + 0.00562203228869994*G0_1_1_0_1 + 0.000669806384092231*G0_1_1_0_2 + 0.00805036233607803*G0_1_1_0_3 - 0.00675388103959652*G0_1_1_0_4 - 0.00344798059083826*G0_1_1_0_5 + 0.00339470053755823*G0_1_1_0_6 - 0.0278959136102039*G0_1_1_0_7 + 0.0163341420484306*G0_1_1_0_8 + 0.00149184149184175*G0_1_1_0_9 + 0.00562203228869994*G0_1_1_1_0 + 0.0339334739334797*G0_1_1_1_1 + 0.00103712865617646*G0_1_1_1_2 + 0.0293750693750744*G0_1_1_1_3 - 0.00245595674167147*G0_1_1_1_4 - 0.00207284778713387*G0_1_1_1_5 + 0.00377273520130727*G0_1_1_1_6 - 0.0347081489938692*G0_1_1_1_7 + 0.0576490176490275*G0_1_1_1_8 + 0.0125132010846318*G0_1_1_1_9 + 0.000669806384092231*G0_1_1_2_0 + 0.00103712865617646*G0_1_1_2_1 - 0.0160234826901518*G0_1_1_2_2 + 0.019678099678103*G0_1_1_2_3 - 0.000142080142080216*G0_1_1_2_5 - 0.00222000222000248*G0_1_1_2_6 - 0.00218701932987684*G0_1_1_2_7 + 0.014352631495491*G0_1_1_2_8 + 0.00852480852480996*G0_1_1_2_9 + 0.00805036233607803*G0_1_1_3_0 + 0.0293750693750744*G0_1_1_3_1 + 0.019678099678103*G0_1_1_3_2 + 0.209801626944521*G0_1_1_3_3 - 0.10880548023407*G0_1_1_3_4 - 0.00333380904809533*G0_1_1_3_5 - 0.0225831311545635*G0_1_1_3_6 - 0.0354160125588758*G0_1_1_3_7 + 0.0897388325959906*G0_1_1_3_8 + 0.0332924218638562*G0_1_1_3_9 - 0.00675388103959652*G0_1_1_4_0 - 0.00245595674167147*G0_1_1_4_1 - 0.10880548023407*G0_1_1_4_3 - 0.0879120879121032*G0_1_1_4_4 + 0.00899671756814773*G0_1_1_4_5 + 0.0135864135864157*G0_1_1_4_6 + 0.0190438133295309*G0_1_1_4_7 - 0.0543228200371149*G0_1_1_4_8 - 0.0435678607107254*G0_1_1_4_9 - 0.00344798059083826*G0_1_1_5_0 - 0.00207284778713387*G0_1_1_5_1 - 0.000142080142080216*G0_1_1_5_2 - 0.00333380904809533*G0_1_1_5_3 + 0.00899671756814773*G0_1_1_5_4 + 0.0213729128014877*G0_1_1_5_5 - 0.0150706436420747*G0_1_1_5_6 + 0.0097502497502514*G0_1_1_5_7 - 0.00504638218924026*G0_1_1_5_8 + 0.00561723990295515*G0_1_1_5_9 + 0.00339470053755823*G0_1_1_6_0 + 0.00377273520130727*G0_1_1_6_1 - 0.00222000222000248*G0_1_1_6_2 - 0.0225831311545635*G0_1_1_6_3 + 0.0135864135864157*G0_1_1_6_4 - 0.0150706436420747*G0_1_1_6_5 + 0.0479520479520557*G0_1_1_6_6 - 0.00470386756101119*G0_1_1_6_7 - 0.0215555872698765*G0_1_1_6_8 + 0.0195918367346971*G0_1_1_6_9 - 0.0278959136102039*G0_1_1_7_0 - 0.0347081489938692*G0_1_1_7_1 - 0.00218701932987684*G0_1_1_7_2 - 0.0354160125588758*G0_1_1_7_3 + 0.0190438133295309*G0_1_1_7_4 + 0.0097502497502514*G0_1_1_7_5 - 0.00470386756101119*G0_1_1_7_6 + 0.114217211360088*G0_1_1_7_7 - 0.0190209790209825*G0_1_1_7_8 + 0.00493221064649713*G0_1_1_7_9 + 0.0163341420484306*G0_1_1_8_0 + 0.0576490176490275*G0_1_1_8_1 + 0.014352631495491*G0_1_1_8_2 + 0.0897388325959906*G0_1_1_8_3 - 0.0543228200371149*G0_1_1_8_4 - 0.00504638218924026*G0_1_1_8_5 - 0.0215555872698765*G0_1_1_8_6 - 0.0190209790209825*G0_1_1_8_7 + 0.556335093478045*G0_1_1_8_8 + 0.0711060368203347*G0_1_1_8_9 + 0.00149184149184175*G0_1_1_9_0 + 0.0125132010846318*G0_1_1_9_1 + 0.00852480852480996*G0_1_1_9_2 + 0.0332924218638563*G0_1_1_9_3 - 0.0435678607107254*G0_1_1_9_4 + 0.00561723990295516*G0_1_1_9_5 + 0.0195918367346971*G0_1_1_9_6 + 0.00493221064649713*G0_1_1_9_7 + 0.0711060368203347*G0_1_1_9_8 - 0.0082203510774956*G0_1_1_9_9;
    A[193] = -A[88] - 0.0308573260954266*G0_0_0_0_0 - 0.00186170090932028*G0_0_0_0_1 - 0.00494856113903818*G0_0_0_0_2 - 0.0206041577470185*G0_0_0_0_3 - 0.00301412872841498*G0_0_0_0_4 - 0.0366236937665571*G0_0_0_0_5 + 0.0215124557981737*G0_0_0_0_6 + 0.00182674468388787*G0_0_0_0_7 + 0.0018343561200707*G0_0_0_0_8 - 0.00540411968983503*G0_0_0_0_9 - 0.00186170090932028*G0_0_0_1_0 - 0.0321969388636111*G0_0_0_1_1 - 0.00135709088090066*G0_0_0_1_2 - 0.0444837701980636*G0_0_0_1_3 + 0.0359691102548306*G0_0_0_1_4 - 0.0195842252985143*G0_0_0_1_5 - 0.00812901384330098*G0_0_0_1_6 + 0.00330082615796962*G0_0_0_1_7 - 0.00616526330812158*G0_0_0_1_9 - 0.00494856113903818*G0_0_0_2_0 - 0.00135709088090066*G0_0_0_2_1 - 0.00108928108928172*G0_0_0_2_2 - 0.0281724624581814*G0_0_0_2_3 + 0.0662093462093572*G0_0_0_2_4 - 0.00757084185655735*G0_0_0_2_5 + 0.0100876900876916*G0_0_0_2_6 - 0.00850958565244422*G0_0_0_2_7 - 0.00957518671804548*G0_0_0_2_8 + 0.00462775319918252*G0_0_0_2_9 - 0.0206041577470185*G0_0_0_3_0 - 0.0444837701980636*G0_0_0_3_1 - 0.0281724624581814*G0_0_0_3_2 - 0.717453974596953*G0_0_0_3_3 - 0.0170800627943512*G0_0_0_3_4 + 0.0585471671186053*G0_0_0_3_5 + 0.0278578564292897*G0_0_0_3_6 + 0.0652832881404422*G0_0_0_3_7 - 0.0974796631939655*G0_0_0_3_8 - 0.11207078635652*G0_0_0_3_9 - 0.00301412872841498*G0_0_0_4_0 + 0.0359691102548306*G0_0_0_4_1 + 0.0662093462093572*G0_0_0_4_2 - 0.0170800627943512*G0_0_0_4_3 - 0.100927643784804*G0_0_0_4_4 + 0.0125132010846319*G0_0_0_4_5 - 0.0403710575139216*G0_0_0_4_6 + 0.0155501641215953*G0_0_0_4_7 + 0.0321963750535234*G0_0_0_4_8 - 0.0389096617668112*G0_0_0_4_9 - 0.0366236937665571*G0_0_0_5_0 - 0.0195842252985143*G0_0_0_5_1 - 0.00757084185655735*G0_0_0_5_2 + 0.0585471671186053*G0_0_0_5_3 + 0.0125132010846319*G0_0_0_5_4 - 0.734077351220332*G0_0_0_5_5 + 0.0430198373055587*G0_0_0_5_6 - 0.0912230626516493*G0_0_0_5_7 + 0.0622234907949299*G0_0_0_5_8 - 0.108234622520355*G0_0_0_5_9 + 0.0215124557981737*G0_0_0_6_0 - 0.00812901384330097*G0_0_0_6_1 + 0.0100876900876916*G0_0_0_6_2 + 0.0278578564292897*G0_0_0_6_3 - 0.0403710575139216*G0_0_0_6_4 + 0.0430198373055587*G0_0_0_6_5 - 0.343884686741889*G0_0_0_6_6 + 0.0289995718567195*G0_0_0_6_7 + 0.0248208933923261*G0_0_0_6_8 - 0.0695989724561271*G0_0_0_6_9 + 0.00182674468388787*G0_0_0_7_0 + 0.00330082615796962*G0_0_0_7_1 - 0.00850958565244422*G0_0_0_7_2 + 0.0652832881404422*G0_0_0_7_3 + 0.0155501641215953*G0_0_0_7_4 - 0.0912230626516493*G0_0_0_7_5 + 0.0289995718567195*G0_0_0_7_6 - 0.0547566718995383*G0_0_0_7_7 + 0.0125132010846318*G0_0_0_7_8 - 0.0417867846439345*G0_0_0_7_9 + 0.0018343561200707*G0_0_0_8_0 - 0.00957518671804548*G0_0_0_8_2 - 0.0974796631939655*G0_0_0_8_3 + 0.0321963750535234*G0_0_0_8_4 + 0.0622234907949299*G0_0_0_8_5 + 0.0248208933923261*G0_0_0_8_6 + 0.0125132010846318*G0_0_0_8_7 - 0.0632510346796168*G0_0_0_8_8 - 0.0458969601826823*G0_0_0_8_9 - 0.00540411968983503*G0_0_0_9_0 - 0.00616526330812158*G0_0_0_9_1 + 0.00462775319918252*G0_0_0_9_2 - 0.11207078635652*G0_0_0_9_3 - 0.0389096617668112*G0_0_0_9_4 - 0.108234622520355*G0_0_0_9_5 - 0.0695989724561271*G0_0_0_9_6 - 0.0417867846439345*G0_0_0_9_7 - 0.0458969601826823*G0_0_0_9_8 - 1.30539175110626*G0_0_0_9_9 - 0.0118659471040442*G0_0_1_0_0 - 0.00231782327020461*G0_0_1_0_1 + 0.00138274423988733*G0_0_1_0_2 - 0.0189930704216452*G0_0_1_0_3 + 0.00126857269714429*G0_0_1_0_4 - 0.0157176157176182*G0_0_1_0_5 + 0.00943056943057092*G0_0_1_0_6 - 0.00558171986743496*G0_0_1_0_7 + 0.00357483786055267*G0_0_1_0_8 + 0.00223776223776262*G0_0_1_0_9 - 0.00231782327020461*G0_0_1_1_0 - 0.0237510637510678*G0_0_1_1_1 - 0.000558453891787342*G0_0_1_1_2 - 0.0412742812742884*G0_0_1_1_3 + 0.0365907108764313*G0_0_1_1_4 - 0.00700505843363101*G0_0_1_1_5 + 0.00400868972297609*G0_0_1_1_6 + 0.00327291755863245*G0_0_1_1_7 + 0.00255744255744293*G0_0_1_1_8 + 0.00538889681746912*G0_0_1_1_9 + 0.00138274423988733*G0_0_1_2_0 - 0.000558453891787342*G0_0_1_2_1 + 0.0358910225576948*G0_0_1_2_2 - 0.0286900401186162*G0_0_1_2_3 + 0.0690255775970176*G0_0_1_2_4 - 0.0186530929388102*G0_0_1_2_5 + 0.029435960864537*G0_0_1_2_6 - 0.00659404087975626*G0_0_1_2_7 - 0.0141293627007937*G0_0_1_2_8 - 0.0119042861900025*G0_0_1_2_9 - 0.0189930704216452*G0_0_1_3_0 - 0.0412742812742884*G0_0_1_3_1 - 0.0286900401186162*G0_0_1_3_2 - 0.699711716854693*G0_0_1_3_3 - 0.0366033966034027*G0_0_1_3_4 + 0.0379277864992213*G0_0_1_3_5 - 0.00988725560154289*G0_0_1_3_6 + 0.0591180248323206*G0_0_1_3_7 - 0.103644926502087*G0_0_1_3_8 - 0.134402740117049*G0_0_1_3_9 + 0.0012685726971443*G0_0_1_4_0 + 0.0365907108764313*G0_0_1_4_1 + 0.0690255775970176*G0_0_1_4_2 - 0.0366033966034027*G0_0_1_4_3 - 0.131411445697183*G0_0_1_4_4 - 0.00166690452404755*G0_0_1_4_5 + 0.0115541601255904*G0_0_1_4_6 + 0.00691879549022529*G0_0_1_4_7 + 0.0445269016697664*G0_0_1_4_8 + 0.0390466676181027*G0_0_1_4_9 - 0.0157176157176182*G0_0_1_5_0 - 0.00700505843363101*G0_0_1_5_1 - 0.0186530929388102*G0_0_1_5_2 + 0.0379277864992213*G0_0_1_5_3 - 0.00166690452404755*G0_0_1_5_4 - 0.0832767232767373*G0_0_1_5_5 + 0.0137234194377074*G0_0_1_5_6 - 0.0450749250749325*G0_0_1_5_7 + 0.0231539888682784*G0_0_1_5_8 - 0.0530212644498448*G0_0_1_5_9 + 0.00943056943057092*G0_0_1_6_0 + 0.00400868972297609*G0_0_1_6_1 + 0.029435960864537*G0_0_1_6_2 - 0.00988725560154289*G0_0_1_6_3 + 0.0115541601255904*G0_0_1_6_4 + 0.0137234194377074*G0_0_1_6_5 + 0.0178335949764546*G0_0_1_6_6 + 0.0219209362066541*G0_0_1_6_7 + 0.0141116026830337*G0_0_1_6_8 + 0.0554873697730933*G0_0_1_6_9 - 0.00558171986743496*G0_0_1_7_0 + 0.00327291755863245*G0_0_1_7_1 - 0.00659404087975626*G0_0_1_7_2 + 0.0591180248323206*G0_0_1_7_3 + 0.00691879549022528*G0_0_1_7_4 - 0.0450749250749325*G0_0_1_7_5 + 0.0219209362066541*G0_0_1_7_6 - 0.0731382902811597*G0_0_1_7_7 + 0.0172170686456429*G0_0_1_7_8 - 0.0505551591265963*G0_0_1_7_9 + 0.00357483786055266*G0_0_1_8_0 + 0.00255744255744293*G0_0_1_8_1 - 0.0141293627007937*G0_0_1_8_2 - 0.103644926502087*G0_0_1_8_3 + 0.0445269016697664*G0_0_1_8_4 + 0.0231539888682784*G0_0_1_8_5 + 0.0141116026830337*G0_0_1_8_6 + 0.0172170686456429*G0_0_1_8_7 - 0.177673754816643*G0_0_1_8_8 - 0.10522049379194*G0_0_1_8_9 + 0.00223776223776263*G0_0_1_9_0 + 0.00538889681746912*G0_0_1_9_1 - 0.0119042861900025*G0_0_1_9_2 - 0.134402740117049*G0_0_1_9_3 + 0.0390466676181027*G0_0_1_9_4 - 0.0530212644498448*G0_0_1_9_5 + 0.0554873697730933*G0_0_1_9_6 - 0.0505551591265963*G0_0_1_9_7 - 0.10522049379194*G0_0_1_9_8 - 0.148788354502666*G0_0_1_9_9 - 0.00520283948855467*G0_1_0_0_0 + 0.00147577290434456*G0_1_0_0_1 + 0.00210244781673389*G0_1_0_0_2 - 0.0108691308691328*G0_1_0_0_3 - 0.00022834308548602*G0_1_0_0_4 - 0.00448567305710235*G0_1_0_0_5 + 0.00257012828441444*G0_1_0_0_6 - 0.001555270126699*G0_1_0_0_7 - 0.0023316366173513*G0_1_0_0_8 + 0.00482565053993696*G0_1_0_0_9 + 0.00147577290434456*G0_1_0_1_0 - 0.0318022718022774*G0_1_0_1_1 - 0.000306994592708949*G0_1_0_1_2 - 0.0144921744921771*G0_1_0_1_3 + 0.0357128585700075*G0_1_0_1_4 - 0.00568574282860092*G0_1_0_1_5 + 0.000799200799200929*G0_1_0_1_6 + 0.000619063476206479*G0_1_0_1_7 - 0.00227328227328278*G0_1_0_1_8 + 0.00487131915703421*G0_1_0_1_9 + 0.00210244781673389*G0_1_0_2_0 - 0.000306994592708948*G0_1_0_2_1 + 0.011248011248013*G0_1_0_2_2 - 0.0050083250083258*G0_1_0_2_3 + 0.0563094048808429*G0_1_0_2_4 - 0.00825587111301533*G0_1_0_2_5 + 0.0106813821099553*G0_1_0_2_6 + 0.0034936492079355*G0_1_0_2_7 - 0.00168973883259628*G0_1_0_2_8 + 0.0154664383235838*G0_1_0_2_9 - 0.0108691308691328*G0_1_0_3_0 - 0.0144921744921771*G0_1_0_3_1 - 0.00500832500832581*G0_1_0_3_2 - 0.423690595119238*G0_1_0_3_3 - 0.150774939346393*G0_1_0_3_4 + 0.0311231625517392*G0_1_0_3_5 - 0.0149793064078803*G0_1_0_3_6 + 0.0200256885971207*G0_1_0_3_7 - 0.012513201084632*G0_1_0_3_8 - 0.0546653346653444*G0_1_0_3_9 - 0.000228343085486019*G0_1_0_4_0 + 0.0357128585700075*G0_1_0_4_1 + 0.0563094048808429*G0_1_0_4_2 - 0.150774939346393*G0_1_0_4_3 - 0.0685714285714413*G0_1_0_4_4 - 0.0118966747538196*G0_1_0_4_5 + 0.0268759811616998*G0_1_0_4_6 + 0.00139289282146452*G0_1_0_4_7 - 0.00751248751248866*G0_1_0_4_8 - 0.0226059654631122*G0_1_0_4_9 - 0.00448567305710235*G0_1_0_5_0 - 0.00568574282860092*G0_1_0_5_1 - 0.00825587111301533*G0_1_0_5_2 + 0.0311231625517392*G0_1_0_5_3 - 0.0118966747538196*G0_1_0_5_4 + 0.00121021835307544*G0_1_0_5_5 + 0.0025117739403457*G0_1_0_5_6 + 0.0185871271585587*G0_1_0_5_7 + 0.00447552447552527*G0_1_0_5_8 - 0.0234280005708615*G0_1_0_5_9 + 0.00257012828441444*G0_1_0_6_0 + 0.000799200799200928*G0_1_0_6_1 + 0.0106813821099553*G0_1_0_6_2 - 0.0149793064078803*G0_1_0_6_3 + 0.0268759811616998*G0_1_0_6_4 + 0.0025117739403457*G0_1_0_6_5 + 0.0144997859283595*G0_1_0_6_6 - 0.023062651634084*G0_1_0_6_7 + 0.0076266590552318*G0_1_0_6_8 - 0.0164407021549908*G0_1_0_6_9 - 0.001555270126699*G0_1_0_7_0 + 0.000619063476206478*G0_1_0_7_1 + 0.0034936492079355*G0_1_0_7_2 + 0.0200256885971207*G0_1_0_7_3 + 0.00139289282146452*G0_1_0_7_4 + 0.0185871271585587*G0_1_0_7_5 - 0.023062651634084*G0_1_0_7_6 + 0.152738689881572*G0_1_0_7_7 - 0.00440702154987922*G0_1_0_7_8 + 0.0316483516483569*G0_1_0_7_9 - 0.0023316366173513*G0_1_0_8_0 - 0.00227328227328277*G0_1_0_8_1 - 0.00168973883259628*G0_1_0_8_2 - 0.012513201084632*G0_1_0_8_3 - 0.00751248751248867*G0_1_0_8_4 + 0.00447552447552527*G0_1_0_8_5 + 0.00762665905523179*G0_1_0_8_6 - 0.00440702154987922*G0_1_0_8_7 + 0.0168288854003165*G0_1_0_8_8 + 0.000411017553874716*G0_1_0_8_9 + 0.00482565053993696*G0_1_0_9_0 + 0.00487131915703421*G0_1_0_9_1 + 0.0154664383235838*G0_1_0_9_2 - 0.0546653346653444*G0_1_0_9_3 - 0.0226059654631122*G0_1_0_9_4 - 0.0234280005708615*G0_1_0_9_5 - 0.0164407021549908*G0_1_0_9_6 + 0.0316483516483569*G0_1_0_9_7 + 0.000411017553874708*G0_1_0_9_8 - 1.12865420294011*G0_1_0_9_9 - 0.0164508507365676*G0_1_1_0_0 + 0.00178276749705354*G0_1_1_0_1 - 0.00917939203653652*G0_1_1_0_3 - 0.0037219922934216*G0_1_1_0_4 - 0.0151670551670576*G0_1_1_0_5 + 0.0108259993974297*G0_1_1_0_6 - 0.0578646750075417*G0_1_1_0_7 + 0.00267668839097457*G0_1_1_0_8 - 0.0106407877836467*G0_1_1_0_9 + 0.00178276749705354*G0_1_1_1_0 - 0.00178276749705352*G0_1_1_1_2 - 0.0122188922188943*G0_1_1_1_3 + 0.035093795093801*G0_1_1_1_4 - 0.00648494362780185*G0_1_1_1_5 + 0.00648494362780185*G0_1_1_1_6 - 0.035093795093801*G0_1_1_1_7 + 0.0122188922188943*G0_1_1_1_8 - 0.00178276749705352*G0_1_1_2_1 + 0.0164508507365677*G0_1_1_2_2 - 0.00267668839097447*G0_1_1_2_3 + 0.0578646750075418*G0_1_1_2_4 - 0.0108259993974298*G0_1_1_2_5 + 0.0151670551670577*G0_1_1_2_6 + 0.00372199229342151*G0_1_1_2_7 + 0.00917939203653644*G0_1_1_2_8 + 0.0106407877836467*G0_1_1_2_9 - 0.00917939203653652*G0_1_1_3_0 - 0.0122188922188944*G0_1_1_3_1 - 0.00267668839097447*G0_1_1_3_2 - 0.440519480519555*G0_1_1_3_3 - 0.146367917796514*G0_1_1_3_4 + 0.0234965034965074*G0_1_1_3_5 - 0.0194548308834056*G0_1_1_3_6 + 0.0275381761096093*G0_1_1_3_7 - 0.0550763522192189*G0_1_1_3_9 - 0.0037219922934216*G0_1_1_4_0 + 0.035093795093801*G0_1_1_4_1 + 0.0578646750075418*G0_1_1_4_2 - 0.146367917796514*G0_1_1_4_3 - 0.221310118453014*G0_1_1_4_4 + 0.0111659768802646*G0_1_1_4_5 + 0.00828885400314086*G0_1_1_4_6 - 0.0275381761096094*G0_1_1_4_8 - 0.0542543171114695*G0_1_1_4_9 - 0.0151670551670576*G0_1_1_5_0 - 0.00648494362780185*G0_1_1_5_1 - 0.0108259993974298*G0_1_1_5_2 + 0.0234965034965074*G0_1_1_5_3 + 0.0111659768802646*G0_1_1_5_4 - 0.013289567575284*G0_1_1_5_5 - 0.00828885400314095*G0_1_1_5_7 + 0.0194548308834055*G0_1_1_5_8 - 0.00698729841587098*G0_1_1_5_9 + 0.0108259993974297*G0_1_1_6_0 + 0.00648494362780185*G0_1_1_6_1 + 0.0151670551670577*G0_1_1_6_2 - 0.0194548308834056*G0_1_1_6_3 + 0.00828885400314086*G0_1_1_6_4 + 0.013289567575284*G0_1_1_6_6 - 0.0111659768802645*G0_1_1_6_7 - 0.0234965034965073*G0_1_1_6_8 + 0.00698729841587093*G0_1_1_6_9 - 0.0578646750075417*G0_1_1_7_0 - 0.035093795093801*G0_1_1_7_1 + 0.00372199229342151*G0_1_1_7_2 + 0.0275381761096093*G0_1_1_7_3 - 0.00828885400314095*G0_1_1_7_5 - 0.0111659768802645*G0_1_1_7_6 + 0.221310118453014*G0_1_1_7_7 + 0.146367917796514*G0_1_1_7_8 + 0.0542543171114692*G0_1_1_7_9 + 0.00267668839097457*G0_1_1_8_0 + 0.0122188922188943*G0_1_1_8_1 + 0.00917939203653644*G0_1_1_8_2 - 0.0275381761096093*G0_1_1_8_4 + 0.0194548308834055*G0_1_1_8_5 - 0.0234965034965073*G0_1_1_8_6 + 0.146367917796514*G0_1_1_8_7 + 0.440519480519556*G0_1_1_8_8 + 0.0550763522192189*G0_1_1_8_9 - 0.0106407877836467*G0_1_1_9_0 + 0.0106407877836467*G0_1_1_9_2 - 0.0550763522192189*G0_1_1_9_3 - 0.0542543171114695*G0_1_1_9_4 - 0.00698729841587099*G0_1_1_9_5 + 0.00698729841587093*G0_1_1_9_6 + 0.0542543171114692*G0_1_1_9_7 + 0.055076352219219*G0_1_1_9_8;
    A[222] = A[193] + 0.0125977725977747*G0_0_0_0_0 - 0.00041947470518905*G0_0_0_0_1 - 0.000737463594606594*G0_0_0_0_2 + 0.0190590362018967*G0_0_0_0_3 - 0.00724608724608859*G0_0_0_0_4 - 0.0107169021454753*G0_0_0_0_5 - 0.0350126064411838*G0_0_0_0_6 - 0.016136244707676*G0_0_0_0_7 + 0.0057846914989782*G0_0_0_0_8 - 0.00657628086199614*G0_0_0_0_9 - 0.000419474705189051*G0_0_0_1_0 + 0.0326243069100268*G0_0_0_1_1 - 0.0022394536680255*G0_0_0_1_2 + 0.0639969554255379*G0_0_0_1_3 - 0.0328205128205185*G0_0_0_1_4 + 0.0254526425955041*G0_0_0_1_5 + 0.00700252128823678*G0_0_0_1_6 - 0.00615004043575582*G0_0_0_1_7 + 0.0015222872365733*G0_0_0_1_8 + 0.00584558298844123*G0_0_0_1_9 - 0.000737463594606594*G0_0_0_2_0 - 0.0022394536680255*G0_0_0_2_1 - 0.0280371480371529*G0_0_0_2_2 + 0.0487740830598057*G0_0_0_2_3 - 0.0728871128871255*G0_0_0_2_4 + 0.0078550021407178*G0_0_0_2_5 - 0.0780019980020112*G0_0_0_2_6 + 0.00572380000951525*G0_0_0_2_7 + 0.011934731934734*G0_0_0_2_8 - 0.0105951191665495*G0_0_0_2_9 + 0.0190590362018967*G0_0_0_3_0 + 0.0639969554255379*G0_0_0_3_1 + 0.0487740830598057*G0_0_0_3_2 + 0.560079920080015*G0_0_0_3_3 - 0.0465819894391399*G0_0_0_3_4 - 0.0695989724561268*G0_0_0_3_5 - 0.0153446553446579*G0_0_0_3_6 - 0.0515142000856375*G0_0_0_3_7 + 0.081655487369787*G0_0_0_3_8 + 0.0854916512059517*G0_0_0_3_9 - 0.00724608724608859*G0_0_0_4_0 - 0.0328205128205185*G0_0_0_4_1 - 0.0728871128871255*G0_0_0_4_2 - 0.0465819894391399*G0_0_0_4_3 - 0.455955473098409*G0_0_0_4_4 + 0.0274011702583178*G0_0_0_4_5 - 0.01205651491366*G0_0_0_4_6 - 0.000548023405166281*G0_0_0_4_7 - 0.0301412872841496*G0_0_0_4_8 - 0.0230169830169871*G0_0_0_4_9 - 0.0107169021454753*G0_0_0_5_0 + 0.0254526425955041*G0_0_0_5_1 + 0.0078550021407178*G0_0_0_5_2 - 0.0695989724561268*G0_0_0_5_3 + 0.0274011702583178*G0_0_0_5_4 + 0.883413729128164*G0_0_0_5_5 + 0.171531325817069*G0_0_0_5_6 + 0.0822035107749531*G0_0_0_5_7 - 0.0706950192664598*G0_0_0_5_8 + 0.161118881118908*G0_0_0_5_9 - 0.0350126064411838*G0_0_0_6_0 + 0.00700252128823678*G0_0_0_6_1 - 0.0780019980020113*G0_0_0_6_2 - 0.0153446553446579*G0_0_0_6_3 - 0.01205651491366*G0_0_0_6_4 + 0.171531325817069*G0_0_0_6_5 + 0.219209362066543*G0_0_0_6_6 - 0.0115084915084934*G0_0_0_6_7 - 0.0312373340944823*G0_0_0_6_8 + 0.0624746681889647*G0_0_0_6_9 - 0.016136244707676*G0_0_0_7_0 - 0.00615004043575582*G0_0_0_7_1 + 0.00572380000951525*G0_0_0_7_2 - 0.0515142000856375*G0_0_0_7_3 - 0.000548023405166281*G0_0_0_7_4 + 0.0822035107749531*G0_0_0_7_5 - 0.0115084915084934*G0_0_0_7_6 + 0.0416497787926429*G0_0_0_7_7 + 0.00219209362066538*G0_0_0_7_8 + 0.0427458256029756*G0_0_0_7_9 + 0.0057846914989782*G0_0_0_8_0 + 0.0015222872365733*G0_0_0_8_1 + 0.011934731934734*G0_0_0_8_2 + 0.081655487369787*G0_0_0_8_3 - 0.0301412872841496*G0_0_0_8_4 - 0.0706950192664598*G0_0_0_8_5 - 0.0312373340944823*G0_0_0_8_6 + 0.00219209362066538*G0_0_0_8_7 + 0.0416497787926431*G0_0_0_8_8 + 0.0427458256029757*G0_0_0_8_9 - 0.00657628086199614*G0_0_0_9_0 + 0.00584558298844123*G0_0_0_9_1 - 0.0105951191665495*G0_0_0_9_2 + 0.0854916512059517*G0_0_0_9_3 - 0.0230169830169871*G0_0_0_9_4 + 0.161118881118908*G0_0_0_9_5 + 0.0624746681889647*G0_0_0_9_6 + 0.0427458256029756*G0_0_0_9_7 + 0.0427458256029757*G0_0_0_9_8 + 1.30210361067526*G0_0_0_9_9 + 0.00150199007341886*G0_0_1_0_1 - 0.00150199007341894*G0_0_1_0_2 + 0.0138832595975478*G0_0_1_0_3 - 0.0138832595975478*G0_0_1_0_4 + 0.00889015746158732*G0_0_1_0_5 - 0.00079158936301808*G0_0_1_0_6 - 0.00889015746158783*G0_0_1_0_7 + 0.000791589363018241*G0_0_1_0_8 + 0.00150199007341886*G0_0_1_1_0 + 0.0210752210752246*G0_0_1_1_1 + 0.0625964511678905*G0_0_1_1_3 - 0.0382398553827192*G0_0_1_1_4 - 0.0010960468103327*G0_0_1_1_5 - 0.0133352361923813*G0_0_1_1_6 - 0.0106560106560125*G0_0_1_1_7 + 0.00176585319442495*G0_0_1_1_8 - 0.0248437277008747*G0_0_1_1_9 - 0.00150199007341894*G0_0_1_2_0 - 0.0210752210752249*G0_0_1_2_2 + 0.0382398553827192*G0_0_1_2_3 - 0.0625964511678907*G0_0_1_2_4 + 0.0106560106560125*G0_0_1_2_5 - 0.00176585319442511*G0_0_1_2_6 + 0.00109604681033266*G0_0_1_2_7 + 0.0133352361923813*G0_0_1_2_8 + 0.0248437277008747*G0_0_1_2_9 + 0.0138832595975478*G0_0_1_3_0 + 0.0625964511678905*G0_0_1_3_1 + 0.0382398553827192*G0_0_1_3_2 + 0.531034679606198*G0_0_1_3_3 - 0.0191808191808224*G0_0_1_3_5 + 0.0400057085771439*G0_0_1_3_6 - 0.041649778792643*G0_0_1_3_7 + 0.0816554873697869*G0_0_1_3_8 + 0.15783074068791*G0_0_1_3_9 - 0.0138832595975478*G0_0_1_4_0 - 0.0382398553827192*G0_0_1_4_1 - 0.0625964511678907*G0_0_1_4_2 - 0.5310346796062*G0_0_1_4_4 + 0.0416497787926432*G0_0_1_4_5 - 0.0816554873697872*G0_0_1_4_6 + 0.0191808191808225*G0_0_1_4_7 - 0.0400057085771439*G0_0_1_4_8 - 0.15783074068791*G0_0_1_4_9 + 0.00889015746158732*G0_0_1_5_0 - 0.0010960468103327*G0_0_1_5_1 + 0.0106560106560125*G0_0_1_5_2 - 0.0191808191808224*G0_0_1_5_3 + 0.0416497787926432*G0_0_1_5_4 + 0.0142486085343253*G0_0_1_5_5 - 0.0186327957756556*G0_0_1_5_6 + 0.00328814043099818*G0_0_1_5_8 - 0.00657628086199606*G0_0_1_5_9 - 0.000791589363018078*G0_0_1_6_0 - 0.0133352361923813*G0_0_1_6_1 - 0.00176585319442511*G0_0_1_6_2 + 0.0400057085771439*G0_0_1_6_3 - 0.0816554873697872*G0_0_1_6_4 - 0.0186327957756556*G0_0_1_6_5 - 0.164955044955073*G0_0_1_6_6 - 0.00328814043099794*G0_0_1_6_7 - 0.154542600256912*G0_0_1_6_9 - 0.00889015746158784*G0_0_1_7_0 - 0.0106560106560125*G0_0_1_7_1 + 0.00109604681033266*G0_0_1_7_2 - 0.041649778792643*G0_0_1_7_3 + 0.0191808191808225*G0_0_1_7_4 - 0.00328814043099794*G0_0_1_7_6 - 0.0142486085343267*G0_0_1_7_7 + 0.0186327957756563*G0_0_1_7_8 + 0.00657628086199612*G0_0_1_7_9 + 0.000791589363018243*G0_0_1_8_0 + 0.00176585319442495*G0_0_1_8_1 + 0.0133352361923813*G0_0_1_8_2 + 0.0816554873697869*G0_0_1_8_3 - 0.0400057085771439*G0_0_1_8_4 + 0.00328814043099817*G0_0_1_8_5 + 0.0186327957756563*G0_0_1_8_7 + 0.164955044955073*G0_0_1_8_8 + 0.154542600256912*G0_0_1_8_9 - 0.0248437277008747*G0_0_1_9_1 + 0.0248437277008747*G0_0_1_9_2 + 0.15783074068791*G0_0_1_9_3 - 0.15783074068791*G0_0_1_9_4 - 0.00657628086199606*G0_0_1_9_5 - 0.154542600256912*G0_0_1_9_6 + 0.00657628086199613*G0_0_1_9_7 + 0.154542600256912*G0_0_1_9_8 + 0.00031798888941752*G0_1_0_0_1 - 0.00031798888941754*G0_1_0_0_2 + 0.00621093192521882*G0_1_0_0_3 - 0.00621093192521881*G0_1_0_0_4 + 0.00164407021549902*G0_1_0_0_5 + 0.000913372341943935*G0_1_0_0_6 - 0.00164407021549906*G0_1_0_0_7 - 0.000913372341943911*G0_1_0_0_8 + 0.00031798888941752*G0_1_0_1_0 + 0.0195596995597029*G0_1_0_1_1 + 0.0566290852005235*G0_1_0_1_3 - 0.0314200085628712*G0_1_0_1_4 + 0.00657628086199626*G0_1_0_1_5 + 0.00200941915227662*G0_1_0_1_6 - 0.00554112554112648*G0_1_0_1_7 + 0.00304457447314644*G0_1_0_1_8 + 0.0288625660054281*G0_1_0_1_9 - 0.00031798888941754*G0_1_0_2_0 - 0.019559699559703*G0_1_0_2_2 + 0.0314200085628712*G0_1_0_2_3 - 0.0566290852005237*G0_1_0_2_4 + 0.00554112554112654*G0_1_0_2_5 - 0.00304457447314653*G0_1_0_2_6 - 0.00657628086199624*G0_1_0_2_7 - 0.0020094191522766*G0_1_0_2_8 - 0.028862566005428*G0_1_0_2_9 + 0.00621093192521882*G0_1_0_3_0 + 0.0566290852005235*G0_1_0_3_1 + 0.0314200085628712*G0_1_0_3_2 + 0.485000713572225*G0_1_0_3_3 - 0.0191808191808224*G0_1_0_3_5 - 0.00602825745682983*G0_1_0_3_6 - 0.0186327957756563*G0_1_0_3_7 + 0.0126045383188265*G0_1_0_3_8 - 0.0493221064649714*G0_1_0_3_9 - 0.00621093192521881*G0_1_0_4_0 - 0.0314200085628712*G0_1_0_4_1 - 0.0566290852005237*G0_1_0_4_2 - 0.485000713572226*G0_1_0_4_4 + 0.0186327957756562*G0_1_0_4_5 - 0.0126045383188265*G0_1_0_4_6 + 0.0191808191808225*G0_1_0_4_7 + 0.00602825745682981*G0_1_0_4_8 + 0.0493221064649717*G0_1_0_4_9 + 0.00164407021549902*G0_1_0_5_0 + 0.00657628086199626*G0_1_0_5_1 + 0.00554112554112654*G0_1_0_5_2 - 0.0191808191808224*G0_1_0_5_3 + 0.0186327957756562*G0_1_0_5_4 + 0.152350506636247*G0_1_0_5_5 - 0.0301412872841494*G0_1_0_5_6 - 0.0197288425859888*G0_1_0_5_8 + 0.0394576851719776*G0_1_0_5_9 + 0.000913372341943936*G0_1_0_6_0 + 0.00200941915227662*G0_1_0_6_1 - 0.00304457447314653*G0_1_0_6_2 - 0.00602825745682984*G0_1_0_6_3 - 0.0126045383188264*G0_1_0_6_4 - 0.0301412872841494*G0_1_0_6_5 + 0.0191808191808223*G0_1_0_6_6 + 0.0197288425859887*G0_1_0_6_7 + 0.0986442129299438*G0_1_0_6_9 - 0.00164407021549906*G0_1_0_7_0 - 0.00554112554112648*G0_1_0_7_1 - 0.00657628086199624*G0_1_0_7_2 - 0.0186327957756563*G0_1_0_7_3 + 0.0191808191808225*G0_1_0_7_4 + 0.0197288425859887*G0_1_0_7_6 - 0.152350506636246*G0_1_0_7_7 + 0.0301412872841493*G0_1_0_7_8 - 0.0394576851719775*G0_1_0_7_9 - 0.000913372341943912*G0_1_0_8_0 + 0.00304457447314643*G0_1_0_8_1 - 0.00200941915227661*G0_1_0_8_2 + 0.0126045383188265*G0_1_0_8_3 + 0.00602825745682982*G0_1_0_8_4 - 0.0197288425859888*G0_1_0_8_5 + 0.0301412872841493*G0_1_0_8_7 - 0.019180819180822*G0_1_0_8_8 - 0.0986442129299437*G0_1_0_8_9 + 0.0288625660054281*G0_1_0_9_1 - 0.028862566005428*G0_1_0_9_2 - 0.0493221064649714*G0_1_0_9_3 + 0.0493221064649717*G0_1_0_9_4 + 0.0394576851719776*G0_1_0_9_5 + 0.0986442129299438*G0_1_0_9_6 - 0.0394576851719775*G0_1_0_9_7 - 0.0986442129299437*G0_1_0_9_8 - 0.0125977725977751*G0_1_1_0_0 + 0.000737463594606537*G0_1_1_0_1 + 0.000419474705189025*G0_1_1_0_2 + 0.00724608724608861*G0_1_1_0_3 - 0.0190590362018967*G0_1_1_0_4 + 0.0161362447076758*G0_1_1_0_5 - 0.00578469149897814*G0_1_1_0_6 + 0.010716902145475*G0_1_1_0_7 + 0.0350126064411839*G0_1_1_0_8 + 0.00657628086199607*G0_1_1_0_9 + 0.000737463594606537*G0_1_1_1_0 + 0.0280371480371528*G0_1_1_1_1 + 0.00223945366802543*G0_1_1_1_2 + 0.0728871128871253*G0_1_1_1_3 - 0.0487740830598057*G0_1_1_1_4 - 0.00572380000951526*G0_1_1_1_5 - 0.0119347319347339*G0_1_1_1_6 - 0.00785500214071781*G0_1_1_1_7 + 0.0780019980020112*G0_1_1_1_8 + 0.0105951191665495*G0_1_1_1_9 + 0.000419474705189025*G0_1_1_2_0 + 0.00223945366802543*G0_1_1_2_1 - 0.0326243069100269*G0_1_1_2_2 + 0.0328205128205185*G0_1_1_2_3 - 0.0639969554255381*G0_1_1_2_4 + 0.00615004043575578*G0_1_1_2_5 - 0.00152228723657329*G0_1_1_2_6 - 0.025452642595504*G0_1_1_2_7 - 0.00700252128823676*G0_1_1_2_8 - 0.00584558298844117*G0_1_1_2_9 + 0.00724608724608861*G0_1_1_3_0 + 0.0728871128871253*G0_1_1_3_1 + 0.0328205128205185*G0_1_1_3_2 + 0.455955473098409*G0_1_1_3_3 + 0.0465819894391405*G0_1_1_3_4 + 0.000548023405166305*G0_1_1_3_5 + 0.0301412872841495*G0_1_1_3_6 - 0.0274011702583177*G0_1_1_3_7 + 0.0120565149136599*G0_1_1_3_8 + 0.0230169830169871*G0_1_1_3_9 - 0.0190590362018967*G0_1_1_4_0 - 0.0487740830598057*G0_1_1_4_1 - 0.0639969554255381*G0_1_1_4_2 + 0.0465819894391405*G0_1_1_4_3 - 0.560079920080016*G0_1_1_4_4 + 0.0515142000856375*G0_1_1_4_5 - 0.0816554873697871*G0_1_1_4_6 + 0.0695989724561271*G0_1_1_4_7 + 0.015344655344658*G0_1_1_4_8 - 0.0854916512059513*G0_1_1_4_9 + 0.0161362447076758*G0_1_1_5_0 - 0.00572380000951526*G0_1_1_5_1 + 0.00615004043575578*G0_1_1_5_2 + 0.000548023405166308*G0_1_1_5_3 + 0.0515142000856375*G0_1_1_5_4 - 0.041649778792643*G0_1_1_5_5 - 0.00219209362066524*G0_1_1_5_6 - 0.0822035107749534*G0_1_1_5_7 + 0.0115084915084935*G0_1_1_5_8 - 0.0427458256029754*G0_1_1_5_9 - 0.00578469149897814*G0_1_1_6_0 - 0.0119347319347339*G0_1_1_6_1 - 0.00152228723657329*G0_1_1_6_2 + 0.0301412872841495*G0_1_1_6_3 - 0.0816554873697871*G0_1_1_6_4 - 0.00219209362066524*G0_1_1_6_5 - 0.041649778792643*G0_1_1_6_6 + 0.0706950192664598*G0_1_1_6_7 + 0.0312373340944821*G0_1_1_6_8 - 0.0427458256029757*G0_1_1_6_9 + 0.010716902145475*G0_1_1_7_0 - 0.00785500214071782*G0_1_1_7_1 - 0.025452642595504*G0_1_1_7_2 - 0.0274011702583177*G0_1_1_7_3 + 0.0695989724561271*G0_1_1_7_4 - 0.0822035107749534*G0_1_1_7_5 + 0.0706950192664598*G0_1_1_7_6 - 0.883413729128166*G0_1_1_7_7 - 0.171531325817069*G0_1_1_7_8 - 0.161118881118909*G0_1_1_7_9 + 0.0350126064411839*G0_1_1_8_0 + 0.0780019980020111*G0_1_1_8_1 - 0.00700252128823676*G0_1_1_8_2 + 0.0120565149136599*G0_1_1_8_3 + 0.015344655344658*G0_1_1_8_4 + 0.0115084915084935*G0_1_1_8_5 + 0.0312373340944821*G0_1_1_8_6 - 0.171531325817069*G0_1_1_8_7 - 0.219209362066543*G0_1_1_8_8 - 0.0624746681889646*G0_1_1_8_9 + 0.00657628086199607*G0_1_1_9_0 + 0.0105951191665495*G0_1_1_9_1 - 0.00584558298844117*G0_1_1_9_2 + 0.0230169830169872*G0_1_1_9_3 - 0.0854916512059513*G0_1_1_9_4 - 0.0427458256029754*G0_1_1_9_5 - 0.0427458256029757*G0_1_1_9_6 - 0.161118881118909*G0_1_1_9_7 - 0.0624746681889646*G0_1_1_9_8 - 1.30210361067526*G0_1_1_9_9;
    A[179] = A[221] - 0.00251008251008309*G0_0_1_0_0 + 0.0025315072934125*G0_0_1_0_1 + 0.00135286230524348*G0_0_1_0_2 + 0.00402137544994755*G0_0_1_0_3 - 0.0017252588681163*G0_0_1_0_4 + 0.000284160284160284*G0_0_1_0_5 - 0.00091844663273246*G0_0_1_0_6 + 0.00845376845376982*G0_0_1_0_7 + 0.00682492111063657*G0_0_1_0_8 + 0.0164711478997221*G0_0_1_0_9 + 0.0025315072934125*G0_0_1_1_0 + 0.0288106954773674*G0_0_1_1_1 + 0.00176444366920588*G0_0_1_1_2 + 0.0134976134976159*G0_0_1_1_3 - 0.0053635253635263*G0_0_1_1_4 - 0.0019764362621509*G0_0_1_1_5 + 0.00174555603127061*G0_0_1_1_6 - 0.0055766455766466*G0_0_1_1_7 + 0.0273504273504322*G0_0_1_1_8 - 0.00788544788544921*G0_0_1_1_9 + 0.00135286230524348*G0_0_1_2_0 + 0.00176444366920588*G0_0_1_2_1 + 0.00169706836373529*G0_0_1_2_2 + 0.00425225568082782*G0_0_1_2_3 - 0.00350126064411837*G0_0_1_2_5 + 0.0017277960135106*G0_0_1_2_6 - 0.00368900940329574*G0_0_1_2_7 + 0.0022174650746083*G0_0_1_2_8 + 0.00514533085961744*G0_0_1_2_9 + 0.00402137544994755*G0_0_1_3_0 + 0.0134976134976159*G0_0_1_3_1 + 0.00425225568082782*G0_0_1_3_2 + 0.0303696303696353*G0_0_1_3_3 - 0.0272413300984775*G0_0_1_3_4 + 0.000365348936777595*G0_0_1_3_5 - 0.012102183530757*G0_0_1_3_6 - 0.0189296417867878*G0_0_1_3_7 + 0.0324475524475579*G0_0_1_3_8 + 0.0615156272299233*G0_0_1_3_9 - 0.0017252588681163*G0_0_1_4_0 - 0.00536352536352631*G0_0_1_4_1 - 0.0272413300984775*G0_0_1_4_3 + 0.0302326245183437*G0_0_1_4_4 - 0.00168973883259627*G0_0_1_4_5 + 0.0137919223633532*G0_0_1_4_6 + 0.0115541601255906*G0_0_1_4_7 - 0.0135179106607701*G0_0_1_4_8 - 0.0120565149136598*G0_0_1_4_9 + 0.000284160284160284*G0_0_1_5_0 - 0.0019764362621509*G0_0_1_5_1 - 0.00350126064411837*G0_0_1_5_2 + 0.000365348936777594*G0_0_1_5_3 - 0.00168973883259627*G0_0_1_5_4 + 0.00790067075781481*G0_0_1_5_5 + 0.00372199229342146*G0_0_1_5_6 - 0.00326530612244957*G0_0_1_5_7 - 0.000936206650492477*G0_0_1_5_8 - 0.0475410303981813*G0_0_1_5_9 - 0.000918446632732459*G0_0_1_6_0 + 0.00174555603127061*G0_0_1_6_1 + 0.0017277960135106*G0_0_1_6_2 - 0.012102183530757*G0_0_1_6_3 + 0.0137919223633532*G0_0_1_6_4 + 0.00372199229342146*G0_0_1_6_5 + 0.0291365777080109*G0_0_1_6_6 + 0.00420151277294205*G0_0_1_6_7 - 0.00251177394034578*G0_0_1_6_8 + 0.00876837448266159*G0_0_1_6_9 + 0.00845376845376982*G0_0_1_7_0 - 0.0055766455766466*G0_0_1_7_1 - 0.00368900940329574*G0_0_1_7_2 - 0.0189296417867878*G0_0_1_7_3 + 0.0115541601255906*G0_0_1_7_4 - 0.00326530612244957*G0_0_1_7_5 + 0.00420151277294205*G0_0_1_7_6 + 0.0491394319965832*G0_0_1_7_7 - 0.0621093192521869*G0_0_1_7_8 - 0.0578164692450504*G0_0_1_7_9 + 0.00682492111063657*G0_0_1_8_0 + 0.0273504273504322*G0_0_1_8_1 + 0.0022174650746083*G0_0_1_8_2 + 0.0324475524475579*G0_0_1_8_3 - 0.0135179106607701*G0_0_1_8_4 - 0.000936206650492477*G0_0_1_8_5 - 0.00251177394034578*G0_0_1_8_6 - 0.0621093192521869*G0_0_1_8_7 - 0.124035964035985*G0_0_1_8_8 + 0.0506921649778877*G0_0_1_8_9 + 0.0164711478997221*G0_0_1_9_0 - 0.00788544788544921*G0_0_1_9_1 + 0.00514533085961744*G0_0_1_9_2 + 0.0615156272299233*G0_0_1_9_3 - 0.0120565149136598*G0_0_1_9_4 - 0.0475410303981813*G0_0_1_9_5 + 0.00876837448266159*G0_0_1_9_6 - 0.0578164692450504*G0_0_1_9_7 + 0.0506921649778877*G0_0_1_9_8 - 0.0394576851719776*G0_0_1_9_9 + 0.00251008251008309*G0_1_0_0_0 - 0.0025315072934125*G0_1_0_0_1 - 0.00135286230524348*G0_1_0_0_2 - 0.00402137544994755*G0_1_0_0_3 + 0.0017252588681163*G0_1_0_0_4 - 0.000284160284160284*G0_1_0_0_5 + 0.000918446632732459*G0_1_0_0_6 - 0.00845376845376982*G0_1_0_0_7 - 0.00682492111063657*G0_1_0_0_8 - 0.0164711478997221*G0_1_0_0_9 - 0.0025315072934125*G0_1_0_1_0 - 0.0288106954773674*G0_1_0_1_1 - 0.00176444366920588*G0_1_0_1_2 - 0.0134976134976159*G0_1_0_1_3 + 0.0053635253635263*G0_1_0_1_4 + 0.0019764362621509*G0_1_0_1_5 - 0.00174555603127061*G0_1_0_1_6 + 0.0055766455766466*G0_1_0_1_7 - 0.0273504273504322*G0_1_0_1_8 + 0.00788544788544921*G0_1_0_1_9 - 0.00135286230524348*G0_1_0_2_0 - 0.00176444366920588*G0_1_0_2_1 - 0.00169706836373529*G0_1_0_2_2 - 0.00425225568082782*G0_1_0_2_3 + 0.00350126064411837*G0_1_0_2_5 - 0.0017277960135106*G0_1_0_2_6 + 0.00368900940329574*G0_1_0_2_7 - 0.0022174650746083*G0_1_0_2_8 - 0.00514533085961744*G0_1_0_2_9 - 0.00402137544994755*G0_1_0_3_0 - 0.0134976134976159*G0_1_0_3_1 - 0.00425225568082782*G0_1_0_3_2 - 0.0303696303696353*G0_1_0_3_3 + 0.0272413300984775*G0_1_0_3_4 - 0.000365348936777597*G0_1_0_3_5 + 0.012102183530757*G0_1_0_3_6 + 0.0189296417867878*G0_1_0_3_7 - 0.0324475524475579*G0_1_0_3_8 - 0.0615156272299233*G0_1_0_3_9 + 0.0017252588681163*G0_1_0_4_0 + 0.00536352536352631*G0_1_0_4_1 + 0.0272413300984775*G0_1_0_4_3 - 0.0302326245183437*G0_1_0_4_4 + 0.00168973883259627*G0_1_0_4_5 - 0.0137919223633532*G0_1_0_4_6 - 0.0115541601255906*G0_1_0_4_7 + 0.0135179106607701*G0_1_0_4_8 + 0.0120565149136598*G0_1_0_4_9 - 0.000284160284160284*G0_1_0_5_0 + 0.0019764362621509*G0_1_0_5_1 + 0.00350126064411837*G0_1_0_5_2 - 0.000365348936777594*G0_1_0_5_3 + 0.00168973883259627*G0_1_0_5_4 - 0.00790067075781481*G0_1_0_5_5 - 0.00372199229342146*G0_1_0_5_6 + 0.00326530612244957*G0_1_0_5_7 + 0.000936206650492477*G0_1_0_5_8 + 0.0475410303981813*G0_1_0_5_9 + 0.000918446632732459*G0_1_0_6_0 - 0.00174555603127061*G0_1_0_6_1 - 0.0017277960135106*G0_1_0_6_2 + 0.012102183530757*G0_1_0_6_3 - 0.0137919223633532*G0_1_0_6_4 - 0.00372199229342146*G0_1_0_6_5 - 0.029136577708011*G0_1_0_6_6 - 0.00420151277294205*G0_1_0_6_7 + 0.00251177394034578*G0_1_0_6_8 - 0.00876837448266159*G0_1_0_6_9 - 0.00845376845376982*G0_1_0_7_0 + 0.0055766455766466*G0_1_0_7_1 + 0.00368900940329574*G0_1_0_7_2 + 0.0189296417867878*G0_1_0_7_3 - 0.0115541601255906*G0_1_0_7_4 + 0.00326530612244957*G0_1_0_7_5 - 0.00420151277294205*G0_1_0_7_6 - 0.0491394319965831*G0_1_0_7_7 + 0.0621093192521869*G0_1_0_7_8 + 0.0578164692450504*G0_1_0_7_9 - 0.00682492111063657*G0_1_0_8_0 - 0.0273504273504322*G0_1_0_8_1 - 0.0022174650746083*G0_1_0_8_2 - 0.0324475524475579*G0_1_0_8_3 + 0.0135179106607701*G0_1_0_8_4 + 0.000936206650492477*G0_1_0_8_5 + 0.00251177394034578*G0_1_0_8_6 + 0.0621093192521869*G0_1_0_8_7 + 0.124035964035985*G0_1_0_8_8 - 0.0506921649778877*G0_1_0_8_9 - 0.0164711478997221*G0_1_0_9_0 + 0.00788544788544921*G0_1_0_9_1 - 0.00514533085961744*G0_1_0_9_2 - 0.0615156272299233*G0_1_0_9_3 + 0.0120565149136598*G0_1_0_9_4 + 0.0475410303981813*G0_1_0_9_5 - 0.00876837448266159*G0_1_0_9_6 + 0.0578164692450504*G0_1_0_9_7 - 0.0506921649778877*G0_1_0_9_8 + 0.0394576851719776*G0_1_0_9_9;
    A[219] = A[149] + 0.0288106954773675*G0_0_1_0_0 + 0.00253150729341252*G0_0_1_0_1 + 0.00176444366920589*G0_0_1_0_2 - 0.0019764362621509*G0_0_1_0_3 + 0.00174555603127065*G0_0_1_0_4 + 0.0134976134976159*G0_0_1_0_5 - 0.00536352536352631*G0_0_1_0_6 + 0.0273504273504323*G0_0_1_0_7 - 0.00557664557664667*G0_0_1_0_8 - 0.00788544788544916*G0_0_1_0_9 + 0.00253150729341252*G0_0_1_1_0 - 0.00251008251008303*G0_0_1_1_1 + 0.0013528623052435*G0_0_1_1_2 + 0.000284160284160277*G0_0_1_1_3 - 0.00091844663273247*G0_0_1_1_4 + 0.00402137544994755*G0_0_1_1_5 - 0.00172525886811629*G0_0_1_1_6 + 0.0068249211106366*G0_0_1_1_7 + 0.00845376845376983*G0_0_1_1_8 + 0.0164711478997221*G0_0_1_1_9 + 0.00176444366920589*G0_0_1_2_0 + 0.0013528623052435*G0_0_1_2_1 + 0.00169706836373542*G0_0_1_2_2 - 0.00350126064411843*G0_0_1_2_3 + 0.00172779601351069*G0_0_1_2_4 + 0.0042522556808278*G0_0_1_2_5 + 0.00221746507460834*G0_0_1_2_7 - 0.00368900940329575*G0_0_1_2_8 + 0.00514533085961747*G0_0_1_2_9 - 0.0019764362621509*G0_0_1_3_0 + 0.000284160284160277*G0_0_1_3_1 - 0.00350126064411844*G0_0_1_3_2 + 0.00790067075781532*G0_0_1_3_3 + 0.00372199229342146*G0_0_1_3_4 + 0.000365348936777596*G0_0_1_3_5 - 0.00168973883259631*G0_0_1_3_6 - 0.000936206650492504*G0_0_1_3_7 - 0.0032653061224495*G0_0_1_3_8 - 0.0475410303981812*G0_0_1_3_9 + 0.00174555603127065*G0_0_1_4_0 - 0.00091844663273247*G0_0_1_4_1 + 0.00172779601351069*G0_0_1_4_2 + 0.00372199229342145*G0_0_1_4_3 + 0.0291365777080121*G0_0_1_4_4 - 0.0121021835307571*G0_0_1_4_5 + 0.0137919223633534*G0_0_1_4_6 - 0.00251177394034588*G0_0_1_4_7 + 0.00420151277294205*G0_0_1_4_8 + 0.00876837448266181*G0_0_1_4_9 + 0.0134976134976159*G0_0_1_5_0 + 0.00402137544994755*G0_0_1_5_1 + 0.0042522556808278*G0_0_1_5_2 + 0.000365348936777595*G0_0_1_5_3 - 0.0121021835307571*G0_0_1_5_4 + 0.0303696303696354*G0_0_1_5_5 - 0.0272413300984777*G0_0_1_5_6 + 0.032447552447558*G0_0_1_5_7 - 0.0189296417867879*G0_0_1_5_8 + 0.0615156272299233*G0_0_1_5_9 - 0.00536352536352631*G0_0_1_6_0 - 0.00172525886811629*G0_0_1_6_1 - 0.00168973883259631*G0_0_1_6_3 + 0.0137919223633534*G0_0_1_6_4 - 0.0272413300984777*G0_0_1_6_5 + 0.0302326245183441*G0_0_1_6_6 - 0.0135179106607702*G0_0_1_6_7 + 0.0115541601255907*G0_0_1_6_8 - 0.0120565149136598*G0_0_1_6_9 + 0.0273504273504323*G0_0_1_7_0 + 0.0068249211106366*G0_0_1_7_1 + 0.00221746507460834*G0_0_1_7_2 - 0.000936206650492502*G0_0_1_7_3 - 0.00251177394034588*G0_0_1_7_4 + 0.032447552447558*G0_0_1_7_5 - 0.0135179106607702*G0_0_1_7_6 - 0.124035964035984*G0_0_1_7_7 - 0.062109319252187*G0_0_1_7_8 + 0.0506921649778879*G0_0_1_7_9 - 0.00557664557664667*G0_0_1_8_0 + 0.00845376845376983*G0_0_1_8_1 - 0.00368900940329575*G0_0_1_8_2 - 0.00326530612244951*G0_0_1_8_3 + 0.00420151277294205*G0_0_1_8_4 - 0.0189296417867879*G0_0_1_8_5 + 0.0115541601255907*G0_0_1_8_6 - 0.062109319252187*G0_0_1_8_7 + 0.0491394319965835*G0_0_1_8_8 - 0.0578164692450504*G0_0_1_8_9 - 0.00788544788544916*G0_0_1_9_0 + 0.0164711478997221*G0_0_1_9_1 + 0.00514533085961747*G0_0_1_9_2 - 0.0475410303981812*G0_0_1_9_3 + 0.00876837448266181*G0_0_1_9_4 + 0.0615156272299233*G0_0_1_9_5 - 0.0120565149136598*G0_0_1_9_6 + 0.0506921649778879*G0_0_1_9_7 - 0.0578164692450504*G0_0_1_9_8 - 0.0394576851719776*G0_0_1_9_9 - 0.0288106954773675*G0_1_0_0_0 - 0.00253150729341252*G0_1_0_0_1 - 0.00176444366920589*G0_1_0_0_2 + 0.0019764362621509*G0_1_0_0_3 - 0.00174555603127065*G0_1_0_0_4 - 0.0134976134976159*G0_1_0_0_5 + 0.00536352536352631*G0_1_0_0_6 - 0.0273504273504323*G0_1_0_0_7 + 0.00557664557664667*G0_1_0_0_8 + 0.00788544788544917*G0_1_0_0_9 - 0.00253150729341252*G0_1_0_1_0 + 0.00251008251008303*G0_1_0_1_1 - 0.0013528623052435*G0_1_0_1_2 - 0.000284160284160277*G0_1_0_1_3 + 0.000918446632732469*G0_1_0_1_4 - 0.00402137544994755*G0_1_0_1_5 + 0.00172525886811629*G0_1_0_1_6 - 0.0068249211106366*G0_1_0_1_7 - 0.00845376845376983*G0_1_0_1_8 - 0.0164711478997221*G0_1_0_1_9 - 0.00176444366920589*G0_1_0_2_0 - 0.0013528623052435*G0_1_0_2_1 - 0.00169706836373542*G0_1_0_2_2 + 0.00350126064411843*G0_1_0_2_3 - 0.00172779601351069*G0_1_0_2_4 - 0.0042522556808278*G0_1_0_2_5 - 0.00221746507460834*G0_1_0_2_7 + 0.00368900940329575*G0_1_0_2_8 - 0.00514533085961747*G0_1_0_2_9 + 0.0019764362621509*G0_1_0_3_0 - 0.000284160284160281*G0_1_0_3_1 + 0.00350126064411844*G0_1_0_3_2 - 0.00790067075781531*G0_1_0_3_3 - 0.00372199229342145*G0_1_0_3_4 - 0.000365348936777596*G0_1_0_3_5 + 0.00168973883259631*G0_1_0_3_6 + 0.000936206650492503*G0_1_0_3_7 + 0.00326530612244951*G0_1_0_3_8 + 0.0475410303981812*G0_1_0_3_9 - 0.00174555603127065*G0_1_0_4_0 + 0.000918446632732469*G0_1_0_4_1 - 0.00172779601351069*G0_1_0_4_2 - 0.00372199229342145*G0_1_0_4_3 - 0.0291365777080121*G0_1_0_4_4 + 0.0121021835307571*G0_1_0_4_5 - 0.0137919223633534*G0_1_0_4_6 + 0.00251177394034588*G0_1_0_4_7 - 0.00420151277294205*G0_1_0_4_8 - 0.00876837448266181*G0_1_0_4_9 - 0.0134976134976159*G0_1_0_5_0 - 0.00402137544994755*G0_1_0_5_1 - 0.0042522556808278*G0_1_0_5_2 - 0.000365348936777597*G0_1_0_5_3 + 0.0121021835307571*G0_1_0_5_4 - 0.0303696303696355*G0_1_0_5_5 + 0.0272413300984777*G0_1_0_5_6 - 0.032447552447558*G0_1_0_5_7 + 0.0189296417867879*G0_1_0_5_8 - 0.0615156272299233*G0_1_0_5_9 + 0.00536352536352631*G0_1_0_6_0 + 0.00172525886811629*G0_1_0_6_1 + 0.00168973883259631*G0_1_0_6_3 - 0.0137919223633534*G0_1_0_6_4 + 0.0272413300984777*G0_1_0_6_5 - 0.0302326245183441*G0_1_0_6_6 + 0.0135179106607702*G0_1_0_6_7 - 0.0115541601255907*G0_1_0_6_8 + 0.0120565149136598*G0_1_0_6_9 - 0.0273504273504323*G0_1_0_7_0 - 0.0068249211106366*G0_1_0_7_1 - 0.00221746507460834*G0_1_0_7_2 + 0.000936206650492501*G0_1_0_7_3 + 0.00251177394034587*G0_1_0_7_4 - 0.032447552447558*G0_1_0_7_5 + 0.0135179106607702*G0_1_0_7_6 + 0.124035964035984*G0_1_0_7_7 + 0.062109319252187*G0_1_0_7_8 - 0.0506921649778879*G0_1_0_7_9 + 0.00557664557664667*G0_1_0_8_0 - 0.00845376845376983*G0_1_0_8_1 + 0.00368900940329575*G0_1_0_8_2 + 0.00326530612244951*G0_1_0_8_3 - 0.00420151277294206*G0_1_0_8_4 + 0.0189296417867879*G0_1_0_8_5 - 0.0115541601255907*G0_1_0_8_6 + 0.062109319252187*G0_1_0_8_7 - 0.0491394319965835*G0_1_0_8_8 + 0.0578164692450504*G0_1_0_8_9 + 0.00788544788544917*G0_1_0_9_0 - 0.0164711478997221*G0_1_0_9_1 - 0.00514533085961747*G0_1_0_9_2 + 0.0475410303981812*G0_1_0_9_3 - 0.00876837448266181*G0_1_0_9_4 - 0.0615156272299233*G0_1_0_9_5 + 0.0120565149136598*G0_1_0_9_6 - 0.0506921649778879*G0_1_0_9_7 + 0.0578164692450504*G0_1_0_9_8 + 0.0394576851719776*G0_1_0_9_9;
    A[103] = A[219] + 0.0482283148949902*G0_0_0_0_0 + 0.00308178593892933*G0_0_0_0_1 + 0.00548840929793404*G0_0_0_0_2 + 0.00197897340754521*G0_0_0_0_3 - 0.00245849388706574*G0_0_0_0_4 + 0.0666888666888781*G0_0_0_0_5 - 0.0353424353424414*G0_0_0_0_6 + 0.0224664224664264*G0_0_0_0_7 - 0.0116860916860937*G0_0_0_0_8 + 0.0210989010989047*G0_0_0_0_9 + 0.00308178593892933*G0_0_0_1_0 + 0.014916159678067*G0_0_0_1_1 - 0.000486850010659606*G0_0_0_1_2 + 0.0222989708704033*G0_0_0_1_3 - 0.0111532911532931*G0_0_0_1_4 + 0.0102297702297719*G0_0_0_1_5 - 0.00349111206254123*G0_0_0_1_7 + 0.00245341959627718*G0_0_0_1_8 + 0.00012178297892589*G0_0_0_1_9 + 0.00548840929793404*G0_0_0_2_0 - 0.000486850010659606*G0_0_0_2_1 - 0.0109164909164927*G0_0_0_2_2 + 0.0148778205921088*G0_0_0_2_3 - 0.0253257853257895*G0_0_0_2_4 + 0.0143095000237882*G0_0_0_2_5 - 0.0224841824841863*G0_0_0_2_6 - 0.00280861995147757*G0_0_0_2_7 + 0.000814423671566673*G0_0_0_2_8 - 0.0190285904571651*G0_0_0_2_9 + 0.00197897340754521*G0_0_0_3_0 + 0.0222989708704033*G0_0_0_3_1 + 0.0148778205921088*G0_0_0_3_2 + 0.123076923076945*G0_0_0_3_3 - 0.00701013272441979*G0_0_0_3_4 - 0.0177650920508093*G0_0_0_3_5 - 0.0013928928214645*G0_0_0_3_6 - 0.00703296703296833*G0_0_0_3_7 + 0.0105722848580011*G0_0_0_3_8 + 0.0137005851291591*G0_0_0_3_9 - 0.00245849388706574*G0_0_0_4_0 - 0.0111532911532931*G0_0_0_4_1 - 0.0253257853257895*G0_0_0_4_2 - 0.00701013272441979*G0_0_0_4_3 - 0.100927643784803*G0_0_0_4_4 + 0.00627943485086439*G0_0_0_4_5 - 0.00488654202939996*G0_0_0_4_6 + 0.00844869416298131*G0_0_0_4_7 - 0.00353931782503276*G0_0_0_4_8 + 0.0445269016697664*G0_0_0_4_9 + 0.0666888666888781*G0_0_0_5_0 + 0.0102297702297719*G0_0_0_5_1 + 0.0143095000237882*G0_0_0_5_2 - 0.0177650920508093*G0_0_0_5_3 + 0.00627943485086439*G0_0_0_5_4 + 0.442117882117957*G0_0_0_5_5 - 0.0197973455116344*G0_0_0_5_6 + 0.0244555444555486*G0_0_0_5_7 - 0.0317853574996486*G0_0_0_5_8 + 0.000274011702583236*G0_0_0_5_9 - 0.0353424353424414*G0_0_0_6_0 - 0.0224841824841863*G0_0_0_6_2 - 0.0013928928214645*G0_0_0_6_3 - 0.00488654202939996*G0_0_0_6_4 - 0.0197973455116344*G0_0_0_6_5 - 0.0139745968317422*G0_0_0_6_6 + 0.00732981304409999*G0_0_0_6_7 - 0.000822035107749546*G0_0_0_6_8 + 0.0598715570144243*G0_0_0_6_9 + 0.0224664224664264*G0_0_0_7_0 - 0.00349111206254123*G0_0_0_7_1 - 0.00280861995147757*G0_0_0_7_2 - 0.00703296703296833*G0_0_0_7_3 + 0.00844869416298131*G0_0_0_7_4 + 0.0244555444555485*G0_0_0_7_5 + 0.00732981304409999*G0_0_0_7_6 - 0.0562637362637458*G0_0_0_7_7 + 0.0100470957613831*G0_0_0_7_8 - 0.077956329384914*G0_0_0_7_9 - 0.0116860916860937*G0_0_0_8_0 + 0.00245341959627718*G0_0_0_8_1 + 0.000814423671566673*G0_0_0_8_2 + 0.0105722848580011*G0_0_0_8_3 - 0.00353931782503276*G0_0_0_8_4 - 0.0317853574996486*G0_0_0_8_5 - 0.000822035107749546*G0_0_0_8_6 + 0.0100470957613831*G0_0_0_8_7 - 0.0132438989581868*G0_0_0_8_8 + 0.0067132867132879*G0_0_0_8_9 + 0.0210989010989047*G0_0_0_9_0 + 0.00012178297892589*G0_0_0_9_1 - 0.0190285904571651*G0_0_0_9_2 + 0.0137005851291591*G0_0_0_9_3 + 0.0445269016697664*G0_0_0_9_4 + 0.000274011702583237*G0_0_0_9_5 + 0.0598715570144243*G0_0_0_9_6 - 0.077956329384914*G0_0_0_9_7 + 0.0067132867132879*G0_0_0_9_8 + 0.100288283145443*G0_0_0_9_9 + 0.000208891637463093*G0_0_1_0_1 - 0.000208891637463119*G0_0_1_0_2 + 0.00354692926121563*G0_0_1_0_3 - 0.00354692926121561*G0_0_1_0_4 + 0.000976800976801003*G0_0_1_0_5 - 0.00163392163392187*G0_0_1_0_6 - 0.0009768009768014*G0_0_1_0_7 + 0.00163392163392205*G0_0_1_0_8 + 0.000208891637463093*G0_0_1_1_0 + 0.0143500943500969*G0_0_1_1_1 + 0.0236005264576735*G0_0_1_1_3 - 0.0135737278594445*G0_0_1_1_4 + 0.00305979734551213*G0_0_1_1_5 - 0.000829646543932398*G0_0_1_1_6 - 0.00295831152974072*G0_0_1_1_7 + 0.0043182214610795*G0_0_1_1_8 + 0.00353170638884986*G0_0_1_1_9 - 0.000208891637463119*G0_0_1_2_0 - 0.0143500943500967*G0_0_1_2_2 + 0.0135737278594445*G0_0_1_2_3 - 0.0236005264576733*G0_0_1_2_4 + 0.00295831152974057*G0_0_1_2_5 - 0.00431822146107935*G0_0_1_2_6 - 0.00305979734551219*G0_0_1_2_7 + 0.000829646543932441*G0_0_1_2_8 - 0.00353170638884984*G0_0_1_2_9 + 0.00354692926121563*G0_0_1_3_0 + 0.0236005264576735*G0_0_1_3_1 + 0.0135737278594445*G0_0_1_3_2 + 0.118373055515933*G0_0_1_3_3 - 0.00991008991009159*G0_0_1_3_5 + 0.0024889396317972*G0_0_1_3_6 - 0.0106407877836468*G0_0_1_3_7 + 0.0131297274154441*G0_0_1_3_8 + 0.0106864564007441*G0_0_1_3_9 - 0.00354692926121561*G0_0_1_4_0 - 0.0135737278594445*G0_0_1_4_1 - 0.0236005264576733*G0_0_1_4_2 - 0.118373055515933*G0_0_1_4_4 + 0.0106407877836468*G0_0_1_4_5 - 0.013129727415444*G0_0_1_4_6 + 0.00991008991009167*G0_0_1_4_7 - 0.00248893963179732*G0_0_1_4_8 - 0.010686456400744*G0_0_1_4_9 + 0.000976800976801003*G0_0_1_5_0 + 0.00305979734551213*G0_0_1_5_1 + 0.00295831152974057*G0_0_1_5_2 - 0.00991008991009159*G0_0_1_5_3 + 0.0106407877836468*G0_0_1_5_4 + 0.0505094905094989*G0_0_1_5_5 - 0.00230626516340817*G0_0_1_5_6 - 0.00917939203653638*G0_0_1_5_8 + 0.0183587840730728*G0_0_1_5_9 - 0.00163392163392187*G0_0_1_6_0 - 0.000829646543932398*G0_0_1_6_1 - 0.00431822146107935*G0_0_1_6_2 + 0.00248893963179721*G0_0_1_6_3 - 0.013129727415444*G0_0_1_6_4 - 0.00230626516340817*G0_0_1_6_5 + 0.000776366490652037*G0_0_1_6_6 + 0.00917939203653659*G0_0_1_6_7 + 0.00561723990295513*G0_0_1_6_9 - 0.000976800976801398*G0_0_1_7_0 - 0.00295831152974072*G0_0_1_7_1 - 0.00305979734551219*G0_0_1_7_2 - 0.0106407877836468*G0_0_1_7_3 + 0.00991008991009167*G0_0_1_7_4 + 0.00917939203653659*G0_0_1_7_6 - 0.0505094905094999*G0_0_1_7_7 + 0.00230626516340848*G0_0_1_7_8 - 0.0183587840730731*G0_0_1_7_9 + 0.00163392163392205*G0_0_1_8_0 + 0.0043182214610795*G0_0_1_8_1 + 0.000829646543932441*G0_0_1_8_2 + 0.0131297274154441*G0_0_1_8_3 - 0.00248893963179732*G0_0_1_8_4 - 0.00917939203653638*G0_0_1_8_5 + 0.00230626516340848*G0_0_1_8_7 - 0.000776366490651513*G0_0_1_8_8 - 0.0056172399029549*G0_0_1_8_9 + 0.00353170638884986*G0_0_1_9_1 - 0.00353170638884984*G0_0_1_9_2 + 0.0106864564007441*G0_0_1_9_3 - 0.010686456400744*G0_0_1_9_4 + 0.0183587840730728*G0_0_1_9_5 + 0.00561723990295513*G0_0_1_9_6 - 0.0183587840730731*G0_0_1_9_7 - 0.0056172399029549*G0_0_1_9_8 + 0.000975955261669732*G0_1_0_0_1 - 0.000975955261669704*G0_1_0_0_2 - 0.00017506303220592*G0_1_0_0_3 + 0.000175063032205925*G0_1_0_0_4 - 0.0128760128760149*G0_1_0_0_5 - 0.00142080142080171*G0_1_0_0_6 + 0.0128760128760152*G0_1_0_0_7 + 0.00142080142080159*G0_1_0_0_8 + 0.000975955261669732*G0_1_0_1_0 + 0.0101429434762784*G0_1_0_1_1 + 0.022156890728323*G0_1_0_1_3 - 0.0109909138480585*G0_1_0_1_4 + 0.0048637077208514*G0_1_0_1_5 + 0.00113410399124704*G0_1_0_1_6 - 0.000385646099931868*G0_1_0_1_7 + 0.0127593041878777*G0_1_0_1_8 + 0.0148575234289545*G0_1_0_1_9 - 0.000975955261669704*G0_1_0_2_0 - 0.0101429434762784*G0_1_0_2_2 + 0.0109909138480585*G0_1_0_2_3 - 0.022156890728323*G0_1_0_2_4 + 0.000385646099931878*G0_1_0_2_5 - 0.0127593041878777*G0_1_0_2_6 - 0.00486370772085139*G0_1_0_2_7 - 0.00113410399124704*G0_1_0_2_8 - 0.0148575234289545*G0_1_0_2_9 - 0.000175063032205921*G0_1_0_3_0 + 0.022156890728323*G0_1_0_3_1 + 0.0109909138480585*G0_1_0_3_2 + 0.0971371485657366*G0_1_0_3_3 - 0.00703296703296813*G0_1_0_3_5 - 0.00340231197374115*G0_1_0_3_6 + 0.000525189096617787*G0_1_0_3_7 - 0.00392750107035884*G0_1_0_3_8 - 0.0456229484800989*G0_1_0_3_9 + 0.000175063032205925*G0_1_0_4_0 - 0.0109909138480585*G0_1_0_4_1 - 0.0221568907283229*G0_1_0_4_2 - 0.0971371485657361*G0_1_0_4_4 - 0.000525189096617843*G0_1_0_4_5 + 0.00392750107035895*G0_1_0_4_6 + 0.00703296703296819*G0_1_0_4_7 + 0.0034023119737411*G0_1_0_4_8 + 0.0456229484800991*G0_1_0_4_9 - 0.0128760128760149*G0_1_0_5_0 + 0.0048637077208514*G0_1_0_5_1 + 0.000385646099931877*G0_1_0_5_2 - 0.00703296703296814*G0_1_0_5_3 - 0.000525189096617842*G0_1_0_5_4 + 0.20491508491512*G0_1_0_5_5 + 0.0325617239903009*G0_1_0_5_6 - 0.0145911231625542*G0_1_0_5_8 + 0.0291822463251084*G0_1_0_5_9 - 0.00142080142080171*G0_1_0_6_0 + 0.00113410399124704*G0_1_0_6_1 - 0.0127593041878777*G0_1_0_6_2 - 0.00340231197374115*G0_1_0_6_3 + 0.00392750107035895*G0_1_0_6_4 + 0.0325617239903009*G0_1_0_6_5 - 0.0181304409875869*G0_1_0_6_6 + 0.0145911231625541*G0_1_0_6_7 + 0.0513771942343458*G0_1_0_6_9 + 0.0128760128760152*G0_1_0_7_0 - 0.000385646099931869*G0_1_0_7_1 - 0.00486370772085139*G0_1_0_7_2 + 0.000525189096617787*G0_1_0_7_3 + 0.00703296703296819*G0_1_0_7_4 + 0.0145911231625541*G0_1_0_7_6 - 0.20491508491512*G0_1_0_7_7 - 0.0325617239903008*G0_1_0_7_8 - 0.0291822463251085*G0_1_0_7_9 + 0.00142080142080159*G0_1_0_8_0 + 0.0127593041878777*G0_1_0_8_1 - 0.00113410399124704*G0_1_0_8_2 - 0.00392750107035884*G0_1_0_8_3 + 0.0034023119737411*G0_1_0_8_4 - 0.0145911231625542*G0_1_0_8_5 - 0.0325617239903009*G0_1_0_8_7 + 0.0181304409875872*G0_1_0_8_8 - 0.0513771942343457*G0_1_0_8_9 + 0.0148575234289545*G0_1_0_9_1 - 0.0148575234289545*G0_1_0_9_2 - 0.0456229484800989*G0_1_0_9_3 + 0.0456229484800991*G0_1_0_9_4 + 0.0291822463251084*G0_1_0_9_5 + 0.0513771942343458*G0_1_0_9_6 - 0.0291822463251085*G0_1_0_9_7 - 0.0513771942343457*G0_1_0_9_8 - 0.0482283148949893*G0_1_1_0_0 - 0.00548840929793402*G0_1_1_0_1 - 0.0030817859389293*G0_1_1_0_2 + 0.00245849388706577*G0_1_1_0_3 - 0.00197897340754522*G0_1_1_0_4 - 0.0224664224664261*G0_1_1_0_5 + 0.0116860916860936*G0_1_1_0_6 - 0.0666888666888779*G0_1_1_0_7 + 0.0353424353424413*G0_1_1_0_8 - 0.0210989010989047*G0_1_1_0_9 - 0.00548840929793402*G0_1_1_1_0 + 0.0109164909164927*G0_1_1_1_1 + 0.000486850010659611*G0_1_1_1_2 + 0.0253257853257896*G0_1_1_1_3 - 0.0148778205921088*G0_1_1_1_4 + 0.00280861995147757*G0_1_1_1_5 - 0.000814423671566671*G0_1_1_1_6 - 0.0143095000237882*G0_1_1_1_7 + 0.0224841824841863*G0_1_1_1_8 + 0.0190285904571651*G0_1_1_1_9 - 0.0030817859389293*G0_1_1_2_0 + 0.000486850010659611*G0_1_1_2_1 - 0.0149161596780669*G0_1_1_2_2 + 0.011153291153293*G0_1_1_2_3 - 0.0222989708704032*G0_1_1_2_4 + 0.00349111206254122*G0_1_1_2_5 - 0.00245341959627715*G0_1_1_2_6 - 0.0102297702297719*G0_1_1_2_7 - 0.000121782978925843*G0_1_1_2_9 + 0.00245849388706577*G0_1_1_3_0 + 0.0253257853257896*G0_1_1_3_1 + 0.011153291153293*G0_1_1_3_2 + 0.100927643784804*G0_1_1_3_3 + 0.00701013272441962*G0_1_1_3_4 - 0.00844869416298127*G0_1_1_3_5 + 0.00353931782503271*G0_1_1_3_6 - 0.00627943485086438*G0_1_1_3_7 + 0.00488654202940004*G0_1_1_3_8 - 0.0445269016697663*G0_1_1_3_9 - 0.00197897340754522*G0_1_1_4_0 - 0.0148778205921088*G0_1_1_4_1 - 0.0222989708704032*G0_1_1_4_2 + 0.00701013272441963*G0_1_1_4_3 - 0.123076923076944*G0_1_1_4_4 + 0.00703296703296827*G0_1_1_4_5 - 0.010572284858001*G0_1_1_4_6 + 0.0177650920508093*G0_1_1_4_7 + 0.00139289282146445*G0_1_1_4_8 - 0.013700585129159*G0_1_1_4_9 - 0.0224664224664261*G0_1_1_5_0 + 0.00280861995147757*G0_1_1_5_1 + 0.00349111206254122*G0_1_1_5_2 - 0.00844869416298127*G0_1_1_5_3 + 0.00703296703296827*G0_1_1_5_4 + 0.0562637362637459*G0_1_1_5_5 - 0.0100470957613831*G0_1_1_5_6 - 0.0244555444555485*G0_1_1_5_7 - 0.00732981304410004*G0_1_1_5_8 + 0.077956329384914*G0_1_1_5_9 + 0.0116860916860936*G0_1_1_6_0 - 0.00081442367156667*G0_1_1_6_1 - 0.00245341959627715*G0_1_1_6_2 + 0.00353931782503271*G0_1_1_6_3 - 0.010572284858001*G0_1_1_6_4 - 0.0100470957613831*G0_1_1_6_5 + 0.0132438989581868*G0_1_1_6_6 + 0.0317853574996485*G0_1_1_6_7 + 0.000822035107749537*G0_1_1_6_8 - 0.0067132867132879*G0_1_1_6_9 - 0.0666888666888779*G0_1_1_7_0 - 0.0143095000237882*G0_1_1_7_1 - 0.0102297702297719*G0_1_1_7_2 - 0.00627943485086438*G0_1_1_7_3 + 0.0177650920508093*G0_1_1_7_4 - 0.0244555444555485*G0_1_1_7_5 + 0.0317853574996485*G0_1_1_7_6 - 0.442117882117957*G0_1_1_7_7 + 0.0197973455116345*G0_1_1_7_8 - 0.000274011702583336*G0_1_1_7_9 + 0.0353424353424413*G0_1_1_8_0 + 0.0224841824841863*G0_1_1_8_1 + 0.00488654202940004*G0_1_1_8_3 + 0.00139289282146445*G0_1_1_8_4 - 0.00732981304410004*G0_1_1_8_5 + 0.000822035107749538*G0_1_1_8_6 + 0.0197973455116345*G0_1_1_8_7 + 0.0139745968317425*G0_1_1_8_8 - 0.0598715570144241*G0_1_1_8_9 - 0.0210989010989047*G0_1_1_9_0 + 0.0190285904571651*G0_1_1_9_1 - 0.000121782978925842*G0_1_1_9_2 - 0.0445269016697663*G0_1_1_9_3 - 0.013700585129159*G0_1_1_9_4 + 0.077956329384914*G0_1_1_9_5 - 0.0067132867132879*G0_1_1_9_6 - 0.00027401170258334*G0_1_1_9_7 - 0.0598715570144241*G0_1_1_9_8 - 0.100288283145443*G0_1_1_9_9;
    A[201] = A[103] - 0.0288106954773669*G0_0_1_0_0 - 0.00176444366920588*G0_0_1_0_1 - 0.00253150729341248*G0_0_1_0_2 - 0.00174555603127065*G0_0_1_0_3 + 0.00197643626215089*G0_0_1_0_4 - 0.0273504273504318*G0_0_1_0_5 + 0.00557664557664647*G0_0_1_0_6 - 0.0134976134976157*G0_0_1_0_7 + 0.0053635253635262*G0_0_1_0_8 + 0.00788544788544922*G0_0_1_0_9 - 0.00176444366920588*G0_0_1_1_0 - 0.00169706836373544*G0_0_1_1_1 - 0.0013528623052435*G0_0_1_1_2 - 0.00172779601351073*G0_0_1_1_3 + 0.00350126064411844*G0_0_1_1_4 - 0.00221746507460828*G0_0_1_1_5 + 0.00368900940329573*G0_0_1_1_6 - 0.00425225568082775*G0_0_1_1_7 - 0.00514533085961745*G0_0_1_1_9 - 0.00253150729341248*G0_0_1_2_0 - 0.0013528623052435*G0_0_1_2_1 + 0.0025100825100829*G0_0_1_2_2 + 0.000918446632732477*G0_0_1_2_3 - 0.000284160284160315*G0_0_1_2_4 - 0.00682492111063649*G0_0_1_2_5 - 0.00845376845376992*G0_0_1_2_6 - 0.00402137544994753*G0_0_1_2_7 + 0.00172525886811627*G0_0_1_2_8 - 0.0164711478997221*G0_0_1_2_9 - 0.00174555603127065*G0_0_1_3_0 - 0.00172779601351073*G0_0_1_3_1 + 0.000918446632732476*G0_0_1_3_2 - 0.0291365777080121*G0_0_1_3_3 - 0.00372199229342139*G0_0_1_3_4 + 0.00251177394034586*G0_0_1_3_5 - 0.00420151277294204*G0_0_1_3_6 + 0.0121021835307571*G0_0_1_3_7 - 0.0137919223633535*G0_0_1_3_8 - 0.00876837448266184*G0_0_1_3_9 + 0.00197643626215089*G0_0_1_4_0 + 0.00350126064411844*G0_0_1_4_1 - 0.000284160284160319*G0_0_1_4_2 - 0.0037219922934214*G0_0_1_4_3 - 0.00790067075781509*G0_0_1_4_4 + 0.000936206650492488*G0_0_1_4_5 + 0.00326530612244954*G0_0_1_4_6 - 0.000365348936777601*G0_0_1_4_7 + 0.00168973883259636*G0_0_1_4_8 + 0.0475410303981813*G0_0_1_4_9 - 0.0273504273504318*G0_0_1_5_0 - 0.00221746507460828*G0_0_1_5_1 - 0.00682492111063649*G0_0_1_5_2 + 0.00251177394034585*G0_0_1_5_3 + 0.00093620665049249*G0_0_1_5_4 + 0.124035964035985*G0_0_1_5_5 + 0.0621093192521867*G0_0_1_5_6 - 0.0324475524475577*G0_0_1_5_7 + 0.01351791066077*G0_0_1_5_8 - 0.0506921649778877*G0_0_1_5_9 + 0.00557664557664647*G0_0_1_6_0 + 0.00368900940329573*G0_0_1_6_1 - 0.00845376845376992*G0_0_1_6_2 - 0.00420151277294204*G0_0_1_6_3 + 0.00326530612244953*G0_0_1_6_4 + 0.0621093192521867*G0_0_1_6_5 - 0.049139431996583*G0_0_1_6_6 + 0.0189296417867877*G0_0_1_6_7 - 0.0115541601255906*G0_0_1_6_8 + 0.0578164692450504*G0_0_1_6_9 - 0.0134976134976157*G0_0_1_7_0 - 0.00425225568082775*G0_0_1_7_1 - 0.00402137544994753*G0_0_1_7_2 + 0.0121021835307571*G0_0_1_7_3 - 0.000365348936777602*G0_0_1_7_4 - 0.0324475524475577*G0_0_1_7_5 + 0.0189296417867877*G0_0_1_7_6 - 0.0303696303696356*G0_0_1_7_7 + 0.0272413300984777*G0_0_1_7_8 - 0.0615156272299232*G0_0_1_7_9 + 0.0053635253635262*G0_0_1_8_0 + 0.00172525886811627*G0_0_1_8_2 - 0.0137919223633535*G0_0_1_8_3 + 0.00168973883259636*G0_0_1_8_4 + 0.01351791066077*G0_0_1_8_5 - 0.0115541601255906*G0_0_1_8_6 + 0.0272413300984777*G0_0_1_8_7 - 0.0302326245183448*G0_0_1_8_8 + 0.0120565149136596*G0_0_1_8_9 + 0.00788544788544923*G0_0_1_9_0 - 0.00514533085961745*G0_0_1_9_1 - 0.0164711478997221*G0_0_1_9_2 - 0.00876837448266184*G0_0_1_9_3 + 0.0475410303981813*G0_0_1_9_4 - 0.0506921649778877*G0_0_1_9_5 + 0.0578164692450504*G0_0_1_9_6 - 0.0615156272299232*G0_0_1_9_7 + 0.0120565149136596*G0_0_1_9_8 + 0.0394576851719777*G0_0_1_9_9 + 0.0288106954773669*G0_1_0_0_0 + 0.00176444366920588*G0_1_0_0_1 + 0.00253150729341248*G0_1_0_0_2 + 0.00174555603127065*G0_1_0_0_3 - 0.00197643626215089*G0_1_0_0_4 + 0.0273504273504318*G0_1_0_0_5 - 0.00557664557664647*G0_1_0_0_6 + 0.0134976134976157*G0_1_0_0_7 - 0.0053635253635262*G0_1_0_0_8 - 0.00788544788544923*G0_1_0_0_9 + 0.00176444366920588*G0_1_0_1_0 + 0.00169706836373544*G0_1_0_1_1 + 0.0013528623052435*G0_1_0_1_2 + 0.00172779601351072*G0_1_0_1_3 - 0.00350126064411844*G0_1_0_1_4 + 0.00221746507460828*G0_1_0_1_5 - 0.00368900940329573*G0_1_0_1_6 + 0.00425225568082775*G0_1_0_1_7 + 0.00514533085961745*G0_1_0_1_9 + 0.00253150729341248*G0_1_0_2_0 + 0.0013528623052435*G0_1_0_2_1 - 0.0025100825100829*G0_1_0_2_2 - 0.000918446632732478*G0_1_0_2_3 + 0.000284160284160322*G0_1_0_2_4 + 0.00682492111063649*G0_1_0_2_5 + 0.00845376845376992*G0_1_0_2_6 + 0.00402137544994753*G0_1_0_2_7 - 0.00172525886811627*G0_1_0_2_8 + 0.0164711478997221*G0_1_0_2_9 + 0.00174555603127065*G0_1_0_3_0 + 0.00172779601351073*G0_1_0_3_1 - 0.000918446632732478*G0_1_0_3_2 + 0.0291365777080121*G0_1_0_3_3 + 0.0037219922934214*G0_1_0_3_4 - 0.00251177394034586*G0_1_0_3_5 + 0.00420151277294205*G0_1_0_3_6 - 0.0121021835307571*G0_1_0_3_7 + 0.0137919223633535*G0_1_0_3_8 + 0.00876837448266184*G0_1_0_3_9 - 0.00197643626215089*G0_1_0_4_0 - 0.00350126064411844*G0_1_0_4_1 + 0.000284160284160319*G0_1_0_4_2 + 0.0037219922934214*G0_1_0_4_3 + 0.0079006707578151*G0_1_0_4_4 - 0.00093620665049249*G0_1_0_4_5 - 0.00326530612244954*G0_1_0_4_6 + 0.0003653489367776*G0_1_0_4_7 - 0.00168973883259636*G0_1_0_4_8 - 0.0475410303981813*G0_1_0_4_9 + 0.0273504273504318*G0_1_0_5_0 + 0.00221746507460828*G0_1_0_5_1 + 0.00682492111063649*G0_1_0_5_2 - 0.00251177394034585*G0_1_0_5_3 - 0.000936206650492489*G0_1_0_5_4 - 0.124035964035985*G0_1_0_5_5 - 0.0621093192521867*G0_1_0_5_6 + 0.0324475524475577*G0_1_0_5_7 - 0.01351791066077*G0_1_0_5_8 + 0.0506921649778877*G0_1_0_5_9 - 0.00557664557664647*G0_1_0_6_0 - 0.00368900940329573*G0_1_0_6_1 + 0.00845376845376992*G0_1_0_6_2 + 0.00420151277294204*G0_1_0_6_3 - 0.00326530612244953*G0_1_0_6_4 - 0.0621093192521867*G0_1_0_6_5 + 0.049139431996583*G0_1_0_6_6 - 0.0189296417867877*G0_1_0_6_7 + 0.0115541601255906*G0_1_0_6_8 - 0.0578164692450505*G0_1_0_6_9 + 0.0134976134976157*G0_1_0_7_0 + 0.00425225568082775*G0_1_0_7_1 + 0.00402137544994753*G0_1_0_7_2 - 0.0121021835307571*G0_1_0_7_3 + 0.000365348936777601*G0_1_0_7_4 + 0.0324475524475577*G0_1_0_7_5 - 0.0189296417867877*G0_1_0_7_6 + 0.0303696303696356*G0_1_0_7_7 - 0.0272413300984777*G0_1_0_7_8 + 0.0615156272299232*G0_1_0_7_9 - 0.0053635253635262*G0_1_0_8_0 - 0.00172525886811627*G0_1_0_8_2 + 0.0137919223633535*G0_1_0_8_3 - 0.00168973883259636*G0_1_0_8_4 - 0.01351791066077*G0_1_0_8_5 + 0.0115541601255906*G0_1_0_8_6 - 0.0272413300984777*G0_1_0_8_7 + 0.0302326245183448*G0_1_0_8_8 - 0.0120565149136596*G0_1_0_8_9 - 0.00788544788544923*G0_1_0_9_0 + 0.00514533085961745*G0_1_0_9_1 + 0.0164711478997221*G0_1_0_9_2 + 0.00876837448266184*G0_1_0_9_3 - 0.0475410303981813*G0_1_0_9_4 + 0.0506921649778877*G0_1_0_9_5 - 0.0578164692450505*G0_1_0_9_6 + 0.0615156272299232*G0_1_0_9_7 - 0.0120565149136596*G0_1_0_9_8 - 0.0394576851719777*G0_1_0_9_9;
    A[207] = A[193] + 0.00568320568320643*G0_0_1_0_0 + 0.0036399579256728*G0_0_1_0_1 + 0.00245595674167142*G0_0_1_0_2 + 0.00365348936777569*G0_0_1_0_3 - 0.00401883830455327*G0_0_1_0_4 + 0.0106560106560123*G0_0_1_0_5 - 0.00633271490414449*G0_0_1_0_6 + 0.00340992340992384*G0_0_1_0_7 - 0.00462775319918248*G0_0_1_0_8 - 0.0120565149136599*G0_0_1_0_9 + 0.0036399579256728*G0_0_1_1_0 + 0.00568320568320661*G0_0_1_1_1 + 0.00245595674167143*G0_0_1_1_2 + 0.0106560106560124*G0_0_1_1_3 - 0.00633271490414452*G0_0_1_1_4 + 0.00365348936777568*G0_0_1_1_5 - 0.00401883830455326*G0_0_1_1_6 - 0.00462775319918256*G0_0_1_1_7 + 0.00340992340992393*G0_0_1_1_8 - 0.0120565149136598*G0_0_1_1_9 + 0.00245595674167142*G0_0_1_2_0 + 0.00245595674167143*G0_0_1_2_1 + 0.00416768416768482*G0_0_1_2_2 + 0.000487131915703421*G0_0_1_2_3 + 0.00468864468864546*G0_0_1_2_4 + 0.000487131915703412*G0_0_1_2_5 + 0.00468864468864546*G0_0_1_2_6 + 0.0113258170401046*G0_0_1_2_7 + 0.0113258170401047*G0_0_1_2_8 + 0.0416497787926429*G0_0_1_2_9 + 0.00365348936777569*G0_0_1_3_0 + 0.0106560106560124*G0_0_1_3_1 + 0.000487131915703419*G0_0_1_3_2 + 0.0832995575852854*G0_0_1_3_3 - 0.0137005851291587*G0_0_1_3_4 - 0.00657628086199621*G0_0_1_3_5 + 0.00328814043099816*G0_0_1_3_6 - 0.0197288425859887*G0_0_1_3_7 + 0.0624746681889642*G0_0_1_3_8 + 0.0756272299129567*G0_0_1_3_9 - 0.00401883830455327*G0_0_1_4_0 - 0.00633271490414453*G0_0_1_4_1 + 0.00468864468864547*G0_0_1_4_2 - 0.0137005851291587*G0_0_1_4_3 + 0.037265591551312*G0_0_1_4_4 + 0.00328814043099816*G0_0_1_4_5 - 0.00657628086199632*G0_0_1_4_6 - 0.00657628086199628*G0_0_1_4_7 - 0.0427458256029756*G0_0_1_4_8 - 0.131525617239925*G0_0_1_4_9 + 0.0106560106560123*G0_0_1_5_0 + 0.00365348936777568*G0_0_1_5_1 + 0.000487131915703412*G0_0_1_5_2 - 0.00657628086199621*G0_0_1_5_3 + 0.00328814043099816*G0_0_1_5_4 + 0.0832995575852857*G0_0_1_5_5 - 0.0137005851291587*G0_0_1_5_6 + 0.0624746681889641*G0_0_1_5_7 - 0.0197288425859887*G0_0_1_5_8 + 0.0756272299129572*G0_0_1_5_9 - 0.00633271490414449*G0_0_1_6_0 - 0.00401883830455326*G0_0_1_6_1 + 0.00468864468864546*G0_0_1_6_2 + 0.00328814043099817*G0_0_1_6_3 - 0.00657628086199632*G0_0_1_6_4 - 0.0137005851291587*G0_0_1_6_5 + 0.0372655915513119*G0_0_1_6_6 - 0.0427458256029755*G0_0_1_6_7 - 0.00657628086199626*G0_0_1_6_8 - 0.131525617239925*G0_0_1_6_9 + 0.00340992340992384*G0_0_1_7_0 - 0.00462775319918257*G0_0_1_7_1 + 0.0113258170401046*G0_0_1_7_2 - 0.0197288425859887*G0_0_1_7_3 - 0.00657628086199628*G0_0_1_7_4 + 0.0624746681889641*G0_0_1_7_5 - 0.0427458256029755*G0_0_1_7_6 + 0.221401455687206*G0_0_1_7_7 - 0.025209076637652*G0_0_1_7_8 + 0.121661195946931*G0_0_1_7_9 - 0.00462775319918247*G0_0_1_8_0 + 0.00340992340992393*G0_0_1_8_1 + 0.0113258170401047*G0_0_1_8_2 + 0.0624746681889642*G0_0_1_8_3 - 0.0427458256029756*G0_0_1_8_4 - 0.0197288425859887*G0_0_1_8_5 - 0.00657628086199626*G0_0_1_8_6 - 0.025209076637652*G0_0_1_8_7 + 0.221401455687207*G0_0_1_8_8 + 0.121661195946931*G0_0_1_8_9 - 0.0120565149136599*G0_0_1_9_0 - 0.0120565149136598*G0_0_1_9_1 + 0.0416497787926429*G0_0_1_9_2 + 0.0756272299129567*G0_0_1_9_3 - 0.131525617239925*G0_0_1_9_4 + 0.0756272299129571*G0_0_1_9_5 - 0.131525617239925*G0_0_1_9_6 + 0.121661195946931*G0_0_1_9_7 + 0.121661195946931*G0_0_1_9_8 - 0.946984444127461*G0_0_1_9_9 - 0.00568320568320644*G0_1_0_0_0 - 0.0036399579256728*G0_1_0_0_1 - 0.00245595674167142*G0_1_0_0_2 - 0.00365348936777569*G0_1_0_0_3 + 0.00401883830455327*G0_1_0_0_4 - 0.0106560106560123*G0_1_0_0_5 + 0.00633271490414449*G0_1_0_0_6 - 0.00340992340992384*G0_1_0_0_7 + 0.00462775319918248*G0_1_0_0_8 + 0.0120565149136599*G0_1_0_0_9 - 0.0036399579256728*G0_1_0_1_0 - 0.0056832056832066*G0_1_0_1_1 - 0.00245595674167143*G0_1_0_1_2 - 0.0106560106560124*G0_1_0_1_3 + 0.00633271490414452*G0_1_0_1_4 - 0.00365348936777568*G0_1_0_1_5 + 0.00401883830455326*G0_1_0_1_6 + 0.00462775319918256*G0_1_0_1_7 - 0.00340992340992393*G0_1_0_1_8 + 0.0120565149136598*G0_1_0_1_9 - 0.00245595674167142*G0_1_0_2_0 - 0.00245595674167143*G0_1_0_2_1 - 0.00416768416768482*G0_1_0_2_2 - 0.000487131915703419*G0_1_0_2_3 - 0.00468864468864546*G0_1_0_2_4 - 0.000487131915703411*G0_1_0_2_5 - 0.00468864468864546*G0_1_0_2_6 - 0.0113258170401046*G0_1_0_2_7 - 0.0113258170401047*G0_1_0_2_8 - 0.0416497787926429*G0_1_0_2_9 - 0.0036534893677757*G0_1_0_3_0 - 0.0106560106560124*G0_1_0_3_1 - 0.000487131915703414*G0_1_0_3_2 - 0.0832995575852854*G0_1_0_3_3 + 0.0137005851291587*G0_1_0_3_4 + 0.00657628086199622*G0_1_0_3_5 - 0.00328814043099816*G0_1_0_3_6 + 0.0197288425859887*G0_1_0_3_7 - 0.0624746681889642*G0_1_0_3_8 - 0.0756272299129567*G0_1_0_3_9 + 0.00401883830455327*G0_1_0_4_0 + 0.00633271490414453*G0_1_0_4_1 - 0.00468864468864547*G0_1_0_4_2 + 0.0137005851291587*G0_1_0_4_3 - 0.037265591551312*G0_1_0_4_4 - 0.00328814043099816*G0_1_0_4_5 + 0.00657628086199631*G0_1_0_4_6 + 0.00657628086199628*G0_1_0_4_7 + 0.0427458256029756*G0_1_0_4_8 + 0.131525617239925*G0_1_0_4_9 - 0.0106560106560123*G0_1_0_5_0 - 0.00365348936777568*G0_1_0_5_1 - 0.000487131915703412*G0_1_0_5_2 + 0.00657628086199622*G0_1_0_5_3 - 0.00328814043099816*G0_1_0_5_4 - 0.0832995575852857*G0_1_0_5_5 + 0.0137005851291587*G0_1_0_5_6 - 0.0624746681889641*G0_1_0_5_7 + 0.0197288425859887*G0_1_0_5_8 - 0.0756272299129572*G0_1_0_5_9 + 0.00633271490414449*G0_1_0_6_0 + 0.00401883830455326*G0_1_0_6_1 - 0.00468864468864546*G0_1_0_6_2 - 0.00328814043099817*G0_1_0_6_3 + 0.00657628086199632*G0_1_0_6_4 + 0.0137005851291587*G0_1_0_6_5 - 0.0372655915513119*G0_1_0_6_6 + 0.0427458256029755*G0_1_0_6_7 + 0.00657628086199626*G0_1_0_6_8 + 0.131525617239925*G0_1_0_6_9 - 0.00340992340992383*G0_1_0_7_0 + 0.00462775319918256*G0_1_0_7_1 - 0.0113258170401046*G0_1_0_7_2 + 0.0197288425859887*G0_1_0_7_3 + 0.00657628086199628*G0_1_0_7_4 - 0.0624746681889641*G0_1_0_7_5 + 0.0427458256029755*G0_1_0_7_6 - 0.221401455687206*G0_1_0_7_7 + 0.025209076637652*G0_1_0_7_8 - 0.121661195946931*G0_1_0_7_9 + 0.00462775319918247*G0_1_0_8_0 - 0.00340992340992394*G0_1_0_8_1 - 0.0113258170401047*G0_1_0_8_2 - 0.0624746681889642*G0_1_0_8_3 + 0.0427458256029756*G0_1_0_8_4 + 0.0197288425859887*G0_1_0_8_5 + 0.00657628086199627*G0_1_0_8_6 + 0.025209076637652*G0_1_0_8_7 - 0.221401455687207*G0_1_0_8_8 - 0.121661195946931*G0_1_0_8_9 + 0.0120565149136599*G0_1_0_9_0 + 0.0120565149136598*G0_1_0_9_1 - 0.0416497787926429*G0_1_0_9_2 - 0.0756272299129567*G0_1_0_9_3 + 0.131525617239925*G0_1_0_9_4 - 0.0756272299129572*G0_1_0_9_5 + 0.131525617239925*G0_1_0_9_6 - 0.121661195946931*G0_1_0_9_7 - 0.121661195946931*G0_1_0_9_8 + 0.946984444127461*G0_1_0_9_9;
    A[194] = A[222] + 0.00568320568320672*G0_0_1_0_0 + 0.00245595674167146*G0_0_1_0_1 + 0.00363995792567282*G0_0_1_0_2 - 0.00401883830455327*G0_0_1_0_3 + 0.00365348936777574*G0_0_1_0_4 + 0.00340992340992399*G0_0_1_0_5 - 0.00462775319918247*G0_0_1_0_6 + 0.0106560106560126*G0_0_1_0_7 - 0.00633271490414463*G0_0_1_0_8 - 0.0120565149136598*G0_0_1_0_9 + 0.00245595674167146*G0_0_1_1_0 + 0.00416768416768486*G0_0_1_1_1 + 0.00245595674167145*G0_0_1_1_2 + 0.00468864468864544*G0_0_1_1_3 + 0.000487131915703437*G0_0_1_1_4 + 0.0113258170401046*G0_0_1_1_5 + 0.0113258170401047*G0_0_1_1_6 + 0.000487131915703469*G0_0_1_1_7 + 0.00468864468864542*G0_0_1_1_8 + 0.0416497787926429*G0_0_1_1_9 + 0.00363995792567282*G0_0_1_2_0 + 0.00245595674167145*G0_0_1_2_1 + 0.00568320568320669*G0_0_1_2_2 - 0.00633271490414458*G0_0_1_2_3 + 0.0106560106560125*G0_0_1_2_4 - 0.00462775319918253*G0_0_1_2_5 + 0.00340992340992404*G0_0_1_2_6 + 0.00365348936777573*G0_0_1_2_7 - 0.00401883830455327*G0_0_1_2_8 - 0.0120565149136598*G0_0_1_2_9 - 0.00401883830455327*G0_0_1_3_0 + 0.00468864468864544*G0_0_1_3_1 - 0.00633271490414459*G0_0_1_3_2 + 0.0372655915513126*G0_0_1_3_3 - 0.0137005851291588*G0_0_1_3_4 - 0.0065762808619962*G0_0_1_3_5 - 0.0427458256029756*G0_0_1_3_6 + 0.00328814043099808*G0_0_1_3_7 - 0.00657628086199622*G0_0_1_3_8 - 0.131525617239925*G0_0_1_3_9 + 0.00365348936777574*G0_0_1_4_0 + 0.000487131915703435*G0_0_1_4_1 + 0.0106560106560125*G0_0_1_4_2 - 0.0137005851291588*G0_0_1_4_3 + 0.0832995575852864*G0_0_1_4_4 - 0.0197288425859889*G0_0_1_4_5 + 0.0624746681889644*G0_0_1_4_6 - 0.00657628086199634*G0_0_1_4_7 + 0.00328814043099814*G0_0_1_4_8 + 0.075627229912957*G0_0_1_4_9 + 0.00340992340992399*G0_0_1_5_0 + 0.0113258170401046*G0_0_1_5_1 - 0.00462775319918253*G0_0_1_5_2 - 0.0065762808619962*G0_0_1_5_3 - 0.0197288425859889*G0_0_1_5_4 + 0.221401455687207*G0_0_1_5_5 - 0.0252090766376525*G0_0_1_5_6 + 0.0624746681889645*G0_0_1_5_7 - 0.0427458256029757*G0_0_1_5_8 + 0.121661195946931*G0_0_1_5_9 - 0.00462775319918247*G0_0_1_6_0 + 0.0113258170401047*G0_0_1_6_1 + 0.00340992340992404*G0_0_1_6_2 - 0.0427458256029756*G0_0_1_6_3 + 0.0624746681889644*G0_0_1_6_4 - 0.0252090766376525*G0_0_1_6_5 + 0.221401455687207*G0_0_1_6_6 - 0.0197288425859888*G0_0_1_6_7 - 0.00657628086199621*G0_0_1_6_8 + 0.121661195946931*G0_0_1_6_9 + 0.0106560106560126*G0_0_1_7_0 + 0.000487131915703469*G0_0_1_7_1 + 0.00365348936777573*G0_0_1_7_2 + 0.00328814043099808*G0_0_1_7_3 - 0.00657628086199633*G0_0_1_7_4 + 0.0624746681889645*G0_0_1_7_5 - 0.0197288425859888*G0_0_1_7_6 + 0.0832995575852872*G0_0_1_7_7 - 0.013700585129159*G0_0_1_7_8 + 0.0756272299129572*G0_0_1_7_9 - 0.00633271490414463*G0_0_1_8_0 + 0.00468864468864542*G0_0_1_8_1 - 0.00401883830455327*G0_0_1_8_2 - 0.00657628086199622*G0_0_1_8_3 + 0.00328814043099814*G0_0_1_8_4 - 0.0427458256029757*G0_0_1_8_5 - 0.00657628086199621*G0_0_1_8_6 - 0.013700585129159*G0_0_1_8_7 + 0.0372655915513124*G0_0_1_8_8 - 0.131525617239925*G0_0_1_8_9 - 0.0120565149136598*G0_0_1_9_0 + 0.0416497787926429*G0_0_1_9_1 - 0.0120565149136598*G0_0_1_9_2 - 0.131525617239925*G0_0_1_9_3 + 0.075627229912957*G0_0_1_9_4 + 0.121661195946931*G0_0_1_9_5 + 0.121661195946931*G0_0_1_9_6 + 0.0756272299129572*G0_0_1_9_7 - 0.131525617239925*G0_0_1_9_8 - 0.946984444127461*G0_0_1_9_9 - 0.00568320568320672*G0_1_0_0_0 - 0.00245595674167146*G0_1_0_0_1 - 0.00363995792567282*G0_1_0_0_2 + 0.00401883830455327*G0_1_0_0_3 - 0.00365348936777574*G0_1_0_0_4 - 0.00340992340992399*G0_1_0_0_5 + 0.00462775319918247*G0_1_0_0_6 - 0.0106560106560126*G0_1_0_0_7 + 0.00633271490414463*G0_1_0_0_8 + 0.0120565149136598*G0_1_0_0_9 - 0.00245595674167146*G0_1_0_1_0 - 0.00416768416768486*G0_1_0_1_1 - 0.00245595674167145*G0_1_0_1_2 - 0.00468864468864544*G0_1_0_1_3 - 0.00048713191570344*G0_1_0_1_4 - 0.0113258170401046*G0_1_0_1_5 - 0.0113258170401047*G0_1_0_1_6 - 0.000487131915703469*G0_1_0_1_7 - 0.00468864468864542*G0_1_0_1_8 - 0.0416497787926429*G0_1_0_1_9 - 0.00363995792567282*G0_1_0_2_0 - 0.00245595674167145*G0_1_0_2_1 - 0.00568320568320669*G0_1_0_2_2 + 0.00633271490414459*G0_1_0_2_3 - 0.0106560106560125*G0_1_0_2_4 + 0.00462775319918252*G0_1_0_2_5 - 0.00340992340992404*G0_1_0_2_6 - 0.00365348936777574*G0_1_0_2_7 + 0.00401883830455327*G0_1_0_2_8 + 0.0120565149136598*G0_1_0_2_9 + 0.00401883830455327*G0_1_0_3_0 - 0.00468864468864544*G0_1_0_3_1 + 0.00633271490414459*G0_1_0_3_2 - 0.0372655915513126*G0_1_0_3_3 + 0.0137005851291588*G0_1_0_3_4 + 0.0065762808619962*G0_1_0_3_5 + 0.0427458256029756*G0_1_0_3_6 - 0.00328814043099808*G0_1_0_3_7 + 0.00657628086199622*G0_1_0_3_8 + 0.131525617239925*G0_1_0_3_9 - 0.00365348936777574*G0_1_0_4_0 - 0.000487131915703435*G0_1_0_4_1 - 0.0106560106560125*G0_1_0_4_2 + 0.0137005851291588*G0_1_0_4_3 - 0.0832995575852865*G0_1_0_4_4 + 0.0197288425859889*G0_1_0_4_5 - 0.0624746681889644*G0_1_0_4_6 + 0.00657628086199634*G0_1_0_4_7 - 0.00328814043099814*G0_1_0_4_8 - 0.075627229912957*G0_1_0_4_9 - 0.00340992340992399*G0_1_0_5_0 - 0.0113258170401047*G0_1_0_5_1 + 0.00462775319918253*G0_1_0_5_2 + 0.0065762808619962*G0_1_0_5_3 + 0.0197288425859889*G0_1_0_5_4 - 0.221401455687207*G0_1_0_5_5 + 0.0252090766376525*G0_1_0_5_6 - 0.0624746681889645*G0_1_0_5_7 + 0.0427458256029757*G0_1_0_5_8 - 0.121661195946931*G0_1_0_5_9 + 0.00462775319918247*G0_1_0_6_0 - 0.0113258170401047*G0_1_0_6_1 - 0.00340992340992404*G0_1_0_6_2 + 0.0427458256029756*G0_1_0_6_3 - 0.0624746681889644*G0_1_0_6_4 + 0.0252090766376525*G0_1_0_6_5 - 0.221401455687207*G0_1_0_6_6 + 0.0197288425859888*G0_1_0_6_7 + 0.00657628086199621*G0_1_0_6_8 - 0.12166119594693*G0_1_0_6_9 - 0.0106560106560126*G0_1_0_7_0 - 0.000487131915703469*G0_1_0_7_1 - 0.00365348936777573*G0_1_0_7_2 - 0.00328814043099808*G0_1_0_7_3 + 0.00657628086199633*G0_1_0_7_4 - 0.0624746681889645*G0_1_0_7_5 + 0.0197288425859888*G0_1_0_7_6 - 0.0832995575852872*G0_1_0_7_7 + 0.013700585129159*G0_1_0_7_8 - 0.0756272299129572*G0_1_0_7_9 + 0.00633271490414463*G0_1_0_8_0 - 0.00468864468864542*G0_1_0_8_1 + 0.00401883830455327*G0_1_0_8_2 + 0.00657628086199622*G0_1_0_8_3 - 0.00328814043099814*G0_1_0_8_4 + 0.0427458256029757*G0_1_0_8_5 + 0.00657628086199621*G0_1_0_8_6 + 0.013700585129159*G0_1_0_8_7 - 0.0372655915513124*G0_1_0_8_8 + 0.131525617239925*G0_1_0_8_9 + 0.0120565149136598*G0_1_0_9_0 - 0.0416497787926429*G0_1_0_9_1 + 0.0120565149136598*G0_1_0_9_2 + 0.131525617239925*G0_1_0_9_3 - 0.075627229912957*G0_1_0_9_4 - 0.121661195946931*G0_1_0_9_5 - 0.12166119594693*G0_1_0_9_6 - 0.0756272299129572*G0_1_0_9_7 + 0.131525617239925*G0_1_0_9_8 + 0.946984444127461*G0_1_0_9_9;
    A[200] = A[88] + 0.000979901932283049*G0_0_1_0_0 + 0.000153638248876371*G0_0_1_0_1 - 0.00173625316482487*G0_0_1_0_2 + 0.00447045018473667*G0_0_1_0_3 + 0.00252192252192296*G0_0_1_0_4 + 0.000575932004503505*G0_0_1_0_5 - 0.000527726242011996*G0_0_1_0_6 + 0.00061652633081212*G0_0_1_0_7 - 0.00127872127872149*G0_0_1_0_8 + 0.0146444032158343*G0_0_1_0_9 + 0.000153638248876371*G0_0_1_1_0 - 0.0137344137344161*G0_0_1_1_1 - 0.00220449744259304*G0_0_1_1_2 + 0.0161260961260989*G0_0_1_1_3 + 0.00545486259772068*G0_0_1_1_4 - 0.00233417376274559*G0_0_1_1_5 + 0.000809349380778101*G0_0_1_1_6 + 0.00197389911675659*G0_0_1_1_7 - 0.00824064824064965*G0_0_1_1_8 + 0.0115389372532249*G0_0_1_1_9 - 0.00173625316482487*G0_0_1_2_0 - 0.00220449744259304*G0_0_1_2_1 - 0.0288106954773666*G0_0_1_2_2 + 0.023194583194587*G0_0_1_2_3 - 0.0174048174048202*G0_0_1_2_4 + 0.00991008991009147*G0_0_1_2_5 - 0.0234432234432271*G0_0_1_2_6 - 0.00123812695241288*G0_0_1_2_7 + 0.00111380682809274*G0_0_1_2_8 - 0.0142790542790566*G0_0_1_2_9 + 0.00447045018473667*G0_0_1_3_0 + 0.0161260961260989*G0_0_1_3_1 + 0.023194583194587*G0_0_1_3_2 + 0.192721564150169*G0_0_1_3_3 - 0.100470957613832*G0_0_1_3_4 - 0.000228343085485916*G0_0_1_3_5 - 0.0083801912373356*G0_0_1_3_6 - 0.0193634936492112*G0_0_1_3_7 + 0.0286570572284907*G0_0_1_3_8 + 0.00411017553874779*G0_0_1_3_9 + 0.00252192252192296*G0_0_1_4_0 + 0.00545486259772068*G0_0_1_4_1 - 0.0174048174048202*G0_0_1_4_2 - 0.100470957613832*G0_0_1_4_3 + 0.0255744255744298*G0_0_1_4_4 - 0.0135179106607702*G0_0_1_4_5 + 0.0218981018981057*G0_0_1_4_6 + 0.00105037819323552*G0_0_1_4_7 - 0.00929356357927947*G0_0_1_4_8 + 0.0698729841587102*G0_0_1_4_9 + 0.000575932004503505*G0_0_1_5_0 - 0.00233417376274559*G0_0_1_5_1 + 0.00991008991009147*G0_0_1_5_2 - 0.000228343085485918*G0_0_1_5_3 - 0.0135179106607702*G0_0_1_5_4 + 0.00118738404452702*G0_0_1_5_5 + 0.00248893963179698*G0_0_1_5_6 + 0.00118738404452709*G0_0_1_5_7 + 0.00105037819323555*G0_0_1_5_8 - 0.0460339660339739*G0_0_1_5_9 - 0.000527726242011996*G0_0_1_6_0 + 0.000809349380778101*G0_0_1_6_1 - 0.0234432234432271*G0_0_1_6_2 - 0.0083801912373356*G0_0_1_6_3 + 0.0218981018981057*G0_0_1_6_4 + 0.00248893963179698*G0_0_1_6_5 - 0.0405994005994071*G0_0_1_6_6 - 0.00223776223776263*G0_0_1_6_7 + 0.0595975453118411*G0_0_1_6_9 + 0.00061652633081212*G0_0_1_7_0 + 0.00197389911675659*G0_0_1_7_1 - 0.00123812695241288*G0_0_1_7_2 - 0.0193634936492112*G0_0_1_7_3 + 0.00105037819323552*G0_0_1_7_4 + 0.00118738404452709*G0_0_1_7_5 - 0.00223776223776263*G0_0_1_7_6 + 0.00447552447552522*G0_0_1_7_7 + 0.00358498644212991*G0_0_1_7_8 - 0.0394576851719775*G0_0_1_7_9 - 0.00127872127872149*G0_0_1_8_0 - 0.00824064824064965*G0_0_1_8_1 + 0.00111380682809273*G0_0_1_8_2 + 0.0286570572284907*G0_0_1_8_3 - 0.00929356357927947*G0_0_1_8_4 + 0.00105037819323555*G0_0_1_8_5 + 0.00358498644212991*G0_0_1_8_7 - 0.0268988154702481*G0_0_1_8_8 - 0.0160296846011158*G0_0_1_8_9 + 0.0146444032158343*G0_0_1_9_0 + 0.0115389372532249*G0_0_1_9_1 - 0.0142790542790566*G0_0_1_9_2 + 0.00411017553874778*G0_0_1_9_3 + 0.0698729841587102*G0_0_1_9_4 - 0.0460339660339739*G0_0_1_9_5 + 0.0595975453118411*G0_0_1_9_6 - 0.0394576851719775*G0_0_1_9_7 - 0.0160296846011158*G0_0_1_9_8 - 0.0328814043099811*G0_0_1_9_9 - 0.000979901932283049*G0_1_0_0_0 - 0.000153638248876371*G0_1_0_0_1 + 0.00173625316482487*G0_1_0_0_2 - 0.00447045018473667*G0_1_0_0_3 - 0.00252192252192296*G0_1_0_0_4 - 0.000575932004503504*G0_1_0_0_5 + 0.000527726242011996*G0_1_0_0_6 - 0.00061652633081212*G0_1_0_0_7 + 0.00127872127872149*G0_1_0_0_8 - 0.0146444032158343*G0_1_0_0_9 - 0.000153638248876371*G0_1_0_1_0 + 0.0137344137344161*G0_1_0_1_1 + 0.00220449744259304*G0_1_0_1_2 - 0.0161260961260989*G0_1_0_1_3 - 0.00545486259772068*G0_1_0_1_4 + 0.00233417376274559*G0_1_0_1_5 - 0.000809349380778102*G0_1_0_1_6 - 0.00197389911675659*G0_1_0_1_7 + 0.00824064824064965*G0_1_0_1_8 - 0.0115389372532249*G0_1_0_1_9 + 0.00173625316482487*G0_1_0_2_0 + 0.00220449744259304*G0_1_0_2_1 + 0.0288106954773666*G0_1_0_2_2 - 0.023194583194587*G0_1_0_2_3 + 0.0174048174048202*G0_1_0_2_4 - 0.00991008991009147*G0_1_0_2_5 + 0.0234432234432271*G0_1_0_2_6 + 0.00123812695241288*G0_1_0_2_7 - 0.00111380682809274*G0_1_0_2_8 + 0.0142790542790566*G0_1_0_2_9 - 0.00447045018473667*G0_1_0_3_0 - 0.0161260961260989*G0_1_0_3_1 - 0.023194583194587*G0_1_0_3_2 - 0.192721564150169*G0_1_0_3_3 + 0.100470957613832*G0_1_0_3_4 + 0.000228343085485911*G0_1_0_3_5 + 0.0083801912373356*G0_1_0_3_6 + 0.0193634936492112*G0_1_0_3_7 - 0.0286570572284907*G0_1_0_3_8 - 0.00411017553874777*G0_1_0_3_9 - 0.00252192252192296*G0_1_0_4_0 - 0.00545486259772068*G0_1_0_4_1 + 0.0174048174048202*G0_1_0_4_2 + 0.100470957613832*G0_1_0_4_3 - 0.0255744255744298*G0_1_0_4_4 + 0.0135179106607702*G0_1_0_4_5 - 0.0218981018981057*G0_1_0_4_6 - 0.00105037819323552*G0_1_0_4_7 + 0.00929356357927947*G0_1_0_4_8 - 0.0698729841587102*G0_1_0_4_9 - 0.000575932004503505*G0_1_0_5_0 + 0.00233417376274559*G0_1_0_5_1 - 0.00991008991009147*G0_1_0_5_2 + 0.000228343085485914*G0_1_0_5_3 + 0.0135179106607702*G0_1_0_5_4 - 0.00118738404452702*G0_1_0_5_5 - 0.00248893963179698*G0_1_0_5_6 - 0.00118738404452709*G0_1_0_5_7 - 0.00105037819323555*G0_1_0_5_8 + 0.0460339660339739*G0_1_0_5_9 + 0.000527726242011996*G0_1_0_6_0 - 0.000809349380778102*G0_1_0_6_1 + 0.0234432234432271*G0_1_0_6_2 + 0.0083801912373356*G0_1_0_6_3 - 0.0218981018981057*G0_1_0_6_4 - 0.00248893963179698*G0_1_0_6_5 + 0.0405994005994071*G0_1_0_6_6 + 0.00223776223776263*G0_1_0_6_7 - 0.0595975453118411*G0_1_0_6_9 - 0.00061652633081212*G0_1_0_7_0 - 0.00197389911675659*G0_1_0_7_1 + 0.00123812695241288*G0_1_0_7_2 + 0.0193634936492112*G0_1_0_7_3 - 0.00105037819323552*G0_1_0_7_4 - 0.00118738404452709*G0_1_0_7_5 + 0.00223776223776263*G0_1_0_7_6 - 0.00447552447552522*G0_1_0_7_7 - 0.00358498644212991*G0_1_0_7_8 + 0.0394576851719775*G0_1_0_7_9 + 0.00127872127872149*G0_1_0_8_0 + 0.00824064824064965*G0_1_0_8_1 - 0.00111380682809274*G0_1_0_8_2 - 0.0286570572284907*G0_1_0_8_3 + 0.00929356357927946*G0_1_0_8_4 - 0.00105037819323555*G0_1_0_8_5 - 0.00358498644212991*G0_1_0_8_7 + 0.0268988154702481*G0_1_0_8_8 + 0.0160296846011158*G0_1_0_8_9 - 0.0146444032158343*G0_1_0_9_0 - 0.0115389372532249*G0_1_0_9_1 + 0.0142790542790566*G0_1_0_9_2 - 0.00411017553874778*G0_1_0_9_3 - 0.0698729841587102*G0_1_0_9_4 + 0.0460339660339739*G0_1_0_9_5 - 0.0595975453118411*G0_1_0_9_6 + 0.0394576851719775*G0_1_0_9_7 + 0.0160296846011158*G0_1_0_9_8 + 0.0328814043099811*G0_1_0_9_9;
    A[223] = A[207] + 0.0326243069100268*G0_0_0_0_0 - 0.000419474705189068*G0_0_0_0_1 - 0.0022394536680255*G0_0_0_0_2 + 0.0254526425955042*G0_0_0_0_3 + 0.0070025212882368*G0_0_0_0_4 + 0.0639969554255377*G0_0_0_0_5 - 0.0328205128205185*G0_0_0_0_6 + 0.00152228723657319*G0_0_0_0_7 - 0.00615004043575574*G0_0_0_0_8 + 0.00584558298844126*G0_0_0_0_9 - 0.000419474705189069*G0_0_0_1_0 + 0.0125977725977748*G0_0_0_1_1 - 0.000737463594606575*G0_0_0_1_2 - 0.0107169021454751*G0_0_0_1_3 - 0.0350126064411838*G0_0_0_1_4 + 0.0190590362018965*G0_0_0_1_5 - 0.00724608724608853*G0_0_0_1_6 + 0.00578469149897815*G0_0_0_1_7 - 0.0161362447076759*G0_0_0_1_8 - 0.0065762808619962*G0_0_0_1_9 - 0.0022394536680255*G0_0_0_2_0 - 0.000737463594606576*G0_0_0_2_1 - 0.0280371480371528*G0_0_0_2_2 + 0.00785500214071773*G0_0_0_2_3 - 0.0780019980020112*G0_0_0_2_4 + 0.0487740830598056*G0_0_0_2_5 - 0.0728871128871253*G0_0_0_2_6 + 0.0119347319347339*G0_0_0_2_7 + 0.00572380000951526*G0_0_0_2_8 - 0.0105951191665495*G0_0_0_2_9 + 0.0254526425955042*G0_0_0_3_0 - 0.0107169021454751*G0_0_0_3_1 + 0.00785500214071772*G0_0_0_3_2 + 0.883413729128164*G0_0_0_3_3 + 0.171531325817069*G0_0_0_3_4 - 0.0695989724561269*G0_0_0_3_5 + 0.0274011702583177*G0_0_0_3_6 - 0.0706950192664599*G0_0_0_3_7 + 0.0822035107749533*G0_0_0_3_8 + 0.161118881118909*G0_0_0_3_9 + 0.0070025212882368*G0_0_0_4_0 - 0.0350126064411838*G0_0_0_4_1 - 0.0780019980020112*G0_0_0_4_2 + 0.171531325817069*G0_0_0_4_3 + 0.219209362066543*G0_0_0_4_4 - 0.015344655344658*G0_0_0_4_5 - 0.0120565149136597*G0_0_0_4_6 - 0.0312373340944822*G0_0_0_4_7 - 0.0115084915084935*G0_0_0_4_8 + 0.0624746681889646*G0_0_0_4_9 + 0.0639969554255377*G0_0_0_5_0 + 0.0190590362018965*G0_0_0_5_1 + 0.0487740830598056*G0_0_0_5_2 - 0.0695989724561269*G0_0_0_5_3 - 0.015344655344658*G0_0_0_5_4 + 0.560079920080014*G0_0_0_5_5 - 0.0465819894391398*G0_0_0_5_6 + 0.0816554873697867*G0_0_0_5_7 - 0.0515142000856373*G0_0_0_5_8 + 0.0854916512059513*G0_0_0_5_9 - 0.0328205128205185*G0_0_0_6_0 - 0.00724608724608853*G0_0_0_6_1 - 0.0728871128871253*G0_0_0_6_2 + 0.0274011702583177*G0_0_0_6_3 - 0.0120565149136597*G0_0_0_6_4 - 0.0465819894391399*G0_0_0_6_5 - 0.455955473098407*G0_0_0_6_6 - 0.0301412872841495*G0_0_0_6_7 - 0.000548023405166447*G0_0_0_6_8 - 0.0230169830169866*G0_0_0_6_9 + 0.00152228723657319*G0_0_0_7_0 + 0.00578469149897815*G0_0_0_7_1 + 0.0119347319347339*G0_0_0_7_2 - 0.0706950192664599*G0_0_0_7_3 - 0.0312373340944822*G0_0_0_7_4 + 0.0816554873697867*G0_0_0_7_5 - 0.0301412872841495*G0_0_0_7_6 + 0.0416497787926428*G0_0_0_7_7 + 0.00219209362066537*G0_0_0_7_8 + 0.0427458256029755*G0_0_0_7_9 - 0.00615004043575574*G0_0_0_8_0 - 0.0161362447076759*G0_0_0_8_1 + 0.00572380000951526*G0_0_0_8_2 + 0.0822035107749533*G0_0_0_8_3 - 0.0115084915084935*G0_0_0_8_4 - 0.0515142000856373*G0_0_0_8_5 - 0.000548023405166447*G0_0_0_8_6 + 0.00219209362066538*G0_0_0_8_7 + 0.041649778792643*G0_0_0_8_8 + 0.0427458256029757*G0_0_0_8_9 + 0.00584558298844126*G0_0_0_9_0 - 0.0065762808619962*G0_0_0_9_1 - 0.0105951191665495*G0_0_0_9_2 + 0.161118881118909*G0_0_0_9_3 + 0.0624746681889646*G0_0_0_9_4 + 0.0854916512059513*G0_0_0_9_5 - 0.0230169830169866*G0_0_0_9_6 + 0.0427458256029755*G0_0_0_9_7 + 0.0427458256029757*G0_0_0_9_8 + 1.30210361067526*G0_0_0_9_9 + 0.0115490858348021*G0_0_1_0_0 - 0.00192146477860795*G0_0_1_0_1 - 0.00223945366802551*G0_0_1_0_2 + 0.0265486894058369*G0_0_1_0_3 + 0.0203377574806182*G0_0_1_0_4 + 0.0014005042576473*G0_0_1_0_5 + 0.00541934256220062*G0_0_1_0_6 - 0.000243565957851657*G0_0_1_0_7 + 0.0045059702202567*G0_0_1_0_8 + 0.030689310689316*G0_0_1_0_9 - 0.00192146477860795*G0_0_1_1_0 + 0.0125977725977748*G0_0_1_1_1 + 0.000764526478812326*G0_0_1_1_2 - 0.0196070596070627*G0_0_1_1_3 - 0.0342210170781658*G0_0_1_1_4 + 0.00517577660434889*G0_0_1_1_5 + 0.00663717235145916*G0_0_1_1_6 + 0.00499310213596012*G0_0_1_1_7 - 0.00724608724608839*G0_0_1_1_8 - 0.0065762808619962*G0_0_1_1_9 - 0.00223945366802551*G0_0_1_2_0 + 0.000764526478812327*G0_0_1_2_1 - 0.00696192696192823*G0_0_1_2_2 - 0.00280100851529472*G0_0_1_2_3 - 0.0762361448075863*G0_0_1_2_4 + 0.0105342276770867*G0_0_1_2_5 - 0.0102906617192351*G0_0_1_2_6 - 0.00140050425764734*G0_0_1_2_7 + 0.00462775319918255*G0_0_1_2_8 - 0.0354388468674243*G0_0_1_2_9 + 0.0265486894058369*G0_0_1_3_0 - 0.0196070596070627*G0_0_1_3_1 - 0.00280100851529472*G0_0_1_3_2 + 0.86916512059384*G0_0_1_3_3 + 0.190164121592725*G0_0_1_3_4 - 0.0504181532753046*G0_0_1_3_5 - 0.014248608534325*G0_0_1_3_6 - 0.0739831596974581*G0_0_1_3_7 + 0.0822035107749533*G0_0_1_3_8 + 0.167695161980905*G0_0_1_3_9 + 0.0203377574806182*G0_0_1_4_0 - 0.0342210170781658*G0_0_1_4_1 - 0.0762361448075863*G0_0_1_4_2 + 0.190164121592725*G0_0_1_4_3 + 0.384164407021616*G0_0_1_4_4 - 0.0553503639218019*G0_0_1_4_5 + 0.069598972456127*G0_0_1_4_6 - 0.0312373340944823*G0_0_1_4_7 - 0.00822035107749532*G0_0_1_4_8 + 0.217017268445877*G0_0_1_4_9 + 0.0014005042576473*G0_0_1_5_0 + 0.00517577660434889*G0_0_1_5_1 + 0.0105342276770867*G0_0_1_5_2 - 0.0504181532753046*G0_0_1_5_3 - 0.0553503639218019*G0_0_1_5_4 + 0.0290452404738166*G0_0_1_5_5 - 0.0465819894391399*G0_0_1_5_6 - 0.00986442129299437*G0_0_1_5_8 - 0.072339089481959*G0_0_1_5_9 + 0.00541934256220062*G0_0_1_6_0 + 0.00663717235145916*G0_0_1_6_1 - 0.0102906617192351*G0_0_1_6_2 - 0.014248608534325*G0_0_1_6_3 + 0.069598972456127*G0_0_1_6_4 - 0.0465819894391399*G0_0_1_6_5 + 0.0750792065077894*G0_0_1_6_6 + 0.00986442129299434*G0_0_1_6_7 - 0.0197288425859887*G0_0_1_6_8 + 0.134813757670923*G0_0_1_6_9 - 0.000243565957851656*G0_0_1_7_0 + 0.00499310213596012*G0_0_1_7_1 - 0.00140050425764733*G0_0_1_7_2 - 0.0739831596974581*G0_0_1_7_3 - 0.0312373340944823*G0_0_1_7_4 + 0.00986442129299434*G0_0_1_7_6 - 0.123305266162429*G0_0_1_7_7 - 0.0164407021549909*G0_0_1_7_8 - 0.111796774653936*G0_0_1_7_9 + 0.0045059702202567*G0_0_1_8_0 - 0.00724608724608839*G0_0_1_8_1 + 0.00462775319918255*G0_0_1_8_2 + 0.0822035107749533*G0_0_1_8_3 - 0.00822035107749532*G0_0_1_8_4 - 0.00986442129299438*G0_0_1_8_5 - 0.0197288425859887*G0_0_1_8_6 - 0.0164407021549909*G0_0_1_8_7 + 0.055898387326968*G0_0_1_8_8 + 0.0361695447409793*G0_0_1_8_9 + 0.030689310689316*G0_0_1_9_0 - 0.00657628086199619*G0_0_1_9_1 - 0.0354388468674243*G0_0_1_9_2 + 0.167695161980905*G0_0_1_9_3 + 0.217017268445877*G0_0_1_9_4 - 0.072339089481959*G0_0_1_9_5 + 0.134813757670923*G0_0_1_9_6 - 0.111796774653936*G0_0_1_9_7 + 0.0361695447409793*G0_0_1_9_8 + 1.30210361067526*G0_0_1_9_9 + 0.0130646073503237*G0_1_0_0_0 - 0.000737463594606589*G0_1_0_0_1 - 0.0022394536680255*G0_1_0_0_2 + 0.0188763617335079*G0_1_0_0_3 + 0.00499310213596019*G0_1_0_0_4 + 0.00736787022501415*G0_1_0_0_5 - 0.00140050425764732*G0_1_0_0_6 - 0.00152228723657328*G0_1_0_0_7 - 0.000608914894629229*G0_1_0_0_8 - 0.0230169830169868*G0_1_0_0_9 - 0.000737463594606589*G0_1_0_1_0 + 0.0125977725977748*G0_1_0_1_1 - 0.000419474705189052*G0_1_0_1_2 - 0.0123609723609742*G0_1_0_1_3 - 0.0359259787831277*G0_1_0_1_4 + 0.0128481042766778*G0_1_0_1_5 - 0.00103515532086978*G0_1_0_1_6 + 0.00669806384092209*G0_1_0_1_7 - 0.0144921744921769*G0_1_0_1_8 - 0.00657628086199624*G0_1_0_1_9 - 0.0022394536680255*G0_1_0_2_0 - 0.000419474705189053*G0_1_0_2_1 - 0.00847744847744984*G0_1_0_2_2 + 0.00231387659959122*G0_1_0_2_3 - 0.0749574235288647*G0_1_0_2_4 + 0.0173540744969345*G0_1_0_2_5 - 0.0162580276866019*G0_1_0_2_6 + 0.0139441510870106*G0_1_0_2_7 + 0.0123000808715115*G0_1_0_2_8 + 0.0182674468388785*G0_1_0_2_9 + 0.0188763617335079*G0_1_0_3_0 - 0.0123609723609742*G0_1_0_3_1 + 0.00231387659959122*G0_1_0_3_2 + 0.731063222491917*G0_1_0_3_3 + 0.201672613101219*G0_1_0_3_4 - 0.0504181532753045*G0_1_0_3_5 + 0.00876837448266172*G0_1_0_3_6 - 0.0509661766804711*G0_1_0_3_7 + 0.0822035107749532*G0_1_0_3_8 + 0.121661195946931*G0_1_0_3_9 + 0.00499310213596018*G0_1_0_4_0 - 0.0359259787831277*G0_1_0_4_1 - 0.0749574235288647*G0_1_0_4_2 + 0.201672613101219*G0_1_0_4_3 + 0.200028542885721*G0_1_0_4_4 - 0.00931639788782806*G0_1_0_4_5 + 0.000548023405166419*G0_1_0_4_6 - 0.0312373340944823*G0_1_0_4_7 - 0.0312373340944822*G0_1_0_4_8 - 0.0361695447409794*G0_1_0_4_9 + 0.00736787022501415*G0_1_0_5_0 + 0.0128481042766778*G0_1_0_5_1 + 0.0173540744969345*G0_1_0_5_2 - 0.0504181532753045*G0_1_0_5_3 - 0.00931639788782806*G0_1_0_5_4 + 0.0750792065077905*G0_1_0_5_5 - 0.0465819894391398*G0_1_0_5_6 + 0.0690509490509605*G0_1_0_5_7 - 0.0328814043099812*G0_1_0_5_8 + 0.134813757670923*G0_1_0_5_9 - 0.00140050425764732*G0_1_0_6_0 - 0.00103515532086978*G0_1_0_6_1 - 0.0162580276866019*G0_1_0_6_2 + 0.00876837448266172*G0_1_0_6_3 + 0.000548023405166419*G0_1_0_6_4 - 0.0465819894391398*G0_1_0_6_5 + 0.0290452404738168*G0_1_0_6_6 - 0.0361695447409793*G0_1_0_6_7 - 0.0197288425859888*G0_1_0_6_8 - 0.0723390894819588*G0_1_0_6_9 - 0.00152228723657329*G0_1_0_7_0 + 0.00669806384092209*G0_1_0_7_1 + 0.0139441510870106*G0_1_0_7_2 - 0.0509661766804711*G0_1_0_7_3 - 0.0312373340944823*G0_1_0_7_4 + 0.0690509490509605*G0_1_0_7_5 - 0.0361695447409793*G0_1_0_7_6 + 0.0608305979734655*G0_1_0_7_7 - 0.027949193663484*G0_1_0_7_8 + 0.14139003853292*G0_1_0_7_9 - 0.000608914894629223*G0_1_0_8_0 - 0.0144921744921769*G0_1_0_8_1 + 0.0123000808715115*G0_1_0_8_2 + 0.0822035107749532*G0_1_0_8_3 - 0.0312373340944822*G0_1_0_8_4 - 0.0328814043099812*G0_1_0_8_5 - 0.0197288425859888*G0_1_0_8_6 - 0.027949193663484*G0_1_0_8_7 + 0.19400028542889*G0_1_0_8_8 + 0.0822035107749533*G0_1_0_8_9 - 0.0230169830169868*G0_1_0_9_0 - 0.00657628086199624*G0_1_0_9_1 + 0.0182674468388785*G0_1_0_9_2 + 0.121661195946931*G0_1_0_9_3 - 0.0361695447409793*G0_1_0_9_4 + 0.134813757670923*G0_1_0_9_5 - 0.0723390894819588*G0_1_0_9_6 + 0.14139003853292*G0_1_0_9_7 + 0.0822035107749533*G0_1_0_9_8 + 1.30210361067526*G0_1_0_9_9 + 0.0200265343122518*G0_1_1_0_0 - 0.00150199007341893*G0_1_1_0_1 + 0.0142486085343253*G0_1_1_0_3 + 0.00639360639360761*G0_1_1_0_4 + 0.0176585319442491*G0_1_1_0_5 - 0.0119347319347339*G0_1_1_0_6 + 0.0747138575710129*G0_1_1_0_7 + 0.00219209362066539*G0_1_1_0_8 + 0.0124218638504374*G0_1_1_0_9 - 0.00150199007341893*G0_1_1_1_0 + 0.00150199007341891*G0_1_1_1_2 - 0.00511488511488588*G0_1_1_1_3 - 0.0409190809190878*G0_1_1_1_4 + 0.00621093192521868*G0_1_1_1_5 - 0.00621093192521867*G0_1_1_1_6 + 0.0409190809190878*G0_1_1_1_7 + 0.00511488511488593*G0_1_1_1_8 + 0.00150199007341891*G0_1_1_2_1 - 0.0200265343122518*G0_1_1_2_2 - 0.00219209362066552*G0_1_1_2_3 - 0.074713857571013*G0_1_1_2_4 + 0.0119347319347339*G0_1_1_2_5 - 0.0176585319442491*G0_1_1_2_6 - 0.00639360639360749*G0_1_1_2_7 - 0.0142486085343252*G0_1_1_2_8 - 0.0124218638504374*G0_1_1_2_9 + 0.0142486085343253*G0_1_1_3_0 - 0.00511488511488587*G0_1_1_3_1 - 0.00219209362066551*G0_1_1_3_2 + 0.67516483516495*G0_1_1_3_3 + 0.218113315256209*G0_1_1_3_4 - 0.0306893106893158*G0_1_1_3_5 + 0.018632795775656*G0_1_1_3_6 - 0.0427458256029757*G0_1_1_3_7 + 0.0854916512059516*G0_1_1_3_9 + 0.0063936063936076*G0_1_1_4_0 - 0.0409190809190878*G0_1_1_4_1 - 0.074713857571013*G0_1_1_4_2 + 0.218113315256209*G0_1_1_4_3 + 0.323333809048151*G0_1_1_4_4 - 0.0191808191808226*G0_1_1_4_5 + 0.000548023405166609*G0_1_1_4_6 + 0.0427458256029757*G0_1_1_4_8 + 0.0756272299129574*G0_1_1_4_9 + 0.0176585319442491*G0_1_1_5_0 + 0.00621093192521868*G0_1_1_5_1 + 0.0119347319347339*G0_1_1_5_2 - 0.0306893106893158*G0_1_1_5_3 - 0.0191808191808226*G0_1_1_5_4 - 0.00054802340516651*G0_1_1_5_7 - 0.0186327957756559*G0_1_1_5_8 - 0.0119347319347339*G0_1_1_6_0 - 0.00621093192521867*G0_1_1_6_1 - 0.0176585319442491*G0_1_1_6_2 + 0.018632795775656*G0_1_1_6_3 + 0.000548023405166609*G0_1_1_6_4 + 0.0191808191808224*G0_1_1_6_7 + 0.0306893106893157*G0_1_1_6_8 + 0.0747138575710129*G0_1_1_7_0 + 0.0409190809190878*G0_1_1_7_1 - 0.00639360639360749*G0_1_1_7_2 - 0.0427458256029757*G0_1_1_7_3 - 0.000548023405166515*G0_1_1_7_5 + 0.0191808191808224*G0_1_1_7_6 - 0.32333380904815*G0_1_1_7_7 - 0.218113315256209*G0_1_1_7_8 - 0.075627229912957*G0_1_1_7_9 + 0.00219209362066539*G0_1_1_8_0 + 0.00511488511488593*G0_1_1_8_1 - 0.0142486085343252*G0_1_1_8_2 + 0.0427458256029757*G0_1_1_8_4 - 0.0186327957756559*G0_1_1_8_5 + 0.0306893106893157*G0_1_1_8_6 - 0.218113315256209*G0_1_1_8_7 - 0.675164835164951*G0_1_1_8_8 - 0.0854916512059518*G0_1_1_8_9 + 0.0124218638504374*G0_1_1_9_0 - 0.0124218638504374*G0_1_1_9_2 + 0.0854916512059516*G0_1_1_9_3 + 0.0756272299129574*G0_1_1_9_4 - 0.075627229912957*G0_1_1_9_7 - 0.0854916512059518*G0_1_1_9_8;
    A[192] = A[223] + 0.081797567511867*G0_0_0_0_0 + 0.00759113901971173*G0_0_0_0_1 + 0.019870922728069*G0_0_0_0_2 + 0.0032272489415352*G0_0_0_0_3 + 0.0138223681080848*G0_0_0_0_4 + 0.112649255506417*G0_0_0_0_5 - 0.058516721373874*G0_0_0_0_6 + 0.0268531468531513*G0_0_0_0_7 - 0.0140659340659364*G0_0_0_0_8 + 0.035804195804202*G0_0_0_0_9 + 0.00759113901971173*G0_0_0_1_0 + 0.0348164005306922*G0_0_0_1_1 + 0.00746259031973445*G0_0_0_1_2 + 0.0372047000618493*G0_0_0_1_3 + 0.00797678511964365*G0_0_0_1_4 + 0.0530973788116734*G0_0_0_1_5 + 0.0214946957804138*G0_0_0_1_6 + 0.00809856809856942*G0_0_0_1_7 - 0.0098035298035314*G0_0_0_1_8 + 0.020459540459544*G0_0_0_1_9 + 0.019870922728069*G0_0_0_2_0 + 0.00746259031973445*G0_0_0_2_1 + 0.0496333296333381*G0_0_0_2_2 + 0.00700252128823672*G0_0_0_2_3 + 0.0285581085581135*G0_0_0_2_4 + 0.0138223681080848*G0_0_0_2_5 - 0.000426240426240454*G0_0_0_2_6 + 0.0169278340706941*G0_0_0_2_7 + 0.00925550639836508*G0_0_0_2_8 + 0.0252090766376523*G0_0_0_2_9 + 0.0032272489415352*G0_0_0_3_0 + 0.0372047000618493*G0_0_0_3_1 + 0.00700252128823672*G0_0_0_3_2 + 0.301412872841495*G0_0_0_3_3 - 0.209892964178714*G0_0_0_3_4 - 0.0641187384044632*G0_0_0_3_5 - 0.10522049379194*G0_0_0_3_6 - 0.0504181532753046*G0_0_0_3_7 + 0.118921078921099*G0_0_0_3_8 + 0.0394576851719777*G0_0_0_3_9 + 0.0138223681080848*G0_0_0_4_0 + 0.00797678511964365*G0_0_0_4_1 + 0.0285581085581135*G0_0_0_4_2 - 0.209892964178714*G0_0_0_4_3 + 0.403345226202437*G0_0_0_4_4 - 0.0822035107749534*G0_0_0_4_5 + 0.187424004566893*G0_0_0_4_6 - 0.0257571000428187*G0_0_0_4_7 - 0.0685029256457943*G0_0_0_4_8 + 0.0887797916369492*G0_0_0_4_9 + 0.112649255506417*G0_0_0_5_0 + 0.0530973788116734*G0_0_0_5_1 + 0.0138223681080848*G0_0_0_5_2 - 0.0641187384044632*G0_0_0_5_3 - 0.0822035107749534*G0_0_0_5_4 + 1.79751676894564*G0_0_0_5_5 - 0.186875981161727*G0_0_0_5_6 + 0.291548451548501*G0_0_0_5_7 - 0.200028542885719*G0_0_0_5_8 + 0.292644498358834*G0_0_0_5_9 - 0.058516721373874*G0_0_0_6_0 + 0.0214946957804138*G0_0_0_6_1 - 0.000426240426240454*G0_0_0_6_2 - 0.10522049379194*G0_0_0_6_3 + 0.187424004566893*G0_0_0_6_4 - 0.186875981161726*G0_0_0_6_5 + 0.955752818610124*G0_0_0_6_6 - 0.091519908662781*G0_0_0_6_7 - 0.0257571000428186*G0_0_0_6_8 + 0.134813757670923*G0_0_0_6_9 + 0.0268531468531513*G0_0_0_7_0 + 0.00809856809856942*G0_0_0_7_1 + 0.0169278340706941*G0_0_0_7_2 - 0.0504181532753046*G0_0_0_7_3 - 0.0257571000428187*G0_0_0_7_4 + 0.291548451548501*G0_0_0_7_5 - 0.091519908662781*G0_0_0_7_6 + 0.168791208791237*G0_0_0_7_7 - 0.0876837448266167*G0_0_0_7_8 + 0.075627229912957*G0_0_0_7_9 - 0.0140659340659364*G0_0_0_8_0 - 0.00980352980353141*G0_0_0_8_1 + 0.00925550639836508*G0_0_0_8_2 + 0.118921078921099*G0_0_0_8_3 - 0.0685029256457943*G0_0_0_8_4 - 0.200028542885719*G0_0_0_8_5 - 0.0257571000428186*G0_0_0_8_6 - 0.0876837448266167*G0_0_0_8_7 + 0.168791208791237*G0_0_0_8_8 + 0.0756272299129568*G0_0_0_8_9 + 0.035804195804202*G0_0_0_9_0 + 0.020459540459544*G0_0_0_9_1 + 0.0252090766376523*G0_0_0_9_2 + 0.0394576851719777*G0_0_0_9_3 + 0.0887797916369493*G0_0_0_9_4 + 0.292644498358834*G0_0_0_9_5 + 0.134813757670923*G0_0_0_9_6 + 0.075627229912957*G0_0_0_9_7 + 0.0756272299129568*G0_0_0_9_8 + 1.53884972170712*G0_0_0_9_9 + 0.0264810321953223*G0_0_1_0_0 + 0.00453303310446244*G0_0_1_0_1 + 0.00453303310446246*G0_0_1_0_2 - 0.00219209362066543*G0_0_1_0_3 - 0.0021920936206654*G0_0_1_0_4 + 0.0337338851624621*G0_0_1_0_5 - 0.0121174064031227*G0_0_1_0_6 + 0.0337338851624621*G0_0_1_0_7 - 0.0121174064031227*G0_0_1_0_8 + 0.0241130298273197*G0_0_1_0_9 + 0.00453303310446244*G0_0_1_1_0 + 0.0174758574758604*G0_0_1_1_1 + 0.00397824397824467*G0_0_1_1_2 + 0.0354388468674243*G0_0_1_1_3 + 0.010229770229772*G0_0_1_1_4 + 0.00219209362066541*G0_0_1_1_5 + 0.00383616383616452*G0_0_1_1_6 + 0.0090728319299763*G0_0_1_1_7 - 0.0102906617192349*G0_0_1_1_8 + 0.0109604681033271*G0_0_1_1_9 + 0.00453303310446246*G0_0_1_2_0 + 0.00397824397824467*G0_0_1_2_1 + 0.0174758574758606*G0_0_1_2_2 + 0.0102297702297719*G0_0_1_2_3 + 0.0354388468674245*G0_0_1_2_4 + 0.0090728319299762*G0_0_1_2_5 - 0.0102906617192347*G0_0_1_2_6 + 0.00219209362066542*G0_0_1_2_7 + 0.00383616383616448*G0_0_1_2_8 + 0.0109604681033271*G0_0_1_2_9 - 0.00219209362066542*G0_0_1_3_0 + 0.0354388468674243*G0_0_1_3_1 + 0.0102297702297719*G0_0_1_3_2 + 0.195644355644389*G0_0_1_3_3 - 0.184135864135895*G0_0_1_3_4 + 0.0115084915084935*G0_0_1_3_5 - 0.0345254745254805*G0_0_1_3_6 - 0.0164407021549907*G0_0_1_3_7 + 0.050966176680471*G0_0_1_3_8 - 0.0021920936206654*G0_0_1_4_0 + 0.010229770229772*G0_0_1_4_1 + 0.0354388468674245*G0_0_1_4_2 - 0.184135864135895*G0_0_1_4_3 + 0.195644355644389*G0_0_1_4_4 - 0.0164407021549907*G0_0_1_4_5 + 0.0509661766804711*G0_0_1_4_6 + 0.0115084915084934*G0_0_1_4_7 - 0.0345254745254803*G0_0_1_4_8 + 0.0337338851624621*G0_0_1_5_0 + 0.00219209362066541*G0_0_1_5_1 + 0.0090728319299762*G0_0_1_5_2 + 0.0115084915084935*G0_0_1_5_3 - 0.0164407021549907*G0_0_1_5_4 + 0.0569944341373013*G0_0_1_5_5 - 0.0580904809476336*G0_0_1_5_6 + 0.0591865277579663*G0_0_1_5_7 - 0.0295932638789831*G0_0_1_5_8 - 0.0131525617239926*G0_0_1_5_9 - 0.0121174064031226*G0_0_1_6_0 + 0.00383616383616452*G0_0_1_6_1 - 0.0102906617192347*G0_0_1_6_2 - 0.0345254745254805*G0_0_1_6_3 + 0.0509661766804712*G0_0_1_6_4 - 0.0580904809476336*G0_0_1_6_5 + 0.00931639788782924*G0_0_1_6_6 - 0.0295932638789832*G0_0_1_6_7 + 0.0361695447409795*G0_0_1_6_9 + 0.0337338851624621*G0_0_1_7_0 + 0.0090728319299763*G0_0_1_7_1 + 0.00219209362066542*G0_0_1_7_2 - 0.0164407021549907*G0_0_1_7_3 + 0.0115084915084934*G0_0_1_7_4 + 0.0591865277579663*G0_0_1_7_5 - 0.0295932638789832*G0_0_1_7_6 + 0.056994434137301*G0_0_1_7_7 - 0.0580904809476334*G0_0_1_7_8 - 0.0131525617239923*G0_0_1_7_9 - 0.0121174064031227*G0_0_1_8_0 - 0.0102906617192349*G0_0_1_8_1 + 0.00383616383616448*G0_0_1_8_2 + 0.050966176680471*G0_0_1_8_3 - 0.0345254745254803*G0_0_1_8_4 - 0.0295932638789831*G0_0_1_8_5 - 0.0580904809476335*G0_0_1_8_7 + 0.00931639788782808*G0_0_1_8_8 + 0.0361695447409794*G0_0_1_8_9 + 0.0241130298273197*G0_0_1_9_0 + 0.0109604681033271*G0_0_1_9_1 + 0.0109604681033271*G0_0_1_9_2 - 0.0131525617239925*G0_0_1_9_5 + 0.0361695447409795*G0_0_1_9_6 - 0.0131525617239923*G0_0_1_9_7 + 0.0361695447409794*G0_0_1_9_8 + 1.10481518481537*G0_0_1_9_9 + 0.0306487163630071*G0_1_0_0_0 + 0.00698898984613387*G0_1_0_0_1 + 0.00698898984613387*G0_1_0_0_2 + 0.00913372341943928*G0_1_0_0_3 + 0.00913372341943931*G0_1_0_0_4 + 0.0384225298511076*G0_1_0_0_5 - 0.0116302744874192*G0_1_0_0_6 + 0.0384225298511076*G0_1_0_0_7 - 0.0116302744874193*G0_1_0_0_8 + 0.0657628086199626*G0_1_0_0_9 + 0.00698898984613387*G0_1_0_1_0 + 0.023159063159067*G0_1_0_1_1 + 0.00761820190391748*G0_1_0_1_2 + 0.0388487702773483*G0_1_0_1_3 + 0.00560201703058945*G0_1_0_1_4 - 0.00182674468388786*G0_1_0_1_5 + 0.00748965320394019*G0_1_0_1_6 + 0.00274011702583177*G0_1_0_1_7 + 0.000365348936777541*G0_1_0_1_8 - 0.00109604681033266*G0_1_0_1_9 + 0.00698898984613387*G0_1_0_2_0 + 0.00761820190391748*G0_1_0_2_1 + 0.023159063159067*G0_1_0_2_2 + 0.00560201703058937*G0_1_0_2_3 + 0.0388487702773483*G0_1_0_2_4 + 0.00274011702583176*G0_1_0_2_5 + 0.000365348936777586*G0_1_0_2_6 - 0.00182674468388784*G0_1_0_2_7 + 0.00748965320394015*G0_1_0_2_8 - 0.00109604681033274*G0_1_0_2_9 + 0.00913372341943928*G0_1_0_3_0 + 0.0388487702773483*G0_1_0_3_1 + 0.00560201703058937*G0_1_0_3_2 + 0.417045811331597*G0_1_0_3_3 - 0.209344940773547*G0_1_0_3_4 + 0.0049322106464972*G0_1_0_3_5 - 0.054254317111469*G0_1_0_3_6 - 0.0591865277579663*G0_1_0_3_7 + 0.113440844869435*G0_1_0_3_8 + 0.121661195946931*G0_1_0_3_9 + 0.00913372341943931*G0_1_0_4_0 + 0.00560201703058944*G0_1_0_4_1 + 0.0388487702773483*G0_1_0_4_2 - 0.209344940773547*G0_1_0_4_3 + 0.417045811331596*G0_1_0_4_4 - 0.0591865277579664*G0_1_0_4_5 + 0.113440844869435*G0_1_0_4_6 + 0.00493221064649716*G0_1_0_4_7 - 0.054254317111469*G0_1_0_4_8 + 0.121661195946931*G0_1_0_4_9 + 0.0384225298511076*G0_1_0_5_0 - 0.00182674468388786*G0_1_0_5_1 + 0.00274011702583176*G0_1_0_5_2 + 0.00493221064649721*G0_1_0_5_3 - 0.0591865277579664*G0_1_0_5_4 + 0.0942600256886131*G0_1_0_5_5 - 0.0717910660767924*G0_1_0_5_6 + 0.05261024689597*G0_1_0_5_7 - 0.026305123447985*G0_1_0_5_8 - 0.144678178963917*G0_1_0_5_9 - 0.0116302744874192*G0_1_0_6_0 + 0.00748965320394019*G0_1_0_6_1 + 0.000365348936777586*G0_1_0_6_2 - 0.054254317111469*G0_1_0_6_3 + 0.113440844869435*G0_1_0_6_4 - 0.0717910660767924*G0_1_0_6_5 + 0.0926159554731138*G0_1_0_6_6 - 0.026305123447985*G0_1_0_6_7 - 0.00657628086199624*G0_1_0_6_8 + 0.111796774653936*G0_1_0_6_9 + 0.0384225298511076*G0_1_0_7_0 + 0.00274011702583177*G0_1_0_7_1 - 0.00182674468388784*G0_1_0_7_2 - 0.0591865277579663*G0_1_0_7_3 + 0.00493221064649716*G0_1_0_7_4 + 0.05261024689597*G0_1_0_7_5 - 0.026305123447985*G0_1_0_7_6 + 0.0942600256886127*G0_1_0_7_7 - 0.0717910660767923*G0_1_0_7_8 - 0.144678178963917*G0_1_0_7_9 - 0.0116302744874193*G0_1_0_8_0 + 0.000365348936777542*G0_1_0_8_1 + 0.00748965320394015*G0_1_0_8_2 + 0.113440844869435*G0_1_0_8_3 - 0.054254317111469*G0_1_0_8_4 - 0.026305123447985*G0_1_0_8_5 - 0.00657628086199624*G0_1_0_8_6 - 0.0717910660767923*G0_1_0_8_7 + 0.0926159554731135*G0_1_0_8_8 + 0.111796774653936*G0_1_0_8_9 + 0.0657628086199626*G0_1_0_9_0 - 0.00109604681033266*G0_1_0_9_1 - 0.00109604681033275*G0_1_0_9_2 + 0.121661195946931*G0_1_0_9_3 + 0.121661195946931*G0_1_0_9_4 - 0.144678178963917*G0_1_0_9_5 + 0.111796774653936*G0_1_0_9_6 - 0.144678178963917*G0_1_0_9_7 + 0.111796774653936*G0_1_0_9_8 + 0.15783074068791*G0_1_0_9_9 + 0.081797567511867*G0_1_1_0_0 + 0.019870922728069*G0_1_1_0_1 + 0.00759113901971172*G0_1_1_0_2 + 0.0138223681080847*G0_1_1_0_3 + 0.00322724894153525*G0_1_1_0_4 + 0.0268531468531513*G0_1_1_0_5 - 0.0140659340659364*G0_1_1_0_6 + 0.112649255506417*G0_1_1_0_7 - 0.0585167213738741*G0_1_1_0_8 + 0.0358041958042021*G0_1_1_0_9 + 0.019870922728069*G0_1_1_1_0 + 0.049633329633338*G0_1_1_1_1 + 0.00746259031973444*G0_1_1_1_2 + 0.0285581085581134*G0_1_1_1_3 + 0.00700252128823678*G0_1_1_1_4 + 0.016927834070694*G0_1_1_1_5 + 0.00925550639836512*G0_1_1_1_6 + 0.0138223681080847*G0_1_1_1_7 - 0.000426240426240516*G0_1_1_1_8 + 0.0252090766376523*G0_1_1_1_9 + 0.00759113901971172*G0_1_1_2_0 + 0.00746259031973444*G0_1_1_2_1 + 0.0348164005306921*G0_1_1_2_2 + 0.00797678511964355*G0_1_1_2_3 + 0.0372047000618493*G0_1_1_2_4 + 0.00809856809856947*G0_1_1_2_5 - 0.00980352980353145*G0_1_1_2_6 + 0.0530973788116734*G0_1_1_2_7 + 0.0214946957804136*G0_1_1_2_8 + 0.0204595404595439*G0_1_1_2_9 + 0.0138223681080847*G0_1_1_3_0 + 0.0285581085581134*G0_1_1_3_1 + 0.00797678511964355*G0_1_1_3_2 + 0.403345226202438*G0_1_1_3_3 - 0.209892964178714*G0_1_1_3_4 - 0.0257571000428187*G0_1_1_3_5 - 0.0685029256457942*G0_1_1_3_6 - 0.0822035107749536*G0_1_1_3_7 + 0.187424004566893*G0_1_1_3_8 + 0.0887797916369498*G0_1_1_3_9 + 0.00322724894153525*G0_1_1_4_0 + 0.00700252128823678*G0_1_1_4_1 + 0.0372047000618493*G0_1_1_4_2 - 0.209892964178714*G0_1_1_4_3 + 0.301412872841496*G0_1_1_4_4 - 0.0504181532753047*G0_1_1_4_5 + 0.118921078921099*G0_1_1_4_6 - 0.0641187384044634*G0_1_1_4_7 - 0.10522049379194*G0_1_1_4_8 + 0.0394576851719774*G0_1_1_4_9 + 0.0268531468531513*G0_1_1_5_0 + 0.016927834070694*G0_1_1_5_1 + 0.00809856809856948*G0_1_1_5_2 - 0.0257571000428187*G0_1_1_5_3 - 0.0504181532753046*G0_1_1_5_4 + 0.168791208791237*G0_1_1_5_5 - 0.0876837448266166*G0_1_1_5_6 + 0.2915484515485*G0_1_1_5_7 - 0.0915199086627812*G0_1_1_5_8 + 0.0756272299129566*G0_1_1_5_9 - 0.0140659340659364*G0_1_1_6_0 + 0.00925550639836512*G0_1_1_6_1 - 0.00980352980353145*G0_1_1_6_2 - 0.0685029256457942*G0_1_1_6_3 + 0.118921078921099*G0_1_1_6_4 - 0.0876837448266166*G0_1_1_6_5 + 0.168791208791237*G0_1_1_6_6 - 0.200028542885719*G0_1_1_6_7 - 0.0257571000428185*G0_1_1_6_8 + 0.0756272299129569*G0_1_1_6_9 + 0.112649255506417*G0_1_1_7_0 + 0.0138223681080847*G0_1_1_7_1 + 0.0530973788116734*G0_1_1_7_2 - 0.0822035107749536*G0_1_1_7_3 - 0.0641187384044634*G0_1_1_7_4 + 0.2915484515485*G0_1_1_7_5 - 0.200028542885719*G0_1_1_7_6 + 1.79751676894564*G0_1_1_7_7 - 0.186875981161727*G0_1_1_7_8 + 0.292644498358834*G0_1_1_7_9 - 0.0585167213738741*G0_1_1_8_0 - 0.000426240426240516*G0_1_1_8_1 + 0.0214946957804136*G0_1_1_8_2 + 0.187424004566893*G0_1_1_8_3 - 0.10522049379194*G0_1_1_8_4 - 0.0915199086627812*G0_1_1_8_5 - 0.0257571000428185*G0_1_1_8_6 - 0.186875981161727*G0_1_1_8_7 + 0.955752818610123*G0_1_1_8_8 + 0.134813757670923*G0_1_1_8_9 + 0.0358041958042021*G0_1_1_9_0 + 0.0252090766376524*G0_1_1_9_1 + 0.0204595404595439*G0_1_1_9_2 + 0.0887797916369498*G0_1_1_9_3 + 0.0394576851719774*G0_1_1_9_4 + 0.0756272299129566*G0_1_1_9_5 + 0.0756272299129569*G0_1_1_9_6 + 0.292644498358834*G0_1_1_9_7 + 0.134813757670923*G0_1_1_9_8 + 1.53884972170712*G0_1_1_9_9;
    A[208] = A[192] - 0.0670077012934269*G0_0_0_0_0 - 0.0109063423349156*G0_0_0_0_2 + 0.0434765234765309*G0_0_0_0_3 - 0.00657628086199629*G0_0_0_0_4 - 0.150158413015581*G0_0_0_0_5 + 0.0643014128728524*G0_0_0_0_6 - 0.054315208600932*G0_0_0_0_7 + 0.0340992340992398*G0_0_0_0_8 - 0.0277665191950953*G0_0_0_0_9 + 0.0670077012934269*G0_0_0_1_1 + 0.0109063423349156*G0_0_0_1_2 + 0.150158413015581*G0_0_0_1_3 - 0.0643014128728523*G0_0_0_1_4 - 0.0434765234765308*G0_0_0_1_5 + 0.00657628086199624*G0_0_0_1_6 - 0.0340992340992399*G0_0_0_1_7 + 0.0543152086009321*G0_0_0_1_8 + 0.0277665191950954*G0_0_0_1_9 - 0.0109063423349156*G0_0_0_2_0 + 0.0109063423349156*G0_0_0_2_1 + 0.0477389277389358*G0_0_0_2_3 - 0.0238694638694681*G0_0_0_2_4 - 0.0477389277389358*G0_0_0_2_5 + 0.023869463869468*G0_0_0_2_6 - 0.0138832595975476*G0_0_0_2_7 + 0.0138832595975477*G0_0_0_2_8 + 0.0434765234765309*G0_0_0_3_0 + 0.150158413015581*G0_0_0_3_1 + 0.0477389277389358*G0_0_0_3_2 + 1.172770087056*G0_0_0_3_3 - 0.195096332239222*G0_0_0_3_4 - 0.0197288425859887*G0_0_0_3_6 - 0.130429570429593*G0_0_0_3_7 + 0.172079349222236*G0_0_0_3_8 + 0.177559583273899*G0_0_0_3_9 - 0.00657628086199629*G0_0_0_4_0 - 0.0643014128728523*G0_0_0_4_1 - 0.0238694638694681*G0_0_0_4_2 - 0.195096332239222*G0_0_0_4_3 - 0.122757242757265*G0_0_0_4_4 + 0.0197288425859889*G0_0_0_4_5 + 0.0306893106893159*G0_0_0_4_7 - 0.041649778792643*G0_0_0_4_8 - 0.0394576851719776*G0_0_0_4_9 - 0.150158413015581*G0_0_0_5_0 - 0.0434765234765308*G0_0_0_5_1 - 0.0477389277389359*G0_0_0_5_2 + 0.0197288425859889*G0_0_0_5_4 - 1.172770087056*G0_0_0_5_5 + 0.195096332239222*G0_0_0_5_6 - 0.172079349222235*G0_0_0_5_7 + 0.130429570429592*G0_0_0_5_8 - 0.177559583273899*G0_0_0_5_9 + 0.0643014128728524*G0_0_0_6_0 + 0.00657628086199624*G0_0_0_6_1 + 0.023869463869468*G0_0_0_6_2 - 0.0197288425859887*G0_0_0_6_3 + 0.195096332239222*G0_0_0_6_5 + 0.122757242757264*G0_0_0_6_6 + 0.0416497787926428*G0_0_0_6_7 - 0.0306893106893158*G0_0_0_6_8 + 0.0394576851719775*G0_0_0_6_9 - 0.054315208600932*G0_0_0_7_0 - 0.0340992340992399*G0_0_0_7_1 - 0.0138832595975476*G0_0_0_7_2 - 0.130429570429593*G0_0_0_7_3 + 0.0306893106893159*G0_0_0_7_4 - 0.172079349222235*G0_0_0_7_5 + 0.0416497787926428*G0_0_0_7_6 + 0.0340992340992398*G0_0_0_8_0 + 0.0543152086009321*G0_0_0_8_1 + 0.0138832595975477*G0_0_0_8_2 + 0.172079349222236*G0_0_0_8_3 - 0.041649778792643*G0_0_0_8_4 + 0.130429570429592*G0_0_0_8_5 - 0.0306893106893158*G0_0_0_8_6 - 0.0277665191950953*G0_0_0_9_0 + 0.0277665191950954*G0_0_0_9_1 + 0.177559583273899*G0_0_0_9_3 - 0.0394576851719777*G0_0_0_9_4 - 0.177559583273899*G0_0_0_9_5 + 0.0394576851719775*G0_0_0_9_6 - 0.0263727806584993*G0_0_1_0_0 - 0.0016914302628591*G0_0_1_0_1 - 0.00276717991003751*G0_0_1_0_2 + 0.0367784596356089*G0_0_1_0_3 - 0.0103515532086979*G0_0_1_0_4 - 0.0351343894201095*G0_0_1_0_5 + 0.00998620427192017*G0_0_1_0_6 - 0.0453032681604186*G0_0_1_0_7 + 0.0120565149136598*G0_0_1_0_8 - 0.033246753246759*G0_0_1_0_9 - 0.0016914302628591*G0_0_1_1_0 + 0.0406349206349275*G0_0_1_1_1 + 0.00813916242487806*G0_0_1_1_2 + 0.115024023595472*G0_0_1_1_3 - 0.0543152086009321*G0_0_1_1_4 - 0.00669806384092208*G0_0_1_1_5 - 0.00377527234670158*G0_0_1_1_6 - 0.02204271918558*G0_0_1_1_7 + 0.00901194044051337*G0_0_1_1_8 - 0.0054802340516635*G0_0_1_1_9 - 0.00276717991003751*G0_0_1_2_0 + 0.00813916242487806*G0_0_1_2_1 - 0.00359936359936431*G0_0_1_2_2 + 0.0350734979306468*G0_0_1_2_3 - 0.0166233766233797*G0_0_1_2_4 - 0.0126654298082891*G0_0_1_2_5 + 0.00724608724608844*G0_0_1_2_6 - 0.00560201703058939*G0_0_1_2_7 + 0.00828124256695827*G0_0_1_2_8 + 0.0219209362066542*G0_0_1_2_9 + 0.0367784596356089*G0_0_1_3_0 + 0.115024023595472*G0_0_1_3_1 + 0.0350734979306468*G0_0_1_3_2 + 1.12344798059103*G0_0_1_3_3 - 0.121113172541764*G0_0_1_3_4 - 0.0493221064649718*G0_0_1_3_5 + 0.0197288425859887*G0_0_1_3_6 - 0.101932353360942*G0_0_1_3_7 + 0.118373055515933*G0_0_1_3_8 + 0.220305408876875*G0_0_1_3_9 - 0.0103515532086979*G0_0_1_4_0 - 0.0543152086009321*G0_0_1_4_1 - 0.0166233766233797*G0_0_1_4_2 - 0.121113172541764*G0_0_1_4_3 - 0.20167261310122*G0_0_1_4_4 + 0.0394576851719776*G0_0_1_4_5 - 0.0591865277579664*G0_0_1_4_6 + 0.0197288425859888*G0_0_1_4_7 - 0.0164407021549907*G0_0_1_4_8 - 0.144678178963918*G0_0_1_4_9 - 0.0351343894201095*G0_0_1_5_0 - 0.00669806384092208*G0_0_1_5_1 - 0.0126654298082891*G0_0_1_5_2 - 0.0493221064649718*G0_0_1_5_3 + 0.0394576851719776*G0_0_1_5_4 - 0.0493221064649719*G0_0_1_5_5 + 0.0739831596974578*G0_0_1_5_6 - 0.0537062937063027*G0_0_1_5_7 + 0.0284972170686504*G0_0_1_5_8 + 0.0427458256029759*G0_0_1_5_9 + 0.00998620427192017*G0_0_1_6_0 - 0.00377527234670158*G0_0_1_6_1 + 0.00724608724608844*G0_0_1_6_2 + 0.0197288425859887*G0_0_1_6_3 - 0.0591865277579665*G0_0_1_6_4 + 0.0739831596974578*G0_0_1_6_5 - 0.0789153703439546*G0_0_1_6_6 + 0.0252090766376523*G0_0_1_6_7 - 0.0109604681033271*G0_0_1_6_8 - 0.10522049379194*G0_0_1_6_9 - 0.0453032681604186*G0_0_1_7_0 - 0.02204271918558*G0_0_1_7_1 - 0.0056020170305894*G0_0_1_7_2 - 0.101932353360942*G0_0_1_7_3 + 0.0197288425859888*G0_0_1_7_4 - 0.0537062937063027*G0_0_1_7_5 + 0.0252090766376523*G0_0_1_7_6 - 0.00986442129299431*G0_0_1_7_7 + 0.0887797916369494*G0_0_1_7_8 + 0.0493221064649719*G0_0_1_7_9 + 0.0120565149136598*G0_0_1_8_0 + 0.00901194044051336*G0_0_1_8_1 + 0.00828124256695827*G0_0_1_8_2 + 0.118373055515933*G0_0_1_8_3 - 0.0164407021549907*G0_0_1_8_4 + 0.0284972170686504*G0_0_1_8_5 - 0.0109604681033271*G0_0_1_8_6 + 0.0887797916369494*G0_0_1_8_7 - 0.00986442129299424*G0_0_1_8_8 + 0.0493221064649721*G0_0_1_8_9 - 0.033246753246759*G0_0_1_9_0 - 0.0054802340516635*G0_0_1_9_1 + 0.0219209362066542*G0_0_1_9_2 + 0.220305408876875*G0_0_1_9_3 - 0.144678178963918*G0_0_1_9_4 + 0.0427458256029759*G0_0_1_9_5 - 0.10522049379194*G0_0_1_9_6 + 0.0493221064649719*G0_0_1_9_7 + 0.0493221064649721*G0_0_1_9_8 - 1.02589981447142*G0_0_1_9_9 - 0.0263727806584993*G0_1_0_0_0 - 0.0016914302628591*G0_1_0_0_1 - 0.00276717991003751*G0_1_0_0_2 + 0.0367784596356089*G0_1_0_0_3 - 0.0103515532086979*G0_1_0_0_4 - 0.0351343894201095*G0_1_0_0_5 + 0.00998620427192018*G0_1_0_0_6 - 0.0453032681604186*G0_1_0_0_7 + 0.0120565149136598*G0_1_0_0_8 - 0.033246753246759*G0_1_0_0_9 - 0.0016914302628591*G0_1_0_1_0 + 0.0406349206349275*G0_1_0_1_1 + 0.00813916242487806*G0_1_0_1_2 + 0.115024023595472*G0_1_0_1_3 - 0.0543152086009321*G0_1_0_1_4 - 0.00669806384092208*G0_1_0_1_5 - 0.00377527234670158*G0_1_0_1_6 - 0.02204271918558*G0_1_0_1_7 + 0.00901194044051337*G0_1_0_1_8 - 0.0054802340516635*G0_1_0_1_9 - 0.00276717991003751*G0_1_0_2_0 + 0.00813916242487806*G0_1_0_2_1 - 0.00359936359936431*G0_1_0_2_2 + 0.0350734979306468*G0_1_0_2_3 - 0.0166233766233797*G0_1_0_2_4 - 0.0126654298082891*G0_1_0_2_5 + 0.00724608724608845*G0_1_0_2_6 - 0.00560201703058939*G0_1_0_2_7 + 0.00828124256695827*G0_1_0_2_8 + 0.0219209362066542*G0_1_0_2_9 + 0.0367784596356089*G0_1_0_3_0 + 0.115024023595472*G0_1_0_3_1 + 0.0350734979306468*G0_1_0_3_2 + 1.12344798059103*G0_1_0_3_3 - 0.121113172541764*G0_1_0_3_4 - 0.0493221064649718*G0_1_0_3_5 + 0.0197288425859887*G0_1_0_3_6 - 0.101932353360942*G0_1_0_3_7 + 0.118373055515933*G0_1_0_3_8 + 0.220305408876875*G0_1_0_3_9 - 0.0103515532086979*G0_1_0_4_0 - 0.0543152086009321*G0_1_0_4_1 - 0.0166233766233797*G0_1_0_4_2 - 0.121113172541764*G0_1_0_4_3 - 0.20167261310122*G0_1_0_4_4 + 0.0394576851719776*G0_1_0_4_5 - 0.0591865277579664*G0_1_0_4_6 + 0.0197288425859888*G0_1_0_4_7 - 0.0164407021549907*G0_1_0_4_8 - 0.144678178963918*G0_1_0_4_9 - 0.0351343894201095*G0_1_0_5_0 - 0.00669806384092208*G0_1_0_5_1 - 0.0126654298082891*G0_1_0_5_2 - 0.0493221064649718*G0_1_0_5_3 + 0.0394576851719776*G0_1_0_5_4 - 0.0493221064649719*G0_1_0_5_5 + 0.0739831596974578*G0_1_0_5_6 - 0.0537062937063027*G0_1_0_5_7 + 0.0284972170686504*G0_1_0_5_8 + 0.042745825602976*G0_1_0_5_9 + 0.00998620427192017*G0_1_0_6_0 - 0.00377527234670158*G0_1_0_6_1 + 0.00724608724608845*G0_1_0_6_2 + 0.0197288425859887*G0_1_0_6_3 - 0.0591865277579664*G0_1_0_6_4 + 0.0739831596974578*G0_1_0_6_5 - 0.0789153703439546*G0_1_0_6_6 + 0.0252090766376523*G0_1_0_6_7 - 0.0109604681033271*G0_1_0_6_8 - 0.10522049379194*G0_1_0_6_9 - 0.0453032681604186*G0_1_0_7_0 - 0.02204271918558*G0_1_0_7_1 - 0.0056020170305894*G0_1_0_7_2 - 0.101932353360942*G0_1_0_7_3 + 0.0197288425859888*G0_1_0_7_4 - 0.0537062937063027*G0_1_0_7_5 + 0.0252090766376523*G0_1_0_7_6 - 0.00986442129299431*G0_1_0_7_7 + 0.0887797916369494*G0_1_0_7_8 + 0.049322106464972*G0_1_0_7_9 + 0.0120565149136598*G0_1_0_8_0 + 0.00901194044051336*G0_1_0_8_1 + 0.00828124256695827*G0_1_0_8_2 + 0.118373055515933*G0_1_0_8_3 - 0.0164407021549907*G0_1_0_8_4 + 0.0284972170686504*G0_1_0_8_5 - 0.0109604681033271*G0_1_0_8_6 + 0.0887797916369494*G0_1_0_8_7 - 0.00986442129299421*G0_1_0_8_8 + 0.0493221064649721*G0_1_0_8_9 - 0.033246753246759*G0_1_0_9_0 - 0.0054802340516635*G0_1_0_9_1 + 0.0219209362066542*G0_1_0_9_2 + 0.220305408876875*G0_1_0_9_3 - 0.144678178963918*G0_1_0_9_4 + 0.0427458256029759*G0_1_0_9_5 - 0.10522049379194*G0_1_0_9_6 + 0.049322106464972*G0_1_0_9_7 + 0.0493221064649721*G0_1_0_9_8 - 1.02589981447142*G0_1_0_9_9 - 0.0706070648927911*G0_1_1_0_0 - 0.00169143026285912*G0_1_1_0_1 - 0.00384292955721592*G0_1_1_0_2 + 0.0488349745492687*G0_1_1_0_3 - 0.00925550639836519*G0_1_1_0_4 - 0.0369002426145345*G0_1_1_0_5 + 0.0193634936492111*G0_1_1_0_6 - 0.17695066837927*G0_1_1_0_7 + 0.101445221445239*G0_1_1_0_8 - 0.00584558298844128*G0_1_1_0_9 - 0.00169143026285912*G0_1_1_1_0 + 0.0848692048692191*G0_1_1_1_1 + 0.00921491207205644*G0_1_1_1_2 + 0.116789876789897*G0_1_1_1_3 - 0.0636924979782231*G0_1_1_1_4 - 0.0187545787545819*G0_1_1_1_5 - 0.00487131915703426*G0_1_1_1_6 - 0.111431425717159*G0_1_1_1_7 + 0.140659340659364*G0_1_1_1_8 - 0.0328814043099813*G0_1_1_1_9 - 0.00384292955721592*G0_1_1_2_0 + 0.00921491207205644*G0_1_1_2_1 - 0.00359936359936438*G0_1_1_2_2 + 0.0371438085723863*G0_1_1_2_3 - 0.0267922553636887*G0_1_1_2_4 - 0.0147357404500286*G0_1_1_2_5 + 0.0174149659863974*G0_1_1_2_6 - 0.0527320298748958*G0_1_1_2_7 + 0.0554112554112647*G0_1_1_2_8 + 0.0219209362066542*G0_1_1_2_9 + 0.0488349745492687*G0_1_1_3_0 + 0.116789876789897*G0_1_1_3_1 + 0.0371438085723863*G0_1_1_3_2 + 1.19249892964199*G0_1_1_3_3 - 0.106316540602272*G0_1_1_3_4 - 0.0493221064649718*G0_1_1_3_5 + 0.0230169830169869*G0_1_1_3_6 - 0.138101898101921*G0_1_1_3_7 + 0.295932638789831*G0_1_1_3_8 + 0.374848009133787*G0_1_1_3_9 - 0.00925550639836519*G0_1_1_4_0 - 0.0636924979782231*G0_1_1_4_1 - 0.0267922553636887*G0_1_1_4_2 - 0.106316540602272*G0_1_1_4_3 - 0.162214927929242*G0_1_1_4_4 + 0.0361695447409795*G0_1_1_4_5 - 0.0591865277579665*G0_1_1_4_6 + 0.0887797916369493*G0_1_1_4_7 - 0.15783074068791*G0_1_1_4_8 - 0.138101898101921*G0_1_1_4_9 - 0.0369002426145346*G0_1_1_5_0 - 0.0187545787545819*G0_1_1_5_1 - 0.0147357404500286*G0_1_1_5_2 - 0.0493221064649718*G0_1_1_5_3 + 0.0361695447409795*G0_1_1_5_4 - 0.118373055515932*G0_1_1_5_5 + 0.0591865277579664*G0_1_1_5_6 - 0.231265876980201*G0_1_1_5_7 + 0.0646667618096297*G0_1_1_5_8 - 0.111796774653936*G0_1_1_5_9 + 0.0193634936492112*G0_1_1_6_0 - 0.00487131915703426*G0_1_1_6_1 + 0.0174149659863974*G0_1_1_6_2 + 0.023016983016987*G0_1_1_6_3 - 0.0591865277579665*G0_1_1_6_4 + 0.0591865277579664*G0_1_1_6_5 - 0.118373055515933*G0_1_1_6_6 + 0.166599115170572*G0_1_1_6_7 - 0.0800114171542876*G0_1_1_6_8 - 0.111796774653936*G0_1_1_6_9 - 0.17695066837927*G0_1_1_7_0 - 0.111431425717159*G0_1_1_7_1 - 0.0527320298748958*G0_1_1_7_2 - 0.138101898101921*G0_1_1_7_3 + 0.0887797916369493*G0_1_1_7_4 - 0.231265876980201*G0_1_1_7_5 + 0.166599115170572*G0_1_1_7_6 - 1.33498501498524*G0_1_1_7_7 + 0.0887797916369497*G0_1_1_7_8 - 0.315661481375821*G0_1_1_7_9 + 0.101445221445239*G0_1_1_8_0 + 0.140659340659364*G0_1_1_8_1 + 0.0554112554112647*G0_1_1_8_2 + 0.295932638789831*G0_1_1_8_3 - 0.15783074068791*G0_1_1_8_4 + 0.0646667618096297*G0_1_1_8_5 - 0.0800114171542876*G0_1_1_8_6 + 0.0887797916369497*G0_1_1_8_7 + 1.31525617239925*G0_1_1_8_8 + 0.414305694305765*G0_1_1_8_9 - 0.00584558298844128*G0_1_1_9_0 - 0.0328814043099813*G0_1_1_9_1 + 0.0219209362066542*G0_1_1_9_2 + 0.374848009133787*G0_1_1_9_3 - 0.138101898101921*G0_1_1_9_4 - 0.111796774653936*G0_1_1_9_5 - 0.111796774653936*G0_1_1_9_6 - 0.315661481375821*G0_1_1_9_7 + 0.414305694305765*G0_1_1_9_8 - 1.02589981447141*G0_1_1_9_9;
    A[203] = -A[200] - 0.00153018057779988*G0_0_1_0_0 + 0.00150650055411984*G0_0_1_0_1 + 0.000795254128587598*G0_0_1_0_2 + 0.00274519131662038*G0_0_1_0_3 + 0.0065432979718705*G0_0_1_0_4 + 0.00902970045827342*G0_0_1_0_5 + 0.00629719486862449*G0_0_1_0_6 + 0.000900686614972448*G0_0_1_0_7 - 0.002197167911454*G0_0_1_0_8 + 0.0311155511155564*G0_0_1_0_9 + 0.00150650055411984*G0_0_1_1_0 - 0.0120373453706809*G0_0_1_1_1 - 0.000440053773387179*G0_0_1_1_2 + 0.0161387818530703*G0_0_1_1_3 + 0.00970711827854851*G0_0_1_1_4 - 0.00602318316604133*G0_0_1_1_5 + 0.00302681445538637*G0_0_1_1_6 - 0.00152736152736174*G0_0_1_1_7 - 0.00651285222713916*G0_0_1_1_8 + 0.0166842681128424*G0_0_1_1_9 + 0.000795254128587598*G0_0_1_2_0 - 0.000440053773387179*G0_0_1_2_1 + 0.0178310578310608*G0_0_1_2_3 - 0.0039072039072045*G0_0_1_2_4 + 0.00433344433344508*G0_0_1_2_5 + 0.0039072039072046*G0_0_1_2_6 - 0.00321456321456375*G0_0_1_2_7 + 0.00285936285936333*G0_0_1_2_8 - 0.0221645021645059*G0_0_1_2_9 + 0.00274519131662038*G0_0_1_3_0 + 0.0161387818530703*G0_0_1_3_1 + 0.0178310578310608*G0_0_1_3_2 + 0.222954188668513*G0_0_1_3_3 - 0.127712287712309*G0_0_1_3_4 + 0.0113258170401047*G0_0_1_3_5 - 0.0218981018981056*G0_0_1_3_6 - 0.0210532324818075*G0_0_1_3_7 + 0.0424489795918439*G0_0_1_3_8 - 0.00794633937491195*G0_0_1_3_9 + 0.0065432979718705*G0_0_1_4_0 + 0.00970711827854851*G0_0_1_4_1 - 0.00390720390720449*G0_0_1_4_2 - 0.127712287712309*G0_0_1_4_3 + 0.055944055944065*G0_0_1_4_4 - 0.0324475524475579*G0_0_1_4_5 + 0.0543456543456634*G0_0_1_4_6 + 0.00141572713001309*G0_0_1_4_7 - 0.0213957471100364*G0_0_1_4_8 + 0.131388611388633*G0_0_1_4_9 + 0.00902970045827342*G0_0_1_5_0 - 0.00602318316604133*G0_0_1_5_1 + 0.00433344433344508*G0_0_1_5_2 + 0.0113258170401047*G0_0_1_5_3 - 0.0324475524475579*G0_0_1_5_4 + 0.05032681604111*G0_0_1_5_5 - 0.0596203796203898*G0_0_1_5_6 - 0.00207792207792245*G0_0_1_5_7 + 0.00525189096617759*G0_0_1_5_8 - 0.103850435279024*G0_0_1_5_9 + 0.00629719486862449*G0_0_1_6_0 + 0.00302681445538637*G0_0_1_6_1 + 0.0039072039072046*G0_0_1_6_2 - 0.0218981018981056*G0_0_1_6_3 + 0.0543456543456634*G0_0_1_6_4 - 0.0596203796203898*G0_0_1_6_5 - 0.164635364635393*G0_0_1_6_6 - 0.00317396888825516*G0_0_1_6_7 - 0.0024204367061514*G0_0_1_6_8 + 0.110289710289729*G0_0_1_6_9 + 0.000900686614972448*G0_0_1_7_0 - 0.00152736152736174*G0_0_1_7_1 - 0.00321456321456375*G0_0_1_7_2 - 0.0210532324818075*G0_0_1_7_3 + 0.00141572713001309*G0_0_1_7_4 - 0.00207792207792245*G0_0_1_7_5 - 0.00317396888825516*G0_0_1_7_6 + 0.01237619523334*G0_0_1_7_7 + 0.00730697873555149*G0_0_1_7_8 - 0.0869987155701588*G0_0_1_7_9 - 0.002197167911454*G0_0_1_8_0 - 0.00651285222713916*G0_0_1_8_1 + 0.00285936285936333*G0_0_1_8_2 + 0.0424489795918439*G0_0_1_8_3 - 0.0213957471100364*G0_0_1_8_4 + 0.00525189096617759*G0_0_1_8_5 - 0.0024204367061514*G0_0_1_8_6 + 0.00730697873555149*G0_0_1_8_7 + 0.00223776223776238*G0_0_1_8_8 - 0.0072613101184542*G0_0_1_8_9 + 0.0311155511155564*G0_0_1_9_0 + 0.0166842681128424*G0_0_1_9_1 - 0.0221645021645059*G0_0_1_9_2 - 0.00794633937491196*G0_0_1_9_3 + 0.131388611388633*G0_0_1_9_4 - 0.103850435279024*G0_0_1_9_5 + 0.110289710289729*G0_0_1_9_6 - 0.0869987155701588*G0_0_1_9_7 - 0.00726131011845419*G0_0_1_9_8 - 0.0723390894819586*G0_0_1_9_9 - 0.00875258780020815*G0_1_1_0_0 + 0.00562203228869994*G0_1_1_0_1 + 0.000669806384092231*G0_1_1_0_2 + 0.00805036233607803*G0_1_1_0_3 - 0.00675388103959652*G0_1_1_0_4 - 0.00344798059083826*G0_1_1_0_5 + 0.00339470053755823*G0_1_1_0_6 - 0.0278959136102039*G0_1_1_0_7 + 0.0163341420484306*G0_1_1_0_8 + 0.00149184149184175*G0_1_1_0_9 + 0.00562203228869994*G0_1_1_1_0 + 0.0339334739334797*G0_1_1_1_1 + 0.00103712865617646*G0_1_1_1_2 + 0.0293750693750744*G0_1_1_1_3 - 0.00245595674167147*G0_1_1_1_4 - 0.00207284778713387*G0_1_1_1_5 + 0.00377273520130727*G0_1_1_1_6 - 0.0347081489938692*G0_1_1_1_7 + 0.0576490176490275*G0_1_1_1_8 + 0.0125132010846318*G0_1_1_1_9 + 0.000669806384092231*G0_1_1_2_0 + 0.00103712865617646*G0_1_1_2_1 - 0.0160234826901518*G0_1_1_2_2 + 0.019678099678103*G0_1_1_2_3 - 0.000142080142080216*G0_1_1_2_5 - 0.00222000222000248*G0_1_1_2_6 - 0.00218701932987684*G0_1_1_2_7 + 0.014352631495491*G0_1_1_2_8 + 0.00852480852480996*G0_1_1_2_9 + 0.00805036233607803*G0_1_1_3_0 + 0.0293750693750744*G0_1_1_3_1 + 0.019678099678103*G0_1_1_3_2 + 0.209801626944521*G0_1_1_3_3 - 0.10880548023407*G0_1_1_3_4 - 0.00333380904809533*G0_1_1_3_5 - 0.0225831311545635*G0_1_1_3_6 - 0.0354160125588758*G0_1_1_3_7 + 0.0897388325959906*G0_1_1_3_8 + 0.0332924218638562*G0_1_1_3_9 - 0.00675388103959652*G0_1_1_4_0 - 0.00245595674167147*G0_1_1_4_1 - 0.10880548023407*G0_1_1_4_3 - 0.0879120879121032*G0_1_1_4_4 + 0.00899671756814773*G0_1_1_4_5 + 0.0135864135864157*G0_1_1_4_6 + 0.0190438133295309*G0_1_1_4_7 - 0.0543228200371149*G0_1_1_4_8 - 0.0435678607107254*G0_1_1_4_9 - 0.00344798059083826*G0_1_1_5_0 - 0.00207284778713387*G0_1_1_5_1 - 0.000142080142080216*G0_1_1_5_2 - 0.00333380904809533*G0_1_1_5_3 + 0.00899671756814773*G0_1_1_5_4 + 0.0213729128014877*G0_1_1_5_5 - 0.0150706436420747*G0_1_1_5_6 + 0.0097502497502514*G0_1_1_5_7 - 0.00504638218924026*G0_1_1_5_8 + 0.00561723990295515*G0_1_1_5_9 + 0.00339470053755823*G0_1_1_6_0 + 0.00377273520130727*G0_1_1_6_1 - 0.00222000222000248*G0_1_1_6_2 - 0.0225831311545635*G0_1_1_6_3 + 0.0135864135864157*G0_1_1_6_4 - 0.0150706436420747*G0_1_1_6_5 + 0.0479520479520557*G0_1_1_6_6 - 0.00470386756101119*G0_1_1_6_7 - 0.0215555872698765*G0_1_1_6_8 + 0.0195918367346971*G0_1_1_6_9 - 0.0278959136102039*G0_1_1_7_0 - 0.0347081489938692*G0_1_1_7_1 - 0.00218701932987684*G0_1_1_7_2 - 0.0354160125588758*G0_1_1_7_3 + 0.0190438133295309*G0_1_1_7_4 + 0.0097502497502514*G0_1_1_7_5 - 0.00470386756101119*G0_1_1_7_6 + 0.114217211360088*G0_1_1_7_7 - 0.0190209790209825*G0_1_1_7_8 + 0.00493221064649713*G0_1_1_7_9 + 0.0163341420484306*G0_1_1_8_0 + 0.0576490176490275*G0_1_1_8_1 + 0.014352631495491*G0_1_1_8_2 + 0.0897388325959906*G0_1_1_8_3 - 0.0543228200371149*G0_1_1_8_4 - 0.00504638218924026*G0_1_1_8_5 - 0.0215555872698765*G0_1_1_8_6 - 0.0190209790209825*G0_1_1_8_7 + 0.556335093478045*G0_1_1_8_8 + 0.0711060368203347*G0_1_1_8_9 + 0.00149184149184175*G0_1_1_9_0 + 0.0125132010846318*G0_1_1_9_1 + 0.00852480852480996*G0_1_1_9_2 + 0.0332924218638563*G0_1_1_9_3 - 0.0435678607107254*G0_1_1_9_4 + 0.00561723990295516*G0_1_1_9_5 + 0.0195918367346971*G0_1_1_9_6 + 0.00493221064649714*G0_1_1_9_7 + 0.0711060368203347*G0_1_1_9_8 - 0.0082203510774956*G0_1_1_9_9;
    A[59] = -A[179] - 0.00875258780020847*G0_0_0_0_0 + 0.000669806384092208*G0_0_0_0_1 + 0.0056220322886999*G0_0_0_0_2 - 0.00675388103959652*G0_0_0_0_3 + 0.00805036233607802*G0_0_0_0_4 - 0.0278959136102041*G0_0_0_0_5 + 0.0163341420484307*G0_0_0_0_6 - 0.00344798059083831*G0_0_0_0_7 + 0.00339470053755825*G0_0_0_0_8 + 0.00149184149184176*G0_0_0_0_9 + 0.000669806384092208*G0_0_0_1_0 - 0.0160234826901522*G0_0_0_1_1 + 0.00103712865617646*G0_0_0_1_2 + 0.0196780996781031*G0_0_0_1_4 - 0.00218701932987685*G0_0_0_1_5 + 0.0143526314954911*G0_0_0_1_6 - 0.000142080142080121*G0_0_0_1_7 - 0.00222000222000267*G0_0_0_1_8 + 0.00852480852480993*G0_0_0_1_9 + 0.0056220322886999*G0_0_0_2_0 + 0.00103712865617646*G0_0_0_2_1 + 0.0339334739334794*G0_0_0_2_2 - 0.00245595674167142*G0_0_0_2_3 + 0.0293750693750744*G0_0_0_2_4 - 0.0347081489938691*G0_0_0_2_5 + 0.0576490176490273*G0_0_0_2_6 - 0.00207284778713383*G0_0_0_2_7 + 0.00377273520130725*G0_0_0_2_8 + 0.0125132010846318*G0_0_0_2_9 - 0.00675388103959652*G0_0_0_3_0 - 0.00245595674167142*G0_0_0_3_2 - 0.0879120879121031*G0_0_0_3_3 - 0.10880548023407*G0_0_0_3_4 + 0.0190438133295309*G0_0_0_3_5 - 0.0543228200371146*G0_0_0_3_6 + 0.00899671756814772*G0_0_0_3_7 + 0.0135864135864157*G0_0_0_3_8 - 0.0435678607107252*G0_0_0_3_9 + 0.00805036233607802*G0_0_0_4_0 + 0.0196780996781031*G0_0_0_4_1 + 0.0293750693750744*G0_0_0_4_2 - 0.10880548023407*G0_0_0_4_3 + 0.209801626944519*G0_0_0_4_4 - 0.0354160125588757*G0_0_0_4_5 + 0.0897388325959904*G0_0_0_4_6 - 0.00333380904809533*G0_0_0_4_7 - 0.0225831311545634*G0_0_0_4_8 + 0.0332924218638559*G0_0_0_4_9 - 0.0278959136102041*G0_0_0_5_0 - 0.00218701932987685*G0_0_0_5_1 - 0.0347081489938691*G0_0_0_5_2 + 0.0190438133295309*G0_0_0_5_3 - 0.0354160125588757*G0_0_0_5_4 + 0.114217211360088*G0_0_0_5_5 - 0.0190209790209823*G0_0_0_5_6 + 0.00975024975025138*G0_0_0_5_7 - 0.00470386756101118*G0_0_0_5_8 + 0.00493221064649712*G0_0_0_5_9 + 0.0163341420484307*G0_0_0_6_0 + 0.0143526314954911*G0_0_0_6_1 + 0.0576490176490273*G0_0_0_6_2 - 0.0543228200371146*G0_0_0_6_3 + 0.0897388325959904*G0_0_0_6_4 - 0.0190209790209823*G0_0_0_6_5 + 0.556335093478044*G0_0_0_6_6 - 0.00504638218924015*G0_0_0_6_7 - 0.0215555872698764*G0_0_0_6_8 + 0.071106036820334*G0_0_0_6_9 - 0.00344798059083831*G0_0_0_7_0 - 0.000142080142080121*G0_0_0_7_1 - 0.00207284778713384*G0_0_0_7_2 + 0.00899671756814772*G0_0_0_7_3 - 0.00333380904809533*G0_0_0_7_4 + 0.00975024975025138*G0_0_0_7_5 - 0.00504638218924015*G0_0_0_7_6 + 0.0213729128014879*G0_0_0_7_7 - 0.0150706436420747*G0_0_0_7_8 + 0.00561723990295515*G0_0_0_7_9 + 0.00339470053755825*G0_0_0_8_0 - 0.00222000222000266*G0_0_0_8_1 + 0.00377273520130725*G0_0_0_8_2 + 0.0135864135864157*G0_0_0_8_3 - 0.0225831311545634*G0_0_0_8_4 - 0.00470386756101118*G0_0_0_8_5 - 0.0215555872698764*G0_0_0_8_6 - 0.0150706436420747*G0_0_0_8_7 + 0.0479520479520557*G0_0_0_8_8 + 0.0195918367346971*G0_0_0_8_9 + 0.00149184149184176*G0_0_0_9_0 + 0.00852480852480993*G0_0_0_9_1 + 0.0125132010846318*G0_0_0_9_2 - 0.0435678607107252*G0_0_0_9_3 + 0.0332924218638559*G0_0_0_9_4 + 0.00493221064649712*G0_0_0_9_5 + 0.071106036820334*G0_0_0_9_6 + 0.00561723990295515*G0_0_0_9_7 + 0.0195918367346971*G0_0_0_9_8 - 0.00822035107749555*G0_0_0_9_9 - 0.00153018057780002*G0_0_1_0_0 + 0.000795254128587606*G0_0_1_0_1 + 0.00150650055411986*G0_0_1_0_2 + 0.00654329797187048*G0_0_1_0_3 + 0.00274519131662039*G0_0_1_0_4 + 0.000900686614972437*G0_0_1_0_5 - 0.00219716791145394*G0_0_1_0_6 + 0.00902970045827336*G0_0_1_0_7 + 0.00629719486862451*G0_0_1_0_8 + 0.0311155511155564*G0_0_1_0_9 + 0.000795254128587606*G0_0_1_1_0 - 0.000440053773387167*G0_0_1_1_2 - 0.00390720390720451*G0_0_1_1_3 + 0.0178310578310609*G0_0_1_1_4 - 0.00321456321456378*G0_0_1_1_5 + 0.00285936285936335*G0_0_1_1_6 + 0.00433344433344501*G0_0_1_1_7 + 0.00390720390720469*G0_0_1_1_8 - 0.0221645021645059*G0_0_1_1_9 + 0.00150650055411986*G0_0_1_2_0 - 0.000440053773387166*G0_0_1_2_1 - 0.0120373453706807*G0_0_1_2_2 + 0.00970711827854845*G0_0_1_2_3 + 0.0161387818530704*G0_0_1_2_4 - 0.0015273615273618*G0_0_1_2_5 - 0.00651285222713896*G0_0_1_2_6 - 0.00602318316604132*G0_0_1_2_7 + 0.00302681445538638*G0_0_1_2_8 + 0.0166842681128423*G0_0_1_2_9 + 0.00654329797187048*G0_0_1_3_0 - 0.00390720390720451*G0_0_1_3_1 + 0.00970711827854845*G0_0_1_3_2 + 0.0559440559440654*G0_0_1_3_3 - 0.127712287712309*G0_0_1_3_4 + 0.00141572713001315*G0_0_1_3_5 - 0.0213957471100365*G0_0_1_3_6 - 0.0324475524475579*G0_0_1_3_7 + 0.0543456543456635*G0_0_1_3_8 + 0.131388611388633*G0_0_1_3_9 + 0.00274519131662039*G0_0_1_4_0 + 0.0178310578310609*G0_0_1_4_1 + 0.0161387818530704*G0_0_1_4_2 - 0.127712287712309*G0_0_1_4_3 + 0.222954188668512*G0_0_1_4_4 - 0.0210532324818075*G0_0_1_4_5 + 0.042448979591844*G0_0_1_4_6 + 0.0113258170401047*G0_0_1_4_7 - 0.0218981018981056*G0_0_1_4_8 - 0.00794633937491209*G0_0_1_4_9 + 0.000900686614972436*G0_0_1_5_0 - 0.00321456321456378*G0_0_1_5_1 - 0.00152736152736181*G0_0_1_5_2 + 0.00141572713001315*G0_0_1_5_3 - 0.0210532324818075*G0_0_1_5_4 + 0.01237619523334*G0_0_1_5_5 + 0.00730697873555128*G0_0_1_5_6 - 0.00207792207792249*G0_0_1_5_7 - 0.00317396888825506*G0_0_1_5_8 - 0.0869987155701589*G0_0_1_5_9 - 0.00219716791145394*G0_0_1_6_0 + 0.00285936285936335*G0_0_1_6_1 - 0.00651285222713896*G0_0_1_6_2 - 0.0213957471100365*G0_0_1_6_3 + 0.042448979591844*G0_0_1_6_4 + 0.00730697873555128*G0_0_1_6_5 + 0.00223776223776261*G0_0_1_6_6 + 0.00525189096617756*G0_0_1_6_7 - 0.00242043670615142*G0_0_1_6_8 - 0.00726131011845419*G0_0_1_6_9 + 0.00902970045827336*G0_0_1_7_0 + 0.00433344433344501*G0_0_1_7_1 - 0.00602318316604132*G0_0_1_7_2 - 0.0324475524475579*G0_0_1_7_3 + 0.0113258170401047*G0_0_1_7_4 - 0.00207792207792249*G0_0_1_7_5 + 0.00525189096617756*G0_0_1_7_6 + 0.0503268160411102*G0_0_1_7_7 - 0.0596203796203897*G0_0_1_7_8 - 0.103850435279024*G0_0_1_7_9 + 0.00629719486862451*G0_0_1_8_0 + 0.00390720390720469*G0_0_1_8_1 + 0.00302681445538638*G0_0_1_8_2 + 0.0543456543456635*G0_0_1_8_3 - 0.0218981018981056*G0_0_1_8_4 - 0.00317396888825506*G0_0_1_8_5 - 0.00242043670615142*G0_0_1_8_6 - 0.0596203796203897*G0_0_1_8_7 - 0.164635364635393*G0_0_1_8_8 + 0.110289710289729*G0_0_1_8_9 + 0.0311155511155564*G0_0_1_9_0 - 0.0221645021645059*G0_0_1_9_1 + 0.0166842681128423*G0_0_1_9_2 + 0.131388611388633*G0_0_1_9_3 - 0.0079463393749121*G0_0_1_9_4 - 0.0869987155701589*G0_0_1_9_5 - 0.0072613101184542*G0_0_1_9_6 - 0.103850435279024*G0_0_1_9_7 + 0.110289710289729*G0_0_1_9_8 - 0.0723390894819591*G0_0_1_9_9;
    A[224] = A[208] - 0.00359936359936415*G0_0_0_0_0 - 0.00384292955721592*G0_0_0_0_1 + 0.00921491207205653*G0_0_0_0_2 - 0.0527320298748961*G0_0_0_0_3 + 0.0554112554112651*G0_0_0_0_4 - 0.0267922553636885*G0_0_0_0_5 + 0.0371438085723866*G0_0_0_0_6 + 0.0174149659863975*G0_0_0_0_7 - 0.0147357404500287*G0_0_0_0_8 + 0.0219209362066542*G0_0_0_0_9 - 0.00384292955721592*G0_0_0_1_0 - 0.0706070648927911*G0_0_0_1_1 - 0.00169143026285902*G0_0_0_1_2 - 0.17695066837927*G0_0_0_1_3 + 0.101445221445239*G0_0_0_1_4 - 0.00925550639836515*G0_0_0_1_5 + 0.0488349745492687*G0_0_0_1_6 + 0.0193634936492113*G0_0_0_1_7 - 0.0369002426145346*G0_0_0_1_8 - 0.00584558298844118*G0_0_0_1_9 + 0.00921491207205653*G0_0_0_2_0 - 0.00169143026285902*G0_0_0_2_1 + 0.0848692048692195*G0_0_0_2_2 - 0.111431425717159*G0_0_0_2_3 + 0.140659340659365*G0_0_0_2_4 - 0.063692497978223*G0_0_0_2_5 + 0.116789876789897*G0_0_0_2_6 - 0.00487131915703426*G0_0_0_2_7 - 0.0187545787545819*G0_0_0_2_8 - 0.0328814043099813*G0_0_0_2_9 - 0.0527320298748961*G0_0_0_3_0 - 0.17695066837927*G0_0_0_3_1 - 0.111431425717159*G0_0_0_3_2 - 1.33498501498524*G0_0_0_3_3 + 0.0887797916369487*G0_0_0_3_4 + 0.0887797916369493*G0_0_0_3_5 - 0.138101898101921*G0_0_0_3_6 + 0.166599115170572*G0_0_0_3_7 - 0.231265876980202*G0_0_0_3_8 - 0.315661481375821*G0_0_0_3_9 + 0.0554112554112651*G0_0_0_4_0 + 0.101445221445239*G0_0_0_4_1 + 0.140659340659365*G0_0_0_4_2 + 0.0887797916369486*G0_0_0_4_3 + 1.31525617239926*G0_0_0_4_4 - 0.15783074068791*G0_0_0_4_5 + 0.295932638789832*G0_0_0_4_6 - 0.0800114171542878*G0_0_0_4_7 + 0.0646667618096298*G0_0_0_4_8 + 0.414305694305764*G0_0_0_4_9 - 0.0267922553636885*G0_0_0_5_0 - 0.00925550639836515*G0_0_0_5_1 - 0.063692497978223*G0_0_0_5_2 + 0.0887797916369493*G0_0_0_5_3 - 0.15783074068791*G0_0_0_5_4 - 0.162214927929241*G0_0_0_5_5 - 0.106316540602273*G0_0_0_5_6 - 0.0591865277579662*G0_0_0_5_7 + 0.0361695447409794*G0_0_0_5_8 - 0.138101898101921*G0_0_0_5_9 + 0.0371438085723866*G0_0_0_6_0 + 0.0488349745492687*G0_0_0_6_1 + 0.116789876789897*G0_0_0_6_2 - 0.138101898101921*G0_0_0_6_3 + 0.295932638789832*G0_0_0_6_4 - 0.106316540602273*G0_0_0_6_5 + 1.19249892964199*G0_0_0_6_6 + 0.023016983016987*G0_0_0_6_7 - 0.0493221064649718*G0_0_0_6_8 + 0.374848009133786*G0_0_0_6_9 + 0.0174149659863975*G0_0_0_7_0 + 0.0193634936492113*G0_0_0_7_1 - 0.00487131915703426*G0_0_0_7_2 + 0.166599115170572*G0_0_0_7_3 - 0.0800114171542878*G0_0_0_7_4 - 0.0591865277579662*G0_0_0_7_5 + 0.023016983016987*G0_0_0_7_6 - 0.118373055515932*G0_0_0_7_7 + 0.0591865277579663*G0_0_0_7_8 - 0.111796774653936*G0_0_0_7_9 - 0.0147357404500287*G0_0_0_8_0 - 0.0369002426145346*G0_0_0_8_1 - 0.0187545787545819*G0_0_0_8_2 - 0.231265876980202*G0_0_0_8_3 + 0.0646667618096298*G0_0_0_8_4 + 0.0361695447409794*G0_0_0_8_5 - 0.0493221064649718*G0_0_0_8_6 + 0.0591865277579663*G0_0_0_8_7 - 0.118373055515933*G0_0_0_8_8 - 0.111796774653936*G0_0_0_8_9 + 0.0219209362066542*G0_0_0_9_0 - 0.00584558298844118*G0_0_0_9_1 - 0.0328814043099813*G0_0_0_9_2 - 0.315661481375821*G0_0_0_9_3 + 0.414305694305764*G0_0_0_9_4 - 0.138101898101921*G0_0_0_9_5 + 0.374848009133786*G0_0_0_9_6 - 0.111796774653936*G0_0_0_9_7 - 0.111796774653936*G0_0_0_9_8 - 1.02589981447142*G0_0_0_9_9 - 0.00107574964717838*G0_0_1_0_1 + 0.00107574964717844*G0_0_1_0_2 - 0.0471300128443068*G0_0_1_0_3 + 0.0471300128443068*G0_0_1_0_4 - 0.010168878740309*G0_0_1_0_5 + 0.00207031064173962*G0_0_1_0_6 + 0.0101688787403091*G0_0_1_0_7 - 0.00207031064173965*G0_0_1_0_8 - 0.00107574964717839*G0_0_1_1_0 - 0.0442342842342917*G0_0_1_1_1 - 0.131647400218851*G0_0_1_1_3 + 0.0893887065315791*G0_0_1_1_4 + 0.00109604681033266*G0_0_1_1_5 + 0.0120565149136599*G0_0_1_1_6 + 0.00937728937729099*G0_0_1_1_7 - 0.00176585319442496*G0_0_1_1_8 + 0.0274011702583177*G0_0_1_1_9 + 0.00107574964717844*G0_0_1_2_0 + 0.0442342842342922*G0_0_1_2_2 - 0.089388706531579*G0_0_1_2_3 + 0.131647400218852*G0_0_1_2_4 - 0.00937728937729105*G0_0_1_2_5 + 0.00176585319442517*G0_0_1_2_6 - 0.00109604681033271*G0_0_1_2_7 - 0.0120565149136598*G0_0_1_2_8 - 0.0274011702583176*G0_0_1_2_9 - 0.0471300128443068*G0_0_1_3_0 - 0.131647400218851*G0_0_1_3_1 - 0.089388706531579*G0_0_1_3_2 - 1.32512059369225*G0_0_1_3_3 + 0.0690509490509607*G0_0_1_3_5 - 0.0361695447409795*G0_0_1_3_6 + 0.14139003853292*G0_0_1_3_7 - 0.177559583273899*G0_0_1_3_8 - 0.364983587840793*G0_0_1_3_9 + 0.0471300128443068*G0_0_1_4_0 + 0.0893887065315791*G0_0_1_4_1 + 0.131647400218852*G0_0_1_4_2 + 1.32512059369225*G0_0_1_4_4 - 0.14139003853292*G0_0_1_4_5 + 0.1775595832739*G0_0_1_4_6 - 0.0690509490509607*G0_0_1_4_7 + 0.0361695447409794*G0_0_1_4_8 + 0.364983587840792*G0_0_1_4_9 - 0.010168878740309*G0_0_1_5_0 + 0.00109604681033266*G0_0_1_5_1 - 0.00937728937729105*G0_0_1_5_2 + 0.0690509490509607*G0_0_1_5_3 - 0.14139003853292*G0_0_1_5_4 + 0.0394576851719774*G0_0_1_5_5 + 0.0147966319394912*G0_0_1_5_6 - 0.00328814043099813*G0_0_1_5_8 + 0.00657628086199593*G0_0_1_5_9 + 0.00207031064173962*G0_0_1_6_0 + 0.0120565149136599*G0_0_1_6_1 + 0.00176585319442517*G0_0_1_6_2 - 0.0361695447409795*G0_0_1_6_3 + 0.1775595832739*G0_0_1_6_4 + 0.0147966319394912*G0_0_1_6_5 + 0.0690509490509603*G0_0_1_6_6 + 0.00328814043099803*G0_0_1_6_7 + 0.154542600256912*G0_0_1_6_9 + 0.0101688787403091*G0_0_1_7_0 + 0.00937728937729099*G0_0_1_7_1 - 0.00109604681033271*G0_0_1_7_2 + 0.14139003853292*G0_0_1_7_3 - 0.0690509490509607*G0_0_1_7_4 + 0.00328814043099803*G0_0_1_7_6 - 0.0394576851719769*G0_0_1_7_7 - 0.0147966319394916*G0_0_1_7_8 - 0.00657628086199628*G0_0_1_7_9 - 0.00207031064173965*G0_0_1_8_0 - 0.00176585319442496*G0_0_1_8_1 - 0.0120565149136598*G0_0_1_8_2 - 0.177559583273899*G0_0_1_8_3 + 0.0361695447409794*G0_0_1_8_4 - 0.00328814043099813*G0_0_1_8_5 - 0.0147966319394916*G0_0_1_8_7 - 0.0690509490509605*G0_0_1_8_8 - 0.154542600256912*G0_0_1_8_9 + 0.0274011702583177*G0_0_1_9_1 - 0.0274011702583176*G0_0_1_9_2 - 0.364983587840793*G0_0_1_9_3 + 0.364983587840792*G0_0_1_9_4 + 0.00657628086199592*G0_0_1_9_5 + 0.154542600256912*G0_0_1_9_6 - 0.00657628086199628*G0_0_1_9_7 - 0.154542600256912*G0_0_1_9_8 - 0.00107574964717838*G0_1_0_0_1 + 0.00107574964717844*G0_1_0_0_2 - 0.0471300128443068*G0_1_0_0_3 + 0.0471300128443068*G0_1_0_0_4 - 0.010168878740309*G0_1_0_0_5 + 0.00207031064173962*G0_1_0_0_6 + 0.0101688787403091*G0_1_0_0_7 - 0.00207031064173965*G0_1_0_0_8 - 0.00107574964717838*G0_1_0_1_0 - 0.0442342842342917*G0_1_0_1_1 - 0.131647400218851*G0_1_0_1_3 + 0.0893887065315791*G0_1_0_1_4 + 0.00109604681033266*G0_1_0_1_5 + 0.0120565149136599*G0_1_0_1_6 + 0.00937728937729099*G0_1_0_1_7 - 0.00176585319442495*G0_1_0_1_8 + 0.0274011702583177*G0_1_0_1_9 + 0.00107574964717844*G0_1_0_2_0 + 0.0442342842342922*G0_1_0_2_2 - 0.089388706531579*G0_1_0_2_3 + 0.131647400218852*G0_1_0_2_4 - 0.00937728937729105*G0_1_0_2_5 + 0.00176585319442517*G0_1_0_2_6 - 0.00109604681033271*G0_1_0_2_7 - 0.0120565149136598*G0_1_0_2_8 - 0.0274011702583176*G0_1_0_2_9 - 0.0471300128443068*G0_1_0_3_0 - 0.131647400218851*G0_1_0_3_1 - 0.089388706531579*G0_1_0_3_2 - 1.32512059369225*G0_1_0_3_3 + 0.0690509490509607*G0_1_0_3_5 - 0.0361695447409795*G0_1_0_3_6 + 0.14139003853292*G0_1_0_3_7 - 0.177559583273899*G0_1_0_3_8 - 0.364983587840793*G0_1_0_3_9 + 0.0471300128443068*G0_1_0_4_0 + 0.0893887065315791*G0_1_0_4_1 + 0.131647400218852*G0_1_0_4_2 + 1.32512059369225*G0_1_0_4_4 - 0.14139003853292*G0_1_0_4_5 + 0.1775595832739*G0_1_0_4_6 - 0.0690509490509607*G0_1_0_4_7 + 0.0361695447409794*G0_1_0_4_8 + 0.364983587840792*G0_1_0_4_9 - 0.010168878740309*G0_1_0_5_0 + 0.00109604681033266*G0_1_0_5_1 - 0.00937728937729105*G0_1_0_5_2 + 0.0690509490509607*G0_1_0_5_3 - 0.14139003853292*G0_1_0_5_4 + 0.0394576851719774*G0_1_0_5_5 + 0.0147966319394912*G0_1_0_5_6 - 0.00328814043099813*G0_1_0_5_8 + 0.00657628086199592*G0_1_0_5_9 + 0.00207031064173962*G0_1_0_6_0 + 0.0120565149136599*G0_1_0_6_1 + 0.00176585319442517*G0_1_0_6_2 - 0.0361695447409795*G0_1_0_6_3 + 0.1775595832739*G0_1_0_6_4 + 0.0147966319394912*G0_1_0_6_5 + 0.0690509490509603*G0_1_0_6_6 + 0.00328814043099804*G0_1_0_6_7 + 0.154542600256912*G0_1_0_6_9 + 0.0101688787403091*G0_1_0_7_0 + 0.00937728937729099*G0_1_0_7_1 - 0.00109604681033271*G0_1_0_7_2 + 0.14139003853292*G0_1_0_7_3 - 0.0690509490509607*G0_1_0_7_4 + 0.00328814043099804*G0_1_0_7_6 - 0.0394576851719769*G0_1_0_7_7 - 0.0147966319394916*G0_1_0_7_8 - 0.00657628086199629*G0_1_0_7_9 - 0.00207031064173965*G0_1_0_8_0 - 0.00176585319442495*G0_1_0_8_1 - 0.0120565149136598*G0_1_0_8_2 - 0.177559583273899*G0_1_0_8_3 + 0.0361695447409794*G0_1_0_8_4 - 0.00328814043099813*G0_1_0_8_5 - 0.0147966319394916*G0_1_0_8_7 - 0.0690509490509605*G0_1_0_8_8 - 0.154542600256912*G0_1_0_8_9 + 0.0274011702583177*G0_1_0_9_1 - 0.0274011702583176*G0_1_0_9_2 - 0.364983587840793*G0_1_0_9_3 + 0.364983587840792*G0_1_0_9_4 + 0.00657628086199592*G0_1_0_9_5 + 0.154542600256912*G0_1_0_9_6 - 0.00657628086199629*G0_1_0_9_7 - 0.154542600256912*G0_1_0_9_8 + 0.00359936359936441*G0_1_1_0_0 - 0.00921491207205646*G0_1_1_0_1 + 0.00384292955721598*G0_1_1_0_2 - 0.055411255411265*G0_1_1_0_3 + 0.0527320298748962*G0_1_1_0_4 - 0.0174149659863974*G0_1_1_0_5 + 0.0147357404500287*G0_1_1_0_6 + 0.0267922553636887*G0_1_1_0_7 - 0.0371438085723865*G0_1_1_0_8 - 0.0219209362066541*G0_1_1_0_9 - 0.00921491207205646*G0_1_1_1_0 - 0.0848692048692191*G0_1_1_1_1 + 0.00169143026285921*G0_1_1_1_2 - 0.140659340659365*G0_1_1_1_3 + 0.111431425717159*G0_1_1_1_4 + 0.00487131915703424*G0_1_1_1_5 + 0.0187545787545819*G0_1_1_1_6 + 0.0636924979782231*G0_1_1_1_7 - 0.116789876789896*G0_1_1_1_8 + 0.0328814043099813*G0_1_1_1_9 + 0.00384292955721598*G0_1_1_2_0 + 0.00169143026285921*G0_1_1_2_1 + 0.0706070648927914*G0_1_1_2_2 - 0.101445221445239*G0_1_1_2_3 + 0.17695066837927*G0_1_1_2_4 - 0.0193634936492113*G0_1_1_2_5 + 0.0369002426145347*G0_1_1_2_6 + 0.00925550639836507*G0_1_1_2_7 - 0.0488349745492684*G0_1_1_2_8 + 0.00584558298844117*G0_1_1_2_9 - 0.055411255411265*G0_1_1_3_0 - 0.140659340659365*G0_1_1_3_1 - 0.101445221445239*G0_1_1_3_2 - 1.31525617239925*G0_1_1_3_3 - 0.0887797916369504*G0_1_1_3_4 + 0.0800114171542877*G0_1_1_3_5 - 0.06466676180963*G0_1_1_3_6 + 0.15783074068791*G0_1_1_3_7 - 0.295932638789831*G0_1_1_3_8 - 0.414305694305764*G0_1_1_3_9 + 0.0527320298748962*G0_1_1_4_0 + 0.111431425717159*G0_1_1_4_1 + 0.17695066837927*G0_1_1_4_2 - 0.0887797916369504*G0_1_1_4_3 + 1.33498501498524*G0_1_1_4_4 - 0.166599115170572*G0_1_1_4_5 + 0.231265876980202*G0_1_1_4_6 - 0.0887797916369494*G0_1_1_4_7 + 0.138101898101921*G0_1_1_4_8 + 0.31566148137582*G0_1_1_4_9 - 0.0174149659863974*G0_1_1_5_0 + 0.00487131915703425*G0_1_1_5_1 - 0.0193634936492113*G0_1_1_5_2 + 0.0800114171542877*G0_1_1_5_3 - 0.166599115170572*G0_1_1_5_4 + 0.118373055515933*G0_1_1_5_5 - 0.0591865277579665*G0_1_1_5_6 + 0.0591865277579664*G0_1_1_5_7 - 0.0230169830169869*G0_1_1_5_8 + 0.111796774653936*G0_1_1_5_9 + 0.0147357404500287*G0_1_1_6_0 + 0.0187545787545819*G0_1_1_6_1 + 0.0369002426145347*G0_1_1_6_2 - 0.06466676180963*G0_1_1_6_3 + 0.231265876980202*G0_1_1_6_4 - 0.0591865277579665*G0_1_1_6_5 + 0.118373055515933*G0_1_1_6_6 - 0.0361695447409794*G0_1_1_6_7 + 0.0493221064649718*G0_1_1_6_8 + 0.111796774653936*G0_1_1_6_9 + 0.0267922553636887*G0_1_1_7_0 + 0.0636924979782231*G0_1_1_7_1 + 0.00925550639836507*G0_1_1_7_2 + 0.15783074068791*G0_1_1_7_3 - 0.0887797916369494*G0_1_1_7_4 + 0.0591865277579664*G0_1_1_7_5 - 0.0361695447409794*G0_1_1_7_6 + 0.162214927929242*G0_1_1_7_7 + 0.106316540602272*G0_1_1_7_8 + 0.138101898101921*G0_1_1_7_9 - 0.0371438085723865*G0_1_1_8_0 - 0.116789876789896*G0_1_1_8_1 - 0.0488349745492684*G0_1_1_8_2 - 0.295932638789831*G0_1_1_8_3 + 0.138101898101921*G0_1_1_8_4 - 0.0230169830169869*G0_1_1_8_5 + 0.0493221064649718*G0_1_1_8_6 + 0.106316540602272*G0_1_1_8_7 - 1.19249892964199*G0_1_1_8_8 - 0.374848009133787*G0_1_1_8_9 - 0.0219209362066541*G0_1_1_9_0 + 0.0328814043099813*G0_1_1_9_1 + 0.00584558298844117*G0_1_1_9_2 - 0.414305694305764*G0_1_1_9_3 + 0.31566148137582*G0_1_1_9_4 + 0.111796774653936*G0_1_1_9_5 + 0.111796774653936*G0_1_1_9_6 + 0.138101898101921*G0_1_1_9_7 - 0.374848009133787*G0_1_1_9_8 + 1.02589981447141*G0_1_1_9_9;
    A[209] = A[223] - 0.00416768416768484*G0_0_1_0_0 - 0.00245595674167144*G0_0_1_0_1 - 0.00245595674167141*G0_0_1_0_2 - 0.0113258170401047*G0_0_1_0_3 - 0.0113258170401047*G0_0_1_0_4 - 0.00468864468864544*G0_0_1_0_5 - 0.000487131915703448*G0_0_1_0_6 - 0.00468864468864546*G0_0_1_0_7 - 0.000487131915703448*G0_0_1_0_8 - 0.0416497787926429*G0_0_1_0_9 - 0.00245595674167144*G0_0_1_1_0 - 0.00568320568320659*G0_0_1_1_1 - 0.00363995792567281*G0_0_1_1_2 - 0.00340992340992397*G0_0_1_1_3 + 0.00462775319918256*G0_0_1_1_4 + 0.00401883830455327*G0_0_1_1_5 - 0.00365348936777567*G0_0_1_1_6 + 0.00633271490414453*G0_0_1_1_7 - 0.0106560106560124*G0_0_1_1_8 + 0.0120565149136598*G0_0_1_1_9 - 0.00245595674167141*G0_0_1_2_0 - 0.00363995792567281*G0_0_1_2_1 - 0.00568320568320643*G0_0_1_2_2 + 0.00462775319918253*G0_0_1_2_3 - 0.00340992340992382*G0_0_1_2_4 + 0.00633271490414444*G0_0_1_2_5 - 0.0106560106560123*G0_0_1_2_6 + 0.00401883830455326*G0_0_1_2_7 - 0.00365348936777567*G0_0_1_2_8 + 0.0120565149136599*G0_0_1_2_9 - 0.0113258170401047*G0_0_1_3_0 - 0.00340992340992397*G0_0_1_3_1 + 0.00462775319918252*G0_0_1_3_2 - 0.221401455687208*G0_0_1_3_3 + 0.025209076637652*G0_0_1_3_4 + 0.00657628086199627*G0_0_1_3_5 + 0.0197288425859886*G0_0_1_3_6 + 0.0427458256029757*G0_0_1_3_7 - 0.0624746681889643*G0_0_1_3_8 - 0.121661195946931*G0_0_1_3_9 - 0.0113258170401047*G0_0_1_4_0 + 0.00462775319918256*G0_0_1_4_1 - 0.00340992340992382*G0_0_1_4_2 + 0.025209076637652*G0_0_1_4_3 - 0.221401455687207*G0_0_1_4_4 + 0.0427458256029757*G0_0_1_4_5 - 0.0624746681889643*G0_0_1_4_6 + 0.00657628086199628*G0_0_1_4_7 + 0.0197288425859887*G0_0_1_4_8 - 0.121661195946931*G0_0_1_4_9 - 0.00468864468864544*G0_0_1_5_0 + 0.00401883830455327*G0_0_1_5_1 + 0.00633271490414444*G0_0_1_5_2 + 0.00657628086199626*G0_0_1_5_3 + 0.0427458256029757*G0_0_1_5_4 - 0.0372655915513118*G0_0_1_5_5 + 0.0137005851291588*G0_0_1_5_6 + 0.00657628086199633*G0_0_1_5_7 - 0.00328814043099816*G0_0_1_5_8 + 0.131525617239925*G0_0_1_5_9 - 0.000487131915703451*G0_0_1_6_0 - 0.00365348936777567*G0_0_1_6_1 - 0.0106560106560123*G0_0_1_6_2 + 0.0197288425859886*G0_0_1_6_3 - 0.0624746681889643*G0_0_1_6_4 + 0.0137005851291588*G0_0_1_6_5 - 0.0832995575852846*G0_0_1_6_6 - 0.00328814043099817*G0_0_1_6_7 + 0.00657628086199617*G0_0_1_6_8 - 0.0756272299129568*G0_0_1_6_9 - 0.00468864468864546*G0_0_1_7_0 + 0.00633271490414453*G0_0_1_7_1 + 0.00401883830455326*G0_0_1_7_2 + 0.0427458256029757*G0_0_1_7_3 + 0.00657628086199628*G0_0_1_7_4 + 0.00657628086199633*G0_0_1_7_5 - 0.00328814043099817*G0_0_1_7_6 - 0.0372655915513117*G0_0_1_7_7 + 0.0137005851291589*G0_0_1_7_8 + 0.131525617239925*G0_0_1_7_9 - 0.000487131915703446*G0_0_1_8_0 - 0.0106560106560124*G0_0_1_8_1 - 0.00365348936777567*G0_0_1_8_2 - 0.0624746681889643*G0_0_1_8_3 + 0.0197288425859887*G0_0_1_8_4 - 0.00328814043099816*G0_0_1_8_5 + 0.00657628086199617*G0_0_1_8_6 + 0.0137005851291589*G0_0_1_8_7 - 0.0832995575852854*G0_0_1_8_8 - 0.0756272299129568*G0_0_1_8_9 - 0.0416497787926429*G0_0_1_9_0 + 0.0120565149136598*G0_0_1_9_1 + 0.0120565149136599*G0_0_1_9_2 - 0.121661195946931*G0_0_1_9_3 - 0.121661195946931*G0_0_1_9_4 + 0.131525617239925*G0_0_1_9_5 - 0.0756272299129568*G0_0_1_9_6 + 0.131525617239925*G0_0_1_9_7 - 0.0756272299129568*G0_0_1_9_8 + 0.946984444127461*G0_0_1_9_9 + 0.00416768416768484*G0_1_0_0_0 + 0.00245595674167144*G0_1_0_0_1 + 0.00245595674167141*G0_1_0_0_2 + 0.0113258170401047*G0_1_0_0_3 + 0.0113258170401047*G0_1_0_0_4 + 0.00468864468864544*G0_1_0_0_5 + 0.000487131915703448*G0_1_0_0_6 + 0.00468864468864546*G0_1_0_0_7 + 0.000487131915703448*G0_1_0_0_8 + 0.0416497787926429*G0_1_0_0_9 + 0.00245595674167144*G0_1_0_1_0 + 0.00568320568320659*G0_1_0_1_1 + 0.00363995792567281*G0_1_0_1_2 + 0.00340992340992397*G0_1_0_1_3 - 0.00462775319918256*G0_1_0_1_4 - 0.00401883830455327*G0_1_0_1_5 + 0.00365348936777567*G0_1_0_1_6 - 0.00633271490414453*G0_1_0_1_7 + 0.0106560106560124*G0_1_0_1_8 - 0.0120565149136598*G0_1_0_1_9 + 0.00245595674167141*G0_1_0_2_0 + 0.00363995792567281*G0_1_0_2_1 + 0.00568320568320643*G0_1_0_2_2 - 0.00462775319918252*G0_1_0_2_3 + 0.00340992340992382*G0_1_0_2_4 - 0.00633271490414444*G0_1_0_2_5 + 0.0106560106560123*G0_1_0_2_6 - 0.00401883830455326*G0_1_0_2_7 + 0.00365348936777567*G0_1_0_2_8 - 0.0120565149136599*G0_1_0_2_9 + 0.0113258170401047*G0_1_0_3_0 + 0.00340992340992397*G0_1_0_3_1 - 0.00462775319918252*G0_1_0_3_2 + 0.221401455687208*G0_1_0_3_3 - 0.025209076637652*G0_1_0_3_4 - 0.00657628086199627*G0_1_0_3_5 - 0.0197288425859886*G0_1_0_3_6 - 0.0427458256029757*G0_1_0_3_7 + 0.0624746681889643*G0_1_0_3_8 + 0.121661195946931*G0_1_0_3_9 + 0.0113258170401047*G0_1_0_4_0 - 0.00462775319918256*G0_1_0_4_1 + 0.00340992340992382*G0_1_0_4_2 - 0.025209076637652*G0_1_0_4_3 + 0.221401455687207*G0_1_0_4_4 - 0.0427458256029757*G0_1_0_4_5 + 0.0624746681889643*G0_1_0_4_6 - 0.00657628086199628*G0_1_0_4_7 - 0.0197288425859887*G0_1_0_4_8 + 0.121661195946931*G0_1_0_4_9 + 0.00468864468864544*G0_1_0_5_0 - 0.00401883830455327*G0_1_0_5_1 - 0.00633271490414444*G0_1_0_5_2 - 0.00657628086199627*G0_1_0_5_3 - 0.0427458256029756*G0_1_0_5_4 + 0.0372655915513118*G0_1_0_5_5 - 0.0137005851291588*G0_1_0_5_6 - 0.00657628086199632*G0_1_0_5_7 + 0.00328814043099816*G0_1_0_5_8 - 0.131525617239925*G0_1_0_5_9 + 0.00048713191570345*G0_1_0_6_0 + 0.00365348936777567*G0_1_0_6_1 + 0.0106560106560123*G0_1_0_6_2 - 0.0197288425859886*G0_1_0_6_3 + 0.0624746681889643*G0_1_0_6_4 - 0.0137005851291588*G0_1_0_6_5 + 0.0832995575852846*G0_1_0_6_6 + 0.00328814043099817*G0_1_0_6_7 - 0.00657628086199617*G0_1_0_6_8 + 0.0756272299129568*G0_1_0_6_9 + 0.00468864468864546*G0_1_0_7_0 - 0.00633271490414453*G0_1_0_7_1 - 0.00401883830455326*G0_1_0_7_2 - 0.0427458256029757*G0_1_0_7_3 - 0.00657628086199628*G0_1_0_7_4 - 0.00657628086199633*G0_1_0_7_5 + 0.00328814043099817*G0_1_0_7_6 + 0.0372655915513117*G0_1_0_7_7 - 0.0137005851291589*G0_1_0_7_8 - 0.131525617239925*G0_1_0_7_9 + 0.000487131915703447*G0_1_0_8_0 + 0.0106560106560124*G0_1_0_8_1 + 0.00365348936777567*G0_1_0_8_2 + 0.0624746681889643*G0_1_0_8_3 - 0.0197288425859887*G0_1_0_8_4 + 0.00328814043099816*G0_1_0_8_5 - 0.00657628086199617*G0_1_0_8_6 - 0.0137005851291589*G0_1_0_8_7 + 0.0832995575852854*G0_1_0_8_8 + 0.0756272299129568*G0_1_0_8_9 + 0.0416497787926429*G0_1_0_9_0 - 0.0120565149136598*G0_1_0_9_1 - 0.0120565149136599*G0_1_0_9_2 + 0.121661195946931*G0_1_0_9_3 + 0.121661195946931*G0_1_0_9_4 - 0.131525617239925*G0_1_0_9_5 + 0.0756272299129568*G0_1_0_9_6 - 0.131525617239925*G0_1_0_9_7 + 0.0756272299129568*G0_1_0_9_8 - 0.946984444127461*G0_1_0_9_9;
    A[140] = -A[143] + 0.0935558268891762*G0_0_1_0_0 + 0.00349900540376791*G0_0_1_0_1 + 0.00156598251836372*G0_0_1_0_2 - 0.00119922405636715*G0_0_1_0_3 + 0.00110704110704131*G0_0_1_0_4 + 0.0109934509934528*G0_0_1_0_5 - 0.00540538826253201*G0_0_1_0_6 + 0.0361061161061222*G0_0_1_0_7 - 0.0124738753310203*G0_0_1_0_8 - 0.000662194947909272*G0_0_1_0_9 + 0.00349900540376791*G0_0_1_1_0 - 0.0223759309473636*G0_0_1_1_1 + 0.000180419228038297*G0_0_1_1_2 + 0.0026826083968945*G0_0_1_1_3 + 0.00178319035461926*G0_0_1_1_4 - 0.000402560402560464*G0_0_1_1_5 + 0.000383954669669026*G0_0_1_1_6 + 0.00379091807663304*G0_0_1_1_7 + 0.00427424427424491*G0_0_1_1_8 + 0.00931386074243374*G0_0_1_1_9 + 0.00156598251836372*G0_0_1_2_0 + 0.000180419228038297*G0_0_1_2_1 + 0.00167536167536198*G0_0_1_2_3 + 0.000592000592000655*G0_0_1_2_4 - 0.000592000592000721*G0_0_1_2_6 - 0.000524343381486324*G0_0_1_2_7 - 0.00122205836491571*G0_0_1_2_8 - 0.00166944166944196*G0_0_1_2_9 - 0.00119922405636715*G0_0_1_3_0 + 0.0026826083968945*G0_0_1_3_1 + 0.00167536167536198*G0_0_1_3_2 + 0.0304533561676473*G0_0_1_3_3 - 0.018640407211839*G0_0_1_3_4 + 0.00414823271966199*G0_0_1_3_5 - 0.0046429760715483*G0_0_1_3_6 + 0.000106560106560122*G0_0_1_3_7 - 0.000281623138765998*G0_0_1_3_8 - 0.0281547024404214*G0_0_1_3_9 + 0.00110704110704131*G0_0_1_4_0 + 0.00178319035461926*G0_0_1_4_1 + 0.000592000592000655*G0_0_1_4_2 - 0.018640407211839*G0_0_1_4_3 - 0.0340992340992397*G0_0_1_4_4 - 0.00681223538366514*G0_0_1_4_5 + 0.0114552114552134*G0_0_1_4_6 + 0.000871509442938145*G0_0_1_4_7 + 0.000175063032205896*G0_0_1_4_8 + 0.0186327957756561*G0_0_1_4_9 + 0.0109934509934528*G0_0_1_5_0 - 0.000402560402560464*G0_0_1_5_1 + 0.00414823271966199*G0_0_1_5_3 - 0.00681223538366514*G0_0_1_5_4 - 0.0366490652205*G0_0_1_5_5 - 0.00283145426002616*G0_0_1_5_6 + 0.00420151277294206*G0_0_1_5_7 - 0.00228343085485981*G0_0_1_5_8 + 0.00655344655344756*G0_0_1_5_9 - 0.00540538826253201*G0_0_1_6_0 + 0.000383954669669026*G0_0_1_6_1 - 0.000592000592000721*G0_0_1_6_2 - 0.0046429760715483*G0_0_1_6_3 + 0.0114552114552134*G0_0_1_6_4 - 0.00283145426002616*G0_0_1_6_5 + 0.0111888111888131*G0_0_1_6_6 - 0.00191808191808226*G0_0_1_6_7 + 0.00300271157414064*G0_0_1_6_8 + 0.0142942771514225*G0_0_1_6_9 + 0.0361061161061222*G0_0_1_7_0 + 0.00379091807663304*G0_0_1_7_1 - 0.000524343381486324*G0_0_1_7_2 + 0.000106560106560121*G0_0_1_7_3 + 0.000871509442938144*G0_0_1_7_4 + 0.00420151277294206*G0_0_1_7_5 - 0.00191808191808227*G0_0_1_7_6 - 0.110495219066666*G0_0_1_7_7 - 0.0353931782503271*G0_0_1_7_8 + 0.00582274867989245*G0_0_1_7_9 - 0.0124738753310203*G0_0_1_8_0 + 0.00427424427424491*G0_0_1_8_1 - 0.00122205836491571*G0_0_1_8_2 - 0.000281623138765998*G0_0_1_8_3 + 0.000175063032205896*G0_0_1_8_4 - 0.00228343085485981*G0_0_1_8_5 + 0.00300271157414064*G0_0_1_8_6 - 0.0353931782503271*G0_0_1_8_7 + 0.0397088625660124*G0_0_1_8_8 - 0.028291708291713*G0_0_1_8_9 - 0.000662194947909272*G0_0_1_9_0 + 0.00931386074243374*G0_0_1_9_1 - 0.00166944166944196*G0_0_1_9_2 - 0.0281547024404214*G0_0_1_9_3 + 0.0186327957756561*G0_0_1_9_4 + 0.00655344655344756*G0_0_1_9_5 + 0.0142942771514225*G0_0_1_9_6 + 0.00582274867989245*G0_0_1_9_7 - 0.028291708291713*G0_0_1_9_8 + 0.0411017553874768*G0_0_1_9_9 - 0.032244298910971*G0_1_1_0_0 - 0.0044542406447176*G0_1_1_0_1 - 0.00149395577967032*G0_1_1_0_2 + 0.000182251610823096*G0_1_1_0_3 + 0.000595806310092106*G0_1_1_0_4 - 0.00976208976209138*G0_1_1_0_5 + 0.00710358424644258*G0_1_1_0_6 - 0.0500536500536585*G0_1_1_0_7 + 0.0234309605738217*G0_1_1_0_8 - 0.00733996162567716*G0_1_1_0_9 - 0.0044542406447176*G0_1_1_1_0 - 0.0248285048285093*G0_1_1_1_1 + 0.00239506525220847*G0_1_1_1_3 + 0.00139796711225308*G0_1_1_1_4 + 0.00198869913155661*G0_1_1_1_5 + 0.000359851788423281*G0_1_1_1_6 - 0.0063149548863845*G0_1_1_1_7 + 0.00570350284636088*G0_1_1_1_8 + 0.0105646734218181*G0_1_1_1_9 - 0.00149395577967032*G0_1_1_2_0 + 0.00284160284160324*G0_1_1_2_2 + 0.00179672179672212*G0_1_1_2_3 + 0.00118400118400136*G0_1_1_2_4 + 0.00358456358456421*G0_1_1_2_5 - 0.00109520109520131*G0_1_1_2_6 - 0.00416134130419913*G0_1_1_2_7 - 0.000426663283806214*G0_1_1_2_8 - 0.000230880230880273*G0_1_1_2_9 + 0.000182251610823096*G0_1_1_3_0 + 0.00239506525220847*G0_1_1_3_1 + 0.00179672179672212*G0_1_1_3_2 + 0.0350963322391957*G0_1_1_3_3 - 0.0176166690452435*G0_1_1_3_4 - 0.00250796822225434*G0_1_1_3_5 - 0.00257647114790017*G0_1_1_3_6 - 0.00204367061509947*G0_1_1_3_7 + 0.00226059654631123*G0_1_1_3_8 - 0.027606679035255*G0_1_1_3_9 + 0.000595806310092107*G0_1_1_4_0 + 0.00139796711225308*G0_1_1_4_1 + 0.00118400118400136*G0_1_1_4_2 - 0.0176166690452435*G0_1_1_4_3 - 0.05114885114886*G0_1_1_4_4 - 0.00328433471290669*G0_1_1_4_5 + 0.00586080586080685*G0_1_1_4_6 + 0.00609676038247568*G0_1_1_4_7 - 0.000216925931211685*G0_1_1_4_8 + 0.00726131011845417*G0_1_1_4_9 - 0.00976208976209138*G0_1_1_5_0 + 0.00198869913155662*G0_1_1_5_1 + 0.00358456358456421*G0_1_1_5_2 - 0.00250796822225434*G0_1_1_5_3 - 0.00328433471290669*G0_1_1_5_4 + 0.0496113410399208*G0_1_1_5_5 - 0.0207982493696815*G0_1_1_5_6 - 0.00352409495266694*G0_1_1_5_7 - 0.00746301317730016*G0_1_1_5_8 + 0.0369459112316317*G0_1_1_5_9 + 0.00710358424644258*G0_1_1_6_0 + 0.000359851788423281*G0_1_1_6_1 - 0.00109520109520131*G0_1_1_6_2 - 0.00257647114790017*G0_1_1_6_3 + 0.00586080586080685*G0_1_1_6_4 - 0.0207982493696815*G0_1_1_6_5 + 0.0202464202464237*G0_1_1_6_6 + 0.0109871081299671*G0_1_1_6_7 + 0.000848675134389563*G0_1_1_6_8 + 0.00584558298844116*G0_1_1_6_9 - 0.0500536500536585*G0_1_1_7_0 - 0.0063149548863845*G0_1_1_7_1 - 0.00416134130419913*G0_1_1_7_2 - 0.00204367061509947*G0_1_1_7_3 + 0.00609676038247568*G0_1_1_7_4 - 0.00352409495266694*G0_1_1_7_5 + 0.0109871081299671*G0_1_1_7_6 - 0.312373340944822*G0_1_1_7_7 + 0.0205622948480126*G0_1_1_7_8 + 0.0234309605738217*G0_1_1_8_0 + 0.00570350284636088*G0_1_1_8_1 - 0.000426663283806214*G0_1_1_8_2 + 0.00226059654631123*G0_1_1_8_3 - 0.000216925931211685*G0_1_1_8_4 - 0.00746301317730016*G0_1_1_8_5 + 0.000848675134389563*G0_1_1_8_6 + 0.0205622948480126*G0_1_1_8_7 + 0.0230398173255356*G0_1_1_8_8 - 0.0312601684030308*G0_1_1_8_9 - 0.00733996162567716*G0_1_1_9_0 + 0.0105646734218181*G0_1_1_9_1 - 0.000230880230880274*G0_1_1_9_2 - 0.027606679035255*G0_1_1_9_3 + 0.00726131011845418*G0_1_1_9_4 + 0.0369459112316317*G0_1_1_9_5 + 0.00584558298844116*G0_1_1_9_6 - 0.0312601684030308*G0_1_1_9_8 + 0.0454859426288075*G0_1_1_9_9;
    A[152] = A[40] + 0.00967520134186969*G0_0_1_0_0 + 0.000185528756957356*G0_0_1_0_4 - 0.000383703597989366*G0_0_1_0_5 - 0.000928595214309641*G0_0_1_0_7 + 0.000606595785167316*G0_0_1_0_8 - 0.00160208838780293*G0_0_1_0_9 - 0.00967520134186976*G0_0_1_1_1 + 0.00038370359798935*G0_0_1_1_3 - 0.000185528756957364*G0_0_1_1_6 - 0.0006065957851673*G0_0_1_1_7 + 0.000928595214309623*G0_0_1_1_8 + 0.00160208838780294*G0_0_1_1_9 + 0.000616605616605747*G0_0_1_2_3 - 0.00104090354090377*G0_0_1_2_4 - 0.000616605616605695*G0_0_1_2_5 + 0.00104090354090366*G0_0_1_2_6 - 0.000284596356024975*G0_0_1_2_7 + 0.000284596356024979*G0_0_1_2_8 + 0.000383703597989349*G0_0_1_3_1 + 0.000616605616605747*G0_0_1_3_2 + 0.00807371200228485*G0_0_1_3_3 - 0.00113350934779524*G0_0_1_3_4 + 0.000556586270872092*G0_0_1_3_6 + 0.000928357356928955*G0_0_1_3_8 - 0.00465712858570076*G0_0_1_3_9 + 0.000185528756957356*G0_0_1_4_0 - 0.00104090354090377*G0_0_1_4_2 - 0.00113350934779524*G0_0_1_4_3 - 0.0030419580419586*G0_0_1_4_4 - 0.000556586270872065*G0_0_1_4_5 + 0.000148601398601427*G0_0_1_4_7 - 0.000853789068074935*G0_0_1_4_8 + 0.00111317254174415*G0_0_1_4_9 - 0.000383703597989366*G0_0_1_5_0 - 0.000616605616605695*G0_0_1_5_2 - 0.000556586270872065*G0_0_1_5_4 - 0.00807371200228477*G0_0_1_5_5 + 0.00113350934779528*G0_0_1_5_6 - 0.00092835735692894*G0_0_1_5_7 + 0.00465712858570078*G0_0_1_5_9 - 0.000185528756957364*G0_0_1_6_1 + 0.00104090354090366*G0_0_1_6_2 + 0.000556586270872092*G0_0_1_6_3 + 0.00113350934779528*G0_0_1_6_5 + 0.0030419580419585*G0_0_1_6_6 + 0.000853789068074927*G0_0_1_6_7 - 0.00014860139860142*G0_0_1_6_8 - 0.00111317254174416*G0_0_1_6_9 - 0.000928595214309641*G0_0_1_7_0 - 0.0006065957851673*G0_0_1_7_1 - 0.000284596356024975*G0_0_1_7_2 + 0.000148601398601427*G0_0_1_7_4 - 0.00092835735692894*G0_0_1_7_5 + 0.000853789068074928*G0_0_1_7_6 - 0.0354342086485003*G0_0_1_7_7 + 0.00309868702725893*G0_0_1_7_9 + 0.000606595785167316*G0_0_1_8_0 + 0.000928595214309623*G0_0_1_8_1 + 0.000284596356024979*G0_0_1_8_2 + 0.000928357356928955*G0_0_1_8_3 - 0.000853789068074935*G0_0_1_8_4 - 0.000148601398601421*G0_0_1_8_6 + 0.0354342086485005*G0_0_1_8_8 - 0.00309868702725892*G0_0_1_8_9 - 0.00160208838780293*G0_0_1_9_0 + 0.00160208838780294*G0_0_1_9_1 - 0.00465712858570076*G0_0_1_9_3 + 0.00111317254174415*G0_0_1_9_4 + 0.00465712858570078*G0_0_1_9_5 - 0.00111317254174416*G0_0_1_9_6 + 0.00309868702725893*G0_0_1_9_7 - 0.00309868702725892*G0_0_1_9_8 - 0.00967520134186969*G0_1_0_0_0 - 0.000185528756957356*G0_1_0_0_4 + 0.000383703597989366*G0_1_0_0_5 + 0.000928595214309641*G0_1_0_0_7 - 0.000606595785167316*G0_1_0_0_8 + 0.00160208838780293*G0_1_0_0_9 + 0.00967520134186976*G0_1_0_1_1 - 0.00038370359798935*G0_1_0_1_3 + 0.000185528756957364*G0_1_0_1_6 + 0.0006065957851673*G0_1_0_1_7 - 0.000928595214309623*G0_1_0_1_8 - 0.00160208838780294*G0_1_0_1_9 - 0.000616605616605747*G0_1_0_2_3 + 0.00104090354090377*G0_1_0_2_4 + 0.000616605616605695*G0_1_0_2_5 - 0.00104090354090366*G0_1_0_2_6 + 0.000284596356024975*G0_1_0_2_7 - 0.000284596356024979*G0_1_0_2_8 - 0.000383703597989349*G0_1_0_3_1 - 0.000616605616605747*G0_1_0_3_2 - 0.00807371200228485*G0_1_0_3_3 + 0.00113350934779524*G0_1_0_3_4 - 0.000556586270872092*G0_1_0_3_6 - 0.000928357356928955*G0_1_0_3_8 + 0.00465712858570076*G0_1_0_3_9 - 0.000185528756957356*G0_1_0_4_0 + 0.00104090354090377*G0_1_0_4_2 + 0.00113350934779524*G0_1_0_4_3 + 0.0030419580419586*G0_1_0_4_4 + 0.000556586270872065*G0_1_0_4_5 - 0.000148601398601427*G0_1_0_4_7 + 0.000853789068074935*G0_1_0_4_8 - 0.00111317254174415*G0_1_0_4_9 + 0.000383703597989366*G0_1_0_5_0 + 0.000616605616605695*G0_1_0_5_2 + 0.000556586270872065*G0_1_0_5_4 + 0.00807371200228477*G0_1_0_5_5 - 0.00113350934779528*G0_1_0_5_6 + 0.00092835735692894*G0_1_0_5_7 - 0.00465712858570078*G0_1_0_5_9 + 0.000185528756957364*G0_1_0_6_1 - 0.00104090354090366*G0_1_0_6_2 - 0.000556586270872092*G0_1_0_6_3 - 0.00113350934779528*G0_1_0_6_5 - 0.0030419580419585*G0_1_0_6_6 - 0.000853789068074927*G0_1_0_6_7 + 0.00014860139860142*G0_1_0_6_8 + 0.00111317254174416*G0_1_0_6_9 + 0.000928595214309641*G0_1_0_7_0 + 0.0006065957851673*G0_1_0_7_1 + 0.000284596356024975*G0_1_0_7_2 - 0.000148601398601427*G0_1_0_7_4 + 0.00092835735692894*G0_1_0_7_5 - 0.000853789068074928*G0_1_0_7_6 + 0.0354342086485003*G0_1_0_7_7 - 0.00309868702725893*G0_1_0_7_9 - 0.000606595785167316*G0_1_0_8_0 - 0.000928595214309623*G0_1_0_8_1 - 0.000284596356024979*G0_1_0_8_2 - 0.000928357356928955*G0_1_0_8_3 + 0.000853789068074935*G0_1_0_8_4 + 0.000148601398601421*G0_1_0_8_6 - 0.0354342086485005*G0_1_0_8_8 + 0.00309868702725892*G0_1_0_8_9 + 0.00160208838780293*G0_1_0_9_0 - 0.00160208838780294*G0_1_0_9_1 + 0.00465712858570076*G0_1_0_9_3 - 0.00111317254174415*G0_1_0_9_4 - 0.00465712858570078*G0_1_0_9_5 + 0.00111317254174416*G0_1_0_9_6 - 0.00309868702725893*G0_1_0_9_7 + 0.00309868702725892*G0_1_0_9_8;
  }

  /// Tabulate the tensor for the contribution from a local cell
  /// using the specified reference cell quadrature points/weights
  virtual void tabulate_tensor(double* A,
                               const double * const * w,
                               const ufc::cell& c,
                               unsigned int num_quadrature_points,
                               const double * const * quadrature_points,
                               const double* quadrature_weights) const
  {
    throw std::runtime_error("Quadrature version of tabulate_tensor not available when using the FFC tensor representation.");
  }

};

/// This class defines the interface for the assembly of the global
/// tensor corresponding to a form with r + n arguments, that is, a
/// mapping
///
///     a : V1 x V2 x ... Vr x W1 x W2 x ... x Wn -> R
///
/// with arguments v1, v2, ..., vr, w1, w2, ..., wn. The rank r
/// global tensor A is defined by
///
///     A = a(V1, V2, ..., Vr, w1, w2, ..., wn),
///
/// where each argument Vj represents the application to the
/// sequence of basis functions of Vj and w1, w2, ..., wn are given
/// fixed functions (coefficients).

class laplacian_f2_p3_q4_tensor_form_0: public ufc::form
{
public:

  /// Constructor
  laplacian_f2_p3_q4_tensor_form_0() : ufc::form()
  {
    // Do nothing
  }

  /// Destructor
  virtual ~laplacian_f2_p3_q4_tensor_form_0()
  {
    // Do nothing
  }

  /// Return a string identifying the form
  virtual const char* signature() const
  {
    return "Form([Integral(Product(IndexSum(Product(Indexed(ComponentTensor(SpatialDerivative(Argument(FiniteElement('Lagrange', Cell('triangle', Space(2)), 4, None), 0), MultiIndex((Index(0),), {Index(0): 2})), MultiIndex((Index(0),), {Index(0): 2})), MultiIndex((Index(1),), {Index(1): 2})), Indexed(ComponentTensor(SpatialDerivative(Argument(FiniteElement('Lagrange', Cell('triangle', Space(2)), 4, None), 1), MultiIndex((Index(2),), {Index(2): 2})), MultiIndex((Index(2),), {Index(2): 2})), MultiIndex((Index(1),), {Index(1): 2}))), MultiIndex((Index(1),), {Index(1): 2})), Product(Coefficient(FiniteElement('Lagrange', Cell('triangle', Space(2)), 3, None), 0), Coefficient(FiniteElement('Lagrange', Cell('triangle', Space(2)), 3, None), 1))), Measure('cell', 0, None))])";
  }

  /// Return the rank of the global tensor (r)
  virtual unsigned int rank() const
  {
    return 2;
  }

  /// Return the number of coefficients (n)
  virtual unsigned int num_coefficients() const
  {
    return 2;
  }

  /// Return the number of cell domains
  virtual unsigned int num_cell_domains() const
  {
    return 1;
  }

  /// Return the number of exterior facet domains
  virtual unsigned int num_exterior_facet_domains() const
  {
    return 0;
  }

  /// Return the number of interior facet domains
  virtual unsigned int num_interior_facet_domains() const
  {
    return 0;
  }

  /// Create a new finite element for argument function i
  virtual ufc::finite_element* create_finite_element(unsigned int i) const
  {
    switch (i)
    {
    case 0:
      {
        return new laplacian_f2_p3_q4_tensor_finite_element_1();
        break;
      }
    case 1:
      {
        return new laplacian_f2_p3_q4_tensor_finite_element_1();
        break;
      }
    case 2:
      {
        return new laplacian_f2_p3_q4_tensor_finite_element_0();
        break;
      }
    case 3:
      {
        return new laplacian_f2_p3_q4_tensor_finite_element_0();
        break;
      }
    }
    
    return 0;
  }

  /// Create a new dofmap for argument function i
  virtual ufc::dofmap* create_dofmap(unsigned int i) const
  {
    switch (i)
    {
    case 0:
      {
        return new laplacian_f2_p3_q4_tensor_dofmap_1();
        break;
      }
    case 1:
      {
        return new laplacian_f2_p3_q4_tensor_dofmap_1();
        break;
      }
    case 2:
      {
        return new laplacian_f2_p3_q4_tensor_dofmap_0();
        break;
      }
    case 3:
      {
        return new laplacian_f2_p3_q4_tensor_dofmap_0();
        break;
      }
    }
    
    return 0;
  }

  /// Create a new cell integral on sub domain i
  virtual ufc::cell_integral* create_cell_integral(unsigned int i) const
  {
    switch (i)
    {
    case 0:
      {
        return new laplacian_f2_p3_q4_tensor_cell_integral_0_0();
        break;
      }
    }
    
    return 0;
  }

  /// Create a new exterior facet integral on sub domain i
  virtual ufc::exterior_facet_integral* create_exterior_facet_integral(unsigned int i) const
  {
    return 0;
  }

  /// Create a new interior facet integral on sub domain i
  virtual ufc::interior_facet_integral* create_interior_facet_integral(unsigned int i) const
  {
    return 0;
  }

};

#endif
